Getting Started : An Overview

Erweiterungen dieser Version

Aufbau des Handbuchs

CAD-Verknüpfungen

Verwenden einer Maus

Automatisieren von PC-DMIS

Software-Konfigurationen


Überblick : Einführung

PC-DMIS für Windows ist ein leistungsstarkes geometrisches Meßprogramm. Es setzt die Befehle einer höheren Programmiersprache, die zum Messen von Werkstücken erforderlich sind, in die detaillierten Verfahrensschritte um, mit denen ein Koordinatenmeßgerät (KMG) gesteuert werden kann. PC-DMIS für Windows ermöglicht sowohl das Erstellen als auch das Ausführen von Werkstückprogrammen über die Benutzeroberfläche Microsoft Windows. Der Benutzer kann durch Auswahl von Dropdown-Menüs, Dialogfeldern und Symbolen im Handumdrehen mit dem Meßvorgang beginnen. Die PC-DMIS-Benutzeroberfläche ist ausgesprochen vielseitig, und die Software kann leicht an individuelle Anforderungen angepaßt werden.

Flexibilität und Benutzerfreundlichkeit waren die Hauptanliegen, die in den Entwurf von PC-DMIS für Windows eingeflossen sind. Zur Verwirklichung dieser Zielsetzungen bietet PC-DMIS eine flexible Umgebung, in der eine Fehlerkorrektur in Echtzeit möglich ist. Das langwierige, aufwendige Fehlersuchverfahren, das für andere geometrische Softwarepakete so kennzeichnend ist, entfällt. Da die Umgebung merkmalsorientiert ist, müssen weniger KMG-Messungen analysiert und interpretiert werden. Die Methoden für die Werkstückprogrammierung auf einem Koordinatenmeßgerät (KMG) sind leicht verständlich und lassen sich mit etwas Übung systematisch durchführen. Diese Hilfedatei dient nicht dazu, den dimensionalen Prüfvorgang vollständig zu beschreiben.. Wenn Sie weitere Informationen zu den Grundlagen der dimensionalen Prüfung benötigen, setzen Sie sich bitte mit Ihrem Software-Betreuer in Verbindung.

Wir hoffen, daß Ihnen die Arbeit mit dem Meßprogramm PC-DMIS Spaß macht und daß es sich als hilfreiches und leistungsfähiges Werkzeug erweist.Über Vorschläge und Kommentare würden wir uns freuen, da wir ständig bestrebt sind, unser Produkt zu verbessern.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Erweiterungen dieser Version
  • Aufbau der Online-Hilfe
  • CAD-Verknüpfungen
  • Verwenden einer Maus
  • Automatisieren von PC-DMIS
  • Software-Konfigurationen

Hinweis: Diese Hilfedatei enthält die zur Ausführung von PC-DMIS für Windows erforderliche Kerndokumentation. Aufgrund der modularen Struktur von PC-DMIS können jedoch weitere Hilfedateien auf Ihrem Rechnersystem installiert werden. Steuern Sie ihre PC-DMIS for Windows-Programmgruppe an, um weitere Hilfedateien zu öffnen.


Erweiterungen dieser Version

Dieses Thema behandelt kurz die neuen Funktionen, um die diese Version von PC-DMIS erweitert wurde. Gegebenenfalls wird auf den entsprechenden Abschnitt mit zusätzlichen Informationen über die neue Erweiterung verwiesen.

Siehe auch:

Neue PC-DMIS-Konfigurationen

Erweiterungen der Benutzeroberfläche

Erweiterungen von Einstellungen und Setup

Erweiterungen Grafik und CAD-Ansicht

Erweiterungen Editierfenster

HyperView-Erweiterungen

Auto Merkmal-Erweiterungen

Erweiterungen der Gemessenen Elemente

Erweiterungen der Konstruierten Elemente

Erweiterungen der Merkmale

Scanning-Erweiterungen

Erweiterungen der Externen Befehle

Reporting-Erweiterungen

Taster-Erweiterungen

Mehrarm-Erweiterungen

Ausdrücke-Erweiterungen

Pcdlrn.ini / Registry-Erweiterungen


Neue PC-DMIS-Konfigurationen

Mit dieser Version unterstützt PC-DMIS nun:

  • Die Werkstückprogrammierung unter Verwendung der neuen optischer Tastvorrichtungen.
  • Die Möglichkeit, Werkstückmessungen mit Hilfe von NC-Werkzeugmaschinen auszuführen. Diese Werkzeugmaschinen werden auch als CNC (rechnergesteuerte numerische)-Geräte bezeichnet.

Weitere Informationen finden Sie unter "Software-Konfiguration".


Benutzeroberfläche - Erweiterungen

Benutzeroberfläche – Erweiterungen

Diese Version von PC-DMIS bietet folgende Erweiterungen:

  • Anzeige einer verbesserten Bildschirmansicht während der Programmausführung. Siehe das Thema "Ausführung von Werkstückprogrammen " im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".
  • Verwendung eines verbesserten Maschinen-Dialogfelds zur Definition und Anzeige eines virtuellen KMGs im Grafikfenster. Siehe das Thema "Maschinendefinition" im Abschnitt "Voreinstellungen".
  • Anzeige von Statusmeldungen in einem größenveränderbaren und verschiebbaren Statusfenster. Siehe "Die Verwendung des Statusfensters" im Abschnitt "Arbeiten mit Sonstigen Fenstern, Editoren und Tools.
  • Die Möglichkeit, die Inhalte des Editierfensters durch einen Einmalklick auf Ihrem Standarddrucker zu drucken. Siehe die Informationen zum Print-Symbol im Kapitel "Editierfenster-Symbolleiste"" im Abschnitt "Arbeiten mit Symbolleisten".
  • Die Möglichkeit der Auswahl der neuen Oberflächenprofil- oder Linienprofil-Symbole aus der Merkmals-Symbolleiste. Siehe das Thema "Merkmalsleiste" im Abschnitt "Arbeiten mit Symbolleisten".
  • Die Möglichkeit der Auswahl von Elementen für den Optischen Taster NC-100 aus der Symbolleiste Auto-Elemente. Siehe das Thema "Die Symbolleiste Auto-Elemente" " im Abschnitt "Die Verwendung der Symbolleisten".
  • Bietet Ihnen ein neugestaltetes Dialogfeld Auto-Elemente, das eher wie ein Programmfenster funktioniert. Damit können Sie das Dialogfeld Auto-Elemente einfach minimieren, um Bildschirmfläche frei zu machen, wenn Sie mit dem Grafikfenster arbeiten. Siehe den Abschnitt "Erstellen von Auto-Elementen".
  • Verschiedene Erweiterungen und Änderungen für flexible Spannvorrichtungen. Siehe "Einrichten Flexibler Spannvorrichtungen " im Abschnitt "Voreinstellungen" und "Erstellen und Positionieren von Aufspannsäulen" im Abschnitt "Definition der Hardware ".
  • Möglichkeit der Anzeige eines Animierten Tasterwechslers im Grafikfenster. Siehe "Einblenden eines Animierten Tasterwechslers " im Abschnitt "Definition der Hardware".
  • Verwenden einer Schaltfläche Öffnen im Markierungsgruppen-Fenster statt der alten Schaltfläche Zum Datei-Manager. Siehe "Erstellen und Ausführen von Markierungsgruppen" im Abschnitt "Bearbeiten eines Werkstückprogramms" und "Die Verwendung des Markierungsgruppen-Fensters im Bedienermodus" im Abschnitt "Arbeiten im Bedienermodus".


Dateivorgänge - Erweiterungen

Neu in dieser Version:

  • Eine größere Kontrolle über die Namendefinitionssysteme und andere Parameter, wenn Berichte aus einer Markierungsgruppe ausgedruckt und an eine Datei übertragen werden. Siehe das Kontrollkästchen Verwende Globale Werte zum Ausdruck in die Datei, das unter "Ausgabe an eine Datei" unter dem Thema "Verwenden von grundlegenden Dateioptionen" behandelt wird. Siehe Kapitel "Starten von Altanwendungen" im Abschnitt "Verwenden von grundlegenden Dateioptionen".
  • Gleichzeitig mehrfache CAD-Dateien importieren. Siehe "Importieren mehrerer CAD-Dateien" im Abschnitt "Verwenden von fortgeschrittenen Datei-Optionen".
  • Import von DMIS-Programmen, die herstellerspezifische Spracherweiterungen verwenden. Siehe "Importieren von DMIS-Dateien" im Abschnitt "Verwenden von fortgeschrittenen Datei-Optionen".
  • Importieren von Werkstückprogrammen, die durch die Tutor-Anwendung erstellt wurden. Siehe "Importieren einer Tutor-Datei" im Abschnitt "Verwenden von fortgeschrittenen Datei-Optionen".

Darüber hinaus,

  • versucht PC-DMIS nun, die AB-Tastspitzenwinkel ihres Tasters zu spiegeln, wann immer Sie einen Spiegelungsvorgang an einem Werkstückprogramm durchführen. Siehe das Thema "Spiegeln" im Abschnitt "Verwenden von grundlegenden Dateioptionen".


Erweiterungen bei Einstellungen und Setup

Neu in dieser Version:

  • "Nennwertsuche Ändern" für die Gemessenen Punkt eines Scans. Siehe das Thema "Nennwert suchen und ändern bei Scans" im Abschnitt "Voreinstellungen".
  • Suche nach Nennwerten für die Messpunkte eines Scanvorgangs nur auf Priority-Oberflächen. Siehe das Thema "NUR Prioritäts-Oberflächen für die Nennwertsuche bei Scans verwenden" im Abschnitt "Voreinstellungen".
  • Anzeige eines Ebenenumrisses. Siehe das Thema "Ebenenkontur anzeigen" im Abschnitt "Voreinstellungen".
  • Theoretische Werte so zu behandeln, als wären sie in den Werkstückkoordinaten.gespeichert. Siehe das Thema "Behandle Theo-Werte als wären sie in den Werkstückkoordinaten gespeichert" im Abschnitt "Voreinstellungen".
  • Einfaches Öffnen des Dialogfelds Taster Anzeige Setup durch einen Rechtsklick auf das Taster-Anzeigefenster und das Anklicken von Setup.
  • Anzeige der Sichtfeldmitte (FOV) im Taster-Anzeigefenster für unterstützte optische Taster. Siehe das Kontrollkästchen Sichtfeldmitte ( FOV ) immer verfolgen unter "Einrichten des Ergebnisanzeigefensters" im Abschnitt "Voreinstellungen".
  • Anzeige des neuen Taster-Anzeige-Kommentartyps im Taster-Anzeigefenster. Siehe das Thema "Einrichten des Taster-Ergebnisanzeigefensters " im Abschnitt "Voreinstellungen".
  • Manuelle Bearbeitung der XYZ-Position der Garage eines Tasterwechslers. Siehe "Manuelle Bearbeitung der Tastergaragendaten" im Abschnitt "Voreinstellungen".
  • Einrichtung Ihres flexiblen Spannsystems aus der Menüoption Bearbeiten | Einstellungen| Spannsystem. Siehe das "Einrichten flexibler Spannvorrichtungen" im Abschnitt "Voreinstellungen".
  • Verwenden Sie ein verbessertes Suchpfad-Dialogfeld bei der Definition der Verzeichnisse, die PC-DMIS für verschiedene Operationen nutzen soll. Siehe "Definieren Externer Verzeichnisse für die Suche" im Abschnitt "Voreinstellungen".


HyperView - Erweiterungen

HyperView – Erweiterungen

Neu in dieser Version:

  • Speichern Sie Ihren Hyper-Report in einer älteren PC-DMIS-Version. Siehe "Ihr Protokoll in einer älteren PC-DMIS-Version speichern" im Abschnitt "Das Erstellen von HyperView-Protokollen".
  • Wählen Sie eine gespeicherte Ansicht und verwenden Sie diese in Ihrem grafischen HyperView-Protokoll. Siehe das Thema "Verwenden von Ansichtensätzen" im Abschnitt "Das Erstellen von HyperView-Protokollen".


Autom. Elemente-Erweiterungen

Auto-Elemente-Erweiterungen

Neu in dieser Version:

  • Erzeugen Sie das neue Element Auto Linie. Siehe "Erstellen einer Auto Linie" im Abschnitt "Das Erstellen von Auto-Elementen".
  • Erstellen Sie das neue Element Auto Ebene. Siehe "Erstellen einer Auto Ebene" im Abschnitt "Erstellen von Auto-Elementen".
  • Zeigen Sie farbige Vektorenpfeile für erzeugte Vektoren oder Oberflächenpunkte an, die über ein Kästchen ausgewählt ausgewählt werden. Siehe das Thema "Kästchenauswahl zur Bestimmung von Vektoren für Vektoren und Oberflächenpunkte" im Abschnitt "Erstellen von Auto-Elementen".
  • Löschen Sie bestimmte Meßpunkte für unterstützte Auto-Elemente. Siehe "Schaltfläche Zeige Punkte" im Abschnitt "Erstellen von Auto-Elementen".


Gemessene Elemente - Erweiterungen

Neu in dieser Version:

  • Bestimmen Sie, wie viele Ebenen PC-DMIS zugrunde legen wird, um die an einem Kegel-, Kugel- oder Zylinderelement gemessenen Punkte in gleichem Abstand zu verteilen. Siehe das Thema "Anzahl der Meßpunkte" im Abschnitt "Erstellen von Gemessenen Elementen".
  • Aktualisierung von BASISmeßpunkten durch Abtastung des Werkstücks und Wiedererlernen von BASIC während das Werkstückprogramm ausgeführt wird. Siehe "Basismeßpunkte durch Abtasten editieren" im Abschnitt "Erstellen von Gemessenen Elementen".
  • Erkennen oder Wiedererlernen einer XYZ-Punktkoordinate während der Programmausführung. Siehe "Lernen während der Ausführung" im Abschnitt "Einfügen von Bewegungsbefehlen".


Konstruierte Elemente - Erweiterungen

Neu in dieser Version:

  • Definieren Sie für die Standardabweichung einen Multiplikator und Filterabstand für konstruierte Best-Fit–Elemente (oder besteingepaßte Neukompensationselemente).
  • Definieren Sie einen Besteinpassungstypus für konstruierte Best-Fit-Elemente (oder besteingepaßte Neukompensationselemente).
  • Entfernen Sie Ausreißer aus konstruierten Best-Fit-Elementen (oder besteingepaßten Neukompensationselementen.
  • Wenden Sie einen Gauss-Filter und eine Filterfrequenz für konstruierte Best-Fit-Elemente (oder besteingepaßte Neukompensationselemente) an.

Weitere Informationen hierzu finden Sie im Abschnitt "Neue Elemente aus vorhandenen Elementen konstruieren".

Neu in dieser Version:

  • Verwenden Sie eine Reihe von Meßpunkten als Eingaben für eine konstruierte Elementgruppe. Siehe "Meßpunktreihe eines Scans als Eingabe verwenden" im Abschnitt "Konstruieren von neuen Elementen aus vorhandenen Elementen".


Merkmale - Erweiterungen

Neu in dieser Version:

  • Die Funktionalität Profil-Merkmal wurde nun in Oberflächen- und Linien-Profilmerkmale aufgeteilt. Siehe "Merkmal für Oberflächenprofil erstellen" und "Merkmal für Linienprofil erstellen" im Abschnitt "Merkmale für Elemente erstellen".
  • Ihre Textanalyse-Berichte haben nun einen "MAX"- oder "MIN"-Textindikator direkt neben der Achse, deren Abweichung die zulässige Maximal- oder Mindesttoleranz überschreitet. Siehe das Thema "Analyse-Einstellungen" im Abschnitt "Merkmale für Elemente erstellen".
  • Sie können einen Nennwert für bestimmte Merkmale eingeben. Siehe "Toleranzen für Abstandsmaße", "Toleranzen für Winkelmaße" im Abschnitt "Merkmale für Elemente erstellen".


Scanning - Erweiterungen

Scanning – Erweiterungen

Neu in dieser Version:

  • Übertragen Sie mit einer Leitz-Steuerung eine bestimmte Punktereihe, die den Elementmeßpfad definiert, an die Steuerung für Basis-Scans. Siehe die "Registerkarte Ausführen" im Abschnitt "Scannen Ihres Werkstücks".
  • Verwerfen Sie Punkte im Zuge der Beschleunigung und Verlangsamung des Tasters während eines mit einer Leitz-Steuerung ausgeführten Scans. Siehe die "Registerkarte Ausführen" im Abschnitt "Scannen Ihres Werkstücks".
  • Verwenden Sie auf Best-FitAlgorithmen basierende Scans. Siehe die "Registerkarte Nennwerte" im Abschnitt "Scannen Ihres Werkstücks".
  • Nennwertsuche nur auf einer ausgewählten Gruppe von Oberflächen. Siehe auch "Registerkarte Nennwerte" und "Nur Ausgewählte" im Abschnitt "Scannen Ihres Werkstücks".
  • Schalten Sie die Tasterkompensation für individuelle Scans ein. Siehe "Tasterkompensation" im Abschnitt "Scannen Ihres Werkstücks".


Externe Befehle - Erweiterungen

Externe Befehle – Erweiterungen

Neu in dieser Version:

  • Bestimmen Sie, ob ein externes BASIC-Skript auf der Grundlage von Unicode- oder ASCII-Zeichen interpretiert wird. Siehe "Den Basic-Skripteditor verwenden"" im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Tools"

Siehe auch "Einfügen eines externen Befehls" im Abschnitt "Hinzufügen externer Elemente".


Reporting-Erweiterungen

Neu in dieser Version:

  • Ein- oder Ausblenden von Grafiksymbolen in den Feldern MERKMALINFO und PUNKTINFO. Siehe "Anzeigeoptionen" im Abschnitt "Einfügen von Protokollbefehlen ".
  • Ein- oder Ausblenden von vertikalen und horizontalen Linien in den Feldern MERKMALINFO und PUNKTINFO. Siehe "Anzeigeoptionen" im Abschnitt "Einfügen von Protokollbefehlen".
  • Die Hintergrund- und Zeilenfarbe für die Felder MERKMALINFO und PUNKTINFO festlegen. Siehe "Darstellung" im Abschnitt "Einfügen von Protokollbefehlen".
  • Kommentare im Taster-Anzeigefenster anzeigen. Informationen hierzu finden Sie unter "Einfügen von Programmiererkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".
  • Treffen Sie die Auswahl, nur die theoretischen Werte durch eine DMIS-Datei an ein Protokoll auszugeben, wenn Sie das Kontrollkästchen Ausgabe als DMIS-Ausgabedatei aktivieren. Siehe das Kontrollkästchen Theoretische Werte ausgeben, das unter "Aus dem Editierfenster drucken" im Abschnitt "Verwenden von grundlegenden Dateioptionen" behandelt werden.


Taster - Erweiterungen

Taster – Erweiterungen

Neu in dieser PC-DMIS-Version:

  • Anzeige eines mehrfarbigen Taster-Anzeigefensters. Dieses Anzeigefenster unterstützt auch den neuen Taster-Anzeige-Kommentartyp. Siehe "Verwenden des Taster-Anzeigefensters " im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Tools.
  • Eine besondere Taster-Werkzeugleiste für Sie, um verschiedene tasterbezogene Manipulationen vorzunehmen. Siehe "Verwenden der Taster-Werkzeugleiste" im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Tools.
  • Erweiterung um eine neue Tastermodus-Symbolleiste, die zur Kontrolle des Manuellen Modus und des DCC -Modus, zur Schätzung von flachen und and runden Elementen für mechanische Taster verwendet wird und die Möglichkeit, LK-Systeme in den Auslese- oder Meßpunkte-Modus zu setzen. Siehe das Thema "Symbolleiste 'Antasten' " im Abschnitt "Arbeiten mit Symbolleisten".
  • Erweiterung um ein neues Kontrollkästchen im Dialogfeld Taster Hilfsprogramme, durch das Sie bestimmen können ob PC-DMIS eine Wrist-Matrix (Fehler-Matrix) während der AB- Tastspitzen-Kalibrierung für indexierbare Dreh-/Schwenkköpfe verwendet. Siehe "Verwende Wrist-Matrix, wenn Kontrollkästchen vorhanden" im Abschnitt "Definitieren von Hardware".
  • Erweiterung um neue Options- und Befehlsschaltflächen im Dialogfeld Messen, mit denen Sie Wrist-Matrizen erzeugen, ersetzen, einblenden oder löschen können. Siehe "Wrist-Kalibrierung" im Abschnitt "Definieren von Hardware".
  • Erweiterung um eine Einstellung, mit der das Entladen des aktuellen Tasters erzwungen werden kann, ohne daß ein neuer Taster aus dem Tasterwechsler geladen wird. Siehe die unter "Taster Einrichten" im Abschnitt "Definieren von Hardware" behandelte Option Einen Taster im Tasterwechsler ablegen ohne einen neuen aufzunehmen.


Mehrarm - Erweiterungen

  • Die Symbolleiste Aktuelle Arme bietet nun den Modus 'Einen bestimmten Arm ausführen'. Damit können Sie mit einem Klick auf die Schaltfläche alle Befehle ausführen, die Arm 1 (Master-Arm) oder Arm 2 (Slave-Arm) zugeordnet sind. Informationen hierzu finden Sie im Abschnitt "Arbeiten im Mehrarmbetrieb".


Ausdrücke - Erweiterungen

Ausdrücke – Erweiterungen

Neu in dieser Version:

  • Verwenden Sie einen neuen Code, um zu prüfen, ob Sie sich am Ende einer Datei oder am Ende einer Zeile befinden, wenn Sie mit dem Lesen aus oder Schreiben in Externe Dateien arbeiten. Weitere Informationen finden Sie unter "Das Ende einer Datei oder Zeile prüfen" im Abschnitt "Verwenden der Datei-Eingabe/Ausgabe".
  • Mehr Möglichkeiten mit Arrays. Dazu gehören:
    • Zuweisen eines Meßpunktebereichs zu einem Array.
    • Arrays sortieren.
    • Die größten oder kleinsten Array-Indexwerte zurückgeben.
    • Die größten oder kleinsten sortierten Array-Indexwerte zurückgeben.
    • Arrays verwenden, um die minimalen und maximalen Punkte in einem Scan zu finden.

Weitere Informationen hierzu finden Sie unter im Abschnitt "Verwenden von Ausdrücken und Variablen".

  • Bestimmte PC-DMIS-Einstellungen unter Zugrundelegung der neuen GETSETTING-Funktion zurücksetzen. Siehe "String-Funktionen" im Abschnitt "Verwenden von Ausdrücken und Variablen".
  • Bestimmte Einstellungen für das Kalibriernormal unter Verwendung der neuen Funktion QualToolData zurückgeben. Siehe die "QualToolData-Funktion" im Abschnitt "Verwenden von Ausdrücken und Variablen".


Pcdlrn.ini/Registrierung - ErweiterungenPcdlrn.ini.RegistryEnhancements>level3

Pcdlrn.ini/Registrierung – Erweiterungen

Neu in dieser Version des PC-DMIS-Einstellungseditors:

  • Zurücksetzung jeder Eingabe auf die internen Werkseinstellungen durch Anklicken der neuen SchaltflächeEinstellung löschen.
  • Speicherung von Mehrfach-Eingaben durch Verwenden der neuen Schaltfläche Registrierung erneuern.
  • Suche nach Einträgen durch Verwendung der neuen Schaltfläche Suchen
  • Speicherung von Mehrfach-Eingaben durch Verwenden der neuen Schaltfläche Registrierung erneuern.
  • Modifizieren Sie zahlreiche neue schnittstellenspezifische und andere Registrierungseinträge.

Weitere Informationen finden Sie im neuen Abschnitt "Ändern von Registrierungseinträgen".


Aufbau der Online-HilfeVersionEnhancements>main

Aufbau der Online-Hilfe

Diese Online-Dokumentation ist in verschiedene Haupt- und Unterabschnitte gegliedert.

Um Ihnen einen Überblick über den Aufbau der Online-Hilfe zu geben, werden die vierzehn Hauptabschnitte im folgenden kurz beschrieben.

  3. "Erste Schritte: Ein Überblick" ist der Abschnitt, den Sie gerade lesen. Sie erhalten eine kurze Übersicht über den Inhalt der PC-DMIS-Online-Hilfe.
  4. Unter "Erste Schritte: Ein einfaches Lernprogramm" wird der Meßvorgang anhand eines leicht verständlichen Lernprogramms erläutert.
  5. Unter "Navigation durch die Benutzeroberfläche" werden die Benutzeroberfläche von PC-DMIS sowie Möglichkeiten der kundenspezifischen Anpassung an Ihre Anforderungen beschrieben.
  6. Unter "Verwenden von grundlegenden Dateioptionen" werden die grundlegenden Möglichkeiten von PC-DMIS besprochen, wie beispielsweise das Aufrufen des Werkstückprogramms, das Speichern und das Beenden von PC-DMIS.
  7. Unter "Verwenden von fortgeschrittenen Dateioptionen" erhalten Sie Informationen zu fortgeschrittenen Dateivorgängen, wie beispielsweise Import und Export von CAD-Dateien und Ausführung des Werkstückprogramms.
  8. Unter "Voreinstellungen" wird beschrieben, wie Sie mit den Setup-Optionen des Menüs Bearbeiten Ihre gewünschten Einstellungen vornehmen können. Außerdem erhalten Sie Informationen zum Einfügen und Bearbeiten von Werkstückprogramm-Parametern.
  9. Unter "Bearbeiten der CAD-Anzeige" wird beschrieben, wie Sie die Optionen des Menüs Grafik im Grafikfenster verwenden, um die Anzeige Ihrer CAD-Datei zu bearbeiten
  10. Unter "Bearbeiten eines Werkstückprogramms" wird beschrieben, wie Sie die Optionen des Menüs Bearbeiten im Bearbeitungsfenster verwenden, um Ihr Werkstückprogramm zu bearbeiten.
  11. Unter "Verwenden des Bearbeitungsfensters" erhalten Sie Informationen zum in PC-DMIS integrierten Editor, mit dem Sie Ihr Werkstückprogramm erstellen, debuggen, bearbeiten und ausführen.
    3. Unter "Arbeiten mit anderen Fenstern, Editoren und Tools" werden weitere Fenster, Editoren und Werkzeuge beschrieben, die im Menü Ansicht zur Auswahl stehen.«
  3. Unter "Das Erstellen von HyperView-Protokollen" werden Sie durch die Schritte zur Erstellung eines HyperView-Protokolls geführt.
  4. Unter "Arbeiten mit Symbolleisten" werden die im Grafikfenster verfügbaren Symbolleisten beschrieben. Sie erfahren, auf welche Weise Sie die einzelenen Symbole beim Erstellen oder Bearbeiten Ihres Werkstückprogramms nutzen können.
  5. Unter "Definieren von Hardware" wird das Untermenü Hardwaredefinition des Menüs Einfügen vorgestellt. Mit diesem Untermenü können Sie Taster, KMGs oder Spannsysteme für die Verwendung mit PC-DMIS definieren. In diesem Abschnitt wird außerdem die Taster kalibrierung erläutert.
  6. Unter "Erstellen von Auto-Elementen" wird beschrieben, wie Sie die Option Einfügen | Element | Auto. zum Erstellen von automatischen Elementen verwenden und wie diese Merkmale anschließend in Ihrem Werkstückprogramm gemessen werden.
  7. Unter "Erstellen von Gemessenen Elementen" wird beschrieben, wie Sie die Option Einfügen | Element| Gemessen zum Erstellen von gemessenen Elementen in Ihrem Werkstückprogramm verwenden.
  8. Unter "Konstruieren von neuen Elementen aus vorhandenen Elementen" erhalten Sie Anleitungen zum Konstruieren von Elementen, die mit der Option Einfügen | Element | Konstruiert im Werkstückprogramm abgelegt werden.
  9. Unter "Erstellen von allgemeinen Elementen" wird beschrieben, wie Sie einen Lese-Punkt-Befehl einfügen und wie Sie mit den Optionen Einfügen | Element | Lesepunkt und Einfügen | Element| Allgemein allgemeine Elemente erstellen.
  10. Unter "Erstellen und Verwenden von Ausrichtungen" finden Sie Informationen zum Erstellen und Speichern von Ausrichtungen mit dem Untermenü Einfügen | Ausrichtung.
  11. Unter "Merkmale für Elemente erstellen" wird beschrieben, wie Sie über das Untermenü Einfügen | Merkmal Merkmale für Elemente erstellen.
  12. Unter "Scannen Ihres Werkstücks" wird beschrieben, wie Sie einen Scanvorgang durchführen und mit dem Untermenü Einfügen | Scan einfache oder fortgeschrittene Scans erstellen.
  13. Unter "Einfügen von Bewegungsbefehlen" werden verschiedene Bewegungsbefehle erläutert, die Sie über das Untermenü Einfügen | Bewegung in Ihr Werkstückprogramm einfügen können.
  14. Unter "Verzweigen mit Hilfe der Programmablaufsteuerung" werden zahlreiche Befehle erläutert, mit denen Sie den Ablauf Ihres Werkstückprogramms über das Untermenü Einfügen| Programmablaufsteuerung steuern können.
  15. Unter "Nachverfolgen statistischer Daten" wird erklärt, wie Sie Statistiken in Ihrem Werkstückprogramm nachverfolgen und anwenden.
  16. Unter "Einfügen von Protokollbefehlen" werden die Protokollbefehle erläutert, die Sie über das Untermenü Einfügen | Protokollbefehl in Ihr Werkstückprogramm einfügen können.
  17. Unter "Verwenden der Datei-Eingabe/-Ausgabe" erhalten Sie Anleitungen zum Arbeiten mit der Datei-Eingabe und -Ausgabe, wobei Sie über das Untermenü Einfügen | Datei I/O-Befehl Dateien zum Lesen, Schreiben oder zu anderen Zwecken öffnen können.
  18. Unter "Verwenden von Ausdrücken und Variablen" wird beschrieben, wie Sie Ausdrücke erstellen und Ausdrucksergebnisse zu Variablen hinzufügen.
  19. Unter "Hinzufügen externer Elemente" erhalten Sie Informationen zur Verwendung von externen Anwendungen, Skripts, Werkstückprogrammen und anderen Objekten in Ihrem Werkstückprogramm, um dessen Leistungsfähigkeit zu verbessern.
  20. Unter "Arbeiten im Mehrarmbetrieb" wird die Verwendung von PC-DMIS mit Doppelarm-KMGs beschrieben.
  21. Unter "Navigation in und Anzeigen von mehreren Fenstern" wird beschrieben, auf welche Weise Sie problemlos zwischen den geöffneten Fenstern navigieren oder diese anzeigen können. Hierzu verwenden Sie das Menü Fenster.
  22. Unter "Verwenden der Online-Hilfe" wird beschrieben, wie Sie über das Menü Hilfe auf die Online-Hilfe zugreifen können.

Darüber hinaus werden auch folgenden zusätzliche Themen behandelt:

  1. "Arbeiten im Offline-Modus"
  2. "Übertragen eines Werkstückprogramms in PC-DMIS"
  3. "Ändern von Registrierungseinträgen"
  4. "Verwenden eines Wrist-Geräts"
  5. "Kalibrieren seltener verwendeter Taster"
  6. "Arbeiten im Bedienermodus"
  7. "Messen automatischer Merkmale mit dem Optischen Taster NC-100"
  8. "Direct CAD-Schnittstellen – Einführung"
  9. "Verwenden der Übersichtskarte"
  10. "Verwenden von Tastaturbefehlen und Kontextmenüs"

Siehe auch:

Die verbesserte Menü- und Dokumentationsstruktur

Konventionen


Verbesserte Menü- und Dokumentationsstruktur

Mit der Version 3.5 bietet PC-DMIS eine neue Menüstruktur und die Möglichkeit, die Menüstruktur an kundenspezifische Anforderungen anzupassen. Im Abschnitt "Verwenden der Übersichtskarte" erhalten Sie Informationen zur Navigation durch diese Menüs sowie zum Zugriff auf die verschiedenen Menüoptionen und Dialogfelder.


Erste Schritte : Ein Überblick - Aufbau der Online-Hilfe - Konventionen

Konventionen

Folgende Konventionen wurden in der Online-Hilfe verwendet:

Siehe auch:

Fettdruck

Kursivtext

Großbuchstaben

Unterstreichungen

Gliederungspunkte

Numerierungen


Fettdruck

Fettdruck wird vorwiegend für folgende Elemente eingesetzt:

  • Dialogfeld-Elemente
  • Dialogfeldnamen
  • Befehlsschaltflächen
  • Symbole
  • Menüs
  • Symbolleisten

Beispiel:

  1. Wählen Sie das Menü Datei.
  2. Öffnen Sie das Dialogfeld Öffnen.
  3. Klicken Sie auf die Schaltfläche Speichern.

Auch Hinweise, Warnungen und Beispiele können durch Fettdruck hervorgehoben werden.


Kursivtext

Kursivtext wird vorwiegend eingesetzt, um Inhalte hervorzuheben. Beispiel: "Wenn der Taster auf ein Hindernis stößt, hält er nicht automatisch an".

Kursivtext kann auch folgendes ausweisen:

  • Titel von Büchern oder Handbüchern
  • Vordefinierte Argumente (beim Programmieren)
  • Parameter (beim Programmieren)
  • Platzhalter (beim Programmieren)
  • Benutzereingaben (beim Programmieren)


Großbuchstaben

Großbuchstaben werden häufig für folgende Elemente verwendet:

  • Akronyme (z. B. VDAFS, DMIS)
  • Uhrzeit (z. B. A.M. oder P.M.)
  • Tastenkombinationen (z. B. ALT, F, W)
  • Gerätenamen (z. B. LPT1 oder COMM PORT 2)\

Wenn Elemente aus der Computerprogrammierung angezeigt werden, erscheint folgendes in Großbuchstaben:

  • Steuerelementklassen
  • Datenformate
  • Umgebungsvariablen
  • Zugriffsnummer
  • Hooks
  • Indizes
  • Makros
  • Aussagen
  • Strukturen
  • Systembefehle
  • Werte


Unterstreichungen

Unterstreichungen werden bei Bedarf eingesetzt, um etwas hervorzuheben. Meistens werden Hervorhebungen jedoch durch Kursivschrift ausgedrückt.


Gliederungspunkte

Gliederungspunkte "·" dienen zur Aufzählung einer Liste von Optionen oder Befehlen, die für bestimmte Programmfunktionen oder für die im jeweiligen Abschnitt angesprochenen Aspekte verfügbar sind.


Numerierungen

Numerierte Listen geben die einzelnen Arbeitsschritte in Anleitungen und Verfahren an. Beispiel: "1. Wählen Sie Datei, 2. Klicken Sie auf Neu.


CAD-Verknüpfungen

PC-DMIS bietet mehrere verschiedene Methoden zur Übertragung von CAD-Geometrien, Werkstückprogrammen und Meßdaten aus bzw. in CAD-Systeme. Die Unterstützung von CAD-Daten ist einer der wichtigsten Vorteile von PC-DMIS.

Für den Import von CAD-Geometrien in PC-DMIS und den Export von Meßdaten aus PC-DMIS stehen folgende Methoden zur Auswahl:

  • IGES 5.3
  • STEP AP203 & AP214
  • VDAFS
  • DES(2/78)
  • XYZIJK-Format

Folgende Objekte können zur Erstellung von Werkstückprogrammen und als Orientierung bei der Programmausführung in PC-DMIS importiert werden:

  • zweidimensionales Drahtmodell
  • zweieinhalbdimensionales Drahtmodell
  • dreidimensionales Drahtmodell
  • B-Spline-Kurven und Oberflächen-CAD-Modelle.

Eine Liste der unterstützten IGES-Elemente finden Sie unter "Arbeiten im Offline-Modus".

Werkstückprogramme, die in CAD-Systemen erstellt worden sind, können über DMIS 3.0 in PC-DMIS importiert werden. PC-DMIS-Werkstückprogramme können zur Ausführung in anderen KMG-Programmen in DMIS exportiert werden. Zudem ist es möglich, PC-DMIS-Meßergebnisse als DMIS-Ergebnisdatei zu exportieren.


Verwenden einer Maus

Flexibilität und Benutzerfreundlichkeit gehören zu den Hauptanliegen von PC-DMIS. Zur Verwirklichung dieser Ziele kann als Zeigegerät in PC-DMIS eine Zwei- oder Dreitasten-Maus verwendet werden. Schnelligkeit und Genauigkeit machen die Maus zu einem unentbehrlichen Bestandteil der PC-DMIS-Arbeitsumgebung. Mit ihr können alle PC-DMIS-Funktionen ausgeführt werden. (Die meisten PC-DMIS-Funktionen sind auch über Tastaturbefehle zugänglich.)

Die Maus bietet eine einfache Methode:

  • zur Auswahl eines Wertes
  • zur Auswahl eines Befehls
  • zum Verschieben/Markieren eines Bilds im Grafikfenster

Siehe auch:

Bewegen/Zeigen mit der Maus

Klicken der Maustaste(n)

Drücken und Halten der Maustaste

ZMouse


Bewegen/Zeigen mit der Maus

Sie bewegen den Zeiger auf dem Bildschirm, indem Sie die Maus auf dem Schreibtisch in die Richtung bewegen, in der sich der Mauszeiger bewegen soll. Mit der Maus können Sie den Mauszeiger an eine bestimmte Stelle auf dem Bildschirm setzen oder auf eine Stelle des Bildschirms zeigen.


Klicken der Maustaste(n)

In dieser Hilfe ist durchweg von "Klicken der Maustaste" die Rede. Dieser Ausdruck bezieht sich auf das Herunterdrücken und schnelle Wiederloslassen der Maustaste. Wenn Sie beispielsweise aufgefordert werden, auf eine Menüoption zu klicken, schieben Sie den Mauszeiger (Pfeil) mit Hilfe der Maus auf die gewünschte Menüoption, drücken die linke Maustaste und lassen sie schnell wieder los.

Die meisten Optionen werden durch Klicken mit der linken Maustaste aktiviert. Gehen Sie daher bei Anleitungen, bei denen nur von "Klicken auf" ein Element die Rede ist (ohne daß eine bestimmte Taste erwähnt wird), ruhig davon aus, daß sie sich auf die linke Maustaste beziehen, sofern keine anderen Angaben gemacht werden.

Wenn im Hilfetext steht, daß mit beiden Maustasten geklickt werden soll, drücken Sie die linke und die rechte Maustaste gleichzeitig, und lassen Sie diese schnell wieder los.


Drücken und Halten der Maustaste

In dieser Hilfe ist durchweg von "Drücken und Halten der Maustaste" die Rede. Dieser Ausdruck bezieht sich darauf, daß die Maustaste heruntergedrückt und eine kurze Zeit lang gedrückt gehalten werden soll.


ZMouse

Bestimmte Systeme bieten eine mit einem Trackball ausgestattete Maus, die als ZMouseÒ bezeichnet wird. In diesem Fall kann der Benutzer die Bewegung des Mauszeigers über den Z-Arm steuern. Die ZMouseÒ funktioniert nicht, wenn der Datei-Manager aktiv ist.

Die letzte Zeile der Parameterdatei (DOWNLOAD) sollte folgendermaßen lauten:

N1000 ZMOUSE2
or
N500 ZMOUSE2

Wenn die ZMouseÒ aktiviert werden soll, überprüfen Sie, ob die Datei DOWNLOAD die voranstehende Anweisung enthält. Ändern Sie die Zeile ggf. ab.


Automatisieren von PC-DMIS

PC-DMIS kann durch jede Software eines Drittherstellers gesteuert werden. Sie können beispielsweise Ihre eigene maßgeschneiderte Anwendung erstellen und mit Hilfe der Automatisierungsbefehle PC-DMIS über diese Anwendung starten und verwenden.

Weitere Informationen zu den Befehlen für die Steuerung von PC-DMIS und zu unterstützten BASIC-Befehlen finden Sie in der Datei "Basic Language Help" (Hilfedatei der BASIC-Sprache von PC-DMIS), die zum Lieferumfang dieses Installationspakets gehört.


Software-Konfigurationen

Wenn Sie die erforderlichen Module erworben haben und Ihre Anschlußsperre richtig konfiguriert wurde, können Sie PC-DMIS unter verschiedenen Konfigurationen starten. Vorgehensweise:

  1. Öffnen Sie das Verzeichnis, das die Verknüpfung zur Ausführung von PC-DMIS (allgemein befindet sich diese unter C:\Documents and Settings\All Users\Start Menu\Programs\PC-DMIS for Windows).
  2. Mit einem Rechtsklick auf das Verzeichnis wählen Sie Neu | Verknüpfung.
  3. Folgen Sie den Anweisungen auf dem Bildschirm, um zur Verknüpfung für die PC-DMIS-Ausführung, pcdlrn.exe, zu gelangen (wo auch immer Sie diese installiert haben).
  4. Fügen Sie jedwede dieser Switch-Befehlszeilen (oder Argumente) ein und folgen Sie dem vollständigen Pfad der Verknüpfung zur ausführbaren Datei:

    /f für den Offline-Modus

    /u für die Benutzer-Privilegstufe, wenn Sie als Administrator im System eingeloggt sind.

    /o für den Bediener-Modus

    /r für den Achsen-Umkehrmodus auf dem Slave-Arm eines Doppelarmsystems.

    /p für den Pro-Modus (nicht mit /c switch verwendbar)

    /c für den Cad-Modus (nicht mit /p switch verwendbar)

    /d für den Debug-Modus dieser Arbeitssitzung

    /nc0, um PC-DMIS ohne CNC-Funktion auszuführen

    /5unique, um PC-DMIS ohne diese Funktion auszuführen

    /cmt, um PC-DMIS ohne diese Funktion auszuführen

    /dccscanning, um PC-DMIS ohne diese Funktion auszuführen

    /displaycad, um PC-DMIS ohne diese Funktion auszuführen

    /laserprobe, um PC-DMIS ohne diese Funktion auszuführen

    /masterslave, um PC-DMIS ohne diese Funktion auszuführen

    /nocontactprobe, um PC-DMIS ohne diese Funktion auszuführen

    /remotepanel, um PC-DMIS ohne diese Funktion auszuführen

    /rotarytable, um PC-DMIS ohne diese Funktion auszuführen

    /sheetmetal, um PC-DMIS ohne diese Funktion auszuführen

    /statsoutput, um PC-DMIS ohne diese Funktion auszuführen

    /systemv, um PC-DMIS ohne diese Funktion auszuführen

    /toolchanger, um PC-DMIS ohne diese Funktion auszuführen

    /valisys, um PC-DMIS ohne diese Funktion auszuführen

    /vision, um PC-DMIS ohne diese Funktion auszuführen

    /wrist, um PC-DMIS ohne diese Funktion auszuführen

    Wenn Sie also PC-DMIS Pro im Offline-Modus ausführen wollten, würde der Zielpfad etwa so aussehen:

    "C:\Program Files\pcdmisw\PCDLRN.exe" /p /f

    Sie können PC-DMIS auch anweisen, automatisch ein bestimmtes Werkstückprogramm (oder Werkstückprogramme) zu öffnen, indem Sie einen Pathway-String als Befehlszeilenargument, das auf ein Werkstückprogramm verweist, anhängen.

    • Wenn Sie ein zu ladendes Werkstückprogramm vorgeben, brauchen Sie allerdings nicht das für die vorgenannten Argumente erforderliche / Zeichen.
    • Um mehr als ein Werkstückprogramm zu öffnen, geben Sie ein Leerzeichen zwischen jedem weiteren Pathway ein.
    • Wenn Ihr Dateiname Leerzeichen enthält, setzen Sie den Pathway in Anführungszeichen.

      Wenn Sie beispielsweise im Offline-Modus von einem "Meine Werkstückprogramme" genannten Verzeichnis aus zwei Werkstückprogramme mit den Dateinamen test.prg und test2.prg starten wollen, könnten die Zielpfade folgendermaßen aussehen:

"C:\Program Files\PCDLRN.exe" /f "d:\my part programs\test.prg" "d:\my part programs\test2.prg"

Die häufigsten Modi sind die Offline- und Online-Modi. Diese beiden unterschiedlichen Produkte wurden zur Erfüllung bestimmter Anforderungen konzipiert. Sie finden gemeinsame Anwendung bei der Erstellung eines kompletten Werkstückprogramms, Meßanalysen und Reverse-Engineering-Systemen.

Diese und weitere Konfigurationen werden später näher erklärt.

Siehe auch:

Vergleich zwischen der Offline- und Online-Version

PC-DMIS Vision

PC-DMIS/NC


Vergleich zwischen der Offline- und der Online-Version

Die Online- und Offline-Versionen gleichermaßen dieselben Leistungsmerkmale und Funktionen aufweisen, beschreibt diese Hilfedatei die Anwendung beider Produkte. In einigen Fällen trifft eine bestimmte Funktion der Online-Software jedoch nicht auf die Offline-Software zu. Auf diese Fälle wird jeweils entsprechend hingewiesen.

Siehe auch:

Online-Werkstückprogrammierung

Offline-Werkstückprogrammierung


Online-Werkstückprogrammierung

Mit der Online-Version von PC-DMIS kann der Benutzer vorhandene Werkstückprogramme ausführen, Werkstücke (oder Werkstückabschnitte) schnell prüfen und Werkstückprogramme direkt auf dem KMG (Koordinatenmeßgerät) entwickeln. Online-PC-DMIS kann jedoch nur ausgeführt werden, wenn ein KMG angeschlossen ist. Offline-Programmierungsverfahren dagegen können auch online ausgeführt werden.


Offine-Werkstückprogrammierung

Mit der Offline-Version von PC-DMIS kann die Entwicklung und Fehlersuche von Werkstückprogrammen separat vom KMG durch Bearbeiten eines online erstellten Werkstücks, durch Importieren einer CAD-Eingabedatei oder durch ein Werkstückprogramm (wie DMIS oder AVAIL) erfolgen. Das Werkstückprogramm kann dann direkt in der Online-Version von PC-DMIS ausgeführt oder in DMIS oder ein anderes der vielen erhältlichen anbieterspezifischen Formate exportiert (nachverarbeitet) werden. Offline-PC-DMIS kann nicht zur direkten Steuerung eines KMGs eingesetzt werden.

Unter "Arbeiten im Offline-Modus" finden Sie detaillierte Informationen zur Offline-Version.


PC-DMIS Vision

Mit dieser besonderen PC-DMIS-Version können Sie bestimmte optische Tastsystem zur Messung von Elementen einsetzen. Wenn Sie dieses Modul erworben haben, finden Sie weitere Informationen in Ihrer "PC-DMIS Vision" Hilfedatei.


PC-DMIS/NC

Mit dieser besonderen PC-DMIS-Version können Sie Werkstückmessungen mit Hilfe von NC-Werkzeugmaschinen ausführen. Diese Werkzeugmaschinen werden auch als CNC (rechnergesteuerte numerische)-Geräte bezeichnet. Wenn Sie dieses Modul erworben haben, finden Sie weitere Informationen in Ihrer "PC-DMIS/NC" Hilfedatei.


Getting Started : A Simple Tutorial

Erste Schritte mit dem Lernprogramm

Messen der Elemente

Verwenden verschiedener Tasteroptionen

Grafische Darstellung eines Werkstücks

Arbeiten im manuellen oder CNC-Modus


Ein einfaches Lernprogramm: Überblick

Dieser Abschnitt führt Sie durch den Prozeß der Werkstückmessung mit Hilfe des KMGs.

Zur Erstellung dieses kurzen Lernprogramms wurde der Brown & Sharpe-Prüfblock verwendet.

Brown & Sharpe Prüfblock

Wenn dieses Teil nicht verfügbar ist, genügt auch ein ähnliches Werkstück, mit dem mehrere Kreise und ein Kegel gemessen werden können. Um die Fähigkeiten von PC-DMIS genau kennenzulernen, sollten Sie diesen Abschnitt vollständig durchlesen und das Gelesene auf Ihrem System nachvollziehen.

Dieser Abschnitt behandelt folgende Hauptthemen:

  • Erste Schritte mit dem Lernprogramm
  • Messen der Elemente
  • Verwenden verschiedener Tasteroptionen
  • Grafische Darstellung eines Werkstücks
  • Arbeiten im manuellen oder CNC-Modus

Siehe auch:

Elementerkennung


Elementschätzung

Elementerkennung

PC-DMIS bietet eine einzigartige Methode zum Messen von Elementen. Anstatt Sie zur Angabe des zu messenden Elementtyps (Punkt, Kreis usw.) aufzufordern, bietet PC-DMIS die Möglichkeit, Meßpunkte einfach aufzunehmen. Wenn die Messung eines Elements abgeschlossen ist, wird dies PC-DMIS durch Drücken der entsprechenden Taste an der Joystick-Bedieneinheit (wenn die Maschine entsprechend ausgerüstet ist) oder der ENDE-Taste auf der Tastatur signalisiert. PC-DMIS bestimmt dann die Art des Elements, das gerade mit Hilfe der Besterkennung Algorithmen gemessen wurde.Besterkennung-Algorithmen sind mathematische Berechnungen, die PC-DMIS anstellt, um mathematisch den Elementtyp vorherzusagen, der erstellt wurde.

Ein Kreis wird z.B. mit mindestens drei Meßpunkten gemessen. Während die einzelnen Positionen gemessen werden, erscheint die Anzahl der am Element aufgenommenen Meßpunkte in der Statusleiste. Sobald eine ausreichende Anzahl von Meßpunkten aufgenommen wurde, können Sie die Taste ENDE drücken. Die Ergebnisse werden daraufhin im Bearbeitungsfenster angezeigt.

Format und Inhalt der gemessenen Ergebnisse sind vom Ausgabeformat abhängig, das zuvor ausgewählt wurde. Weitere Informationen zum Einstellen des Ausgabeformats finden Sie unter "Drucken aus dem Bearbeitungsfenster" im Abschnitt "Verwenden von grundlegenden Dateioptionen" und unter "Parametereinstellungen: Registerkarte 'Merkmal'" im Abschnitt "Voreinstellungen".

Beachten Sie, daß PC-DMIS die Richtung eines Meßpunkts bei bestimmten Geräten dadurch ermittelt, daß es die Bewegungsrichtung des Tasters nach Berühren des Werkstücks analysiert. Wenn Ihr Gerät zu diesem Typ gehört, dürfen Sie den Taster erst dann einziehen, wenn PC-DMIS einen Signalton ausgegeben und die Anzahl der gemessenen Meßpunkte in der Statusleiste aktualisiert hat.


Erste Schritte mit dem Lernprogramm

Dieser Abschnitt beschreibt die notwendigen Schritte zur Erstellung eines einfachen Werkstückprogramms. Sie werden mit PC-DMIS online ein Werkstückprogramm erstellen, ohne CAD-Daten zu verwenden.

Wenn Sie mit einem Verfahren nicht vertraut sind, verwenden Sie bitte die Online-Hilfe (Taste F1), um zusätzliche Informationen einzublenden.

Das Lernprogramm führt Sie durch die folgenden Schritte:

Siehe auch:

Schritt 1: Ein neues Werkstückprogramm erstellen

Schritt 2: Einen Taster definieren

Schritt 3: Die Ansicht einrichten

Schritt 4: Die Elemente messen

Schritt 5: Skalieren des Bildes

Schritt 6: Eine Ausrichtung erstellen

Schritt 7: Definition Ihrer Voreinstellungen

Schritt 8: Kommentare hinzufügen

Schritt 9: Weitere Elemente messen

Schritt 10: Neue Elemente aus Vorhandenen Elementen konstruieren

Schritt 11: Merkmale berechnen

Schritt 12: Die auszuführenden Elemente markieren

Schritt 13: Die Protokollausgabe einstellen

Schritt 14: Das fertiggestellte Programm ausführen

Schritt 15: Das Protokoll ausdrucken Report


Schritt 1: : Erstellen eines neuen Werkstückprogramms

Display Menu Roadmap
So erstellen Sie ein neues Werkstückprogramm:

  1. Öffnen Sie das PC-DMIS-Programm durch Doppelklicken auf das PC-DMIS-Symbol. Sie können PC-DMIS auch öffnen, indem Sie auf die Schaltfläche Start und dann auf Programme | PC-DMIS for Windows | Offline klicken. Es erscheint das Dialogfeld Datei öffnen. Wenn Sie in einer vorangegangenen PC-DMIS-Sitzung ein Werkstückprogramm erstellt haben, so könnten Sie dieses Programm hier laden.
  2. Da Sie für diese Übung ein neues Werkstückprogramm erstellen, klicken Sie nun auf die Schaltfläche Abbrechen, um das Dialogfeld zu schließen.
  3. Öffnen Sie das Dialogfeld Neues Werkstückprogramm (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).
    Geben Sie im Feld Werkstückname den Namen "TEST" ein.
  4. Stellen Sie als Maßeinheit Englisch (Zoll) ein.
  5. Wählen Sie in der Auswahlliste Schnittstelle den Eintrag ONLINE aus.
  6. Klicken Sie auf OK. PC-DMIS erstellt das neue Werkstückprogramm.

Sobald Sie ein neues Werkstückprogramm erstellt haben, aktiviert PC-DMIS die Hauptbenutzeroberfläche und öffnet unmittelbar danach das Dialogfeld Taster, damit Sie einen Taster laden können.

Fahren Sie mit dem nächsten Schritt fort: " Definieren eines Tasters ".


Schritt 2: : Definieren eines Tasters

Display Menu Roadmap
Im Dialogfeld Taster können Sie einen neuen Taster definieren. Wenn Sie zuerst ein neues Werkstückprogramm erstellen, blendet PC-DMIS dieses Dialogfeld automatisch ein. Weitere Informationen finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".

Hinweis: Klicken Sie auf dieses Symbol auf der Symbolleiste Zusätze

um den Taster-Assistenten von PC-DMIS zu öffnen. PC-DMIS muß dabei ausgeführt werden.

Im Bereich Tasterbeschreibung des Dialogfelds Taster können Sie Taster, Tasterverlängerungen und Tastspitzen definieren, die im Werkstückprogramm verwendet werden. Die Auswahlliste Tasterbeschreibung zeigt die verfügbaren Tasteroptionen in alphabetischer Reihenfolge an.

So laden Sie Ihren Taster über das Dialogfeld Taster:

  1. Geben Sie im Feld Tasterdatei den Namen des Tasters ein. Wenn Sie später weitere Werkstückprogramme erstellen, werden Ihre Taster in diesem Dialogfeld zur Auswahl bereitstehen.
  2. Wählen Sie die Aussage: "Kein Taster definiert."
  3. Wählen Sie in der Auswahlliste Tasterbeschreibung den gewünschten Tastkopf mit der Maus oder den Pfeiltasten aus und drücken Sie die EINGABETASTE.
  4. Markieren Sie die Zeile Leere Verbindung Nr. 1 und fahren Sie mit dem Auswählen der benötigten Tasterteile fort.
    Klicken Sie auf die Schaltfläche OK. Das Dialogfeld Taster wird geschlossen und PC-DMIS kehrt zur Hauptbenutzeroberfläche zurück.
  5. Prüfen Sie, ob die soeben erstellte Tastspitze als aktive Tastspitze angezeigt wird. (Betrachten Sie dazu die Liste Tastspitzen in der Symbolleiste Einstellungen.)

Hinweis: Für die Zwecke dieser Übung wird das Kalibrierverfahren nicht behandelt.

An dieser Stelle richten Sie die Ansichten ein, die Sie im Grafikfenster verwenden werden. Klicken Sie auf das Symbol Ansicht einrichten, um das Dialogfeld Ansicht einrichten zu öffnen.

Fahren Sie mit dem nächsten Schritt fort: " Einrichten der Ansicht ".


Schritt 3: : Einrichten der Ansicht

Display Menu Roadmap
Zum Ändern der Ansichten im Grafikfenster verwenden Sie das Dialogfeld Ansicht einrichten. Sie können dieses Dialogfeld auch anzeigen, indem Sie in der Symbolleiste Grafikmodi auf das Symbol "Ansicht einrichten" klicken oder indem Sie die Menüoption Ansicht einrichten auswählen (unter "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

  1. Wählen Sie im Dialogfeld Ansicht einrichten das gewünschte Bildschirmformat aus. Klicken Sie für dieses Lernprogramm auf die zweite Schaltfläche (obere Reihe, zweite Schaltfläche von links) und richten Sie ein horizontal geteiltes Fenster ein.
  2. Wenn Sie den oberen Bildteil in Z+-Richtung betrachten wollen, öffnen Sie die blaue Auswahlliste im Bereich Ansichten im Dialogfeld und wählen Sie Z+.
  3. Wenn Sie den unteren Bildteil in Y-Ausrichtung betrachten wollen, öffnen Sie die rote Auswahlliste und wählen Sie Y-.
  4. Klicken Sie auf die Schaltfläche Übernehmen, damit PC-DMIS das Grafikfenster mit den beiden angeforderten Ansichten neu zeichnet. Da Sie das Werkstück noch nicht gemessen haben, wird im Grafikfenster nichts angezeigt. Der Bildschirm wird jedoch gemäß dem im Dialogfeld Ansicht einrichten ausgewählten Ansichten geteilt.

Hinweis: Alle Anzeigeoptionen wirken sich lediglich auf die Art und Weise aus, wie PC-DMIS das Bild des Werkstücks anzeigt. Sie haben keinerlei Auswirkung auf gemessene Daten oder Prüfergebnisse.

Fahren Sie mit dem nächsten Schritt fort: " Messen von Elementen ".


Schritt 4: : Messen von Elementen

Sobald der Taster definiert und angezeigt wurde, können Sie den Meßvorgang beginnen. Informationen zur korrekten Aufnahme von Meßpunkten finden Sie unter Messen von Elementen. (Auch das Löschen von Meßpunkten und Elementen wird dort behandelt.)

Fahren Sie mit dem nächsten Schritt fort: " Skalieren des Bildes ".

Siehe auch:

Eine Ebene messen

Eine Linie messen

Einen Kreis messen


Messen einer Ebene

Eine Ebene messen

Nehmen Sie drei Meßpunkte auf der Oberfläche auf. Die Meßpunkte sollten eine Dreiecksform ergeben und so weit wie möglich auseinander liegen. Drücken Sie nach dem dritten Meßpunkt die Taste ENDE. PC-DMIS zeigt eine Merkmal-ID und ein Dreieck an, um die Messung der Ebene zu signalisieren.


Eine Linie messen

Um eine Linie zu messen, nehmen Sie zwei Meßpunkte an der Werkstückkante auf – den ersten Meßpunkt auf der linken Seite des Werkstücks und den zweiten Meßpunkt rechts neben dem ersten Meßpunkt. Die Richtung ist beim Messen von Elementen sehr wichtig, da PC-DMIS diese Informationen zur Erstellung des Koordinatenachsensystems verwendet. Drücken Sie nach dem zweiten Meßpunkt die Taste ENDE. PC-DMIS zeigt im Grafikfenster eine Merkmal-ID und eine gemessene Linie an.


Einen Kreis messen

Bewegen Sie den Taster auf den Mittelpunkt eines Kreises. (Für dieses Beispiel wurde der Kreis links oben ausgewählt.) Senken Sie den Taster in das Loch und messen Sie den Kreis, indem Sie vier Meßpunkte in ungefähr gleichem Abstand aufnehmen. Drücken Sie nach dem letzten Meßpunkt die Taste ENDE. PC-DMIS zeigt im Grafikfenster eine Merkmal-ID und einen gemessenen Kreis an.


Schritt 5: : Skalieren des Bildes

Display Menu Roadmap
Nachdem die drei Merkmale gemessen sind, klicken Sie auf das Symbol "Größe anpassen" in der Symbolleiste (oder wählen Sie Größe anpassen in der Menüleiste), um alle gemessenen Elemente im Grafikfenster anzuzeigen.

Grafikfenster mit den gemessenen Elementen

Der nächste Schritt innerhalb des Meßvorgangs ist das Erstellen einer Ausrichtung.

Fahren Sie mit dem nächsten Schritt fort: " Erstellen einer Ausrichtung ".


Schritt 6: : Erstellen einer Ausrichtung

Mit diesem Verfahren legen Sie den Koordinatennullpunkt fest und definieren die X-, Y- und Z-Achsen.Detaillierte Informationen zum Erstellen von Ausrichtungen finden Sie im Abschnitt "Erstellen und Verwenden von Ausrichtungen".

Display Menu Roadmap
Hinweis: Klicken Sie auf dieses Symbol auf der Symbolleiste Zusätze
um den 3-2-1 Ausrichtungs-Assistenten von PC-DMIS zu öffnen. PC-DMIS muß dabei ausgeführt werden.

  1. Öffnen Sie das Dialogfeld Ausrichtungen (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)
  2. Verwenden Sie den Cursor oder die Pfeiltasten, um die im Listenfeld aufgeführte Ebenenelement-ID (EBENE1) hervorzuheben. Wenn Sie die Elementbezeichnungen nicht geändert haben, wird die Ebenenelement-ID im Listenfeld als "E1" (für Element 1) aufgeführt.
  3. Klicken Sie auf die Befehlsschaltfläche Ebene, um die Ausrichtung der vertikalen Achse der aktuellen Arbeitsebene festzulegen.
  4. Heben Sie die Ebenenelement-ID (EBENE1 oder F1) ein zweites Mal hervor.
  5. Markieren Sie das Kontrollkästchen Auto.
  6. Klicken Sie auf die Schaltfläche Nullpunkt. Damit wird der Nullpunkt des Werkstücks auf eine bestimmte Position (in diesem Fall, auf der Ebene) übertragen (oder verschoben). Wenn das Kontrollkästchen Auto markiert ist, werden die Achsen basierend auf dem Elementtyp und der Richtung dieses Elements bewegt.
  7. Heben Sie die Linienelement-ID (LINE1 oder F2) hervor.
  8. Klicken Sie auf die Schaltfläche Drehen. Damit wird die definierte Achse der Arbeitsebene zum Element hin gedreht. PC-DMIS dreht die definierte Achse um den Flächenmittelpunkt, der als Nullpunkt dient.
  9. Heben Sie die Kreiselement-ID (KREIS1 oder F3) hervor.
  10. Vergewissern Sie sich, daß das Kontrollkästchen Auto markiert ist.
  11. Klicken Sie auf die Schaltfläche Nullpunkt. Damit wird der Nullpunkt zum Kreismittelpunkt hin bewegt und der Punkt auf dem Ebenenniveau gehalten.

Klicken Sie auf OK, wenn Sie obige Schritte durchgeführt haben. Die Liste Ausrichtungen (in der Symbolleiste Einstellungen) und das Bearbeitungsfenster zeigen nun die neu erstellte Ausrichtung an.

Auch das Grafikfenster wird aktualisiert, um die aktuelle Ausrichtung anzuzeigen.

Aktualisiertes Grafikfenster mit der aktuellen Ausrichtung

Fahren Sie mit dem nächsten Schritt fort: " Voreinstellungen ".


Schritt 7: : Definition Ihrer Voreinstellungen

Display Menu Roadmap
Sie können PC-DMIS an Ihre spezifischen Bedürfnisse oder Vorlieben anpassen. Es gibt eine Vielzahl von Optionen, auf die Sie über das Untermenü Einstellungen zugreifen können. In diesem Abschnitt werden nur die für diese Übung sachdienlichen Optionen behandelt. Vollständige Informationen zu allen verfügbaren Optionen finden Sie unter "Voreinstellungen".

Fahren Sie mit dem nächsten Schritt fort: " Hinzufügen von Kommentaren ".

Siehe auch:

Eingeben des CNC-Modus

Einstellen der Bewegungsgeschwindigkeit

Festlegen der Sicherheitsebene


Eingeben des CNC-Modus

Display Menu Roadmap

Wählen Sie den CNC-Modus aus. Dazu klicken Sie entweder auf das Symbol CNC-Modus in der Symbolleiste, oder Sie setzen Ihren Cursor auf die Zeile "MODUS/MANUELL" im Bearbeitungsfenster und drücken die Taste F8.

Im Bearbeitungsfenster erscheint nun der Befehl MODE/CNC.

Weitere Informationen zu den verschiedenen KMG-Modi finden Sie unter "Symbolleiste Manueller / CNC-Modus"".


Einstellen der Bewegungsgeschwindigkeit

Display Menu Roadmap
Mit der Option Bewegungsgeschwindigkeit können Sie die Punkt-zu-Punkt-Positionierungsgeschwindigkeit des KMGs ändern.

  1. Öffnen Sie das Dialogfeld Parametereinstellungen (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).
  2. Öffnen Sie die Registerkarte Bewegung.
  3. Setzen Sie den Cursor auf das Feld Bewegungsgeschwind.
  4. Wählen Sie den aktuellen Wert des Felds "Bewegungsgeschwind.".
  5. Geben Sie 50 ein. Dieser Wert ist definiert den prozentualen Anteil der maximalen Maschinengeschwindigkeit.

Mit dieser Einstellung bewegt PC-DMIS das KMG mit 50% der Höchstgeschwindigkeit. Die Standardeinstellungen für die anderen Optionen genügen den Anforderungen in dieser Übung.

Siehe auch "Parametereinstellungen: Registerkarte Bewegung", um weitere Informationen zur Bewegungsgeschwindigkeit und zu anderen Bewegungsoptionen zu erhalten.


Einstellen der Sicherheitsebene

Einstellen der Sicherheitsebene«

Display Menu Roadmap
So definieren Sie eine Sicherheitsebene:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).
  2. Öffnen Sie die Registerkarte Sicherheitsebene.
  3. Markieren Sie das Kontrollkästchen Sicherheitsebenen aktiv (EIN).
  4. Heben Sie den aktuellen Wert des Felds Aktive Ebene hervor.
  5. Geben Sie den Wert 0,50 ein. Mit dieser Einstellung wird eine Sicherheitsebene von etwa 125 mm um die oberste Ebene des Werkstücks herum erstellt.
  6. Prüfen Sie, ob die oberste Ebene als die aktive Ebene angezeigt wird.
  7. Klicken Sie auf Übernehmen.
  8. Klicken Sie auf die Schaltfläche OK. PC-DMIS schließt das Dialogfeld und speichert die Sicherheitsebene im Bearbeitungsfenster.

Siehe auch "Parametereinstellungen: Registerkarte Sicherheitsebene tab" um weitere Informationen zur Definition von Sicherheitsebenen zu erhalten.


Schritt 8: : Hinzufügen von Kommentaren

Display Menu Roadmap
So fügen Sie Kommentare hinzu:

  1. Öffnen Sie das Dialogfeld Kommentar (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).
  2. Klicken Sie auf die Option Bediener.
  3. Geben Sie im Textfeld Kommentar den folgenden Text ein: "WARNUNG: Maschine geht in den CNC-Modus ."
  4. Klicken Sie auf OK, um das Dialogfeld zu schließen und diesen Befehl im Bearbeitungsfenster anzuzeigen.

Weitere Informationen finden Sie unter "Einfügen von Programmiererkommentaren".

Fahren Sie mit dem nächsten Schritt fort: " Messen von zusätzlichen Elementen ".


Schritt 9: : Messen von zusätzlichen Elementen

Verwenden Sie den Taster, um drei weitere Kreise und einen Kegel zu messen. Beim Messen des Kegels gehen Sie am besten gemäß der untenstehenden Zeichnung vor und nehmen drei Meßpunkte auf der oberen Ebene und drei Meßpunkte auf einer unteren Ebene auf.

Aus Messungen auf unterschiedlichen Ebenen konstruierter Kegel

Fahren Sie mit dem nächsten Schritt fort: " Konstruieren von neuen Elementen aus vorhandenen Elementen ".


Schritt 10: : Konstruieren von neuen Elementen aus vorhandenen Elementen

Display Menu Roadmap
PC-DMIS kann Elemente durch Nutzung anderer Elemente erstellen. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).
  2. Klicken Sie mit dem Mauszeiger im Grafikfenster oder im Listenfeld des Dialogfelds Linienkonstruktion auf zwei Kreise (KREIS2, KREIS3). Wenn die Kreise ausgewählt sind, werden Sie hervorgehoben angezeigt.
  3. Wählen Sie die Option Auto
  4. Wählen Sie die Option 2D-Linie.
  5. Klicken Sie auf die Schaltfläche Erstellen.

PC-DMIS erstellt eine Linie (LINIE2) unter Verwendung der effektivsten Konstruktionsmethode.

Die Linie und Element-ID werden im Grafikfenster und im Bearbeitungsfenster angezeigt.

Darstellung einer konstruiertne Linie im Grafikfenster

Weitere Informationen zum Konstruieren von Elementen finden Sie unter "Konstruieren von neuen Elementen aus vorhandenen Elementen".

Fahren Sie mit dem nächsten Schritt fort: " Berechnen von Merkmalen ".


Schritt 11: : Berechnen von Merkmalen

Display Menu Roadmap
Sobald ein Element erstellt ist, können seine Merkmale berechnet werden. Merkmale können in jeder Phase des Lernens eines Werkstückprogramms erzeugt werden und eignen sich für Anpassungen an individuelle Spezifikationen. PC-DMIS zeigt die Ergebnisse der einzelnen Merkmalsoperationen im Bearbeitungsfenster an.

So erzeugen Sie ein Merkmal:

  1. Öffnen Sie das Dialogfeld Lage (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).
  2. Wählen Sie im Listenfeld oder im Grafikfenster die letzten drei Kreise aus, die durch Hervorheben der Elementidentifikationen im Listenfeld gemessen wurden.
  3. Klicken Sie auf die Schaltfläche Erstellen.

PC-DMIS zeigt die Lage der drei Kreise im Bearbeitungsfenster an. Diese Werte können einfach durch Doppelklicken auf die gewünschte Linie, Hervorheben des benötigten Nennwerts und Eingabe des neuen Werts verändert werden.

Weitere Informationen zum Erstellen von Merkmalen finden Sie unter "Merkmale für Elemente erstellen".

Fahren Sie mit dem nächsten Schritt fort: " Markieren der auszuführenden Elemente ".


Schritt 12: : Markieren der auszuführenden Elemente

Display Menu Roadmap
Anhand von Markierungen können Sie festlegen, welche Elemente Ihres Werkstückprogramms ausgeführt werden sollen. Markieren Sie für dieses Lernprogramm alle Elemente.

  1. Sie markieren alle Elemente des Werkstückprogramms, indem Sie auf die Menüoption Alles markieren klicken. Diese Option wird unter "Bearbeiten eines Werkstückprogramms" näher beschrieben. Nachden Sie die Elemente markiert haben, werden sie in der aktuellen Markierfarbe angezeigt.
  2. PC-DMIS fragt nach, ob Sie die manuellen Ausrichtungselemente markieren möchten. Klicken Sie auf Ja.

Fahren Sie mit dem nächsten Schritt fort: " Einstellen der Protokollausgabe ".


Schritt 13: : Einstellen der Protokollausgabe

Display Menu Roadmap
PC-DMIS sendet das Abschlußprotokoll je nach ausgewählter Option in eine Datei oder an einen Drucker. Stellen Sie für dieses Lernprogramm die Protokollausgabe auf den Drucker ein.

  1. Klicken Sie auf die Menüoption Drucker einrichten im Bearbeitungsfenster (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen). Das Dialogfeld Druckoptionen wird angezeigt.
  2. Aktivieren Sie das Kontrollkästchen Drucker.
  3. Klicken Sie auf OK.

Es gibt nun genügend Informationen, so daß PC-DMIS das in dieser Übung erstellte Werkstückprogramm ausführen kann.

Fahren Sie mit dem nächsten Schritt fort: " Ausführen des fertiggestellten Programms ".


Schritt 14: : Ausführen des fertiggestellten Programms

Display Menu Roadmap
Es gibt eine Vielzahl von Optionen, mit denen Sie das gesamte Werkstückprogramm oder Teile davon ausführen können. Siehe "Ausführen von Werkstückprogrammen" im Abschnitt "Verwenden von fortgeschrittenen Datei-Optionen".

Sobald alle Schritte durchgeführt wurden:

  1. Klicken Sie auf die Menüoption Ausführen (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen). PC-DMIS zeigt das Dialogfeld Ausführungsoptionen an und beginnt den Meßvorgang.
  2. Lesen Sie die Anweisungen im KMG -Befehlsfenster und befolgen Sie die Aufforderungen zur Aufnahme bestimmter Meßpunkte.
  3. PC-DMIS fordert Sie auf, die Meßpunkte ungefähr an der im Grafikfenster angegebenen Stelle aufzunehmen.
  • Nehmen Sie drei Meßpunkte auf der Oberfläche auf, um eine Ebene zu erstellen. Drücken Sie die Taste ENDE.
  • Nehmen Sie zwei Meßpunkte an der Kante auf, um eine Linie zu erstellen. Drücken Sie die Taste ENDE.
  • Nehmen Sie vier Meßpunkte innerhalb des Kreises auf. Drücken Sie die Taste ENDE.
  4. Klicken Sie nach der Aufnahme jedes Meßpunkts auf Fortfahren.

So einfach ist das. (Wenn PC-DMIS einen Fehler erkennt, wird dieser im Dialogfeld in der Liste KMG-Fehler angezeigt und Sie müssen etwas unternehmen, bevor das Programm fortfahren kann.)

Sobald Sie den letzten Meßpunkt des Kreises aufgenommen haben, blendet PC-DMIS das Dialogfeld PC-DMIS-Meldung mit der folgenden Meldung ein: "WARNUNG: Maschine geht in den CNC-Modus ." Sobald Sie auf OK klicken, mißt PC-DMIS automatisch alle übrigen Elemente.

Wenn ein Fehler auftritt, suchen Sie die Ursache mit Hilfe der Auswahlliste KMG-Fehler im Dialogfeld Ausführungsoptionen. Führen Sie die notwendigen Eingriffe durch, um das Problem zu beheben. Klicken Sie auf die Schaltfläche Fortfahren, damit die Ausführung des Werkstückprogramms abgeschlossen wird.

Fahren Sie mit dem nächsten Schritt fort: " Drucken des Protokolls ".


Schritt 15: : Drucken des Protokolls

Nach der Ausführung des Werkstückprogramms sendet PC-DMIS das Protokoll automatisch an die gewünschte Ausgabeeinheit. Diese Einstellung wird im Dialogfeld Druckeroptionen festgelegt. Da Sie das Kontrollkästchen Drucker markiert haben, wird das Protokoll an den Drucker gesendet. Stellen Sie sicher, daß der Drucker zum Überprüfen des Werkstückprogramms angeschlossen und eingeschaltet ist.

Herzlichen Glückwunsch! Sie haben dieses Lernprogramm abgeschlossen. Weitere Informationen zu diesem Lernprogramm finden Sie unter folgenden in diesem Abschnitt behandelten Themen:

  • Messen der Elemente
  • Verwenden verschiedener Tasteroptionen
  • Grafische Darstellung eines Werkstücks
  • Arbeiten im manuellen oder CNC-Modus


Messen von Elementen

Stellen Sie sicher, daß in der Auswahlliste Anzeige der Symbolleiste Einstellungen der gewünschte Taster und die gewünschte Arbeitsebene aufgeführt werden. PC-DMIS sollte zudem auf den manuellen Modus eingestellt sein.

Bei PC-DMIS ist es nicht erforderlich, daß der Bediener Daten zum Messen eines Elements eingibt. Sie können die Maus verwenden, um ein CAD-Element zu messen (wenn CAD-Daten verfügbar sind), oder Sie können den Taster zusammen mit dem KMG verwenden. Sobald das Element mit der Maus oder mit dem KMG-Taster gemessen wurde, drücken Sie die Taste ENDE. PC-DMIS bestimmt daraufhin automatisch den Elementtyp (Kreis, Linie, Ebene usw.). Außerdem kompensiert PC-DMIS automatisch den Tasterradius. Weitere Informationen zur Messung von Elementen aus CAD-Daten finden Sie unter "Arbeiten im Offline-Modus".

Siehe auch:

Erforderliche Mindestanzahl von Meßpunkte für ein Element

Die Stärke von Blechelementen bestimmen


Mindestanzahl von Meßpunkten für ein Element

PC-DMIS setzt eine Mindestanzahl von Meßpunkten voraus, bevor es ein bestimmtes Element identifiziert. In bestimmten Fällen ist es ratsam, zusätzliche Meßpunkte aufzunehmen, um die Genauigkeit zu verbessern.

Element | Mind.anzahl Meßpunkte | Besondere Anweisungen
Punkt | 1 | Siehe Hinweis unten.
Linie | 2 | PC-DMIS zeichnet Linien zwischen den am weitesten entfernten Punkten in einer Gruppe.
Kreis | 3 | Wenn ein Kreis mit weniger als 180° gemessen wird, zeichnet PC-DMIS einen Bogen zwischen den am weitesten entfernten Punkten in einer Gruppe.
Ebene | 3 | -
Kugel | 4 | -
Kegel | 6 | Gelegentlich kann PC-DMIS einen Kegel mit sechs Meßpunkten nicht erkennen. Versuchen Sie in diesem Fall sieben Meßpunkte aufzunehmen. (Nehmen Sie drei Meßpunkte auf einer Ebene, drei auf einer anderen und einen zwischen den beiden Ebenen auf.) Alle nach den ersten drei Meßpunkten aufgenommenen Meßpunkte sollten entweder alle unterhalb oder alle oberhalb der durch die ersten drei Meßpunkte definierten Ebene liegen. Dies gewährleistet optimale Ergebnisse. PC-DMIS zeichnet zwei Kreise: den ersten auf der Ebene der ersten drei Punkte, den zweiten auf der Ebene des tiefsten Punkts. Zylinder werden auf ähnliche Weise gezeichnet.
Zylinder | 6 | Siehe Kegel.

Gelegentlich kommt es vor, daß PC-DMIS einen Elementtyp nicht richtig erkennt – die Ursache ist abhängig von der Geometrie des Werkstücks und von der Art und Weise, wie das Element gemessen wird. In diesem Fall können Sie die fehlerhafte Erkennung ablehnen, indem Sie die Anweisungen unter "Ändern geschätzter Elemente" im Abschnitt "Bearbeiten eines Werkstückprogramms" befolgen.

  • Wenn PC-DMIS wiederholt einen Kreis bzw. eine Kugel erkennt, wenn eine Linie bzw. eine Ebene gemessen wurde, sollten Sie versuchen die Meßpunkte in gleichbleibender Richtung aufzunehmen. Dies bedeutet, daß Sie sich den einzelnen Berührungspunkten beim Messen einer Linie oder Ebene in ungefähr derselben Richtung nähern sollten.
  • Wenn PC-DMIS wiederholt eine Linie bzw. eine Ebene erkennt, wenn ein Kreis bzw. eine Kugel gemessen wurde, sollten Sie versuchen, die Meßpunkte in sich stärker unterscheidenden Richtungen aufzunehmen. Wenn Sie z.B. einen Bogen messen und Sie alle Berührungspunkte durch Abtasten in der X+Richtung erreichen können, sollten Sie versuchen einige Punkte in der Richtung + oder -Y zu messen.

Hinweis: Beim Messen eines Punkts (ein einziger Meßpunkt) kompensiert PC-DMIS den Tasterradius entlang der Werkstückachse, die am nächsten zur Bewegungsrichtung des Tasters beim Ausfahren lag. Wenn beispielsweise ein Punkt in der negativen X-Richtung gemessen wird, kompensiert PC-DMIS den Tasterradius in der Richtung -X (auch wenn der Taster leicht in der Y-Achse bewegt wurde). Bei CNC-Maschinen (oder manuellen Maschinen, die mit der Blechoption verwendet werden) finden Sie weitere Informationen zur Kompensation unter "IJK-Felder für "Vertikaler Vektor"" und "Tasterkompensation".

Siehe auch:

Meßpunkte aufnehmen

Meßpunkte löschen

Elemente Beenden


Aufnehmen von Meßpunkten

Display Menu Roadmap
Mit der Menüoption Meßpunkt aufnehmen wird ein Meßpunkt aufgenommen. Der Computer erhält damit die Anweisung, die Position des Tasters entlang der X-, Y- und Z-Achse aufzuzeichnen. Diese Option ist nur bei bestimmten Schnittstellentypen verfügbar. Diese Option funktioniert mit fast allen (oder allen) Steuereinheiten, sofern ein starrer Taster verwendet wird.


Entfernen oder Löschen von Meßpunkten

Display Menu Roadmap
Mit PC-DMIS können Sie problemlos Meßpunkte aus dem Meßpunktpuffer löschen, die bei der letzten Tasterberührung falsch aufgenommen worden sind. Wählen Sie hierfür die Menüoption Meßpunkt löschen oder drücken Sie die Tasten ALT+ ' - ' (Minus). Sie können beliebig viele Meßpunkte löschen, indem Sie mit dem zuletzt aufgenommen Meßpunkt beginnen. Diese Option ist erst dann verfügbar, wenn Sie die Elementmessung durch Auswahl der Menüoption Element beenden beendet haben. Mit der Menüoption Element beenden erstellen Sie das gemessene Element und der Meßpunktpuffer wird automatisch geleert.

Nach der Erstellung eines Elements können Sie unerwünschte Elemente löschen, indem Sie die Anweisungen unter "Löschen von Elementen" unter "Bearbeiten der CAD-Anzeige" befolgen.

Hinweis: Es gibt KMGs, die über eine Taste Löschen von Meßpunkten auf der Bedieneinheit verfügen.

Mit PC-DMIS können Sie Meßpunkte auch innerhalb von Elementen während des Ausführungsmodus' löschen. Drücken Sie die Tasten ALT+ ' - ' (Minus), um den derzeit markierten Meßpunkt im Listenfeld KMG-Befehle des Dialogfelds Ausführungsoptionen zu löschen.

Hinweis: Wird die Taste DRUCKEN auf der Bedieneinheit (falls vorhanden) während des Ausführmodus betätigt, hat dies denselben Effekt wie das Drücken der Tastenkombination ALT+ ' - ' (Minus). Verwenden Sie den PC-DMIS-Einstellungseditor, um den Eintrag PrintButton der Systemregistrierung auf 0 zu setzen und diese Funktion zu aktivieren. Weitere Informationen hierzu finden Sie im Abschnitt "Ändern von Registrierungseinträgen".


Elemente Beenden

Display Menu Roadmap
Mit der Menüoption Element beenden können Sie PC-DMIS signalisieren, daß die Konstruktion eines Elements beendet ist. Sie können auch die ENDE-Taste betätigen.


Bestimmen der Stärke von Blechelementen

Mit PC-DMIS können Sie festlegen, welche Stärke für ein Werkstück angewendet werden soll. Verwenden Sie dazu den Bereich Stärke im Dialogfeld Auto Elemente. Die verfügbaren Optionen sind "Theoretische Stärke" und "Ist-Stärke".

So rufen Sie die Stärkeoptionen auf:

Display Menu Roadmap
Öffnen Sie das Dialogfeld Auto Elemente (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

  2. Öffnen Sie die Register für das Auto Element, das Sie erstellen möchten.
  3. Klicken Sie auf die Schaltfläche Fortgeschritten, um das Dialogfeld zu erweitern.
  4. Sie haben die Wahl zwischen den Optionen Theo Stärke und Ist- Stärke.
  5. Geben Sie die Stärke in das Feld ein.
  6. Klicken Sie auf Erstellen, um das Element zu erstellen.

Siehe auch:

Theoretische Stärke

Ist-Stärke


Theoretische Stärke

Mit der Option Theoretische Stärke haben die Möglichkeit, die theoretischen Werte um eine ausgewählte Stärke anzupassen, um so die gegenüberliegende Seite des Materials zu messen.


Ist-Stärke

Mit der Option Ist- Stärke können Sie die Ziellage der Messung versetzen und die gemessenen Werte dann entlang des theoretischen Vektors um die Stärke anpassen.


Verwenden unterschiedlicher Tasteroptionen

Der erste Schritt bei der KMG-Werkstückprogrammierung besteht in der Definition der Taster, die beim Prüfverfahren verwendet werden sollen.Für ein neues Werkstückprogramm muß zuerst eine Tasterdatei erstellt werden, bevor der Meßvorgang beginnen kann. PC-DMIS unterstützt eine breite Palette von Tastertypen und Kalibrierwerkzeugen. Es bietet außerdem eine einzigartige Methode zur Kalibrierung des Dreh-/Schwenkkopfes PH9/PH10 von Renishaw.Sie können über das Dialogfeld Taster auf weitere Tasteroptionen zugreifen.

Display Menu Roadmap
Es wird vorausgesetzt, daß ein Taster geladen und kalibriert wurde. Weitere Informationen zum Erstellen von Tasterdateien und zum Kalibrieren von Tastern finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".

Siehe auch:

Online-Verwendung eines Tasters

Offline-Verwendung eines Tasters

Verwendung starrer Taster


Online-Verwendung eines Tasters

So messen Sie einen Punkt im Online-Modus mit Hilfe eines schaltenden Tastsystems (TTP):

  1. Senken Sie den Taster auf die Oberfläche, auf der der Punkt aufgenommen werden soll.
  2. Lösen Sie den Taster aus, indem Sie die Oberfläche berühren.
  3. Drücken Sie die Taste ENDE, um den Meßvorgang zu beenden.

PC-DMIS wurde so konzipiert, daß es den Elementtyp automatisch erkennt. Die Tasterkompensation wird durch den Tasterradius bestimmt. Die Kompensationsrichtung wird durch die Maschinenrichtung bestimmt.

Beim Messen eines Kreises befindet sich der Taster beispielsweise innerhalb des Kreises und bewegt sich nach außen. Beim Messen eines Stiftbolzens beginnt der Taster außerhalb des Kreises und bewegt sich nach innen gegen das Werkstück.

Beim Messen von Punkten ist es wichtig, daß die Antastrichtung vertikal (rechtwinklig) zur Oberfläche liegt. Dies ist bei der Messung anderer Elemente zwar nicht erforderlich, durch dieses Vorgehen wird jedoch die Genauigkeit bei der Bestimmung des Elementtyps verbessert.

Um einen Punkt mit einem starren Taster zu messen, müssen Sie den Elementtyp des zu messenden Elements und die Tasterkompensationsrichtung angeben Siehe auch "Verwenden von starren Tastern".


Offline-Verwendung eines Tasters

Wenn Sie PC-DMIS im Offline-Betrieb verwenden, können Sie auf alle Tasteroptionen zugreifen. Es sind jedoch keine Ist-Messungen möglich. Sie können die Tasterdaten entweder eingeben oder Standardeinstellungen verwenden. Beispielsweise kann ein Kalibiernormal nicht tatsächlich gemessen werden, um einen Taster zu kalibrieren – Sie müssen die Nennwerte des Tasters eingeben.

So messen Sie einen Punkt:

  1. Stellen Sie sicher, daß sich PC-DMIS im Programmodus befindet. Klicken Sie gegebenenfalls auf das Symbol Programmodus in der Symbolleiste Grafik modi. (Siehe auch "Symbolleiste "Grafikmodi"" im Abschnitt "Arbeiten mit den Symbolleisten".)
  2. Bewegen Sie den Mauszeiger auf die Position, wo der Meßpunkt aufgenommen werden soll.
  3. Klicken Sie mit der rechten Maustaste, um den Taster in den Bereich des Werkstücks zu bewegen, wo der Meßpunkt aufgenommen werden soll. Der Taster wird auf dem Bildschirm angezeigt und die Tastertiefe wird eingestellt.
  4. Klicken Sie mit der linken Maustaste, um am Werkstück einen Meßpunkt zu registrieren.
  5. Drücken Sie die Taste ENDE, um den Meßvorgang zu beenden.


Verwenden von starren Tastern

PC-DMIS unterstützt eine breite Palette von starren Tastern. Die Verwendung und Kalibrierung starrer Taster funktioniert dabei ähnlich wie bei schaltenden Tastsystemen (TTP).

Bei Auswahl eines Starren Tasters erwartet PC-DMIS einen Taster, der nicht automatisch bei Berührung des Werkstücks ausgelöst wird. Mit einem starren Taster können keine CNC -Kalibrierungen durchgeführt werden. Vergewissern Sie sich, daß der richtige Tastertyp ausgewählt wurde.

Bestimmen Sie den zu messenden Elementtyp und klicken Sie auf das entsprechende Symbol.

  • Flache Elemente werden als Punkte, Ebenen und Linien definiert.
  • Runde Elemente umfassen Kreise, Kugeln, Kegel und Zylinder.

Weitere Informationen zur Erkennung von runden und flachen Elementen finden Sie unter Symbolleiste Tastermodus (die sich im Menü Ansicht befindet) (siehe auch "Die Symbolleiste Tastermodus" im Abschnitt "Arbeiten mit Symbolleisten").

Display Menu Roadmap
Hinweis: Weitere Informationen zum Verwenden von Tastenkombinationen und zum Umschalten zwischen den Modi Ebenen- und Runderkennung finden Sie unter "Verwenden von Tastaturbefehlen und Kontextmenüs".

Siehe auch:

Aufnehmen eines Meßpunkts mit einem starren Taster

Flache Elemente

Runde Elemente


Aufnehmen eines Meßpunkts mit einem starren Taster

Display Menu Roadmap
Bei schaltenden Tastsystemen (TTP) erfolgt die Aufnahme von Meßpunkten automatisch. Bei starren Tastern müssen Sie jedoch dem Taster mitteilen, wenn dieser seine Position registrieren soll. Gehen Sie dazu wie folgt vor:

  1. Positionieren Sie den Taster am Werkstück da, wo Sie den Meßpunkt aufnehmen möchten.
  2. Klicken Sie auf den Menübefehl Meßpunkt aufnehmen (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Hinweis: Wenn Sie mit einer Bedieneinheit arbeiten, drücken Sie die Taste zum Aufnehmen/Erfassen eines Meßpunkts.


Flache Elemente

So messen Sie eine Ebene mit einem starren Taster:

  1. Nehmen Sie zuerst mindestens drei Meßpunkte auf einer Oberfläche auf.
  2. Danach müssen Sie den Taster oberhalb der gewünschten Ebene positionieren.
  3. Drücken Sie die Taste ENDE.

Dadurch wird die Richtung der Ebene definiert. Die Richtung des normalen Oberflächenvektors ist aufwärts.

So messen Sie eine Linie:

  1. Nehmen Sie zwei Meßpunkte in der gewünschten Position auf.
  2. Bewegen Sie den Taster aus der gemessenen Linie heraus.
  3. Drücken Sie die Taste ENDE.

Hinweis: Die Richtung der Elemente muß bei PC-DMIS nicht definiert werden.


Runde Elemente

Wenn Sie runde Elemente mit einem starren Taster messen, muß der Taster (je nach Elementtyp) in einer festen Position gehalten werden.

  • Bei Löchern halten Sie den Taster innerhalb des Elements und drücken dann die Taste ENDE.
  • Bei Stiften halten Sie den Taster außerhalb des Elements und drücken dann die Taste ENDE.

Hinweis: Die Richtung der Elemente muß bei PC-DMIS nicht definiert werden.


Grafische Darstellung eines Werkstücks

Mit PC-DMIS können Sie Standard-IGES oder -DXF-Modelle verwenden, um Werkstückprogramme auf einem kostengünstigen PC oder PC-Klon zu generieren – ohne daß Sie überhaupt in die Nähe eines KMGs kommen. Diese Werkstückprogramme können dann auf beliebigen CNC-Maschinen, auf denen PC-DMIS läuft oder die DMIS-, Tutor- oder AVAIL-Spezifikationen unterstützen, eingesetzt werden.

Weitere Informationen zur Verwendung von CAD finden Sie unter "Arbeiten im Offline-Modus".

Wenn PC-DMIS mit der Ausführung eines Werkstückprogramms beginnt, zeigt es zuerst eine grafische Darstellung der theoretischen Werkstückgeometrie an. Dieses Bild kann von einer der folgenden drei Quellen stammen:

  1. Aus einer IGES-Datei oder DXF-Dateien, aus einer CAD-Zeichnung.
  2. Von den theoretischen Werten des Elements im Werkstückprogramm.
  3. Vom ersten Werkstück, das gemessen wurde, als das Werkstückprogramm online generiert wurde.

Wenn das Bild von Quelle 2 oder 3 stammt, handelt es sich lediglich um ein Teilbild.Das bedeutet, daß nur die Elemente angezeigt werden, die von PC-DMIS gemessen wurden.

Stammt das Bild von Quelle 1, handelt es sich bei der grafischen Darstellung um genau das, was mit dem CAD-System gezeichnet wurde. Sie haben dann die Möglichkeit, bestimmte Elemente aus der CAD-Zeichnung zu entfernen (Siehe auch "Löschen von CAD" im Abschnitt "Bearbeiten der CAD-Anzeige".) In jedem Fall dient das Bild lediglich dazu, Ihnen genügend Informationen zu vermitteln, um die Prüfdaten auf das aktuelle Werkstück beziehen zu können. Siehe auch "Importieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".

PC-DMIS zeigt beim Messen der einzelnen Werkstückelemente ein Bild des jeweiligen Elements im Grafikfenster an. Es zeichnet dieses Bild in den Farben, die im Dialogfeld Setup mit Hilfe der Registerkarte ID -Setup definiert wurden. Dadurch können Sie das tatsächliche Element optisch mit dem theoretischen Element vergleichen. Siehe auch "Setup-Optionen: Registerkarte "ID-Setup"" im Abschnitt "Voreinstellungen".

Sowohl im manuellen Offline-Modus als auch im manuellen Online-Modus zeigt PC-DMIS im Grafikfenster eine skalierte Animation des Tasters an. Dieses Symbol bewegt sich während der Ausführung um das Werkstück und zeigt damit an, wo die einzelnen Meßpunkte aufgenommen werden sollen.

Weitere Informationen zum Einstellen des Aussehens der Abbildung(en) im Grafikfenster finden Sie unter "Bearbeiten der CAD-Anzeige".


Arbeiten im manuellen oder CNC-Modus

Display Menu Roadmap
Mit der Symbolleiste Manueller/CNC-Modus können Sie das System problemlos in den manuellen oder CNC-Modus versetzen. Siehe auch "Symbolleiste "Manueller/CNC-Modus"" im Abschnitt "Arbeiten mit den Symbolleisten".

Der manuelle Modus wird bei einem manuellen KMG oder während des manuellen Ausrichtungsvorgangs eines Programms, das auf einem automatischen KMG läuft, verwendet. Um den Modus zu wechseln, klicken Sie auf das entsprechende Modussymbol in der Symbolleiste.

Mit PC-DMIS können Sie die Geschwindigkeiten und Abstände bestimmen, die im automatischen Meßvorgang angewendet werden. Siehe auch "Parametereinstellungen: Registerkarte "Bewegung"" im Abschnitt "Voreinstellungen".

Hinweis: Beachten Sie, daß Sie Sicherheitsebenen oder Bewegungspunkte definieren sollten, wenn Sie vom manuellen Modus in den CNC-Modus wechseln.


Navigating the User Interface

Aufbau des Bildschirms

Menüleiste

Symbolleistenbereich

Grafikfenster

Statusleiste

Dialogfeldbeschreibung

Anpassen der Benutzeroberfläche


Navigating the User Interface : Introduction

Navigation durch die Benutzeroberfläche: Einführung

Dieser Abschnitt bietet eine Einleitung zur Verwendung von PC-DMIS für Windows. Es werden die grundlegenden Verfahren angesprochen, die zum Betrieb der Software erforderlich sind. Um die Fähigkeiten von PC-DMIS voll ausschöpfen zu können und die Werkstückprogrammierung so einfach wie möglich zu machen, arbeiten Sie bitte das gesamte Kapitel an Ihrem Computer durch.

Zudem wird auch auf Möglichkeiten eingegangen, wie einige der PC-DMIS-Grafikoptionen angepaßt werden können, so daß sie individuellen Anforderungen am besten gerecht werden. (Weitere Informationen zu diesen verfügbaren Optionen finden Sie im Abschnitt "Bearbeiten der CAD-Anzeige".)

Jedes nachstehend aufgeführte Thema veranschaulicht eine bestimmte Funktion der Benutzeroberfläche. In diesem Abschnitt werden folgende Themen behandelt:

  • Aufbau des Bildschirms
  • Menüleiste
  • Symbolleistenbereich
  • Grafikfenster
  • Statusleiste
  • Dialogfeldbeschreibung
  • Anpassen der Benutzeroberfläche

Dank der in PC-DMIS gewährten Flexibilität können Befehlseingaben und die Auswahl von Optionen mit der Maus oder über die Tastatur erfolgen. Häufig verwendeten Befehlen wurden Kontextmenüs und Tastenkombinationen zugewiesen. Weitere Informationen hierzu finden Sie im Abschnitt "Verwenden von Tastenkombinationen und Kontextmenüs".


Aufbau des Bildschirms

PC-DMIS stellt einen einheitlichen Bildschirmaufbau bereit.

Der Bildschirm ist in mehrere, voneinander abgegrenzte Bereiche unterteilt, die jeweils eine bestimmte Funktion ausüben oder benötigte Informationen bereitstellen. Nachstehend folgt eine kurze Beschreibung der einzelnen Bildschirmbereiche. (Zusätzliche Informationen in der Hilfedatei sind gesondert ausgewiesen.)

Aufbau der grafischen Benutzeroberfläche von PC-DMIS

  1. In der Titelleiste erscheint der Titel des aktuellen Werkstückprogramms. Hier befinden sich zudem die Maximierungs- und Minimierungsschaltflächen.
  2. Die Menüleiste enthält die in der PCDLRN-Hauptanwendung verfügbaren Menüoptionen. Weitere Informationen hierzu finden Sie unter "Menüleiste".
  3. Der Symbolleistenbereich enthält Symbolleisten mit häufig verwendeten Befehlen. Sie können auf diese Symbolleisten zugreifen, indem Sie mit der rechten Maustaste auf den Symbolleistenbereich klicken. Weitere Informationen hierzu finden Sie unter "Symbolleistenbereich".
  4. Das Grafikfenster zeigt grafische Darstellungen des Werkstücks (in der Abbildung ist die Draufsicht zu sehen). Weitere Informationen hierzu finden Sie unter "Grafikfenster". Die Größe dieses Bereichs bleibt konstant. Der Anzeigebereich kann jedoch in bis zu vier verschiedene Werkstückansichten unterteilt werden.
  5. Dialogfelder sind das wichtigste Kommunikationsmittel zwischen PC-DMIS und dem Benutzer. Verfügbare Funktionen werden in Dialogfeldern angezeigt, und die meisten Eingabedaten werden über sie eingegeben. Weitere Informationen hierzu finden Sie unter "Dialogfeldbeschreibung".
  6. Im Bearbeitungsfenster erscheint das Werkstückprogramm. In diesem Fenster können Sie auf bestimmte Befehle innerhalb des Werkstückprogramms zugreifen und Änderungen vornehmen, um den individuellen Anforderungen zu entsprechen. Eine vollständige Beschreibung der Funktionen im Bearbeitungsfenster finden Sie unter "Bearbeiten eines Werkstückprogramms" und unter "Verwenden des Bearbeitungsfensters".
  7. Die Statusleiste zeigt für die aktuelle Operation sachdienliche Informationen an (d.h. aktuelle Taster-Kalibrierdaten, Standardabweichung des zuletzt gemessenen Elements) und die Anzahl der Meßpunkte. Sie enthält außerdem eine Feld für Meldungen, in dem sachdienliche Informationen über den derzeit ausgeführten Vorgang angezeigt werden. Weitere Informationen hierzu finden Sie unter "Statusleiste".

Siehe auch:

Auswählen von Optionen aus der Menüleiste

Optionen


Auswählen von Optionen aus der Menüleiste

In PC-DMIS können Sie mit der Maus oder über die Tastatur Optionen aus der Menüleiste auswählen.

Siehe auch:

Mit der Maus Optionen aus der Menüleiste auswählen

Über die Tastatur Optionen aus der Menüleiste auswählen


Auswählen von Optionen aus der Menüleiste mit der Maus

So öffnen Sie ein Menü und durchsuchen die Optionen mit der Maus:

  1. Setzen Sie den Zeiger auf den gewünschten Menünamen.
  2. Klicken Sie mit der linken Maustaste.


Auswählen von Optionen aus der Menüleiste über die Tastatur

Um über die Tastatur ein Menü zu öffnen und durch die Optionen zu gehen, drücken Sie die ALT-Taste, gefolgt von dem unterstrichenen Buchstaben im Namen des zu öffnenden Menüs.

Beispiel: Um das Menü Ansicht über die Tastatur zu öffnen, drücken Sie die ALT-Taste und dann die Taste A (den unterstrichenen Buchstaben im Wort Ansicht). Auf ähnliche Weise können auch Optionen aus dem Menü ausgewählt werden. Drücken Sie einfach den unterstrichenen Buchstaben, der der gewünschten Option entspricht (z. B. Neu: Drücken Sie die Taste N). (Weitere Informationen finden Sie unter "Optionen".)

Menüs können auch mit den Pfeiltasten geöffnet werden.

Vorgehensweise:

  1. Drücken Sie die ALT-Taste, um zur Menüleiste umzuschalten.
  2. Bewegen Sie sich mit der NACH-RECHTS-/NACH-LINKS-Taste zum gewünschten Menü.
  3. Wählen Sie mit der NACH-OBEN-/NACH-UNTEN-Taste eine Option aus.
  4. Wenn die gewünschte Option markiert ist, drücken Sie die EINGABETASTE.

Vielen der Optionen wurden auch Tastenkombinationen zugewiesen. Die Tastenkombination wird rechts neben dem betreffenden Befehl bzw. der betreffenden Option angegeben.

Weitere Informationen hierzu finden Sie im Abschnitt "Verwenden von Tastenkombinationen und Kontextmenüs".


Navigation durch die Benutzeroberfläche - Aufbau des Bildschirms - Optionen

Optionen

Stehen hinter einem Optionsnamen Auslassungszeichen, wird bei Wahl dieser Funktion ein Dialogfeld geöffnet. So besagt Datei | Öffnen… beispielsweise, daß es ein Dialogfeld namens Datei öffnen gibt. Dialogfelder zeigen verschiedene Optionen, Felder und Schaltflächen (die als Steuerelemente bezeichnet werden) an, über die angegeben wird, welche Befehle PC-DMIS ausführen soll. In manchen Fällen enthält ein Dialogfeld bereits ausgewählte Standardeinstellungen, die, sofern sie den Wünschen des Benutzers entsprechen, so belassen werden können. Nachdem alle Steuerelemente im Dialogfeld eingestellt wurden, klicken Sie gewöhnlich auf OK, damit der Befehl ausgeführt wird. Um den Befehl zu stornieren und das Dialogfeld zu schließen, klicken Sie auf die Schaltfläche Abbrechen.


Menüleiste

Operation Insert Help Window View Edit File

Um über die Tastatur ein Menü zu öffnen und durch die Optionen zu gehen, drücken Sie die ALT-Taste, gefolgt von dem unterstrichenen Buchstaben im Namen des zu öffnenden Menüs. (Es kann hierzu auch die Maus verwendet werden, wie unter "Auswählen von Optionen aus der Menüleiste mit der Maus" beschrieben wird.) Diese Bedienungsanleitung enthält Informationen über die einzelnen Menüoptionen. Schlagen Sie je nach Bedarf im entsprechenden Abschnitt nach. Dieser Abschnitt gibt eine kurze Beschreibung der sonstigen Menüoptionen.

PC-DMIS bietet auch eine Reihe von Kontextmenüs. Informationen hierzu finden Sie im Abschnitt "Verwenden von Tastenkombinationen und Kontextmenüs".

Siehe auch:

Datei

Bearbeiten

Ansicht

Einfügen

Vorgänge

Fenster

Hilfe


Navigation durch die Benutzeroberfläche - Menüleiste - Datei

Datei

Über das Menü Datei können Sie Dateien öffnen, speichern und drucken, auf das Bearbeitungsfenster zugreifen, Werkstückprogramme im Ausführungsmodus ausführen und aktuelle Werkstückprogramme beenden. Weitere Informationen hierzu finden Sie in den Abschnitten "Verwenden von grundlegenden Dateioptionen" und "Verwenden von fortgeschrittenen Dateioptionen".


Navigation durch die Benutzeroberfläche - Menüleiste - Bearbeiten

Bearbeiten

Über das Menü Bearbeiten können Sie die Programmeinstellungen, das Werkstückprogramm oder die CAD-Anzeige ändern.

  • Vollständige Informationen zum Bearbeiten der Einstellungen finden Sie im Abschnitt "Voreinstellungen".
  • Vollständige Informationen zum Bearbeiten des Werkstückprogramms im Bearbeitungsfenster finden Sie in den Abschnitten "Bearbeiten eines Werkstückprogramms" und "Verwenden des Bearbeitungsfensters".
  • Vollständige Informationen zum Anzeigen der CAD-Zeichnung finden Sie im Abschnitt "Bearbeiten der CAD-Anzeige".


Navigation durch die Benutzeroberfläche - Menüleiste - Ansicht

Ansicht

Im Menü Ansicht können Sie auf alle Fenster, Editoren und Symbolleisten zugreifen, die in PC-DMIS zur Verfügung stehen. Vollständige Informationen hierzu finden Sie im Abschnitt "Arbeiten mit weiteren Fenstern, Editoren und Tools".


Navigation durch die Benutzeroberfläche - Menüleiste - Einfügen

Einfügen

Über das Menü Einfügen können Sie auf einen Großteil der Befehle des Werkstückprogramms zugreifen.

Die meisten Abschnitte in dieser Hilfedatei behandeln die Optionen und Untermenüs, die in diesem Menü angezeigt werden.

  • Die Optionen im Untermenü Hardwaredefinition sind im Abschnitt "Definieren von Hardware" beschrieben.
  • Die Optionen im Untermenü Element werden in den folgenden Kapiteln behandelt: "Erstellen von automatischen Elementen", "Erstellen von gemessenen Elementen", "Konstruieren von neuen Elementen aus vorhandenen Elementen", "Erstellen von allgemeinen Elementen".
  • Die Optionen im Untermenü Ausrichtung sind im Abschnitt "Erstellen und Verwenden von Ausrichtungen" beschrieben.
  • Die Optionen im Untermenü Merkmale sind im Abschnitt "Merkmale für Elemente erstellen" beschrieben.
  • Die Optionen im Untermenü Scan sind im Abschnitt "Scannen Ihres Werkstücks" beschrieben.
  • Die Optionen im Untermenü Bewegung sind im Abschnitt "Einfügen von Bewegungsbefehlen" beschrieben.
  • Die Optionen im Untermenü Ablaufsteuerung sbefehl sind im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung" beschrieben.
  • Die Optionen im Untermenü Statistik-Befehl sind im Abschnitt "Sammeln statistischer Daten" beschrieben.
  • Die Optionen im Untermenü Protokollbefehl sowie die Funktion zum Hinzufügen der Felder "ABM-ANGABEN" und "PUNKTANGABEN" zur CAD-Anzeige und zum Werkstückprogramm werden im Abschnitt "Einfügen von Protokollbefehlen" behandelt.
  • Die Optionen im Untermenü Datei I/O-Befehl sind im Abschnitt "Verwenden der Datei-Eingabe/-Ausgabe" beschrieben.
  • Die restlichen Optionen im Menü Einfügen werden in den Abschnitten "Verwenden von Ausdrücken und Variablen" und "Hinzufügen externer Elemente" behandelt.


Vorgänge

Die Elemente des Menüs Vorgänge werden in verschiedenen Themen der Dokumentation behandelt.


Navigation durch die Benutzeroberfläche - Menüleiste - Fenster

Fenster

Über das Menü Fenster können Sie die Anzeige aller geöffneten Werkstückprogramme verwalten. Weitere Informationen finden Sie unter Navigation in und Anzeigen von mehreren Fenstern: Einführung "Navigation in und Anzeigen von mehreren Fenstern".


Navigation durch die Benutzeroberfläche - Menüleiste - Hilfe

Hilfe

Die Elemente im Menü Hilfe werden im Abschnitt "Verwenden der Online-Hilfe" behandelt.

Über das Menü Hilfe können Informationen zu Befehlen, Dialogfeldern, Meldungen und Tasten in PC-DMIS aufgerufen werden.

Zum Aktivieren der Online-Hilfe von PC-DMIS wählen Sie eines der Elemente im Menü Hilfe aus. Sie können auch jederzeit auf F1 drücken. Dadurch wird die Online-Hilfedatei von PC-DMIS geöffnet.


Symbolleistenbereich

Display Menu Roadmap PC-DMIS 3.2 und höhere Versionen bietet Ihnen zahlreiche Symbolleisten mit häufig verwendeten Befehlen. Auf diese Symbolleisten kann mit einer der beiden folgenden Methoden zugegriffen werden.

  1. Öffnen Sie das Untermenü Symbolleisten, und wählen Sie im eingeblendeten Menü eine Symbolleiste aus. (Anweisungen, wie Sie auf alle Dialogfelder und Menüoptionen zugreifen können, finden Sie unter "Verwenden der Übersichtskarte".)
  2. Klicken Sie mit der rechten Maustaste auf den Symbolleistenbereich und wählen Sie aus dem nun eingeblendeten Kontextmenü eine Symbolleiste aus.

Die im Symbolleistenbereich angezeigte Symbolleiste kann leicht an eine andere Stelle verschoben werden, indem Sie zuerst auf den Zwischenraum zwischen der linken oder rechten Kante und einer Schaltfläche klicken und die Symbolleiste dann an die gewünschte Stelle ziehen.

Ausführliche Informationen über alle PC-DMIS-Symbolleisten finden Sie im Abschnitt "Arbeiten mit Symbolleisten".


Grafikfenster

Display Menu Roadmap Das Grafikfenster enthält, wie der Name schon sagt, Grafiken. Dieses Fenster öffnet sich standardmäßig, wenn Sie ein Werkstückprogramm öffnen oder erstellen.

  • Es zeigt eine grafische Darstellung mit mehreren Ausschnitten eines importierten CAD-Werkstücks an.
  • Es zeigt gemessene, automatische und konstruierte Elemente sowie deren ID-Etiketten.
  • Es zeigt Scans, Merkmale und Textfeldinhalte an.

Das Grafikfenster ist ein wesentlicher Bestandteil von PC-DMIS. Informationen zum Bearbeiten des Grafikfensters sowie zum Ändern der Bildschirmanzeige finden Sie im Abschnitt "Bearbeiten der CAD-Anzeige".


Statusleiste

In der Statusleiste wird folgendes angezeigt:

  • Meldungsfeld: Im Feld ganz links werden Anweisungen und andere Informationen zum aktuellen Verfahren oder Befehl angezeigt.
  • X-, Y- und Z-Felder: Die Felder X, Y und Z geben die X-, Y- und Z-Position des Tasters an. Durch Klicken auf eine der drei Koordinatenanzeigen in der Statusleiste wird das Dialogfeld Auto-Bewegungspunkt eingeblendet. (Weitere Informationen zum CNC-Bewegungspunkt finden Sie unter "Einfügen eines Bewegungspunktbefehls" im Abschnitt "Einfügen von Bewegungsbefehlen".)
  • W: Zeigt den Winkel des Drehtisches an.
  • SD: Zeigt die Standardabweichung des zuletzt gemessenen Elements an.
  • Anz. Meßpkte Gibt die Anzahl der aktuell aufgenommenen Meßpunkte an.
  • ZOLL/MM: Zeigt die Maßeinheit an, die derzeit für das Werkstückprogramm verwendet wird.
  • EINF/ÜB: Dieses Feld zeigt die aktuelle Bearbeitungsfunktion des Bearbeitungsprotokolls an. Mögliche Werte: EINF (Text wird an der Cursor-Position eingefügt) oder ÜB (Text wird an der Cursor-Position überschrieben).
  • Zeile: Dieses Feld zeigt eine Zahl an, die angibt, in welcher Zeile der Cursor im Bearbeitungsfenster steht.
  • Spalte: Dieses Feld zeigt eine Zahl an, die angibt, in welcher Spalte der Cursor im Bearbeitungsfenster steht.


Dialogfeldbeschreibung

Ein Dialogfeld besitzt verschiedene Felder und Schaltflächen (sogenannte Steuerelement), die ausgewählt werden können, um PC-DMIS mitzuteilen, wie ein Befehl auszuführen ist. In manchen Fällen enthält ein Dialogfeld bereits ausgewählte Standardeinstellungen, die, sofern sie den Wünschen des Benutzers entsprechen, so belassen werden können. Nachdem alle Steuerelemente im Dialogfeld eingestellt wurden, klicken Sie auf OK, damit der Befehl ausgeführt wird. Um den Befehl abzubrechen und das Dialogfeld zu schließen, klicken Sie auf die Schaltfläche Abbrechen.

Die Abbildungen zeigen einige Funktionen, die in den meisten Dialogfeldern von PC-DMIS zu finden sind.

Command Buttons Radio Option buttons List Box Edit Boxes or Fields

Command Buttons Drop Down List Box Check Boxes Edit Boxes or Fields Tabs

Siehe auch: Bearbeitungsfeld:

Listenfeld:

Drop Down-Listenfeld

Befehlsschaltflächen:

Kontrollkästchen:

Optionsschaltflächen:

Registerkarten in Dialogfeldern:

Öffnen von Dialogfeldern

Bewegen von Dialogfeldern

Bildlauf im Bearbeitungsfensters


Bearbeitungsfeld:

In ein Bearbeitungsfeld können Sie den gewünschten Wert oder Namen eingeben. In dieser Anleitung werden Bearbeitungsfelder einfach als "Felder" bezeichnet. Die Bearbeitungsfelder, die am häufigsten in den Dialogfeldern von PC-DMIS vorkommen, werden hier aufgeführt:

Siehe auch:

ID= [Element]

Such-ID

Auswählen der letzten Zahl


ID= [Element]

Dieses Feld zeigt die Element- oder Merkmals-ID der zu erstellenden Elemente oder Merkmale an.

So ändern Sie die ID:

  1. Markieren Sie die alte ID.
  2. Geben Sie eine neue ID ein.
  3. Drücken Sie die TABULATORTASTE.

Für die ID eines Merkmals gilt:

  • Sie können nur den numerischen Teil der ID ändern und den Merkmalszähler auf die gewünschte Zahl zurücksetzen.
  • Sie können den Textteil der ID ändern und als Standardtext für nachfolgende Merkmale festlegen. (Informationen hierzu finden Sie im Abschnitt "Voreinstellungen" auf der Registerkarte "ID-Setup" im Dialogfeld Setup-Optionen.)


Such-ID

Im Feld Such-ID können Sie angeben, welche Element-IDs (oder Merkmal-IDs) im aktuellen Vorgang verwendet werden sollen. Sie können in dieses Feld zur Suche auch Metazeichen-Suchoptionen eingeben. Die Element- oder Merkmal-IDs werden im entsprechenden Feld Elementliste bzw. Liste der Merkmale hervorgehoben.


Auswählen der letzten Zahl

Im Feld Auswählen der letzten (Zahl) können Sie eine bestimmte Anzahl der zuletzt verwendeten Elemente (oder Merkmale) auswählen. Wenn Sie beispielsweise die letzten vier erstellten Elemente auswählen möchten, geben Sie einfach 4 ein und drücken Sie die TABULATORTASTE. PC-DMIS hebt die im Feld Elementliste ausgewählten Elemente hervor.


Listenfeld:

Ein Listenfeld ähnelt einem Bearbeitungsfeld, die darin angeführten Werte können jedoch nicht geändert werden. In dieser Anleitung werden Listenfelder einfach als "Liste" oder "Feld" bezeichnet. Die Listen, die in den meisten Dialogfeldern von PC-DMIS zu finden sind, werden hier aufgeführt:

Siehe auch:

Feld Elementliste

Feld Merkmalliste


Feld "Elementliste"

Das Feld Elementliste enthält eine Liste der in einem Werkstückprogramm verfügbaren Elemente.In PC-DMIS werden ausgewählte Elemente verwendet, um Ausrichtungen zu definieren, neue Funktionen zu konstruieren, Abmessungen zu erstellen etc. Sie können Elemente auswählen, indem Sie die Anweisungen unter "Markieren von Elementen im Grafikfenster" im Abschnitt "Bearbeiten der CAD-Anzeige" befolgen.

Die Auswahl (Markierung) von Elementen kann mit den Schaltflächen Löschen und Liste löschen aufgehoben werden.

Wenn Sie ein externes Werkstückprogramm anhängen (siehe "Anhängen eines externen Werkstückprogramms" im Abschnitt "Hinzufügen externer Elemente"), listet PC-DMIS auch die Variable (oder den Zeiger) auf, mit der auf das angehängte Werkstückprogramm verwiesen wird. Links neben dem Zeiger wird ein Pluszeichen (+) eingeblendet. Durch Klicken auf das Pluszeichen wird eine Ansicht aller Elemente im angehängten Werkstückprogramm ein- oder ausgeblendet.


Feld "Merkmalliste"

Das Feld Merkmalliste enthält eine Liste aller Merkmale, die innerhalb eines Werkstückprogramms erstellt wurden. Sie können die Merkmale, die Sie ändern oder analysieren möchten, auf einfache Art auswählen und bearbeiten, indem Sie im Listenfeld die entsprechenden Einträge markieren und im zugehörigen Dialogfeld die gewünschten Änderungen oder Optionen wählen.


Auswahllistenfeld

Ein Auswahllistenfeld ist in seiner Funktion mit Menüs vergleichbar. Klicken Sie auf das Dropdown-Pfeilsymbol rechts neben der aktuellen Option, oder drücken Sie nacheinander die ALT- und die NACH-OBEN- bzw. NACH-UNTEN-Taste auf der Tastatur. Durch Drücken von F4 werden die verfügbaren Optionen ebenfalls angezeigt. Drücken Sie die Taste(n) erneut, um die Liste zu schließen. Die aktuelle Auswahl erscheint im hervorgehobenen Kästchen.


Befehlsschaltflächen:

Über eine Befehlsschaltfläche wird eine Aktion ausgeführt. Die Befehlsschaltflächen, die am häufigsten in den PC-DMIS-Dialogfeldern vorkommen, werden hier aufgeführt:

Siehe auch:

Übernehmen

OK

Abbrechen

Löschen

Letztes

Letzten zwei

Alles auswählen

Standard

Aufrufen

Erstellen

Beenden

Entfernen

Rückgängig

Hilfe


Navigating the User Interface - Command Buttons : - Apply

Übernehmen

Mit der Schaltfläche Übernehmen werden alle im Dialogfeld durchgeführten Änderungen übernommen; das Dialogfeld bleibt anschließend für weitere Änderungen geöffnet.


OK

Mit der Schaltfläche OK werden die Änderungen gespeichert und übernommen und das Dialogfeld wird geschlossen. In einigen Dialogfeldern werden Befehle durch Klicken auf die Schaltfläche OK in das Bearbeitungsfenster eingefügt.


Abbrechen

Mit der Schaltfläche Abbrechen werden alle Änderungen ignoriert und das Dialogfeld wird geschlossen.


Navigation durch die Benutzeroberfläche - Befehlsschaltflächen : - Löschen

Löschen

Mit der Schaltfläche Löschen werden Elemente (wie erstellte Elemente, Merkmale, Tasterdateien, Ausrichtungsinformationen etc.) aus bestimmten Listenfeldern entfernt.

Im Dialogfeld CAD löschen werden mit der Schaltfläche Löschen ausgewählte Nennelemente gelöscht.


Letztes

Durch Wahl der Schaltfläche Letztes wird das letzte Element im zugehörigen Listenfeld ausgewählt.


Letzten zwei

Durch Wahl der Schaltfläche Letzten zwei werden die beiden letzten Elemente im zugehörigen Listenfeld ausgewählt.


Navigation durch die Benutzeroberfläche - Befehlsschaltflächen : - Alles auswählen

Alles auswählen

Durch Wahl der Schaltfläche Alles auswählen werden alle Elemente im zugehörigen Listenfeld ausgewählt.


Navigation durch die Benutzeroberfläche - Befehlsschaltflächen : - Standard

Standard

Mit der Schaltfläche Standard können Sie die Standardeinstellungen einiger Parameter aktualisieren. Beim Erstellen eines neuen Werkstückprogramms werden alle Änderungen, die als Standard gespeichert wurden, berücksichtigt.

Die Standardwerte werden in der Systemregistrierung abgelegt. Diese Parameter können über das entsprechende Dialogfeld oder durch Bearbeiten der Registrierung mit Hilfe des PC-DMIS-Einstellungseditors aktualisiert werden. Diese Anwendung ist im Installationspaket von PC-DMIS enthalten. Weitere Informationen hierzu finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

  • Bei Anklicken von OK (ohne daß die Schaltfläche Standard gewählt wurde) gelten die definierten Parameter nur für das aktive Werkstückprogramm und wirken sich nicht auf die Registrierungseinträge aus.
  • Wenn Parameter geändert wurden und die Schaltfläche Standard betätigt wird, aktualisiert PC-DMIS die Registrierungseinträge und der aktuelle Eintrag wird als Standardwert übernommen.

Über die Schaltfläche Standard können Sie neue Standardwerte speichern und für alle neuen Werkstückprogramme, die später erstellt werden, übernehmen.


Navigation durch die Benutzeroberfläche - Befehlsschaltflächen : - Aufrufen

Aufrufen

Über die Schaltfläche Aufrufen werden die ursprünglichen Werkseinstellungen wiederhergestellt, sofern die Originalwerte nicht durch Klicken auf die Schaltfläche Standard verändert wurden. In diesem Fall stellt PC-DMIS die in der Registrierung gespeicherten Werte wieder her.

Weitere Informationen zur Verwendung des Dialogfelds KMG-Optionen, um die ursprünglichen Werkseinstellungen durch Auslesen aus Steuerung wiederherzustellten, finden Sie unter ""Einrichten der KMG-Schnittstelle" im Abschnitt "Voreinstellungen".


Navigation durch die Benutzeroberfläche - Befehlsschaltflächen : - Erstellen

Erstellen

Mit der Schaltfläche Erstellen werden die in bestimmten Dialogfeldern vorgenommenen Änderungen übernommen und konstruierte Elemente, Abmessungen, automatische Elemente, Scans etc. erstellt. Das erstellte Element wird dabei sowohl ins Bearbeitungs- als auch ins Grafikfenster plaziert.

Die Schaltfläche Erstellen schließt nicht das Dialogfeld. Nur durch Klicken auf die Schaltlfläche Beenden wird das Dialogfeld geschlossen.


Navigation durch die Benutzeroberfläche - Befehlsschaltflächen : Schließen

Schließen

Mit der Schaltfläche Schließen wird ein Dialogfeld geschlossen. Einige Dialogfelder (in denen die Auswahl weiterer Optionen eventuell erwünscht sein könnte) werden durch Klicken auf die Schaltflächen OK, Übernehmen oder Erstellen nicht automatisch geschlossen.


Löschen

Entfernen

Mit der Schaltfläche Entfernen können Sie die Markierung jedes in einem Listenfeld ausgewählten Elements aufheben. In einigen Fällen können Sie mit der Schaltfläche Entfernen Elemente vollständig aus bestimmten Listenfeldern entfernen (z. B. AB-Positionen aus dem Feld Liste neuer Winkel).

In einigen Dialogfeldern und Registerkarten dient die Schaltfläche Entfernen dazu, Werte, die eingegeben bzw. geändert wurden, zu entfernen und die in PC-DMIS "integrierten" Werte wiederherzustellen. Dies ist möglich, solange noch nicht die Schaltfläche Übernehmen oder OK gewählt wurde. Wenn Sie durch Wahl der Schaltfläche Standard Standardwerte gespeichert haben, dann werden diese Werte wiederhergestellt.


Navigation durch die Benutzeroberfläche - Befehlsschaltflächen : - Rückgängig

Rückgängig

Mit der Schaltfläche Rückgängig können Sie mit der Schaltfläche Übernehmen (oder Erzeugen bei CNC-Scans) durchgeführten Änderungen rückgängig machen. Wenn bereits Schaltfläche OK angeklickt wurde, können Änderungen damit jedoch nicht mehr rückgängig gemacht werden.


Navigation durch die Benutzeroberfläche - Befehlsschaltflächen : - Hilfe

Hilfe

Über die Schaltfläche Hilfe wird das dem aktuellen Dialogfeld zugehörige Thema der Online-Hilfe aufgerufen.


Kontrollkästchen:

Sie klicken auf ein Kontrollkästchen, um die betreffende Option zu aktivieren bzw. auszuschalten. Eine Option ist aktiviert, wenn im Kästchen neben der betreffenden Option ein Häkchen erscheint. Sie können mehrere Kontrollkästchen auswählen.


Optionsfelder:

Im Bereich der Optionsfelder werden die für jedes Dialogfeld verfügbaren Optionen angezeigt. Sie können zwischen den verfügbaren Optionen hin- und herschalten, indem Sie auf die gewünschte Option klicken. Wenn eine Option ausgewählt wird, wird links neben der ausgewählten Option ein schwarzer Punkt angezeigt. Alle anderen Optionen werden deaktiviert. Sie können immer nur eine Optionsschaltfläche auswählen.


Registerkarten in Dialogfeldern:

Einige Dialogfelder enthalten Registerkarten. Diese Registerkarten fungieren als Markierungskennzeichen vergleichbar mit den Namen von Aktenordnern in einem Aktenschrank. Klicken Sie einfach auf eine Registerkarte, um bestimmte Fenster oder Optionen in den Vordergrund vor die anderen Registerkarten zu bringen. Daraufhin erscheinen alle zu dieser Registerkarte gehörenden Optionen oder Befehle.


Navigation durch die Benutzeroberfläche - Dialogfeldbeschreibung - Öffnen von Dialogfeldern

Öffnen von Dialogfeldern

Die Optionen in einem Dialogfeld können mit der Maus oder über die Tastatur geöffnet werden. Um mit der Maus auf eine Option zuzugreifen, zeigen Sie einfach auf die gewünschte Option und klicken Sie mit der Maustaste. Es gibt eine Vielzahl von Möglichkeiten, sich über die Tastatur zwischen den verfügbaren Optionen hin- und herzubewegen.

DRÜCKEN SIE: | UM:
TAB: | zur nächsten verfügbaren Option zu gelangen
UMSCHALT+TAB: | zur vorherigen verfügbaren Option zu gelangen
PFEILTASTE: | die aktuelle Auswahlliste anzuzeigen
EINGABETASTE: | den aktuellen Befehl auszuwählen
LEERTASTE: | das aktuelle Kontrollkästchen oder die aktuelle Schaltfläche auszuwählen


Verschieben von Dialogfeldern

Die Fenster- und Dialogfeldanordnung im Grafikfenster kann mit der Maus gesteuert werden.

So verschieben Sie ein Dialogfeld oder Fenster:

  1. Setzen Sie den Mauszeiger auf den Titel.
  2. Halten Sie die linke Maustaste gedrückt.
  3. Ziehen Sie das Dialogfeld oder Fenster an die gewünschte Position im Grafikfenster.
  4. Lassen Sie die Maustaste wieder los.

PC-DMIS zeichnet das Dialogfeld oder Fenster an der veränderten Position neu.


Bildlauf im Bearbeitungsfenster

Das Bearbeitungsfenster besitzt Bildlaufleisten zur Anzeige weiterer im Fenster enthaltener Daten.

Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf einen der Bildlaufpfeile.
  2. Drücken und halten Sie die linke Maustaste.

PC-DMIS rollt den Bildschirminhalt in die Richtung, in die der Bildlaufpfeil zeigt. Um durch den Bildschirminhalt beispielsweise nach unten zu scrollen, setzen Sie den Zeiger auf den nach unten zeigenden Bildlaufpfeil und klicken Sie mit der linken Maustaste.

Vollständige Informationen zum Bearbeitungsfenster finden Sie unter "Verwenden des Bearbeitungsfensters".


Anpassen der Benutzeroberfläche

Display Menu Roadmap In Version 3.5 wurde die bisherige Benutzeroberfläche dahingehend verbessert, daß die verschiedenen verfügbaren Optionen nun besser strukturiert sind. Außerdem können Sie nun die Benutzeroberfläche Ihren Anforderungen anpassen.

Sie können die Menüs auf einfache Weise neu anordnen, den Menüs eigene Programme hinzufügen oder auch neue Menüs und Optionen erstellen. PC-DMIS ermöglicht es Ihnen zudem, Befehle aus PC-DMIS sowie angepaßte Befehle mit Symbolleisten zu verknüpfen. Anleitungen zum Ändern der Benutzeroberfläche finden Sie unter den folgenden Themen:

Hinweis: Die Struktur dieser Hilfedatei basiert auf der mit dieser Version von PC-DMIS gelieferten Standardbenutzeroberfläche. Beachten Sie, daß die Dokumentation nach Anpassen der Benutzeroberfläche möglicherweise nicht mehr einfach nachzuvollziehen ist.

Siehe auch:

Navigation durch die verbesserte Menüstruktur

So stellen Sie die Standardbenutzeroberfläche wieder her

Anpassen der Menüs

Anpassen der Symbolleisten

Anpassen der Tastenkombinationen

So passen Sie die Schriftarten der Benutzeroberfläche an


Navigating the Improved Menu Structure

Navigation durch die verbesserte Menüstruktur

Lesen Sie den neuen Abschnitt "Verwenden der Übersichtskarte". Er dient als Hilfestellung bei der Navigation durch die neue Menüstruktur. Dieser Abschnitt enthält Anleitungen für den Zugriff auf die gewünschten Menüoptionen und Dialogfelder. Siehe auch "Verbesserte Menü- und Dokumentationsstruktur"


So stellen Sie die Standardbenutzeroberfläche wieder her

Wenn Sie die Benutzeroberfläche von PC-DMIS wieder auf den Standard zurücksetzen möchten, der mit dieser Version von PC-DMIS geliefert wurde, gehen Sie wie folgt vor:

  1. Schließen Sie PC-DMIS.
  2. Gehen Sie zu dem Verzeichnis, in dem PC-DMIS installiert ist.
  3. Öffnen Sie das Verzeichnis Ihres Windows-Benutzerprofils.
  4. Löschen Sie die Datei mit dem Namen menu_xxx.dat, wobei sich xxx auf die drei Buchstaben für die Sprache, mit der Sie arbeiten, bezieht. Im Falle von Englisch löschen Sie menu_eng.dat.
  5. Starten Sie PC-DMIS neu. Nun wird wieder die Standardbenutzeroberfläche verwendet.


Anpassen der Menüs

Display Menu Roadmap So passen Sie die Menüs in der Menüleiste an:

  1. Öffnen Sie das Dialogfeld Anpassen. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)
  2. Wählen Sie die Registerkarte Menü.

Auf dieser Registerkarte können Sie neue Menüoptionen hinzufügen, vorhandene Menüoptionen verschieben oder diese ganz aus der Menüleiste entfernen.

Siehe auch:

So verschieben Sie eine Menüoption

So entfernen Sie eine Menüoption

So bearbeiten Sie eine vorhandene Menüoption

So fügen Sie eine neue Menüoption hinzu


To Move A Menu Item

So verschieben Sie eine Menüoption

Display Menu Roadmap So verschieben Sie eine Menüoption an eine neue Position in der Menüleiste.

  1. Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Menü. Gehen Sie dann zu der Menüoption, die Sie in die aktuelle Menüleiste von PC-DMIS (nicht in die Strukturansicht-Menüliste der Registerkarte Menü) verschieben möchten.
  2. Wählen Sie die gewünschte Menüoption aus.
  3. Ziehen Sie diese an die neue Position. Während Sie die Option durch die Menüstruktur ziehen, wird ein kleiner roter Pfeil eingeblendet. Er zeigt an, wo die Option hinzugefügt wird.
  4. Lassen Sie die Maustaste los. Die Menüoption wird von ihrer Ausgangsposition in die neue Position kopiert.
  5. Klicken Sie auf OK, um Ihre Änderungen zu übernehmen und das Dialogfeld Anpassen zu schließen.


So entfernen Sie eine Menüoption

Display Menu Roadmap So entfernen Sie eine Menüoption aus der Menüleiste:

  1. Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Menü. Gehen Sie dann zu der Menüoption, die Sie aus der aktuellen Menüleiste von PC-DMIS (nicht aus der Strukturansicht-Menüliste der Registerkarte Menü) entfernen möchten.
  2. Wählen Sie die gewünschte Menüoption aus.
  3. Ziehen Sie diese aus dem Menüleistenbereich.
  4. Lassen Sie die Maustaste los. Die Menüoption wird aus dem Menü entfernt.
  5. Klicken Sie auf OK, um Ihre Änderungen zu übernehmen und das Dialogfeld Anpassen zu schließen.


So bearbeiten Sie eine vorhandene Menüoption

Display Menu Roadmap Sie können vorhandene Menüoptionen, einschließlich deren Namen, Beschreibungen und QuickInfos bearbeiten. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Anpassen.
  2. In dem geöffneten Dialogfeld klicken Sie auf die Menüleiste von PC-DMIS.
  3. Wählen Sie ein Menü aus und klicken Sie dann mit der rechten Maustaste auf eine Menüoption. Das Dialogfeld Menüoption bearbeiten wird eingeblendet.
  4. Ändern Sie die Menüoption mit Hilfe dieses Dialogfelds und klicken Sie dann auf OK.
  5. Klicken Sie im Dialogfeld Anpassen auf OK.
  6. Überprüfen Sie die Änderung.

Hinweis: Im Dialogfeld Menütext gibt der Buchstabe hinter dem kaufmännischen Und-Zeichen (&) an, daß der Buchstabe in Verbindung mit der Taste ALT verwendet werden kann, um diese Menüoption schnell auszuwählen (durch Drücken von ALT + D + N wird beispielsweise die Menüoption Neu im Menü Datei verwendet).


So fügen Sie eine neue Menüoption hinzu

Display Menu Roadmap Sie können Ihre eigene benutzerdefinierte Menüoptionen erstellen und ein externes Programm oder eine Stapeldatei damit verknüpfen. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Menü.
  2. Auf der Liste in der Registerkarte klicken Sie auf das Pluszeichen neben den Menüoptionen. Daraufhin wird die vollständige Liste mit allen Menüs eingeblendet.
  3. Klicken Sie auf das Pluszeichen neben dem Menü, in dem die benutzerdefinierte Menüoption plaziert werden soll und klicken Sie auf eine Menüoption in diesem Menü.
  4. Klicken Sie auf die Schaltfläche Eintrag erstellen. Das Dialogfeld Benutzerdef. Assistent/Skript/Werkzeug wird eingeblendet.
  5. Klicken Sie auf die Schaltfläche '…'. Nun wird das Dialogfeld Öffnen angezeigt.
  6. Wählen Sie in der Liste Dateityp die Art der einzufügenden Datei aus.
  7. Gehen Sie zu dem Verzeichnis, in dem sich die benutzerdefinierte Anwendung, die Stapeldatei, die Makrodatei und das BASIC-Skript etc. befinden.
  8. Wählen Sie die einzufügende Datei aus und klicken Sie auf Öffnen. Das Dialogfeld Öffnen wird geschlossen und das Dialogfeld Benutzerdef. Assistent/Skript/Werkzeug zeigt die Standardinformationen zu dem von Ihnen ausgewählten benutzerdefinierten Programm an.

    Befehlsdatei – Dieses Feld enthält den Befehlspfad.

    Menütext – In dieses Feld können Sie den Namen eingeben, der für diese Option im Menü angezeigt wird.

    Hilfebeschreibung – In dieses Feld können Sie den QuickInfo-Text eingeben, der für diese Menüoption angezeigt wird.

    Symbol ändern – Über diese Schaltfläche können Sie das Symbol ändern, das für diese Menüoption angezeigt wird.

  9. Nehmen Sie ggf. weitere Änderungen in diesem Dialogfeld vor.
  10. Klicken Sie auf OK, um Ihre Änderungen zu übernehmen und das Dialogfeld Anpassen zu schließen.


Anpassen der Symbolleisten

Display Menu Roadmap So passen Sie die Symbolleisten an, die im Symbolleistenmenü angezeigt werden:

  1. Öffnen Sie das Dialogfeld Anpassen. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)
  2. Öffnen Sie die Registerkarte Symbolleisten.

Auf dieser Registerkarte können Sie neue Symbolleisten und Symbole hinzufügen, benutzerdefinierte Symbolleisten sowie Symbole entfernen und Symbole in vorhandenen Symbolleisten neu anordnen.

Siehe auch:

So ändern Sie eine vorhandene Symbolleiste

So erstellen Sie eine benutzerdefinierte Symbolleiste

So löschen Sie eine benutzerdefinierte Symbolleiste


So ändern Sie eine vorhandene Symbolleiste

Diese Tabelle zeigt, wie Sie die Registerkarte Symbolleiste im Dialogfeld Anpassen verwenden können, um vorhandene Symbolleisten zu ändern.

Gewünschte Änderung | Verfahren
Einer Symbolleiste eine Menüoption hinzufügen
  1. Wählen Sie die Symbolleiste in der Liste Symbolleistendefinition aus.
  2. Suchen Sie den gewünschten Eintrag in der Liste Verfügbare Elemente.
  3. Wählen Sie die Option aus, und klicken Sie auf Hinzufügenà. Der Eintrag wird in der gewünschten Symbolleiste angezeigt.
  4. Klicken Sie auf Übernehmen und dann auf OK, um die Änderungen zu übernehmen.
Ein Symbol aus einer Symbolleiste entfernen
  1. Wählen Sie die Symbolleiste in der Liste Symbolleistendefinition aus.
  2. Suchen Sie in der Liste den zu entfernenden Eintrag (rechts im Dialogfeld).
  3. Wählen Sie den Eintrag aus, und klicken Sie auf ß Entfernen.
  4. Klicken Sie auf Übernehmen und dann auf OK, um die Änderungen zu übernehmen.
Änderungen rückgängig machen | Klicken Sie auf die Schaltfläche Zurücksetzen. So lange Sie noch nicht auf OK oder Übernehmen geklickt haben, wird die Symbolleiste wieder in ihren Ursprungszustand zurückversetzt.
Alle benutzerdefinierten Symbolleisten entfernen und die mit dieser Version gelieferte Oberfläche wiederherstellen | Klicken Sie auf die Schaltfläche Standard.
Einen neuen Symbolleisteneintrag erstellen | Klicken Sie auf Neu. Das Dialogfeld Benutzerdef. Assistent/Skript/Werkzeug wird eingeblendet. Wählen Sie den hinzuzufügenden Eintrag aus. In dieser Hilfedatei wird das Verfahren zum Hinzufügen benutzerdefinierter Optionen unter So fügen Sie eine neue Menüoption hinzu beschrieben.
Optionen in einer Symbolleiste neu anordnen
  1. Wählen Sie die Symbolleiste in der Liste Symbolleistendefinition aus.
  2. Wählen Sie die zu verschiebende Option aus.
  3. Klicken Sie auf den Nach-oben-Pfeil oder den Nach-Unten-Pfeil , um die Option relativ zu den anderen Symbolen in der Liste nach oben oder nach unten zu verschieben.
Umbenennen einer Symbolleiste
  1. Wählen Sie die Symbolleiste in der Liste Symbolleistendefinition aus.
  2. Klicken Sie auf Umbenennen Es erscheint das Dialogfeld Neuer Symbolleistenname.
  3. Geben Sie den Namen der Symbolleiste ein und klicken Sie auf OK.

In PC-DMIS besteht auch die Möglichkeit, Optionen in benutzerdefinierten Symbolleisten während der Arbeit neu anzuordnen oder zu löschen. Hierfür wird die Umschalttaste verwendet. Beachten Sie folgendes:

So löschen Sie Symbole aus einer Symbolleiste oder ordnen diese neu an:

  1. Drücken und halten Sie die Umschalttaste.
  2. Klicken Sie mit der Maustaste auf das Symbol und halten Sie die Taste gedrückt. Nun kann das Symbol verschoben werden.
  3. Wenn Sie das Symbol neu anordnen möchten, ziehen Sie es an die neue Position in der Symbolleiste.
  4. Wenn Sie das Symbol löschen möchten, ziehen Sie es an eine Stelle außerhalb der Symbolleiste.
  5. Lassen Sie die Maustaste wieder los. Die Änderung ist erfolgt.

So fügen Sie ein Trennzeichen hinzu:

  1. Drücken und halten Sie die Umschalttaste.
  2. Klicken Sie mit der Maustaste auf das Symbol und halten Sie die Taste gedrückt. Nun kann das Symbol verschoben werden.
  3. Ziehen Sie das Symbol ein kleines Stück nach rechts (jedoch nicht so weit, daß seine Position geändert wird).
  4. Lassen Sie die Maustaste wieder los. Nun wird links davon ein Trennzeichen angezeigt.

So löschen Sie ein Trennzeichen:

  1. Drücken und halten Sie die Umschalttaste.
  2. Klicken Sie mit der Maustaste auf das Symbol rechts neben dem Trennzeichen und halten Sie die Taste gedrückt. Nun kann das Symbol verschoben werden.
  3. Ziehen Sie das Symbol auf das Trennzeichen zu seiner Linken.
  4. Lassen Sie die Maustaste wieder los.


So erstellen Sie eine benutzerdefinierte Symbolleiste

Display Menu Roadmap Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Symbolleisten.

  2. Klicken Sie auf Neu und dann auf Symbolleiste. Nun wird ein Eingabefeld für den Symbolleistennamen eingeblendet.
  3. Geben Sie den Namen der Symbolleiste ein und klicken Sie auf OK. Die neue Symbolleiste wird nun in der Liste Symbolleistendefinition angezeigt. Jetzt können Sie die Symbolleiste ändern und ihr neue Symbole hinzufügen (siehe So ändern Sie eine vorhandene Symbolleiste).


So löschen Sie eine benutzerdefinierte Symbolleiste

Display Menu Roadmap Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Symbolleisten.

  2. Wählen Sie die Symbolleiste aus der Liste Symbolleistendefinition aus.
  3. Klicken Sie auf die Schaltfläche Löschen.
  4. Klicken Sie auf Übernehmen, um die Änderungen zu übernehmen.


Anpassen der Tastenkombinationen

Display Menu Roadmap So passen Sie die Tastenkombinationen für die in PC-DMIS verwendeten Menüeinträge und -befehle an:

  1. Öffnen Sie das Dialogfeld Anpassen. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)
  2. Öffnen Sie die Registerkarte Tastatur.

Mit dieser Registerkarte können Sie die Tastenkombinationen ändern, über die Befehle in PC-DMIS aufgerufen werden, und neue Tastenkombinationen für benutzerdefinierte Menü- und Symbolleisteneinträge hinzufügen.

Siehe auch:

So fügen Sie einem Befehl eine Tastenkombination hinzu

So entfernen Sie eine Tastenkombination für einen Befehl


So fügen Sie einem Befehl eine Tastenkombination hinzu

Display Menu Roadmap Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Tastatur.

  2. Wählen Sie den zu ändernden Befehl mit Hilfe der Listen Kategorie und Menüauswahl aus. Wenn Sie einen Befehl in der Liste Befehle ausgewählt haben, werden im Feld Aktuelle Tastenkombinationen die Tastenkombinationen angezeigt, die dem Befehl derzeit zugewiesen sind (falls vorhanden).
  3. Markieren Sie den Befehl, dem Sie eine neue Tastenkombination zuweisen möchten.
  4. Klicken Sie in das Feld Neue Tastenkombination.
  5. Drücken Sie die Tasten, die Sie dem Befehl zuweisen möchten. Die verwendeten Tasten werden während Ihrer Eingabe angezeigt.
  6. Klicken Sie auf die Schaltfläche Zuweisen. Die neue Tastenkombination wird nun zusammen mit allen dem Befehl derzeit zugewiesenen Tastenkombinationen im Feld Aktuelle Tastenkombinationen angezeigt.
  7. Klicken Sie auf Übernehmen, um die Änderungen zu übernehmen.

Hinweis: Wie bei anderen Registerkarten können Sie auch hier die Schaltfläche Erstellen verwenden, um zuerst einen Befehl zu erstellen und diesen dann mit einem benutzerdefinierten Programm zu verknüpfen. Anschließend können Sie diesen Befehl auswählen, indem Sie in der Liste Menüauswahl auf Benutzerdefiniert klicken. In der Liste Befehle werden dann alle benutzerdefinierten Befehle angezeigt.


So entfernen Sie eine Tastenkombination für einen Befehl

Display Menu Roadmap Öffnen Sie das Dialogfeld Anpassen und wählen Sie die Registerkarte Tastatur.

  2. Wählen Sie den zu ändernden Befehl mit Hilfe der Listen Kategorie und Menüauswahl aus. Wenn Sie einen Befehl in der Liste Befehle ausgewählt haben, werden im Feld Aktuelle Tastenkombinationen die Tastenkombinationen angezeigt, die dem Befehl derzeit zugewiesen sind (falls vorhanden).
  3. Wählen Sie den Befehl aus, dessen Tastenkombination Sie entfernen möchten.
  4. Wählen Sie die zu entfernende Tastenkombination aus.
  5. Klicken Sie auf die Schaltfläche Entfernen.
  6. Klicken Sie auf Übernehmen, um die Änderungen zu akzeptieren.


So passen Sie die Schriftarten der Benutzeroberfläche an

Display Menu Roadmap Öffnen Sie zum Ändern der Schriftattribute das Dialogfeld Alle Schriftarten ändern. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".) In diesem Dialogfeld können Sie die Schriftattribute (einschließlich Schriftart, Größe und Stil) für die Hauptbenutzeroberfläche, das Grafikfenster und das Bearbeitungsfenster ändern. So ändern Sie die Schriftart:

  1. Wählen Sie eine dieser Optionsschaltflächen und es erscheint das Standarddialogfeld Schriftart.
    • Bearbeite Schriftart der Anwendung – Hiermit wird die Schriftart der Listen in der Symbolleiste Einstellungen, des Voransichtsfensters, der Ergebnisanzeige, der Statusleiste und aller Meldungsfelder etc. geändert.
    • Bearbeite Schriftart des Grafikfensters – Hiermit wird die Schriftart von Text geändert, der im Grafikfenster angezeigt wird. Dies betrifft vor allem die Textfelder für Sprungmarken, Merkmals- und Punktangaben usw.
    • Bearbeite Schriftart des Bearbeitungsfensters – Hiermit wird die Schriftart des Bearbeitungsfensters geändert. Beachten Sie, daß proportionale Schriftarten, d.h. Schriften mit unregelmäßigem Zeichenabstand, die Lesbarkeit des Bearbeitungsfensters beeinträchtigen können.
  2. Wählen Sie Ihre Schriftartänderungen aus den verfügbaren Listen aus.
  3. Klicken Sie auf OK, um das Dialogfeld Schriftart zu schließen.
  4. Klicken Sie im Dialogfeld Alle Schriftarten ändern auf OK, um Ihre Änderungen zu übernehmen.

Sie können jede Schriftart verwenden, die auf Ihrem Computersystem verfügbar ist. Beachten Sie jedoch, daß proportionale Schriftarten, d.h. Schriften mit unregelmäßigem Zeichenabstand, die Lesbarkeit mancher Komponenten beeinträchtigen können.

Wichtig: Wenn Sie vom Bearbeitungsfenster aus drucken, sollten Sie eine True Type-Schrift (wie beispielsweise Courier New) verwenden, sonst sind die Zeichen oder Zeilen möglicherweise nicht so angeordnet wie erwartet.

Siehe auch:

Skript


Skript

In der Liste Skript können Sie einen Skripttyp auswählen, der der zu verwendenden Schriftart entspricht.

Hinweis: Bei Verwendung chinesischer oder japanischer Schriftarten sollten Sie sicherstellen, daß Sie den passenden Skripttyp (CHINESE_GB3212 für Chinesisch und Japanisch für Japanisch) auswählen. Andernfalls könnten die Zeichen nicht ordnungsgemäß angezeigt werden.


Using Basic File Options

Erstellen neuer Werkstückprogramme

Öffnen vorhandener Werkstückprogramme

Speichern von Werkstückprogrammen

Durchführen von Dateioperationen

Ändern der Sprache

Drucken des Grafikfensters

Drucken des Bearbeitungsfensters

Starten von Altanwendungen

Schließen oder Verlassen von Werkstückprogrammen

Beenden von PC-DMIS


Verwenden von grundlegenden Dateioptionen: Einführung

PC-DMIS enthält viele Optionen zur Bearbeitung von Werkstückprogrammen und Verwaltung wichtiger Dateien. Wie bei den meisten Windows-basierten Programmen können Sie die grundlegende Dateiverwaltung mit Hilfe der standardmäßigen Windows-Dialogfelder durchführen. Dazu gehört u.a. das Erstellen, Öffnen, Kopieren, Umbenennen und Löschen von Dateien. Mit PC-DMIS können Sie zudem fortgeschrittene Operationen durchführen, beispielsweise das Importieren und Exportieren von CAD-Daten, oder fertiggestellte Werkstückprogramme ausführen.

In diesem Kapitel wird speziell auf die grundlegenden Dateioptionen eingegangen. Informationen zu den fortgeschrittenen Optionen finden Sie im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen". Im Abschnitt "Verwenden der Übersichtskarte"" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen.

Dieser Abschnitt beschreibt folgende Vorgänge:

  • Erstellen neuer Werkstückprogramme
  • Öffnen vorhandener Werkstückprogramme
  • Speichern von Werkstückprogrammen
  • Durchführen von Dateioperationen
  • Ändern der Sprache
  • Drucken des Grafikfensters
  • Drucken des Bearbeitungsfensters
  • Schließen oder Verlassen von Werkstückprogrammen
  • Beenden von PC-DMIS


Erstellen neuer Werkstückprogramme

Display Menu Roadmap Wenn Sie noch keine Werkstückprogramme haben, die Sie öffnen könnten, müssen Sie im Dialogfeld Neues Werkstückprogramm ein neues Werkstückprogramm erstellen. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)

In diesem Dialogfeld können Sie ein neues Werkstück erstellen. Sie werden zur Eingabe eines Werkstücknamens, einer Seriennummer, einer Ausgabenummer, eines Schnittstellentyps und der Maßeinheiten aufgefordert. Das Werkstück wird erst dann in den Speicher aufgenommen, wenn Sie es speichern. Hier wird auch der KMG-Schnittstellentyp festgelegt.

Hinweis: In PC-DMIS muß nur das Feld Werkstückname einen Eintrag enthalten, damit ein neues Werkstückprogramm erstellt wird. Die in die Felder Ausgabenummer und Seriennummer eingegebenen Informationen sind optional.


Öffnen vorhandener Werkstückprogramme

Display Menu Roadmap Wenn Sie bereits ein Werkstückprogramm im Dialogfeld Neues Werkstückprogramm erstellt haben (siehe Erstellen neuer Werkstückprogramme ), können Sie dieses nun über das Dialogfeld Öffnen öffnen. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)

Dies ist das Standard-Windows-Dialogfeld Öffnen mit den folgenden Erweiterungen:

  • Es enthält eine Schnittstellenliste. Wird PC-DMIS ONLINE ausgeführt, können Sie bestimmen, welches KMG (sofern Sie über mehrere KMGs verfügen) für dieses Werkstückprogramm verwendet werden soll, oder Sie können PC-DMIS offline ausführen, indem Sie als Gerät OFFLINE wählen.
  • Sie können Daten in ein Werkstückprogramm importieren oder Daten aus einem Werkstückprogramm exportieren, indem Sie mit der rechten Maustaste auf den Dateinamen des Werkstückprogramms klicken und Importieren bzw. Exportieren wählen. (Weitere Informationen hierzu finden Sie unter "Importieren von CAD-Daten" und unter "Exportieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".)
  • Zudem können Sie den Namen, die Seriennummer oder die Ausgabenummer eines Werkstücks prüfen und ändern und den Dateinamen auf einen Namen ändern, der aus den Dateieigenschaften abgeleitet wird.

    Vorgehensweise:
    1. Klicken Sie mit der rechten Maustaste auf den Dateinamen des Werkstückprogramms. Ein Kontextmenü wird angezeigt.
    2. Wählen Sie den Befehl Eigenschaften.
    3. Klicken Sie auf die Registerkarte PC-DMIS.

Dieselben über die rechte Maustaste zugänglichen Funktionen sind aus dem Windows Explorer heraus verfügbar.

Hinweis: Das Dialogfeld Öffnen wird bei jedem Start von PC-DMIS automatisch aufgerufen. Hiermit können Sie vorhandene Werkstückprogramme öffnen. Soll diese Funktion jedoch deaktiviert werden, deaktivieren Sie das Kontrollkästchen Startdialogfeld einblenden im Dialogfeld Setup-Optionen auf der Registerkarte Allgemein.


Speichern von Werkstückprogrammen

Display Menu Roadmap Durch Auswahl der Option Speichern werden alle Arbeiten gespeichert, die am aktuellen Programm vorgenommen wurden. Beim erstmaligen Speichern einer Datei wird das Dialogfeld Speichern unter aufgerufen. In diesem Dialogfeld können Sie angeben, wo das Werkstückprogramm gespeichert werden soll. (Weitere Informationen hierzu finden Sie unter "Speichern unter").

Wurde bereits ein Werkstückprogramm in einer vorherigen Version von PC-DMIS gespeichert (über das Dialogfeld Speichern unter), werden Sie bei nachfolgenden Speichervorgängen gefragt, ob das Werkstückprogramm in der zuvor ausgewählten alten Version gespeichert werden soll. Wenn Sie auf

  • Ja klicken, speichert PC-DMIS das Werkstückprogramm im Format der alten Version.
  • Nein klicken, speichert PC-DMIS das Werkstückprogramm im Format der aktuellen Version.
  • Abbrechen klicken, beendet PC-DMIS den Speichervorgang , ohne zu speichern.

Wenn diese Meldung nicht mehr angezeigt werden soll, lesen Sie unter "Warnmeldungen" im Abschnitt "Voreinstellungen" nach.

Siehe auch:

Speichern unter


Verwenden von grundlegenden Dateioptionen - Speichern von Werkstückprogrammen - Speichern unter

Speichern unter

Display Menu Roadmap Durch Auswahl der Option Speichern unter wird das Dialogfeld Speichern unter eingeblendet.

In diesem Dialogfeld können Sie das aktuelle Werkstückprogramm unter einem neuen Dateinamen oder einer vorherigen Version speichern.

In der Liste PC-DMIS-Werkstückprogramm können Sie festlegen, ob das Werkstückprogramm in einem Format gespeichert werden soll, das durch ältere PC-DMIS-Versionen genutzt werden kann. Zu den verfügbaren Formaten gehört die Version 3.202 und höher.

Klicken Sie auf die Schaltfläche Speichern, um das Werkstückprogramm zu speichern. Mit Abbrechen wird das Dialogfeld ohne Speichern geschlossen.


Durchführen von Dateioperationen

Mit Hilfe der Dateioperationen von PC-DMIS können Sie Dateien aus Werkstückprogrammen spiegeln, kopieren, löschen und umbenennen.

Siehe auch:

Spiegeln

Kopieren

Löschen

Umbenennen


Spiegeln

Display Menu Roadmap Mit dem Befehl Spiegeln kann der Benutzer eine an der X-, Y- oder Z-Achse gespiegelte Bildkopie eines Werkstückprogramms erstellen.

So spiegeln Sie ein Werkstückprogramm:

  1. Klicken Sie auf Spiegeln. Das folgende Dialogfeld Zu spiegelndes Werkstück wählen, wird angezeigt:
  2. Wählen Sie die zu spiegelnde Werkstückprogrammdatei aus.
  3. Bestimmen Sie durch Auswahl des betreffenden Optionsfeldes Spiegeln in (entweder X, Y oder Z), an welcher Achse die Spiegelung erfolgen soll.
  4. Klicken Sie auf die Schaltfläche Öffnen. Es erscheint das Dialogfeld Gespiegeltes Werkstück speichern unter mit dem Dateinamen des zum Spiegeln ausgewählten Werkstückprogramms.
  5. Klicken Sie auf die Schaltfläche Speichern. Es wird eine Kopie des gespiegelten Werkstückprogramms in dem von Ihnen angegebenen Verzeichnis gespeichert.

Wichtig: PC-DMIS versucht auch, die AB-Tastspitzenwinkel ihres Tasters zu spiegeln. Wenn die exakten gespiegelten Tastspitzenwinkel nicht schon für den Taster definiert und kalibriert worden sind, könnte PC-DMIS versuchen, die kalibrierten Tastspitzenwinkel auszuwählen, die dem am nächsten kommen. PC-DMIS wählt eng übereinstimmende Tastspitzenwinkel aus, wenn bereits kalibrierte Tastspitzenwinkel vorhanden sind und diese sich innerhalb des Wertes für den Wrist-Winkel bewegen, der im Feld Delta-Mindestwert für Wristdrehung auf der Registerkarte Werkstück/KMG des Dialogfelds SetUp-Optionen vorgegeben wurde (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte"). Wenn es keine eng übereinstimmenden AB-Tastspitzenwinkel gibt, wird PC-DMIS perfekt gespiegelte AB-Tastspitzenwinkel erzeugen, die aber noch nicht kalibriert sind. Informationen hierzu finden Sie unter "Setup-Optionen: Registerkarte Werkstück/KMG" im Abschnitt "Voreinstellungen".


Verwenden von grundlegenden Dateioptionen - Durchführen von Dateioperationen - Kopieren

Kopieren

Display Menu Roadmap Mit dem Befehl Kopieren kann der Benutzer alle zu einem bestimmten Werkstückprogramm gehörenden Dateien kopieren.

So kopieren Sie ein Werkstückprogramm:

  1. Klicken Sie im Menü auf Kopieren. In dem nun eingeblendeten Dialogfeld Werkstückdateien kopieren von werden Sie gefragt, welche Datei aus welchem Ordner kopiert werden soll.
  2. Navigieren Sie durch die Verzeichnisstruktur und wählen Sie ein Werkstückprogramm aus.
  3. Klicken Sie auf die Schaltfläche Öffnen. In dem Dialogfeld Werkstückdateien kopieren nach wird der Benutzer gefragt, in welchen Ordner das Werkstückprogramm kopiert werden soll.
  4. Klicken Sie auf das zu kopierende Werkstückprogramm, so daß der Dateiname und die Erweiterung des Werkstückprogramms im Feld Dateiname angezeigt werden.
  5. Gehen Sie zu dem Ordner, in den das Programm kopiert werden soll.
  6. Klicken Sie auf die Schaltfläche Öffnen.

Kopiert werden die Dateien ".PRG" und ".CAD" sowie alle Dateien mit demselben Grundnamen und einer Erweiterung im Bereich von .001, .002, …, .999.


Verwenden von grundlegenden Dateioptionen - Durchführen von Dateioperationen - Löschen

Löschen

Display Menu Roadmap Mit dem Befehl Löschen kann der Benutzer alle zu einem bestimmten Werkstückprogramm gehörenden Dateien löschen.

So löschen Sie ein Werkstückprogramm:

  1. Klicken Sie im Menü auf Löschen. Das Dialogfeld Werkstückdateien löschen erscheint.
  2. Wählen Sie das zu löschende Werkstückprogramm aus.
  3. Klicken Sie auf die Schaltfläche Öffnen. PC-DMIS fragt Sie in einem weiteren nun eingeblendeten Dialogfeld, ob die Dateien wirklich in den Papierkorb gesendet werden sollen.
  4. Klicken Sie auf die Schaltfläche Ja.

Gelöscht werden die Dateien ".PRG" und ".CAD" sowie alle Dateien mit demselben Grundnamen und einer Erweiterung im Bereich von .001, .002, …, .999. Alle gelöschten Dateien werden zum Papierkorb gesendet.


Umbenennen

Display Menu Roadmap Mit dem Befehl Umbenennen kann der Benutzer alle zu einem bestimmten Werkstückprogramm gehörenden Dateien umbenennen.

So benennen Sie ein Werkstückprogramm um:

  1. Klicken Sie im Menü auf Umbenennen. In dem nun eingeblendeten Dialogfeld Werkstückdateien umbenennen von werden Sie gefragt, welche Datei umbenannt werden soll.
  2. Wählen Sie das umzubenennende Werkstückprogramm aus.
  3. Klicken Sie auf die Schaltfläche Öffnen. In einem anderen nun eingeblendeten Dialogfeld Werkstückdateien umbenennen in werden Sie nach dem neuen Namen der Datei gefragt.
  4. Geben Sie den neuen Dateinamen in das Feld Dateiname ein.
  5. Klicken Sie auf die Schaltfläche Öffnen. Die Namensänderung wird sofort wirksam.

Umbenannt werden die Dateien ".PRG" und ".CAD" sowie alle Dateien mit demselben Grundnamen und einer Erweiterung im Bereich von .001, .002, …, .999.


Ändern der Sprache

Display Menu Roadmap Durch Auswahl von Sprache werden die in PC-DMIS verfügbaren Sprachen angezeigt. Die derzeit verwendete Sprache ist durch ein Häkchen gekennzeichnet. Um auf eine neue Sprache umzuschalten, wählen Sie einfach die gewünschte Sprache aus. PC-DMIS wird automatisch beendet. Nach dem Neustart wird PC-DMIS in der neu ausgewählten Sprache ausgeführt. Abgeblendete Sprachen können nicht ausgewählt werden. Manche verfügbaren Sprachen sind möglicherweise nicht auf Ihrem aktuellen System installiert.

Hinweis: Beim Wechseln der Sprache ist Vorsicht geboten. PC-DMIS schließt das Programm automatisch, nachdem ein Sprachwechsel angefordert wurde. Alle am Werkstückprogramm vorgenommenen Änderungen werden nicht gespeichert.


Drucken des Grafikfensters

Display Menu Roadmap In PC-DMIS können Sie den aktuellen Inhalt des Grafikfensters an Ihren Drucker senden. Wählen Sie hierfür im Menü die Option Drucken im Grafikfenster. Vor dem Drucken können Sie die Ausgabeoptionen festlegen und den Druckauftrag in einer Voransicht anzeigen.

Siehe auch:

Einstellen der Ausgabe- und Druckeroptionen

Voransicht des Druckauftrags


Verwenden von grundlegenden Dateioptionen - Drucken des Grafikfensters - Einstellen der Ausgabe- und Druckeroptionen

Einstellen der Ausgabe- und Druckeroptionen

Display Menu Roadmap Bei Auswahl der Menüoption Druckereinrichtung im Grafikfenster wird das Dialogfeld Druckereinrichtung und Ausgabeoptionen eingeblendet.

Dieses Dialogfeld dient zum Einrichten des Druckers und Festlegen verschiedener Anzeigeoptionen. Mit Hilfe der unter Druckeroptionen verfügbaren Optionen können Sie die Art der grafischen Ansicht auswählen, die gedruckt wird. Dazu gehören:

Größe an Einzelseite anpassen – Diese Option skaliert jedes grafische Bild so, daß es auf eine einzelne Seite paßt.

Sichtbaren Bildschirmbereich drucken – Diese Option druckt nur den derzeit sichtbaren Fensterbereich. Wenn Sie beispielsweise ein Element vergrößert anzeigen, wird nur das gedruckt, was gerade auf dem Bildschirm sichtbar ist, und nicht das gesamte Werkstück.

Vollständige Ansichten drucken – Diese Option druckt jede Ansicht, die Sie im Bereich View Layout (Layout anzeigen) des Dialogfelds Ansicht einrichten definiert haben, auf einer eigenen Seite. Wenn Sie beispielsweise die Ansicht Z+ und die Ansicht Y- eines Werkstücks im Grafikfenster anzeigen, druckt PC-DMIS zwei separate Seiten, eine mit der Ansicht Z+ und eine mit der Ansicht Y-.

Vollst. Ansichten im aktuellen Maßstab drucken – Diese Option entspricht der Option Vollständige Ansichten drucken, der Ausdruck erfolgt jedoch im aktuellen Maßstab. Wenn Sie beispielsweise das Bild vergrößert anzeigen, druckt PC-DMIS dennoch die gesamte Ansicht, teilt das Bild jedoch auf mehrere Seiten auf.

Durch Aktivieren des Kontrollkästchens Lineale zeichnen werden zudem alle im Grafikfenster angezeigten Lineale gedruckt. Zum Anzeigen der Lineale verwenden Sie das Dialogfeld Ansicht einrichten. Informationen hierzu finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige".

Display Menu Roadmap Über die Schaltfläche Druckereinrichtung können Sie auf das Dialogfeld Druckereinrichtung zugreifen. In diesem Dialogfeld können Sie das Papierformat und die Seitenausrichtung einstellen und auf weitere Druckereigenschaften zugreifen.

Klicken Sie auf OK, um alle Änderungen zu speichern.


Verwenden von grundlegenden Dateioptionen - Drucken des Grafikfensters - Voransicht des Druckauftrags

Voransicht des Druckauftrags

Display Menu Roadmap Sie können in einer Voransicht ganz einfach überprüfen, welche Bereiche des Grafikfensters gedruckt werden, indem Sie die Menüoption Seitenansicht im Grafikfenster auswählen. Ein Seitenansichtsfenster wird eingeblendet.

Die Schaltflächen am oberen Fensterrand üben folgende Funktionen aus:

Die Schaltfläche Drucken öffnet das standardmäßige Dialogfeld Druckereinrichtung, über das Sie den Druckauftrag an den Drucker senden können.

Mit den Schaltflächen Nächste Seite und Vorherige Seite können Sie durch einen Druckauftrag mit mehreren Seiten blättern.

Das Umschaltfeld One Page (Eine Seite) oder Two Pages (Zwei Seiten) bestimmt, wie viele Seiten gleichzeitig in der Voransicht angezeigt werden.

Mit Hilfe der Schaltflächen Vergrößern und Verkleinern können Sie schnell einen genaueren Blick auf eine Seite in der Voransicht werfen. Dies hat keinen Einfluß auf die Ansicht, die an den Drucker gesendet wird.

Mit der Schaltfläche Schließen wird das Voransichtsfenster geschlossen.


Drucken aus dem Bearbeitungsfenster

Display Menu Roadmap In PC-DMIS können Sie den aktuellen Inhalt des Bearbeitungsfensters an eine Reihe von Ausgabegeräten oder eine Datei senden. PC-DMIS unterstützt eine große Anzahl von Druckern und Plottern. Sollten Sie Fragen bezüglich der Hardware-Kompatibilität haben, wenden Sie sich bitte an Ihren PC-DMIS-Vertriebsbeauftragten.

Verwenden Sie diese Funktion zum Drucken von Prüfprotokollen, die eine grafische Darstellung des Werkstücks enthalten. Wählen Sie dazu die Menüoption Drucken im Bearbeitungsfenster. Vor dem Drucken können Sie die Ausgabeoptionen festlegen und den Druckauftrag in einer Voransicht anzeigen.

Wichtig: Wenn Sie vom Bearbeitungsfenster aus drucken, sollten Sie eine True Type-Schrift (wie beispielsweise Courier New) verwenden, sonst sind die Zeichen oder Zeilen möglicherweise nicht so angeordnet wie erwartet. Wie die im Bearbeitungsfenster und in Ihren Protokollen verwendeten Schriftarten geändert werden, finden Sie unter "So passen Sie die Schriftarten der Benutzeroberfläche an" im Abschnitt "Navigation durch die Benutzeroberfläche".

Siehe auch:

Ausgabeformat und Druckeroptionen einstellen

Voransicht des Druckauftrags


Verwenden von grundlegenden Dateioptionen - Drucken aus dem Bearbeitungsfenster - Einstellen der Ausgabe- und Druckeroptionen

Einstellen der Ausgabe- und Druckeroptionen

Display Menu Roadmap Bei Auswahl der Menüoption Druckereinrichtung im Bearbeitungsfenster wird das Dialogfeld Druckoptionen eingeblendet.

Mit Hilfe dieses Dialogfelds können Sie PC-DMIS mitteilen, wohin der Inhalt des Bearbeitungsfensters gesendet werden soll. Sie können ihn an eine Datei oder einen Drucker senden, eine DMIS-Datei daraus erstellen oder eine Kombination dieser drei Möglichkeiten verwenden. Vorgehensweise:

  1. Aktivieren Sie das Kontrollkästchen Datei, Drucker oder DMIS-Ausgabe oder eine Kombination dieser drei Kontrollkästchen.
  2. Neben den Kontrollkästchen können jetzt verschiedene Optionen ausgewählt werden. Welche Optionen angezeigt werden, hängt von Ihrer Auswahl im vorherigen Schritt ab.
  3. Klicken Sie auf OK (oder drücken Sie die EINGABETASTE). Das Dialogfeld Druckoptionen wird eingeblendet.

Siehe auch:

Ausgabe in eine Datei:

Ausgabe an den Drucker:

Ausgabe als DMIS-Ausgabedatei File:


Ausgabe in eine Datei:

Wenn die Ausgabe an eine Datei gesendet wird, kann sie entweder als .rtf- (Rich Text Format) oder .pdf- (Portable Document Format) Datei gespeichert werden. Der Dateiname wird ursprünglich so generiert und formatiert, daß er denselben Namen wie das Werkstückprogramm hat plus einen angehängten numerischen Index vor der Erweiterung. Der anfängliche Dateiname in diesem automatisch erzeugten Standardformat ist nicht zwingend und kann auf Wunsch jederzeit geändert werden.

Hinweis: Die Optionen Anhängen und Überschreiben können erst ausgewählt werden, nachdem Sie eine Datei erstellt haben, in der die Informationen vorher gespeichert worden sind.

Anhängen einer Datei:
Wenn Anhängen aktiviert ist, fügt PC-DMIS die aktuellen Daten im Bearbeitungsfenster zur ausgewählten Datei hinzu. Beachten Sie, daß der vollständige Pfad angegebenen werden muß; andernfalls wird das Verzeichnis angenommen, in dem sich das Werkstückprogramm befindet. Sollte es die Datei also noch nicht geben, wird sie bei der Protokollerstellung angelegt.

Überschreiben einer Datei:
PC-DMIS überschreibt die ausgewählte Datei mit den aktuellen Daten im Bearbeitungsfenster. Beachten Sie, daß der vollständige Pfad angegebenen werden muß; andernfalls wird das Verzeichnis angenommen, in dem sich das Werkstückprogramm befindet. Sollte es die Datei also noch nicht geben, wird sie bei der Protokollerstellung angelegt.

Aufforderung zur Eingabe eines Ziels:
Ist Eingabeaufforderung ausgewählt, zeigt PC-DMIS das Dialogfeld Speichern unter an, in dem Sie die Zieldatei für das Protokoll auswählen können.

Verwenden der Option "Auto":
PC-DMIS erstellt den Protokolldateinamen automatisch unter Verwendung der Nummer im Indexfeld. Der erstellte Dateiname entspricht dem Namen des Werkstückprogramms mit angehängtem numerischen Index und angehängter Erweiterung. Zudem befindet sich die erstellte Datei in demselben Verzeichnis wie das Werkstückprogramm. Sollte bereits eine Datei mit demselben Namen wie der erstellte Dateinamen vorhanden sein, wird bei Wahl der Option "Auto" der Index erhöht, bis ein eindeutiger Dateiname gefunden wird.

Rich Text Format ( RTF ):
Ist die Option Rich Text Format (RTF) ausgewählt, erstellt PC-DMIS das Protokoll im Microsoft Rich Text Format (als .rtf-Datei), um den Austausch von Dokumenten zu ermöglichen. Beachten Sie, daß Bilder in RTF-Protokollen von einem hellen Rahmen umgeben sind.

Portable Document Format (PDF):
Ist die Option Portable Document Format (PDF) ausgewählt, erstellt PC-DMIS das Protokoll im Adobe Portable Document Format (als .pdf-Datei), um die gemeinsame elektronische Nutzung der Datei zu ermöglichen. Im PDF-Format werden Merkmale ohne den standardmäßigen blauen Hintergrund und ohne das Merkmalssymbol angezeigt.

Hyper Reports Inline:
Dieses Kontrollkästchen wird bei Wahl der Option Portable Document Format (PDF) verfügbar. Bei Auswahl dieses Kontrollkästchens werden die durch den Ausdruck des Bearbeitungsfensters erzeugten Daten und HyperView-Befehle in derselben PDF-Datei zusammengefaßt. Beachten Sie, daß diese Option Vorrang vor der AUTOMDRUCKEN-Option für HyperReport-Befehle hat. Beachten sie außerdem, daß HyperReports nicht als RTF-Dateien gedruckt werden können. Weitere Informationenen zu HyperView-Reports finden Sie im Abschnitt "Erstellen von HyperView-Reports".

Verwenden globaler Druckeinstellungen

Dieses Kontrollkästchen wird bei der Wahl einer Markierungsgruppe im Fenster Markierungsgruppen und dem anschließenden Öffnen dieses Dialogfelds verfügbar. Mit dem Kontrollkästchen Verwende Globale Druckeinstellungen wird festgelegt, ob PC-DMIS globale Parameter für die Ausgabedatei verwenden soll oder nicht. Die Auswahl dieses Kontrollkästchens hat Vorrang über die sehr spezifischen standardmäßigen Druckoptionen für Markierungsgruppen, wobei Sie mit den globalen Einstellungen des Werkstückprogramms eine größere Kontrolle über die Ausgabe haben. Mit der Wahl dieses Kontrollkästchen erhalten Sie eine größere Kontrolle über die für Markierungsgruppen verwendeten Namensdefinitionssystem Zu-Datei-Drucken.


Ausgabe an den Drucker:

Wenn das Kontrollkästchen Konzeptmodus aktiviert ist, ändert PC-DMIS die Schriftarten im Bearbeitungsfenster beim Drucken in eine Entwurfsschrift. Alle im Protokoll verwendeten Farben (zur Unterscheidung von Toleranzen, Modi etc.) werden in diesem Fall schwarz gedruckt. Durch diese Änderungen wird die Druckgeschwindigkeit wesentlich erhöht.


Ausgabe als DMIS-Ausgabedatei:

Wenn das Kontrollkästchen DMIS-Ausgabe aktiviert ist, können Sie die Daten im Bearbeitungsfenster als DMIS-Ausgabedatei speichern. Drei Kontrollkästchen (Ausgabedatei überschreiben, Theoretische Werte ausgeben und Elemente mit Abmessungen ausgeben) sowie die Schaltfläche Speichern unter werden verfügbar.

  • Durch Klicken auf die Schaltfläche Speichern unter wird das Dialogfeld Speichern unter geöffnet. Auf diese Weise können Sie die Daten im Bearbeitungsfenster in einem Verzeichnis Ihrer Wahl in einem DMIS-Ausgabeformat speichern. Für die verfügbaren Dateiformate werden folgende Erweiterungen verwendet: .dmo, .dms und .dmi.
  • Wenn Ausgabedatei überschreiben aktiviert ist, überschreibt PC-DMIS die alte mit der neuen Ausgabedatei. Ist dieses Kontrollkästchen allerdings nicht aktiviert, wenn das Werkstückprogramm ausgeführt wird, versucht PC-DMIS, das Namensschema einzusetzen, das beim letzten Klicken auf die Schaltfläche Speichern unter verwendet wurde. Hierbei werden keine vorherigen Dateien überschrieben.

    Ein Beispiel: Wenn zuletzt "test.dmo" als Ausgabedatei verwendet wurde und Ausgabedatei überschreiben nicht aktiviert war, speichert PC-DMIS beim nächsten Ausführen des Werkstückprogramms eine neue Datei als "test1.dmo". Bei erneutem Ausführen des Werkstückprogramms wird der Name, unter dem die Ausgabedatei gespeichert wird, ebenfalls nach diesem Muster gebildet.
  • Wenn Theoretische Werte ausgeben aktiviert ist, gibt PC-DMIS in der DMIS-Datei sowohl die theoretischen Werte als auch die Meßwerte aus. Wenn Sie dieses Kontrollkästchen nicht aktivieren, enthält das Protokoll keine theoretischen Werte. Wenn Sie die dritte Möglichkeit (hellgraues Häkchen) für dieses Kontrollkästchen aktivieren, werden nur die theoretischen Werte im Protokoll aufgeführt, die durch das DMIS-Programm ausgegebenen wurden.
  • Bei Auswahl von Elemente mit Abmessungen ausgeben speichert PC-DMIS die gemessenen Elemente und die entsprechenden Toleranzen zusammen in der Ausgabedatei. Die Ausgabe der Meßergebnisse erfolgt vor der Ausgabe der entsprechenden Toleranzen. Auf diese Weise können Sie zuerst alle Elemente im Werkstückprogramm messen und dann die Toleranzen für die Ergebnisse berechnen.

    Wenn ein Element keine Toleranz aufweist, erfolgt keine Ausgabe.

Hinweis: Der numerische Teil des Dateinamens sollte nicht mehr als 10 Ziffern haben. Andernfalls werden ältere Ausgabedateien möglicherweise überschrieben.


Verwenden von grundlegenden Dateioptionen - Drucken aus dem Bearbeitungsfenster - Voransicht des Druckauftrags

Voransicht des Druckauftrags

Display Menu Roadmap Bei Auswahl von Seitenansicht im Bearbeitungsfenster wird dieselbe Seitenansicht geöffnet wie unter "Voransicht des Druckauftrags" beschrieben.


Starten von Altanwendungen

Mit PC-DMIS können Sie vorhandene Altanwendungen aus PC-DMIS heraus starten. Wählen Sie einfach die entsprechende Menüoption.

Display Menu Roadmap Sie können die folgenden Altanwendungen starten, wenn diese auf Ihrem System installiert sind:

  • MM4
  • Tutor
  • Chorus
  • Master
  • Quindos

Sobald Sie eine Altanwendung beendet haben, kehrt Windows wieder zu PC-DMIS zurück.


Schließen oder Verlassen von Werkstückprogrammen

Display Menu Roadmap Durch Auswahl von Schließen wird das aktive Werkstückprogramm gespeichert und geschlossen. Wurde das Programm zuvor noch nie gespeichert, werden Sie zur Eingabe eines Dateinamens und zum Speichern der Datei aufgefordert.

Display Menu Roadmap Durch Auswahl von Verlassen wird das aktuelle Werkstückprogramm beendet, ohne die vorgenommenen Änderungen zu speichern. Nur zuvor gespeicherte Daten können danach wieder abgerufen werden. Wird Verlassen ausgewählt, erscheint eine Meldung, in der Sie gefragt werden, ob Sie das Programm ohne Speichern beenden möchten. Zum Speichern des Werkstückprogramms klicken Sie im Meldungsfeld auf Nein und befolgen Sie die Anweisungen unter "Speichern von Werkstückprogrammen".


Beenden von PC-DMIS

Display Menu Roadmap Zum Beenden des aktuellen Werkstückprogramms und von PC-DMIS wählen Sie den Befehl Beenden. Im Gegensatz zum Befehl Verlassen speichert PC-DMIS bei Auswahl von Beenden automatisch das aktuelle Werkstückprogramm, bevor es beendet wird.


Using Advanced File Options

Importieren von CAD-Daten

Exportieren von CAD-Daten oder Programm-Data

Ändern der Anzeige importierter/exportierter Bilder

Ausführen von Werkstückprogrammen


Using Advanced File Options : Introduction

Verwenden von fortgeschrittenen Dateioptionen: Einführung

PC-DMIS enthält viele Optionen zur Bearbeitung der Werkstückprogramme und zur Verwaltung wichtiger Dateien. Wie bei den meisten Windows-basierten Programmen können Sie die grundlegende Dateiverwaltung mit Hilfe der standardmäßigen Windows-Dialogfelder durchführen. Dazu gehört u.a. das Erstellen, Öffnen, Kopieren, Umbenennen und Löschen von Dateien. Mit PC-DMIS können Sie zudem fortgeschrittenere Operationen durchführen, wie beispielsweise das Importieren und Exportieren von CAD-Daten oder die Ausführung fertiggestellter Werkstückprogramme.

In diesem Kapitel wird speziell auf die fortgeschrittenen Dateioptionen eingegangen. Informationen zu den grundlegenden Optionen finden Sie im Abschnitt "Verwenden von grundlegenden Dateioptionen".

Dieser Abschnitt beschreibt folgende Vorgänge:

  • Importieren von CAD-Daten
  • Exporting CAD Data
  • Ändern der Anzeige importierter/exportierter Bilder
  • Ausführen von Werkstückprogrammen

Auf diese Optionen und Befehle wird in diesem Abschnitt eingehend eingegangen


Importieren von CAD-Daten

Display Menu Roadmap Über die Menüoption Importieren zeigt PC-DMIS ein Untermenü von Datentypen an, die in das aktuelle Werkstückprogramm importiert werden können. Durch Auswahl eines Menüeintrags wird das Dialogfeld Öffnen angezeigt (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte").

Es können Eingabedatendateien des folgenden Typs verwendet werden:

  1. CAD (IGES, DXF, STEP, VDAFS, DES, XYZIJK, STL, CATIA, Pro/ENGINEER, Unigraphics oder MMIV)
  2. Direct CAD (ACIS, Unigraphics, Pro/E, Catia oder I-DEAS)
  3. DMIS
  4. AVAIL

PC-DMIS verzeichnet die CAD-Daten in einer gesonderten Datei. Diese Datei besitzt denselben Betriebssystemdateinamen wie das Werkstückprogramm, jedoch mit der Erweiterung ".CAD". Alle Operationen, wie UMBENENNEN, LÖSCHEN und KOPIEREN, werden ggf. auch an der zugehörigen CAD-Datei (falls eine vorhanden ist) vorgenommen.

Beispiel: Es wird ein Werkstückprogramm mit dem Betriebssystemdateinamen TEST.PGR verwendet. Wenn zu diesem Werkstückprogramm CAD-Daten hinzugefügt werden, erstellt PC-DMIS eine CAD-Datei namens TEST.CAD, die in demselben Verzeichnis abgespeichert wird. Wird das Werkstückprogramm TEST.PRG später einmal über das Untermenü "Operationen" gelöscht, löscht PC-DMIS auch die Datei TEST.CAD.

In Version 3.5 und höher ermöglicht PC-DMIS das Importieren vorhandener CAD-Dateien zur Verwendung für mehrere Werkstückprogramme. Diese Funktion wird unter "Verweisen auf eine CAD-Datei für mehrere Werkstückprogramme" beschrieben.

Siehe auch:

So importieren Sie eine Datendatei in ein Werkstückprogramm::

Verweisen auf eine CAD-Datei für mehrere Werkstückprogramme

Importieren mehrerer CAD-Dateien

Zusammenführen/Ersetzen

Importieren einer IGES-Datei

Importieren von DMIS-Dateien

Importieren von STEP-, VDAFS- und DXF/DWG-Dateien

Importieren einer XYZIJK-Datei

Importieren einer STL-Datei

Importieren einer CATIA-Datei

Importieren einer Pro/ENGINEER-Datei

Importieren einer Unigraphics-Datei

Importieren einer MMIV-Datei

Importieren einer Tutor-Datei

Importieren einer Direct-CAD-Datei

Verwenden des Dialogfelds IGES-Daten

3D-Darstellung


So importieren Sie eine Datendatei in ein Werkstückprogramm:

Display Menu Roadmap Wählen Sie die Menüoption Importieren und dann den zu importierenden Datentyp. Nun erscheint das Dialogfeld Öffnen.

  2. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit den Datendateien finden.
  3. Markieren Sie unten im Dialogfeld in der Auswahlliste Dateityp den gewünschten Dateityp für die Eingabedatei und wählen Sie die einzugebende Datei aus. Sind mit dem ausgewählten Werkstückprogramm bereits CAD/DIMS-Daten verknüpft, überspringen Sie diesen Schritt.
  4. Klicken Sie auf die Schaltfläche Importieren. Wenn Sie bereits CAD-Daten für ihr aktuelles Werkstückprogramm importiert haben, fragt PC-DMIS, ob Sie die vorhandenen CAD-Daten ersetzen oder zusammenführen möchten. Klicken Sie entweder auf Zusammenführen oder auf Ersetzen.
  5. Wird das Dialogfeld IGES-Datei aufgerufen, fahren Sie mit den weiteren Schritten fort.
  • Informationen zum Verwenden der Schaltfläche Setup, um festzulegen, welche CAD-Daten verarbeitet und angezeigt werden, finden Sie unter "Ändern der Anzeige importierter/exportierter Bilder".
  • Informationen zum Erstellen von Ebenen in einem importierten Werkstück mit Hilfe der Schaltfläche 3D-Darst. finden Sie unter "3D-Darst.".
  • Informationen zum Anzeigen bestimmter IGES-elementdaten mit Hilfe der Schaltfläche Daten finden Sie unter "Verwenden des Dialogfelds "IGES-Daten"".
  6. Klicken Sie auf die Befehlsschaltfläche Verarbeiten. PC-DMIS gibt an, wenn die Datei zu 100 % verarbeitet wurde.
  7. Wenn Sie ein importiertes Koordinatensystem verwenden wollen, klicken Sie auf die Schaltfläche Koordinatensystem auswählen. Das Dialogfeld Koordinatensystem auswählen wird eingeblendet.

    Dieses Dialogfeld zeigt eine Liste der verfügbaren Koordinatensysteme mit deren Namen, falls vorhanden, und der Folgenummer der jeweiligen Dateiquelle in Klammern. Diese Nummer wird aus der mit der Koordinatensystemdefinition verbundenen IGES-Datei abgeleitet. Sie können die mit dieser Nummer zusammenhängenden Daten durch Anklicken der Schaltfläche Daten im Dialogfeld IGES-Datei ansehen.

    Klicken Sie auf die Schaltfläche OK. PC-DMIS schließt das Dialogfeld Koordinaten System auswählen, wendet das ausgewählte Koordinatensystem auf die importierte Geometrie an und deaktiviert die Schaltfläche Koordinatesystem auswählen.

  8. Klicken Sie auf die Schaltfläche OK. Sie kehren nun wieder in das Werkstückprogramm zurück.

CAD-Daten können mit den unter "Zusammenführen/Ersetzen" beschriebenen Verfahren jederzeit während des Werkstückprogrammzyklus' hinzugefügt und zusammengeführt werden.

Hinweis: Mit der Option Importieren können Sie auch Daten aus einer übertragenen DOS-Datei "verbuchen". Informationen hierzu finden Sie unter "Übertragen einer Werkstückprogrammdatei" im Abschnitt "Übertragen eines Werkstückprogramms in PC-DMIS".


Verweisen auf eine CAD-Datei für mehrere Werkstückprogramme

In früheren Versionen von PC-DMIS wurde beim Erstellen eines neuen Werkstückprogramms, das dieselbe IGES-Datei verwendet wie andere Werkstückprogramme, automatisch eine neue .CAD-Datei erstellt. In Version 3.5 und höher können mehrere Werkstücke auf eine einzelne CAD-Datei verweisen. Dies ist besonders hilfreich, wenn mehrere Werkstückprogramme dasselbe CAD-Modell verwenden. Wenn Sie große CAD-Modelle verwenden, können Sie beträchtlichen Speicherplatz sparen, indem mehrere Werkstückprogramme auf nur eine CAD file verweisen.

Zum Verweisen auf eine CAD-Datei, die in einem anderen Werkstückprogramm verwendet wird, befolgen Sie die Anweisungen unter "So importieren Sie eine Datendatei in ein Werkstückprogramm" in diesem Abschnitt. Wenn das Dialogfeld Daten importieren geöffnet wird, wählen Sie CAD-Verweis als Datentyp für den Import und fahren Sie dann mit dem Importvorgang fort.

Hinweis: Zirkelverweise auf .CAD-Dateien sind unzulässig und führen stets zu einer Fehlermeldung. Wenn Sie beispielsweise ein neues Werkstückprogramm erstellen, eine IGES-Datei importieren, das Werkstückprogramm speichern und dann versuchen, dessen eigene CAD-Datei zu importieren, wird ein Fehler gemeldet.

Nach dem Importieren wird beim Anzeigen von Informationen zu einem CAD-Element mit Hilfe der Menüoption CAD-Angaben auch der Pfad zur CAD-Datei angezeigt, auf die verwiesen wird. (Informationen hierzu finden Sie unter "Anzeigen von CAD-Angaben" im Abschnitt "Bearbeiten der CAD-Anzeige".)

Display Menu Roadmap Hinweis: Beachten Sie, daß Änderungen am CAD-Modell – ob am Original-CAD-Modell oder an einem CAD-Modell, auf das verwiesen wird – auch an allen anderen Werkstückprogrammen vorgenommen werden, die auf diesem CAD-Modell basieren. Wenn Sie beispielsweise Änderungen am Original-CAD-Modell vornehmen, werden diese Änderungen auch an allen Modellen vorgenommen, auf die das Original verweist. Im umgekehrten Fall, wenn Sie Änderungen an einem Modell vornehmen, auf das verwiesen wird, werden dieselben Änderungen auch am Originalmodell vorgenommen.


Importieren von CAD-Dateien

Importieren von mehreren CAD-Dateien

Display Menu Roadmap Mit PC-DMIS können Sie gleichzeitig mehrere CAD-Dateien importieren. Dies ist hilfreich, wenn Sie dasselbe Werkstückmodell sowohl als Drahtmodell als auch als physisches Modell importieren möchten. Hierfür klicken Sie auf das Symbol CAD Import auf der Symbolleiste Zusätze Ein Dialogfeld wird geöffnet. Wählen Sie die zu importierenden Dateien aus und klicken Sie auf Öffnen. Sie können Zusammenführen der Daten wählen.

Assistent für CAD-Import

Siehe das Thema "Die Symbolleiste Zusätze" " im Abschnitt "Die Verwendung der Symbolleisten".


Zusammenführen/Ersetzen

Wird eine CAD-Datei importiert, erscheint das Dialogfeld Import -Daten Zusammenführen, wenn bereits CAD-Daten mit dem ausgewählten Werkstückprogramm verknüpft sind. Sie können entweder Zusammenführen oder Ersetzen der CAD-Daten wählen.

  • Wenn Sie die Option Zusammenführen (neue Daten) wählen, werden die Eingabedaten zum Werkstückprogramm hinzugefügt. Bereits vorhandene Daten werden hierbei nicht gelöscht.
  • Wenn Sie die Option Ersetzen wählen, löscht PC-DMIS die vorhandenen Daten und ersetzt sie durch die neuen Eingabedaten.

Wenn Sie Zurück anklicken, kehren Sie wieder zum Dialogfeld Öffnen zurück.

Hinweis: Bei einigen importierten Dateitypen werden die alten vorhandenen CAD-Daten automatisch durch die importierten Daten ersetzt. In diesen Fällen wird das Dialogfeld Importdaten Zusammenführen nicht einbeblendet.


Exportieren einer IGES-Datei

Importieren einer IGES-Datei

Display Menu Roadmap So importieren Sie eine IGES-Datendatei:

  1. Wählen Sie die Menüoption Importieren und dann IGES aus dem Untermenü. Nun erscheint das Dialogfeld Öffnen.
  2. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit Ihrer Werkstückdatei finden.
  3. Wählen Sie die Datei aus.
  4. Klicken Sie auf die Schaltfläche Importieren. PC-DMIS zeigt das Dialogfeld IGES-Datei an. Im Dialogfeld IGES-Datei werden alle relevanten Informationen bezüglich der angegebenen Datendatei angezeigt.
  5. Wenn Sie die Anzeige der importierten IGES-Datei ändern möchten, klicken Sie auf die Schaltfläche Setup. (Weitere Informationen hierzu finden Sie unter "Ändern der Anzeige importierter/exportierter Bilder").
  6. Um diese Datei mit dem ausgewählten Werkstückprogramm zu verknüpfen, klicken Sie einfach auf die Befehlsschaltfläche Verarbeiten. PC-DMIS gibt an, wenn die Datei zu 100 % verarbeitet wurde.
  7. Klicken Sie auf die Schaltfläche OK, um die Aktion abzuschließen. Sie kehren nun wieder in das Werkstückprogramm zurück.

Durch Klicken auf die Schaltfläche Abbrechen wird der gesamte Vorgang abgebrochen und das Dialogfeld IGES-Datei geschlossen.

Informationen zu den verschiedenen Eingabedateiformaten finden Sie unter "Arbeiten im Offline-Modus".


Importieren von DMIS-Dateien

Display Menu Roadmap Display Menu Roadmap

PC-DMIS kann DMIS-Auswahldateien und DMIS-Programme importieren, die mit Erweiterungen besonderer anbieterspezifischer Umgebungen erstellt worden sind.

So importieren Sie eine DMIS-Programmdatei:

  1. Öffnen das PC-DMIS-Werkstückprogramm, in das die DMIS-Programmdatei importiert werden soll.
  2. Wählen Sie die Menüoption Importieren und dann DMIS aus dem Untermenü. Nun erscheint das Dialogfeld Öffnen.
  3. Wählen Sie in der unteren linken Ecke des Dialogfeldes in der Liste Dateityp den Eintrag Chorus DMIS-Dateien oder DMIS-Dateien aus. PC-DMIS führt alle Programmdateien auf, die mit den Dateierweiterungen ".dmi" oder ".dms" enden.

    Hinweis: Die Erweiterungen der Chorus NT-Programme entsprechen dem DMIS 3.0-Standard und verfügen über eine bessere Verwaltungsstruktur. In dem meisten Fällen sollten Sie Chorus DMIS-Dateien den Vorrang gegenüber gewöhnlichen DMIS-Dateien geben.

  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten DMIS-Programmdatei finden und wählen Sie diese Datei aus der Liste aus.
  5. Klicken Sie auf die Schaltfläche Importieren.
  6. PC-DMIS führt die First-Pass-Übertragung der Eingabedatei durch. Das Dialogfeld DMIS Import einrichten wird angezeigt. In diesem Dialogfeld können Sie während des tatsächlichen Importvorgangs viele nützliche Optionen auswählen.
  7. Markieren Sie die gewünschten Optionen im Dialogfeld DMIS Import einrichten. Weitere Informationen über das Verwenden dieses Dialogfelds finden Sie unter den folgenden Themen.
  8. Klicken Sie auf OK. PC-DMIS beendet den Importvorgang.

Siehe auch:

DMIS Import einrichten – Registerkarte Allgemein

DMIS Import einrichten –Registerkarte Module

DMIS Import einrichten –Registerkarte Fehlerprotokoll

DMIS Import einrichten –Registerkarte Erweitert


DMIS Import einrichten - Registerkarte "Allgemein"

Über die Registerkarte Allgemein können Sie Übersetzung der Taster-Datei für das importierte DMIS-Programm steuern. Die verwendeten Steuerelemente sind in der folgenden Tabelle beschrieben:

Name des Steuerelements | Beschreibung
DMIS-Datei | In diesem Feld wird die zu importierende DMIS-Datei angegeben. Hier steht automatisch der Pfad zu der Datei, die in dem unter DMIS Importvorgang. beschriebenen Dialogfeld "Öffnen" ausgewählt wurde.
Zusammenführen/Ersetzen Mit diesen Optionen wird festgelegt, ob PC-DMIS die bestehenden Befehle durch die importierten DMIS-Befehle ersetzt oder die neuen Befehle mit den bestehenden Befehlen zusammenführt.

Wählen Sie Ersetzen, wenn die in dem aktuell geladenen Werkstückprogramm bestehenden Befehle während des Importvorgangs durch neue PC-DMIS-Befehle ersetzt werden sollen.

Wählen Sie Zusammenführen, wenn die während des Importvorgangs erzeugten PC-DMIS-Befehle am Ende der aktuell geladenen .PRG-Datei angehängt werden sollen.
Arm | In dieser Liste wird der im Mehrarmsystem zu verwendende Arm vorgegeben.
Tasterdatei | In dieser Liste ist die vorhandene Tasterdatei aufgeführt.
Verwende ausgewählte Tasterdatei(en) Über diese Option wird eine aus der Liste Tasterdatei ausgewählte vorhandene Tasterdatei verwendet.
  1. Wählen Sie den Arm, der die angezeigte Tasterdatei nutzen wird, aus dem Drop-Down-Fenster.
  2. Wählen Sie die Tasterdatei aus der Liste aus.
  3. Klicken Sie auf Anwenden. PC-DMIS ergänzt die Tasterdatei um alle Tastspitzen (Sensoren), auf die in den DMIS-Programmen verwiesen wird und die noch nicht in der Tasterdatei aufgeführt sind.
So erstellen Sie eine neue Standard-Tasterdatei: Mit dieser Option wird eine neue Tasterdatei auf Basis der SNSDEF-Anweisungen in der DMIS-Programmdatei erzeugt. PC-DMIS erzeugt eine neue Tasterdatei mit demselben Namen wie der Dateiname des DMIS-Programms und der Erweiterung ".prb". Die erstellte Tasterkonfiguration enthält standardmäßig einen Dreh-/Schwenkkopf PH9 mit einer TP2-Verbindung und einer TIP2BY20MM-Tastspitze. Werden im DMIS-Programm jedoch keine SNSDEF-Anweisungen ermittelt, wird keine Tasterkonfiguration erstellt.
Ignoriere SCSLCT/ Statements | Bei Wahl dieser Option werden die SNSDEF- und SNSLCT-Anweisungen im DMIS-Programm während der Übertragung ignoriert.

Hinweis: Sollte die Standardtasterkonfiguration nicht mit der Tasterkonfiguration Ihres Meßgeräts übereinstimmen, wird empfohlen, mit PC-DMIS vor dem Importieren einer DMIS-Programmdatei eine Tasterdatei mit der aktuellen Tasterkonfiguration zu erstellen. Wählen Sie danach die erstellte Tasterdatei innerhalb dieser Registerkarte aus, klicken Sie auf Anwenden und dann auf OK. Auf diese Weise kann der Umsetzer bei der Umsetzung der SNSDEF-Anweisungen die passende(n) Tastspitze(n) auswählen.


DMIS Import einrichten - Registerkarte "Module"

Auf der Registerkarte Module können Sie weitere bei der Umsetzung zu verwendende Dateien auswählen. Da Chorus NT-Dateien optional DMIS-Bibliotheksdateien, die externe Prozeduren enthalten. verwendet, können Sie die Bibliotheksdateien in diesem Dialogfeld um Verweise ergänzen.


DMIS Import einrichten -Registerkarte Fehlerprotokoll

DMIS Import einrichten –Registerkarte Fehlerprotokoll

Über die Registerkarte Fehlerprotokoll können Sie festlegen, ob PC-DMIS am Ende des Importvorgangs Warnungen oder Fehlermeldungen in einer Textdatei Ihrer Wahl speichern soll. Klicken Sie einfach auf Durchsuchen und wählen Sie eine Textdatei aus.

Wenn Sie eine automatische Anzeige dieses Fehlerprotokolls am Ende des Importvorgangs wünschen, aktivieren Sie das Kontrollkästchen Anzeigen der Log-Datei nach dem Übersetzen. Die Textdatei wird in dem Dialogfeld DMIS Import Ergebnis geöffnet.


DMIS Import einrichten - Registerkarte "Erweitert"

Über die Registerkarte Erweitert können Sie besondere Kundenanforderungen und Konfigurationen importieren. Bei diesen Anforderungen kann es sich beispielsweise um nicht-standardmäßige Befehle oder ergänzte / modifizierte Parameter der DMIS-Standardbefehle handeln. PC-DMIS deaktiviert überflüssige Optionen (und aktiviert die erforderlichen), wenn Chorus DMIS-Dateien importiert werden. Weitere Informationen zu den in dieser Registerkarte verwendeten Steuerelementen gibt die folgende Tabelle:

Name des Steuerelements | Beschreibung
Konfiguration Dieser Bereich bietet Kontrollkästchen, über die Sie verschiedene DMIS-Konfigurationen auswählen können. Dazu gehören:

FEDRAT/ Werte sind prozentual zur maximalen Maschinengeschwindigkeit.

Bei DMIS-Befehlen wird nicht automatisch angegeben, ob sich die importierten FEDRAT/ Befehle (Befehle, welche die Maschinengeschwindigkeit kontrollieren) auf die maximale Maschinengeschwindigkeit oder die maximale Meßgeschwindigkeit der Maschine beziehen.

  • Bei Auswahl dieses Kontrollkästchens sind die importierten FEDRAT/ Statements ein prozentualer Anteil der maximalen Maschinengeschwindigkeit.
  • Wenn Sie dieses Kontrollkästchen deaktivierten, sind die importierten FEDRAT/ Statements ein prozentualer Anteil der maximalen Meßgeschwindigkeit.

DEA Wrist eingebaut und drehend wie Chorus

Wenn Sie ein mit einem IW42, CW43 oder CW43L-Wrist ausgestattetes DEA KMG verwenden und Sie dieses Kontrollkästchen markieren, befolgt PC-DMIS die Chorus-Konventionen und passt den B-Drehwinkel während des Import der SNSLCT-Anweisung an.

Bei einem ChorusDMIS-Import wird diese Option automatisch verwendet.
Kunden Dieser Bereich enthält besondere Kontrollkästchen für DMIS-Anbieter. Wenn Ihre DMIS-Dateien mit einer Software dieser Unternehmen erstellt worden sind, markieren Sie das entsprechende Kontrollkästchen. Damit aktivieren Sie den Support für die jeweiligen Erweiterungen dieser Anbieter. Dazu gehören:
  • Volvo
  • Volkswagen
Standard | Mit dieser Schaltfläche werden Ihre Einstellungen als Standard für den Import von DMIS-Dateien vorgegeben.


Importieren von STEP-, VDAFS- und DXF/DWG-Dateien

Display Menu Roadmap Wählen Sie die Menüoption Importieren und wählen Sie dann STEP, VDAFS, DXF oder DWG Nun erscheint das Dialogfeld Öffnen.

  2. Wählen Sie den gewünschten Datentyp in der Liste Dateityp aus.
  3. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.
  4. Klicken Sie auf Importieren, wenn Sie zum Importieren der Datei bereit sind. Daraufhin wird das Dialogfeld STEP-Import eingeblendet.

Cancel Import Reverse U-V Patch Order for Spline Surfaces Process Independent Entities

Hinweis: Die Import-Dialogfelder für die in diesem Abschnitt behandelten Dateitypen weisen keine wesentlichen Unterschiede zum Dialogfeld STEP-Import auf.

Siehe auch:

Unabhängige Elemente verarbeiten

Reihenfolge von U-V-Teilflächen bei Spline-Oberflächen umkehren

Import


Unabhängige Elemente verarbeiten

Mit den Kontrollkästchen des Dialogfelds Unabhängige Elemente verarbeiten wird festgelegt, welche unabhängigen Elemente importiert werden sollen. Bei einem unabhängigen Element handelt es sich um ein Element, das kein untergeordnetes Element eines anderen Elements im Modell ist. Das heißt, kein Element verwendet ein unabhängiges Element zur Definition seiner Geometrie. Rechts neben den Kontrollkästchen Unabhängiges Element zeigt PC-DMIS die Anzahl der einzelnen Typen unabhängiger Elemente an. Sind keine unabhängigen Elemente dieses Typs vorhanden, wird die Auswahl deaktiviert.

Für die meisten Modelle ist es ausreichend, nur die unabhängigen Körper zu importieren. Für VDAFS-Dateien benötigen Sie zusätzlich zu den Körpern möglicherweise die Umhüllungen, ebenen Flächen und Oberflächen, um die vollständige Modellgeometrie zu erhalten. Unabhängige Kurven sind üblicherweise nicht Bestandteil des Modells, sondern werden bei der Erstellung des Modells als Hilfslinien eingefügt.

Hinweis: Alle abhängigen Elemente werden verarbeitet, und zwar unabhängig davon, welche unabhängigen Elemente importiert werden. Ein abhängiges Element ist ein untergeordnetes Element eines zweiten übergeordneten Elements. Das übergeordnete Element definiert seine Geometrie teilweise oder vollständig mit Hilfe des untergeordneten Elements.


Reihenfolge von U-V-Teilflächen bei Spline-Oberflächen umkehren

Mit dem Kontrollkästchen Reihenfolge von U-V-Teilflächen bei Spline-Oberflächen umkehren wird ein Problem mit Spline-Oberflächen behoben, das in einigen VDAFS-Dateien auftritt. Wenn Sie nach dem Import einer VDAFS-Datei verzerrte Oberflächen feststellen, aktivieren Sie dieses Kontrollkästchen und importieren Sie die Datei erneut.


Importieren

Klicken Sie auf die Schaltfläche Importieren, um die Datei zu importieren.


Importieren einer XYZIJK-Datei

Display Menu Roadmap XYZIJK-Dateitypen sind einfache Dateien mit Elementdaten in Form von xyz-Koordinaten mit oder ohne Vektor.

So importieren Sie eine XYZIJK-Datei:

  1. Wählen Sie die Menüoption Importieren und dann XYZIJK dem Untermenü. Nun erscheint das Dialogfeld Öffnen.
  2. Wählen Sie XYZIJK aus dem Listenfeld Dateityp.
  3. Navigieren Sie zum Verzeichnis, das die zu importierende Datei enthält.
  4. Klicken Sie auf Importieren, wenn Sie zum Importieren der Datei bereit sind. PC-DMIS interpretiert und importiert die ausgewählte XYZIJK-Datei.

Die Anzahl der Zahlen in den einzelnen Zeilen legt fest, welches Element erstellt wird. PC-DMIS liest die Zeilen der XYZ-Datendatei und konvertiert die Punkte je nach Anzahl der Zahlen pro Zeile in das folgende Element:

Zahlen pro Zeile Beschreibung Erstelltes CAD-Element
3
1. Zahl = X-Wert
2. Zahl = Y-Wert
3. Zahl = Z-Wert
 Punkt ohne Vektor
4 1. Zahl = X-Wert
2. Zahl = Y-Wert
3. Zahl = Z-Wert
4. Zahl = Durchmesser 		CAD-Kreis mit Vektor, der auf einer Arbeitsebene beruht
5 1. Zahl = X-Wert
2. Zahl = Y-Wert
3. Zahl = Z-Wert
4. Zahl = nichts
5. Zahl = nichts 		Punkt ohne Vektor
6 1. Zahl = X-Wert
2. Zahl = Y-Wert
3. Zahl = Z-Wert
4. Zahl = I-Wert
5. Zahl = J-Wert
6. Zahl = K-Wert 		Punkt mit Vektor
7 1. Zahl = X-Wert
2. Zahl = Y-Wert
3. Zahl = Z-Wert
4. Zahl = I-Wert
5. Zahl = J-Wert
6. Zahl = K-Wert
7. Zahl = Durchmesser 		Kreis mit Vektor
8+ 1. Zahl = X-Wert
2. Zahl = Y-Wert
3. Zahl = Z-Wert
4. Zahl = I-Wert
5. Zahl = J-Wert
6. Zahl = K-Wert
7. Zahl = nichts
8. Zahl = nichts
         Punkt mit Vektor

Beispiel: Befindet sich in der XYZ-Datei eine Zeile mit den Angaben 25,280,750,25 erstellt PC-DMIS einen Kreis mit dem Flächenmittelpunk bei x = 25, y = 280 und z = 750 mit einem Durchmesser von 25.

Nach der Auswahl der Datei für den Import zeigt PC-DMIS die aus der XYZ-Datei konstruierten Elemente im Dialogfeld XYZ-Datei an.

Hinweis: Beachten Sie, daß die Reihenfolge, in der die Elemente in der XYZ-Datei erstellt werden, möglicherweise nicht mit der Reihenfolge übereinstimmt, in der diese in PC-DMIS generiert werden.

Nachdem Sie auf OK geklickt haben, zeigt PC-DMIS die erstellten CAD-Elemente im Grafikfenster an.

Siehe auch:

Hinweise zu XYZIJK-Dateien


Hinweise zu XYZIJK-Dateien

PC-DMIS liest jede Textdatei ein, die XYZ (und möglicherweise IJK)-Daten enthält. Die Datei sollte die (theoretischen) Nennprüfpunkte enthalten, die gemessen werden müssen. Die Datei muß folgenden Regeln entsprechen:

  1. Die Spalten 1 bis 6 in der ersten Zeile der Datei müssen die Zeichen "XYZIJK" enthalten. Dies ist das Schlüsselwort, anhand dessen PC-DMIS diesen Dateityp von DES-und IGES-Dateien unterscheidet. Die Zeichen müssen groß geschrieben sein.

    In der ersten Zeile der Datei:
    Spalte 1 = X
    Spalte 2 = Y
    Spalte 3 = Z
    Spalte 4 = I
    Spalte 5 = J
    Spalte 6 = K

    2. Wenn die Datei metrische Daten enthält, müssen Spalte 11 bis 16 der ersten Zeile das Wort METRIC enthalten. Das heißt:

      Spalte 11 = M
      Spalte 12 = E
      Spalte 13 = T
      Spalte 14 = R
      Spalte 15 = I
      Spalte 16 = C

      Wird das Schlüsselwort METRIC nicht angegeben, ist der Standardwert INCH (Zoll).
      Der restliche Teil der ersten Zeile sollte leer sein.

  3. Jede Zeile muß 3 bis 8 durch Kommata abgetrennte Gleitkommazahlen enthalten.

Angenommen, Ihre XYZIJK-Datei sieht wie in diesem Beispiel aus:

XYZIJK-Beispieldatei in einem Texteditor

  • Zeile 1 enthält das Schlüsselwort XYZIJK, und da das Schlüsselwort METRIC nicht in den Zeilen 11 bis 16 enthalten ist, lautet der Standardwert INCH (Zoll).
  • Zeile 2 erstellt einen Punkt mit einem Vektor.
  • Zeile 3 erstellt einen Punkt mit einem Vektor.
  • Zeile 4 erstellt einen Punkt mit einem Vektor.
  • Zeile 5 erstellt einen Kreis mit einem Vektor und einem Durchmesser.

Nach dem Importieren wird dieses Ergebnis im Grafikfenster angezeigt.

Grafikfenster mit der XYZIJK-Beispieldatei, die in PC-DMIS importiert wurde


Importieren einer STL-Datei

Das Stereolithographie-Format (STL), eine in der Produktion verwendete ASCII- oder Binärdatei, enthält eine Liste der dreieckigen Facetten, die ein am Computer erzeugtes physisches Modell beschreiben. Dieses Format ist das Standardeingabeformat für die meisten Rapid Prototyping-Maschinen.

Beispiel für eine importierte STL-Datei

So importieren Sie eine STL-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die DMIS-Programmdatei importiert werden soll.
  2. Wählen Sie die Menüoption Importieren und dann STL aus dem Untermenü. Das Dialogfeld Datei öffnen wird eingeblendet.
  3. Wählen Sie Eintrag STL Files (STL-Dateien) aus der Liste Dateityp unten im Dialogfeld aus. PC-DMIS listet alle Programmdateien auf, die mit der Erweiterung ".stl" enden.
  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten STL-Datei finden und wählen Sie diese Datei aus der Liste aus. Die STL-Datei kann im ASCII- oder Binärformat vorliegen.
  5. Klicken Sie auf die Schaltfläche Importieren. PC-DMIS importiert die Daten als eine Liste von Facetten, die ein physisches Modell bilden.


Importieren einer CATIA-Datei

Display Menu Roadmap PC-DMIS ermöglicht das Übersetzen einer CATIA-Datei und das Importieren dieser Datei in ein PC-DMIS-Werkstückprogramm. Diese Art des Imports unterscheidet sich von der Verwendung einer direkten Schnittstelle mit der CATIA-CAD-Datei, wie unter "Installieren und Verwenden der Direct CAD-Schnittstelle für CATIA" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei" beschrieben wird.

So importieren Sie eine CATIA-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die CATIA-Programmdatei importiert werden soll.
  2. Wählen Sie die Menüoption Importieren und dann CATIA aus dem Untermenü. Das Dialogfeld Datei öffnen wird eingeblendet.
  3. Wählen Sie Eintrag CATIA Files (CATIA-Dateien) aus der Liste Dateityp unten im Dialogfeld aus. PC-DMIS listet alle Programmdateien mit den folgenden Erweiterungen auf: .mod, .exp, .iso und .cat.
  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten CATIA-Datei finden und wählen Sie diese Datei aus der Liste aus.
  5. Klicken Sie auf die Schaltfläche Importieren. Das Dialogfeld Catia-Import wird eingeblendet.
    Wählen Sie die gewünschten Optionen im Dialogfeld Catia-Import aus. Beschreibungen dieser Optionen finden Sie unter den nachfolgenden Überschriften.
  6. Klicken Sie auf OK. PC-DMIS importiert nun die Datei.

Siehe auch:

Modellauswahl

Achsenauswahl

Verarbeitungsoptionen

Beschnitteinstellung


Modellauswahl

Wenn Ihre CATIA-Dateien mehr als ein Modell enthalten, können Sie in der Liste Modellauswahl das Modell für den Import auswählen.


Achsenauswahl

Mit Hilfe der Liste Achsen auswahl können Sie die Koordinatensystem-Achse festlegen, die für das zu importierende Modell verwendet werden soll.


Verwenden von fortgeschrittenen Dateioptionen - Importieren einer CATIA-Datei - Verarbeitungsoptionen

Verarbeitungsoptionen

Im Bereich Verarbeitungsoptionen können Sie die importierten Elemente filtern. Verwenden Sie die Listen in diesem Bereich, um zu steuern, welche Elemente des Modells importiert werden. Es gibt drei Filter: den Elementtyp, die Elementfarbe und die Elementebene. Sie können diese Filter kombinieren und die Elemente für den Import nacheinander einschränken.

Beispiel: Angenommen, Sie haben eine Datei mit mehreren Elementtypen und -farben auf verschiedenen Ebenen. Nun können Sie aus all den zu importierenden Elementen einen bestimmten Typ, beispielsweise eine Kurve, auswählen. Die resultierende Liste mit Kurven können Sie dann anhand der Farbe, beispielsweise blau, filtern. Anschließend können Sie die neue Liste mit blauen Kurven nach Ebenen, wie beispielsweise Ebene 15. filtern. Daraufhin werden alle blauen Kurven, die auf Ebene 15 liegen, importiert.

Alle Elemente verarbeiten

Aktivieren Sie dieses Kontrollkästchen, um alle Elementtypen zu importieren. Um zu filtern, welche Elementtypen importiert werden, deaktivieren Sie dieses Kontrollkästchen, und wählen Sie dann die gewünschten Elementtypen in der Liste aus. Sie können mehrere Elemente auswählen, indem Sie beim Auswählen der Elemente die Strg-Taste gedrückt halten.

Alle Farben verarbeiten

Aktivieren Sie dieses Kontrollkästchen, um Elemente mit einer beliebigen zugewiesenen Farbe zu importieren. Um zu filtern, welche Farben importiert werden, deaktivieren Sie dieses Kontrollkästchen und wählen Sie dann die gewünschten Farben in der Liste aus.

Alle Ebenen verarbeiten

Aktivieren Sie dieses Kontrollkästchen, um alle Ebenen des Modells zu importieren. Um zu filtern, welche Ebenen importiert werden, deaktivieren Sie dieses Kontrollkästchen und wählen Sie dann die gewünschten Ebenen in der Liste aus.

Ausgeblendete Elemente verarbeiten

Aktivieren Sie dieses Kontrollkästchen, um ausgeblendete Elemente zu importieren. Wenn Sie keine ausgeblendeten Elemente importieren möchten, deaktivieren Sie das Kontrollkästchen.


Beschnitteinstellung

Der Bereich Beschnitteinstellung bestimmt, wie beschnittene Oberflächen in PC-DMIS dargestellt werden sollen.

Wählen Sie die Option UV-Beschnitt, um die Oberflächen im Parameterraum der Oberflächen zu beschneiden.

Wählen Sie die Option XYZ-Beschnitt, um die Oberflächen im Modellraum zu beschneiden.

Theoretisch sollten die resultierenden übertragenen Modelle unabhängig von der ausgewählten Beschnittoption identisch sein. Wenn Sie jedoch schlecht definierte Modelle importieren, stimmen die Ergebnisse häufig nicht überein. Die besten Ergebnisse erhält man im allgemeinen bei Auswahl von UV-Beschnitt.


Importieren einer Pro/ENGINEER-Datei

Display Menu Roadmap PC-DMIS ermöglicht das Übertragen einer Pro/ENGINEER-Datei und das Importieren dieser Datei in ein PC-DMIS-Werkstückprogramm. Diese Art des Imports unterscheidet sich von der Verwendung einer direkten Schnittstelle mit der Pro/ENGINEER-CAD-Datei, wie unter "Installieren und Verwenden der Direct CAD-Schnittstelle für Pro/ENGINEER" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei" beschrieben wird.

So importieren Sie eine Pro/ENGINEER-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die Pro/ENGINEER-Programmdatei importiert werden soll.
  2. Wählen Sie die Menüoption Importieren und dann Pro-Engineer aus dem Untermenü. Das Dialogfeld Datei öffnen wird eingeblendet.
  3. Wählen Sie Eintrag Pro/ENGINEER Files (Pro/ENGINEER-Dateien) aus der Liste Dateityp unten im Dialogfeld aus. PC-DMIS listet alle Programmdateien mit den folgenden Erweiterungen auf: .prt und .asm.
  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten Pro/ENGINEER-Datei finden und wählen Sie diese Datei aus der Liste aus.
  5. Klicken Sie auf die Schaltfläche Importieren. Das Dialogfeld Pro/ENGINEER-Import wird eingeblendet.
    Wählen Sie die gewünschten Optionen im Dialogfeld Pro/ENGINEER-Import aus. Beschreibungen dieser Optionen finden Sie unter den nachfolgenden Überschriften.
  6. Klicken Sie auf OK. PC-DMIS importiert nun die Datei.

Siehe auch:

Verarbeitungsoptionen


Verwenden von fortgeschrittenen Dateioptionen - Importieren einer Pro/ENGINEER-Datei - Verarbeitungsoptionen

Verarbeitungsoptionen

Im Bereich Verarbeitungsoptionen können Sie die Elementtypen für den Import auswählen.

Schattierte Oberflächen verarbeiten

Aktivieren Sie dieses Kontrollkästchen, um Elemente mit schattierten Oberflächen zu importieren.

Alle Bezüge verarbeiten

Aktivieren Sie dieses Kontrollkästchen, um alle Bezugselemente zu importieren. Um zu filtern, welche speziellen Bezugselemente importiert werden, deaktivieren Sie dieses Kontrollkästchen und wählen Sie dann die gewünschten Bezug-Elementtypen in der Liste aus.


Importieren einer Unigraphics-Datei

Display Menu Roadmap PC-DMIS ermöglicht das Übersetzen einer Unigraphics-Datei und das Importieren dieser Datei in ein PC-DMIS-Werkstückprogramm. Diese Art des Imports unterscheidet sich von der Verwendung einer direkten Schnittstelle mit der Unigraphics-CAD-Datei, wie unter "Installieren und Verwenden der Direct CAD-Schnittstelle für Unigraphics" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei" beschrieben wird.

So importieren Sie eine Unigraphics-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die Unigraphics-Datei importiert werden soll.
  2. Wählen Sie die Menüoption Importieren und dann Unigraphics aus dem Untermenü. Das Dialogfeld Datei öffnen wird eingeblendet.
  3. Wählen Sie den Eintrag Unigraphics Files (Unigraphics-Dateien) in der Liste Dateityp unten links im Dialogfeld aus. PC-DMIS listet alle Programmdateien mit den folgenden Erweiterungen auf: .prt, .x_t, *.x_b, *.xmt_txt und *.xmt_bin.
  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten Unigraphics-Datei finden und wählen Sie diese Datei aus der Liste aus.
  5. Klicken Sie auf die Schaltfläche Importieren. Das Dialogfeld Unigraphics-Import wird eingeblendet.
    Wählen Sie im Bereich Verarbeitungsoptionen die Elementtypen aus, die Sie importieren möchten. Die folgenden Elementtypen können importiert werden: Massivkörper, Blechkörper und verborgene Elemente.
  6. Klicken Sie auf OK. PC-DMIS importiert nun die Datei.


Importieren einer MMIV-Datei

Display Menu Roadmap MMIV-Dateien sind, wie AVAIL, ein Dateityp, den das Meßprogramm Micro Measure IV verwendet. PC-DMIS ermöglicht das Importieren dieses Dateityps in PC-DMIS-Werkstückprogramme.

So importieren Sie eine MMIV-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die MMIV-Programmdatei importiert werden soll.
  2. Wählen Sie die Menüoption Importieren und dann MMIV aus dem Untermenü. Das Dialogfeld Datei öffnen wird eingeblendet.
  3. Wählen Sie den Eintrag MMIV Files (MMIV-Dateien) in der Liste Dateityp unten links im Dialogfeld aus. PC-DMIS listet alle Programmdateien auf, die mit dem MMIV-Präfix "llf" beginnen.
  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten MMIV-Datei finden und wählen Sie diese Datei aus der Liste aus.
  5. Klicken Sie auf die Schaltfläche Importieren. PC-DMIS blendet das Dialogfeld Übertragungsmethode wählen ein, in dem Sie nach der gewünschten Methode zum Importieren der Daten in das Werkstückprogramm gefragt werden.
    Wählen Sie eine der Übertragungsoptionen aus, und klicken Sie auf OK. PC-DMIS verarbeitet die Anforderung.
  6. Bei jedem TOOLCHANGE (TASTERWECHEL)-Befehl, der in der MMIV-Datei gefunden wird, fordert PC-DMIS Sie zur Auswahl einer PC-DMIS-Tasterdatei auf.
  7. Bei jedem TIPCHANGE (Tastspitzenwechsel)-Befehl, der in der MMIV-Datei gefunden wird, fordert PC-DMIS Sie zur Auswahl einer PC-DMIS-Tastspitze aus der Liste Zu verwendende Tastspitze im Dialogfeld Tastspitze auswählen auf.
    Klicken Sie auf OK oder auf OK All (OK zu allem), und wiederholen Sie den vorhergehenden Schritt gemäß der Bildschirmaufforderung. Beim Schließen des Dialogfelds Tastspitze auswählen wird das Dialogfeld Wählt die Arbeitsebene aus eingeblendet.
    Wählen Sie die Arbeitsebene aus, die dem aktuellen Setup entspricht und klicken Sie auf OK. PC-DMIS importiert nun die Daten in das Werkstückprogramm.

Wichtig: Bei MMIV-Werkstückprogrammen, bei denen das Schlüsselwort BRANCH (VERZWEIGEN)/TEST oder der Befehl BRANCH (VERZWEIGEN)/MARKE innerhalb eines Elementblocks steht, werden die entsprechenden PC-DMIS-Befehle (WENN und GEHEZU) beim Importieren in PC-DMIS vor den Elementblock verschoben. Dies wird bei zukünftigen Versionen von PC-DMIS korrigiert werden.

Ein Hinweis zum Import von Auto-Elementen

Beachten Sie, daß PC-DMIS keine DONE/ oder MEASURE/ Befehle in importierten automatischen MMIV- oder AVAIL-Elementen unterstützt. Bereits während die Übertragung stattfindet, werden alle MEASURE/; X,Y,Z,I,J,K-Befehle in Bedienerkommentare umgewandelt und DONE/-Befehle werden ignoriert.
Beispielsweise wollen Sie dieses Auto-Element in eine AVAIL- oder MMIV-Datei übertragen:

CIR2= AUTO/CIR; YZPL,OC,4,12.0,6.0,-12.0,103.0,295,330
MOVE/BY; 12,5,0
MOVE/BY; 0,0,20
MEASURE/; 12.0,56.0,-22.0,0.0,-1.0,0.0039
MEASURE/; 12.0,57.85,-16.0,0.0,-1.0,0.0
MEASURE/; 12.0,58.4,-6.0,0.0,-1.0,-0.0039
DONE/;

PC-DMIS würde dies in einen AUTO CIRCLE- und zwei anschließende MOVE-Befehle umwandeln sowie drei Kommentare, die besagen, daß PC-DMIS den MEASURE-Befehl ignoriert.


Importieren einer Tutor-Datei

Display Menu Roadmap Sie können Werkstückprogramme importieren, die durch die Tutor-Anwendung erstellt wurden.

So importieren Sie eine Tutor-Datei:

  1. Öffnen Sie in PC-DMIS das Werkstückprogramm, in das die Tutor-Programmdatei importiert werden soll.
  2. Wählen Sie die Menüoption Importieren und dann TUTOR aus dem Untermenü. Das Dialogfeld Datei öffnen wird eingeblendet.
  3. Wählen Sie in der Liste Dateityp den Eintrag Tutor Files (Tutor-Dateien). PC-DMIS listet die Programmdateien(mit der Erweiterung .tsc).
  4. Navigieren Sie durch die verfügbaren Verzeichnisse, bis Sie das Verzeichnis mit der gewünschten Tutor-Datei finden und wählen Sie diese Datei aus der Liste aus.
  5. Klicken Sie auf die Schaltfläche Importieren. Der Tutor-Übersetzer beginnt mit dem Übertragungsvorgang. Wenn der erste Befehl "Taster laden" in der Tutor-Datei gefunden wird, erscheint das Dialogfeld TutorPCDMIS Übertragungsoptionen. In diesem Dialogfeld können Sie angeben, wie die Einträge in der Tutordatei in PC-DMIS interpretiert oder angezeigt werden sollen.

    Dialogfeld TutorPCDmis Übertragungsoptionen
  6. Nehmen Sie die erforderlichen Eingaben im Dialogfeld vor. Es sind folgende Optionen verfügbar:

Einheiten – Sie können diesen Bereich nicht bearbeiten. Hier werden lediglich die Maßeinheiten (Zoll oder Metrisch) des PC-DMIS-Werkstückprogramms, das zum Importieren der Tutor-Datei verwendet wird, eingeblendet. Im Gegensatz zu Tutor for Windows ist die Änderung von Maßeinheiten im Verlauf der Ausführung in PC-DMIS nicht zulässig.

Winkelmodus – Sie können diesen Bereich nicht bearbeiten. Hier wird lediglich die aktuelle Winkeldarstellung (entweder Grad oder Merk) im PC-DMIS-Werkstückprogramm eingeblendet.

Tastspitze Durchmesser – Geben Sie hier den Standard für den Tastspitzendurchmesser des Tasters ein, den PC-DMIS in dem Werkstückprogramm einsetzen wird.

Tasterdatei – Mit der Schaltfläche … können Sie die zu verwendende PC-DMIS-Tasterdatei (.PRB) auswählen.

TasterMapfile – Mit der Schaltfläche … können Sie ein vorhandenes Tutor to PC-DMIS Taster-Mapfile auswählen. Wenn kein Taster-Mapfile zur Verfügung steht, kann dieses durch Klicken auf die Schaltfläche Neu erstellt werden. Mit der Schaltfläche Bearbeiten können Sie das aktuell in diesem Dialogfeld ausgewählte Taster-Mapfile ändern. Durch dieses Mapfile können Sie dem Umsetzer mitteilen, welche Tastspitzenwinkel PC-DMIS verwenden soll, wenn die Tasterbefehle von der Tutordatei in PC-DMIS übertragen werden.

Kommentare überspringen – Aktivieren Sie dieses Kontrollkästchen, wenn die in der Tutor-Datei vorgefundenen Programmiererkommentare nicht importiert werden sollen.

  7. Klicken Sie zum Fortfahren auf die Schaltfläche OK. PC-DMIS zeigt den Importvorgang im Feld Übertragung läuft an.
  8. Befolgen Sie die Bildschirmanweisungen.

Hinweis: Das Dialogfeld TutorPCDMIS Übertragungsoptionen erscheint immer dann, wenn PC-DMIS den Befehl "Taster laden"-Befehl in der Tutor-Datei findet. Wenn Sie das Taster-Mapfile vorschriftsmäßig eingerichtet haben, können Sie beruhigt die Übertragung des aktuellen Tasterlade-Befehls überspringen, indem Sie auf Ignorieren klicken.

Siehe auch:

Erstellen und Bearbeiten von Tutor to PC-DMIS Taster-Mapfiles


Erstellen und Bearbeiten von Tutor to PC-DMIS Taster-Mapfiles

Um Programme ordnungsgemäß von Tutor to PC-DMIS übertragen zu können, benötigen Sie ein Taster-Mapfile, das den Bezug der Tutor-Tasterdateien zu den PC-DMIS-Tastern herstellt. In Tutor wird ein Tasterbefehl durch zwei Zahlen identifiziert, die sich auf einen bestimmten Tastkopf beziehungsweise eine bestimmte Tastspitze beziehen.

So erstellen Sie ein neues Tutor to PC-DMIS Taster-Mapfile

  1. Beginnen Sie mit dem Importvorgang wie unter Importieren einer Tutor-Dateibeschrieben.
  2. Wenn das Dialogfeld TutorPCDMIS Übertragungsoptionen angezeigt wird, klicken Sie auf die Schaltfläche Neu. Das Dialgofeld T2PFile wird eingeblendet.

    Dialogfeld T2PFile
  3. Wenn Sie genauere Angaben machen wollen, klicken Sie auf Hinzufügen, um neue Zeilen hinzuzufügen.
  4. In der Kopfspalte wird für jede Reihe ein Wert von 1 bis 100 eingegeben, um den Tastkopf in Tutor zu identifizieren.
  5. In der Spalte Tastspitze wird für jede Reihe ein Wert von eins bis fünf eingegeben, um die Tastspitze in Tutor zu identifizieren.
  6. In der Spalte PRB Name wird für jede Reihe der PC-DMIS Tastspitzenwinkel eingegeben, der für den Tastkopf und die Tastspitze dieser Reihe verwendet werden soll. Beispielsweise erhält der Tutor-Übersetzer in der folgenden Tabelle die Taster-Map-Information, daß er den Tastspitzenwinkel T5A30B30 von PC-DMIS verwenden soll, wenn er einen Tasterbefehl von 2,2 in der Tutordatei vorfindet.
Kopf | Tastspitze | PRB Name
2 | 2 | T5A30B30

  7. Wenn Sie einen Fehler gemacht haben, klicken Sie auf Alles löschen. Mit dieser Schaltfläche können Sie alle Angaben im Dialogfeld löschen und neu beginnen.
  8. Mit der Schaltfläche … können Sie dieses Tutor to PC-DMIS Taster-Mapfile auf dem Computer abspeichern.
  9. Klicken Sie auf OK, um zum Dialogfeld TutorPCDMIS Übertragungsoptionen zurückzukehren.

So bearbeiten Sie ein vorhandenes Tutor to PC-DMIS Taster-Mapfile

  1. Beginnen Sie mit dem Importvorgang wie unter Importieren einer Tutor-Dateibeschrieben.
  2. Wenn das Dialogfeld TutorPCDMIS Übertragungsoptionen angezeigt wird, klicken Sie auf die Schaltfläche ... um das Feld Taster-Mapfile zu öffnen und wählen Sie eine vorhandene T2P-Datei aus.
  3. Klicken Sie auf die Schaltfläche Bearbeiten. Das Dialgofeld T2PFile wird eingeblendet.
  4. Bearbeiten Sie die erforderlichen Werte.
  5. Klicken Sie auf OK, um zum Dialogfeld TutorPCDMIS Übertragungsoptionen zurückzukehren.


Importieren einer Direct CAD-Datei

Anstatt CAD-Daten in das interne CAD-Format von PC-DMIS zu übertragen, kann direkt auf die Direct CAD-Dateitypen zugegriffen werden. Das heißt, die CAD-Daten dieser Dateitypen bleiben nach dem Import in ihrem eigenen Format gespeichert. Bei allen mit den CAD-Daten vorgenommenen Berechnungen werden für den CAD-Typ native Routinen verwendet. Durch den direkten Zugriff auf die CAD-Daten werden Probleme vermieden, die aufgrund von Ungenauigkeiten oder Einschränkungen bei der Übertragung auftreten können.

Im Abschnitt Direct CAD-Schnittstellen: Einführung" wird das Importieren von Direct CAD-Dateien ausführlich beschrieben.

Siehe auch:

Parkettieren eines Werkstücks ohne CAD-Lizenz


Parkettieren eines Werkstücks ohne CAD-Lizenz

In Version 3.5 und höher kann nun das Bild eines Direct CAD-Schnittstellenwerkstücks parkettiert werden, selbst wenn dessen CAD-Lizenz derzeit nicht verfügbar ist. Die Methode für den Zugriff auf diese Funktion ist je nach Direct CAD-Schnittstelle verschieden. Im allgemeinen brauchen Sie jedoch einfach auf das Werkstückprogramm Ihrer Direct CAD-Schnittstelle zuzugreifen. PC-DMIS zeigt dann das Werkstück an, einige Funktionen werden jedoch nicht verfügbar sein. Sie können beispielsweise keinen gemessenen Vektorpunkt auf dem Werkstück erstellen.


Verwenden des Dialogfelds "IGES-Daten"

Wenn Sie im Dialogfeld IGES-Daten auf ein bestimmtes Element im Listenfeld klicken, werden Informationen zum Durchmesser, XYZ-Nennwert etc. des betreffenden Elements angezeigt.

Zum Anzeigen von Informationen über die zu importierenden CAD-Daten im Dialogfeld IGES-Daten gehen Sie wie folgt vor:

  1. Beginnen Sie mit dem Importieren einer CAD- oder IGES-Datei. (Informationen hierzu finden Sie unter "Importieren einer IGES-Datei".)
  2. Wenn das Dialogfeld IGES-Datei eingeblendet wird, klicken Sie auf Verarbeiten, um die Daten zu importieren.
  3. Ist der Vorgang abgeschlossen, klicken Sie auf die Schaltfläche Daten. Das Dialogfeld IGES-Daten wird angezeigt.


3D-Darstellung

Über die Schaltfläche 3D-Darst. wird PC-DMIS angewiesen, eine 2D-CAD-Zeichnung dreidimensional so zu bearbeiten, daß die gewünschten 3D-Ebenen erstellt werden. Die Ausgangsdaten sollten in einer einzelnen Ebene parallel zur Z- (=0) Ebene definiert sein.

Vollständige Informationen zu dieser Option finden Sie im Abschnitt "Bearbeiten der CAD-Anzeige".


Exportieren von CAD-Daten oder Programmdaten

Display Menu Roadmap Neben der Möglichkeit, Daten zu importieren, können mit PC-DMIS auch Werkstückprogramme in eines der folgenden unterstützten Dateiformate exportiert werden.

  • DATAVIEW-Dateien (*.AS3) BASIC-Dateien (*.BAS) DES-Dateien (*.DES) DMIS-Dateien (*.DMI oder *.DMS) ALLGEMEINE Dateien (*TXT) I-DEAS-Dateien IGES-Dateien (*.IGS) STEP AP203 (*.STP oder *.STEP) STEP AP214 (*.STP oder *.STEP) VDAFS (*.VDA) DXF/DWG (*DXF oder *DXG) Hinweis: Wenn Ihr Programm in Form von CAD-Daten exportiert wird, werden die zuvor importierten CAD-Werkstückmodelle nicht exportiert. Statt dessen wird eine CAD-Datei aus den vorhandenen Elementbefehlen in Ihrem Werkstückprogramm erzeugt.

So exportieren Sie Daten aus dem aktuellen Werkstückprogramm:

  1. Wählen Sie die Menüoption Export und wählen Sie dann die zu exportierenden Daten aus dem Untermenü aus (oder klicken Sie im Windows Explorer mit der rechten Maustaste auf den Namen des Werkstückprogramms und wählen Sie dann Export). In den meisten Fällen erscheint daraufhin das Dialogfeld Öffnen.
  2. Wählen Sie den gewünschten Datentyp im Listenfeld Dateityp aus. PC-DMIS zeigt die für den angegebenen Datentyp verfügbaren Dateien an.
  3. Geben Sie den Namen der zu erstellenden Datei in das Feld Dateiname ein oder wählen Sie eine vorhandene Datei aus der Liste aus. Bei Auswahl einer vorhandenen Datei ersetzt PC-DMIS die aktuellen Daten in dieser Datei durch die aus dem Export resultierenden Informationen.
  4. Klicken Sie auf Exportieren. Das Dialogfeld Öffnen wird geschlossen. Je nach vorhandenem Datentyp wird ein weiteres Dialogfeld eingeblendet. Dieses Dialogfeld erscheint beim Export zu einem der folgenden Datentypen: IGES, STEP, VDAFS, DFX/DWG, GENERIC, DES. Für diese Datentypen werden einige zusätzliche Informationen benötigt. Weitere Hinweise zum Exportieren dieser Datentypen finden Sie unter den nachstehenden Themen.
  5. Klicken Sie auf Exportieren. PC-DMIS erstellt die Exportdaten-Datei.

Siehe auch:

Exportieren einer IGES-Datei

Exportieren einer DES-Datei

Exportieren einer STEP-Datei

Exportieren einer VDAFS-Datei

Exportieren in eine I-DEAS DCI-Modelldatei

Exportieren einer BASIC-Datei


Exportieren einer IGES-Datei

Display Menu Roadmap Wenn Sie die Schaltfläche Export während des IGES-Exportvorgangs anklicken, wird das Dialogfeld IGES-Datei eingeblendet.

Das Dialogfeld IGES-Datei zeigt Informationen zu dem von Ihnen in den Bereichen Schnitt beginnen und Globale Parameter ausgewählten IGES-Export. Hier können Sie außerdem weitere Optionen für den IGES-Export auswählen.

  1. Wählen Sie aus der Liste Ausrichtung eine Ausrichtung aus.
  2. Klicken Sie auf die Schaltfläche Setup, um die Anzeige des exportierten Bildes nach Wunsch zu ändern. (Informationen hierzu finden Sie unter "Ändern der Anzeige importierter/exportierter Bilder.)
  3. Wenn das Kontrollkästchen Nur markierte Elemente aktiviert ist, exportiert PC-DMIS nur die markierten Elemente.
  4. Klicken Sie auf die Schaltfläche Verarbeiten im Dialogfeld IGES-Datei, um die IGES-Daten aus dem ausgewählten Werkstückprogramm auszugeben. PC-DMIS gibt an, wenn die Datei zu 100 % verarbeitet wurde.
  5. Klicken Sie auf OK, um den Export der IGES-Datei abzuschließen.


Exportieren einer DES-Datei

Display Menu Roadmap Wenn Sie die Schaltfläche Export während des DES-Exportvorgangs anklicken, wird das Dialogfeld DES-Datei eingeblendet.

Das Dialogfeld DES-Datei zeigt Informationen zu dem von Ihnen im Bereich Header ausgewählten DES-Export. Hier können Sie außerdem weitere Optionen für den DES-Export auswählen.

  1. Wählen Sie aus der Liste Ausrichtung eine Ausrichtung aus.
  2. Wählen Sie Koordinatensystem aus dem Bereich Koordinatensystem aus.
  3. Wenn das Kontrollkästchen Nur markierte Elemente aktiviert ist, exportiert PC-DMIS nur die markierten Elemente.
  4. Wenn das Kontrollkästchen Dezimalkomma zeigen aktiviert ist, wird das Dezimalkomma in den exportierten Daten gezeigt.
  5. Wenn das Kontrollkästchen Nennwerte ausgeben aktiviert ist, wird PC-DMIS angewiesen, die DES-Exportdatei aus den Nennwerten Ihres Werkstückprogrammszu erzeugen.
  6. Klicken Sie auf die Schaltfläche Verarbeiten im Dialogfeld DES-Datei, um die DES-Daten aus dem ausgewählten Werkstückprogramm auszugeben. PC-DMIS gibt an, wenn die Datei zu 100 % verarbeitet wurde.
  7. Klicken Sie auf OK, um den Export der DES-Datei abzuschließen.


Exportieren einer STEP-Datei

Display Menu Roadmap Display Menu Roadmap Wenn Sie die Schaltfläche Export während des STEP-Exportvorgangs anklicken, wird das Dialogfeld STEP-Export eingeblendet.

Im Dialogfeld STEP-Export können Sie weitere Optionen für den STEP-Export auswählen.

  1. Wählen Sie aus der Liste Ausrichtung eine Ausrichtung aus.
  2. Wenn das Kontrollkästchen Nur markierte Elemente aktiviert ist, exportiert PC-DMIS nur die markierten Elemente.
  3. Wenn das Kontrollkästchen Scans als Einzelpunkte aktiviert ist, werden Scan-Daten in Meßpunkte konvertiert.
  4. Klicken Sie auf OK, um den Export der STEP-Datei abzuschließen.


Exportieren einer VDAFS-Datei

Display Menu Roadmap Wenn Sie die Schaltfläche Export während des VDAFS-Exportvorgangs anklicken, wird das Dialogfeld VDAFS-Export eingeblendet.

Im Dialogfeld VDAFS-Export können Sie weitere Optionen für den VDAFS-Export auswählen. Dieses Dialogfeld bietet genau dieselben Optionen wie das Dialogfeld STEP-Export. (siehe "Exportieren einer STEP-Datei").


Exportieren in eine I-DEAS DCI-Modelldatei

Display Menu Roadmap Gehen Sie beim Exportieren eines I-DEAS-Werkstücks wie folgt vor:

  1. Wählen Sie die Menüoption Exportieren aus dem Hauptmenü und wählen Sie dann den Datentyp I-DEAS aus dem Untermenü. Das Dialogfeld I-DEAS-Werkstückauswahl wird angezeigt.
  2. Klicken Sie auf die Schaltfläche Verbindung zu Server aufbauen. Das Dialogfeld I-DEAS-Server-Verbindung wird eingeblendet. Verwenden Sie dieses Dialogfeld, um eine Verbindung zu einem I-DEAS-Server herzustellen. Informationen zur Verwendung des Dialogfelds I-DEAS-Server-Verbindung finden Sie unter "Verwenden des Dialogfelds I-DEAS-Server-Verbindung" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei". Wenn die Verbindung zum I-DEAS-Server hergestellt ist, wird das Dialogfeld I-DEAS-Werkstückauswahl verfügbar. Alle Projekte in der aktiven I-DEAS-Dateninstallation werden aufgelistet.
  3. Klicken Sie auf Verbindung aufbauen, um die Verbindung zum Server herzustellen. Das Dialogfeld I-DEAS-Werkstückauswahl wird angezeigt.
  4. Wählen Sie ein Projekt und die zu exportierende Modelldatei aus. Wählen Sie hierfür ein vorhandenes Werkstück in der Liste Werkstücke in ausgewählter Modelldatei aus. Sie können jedoch auch ein neues Werkstück erstellen, indem Sie Werte in die Felder Fach, Name und Werkstücknummer eingeben.

Hinweis: Oberflächengeometrie (Zylinder-, Kegel- oder Kugelelemente) kann in einem vorhandenen Werkstück nicht erstellt werden. Wenn Sie Daten in ein vorhandenes Werkstück exportieren, werden diese Elementtypen ignoriert. Zum Exportieren von Oberflächenelementtypen müssen Sie bestimmen, daß ein neues Werkstück erstellt wird.

Hinweis: Die folgenden Zeichen sind nicht zulässig und können in den Feldern Fach, Werkstückname und Werkstücknummer nicht verwendet werden:
:
;
,
"
*
?

  1. Klicken Sie auf die Schaltfläche Zu Werkstück exportieren, nachdem Sie ein Werkstück angegeben haben. Ist das Werkstück neu, werden Sie in einem Meldungsfeld gefragt, ob Sie ein Werkstück erstellen möchten.
  2. Klicken Sie auf Ja, um das I-DEAS-Werkstück zu erstellen. Das Dialogfeld I-DEAS-Export wird angezeigt.
  3. Wählen Sie im Feld Ausrichtung eine Ausrichtung aus.
  4. Wählen Sie weitere Exportoptionen aus.
  5. Klicken Sie auf die Schaltfläche Exportieren, um den Export in das I-DEAS-Werkstück abzuschließen. Nach Abschluß des Exportvorgangs weist PC-DMIS den I-DEAS-Server automatisch zum Speichern der Modelldatei des Werkstücks an.


Ausgabe in eine BASIC-Datei:

Display Menu Roadmap PC-DMIS bietet besondere Tools zur Automatisierung von PC-DMIS. Über Werkstückprogramm als BASIC-Skript (*.BAS file) ausgeben, können Sie das Werkstückprogramm mit Hilfe einer externen Anwendung, die BASIC unterstützt, automatisieren. Weitere Informationen zur Automatisierung von PC-DMIS finden Sie unter folgenden Dokumentationsthemen:

  • PC-DMIS BASIC-Sprachverzeichnis Hilfedatei
  • Siehe auch "Einfügen von BASIC-Skipts" im Abschnitt "Hinzufügen externer Elemente".


Ändern der Anzeige importierter/exportierter Bilder

Wenn Sie beim Importieren oder Exportieren im Dialogfeld IGES -Datei auf die Schaltfläche Setup klicken, wird das Dialogfeld IGES EINRICHTEN (beim Importieren) oder das Dialogfeld IGES-SCHREIBVORGANG EINRICHTEN (beim Exportieren) eingeblendet. In diesen Dialogfeldern können Sie ändern, wie das IGES/DMIS-Bild angezeigt wird.

Siehe auch:

Ändern der Anzeige Importierter CAD-Bilder

Ändern der Anzeige Importierter CAD-Bilder


Ändern der Anzeige importierter CAD-Bilder

So greifen Sie auf das Dialogfeld IGES EINRICHTEN zu und ändern, wie das IGES/DMIS-Bild angezeigt wird:

  1. Beginnen Sie mit dem Exportieren der CAD-Datei. (Informationen hierzu finden Sie unter "Exportieren einer IGES-Datei".)
  2. Wenn das Dialogfeld IGES-Datei angezeigt wird, klicken Sie auf die Schaltfläche Setup.
  3. Aktivieren Sie im Dialogfeld IGES EINRICHTEN die Kontrollkästchen der gewünschten Optionen.
  4. Klicken Sie auf die Schaltfläche OK.

PC-DMIS zeichnet das ausgewählte CAD-Bild mit den angeforderten Elementen.

Siehe auch:

Verfügbare Optionen


Verfügbare Optionen

Das Kontrollkästchen "Rotationsoberfläche" ist verfügbar, wenn beschnittene Oberflächen verwendet werden, die als Grundfläche eine Rotationsoberfläche besitzen und nicht richtig eingelesen werden. Markieren Sie in diesem Fall einfach die entsprechenden Optionen im Bereich Beschnittene Oberfläche des Dialogfelds.

Wenn das Kontrollkästchen Standard markiert ist, verarbeitet PC-DMIS alle zukünftigen Elemente unter Verwendung der aktuellen Einstellung.

Der Bereich "Elemente bei Einsatz verarbeiten"

Der Bereich Elemente bei Einsatz verarbeiten besteht aus den folgenden sechs Kontrollkästchen, über die Sie die möglichen CAD/DIMS-Bildeinrichtungsoptionen auswählen können. Diese sind in der folgenden Tabelle beschrieben:

Kontrollkästchen | Beschreibung
Geometrie | Bestimmt, ob die geometrischen Elemente aus der Datei importiert werden oder nicht. Geometrische Elemente sind die Kurven und Oberflächen, die das Modell definieren.
Anmerkung | Bestimmt, ob die Anmerkungselemente der Datei importiert werden oder nicht. Diese Elemente dienen zum Hinzufügen einer Anmerkung oder Beschreibung zur Datei. Verfügbare Elemente: Winkelabmessung, Durchmesserabmessung, Attributhinweis, allgemeine Sprungmarke, lineare Abmessung, Ordinatenabmessung, Punktabmessung, Radiusabmessung, allgemeines Symbol und Abschnitt.
Definition | Bestimmt, ob die Definitionselemente der Datei importiert werden oder nicht. Diese Elemente werden in Definitionsstrukturen der Datei verwendet. Verfügbare Elemente: allgemeiner Hinweis, Führungslinie, assoziative Definition, Linienschriftartdefinition, Makrodefinition, Unterfigurdefinition, Textschriftartdefinition, Textanzeigevorlage und Netzwerkunterfigurdefinition.
Sonstige | Bestimmt, ob sonstige Elemente der Datei importiert werden oder nicht. Diese Elemente werden für andere Zwecke als das Definieren von Elementen in der Datei verwendet. Derzeit verfügbare Elemente: Farbdefinition und gemessene Geometrie.
Logisch/Positional | Bestimmt, ob die logischen/positionalen Elemente der Datei importiert werden oder nicht. Diese Elemente dienen als logische oder positionale Verweise für andere Elemente. Derzeit verarbeitet PC-DMIS keine Elemente dieses Typs.
2D-Parameter | Bestimmt, ob die 2D-Parameter-Elemente der Datei importiert werden oder nicht. Diese Elemente sind im zweidimensionalen XY-Parameterraum positioniert und gelten als Untermenge des dreidimensionalen XYZ-Raums, wobei die Z-Koordinate ignoriert wird. Dieser Elementtyp ist für die Definition von Beschnittkurven auf Oberflächen gedacht. Derzeit ignoriert PC-DMIS dieses Kontrollkästchen. Weitere Informationen hierzu finden Sie unter "Verfügbare Optionen".

Wenn Sie alle sechs Kontrollkästchen aktivieren, werden alle IGES-Elemente in der IGES-Datei importiert.

Der Bereich "Elemente verarbeiten, wenn"

Der Bereich Elemente verarbeiten, wenn enthält Kontrollkästchen, mit deren Hilfe Sie bestimmte Elemente verarbeiten können, wenn diese bestimmte Bedingungen erfüllen. Die folgende Tabelle enthält die zu erfüllenden verfügbaren Bedingungen sowie eine Beschreibung jedes Kontrollkästchens:

Bedingung | Beschreibung
Elemente verarbeiten, wenn Physikalisch abhängig | Bestimmt, ob die Grundfläche einer Kurve auf einer Parameter-Oberfläche angezeigt wird oder nicht.
Elemente verarbeiten, wenn Logisch abhängig | Bestimmt, ob logisch abhängige Elemente aus der IGES-Datei importiert werden oder nicht.
Elemente verarbeiten, wenn Unsichtbar | Bestimmt, ob unsichtbare Elemente importiert werden oder nicht.

Der Bereich "Beschnittene Oberflächen"

Der Bereich Beschnittene Oberflächen enthält Kontrollkästchen, die zur korrekten Verarbeitung von beschnittenen Oberflächen verwendet werden können.

Kontrollkästchen | Beschreibung
Beschnitt zeigen | Zeigt die beschnittene Oberfläche an.
Grundfläche zeigen | Zeigt die nicht beschnittene Oberfläche (Grundfläche) an.
'B'-Kurven verwenden | Wenn in der IGES-Datei 'B'-Kurven vorhanden sind, aktivieren Sie dieses Kontrollkästchen, um diese als Beschnittdefinition zu verwenden. Evtl. müssen Sie dieses Kontrollkästchen auch aktivieren, wenn das Modell schlecht definierte 'C'-Beschnittkurven aufweist. Bei Aktivierung dieses Kontrollkästchens werden die 'C'-Beschnittkurven aus den 'B'-Beschnittkurven neu erstellt.
'C'-Kurven verwenden | Wenn in der IGES-Datei 'C'-Kurven vorhanden sind, aktivieren Sie dieses Kontrollkästchen, um diese als Beschnittdefinition zu verwenden. Evtl. müssen Sie diese Option verwenden, wenn das Modell schlecht definierte 'B'-Beschnittkurven aufweist. Bei Aktivierung dieses Kontrollkästchens werden die 'B'-Beschnittkurven aus den 'C'-Beschnittkurven neu erstellt.

Wenn Sie das Kontrollkästchen Beschnitt zeigen aktivieren, werden die anderen Kontrollkästchen zur Auswahl verfügbar. Abhängig von den Attributen der beschnittenen Oberfläche können Sie 'B'- oder 'C'-Kurven als Beschnittdefinition verwenden.

Hinweis: Beachten Sie, daß PC-DMIS bei Verwendung von 'C'-Kurven als Beschnittdefinition die 'B'-Kurven berechnen muß, was sehr viel Zeit in Anspruch nehmen kann.

Wenn die IGES-Datei beschnittene Oberflächen enthält, die eine Rotationsoberfläche als Grundfläche haben, werden die folgenden Kontrollkästchen ebenfalls zur Auswahl verfügbar:

Kontrollkästchen | Beschreibung
Parameter umkehren | Bestimmt, ob 'B'-Beschnittkurven fixiert werden sollen, welche die U- und V-Parameter umkehren.
V-Parameter 0 bis 1 | Bestimmt, ob der 'V'-Parameter fixiert werden soll, der anstatt in Radiant im Bereich 0 bis 1 definiert wird.
U-Parameter 0 bis 1 | Bestimmt, ob der 'U'-Parameter fixiert werden soll, der anstatt in Radiant im Bereich 0 bis 1 definiert wird, wenn der Ursprung der Rotationsoberfläche ein Bogen ist.
Grundfläche zeigen | Bestimmt, ob die nicht beschnittene Oberfläche angezeigt wird oder nicht.

Definieren von Schnittkurven

Schnittkurven können auf zwei Arten definiert werden:

  1. Mit Hilfe dreidimensionaler Koordinaten im Modellraum (die Koordinaten, in denen die Oberfläche definiert ist): Diese werden als 'C'-Beschnittkurven bezeichnet, da jede Koordinate zur Positionierung im Modellraum drei Werte benötigt (1, 2, 3; A, B, C). Die Kurve muß per Definition so festgelegt sein, daß sie geometrisch mit der Oberfläche übereinstimmt. Das heißt, daß die Kurve auf der Oberfläche liegen muß. Eine schlecht definierte 'C'-Beschnittkurve kann diese Regel verletzen.
  2. Durch Definition der Kurvenposition mit Hilfe von relativen Positionen auf der Oberfläche: Diese Kurven werden als 'B'-Beschnittkurven bezeichnet, da jede Koordinate zur Positionierung im Modellraum zwei Werte benötigt. Angenommen, die parametrische Position (0,0) einer rechteckigen Oberfläche liegt in einer Ecke und (1,1) in der gegenüberliegenden Ecke. In diesem Fall könnte jede Position auf der Fläche durch 2-Werte-Paare zwischen diesen beiden Extremen dargestellt werden. Die parametrische Position (0.5,0.5) liegt in der Mitte der Fläche. Die parametrisch definierte Kurve wird mit Hilfe dieser Punkte im zweidimensionalen Parameterraum dargestellt. Die Kurve muß per Definition so festgelegt sein, daß sie nicht aus dem Parameterraum der Oberfläche, auf der sie liegt, hinausreicht. Eine schlecht definierte Beschnittkurve kann diese Regel jedoch verletzen.

Beispiel für das Anzeigen des Beschnitts

IGES-Datei mit aktiviertem Kontrollkästchen Beschnitt zeigen

Beispiel für das Ausblenden des Beschnitts

Wenn Sie das Kontrollkästchen Beschnitt zeigen bei Verwendung einer IGES-Datei wie unter "Verfügbare Optionen" weiter oben beschrieben deaktivieren, erhalten Sie ein leeres Modell. Dies ist der Fall, da diese spezielle IGES-Datei nur beschnittene Oberflächen enthält. Wenn Sie jedoch das Kontrollkästchen Beschnitt zeigen deaktivieren und das Kontrollkästchen Grundfläche zeigen aktivieren, wird folgendes angezeigt:

IGES-Datei mit deaktiviertem Kontrollkästchen Beschnitt zeigen

Beachten Sie, daß alle Löcher in der Oberfläche verschwunden sind und die Außenränder der Oberflächen nicht beschnitten sind.


Ändern der Anzeige exportierter CAD-Bilder

Im Dialogfeld IGES-Schreibvorgang einrichten können Sie bestimmen, wie das IGES/DMIS-Bild angezeigt wird.

So greifen Sie auf dieses Dialogfeld zu und ändern, wie das IGES/DMIS-Bild angezeigt wird:

  1. Beginnen Sie mit dem Exportieren der CAD-Datei. (Informationen hierzu finden Sie unter "Exportieren einer IGES-Datei".)
  2. Wenn das Dialogfeld IGES-Datei angezeigt wird, klicken Sie auf die Schaltfläche Setup.
  3. Aktivieren Sie im Dialogfeld IGES-Schreibvorgang einrichten die Kontrollkästchen der gewünschten Optionen.
  4. Klicken Sie auf die Schaltfläche OK.

PC-DMIS zeichnet das ausgewählte CAD-Bild mit den angeforderten Elementen.

Siehe auch:

Verfügbare Optionen


Verfügbare Ausgabeoptionen

Die verschiedenen Ausgabeoptionen steuern, wie die IGES-Elemente exportiert werden.

Oberflächen als Rotationsoberflächen – Durch die Aktivierung dieses Kontrollkästchens werden Kegel, Zylinder und Kugeln als Rotationsoberflächen-Elemente exportiert.

Oberflächen als Bögen – Durch die Aktivierung dieses Kontrollkästchens werden Kegel, Zylinder und Kugeln als Bögen exportiert. Ein Kegel wird mit einem Kreis als Grundfläche und einem Punkt an der Spitze exportiert. Ein Zylinder wird als zwei Kreise exportiert: ein Kreis oben und ein Kreis unten am Zylinder. Eine Kugel wird mit einem Kreis an ihrem Äquator exportiert.

Oberflächen als Rotationsoberflächen und Oberflächen als Bögen – Sie können auch beide Kontrollkästchen gleichzeitig auswählen. In diesem Fall exportiert PC-DMIS Kegel, Zylinder und Kugeln als Rotationsoberflächen und als Bögen. Wenn beide Kontrollkästchen deaktiviert sind, werden Kegel, Zylinder und Kugeln nicht exportiert.

Scans als Volldatenform 2 – Dieses Kontrollkästchen veranlaßt, daß Scans als Volldaten-IGES-Elemente exportiert werden. Das Format des Elements ist Punkte ohne Vektoren.

Scans als Volldatenform 3 – Dieses Kontrollkästchen veranlaßt, daß Scans als Volldaten-IGES-Elemente exportiert werden. Das Format des Elements ist Punkte mit Vektoren. Die unterschiedlichen Formen steuern das Format des Volldatenelements.

Scans als Volldatenform 12 – Dieses Kontrollkästchen veranlaßt, daß Scans als Volldaten-IGES-Elemente exportiert werden. Das Format des Elements ist stückweise lineare Kurve ohne Vektoren. Die unterschiedlichen Formen steuern das Format des Volldatenelements.

Scans als Volldatenform 13 – Durch die Aktivierung dieses Kontrollkästchens werden Scans als Volldaten-IGES-Elemente exportiert. Das Format des Elements ist stückweise lineare Kurve mit Vektoren. Die unterschiedlichen Formen steuern das Format des Volldatenelements.

Scans als Punkte – Dieses Kontrollkästchen veranlaßt, daß Scans als Mehrpunktelemente exportiert werden.

Scans als Volldatenform 2, Scans als Volldatenform 3, Scans als Volldatenform 12, Scans als Volldatenform 13 und Scans als Punkte – Sie können jeweils einen der Scans als Volldatenform-Kontrollkästchen und das Kontrollkästchen Scans als Punkte gleichzeitig auswählen. Dann exportiert PC-DMIS Scans als Volldaten und als Punkte. Wenn Sie beide Kontrollkästchen deaktivieren, exportiert PC-DMIS keine Scans.


Ausführen von Werkstückprogrammen

Display Menu Roadmap Mit Hilfe von PC-DMIS können Sie ein Werkstückprogramm auf einfache Weise vollständig oder teilweise ausführen. In diesem Abschnitt wird beschrieben, wie Werkstückprogramme vollständig oder teilweise ausgeführt werden. Außerdem wird erläutert, wie Sie das Dialogfeld Ausführungsoptionen einsetzen können, um Werkstückprogramme auszuführen.

Wenn Sie die komplette oder teilweise Ausführung eines Werkstückprogramms auswählen, zeigt PC-DMIS eine andere Bildschirmdarstellung. Das Bearbeitungsfenstr wird ausgeblendet und die Grafikanzeige wird vergrößert, um eine vollständigere Ansicht des Werkstücks zu zeigen. Außerdem wird das Taster-Ergebnisanzeigefenstereingeblendet. Nach beendigter Ausführung kehrt die Bildschirmdarstellung wieder in ihren Ursprungszustand zurück

Das Dialogfeld Ausführungsoptionen kann durch Ziehen eines der Ränder des Dialogfelds vergrößert oder verkleinert werden.

Siehe auch:

Ausführen

Ausführeneines Elements

Ausführen ab

Ausführen ab Cursor

Block Ausführen ab

Verwenden des Dialogfelds Ausführungsoptionen


Ausführen

Display Menu Roadmap Zur Ausführung aller markierten Befehle des vollständigen Werkstückprogramms wählen Sie die Option Ausführen.


Element ausführen

Display Menu Roadmap Zum Ausführen eines einzelnen Elements, auf das der Cursor gerade zeigt, wählen Sie die Option Element ausführen.

Daraufhin wird das Dialogfeld Ausführungsoptionen angezeigt. Wenn der manuelle Modus gewählt ist (Modus = MANUELL), fordert PC-DMIS Sie zur Aufnahme der benötigten Meßpunkte auf. Wenn der CNC-Modus (Modus = CNC) gewählt ist, bewegt PC-DMIS den Taster automatisch anhand der im Dialogfeld festgelegten Parameter.


Ausführen ab

Display Menu Roadmap Um eine zuvor abgebrochene Ausführung fortzusetzen, verwenden Sie die Menüoption Ausführen ab. Dieser Befehl führt das gelistete Element bis zum Ende des Werkstückprogramms aus. Diese Menüoption ist nur verfügbar, wenn Sie einen zuvor ausgeführten Befehl im Dialogfeld Ausführungsoptionen abgebrochen haben.

Beispiel: Angenommen, Sie klicken während der Programmausführung beim Messen des Elements KREIS1 auf die Schaltfläche Abbrechen. Nun wird die Menüoption Ausführen ab verfügbar, so daß Sie mit der Prüfung des Werkstücks ab KREIS1 fortfahren können.


Ausführen ab dem Cursor

Display Menu Roadmap Um das Werkstückprogramm ab der aktuellen Position des Cursors auszuführen, wählen Sie den Menübefehl Ausführen ab dem Cursor. Das Werkstückprogramm wird ab der aktuellen Position des Cursors ausgeführt.


Block ausführen

Display Menu Roadmap Um einen Befehlsblock auszuführen, markieren Sie die gewünschten Befehle und wählen Sie den Menübefehl Block ausführen, während die Befehle weiterhin markiert sind. PC-DMIS führt nur den ausgewählten Befehlsblock aus.


Verwenden des Dialogfelds "Ausführungsoptionen"

Alle Ausführungsoperationen beginnen mit dem Einblenden des Dialogfelds Ausführungsoptionen.

PC-DMIS führt dann alle markierten Befehle des aktuellen Werkstückprogramms aus.

  • Im manuellen Modus fordert PC-DMIS Sie auf, die Meßpunkte aufzunehmen.
  • Im CNC-Modus beginnt PC-DMIS automatisch mit dem Meßvorgang.

Siehe auch:

KMG-Fehler

KMG-Befehle

Fortfahren

Anhalten

Meßpunkt löschenEraseHit>proc

Nächster Schritt

Manuelle Steuerung der Messung eines Elements

Größe des Dialogfelds Ausführungsoptionen ändern


KMG-Fehler

In der Liste KMG-Fehler werden alle Fehler angezeigt, die unter Umständen während der Ausführung des Werkstückprogramms aufgetreten sind. Mögliche Fehler sind eine unerwartete Meßpunktaufnahme durch den Taster oder ein unerwartetes Ende der Bewegung. Sie können die Fehler anzeigen, indem Sie auf den Dropdown-Pfeil klicken.


KMG-Befehle

In der Liste KMG-Befehle werden alle Bewegungen und Meßpunkte für das aktuelle Element (oder das zu messende Element) angezeigt. Diese Informationen sind nur verfügbar, wenn das Programm während der Ausführung durch einen Fehler oder durch den Bediener angehalten wird. Die Ausführung des Werkstückprogramms kann fortgesetzt werden, indem der gewünschte Meßpunkt (oder die gewünschte Bewegung) im Listenfeld KMG-Befehle hervorgehoben und auf die Schaltfläche Fortfahren geklickt wird.

Beispiel: Wurde beispielsweise ein Sicherheitsebenenbewegungsbefehl mit einem falschen X-, Y- oder Z-Wert programmiert, tritt während der Ausführung dieser Bewegung wahrscheinlich ein Bewegungsfehler auf. So fahren Sie fort:
Durchsuchen Sie die Auswahlliste KMG-Befehle nach unten.
Wählen Sie den auf die unzulässige Bewegung folgenden Befehl.
Klicken Sie auf die Schaltfläche Fortfahren.


Fortfahren

Mit dem Befehl Fortfahren können Sie die Ausführung eines Werkstückprogramms, das durch einen KMG-Bewegungsfehler oder über die Schaltfläche Anhalten angehalten wurde, wieder fortsetzen. In PC-DMIS können Sie die betreffende Position innerhalb des aktuellen Elements auswählen, ab der der Taster die Werkstückmessung wiederaufnehmen soll. Die Standardposition wird in der Liste KMG-Befehle angezeigt. Um eine andere Position auszuwählen, klicken Sie auf den Pfeil des Dropdown-Menüs und wählen die gewünschte Zeile aus. PC-DMIS setzt den Meßvorgang an der angezeigten Position fort, wenn auf die Schaltfläche Fortfahren betätigt wird.


Anhalten

Mit der Befehlsschaltfläche Anhalten wird der Taster an seiner aktuellen Position angehalten und die Ausführung des Werkstückprogramms unterbrochen.

Hinweis: Durch diese Option wird die Ausführung des Werkstückprogramms nicht angehalten, wenn die aktuelle Bewegung eine PH9-Ausrichtungsänderung ist. Das Programm wird erst nach Abschluß der PH9-Bewegung angehalten.

Unter "Manuelle Steuerung der Messung eines Elements" wird beschrieben, wie Sie mit Hilfe von Anhalten während der Ausführung in den manuellen Modus wechseln können.


Meßpunkt löschen

Um den derzeit in der Liste KMG-Befehle hervorgehobenen Meßpunkt zu entfernen, klicken Sie im Dialogfeld Ausführungsoptionen einfach auf die Schaltfläche Meßpunkt löschen.

Den meisten KMG-Bedieneinheiten ist eine Taste zum Löschen des letzten Meßpunktes zugewiesen. Wenn Sie im Ausführungsmodus auf diese Taste der KMG-Bedieneinheit drücken, geschieht dasselbe wie beim Klicken auf die Schaltfläche Meßpunkt löschen im Dialogfeld.


Nächster Schritt

Die Befehlsschaltfläche Nächster Schritt setzt den Meßvorgang schrittweise fort und legt dabei nach jedem ausgeführten Schritt eines Befehls, der eine Bewegung des KMGs bewirkt, eine Pause ein. Im Schrittmodus können Sie Meßpunkte in Elemente einfügen oder neue Elemente zwischen bestehenden Elementen oder Befehlen einfügen. Wenn Sie ein neues Element einfügen, wird ein Dialogfeld angezeigt, mit dessen Hilfe Sie:

  • zu dem HIT/BASIC-Basicbefehl des neuen Elements springen können.
  • das neue Element neu messen können oder
  • fortfahren können, das Werkstückprogramm schrittweise zu durchlaufen und dabei das neue Element komplett ignorieren.

Der Schrittmodus kann auch offline simuliert werden.

Nächster Schritt wird im Dialogfeld angezeigt, wenn PC-DMIS die Ausführung an einem Unterbrechungspunkt anhält. (Informationen zu Unterbrechungspunkten finden Sie im Abschnitt "Bearbeiten eines Werkstückprogramms").


Manuelle Steuerung der Messung eines Elements

So steuern Sie die Messung eines Elements manuell:

  1. Klicken Sie im Dialogfeld Ausführungsoptionen auf die Befehlsschaltfläche Anhalten.
  2. Klicken Sie auf das Symbol Manueller Modus. PC-DMIS läßt Sie nun den Meßvorgang am aktuellen Meßpunkt steuern. (Weitere Informationen finden Sie unter "Fortfahren".)

Nachdem das aktuelle Element im MANUELLEN Modus gemessen wurde, versetzt PC-DMIS das System automatisch wieder in den CNC-Modus und setzt die Messung des Werkstücks unter Computer-Steuerung fort. Sie können jederzeit durch Anklicken des Symbols CNC-Modus wieder in den CNC-Modus zurückkehren.

PC-DMIS ersetzt jedoch keine der ursprünglichen Meßpunkte durch die neuen Meßpunkte. Änderungen an Meßwerten müssen im Bearbeitungsfenster vorgenommen werden.

Hinweis: Bei einigen Auto-Elementen wird am Ende von manuellen Messungen gefragt, ob die neue Position des Elements als Ziel für zukünftige Ausführungen des Werkstückprogramms gespeichert werden soll. Wird daraufhin als Antwort auf Ja geklickt, wird die derzeit gemessene Position als das neue Ziel gespeichert.


Größe des Dialogfelds "Ausführungsoptionen" ändern

Die Größe des Dialogfeldes Ausführungsoptionen kann geändert werden. Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf den äußeren Rand des Dialogfelds. Anstelle des Pfeilsymbols erscheint nun ein Doppelpfeilsymbol.
  2. Halten Sie die linke Maustaste gedrückt.
  3. Während Sie die linke Maustaste gedrückt halten, ziehen Sie den Cursor an die gewünschte Stelle.
  4. Lassen Sie die Maustaste wieder los.

Das Dialogfeld hat nun eine andere Größe. Diese Funktion ist nützlich, wenn Ausführungsdaten aus größerer Entfernung gelesen werden müssen.


Setting Your Preferences

Auswählen der PC-DMIS-Setup-Optionen

Ändern der Protokoll- und Bewegungsparameter

Einrichten des Bearbeitungsfensters

Einrichten des Ergebnisanzeigefensters

Einrichten von Mehrarmsystemen

Definieren des Drehtisches

Einrichten der Tasterwechsler-Optionen

Laden des aktiven Tasters

Einrichten der KMG-Schnittstelle

Temperaturkompensation

Angeben externer Verzeichnisse für die Suche

Ändern der OpenGL-Optionen

Einrichten flexibler Spannvorrichtungen


Ihre Voreinstellungen: : Einführung

Voreinstellungen: Einführung

PC-DMIS ermöglicht Ihnen das Festlegen eigener Voreinstellungen, um die Form und Funktionsweise von PC-DMIS Ihren speziellen Anforderungen anzupassen. In diesem Abschnitt erfahren Sie, wie Sie das Ausgabeformat, die Bildschirmanzeige und andere Optionen steuern können.

Dieser Abschnitt behandelt folgende Hauptthemen:

  • Auswählen der PC-DMIS-Setup-Optionen
  • Ändern der Protokoll- und Bewegungsparameter
  • Einrichten des Bearbeitungsfensters
  • Einrichten des Ergebnisanzeigefensters
  • Einrichten von Mehrarmsystemen
  • Definieren des Drehtisches
  • Einrichten der Tasterwechsler-Optionen
  • Laden des aktiven Tasters
  • Einrichten der KMG-Schnittstelle
  • Temperaturkompensation
  • Angeben externer Verzeichnisse für die Suche
  • Ändern der OpenGL-Optionen
  • Einrichten flexibler Spannvorrichtungen

In den nächsten Absätzen werden die verschiedenen Systemoptionen und ihre Funktionen beschrieben.

Siehe auch:

Hinweis zum Speichern der Einstellungen mehrerer Benutzer


Hinweis zum Speichern der Einstellungen mehrerer Benutzer

Alle Änderungen an den Einstellungen, den Parametern oder an der Benutzeroberfläche von PC-DMIS werden nun für jeden Benutzer separat gespeichert. Dieser Vorgang wird mit Hilfe der Windows NT/Windows 2000-Benutzerberechtigungen intern gesteuert. Wenn Sie sich mit Ihrem Benutzernamen beim Betriebssystem anmelden, werden Ihre Einstellungen automatisch geladen. Ihre Einstellungen sind im Installationsverzeichnis von PC-DMIS in einem entsprechend benannten Unterverzeichnis gespeichert.


Auswählen der PC-DMIS-Setup-Optionen

Display Menu Roadmap Über die Menüoption Setup wird das Dialogfeld Setup-Optionen aufgerufen. Hier können Sie die Form und Funktion von PC-DMIS verändern.

Um auf die Registerkarten im Fenster Setup-Optionen zuzugreifen, wählen Sie die Menüoption Setup und klicken auf die gewünschte Registerkarte. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".) Folgende Registerkarten sind verfügbar:

Siehe auch:

Setup-Optionen: Registerkarte "Allgemein"

Kontrollkästchen für die Registerkarte "Allgemein"

Bearbeitungsfelder für die Registerkarte "Allgemein"

Setup-Optionen: Registerkarte "Werkstück/KMG"

Setup-Optionen: Registerkarte "Merkmal"

Setup-Optionen: Registerkarte "ID-Setup"

Setup-Optionen: Registerkarte "Ansichten"

Setup-Optionen: Registerkarte "NC-100-Setup"


Setup-Optionen : Registerkarte "Allgemein"

Home Contents Previous Next

Setup-Optionen: Registerkarte "Allgemein"

Display Menu Roadmap

Password Hotspot 25 NC-100 Setup Views ID Setup Dimension Part / Machine Help Default Cancel OK Execution FindNoms Tolerance Thickness Deviation Arrow Multiplier Show Deviations Tolerance Find Nominals Tolerance Minutes to Save Scale Factor Warnings Check Boxes Hits in V Hits in U Auto Line Hits Auto Circle Hits

Zum Aufrufen der Registerkarte Allgemein klicken Sie auf die Registerkarte Allgemein im Dialogfeld Setup-Optionen. Hier können Sie eine Reihe von Funktionen zur Steuerung des Meßvorgangs einstellen.

Siehe auch:

Auto Kreismeßpunkte

Auto Linienmeßpunkte

Punkte in U

Punkte in V

Warnmeldungen

Kennwort


Auto Kreismeßpunkte

Mit Hilfe des Feldes Auto Kreismeßpunkte können Sie einen Standardwert für die Anzahl der Meßpunkte angeben, die PC-DMIS aufnehmen soll, während es unter Verwendung von CAD-Daten Kreise erlernt. Hier muß ein Mindestwert von drei eingegeben werden. Dieser Parameter ändert nur die Einstellung für Kreise, die noch programmiert werden sollen, jedoch nicht für bereits programmierte Kreise.

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: AutoCirHits=[Anzahl der Meßpunkte]


Auto Linienmeßpunkte

Mit Hilfe des Feldes Auto Linienmeßpunkte können Sie einen Standardwert für die Anzahl der Meßpunkte angeben, die PC-DMIS aufnehmen soll, während es unter Verwendung von CAD-Daten Linien erlernt. Hier muß ein Mindestwert von zwei eingegeben werden. Dieser Parameter ändert nur die Einstellung für Linien, die noch programmiert werden sollen, jedoch nicht für bereits programmierte Linien.

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: AutoLineHits=[Anzahl der Meßpunkte]


Meßpunkte in U

Die Option Meßpunkte in U gibt die Mindestanzahl der Zeilen vor, die während des Scans aufgenommen werden müssen.

Hinweis: Diese Scanoption ist nur bei gleichzeitiger Verwendung mit den Optionen "Kurven" und "Oberflächen" aktiv.


Meßpunkte in V

Die Option Meßpunkte in V gibt die Mindestanzahl der Meßpunkte pro Zeile an, die während des Scans aufgenommen werden müssen.

Hinweis: Diese Scanoption ist nur bei gleichzeitiger Verwendung mit den Optionen "Kurven" und "Oberflächen" aktiv.


Warnmeldungen

Über die Schaltfläche Warnmeldungen wird das Dialogfeld Anzeigeoptionen für Warnmeldungen aufgerufen.

In diesem Dialogfeld können Sie bestimmen, welche Warnmeldungen PC-DMIS bei normaler Benutzung anzeigen soll. Sie können hier auch die Standardaktionen ändern, die der jeweiligen Warnmeldung zur Ausführung zugeordnet sind.

So ändern Sie die Standardaktion für eine Warnmeldung:

  1. Öffnen Sie das Dialogfeld Setup-Optionen.

Display Menu Roadmap Öffnen Sie die Registerkarte Allgemein.

  3. Klicken Sie auf die Schaltfläche Warnmeldungen. Es erscheint das Dialogfeld Anzeigeoptionen für Warnmeldungen.
  4. Doppelklicken Sie auf die Warnmeldung, deren Standardaktion geändert werden soll. Jetzt erscheint ein kleines Feld, in dem Sie die neue Standardaktion auswählen können.
  5. Wählen Sie die neue Standardaktion. Die Liste wird aktualisiert.
  6. Klicken Sie auf OK, um Ihre Einstellung zu speichern.

Beispiel: Die erste Meldung in der Liste lautet: "Sollen die Nennwerte der Merkmale aktualisiert werden?" Der Standardwert (in Spalte "Standard") lautet "JA". Das bedeutet, daß JA die Standardaktion für diese Warnmeldung ist. Wenn Sie dieses Kontrollkästchen deaktivieren, jedoch nach wie vor JA als Standardaktion eingestellt haben, wird die Warnmeldung nicht eingeblendet. Die Standardaktion JA findet jedoch automatisch im Hintergrund statt und die Nennwerte der entsprechenden Merkmale werden aktualisiert. Wenn Sie Die Standardaktion auf NEIN einstellen und das Kontrollkästchen deaktivieren, dann wird die Warnmeldung niemals eingeblendet und die Aktion NEIN erfolgt automatisch. (In diesem Fall würden die Nennwerte der entsprechenden Merkmale nicht aktualisiert werden.)


Voreinstellungen - Setup-Optionen : Registerkarte "Allgemein" - Kennwort

Kennwort

Mit der Schaltfläche Kennwort können Sie den Zugriff auf das Dialogfeld Setup-Optionen mit einem Kennwortschutz belegen.

So schützen Sie Ihren Setup-Optionen mit einem Kennwort:

  1. Öffnen Sie das Dialogfeld Setup-Optionen.

Display Menu Roadmap Öffnen Sie die Registerkarte Allgemein.

  3. Klicken Sie auf die Schaltfläche Kennwort. Es erscheint das Dialogfeld Kennwort-Optionen.
    Geben Sie in das Feld Neues Kennwort das gewünschte Kennwort ein.
  4. Geben Sie in das Feld Eingabe wiederholen dasselbe Kennwort erneut ein, um Ihre Eingabe zu bestätigen.
  5. Markieren Sie das Kontrollkästchen Kennwort verwenden.
  6. Klicken Sie auf OK.

Wenn Sie das nächste Mal das Dialogfeld Setup-Optionen öffnen, werden Sie zur Eingabe des Kennworts aufgefordert, bevor Sie fortfahren können.

Wird auf diese Aufforderung hin auf Abbrechen geklickt, können die derzeit ausgewählten Optionen angezeigt, jedoch nicht geändert werden.


Kontrollkästchen auf der Registerkarte "Allgemein"

Mit Hilfe der Kontrollkästchen in diesem Bereich des Dialogfelds können Sie eine zahlreiche verschiedene Optionen ein- und ausschalten. Das ist sehr nützlich, da Sie damit die Art und Weise, wie PC-DMIS abläuft, ganz individuell an Ihre Erfordernisse anpassen können.

Siehe auch:

Taste "Ende" drücken

Automatische Speicherung der Datei

Nennwertsuche

Nur-Punkt-Modus

Nur-Kantenpunkt-Modus

Bewegungsfehler Ignorieren

Wrist für Tastkopf automatisch einstellen

CAD zu Werkstück Ignorieren

Globale Einstellungen beim Verzweigen zurücksetzen

Element in Bezugsebene verschieben

Erweiterte Blechoptionen einblenden

Feste Dialogfeldpositionen

Markierungsgruppen sperren

Größe automatisch anpassen

Meßpunkt-Abweichungen einblenden

Bei runden Elementen Kreisbewegungen verwenden

Stärke für Nur-Punkt-Modus-Punkte

Feineinstellung der Ausrichtung zulassen

Für Elemente die durch CAD bereitgestellten IDs verwenden

Nennwerte während der Ausführung suchen

Ausführung bei Fehlschlagen der Elementsuche autom. fortsetzen

Startdialogfeld einblenden

Etiketten autom. positionieren

Taster im Programmodus animieren

Symbol in Textfeldern einblenden

CAD bei 3D-Rotation durchstoßen

Werkstückprogramm nach dem Ausführen speichern

DMIS-Schaltfläche in Bearbeitungsfenster verwenden

Flächenscans behalten das letzte Inkrement bei

Buchstaben für Automobil-Abweichungen verwenden

Nennwert suchen und ändern bei Scans

NUR Prioritäts-Oberflächen für die Nennwertsuche bei Scans verwenden

Ebenenkontur anzeigen

Behandle Theo-Werte als wären sie in den Werkstückkoordinaten gespeichert


Taste "Ende" drücken

Über das Kontrollkästchen Taste "Ende" drücken wird angegeben, ob PC-DMIS auf ihre Eingabe über die ENDE-Taste warten soll oder nicht, bevor der zuletzt aufgenommene Meßpunkt akzeptiert wird. Mit der Aktivierung dieses Kontrollkästchens erhalten Sie eine Voransicht des letzten Meßpunkts, bevor Sie ihn akzeptieren. Wird dieses Kontrollkästchen nicht aktiviert, wird der aktuelle Meßpunkt, den Sie mit der Bedieneinheit aufgenommen haben, nicht im Meßpunktepuffer gespeichert, sondern automatisch als letzter Meßpunkt für das Element geführt, selbst wenn der Meßpunkt an der falschen Stelle aufgenommen wurde.


Automatische Speicherung der Datei

Wenn die Option Automatische Speicherung der Datei aktiviert ist, können Sie das Werkstückprogramm automatisch in bestimmten voreinstellbaren Intervallen speichern. Wenn dieses Kontrollkästchen markiert ist, wird das Programm jede Minute gespeichert (dies ist die Standardeinstellung). Dieses Intervall kann jedoch leicht durch Eingabe eines anderen Werts in das Feld Zeit zw. Auto-Speichern geändert werden.

PC-DMIS legt die automatisch gespeicherte Datei unter dem Namen "AutoSave-Kopie von", gefolgt vom Originaldateinamen, ab. Diese Kopie kann genau wie eine reguläre Werkstückprogrammdatei geöffnet werden, sollte die Originaldatei aus irgendeinem Grund beschädigt worden sein. Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: AutoSave= 0 oder 1


Nennwerte suchen

Nennwertsuche

Über das Kontrollkästchen Nennwertsuche wird gesteuert, wie PC-DMIS Meßpunkte handhabt. Ist es markiert, berücksichtigt PC-DMIS automatisch jede Tasterberührung und sucht nach dem nächstgelegenen CAD-Nennwert für diesen Punkt. Es erfaßt dann so lange Meßpunkte, bis die Taste ENDE gedrückt wird. Anschließend wird der Elementtyp berechnet und die CAD-Nennwerte werden übernommen.

Wenn Sie das Kontrollkästchen aktivieren, wird das Feld Toleranz für Nennwertsuche verfügbar. Informationen hierzu finden Sie unter "Toleranz für Nennwertsuche".


Nur-Punkt-Modus

Über das Kontrollkästchen Nur-Punkt-Modus wird gesteuert, wie PC-DMIS auf jeden der vom Taster erfaßten Meßpunkte reagiert. Ist es markiert, behandelt PC-DMIS jeden vom Taster erfaßten Meßpunkt als Einzelpunktmessung und erstellt automatisch einen Vektorpunkt. Ist das Kästchen nicht markiert, erfaßt PC-DMIS so lange Meßpunkte, bis die Taste ENDE gedrückt wird. Erst dann wird der Typ des soeben gemessenen Elements bestimmt.

Wenn dieses Kästchen ausgewählt ist, steht das Kästchen Stärke für Nur-Punkt-Modus-Punkte zur Verfügung (siehe Stärke für Nur-Punkt-Modus-Punkte).


Nur-Kantenpunkt-Modus

Über das Kontrollkästchen Nur-Kantenpunkt-Modus wird gesteuert, wie PC-DMIS auf jeden Satz Tastermeßpunkte reagiert. Hierbei wird ein Satz als zwei einzelne Tastermeßpunkte definiert. Der erste Meßpunkt sollte immer auf der Oberfläche aufgenommen werden. Der zweite Meßpunkt sollte immer auf der Kante aufgenommen werden. Ist dieses Kontrollkästchen markiert, behandelt PC-DMIS automatisch jeden Satz Tastermeßpunkte als Einzelpunktmessung und erstellt automatisch einen automatischen Kantenpunkt. Ist das Kontrollkästchen nicht markiert, erfaßt PC-DMIS so lange Meßpunkte, bis die Taste ENDE gedrückt wird. Erst dann wird der Typ des soeben gemessenen Elements bestimmt.

PC-DMIS verwendet zur Erstellung des Kantenpunkts jene Optionen, die im Bereich Meßparameter des Dialogfelds Kantenpunkt angezeigt werden. (Informationen hierzu finden Sie unter "Erstellen eines automatischen Kantenpunkts" im Abschnitt "Erstellen von automatischen Elementen").

CAD-Nennwerte werden übernommen, wenn die Option Nennwerte suchen aktiviert ist.


Bewegungsfehler ignorieren

Display Menu Roadmap Durch Auswahl des Kontrollkästchens Bewegungsfehler ignorieren wird PC-DMIS angewiesen, Bewegungsfehler zu ignorieren.. Wird nach Auswahl dieses Kontrollkästchens auf OK geklickt, wird im Bearbeitungsfenster der Befehl BEWEG.FEHLER_IGNORIEREN/EIN eingefügt. Stößt der Taster bei Antreffen dieses Befehls gegen ein Hindernis, wird er nicht automatisch angehalten. Diese Option ist nützlich bei der Messung von Materialien wie Ton oder Kunststoff, bei denen eine gewisse Flexibilität erforderlich ist.

Wird dieser Befehl im Bearbeitungsfenster auf AUS gesetzt, werden Kollisionsfehler wieder angezeigt.


Wrist für Tastkopf automatisch einstellen

Bei markierter Option Wrist für Tastkopf automatisch einstellen wählt PC-DMIS während des gesamten Werkstückprogramms automatisch für jeden Meßpunkt eine Position, die der optimalen Antastrichtung am besten entspricht.

Wenn PC-DMIS kalibrierte Tastspitzen finden kann, die innerhalb jenes Winkeltoleranzbereichs liegen, der auf der Registerkarte Werkstück/KGM im Feld Delta -Mindestwert für Wristdrehung vorgegeben wurde, werden diese Tastspitzen anstelle von nicht kalibrierten Tastspitzen verwendet, deren Winkelabweichung geringer ist. (Informationen hierzu finden Sie unter "Setup-Optionen: Registerkarte "Werkstück/KMG".)

Diese Option kann mit Hilfe des Kontrollkästchens Auto PH9 auch für einzelne Meßpunkte von Auto-Elementen aktiviert werden. (Informationen hierzu finden Sie im Abschnitt "Erstellen von Auto-Elementen".)

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: AutoAdjustPh9= 0 oder 1

Hinweis: Beachten Sie, daß PC-DMIS bei Verwendung der Schaltfläche Verwendete markieren im Dialogfeld Taster unter Umständen nicht alle Tasterspitzen für die Kalibrierung auswählt. (Informationen hierzu finden Sie unter "Verwendete markieren" im Abschnitt "Definieren von Hardware").

Display Menu Roadmap


Ignore CAD to Part

CAD zu Werkstück ignorieren

Jedesmal, wenn Sie eine Ausrichtung erstellen (gespeichert oder anders), erstellt PC-DMIS zwei Umwandlungsmatrizen.

  1. Matrix für Maschinendaten in Werkstückkoordinaten
  2. Matrix für CAD-Daten in Werkstückdaten

Maschinendaten in Werkstückkoordinaten: PC-DMIS legt der Berechnung die gemessenen Werte der Eingabeelemente zugrunde, die intern in Maschinenkoordinaten gespeichert sind.

CAD-Daten in Werkstückdaten: PC-DMIS führt die Berechnung unter Beachtung derselben Anleitungen wie bei der Matrix für Maschinendaten in Werkstückdaten durch. Der einzige Unterschied besteht darin, daß in diesem Fall anstatt der gemessenen Werte die theoretischen Werte der Eingabeelemente verwendet werden. Theoretische Werte werden intern in CAD-Koordinaten gespeichert.

Sind keine CAD-Daten verfügbar, stammen theoretische Daten in der Regel von den gemessenen Werten der "erlernten" Elemente. Anhand theoretischer Werte lassen sich nur schwer gleichbleibende Ergebnisse erzielen. Dies kann vorkommen, wenn einige dieser Werte bearbeitet werden und andere wiederum nicht.

Wenn die Option CAD zu Werkstück ignorieren beim Speichern einer Ausrichtung markiert ist, speichert PC-DMIS nur die Ausrichtung von KMG zu Werkstück und erstellt nicht die Umwandlungsmatrix von CAD-Daten in Werkstückdaten. Alle theoretischen Werte sind nun unabhängig voneinander.

In der Regel gilt, daß dieses Kontrollkästchen zu markieren ist, wenn nicht mit CAD-Daten gearbeitet wird.

Auswirkungen auf "CAD gleich Werkstück"

Möglicherweise möchten Sie eine Ausrichtung mit Elementen ausführen, die ohne CAD-Daten im CNC-Modus gemessen wurden. Wenn Sie die Menüoption CAD gleich Werkstück (oder die Schaltfläche CAD = Werkstück) verwenden, sollten Sie das Kontrollkästchen CAD zu Werkstück ignorieren aktivieren, bevor Sie das CAD dem Werkstück gleichsetzen. Informationen zum Gleichsetzen des CAD mit dem Werkstück finden Sie unter "Angleichen von CAD an gemessene Werkstückdaten" im Abschnitt "Extras".

Theoretische Werte für kopierte Elemente

Wenn Sie dieses Kontrollkästchen deaktivieren und ein Element an eine neue Position im Bearbeitungsfenster kopieren, werden die theoretischen Werte des Elements mit der Ausrichtung an der Ausgangsposition des Elements verknüpft und scheinbar geändert.

Wenn Sie dieses Kontrollkästchen aktivieren und ein Element an eine neue Position im Bearbeitungsfenster kopieren, werden die theoretischen Werte des Elements mit der Ausrichtung an der neuen Position des Elements verknüpft. Sie bleiben scheinbar unverändert.


Globale Einstellungen beim Verzweigen zurücksetzen

Wenn Sie das Kontrollkästchen Globale Einstellungen beim Verzweigen zurücksetzen markieren, setzt PC-DMIS die globalen Werte für Statusbefehle (siehe nachstehende Befehlsliste) nach Antreffen einer Verzweigungsanweisung zurück. (Informationen zum Verzweigen finden Sie im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".) Alle aufgrund einer Verzweigungsanweisung übersprungenen Statusbefehle werden nicht ausgeführt. Auf diese Weise lassen sich Programmabschnitte überspringen, ohne eine Änderung dieser Einstellungen zu bewirken.

Angenommen, Ihr Werkstückprogramm sieht folgendermaßen aus:

TASTSPITZE/T1A0B0
MEINEMARKE=MARKE/

Messungen etc...

TASTSPITZE/T1A90B90
GEHEZU/MEINEMARKE

Wird das Kontrollkästchen markiert:
wird die Ausführung bei MEINEMARKE fortgesetzt, wenn PC-DMIS die GEHEZU-Anweisung liest. Von dort ab startet der Suchlauf, unter Zugrundelegung des ersten vorgefundenen TASTSPITZE/-Befehls. TASTSPITZE/T1A0B0

Wird das Kontrollkästchen nicht markiert:
wird die Ausführung bei MEINEMARKE fortgesetzt, wenn PC-DMIS die GEHEZU-Anweisung liest. Bei Antreffen einer Verzweigungsanweisung werden die globalen Einstellungen nicht zurückgesetzt. Statt dessen wird der zuletzt ausgeführte TASTSPITZE/-Befehl verwendet. TASTSPITZE/T1A90B90

Das Kontrollkästchen ist standardmäßig markiert. In Versionen vor Version 3.25 werden die globalen Werte von Statusbefehlen automatisch zurückgesetzt, Nun bietet PC-DMIS Ihnen die Möglichkeit, diese Option ein- oder auszuschalten.

Befehle, die nach einer Verzweigung zurückgesetzt werden:

  • Beginnen/ausrichten
  • Aufrufen/ausrichten
  • Modus/
  • RMess/
  • Arbeitsebene/
  • Tastspitze/
  • Tasterladen/
  • Rückfahrweg/
  • Prüf/
  • Meßgeschw/
  • Bewegungsgeschw/
  • Polarvektorcomp/
  • Autom_Auslöser/
  • Auslöserebene/
  • Auslösertoleranz/
  • Optik-setup/
  • Anzeigegenauigkeit/
  • Man.Rückzug/
  • Scangeschw/
  • Vorhaltebereich/
  • Klemm/
  • Sichebene/
  • Format/
  • 132Spalte/
  • Nur_Gap/
  • Nurretrolinear/
  • Tasterkomp/
  • Array-Indizes/
  • Fly/
  • Positivesreporting/
  • Beweg.Fehler_ignorieren/


Element in Bezugsebene verschieben

Element auf Bezugsebene verlagern

Bei Auswahl der Option Element in Bezugsebene verschieben, projiziert PC-DMIS das gemessene Element automatisch auf die Arbeitsebene. Die Option ist nur verfügbar, wenn Kreise, Ellipsen, Linien und Punkte gemessen werden.


Erweiterte Blechoptionen einblenden

Bei Auswahl der Option Erweiterte Blechoptionen einblenden zeigt PC-DMIS alle verfügbaren Blechoptionen im Dialogfeld Auto Elemente an. (Informationen hierzu finden Sie unter "Erweiterte Blechoptionen" im Abschnitt "Erstellen von automatischen Elementen".)

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: ShowExtendedSheetMetal = 0 oder 1


Feste Dialogfeldpositionen

Bei Auswahl der Option Feste Dialogfeldpositionen zeigt PC-DMIS die Dialogfelder in ihren Standardpositionen an. Ist die Option nicht ausgewählt, zeigt PC-DMIS jedes Dialogfeld an der Stelle an, an der es stand, als es das letzte Mal positioniert wurde. Diese Option ist ganz besonders nützlich, wenn Sie mit Makros arbeiten.

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: DialogFixedPosition = 0 oder 1


Markierungsgruppen sperren

Bei markierter Option Markierungsgruppen sperren hindert PC-DMIS die Benutzer daran, die aktuelle Konfiguration der Markierungsgruppeversehentlich zu löschen oder anderweitig zu ändern. PC-DMIS läßt dann die Ausführung und Aktivierung von Markierungsgruppen zu. Sie müssen dieses Kontrollkästchens deaktivieren, um Elemente in einer Markierungsgruppe hinzuzufügen oder daraus zu entfernen.


Größe automatisch anpassen

Bei Auswahl der Option Größe automatisch anpassen paßt PC-DMIS die Bildschirmgröße jedes Mal, wenn ein Element gemessen wird, automatisch an.

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: AutoScaleToFit =0 oder 1


Show Hit Deviations

Meßpunkt-Abweichungen einblenden

Bei markierter Option Meßpunkt-Abweichungen einblenden zeigt PC-DMIS jedes Mal, wenn ein Meßpunkt aufgenommen wird, einen Pfeil an, der den Meßwert abzüglich der Nennabweichung anzeigt.


Bei runden Elementen Kreisbewegungen verwenden

Wenn das Kontrollkästchen Bei runden Elementen Kreisbewegungen verwenden markiert ist und Sie ein Werkstückprogramm "erlernen", indem Sie Meßpunkte am Werkstück aufnehmen, setzt PC-DMIS automatisch Kreisbewegungsbefehle innen in die kreisförmigen Elemente und außen um diese herum. Dies gilt für Kreise, Zylinder, Kegel und Kugeln. Dieser Status ist jedoch nur während des Lernmodus relevant. Wenn die Kreisbewegungsbefehle einmal in den Elementen vorhanden sind, verbleiben sie dort, bis sie direkt vom Benutzer entfernt werden.

Eintragszeile im PC-DMIS-Einstellungseditor für diese Option: UseCircularMoves = 0 oder 1


Stärke für Nur-Punkt-Modus-Punkte

Wenn Sie dieses Kontrollkästchen markieren, können Sie die Stärkefunktion auf Punkte anwenden, die mit dem Nur-Punkt-Modus erstellt wurden. Wurde dieses Kästchen markiert, steht auch das Feld Stärke im selben Dialogfeld zum Bearbeiten zur Verfügung. Sie können dann einen Wert für die Stärke eingeben und diesen Wert auf Punkte anwenden, die mit dem Nur-Punkt-Modus erstellt wurden.

Weitere Informationen hierzu finden Sie unter "Nur-Punkt-Modus" und "Stärke".


Feineinstellung der Ausrichtung zulassen

Wenn Sie die Option Feineinstellung der Ausrichtung zulassen bei Änderung der Ausrichtung wählen, fragt PC-DMIS an, ob es die nachstehenden Befehle durch die geänderte Ausrichtung aktualisieren soll.

Wenn Sie NEIN anklicken, generiert PC-DMIS das Programm neu und paßt die Abmessungen um den Versatz an. Auf diese Weise können Sie die Bezugselemente manipulieren und das Prüfprotokoll neu berechnen, ohne alle Elemente neu messen zu müssen. Wenn diese neue Option nicht markiert ist, lautet das Protokoll nach der Anpassung der Bezugselemente anders als vorher.


Für Elemente die durch CAD bereitgestellten IDs verwenden

Bei Auswahl der Option Für Elemente die durch CAD bereitgestellten IDs verwenden können Sie Element-IDs aus einer CAD-Datei importieren. Bei Auswahl dieser Option gibt PC-DMIS die vorgegebene CAD-ID automatisch in das Dialogfeld Auto Element ein, wenn das CAD-Element mit der linken Maustaste gewählt wird. Wenn Sie den Wert beibehalten, wird dem erstellten Element die vorgegebene ID zugeordnet.


Nennwerte während der Ausführung suchen

Bei Auswahl der Option Nennwerte während der Ausführung suchen werden sowohl für Oberflächen- als auch für Vektorpunkte neue Nennwerte während der Ausführung des Werkstückprogramms gesucht. Schlagen Sie zur Definition der von PC-DMIS verwendeten Toleranzwerte unter "Toleranz für Nennwertsuche bei Ausführung" nach Siehe auch "Toleranz für Nennwertsuche".


Ausführung bei Fehlschlagen der Elementsuche autom. fortsetzen.

Bei Auswahl der Option Ausführung bei Fehlschlagen der Elementsuche autom. fortsetzen kann die Ausführung eines Werkstücks automatisch fortgesetzt werden, sollte die Elementsuche bei Auswahl der Option "Element suchen" im Dialogfeld Auto Element fehlschlagen.

In Vorgängerversionen von PC-DMIS wurden Sie bei Fehlschlagen der Option "Element suchen" dazu aufgefordert, den Taster in die Mitte der Bohrung zu plazieren, um die Ausführung des Werkstückprogramms fortzusetzen. Wenn die Option Ausführung bei Fehlschlagen der Elementsuche autom. fortsetzen markiert ist, gibt PC-DMIS jedoch automatisch eine Fehlermeldung ins Protokoll aus und setzt die Ausführung des restlichen Werkstückprogramms fort.

Genauere Informationen zu Element suchen finden Sie unter "Kontrollkästchen 'Element suchen'" im Abschnitt "Erstellen von automatischen Elementen".


Startdialogfeld einblenden

Mit dem Kontrollkästchen Startdialogfeld einblenden können Sie festlegen, ob PC-DMIS bei jedem Start des Programms das Dialogfeld Datei öffnen anzeigen soll. Dieses Dialogfeld zeigt eine Liste verfügbarer Werkstückprogramme, die geöffnet werden können.

Wenn Sie die Auswahl dieses Kontrollkästchens aufheben, deaktiviert PC-DMIS das Dialogfeld "Datei öffnen".

Weitere Informationen zum Dialogfeld Datei öffnen finden Sie unter "Öffnen vorhandener Werkstückprogramme" im Abschnitt "Verwenden von grundlegenden Dateioptionen".


Etiketten autom. positionieren

Das Kontrollkästchen Etiketten autom. positionieren weist PC-DMIS an, automatisch Element-Etiketten um das Werkstück herum zu positionieren.


Taster im Programmodus animieren

Mit dem Kontrollkästchen Taster im Programmodus animieren wird die Tasteranimation im Programmodus aktiviert. Bei Auswahl dieses Kontrollkästchens animiert der Taster die Aufnahme von Meßpunkten im Grafikfenster, während die Meßpunkte vom CAD generiert werden.


Symbol in Textfeldern einblenden

Mit dem Kontrollkästchen Symbol in Textfeldern einblenden können Sie bestimmen, ob Symbole, durch die der Element- oder Merkmalstyp dargestellt werden, in Textfeldern oder innerhalb von Element-ID-Etiketten angezeigt werden sollen. Es gibt Textfelder für Element-IDs, Merkmal- und Punkt-Infos.

Weitere Informationen zu Textfeldern finden Sie unter "Textfeldmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".


CAD bei 3D-Rotation durchstoßen

Mit dem Kontrollkästchen CAD bei 3D-Rotation durchstoßen können Sie den genauen Punkt bestimmen, um den herum PC-DMIS eine 3D-Rotation durchführt, indem Sie einfach mit der rechten Maustaste in das Grafikfenster klicken.

  • Wenn Sie dieses Kontrollkästchen aktivieren und durch Klicken der rechten Maustaste im Grafikfenster eine 3D-Rotation durchführen, erfolgt die Rotation um den angeklickten Punkt.
  • Wird bei deaktivierten Kontrollkästchen zur Durchführung einer 3D-Rotation mit der rechten Maustaste geklickt, dann wird das CAD nicht durchstoßen.

Hinweis: Ermittelt PC-DMIS in der Nähe des Mauszeigers jedoch ein Drahtmodellelement oder eine Oberflächenkante, erfolgt die Rotation wie üblich um den Punkt auf dem Element oder der Kante, der am nächsten zum Mauszeiger liegt.

Informationen zur 3D-Rotation finden Sie unter "3D-Rotationsmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".


Werkstückprogramm nach dem Ausführen speichern

Über das Kontrollkästchen Werkstückprogramm nach dem Ausführen speichern wird PC-DMIS angewiesen, das Werkstückprogramm bei der Ausführung automatisch zu speichern.


DMIS-Schaltfläche im Bearbeitungsfenster verwenden

Über das Kontrollkästchen DMIS-Schaltfläche im Bearbeitungsfenster verwenden wird bestimmt, ob das Symbol DMIS-Modus auf der Symbolleiste des Bearbeitungsfensters angezeigt wird oder nicht.


Flächenscans behalten das letzte Inkrement bei

Das Kontrollkästchen Flächenscans behalten das letzte Inkrement bei erzwingt, daß jede neue Zeile des Flächenscans das letzte Inkrement aus der vorhergehenden Zeile verwendet. Deaktivieren Sie dieses Kontrollkästchen, kehrt der Scan zum kleinsten Scan-Inkrement zurück, wenn der erste Meßpunkt in einer neuen Zeile aufgenommen wird.


Buchstaben für Automobil-Abweichungen verwenden

Das Kontrollkästchen Buchstaben für Automobil-Abweichungen verwenden bewirkt, daß PC-DMIS einen Buchstaben an die Abweichungsnummer in den Merkmalsprotokollen Lage und Position anhängt. PC-DMIS fügt die folgenden Buchstaben hinzu:

  • F, wenn das Element in Richtung Vorderseite des Autos abweicht.
  • B, wenn das Element in Richtung Rückseite des Autos abweicht.
  • I, wenn das Element in Richtung Mittellinie des Autos abweicht (Auto ist zu schmal).
  • O, wenn das Element entgegen der Mittellinie des Autos abweicht (Auto ist zu breit).
  • H, wenn das Element in Richtung Oberseite des Autos abweicht.
  • L, wenn das Element in Richtung Unterseite des Autos abweicht.

Diese Buchstaben werden bei den Merkmalen "Lage" und "Position" an die protokollierten Abweichungsnummern angehängt.


Nennwert suchen und ändern bei Scans

Durch die Aktivierung des Kontrollkästchens Nennwert suchen und ändern bei Scans können Sie die bei der Suche nach Nennwerten für die Meßpunkte eines Scans vorgefundenen Nennwerte während der Ausführung ändern.

Hinweis: Bei der Ausführung muß mindestens einer der gemessenen Nennwerte der Punkte erfolglos gesucht worden sein, damit die gefundenen Nennwerte abgelehnt werden können.

(Informationen hierzu finden Sie unter "Ändern gefundener Nennwerte" im Abschnitt "Bearbeiten eines Werkstückprogramms".)


NUR Prioritäts-Oberflächen für die Nennwertsuche bei Scans verwenden

Durch die Aktivierung des Kontrollkästchens NUR Prioritäts-Oberflächen für die Nennwertsuche bei Scans verwenden wird PC-DMIS (während der Programmausführung) aufgefordert, die Nennwertsuche für die Meßpunkte eines Scans nur auf den Prioritäts-Oberflächen, die im Dialogfeld CAD-Elemente bearbeiten definiert wurden, durchzuführen.

Siehe auch "CAD bearbeiten+" im Abschnitt "Bearbeiten der CAD-Anzeige".


Ebenenkontur anzeigen

Mit dem Kontrollkästchen Ebenenkontur anzeigen wird festgelegt, ob PC-DMIS anstelle des üblicherweise verwendeten kleinen Dreiecksymbols die tatsächlichen Ebenenkonturen im Grafikfenster darstellen soll oder nicht.

Wenn Sie dieses Kontrollkästchen aktiviert und drei Punkte zur Bildung einer Ebene gemessen haben, wird beispielsweise die Größe des Dreiecks, das die Ebene symbolisiert, so geändert, daß dessen Spitzen genau auf den gemessenen Punkten liegen.

Hinweis: Unabhängig davon, ob Sie dieses Kontrollkästchen aktivieren oder deaktivieren, werden vorhandene Konturen nicht neu gezeichnet; es gilt nur für Ebenen, die von diesem Punkt an erstellt worden sind. Vorhandene Ebenen müssen manuell geändert werden.

So ändern Sie die Anzeige vorhandener Ebenen:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Versetzen Sie PC-DMIS in den Befehlsmodus.
  3. Wählen Sie die Einstellung für die Ebenenanzeige aus, die geändert werden soll. Beispiel:
    EBENE1 = ELEMENT/EBENE, KART, DREIECK
  4. Drücken Sie die TABULATORTASTE, bis das Feld DREIECK oder UMRISS hervorgehoben wird.
  5. Schalten Sie mit der Taste F7 oder F8 zwischen den verfügbaren Werten für dieses Feld hin und her.
    • Mit DREIECK wird das kleine symbolische Dreieck für die Ebene angezeigt.
    • Mit KONTUR wird die tatsächliche Kontur der die Ebene bildenden Punkte angezeigt.
  6. Drücken Sie die TABULATORTASTE, um das Ergebnis im Grafikfenster anzuzeigen.


Theoretische Werte so behandeln, als wären sie in den WerkstückkoordinatenGlossPartCoordinates.gespeichert.

Nennwerte so behandeln, als wären sie in Werkstückkoordinaten. gespeichert

Durch die Aktivierung des Kontrollkästchens Nennwerte so behandeln, als wären sie in den Werkstückkoordinaten gespeichert, werden theoretische Werte von PC-DMIS so behandelt, als wären sie in den Werkstückkoordinaten gespeichert. Dies ist nur dann hilfreich, wenn Programmablauf-Verzweigungen im Falle geänderter Ausrichtungen ausgeführt werden.

Bei der Ausführung eines Werkstückprogramms erinnert PC-DMIS das KMG, die Werkstückausrichtung zur ursprünglichen Ausrichtung vorzunehmen. Erfolgt allerdings eine Verzweigung zu einer neuen Ausrichtung, ermittelt PC-DMIS den Unterschied zwischen den Ausrichtungen und aktualisiert die Elemente so, daß sie um diesen Versatz verschoben werden.


Bearbeitungsfelder auf der Registerkarte "Allgemein"

Über die Bearbeitungsfelder auf der Registerkarte Allgemein können Sie folgende Optionen bearbeiten:

Siehe auch:

Maßstab

Zeit zwischen autom. Speichern (in Min)

Toleranz für Nennwertsuche

Abweichungstoleranz einblenden

Multiplikator für Abweichungspfeil

Stärke

Toleranz für Nennwertsuche bei Ausführung


Maßstab

Die Option Maßstab vergrößert oder verkleinert die Meßdaten um den jeweils angegebenen Faktor. Wenn ein Kreis mit einem Durchmesser von 1,0 cm gemessen wird, und der Maßstab 0,95 beträgt, dann werden 0,95 cm als gemessener Wert angegeben.


Zeit zwischen AutoSpeichern (in Min)

Zeit zwischen autom. Speichern (in Min)

Im Feld Zeit zwischen autom. Speichern (in Min.) können Sie angeben, in welchen Zeitabständen (in Minuten) PC-DMIS das Werkstückprogramm automatisch speichern soll. Der zulässige Mindestwert für dieses Feld lautet eins (1). Das Feld Zeit zwischen autom. Speichern (in Min.) ist nur dann verfügbar, wenn Sie das Kontrollkästchen Automatische Speicherung der Datei markiert haben.


Toleranz für Nennwertsuche

Dieses Feld ist nur dann verfügbar, wenn Sie das Kontrollkästchen Nennwerte suchen markiert haben. Informationen hierzu finden Sie unter "Nennwertsuche".

Im Feld Toleranz für Nennwertsuche können Sie die Toleranzwerte angeben, die PC-DMIS bei der Suche nach Nennwerten verwenden soll. Sie müssen einen Wert eingeben, der größer als der Radius der Tasterkugel ist. Andernfalls schlägt die Nennwertsuche fehl.


Abweichungstoleranz einblenden

Im Feld Abweichungstoleranz einblenden können Sie die Toleranzwerte angeben, die PC-DMIS bei der Anzeige von Meßpunktabweichungen verwenden soll. Diese Option ist nur verfügbar, wenn Sie das Kontrollkästchen Meßpunkt-Abweichungen einblenden markiert haben.


Multiplikator für Abweichungspfeil

Die Option Multiplikator für Abweichungspfeil ist nur verfügbar, wenn Sie das Kontrollkästchen Meßpunkt-Abweichungen einblenden markiert haben. Im Grafikfenster wird ein Pfeil eingeblendet, der jeden aufgenommenen Meßpunkt markiert und die Abweichung angibt. Je größer der Wert, der in dieses Feld eingegeben wird, desto größer der Pfeil.


Voreinstellungen - Bearbeitungsfelder auf der Registerkarte "Allgemein" - Stärke

Stärke

Die Option Stärke wird in Verbindung mit dem Kontrollkästchen Stärke für Nur-Punkt-Modus-Punkte eingesetzt. Ist das Kontrollkästchen Stärke für Nur-Punkt-Modus-Punkte markiert, wird die in diesem Feld eingegebene Stärke auf jeden Punkt angewendet, der im Nur-Punkt-Modus erstellt wird.

Weitere Informationen finden Sie unter "Nur-Punkt-Modus" und "Stärke für Nur-Punkt-Modus-Punkte".


Toleranz für Nennwertsuche bei Ausführung

Durch Aktivieren des Kontrollkästchens Toleranz für Nennwertsuche bei Ausführung ist es möglich, den Toleranzwert einzugeben, den PC-DMIS bei der Suche nach Nennwerten während der Werkstückprogrammausführung verwenden soll. Dieses Kontrollkästchen ist nur verfügbar, wenn das Kontrollkästchen Nennwerte während der Ausführung suchen aktiviert ist.

Siehe Nennwerte während der Ausführung suchen.


Setup-Optionen : Registerkarte "Werkstück/KMG"

Home Contents Previous Next

Setup-Optionen: Registerkarte "Werkstück/KMG"

Display Menu Roadmap

Adjust Help Default Cancel OK Table Avoidance Auto Position Apply Z Offset Y Offset X Offset CAD Z+ Axis Equals... CAD Y+ Axis Equals... CAD X+ Axis Equals... Top Speed Display absolute Speed Manual Hit Retract Wrist Warning Delta Fly Mode Probe Head Orientation Hotspot 5 Hotspot 4 Hotspot 3 Hotspot 2 General

Auf der Registerkarte Werkstück/KMG können Sie die Werkstück-Einrichtung auf dem KMG (oder des Geräts) definieren, indem Sie die Relation der CAD-Achsen zu den Maschinenachsen ändern. Diese Option wird aufgerufen, indem Sie auf die Registerkarte Werkstück/KMG des Dialogfeldes Setup-Optionen klicken.

Diese Funktion wird dann benötigt, wenn ein Programm mit PC-DMIS erstellt wird und das CAD-Koordinatensystem von der Einrichtung des KMG-Werkstücks abweicht.

Beispiel: Ein Werkstück wird auf dem Gerät eingerichtet und seine X+-CAD-Achse weist in dieselbe Richtung wie die Z+-Achse des KMGs. Die Z+-CAD-Achse weist in dieselbe Richtung wie die X- Achse des KMGs. Diese Funktion kann zur Erstellung der korrekten Relationen eingesetzt werden.

Wenn Sie die CAD-Einrichtung an die Einrichtung des Werkstücks anpassen wollen, wählen Sie einfach die entsprechenden Achsen in den Auswahllistenfeldern. Nach Herstellen einer solchen Relation ist es einfacher, das Werkstück zu programmieren, da PC-DMIS den Taster im Verhältnis zum Werkstück richtig anzeigt.

Siehe auch:

Einbaulage des Tastkopfes

Fly-Modus

Delta-Mindestwert für Drehung

Rückzug n. manuellem Meßpunkt

Absol. Geschwind. anzeigen

Höchstgeschwindigkeit (mm/Sek.)

CAD X+ Achse=

CAD Y+ Achse=

CAD Z+ Achse=

X-Versatz

Y-Versatz

Z-Versatz

Schaltfläche "Einstellen"

Schaltfläche "Übernehmen"

Schaltfläche auto Positionierung

Tischvermeidung

Standardschaltfläche


Einbaulage des Tastkopfes

Mit der Schaltfläche Einbaulage des Tastkopfes können Sie die AB-Winkel des Tasterkopf-Wrists sowohl für den Master- als auch den Slave-Arm konfigurieren.

So konfigurieren Sie die AB-Wristwinkel für den Master- und Slave-Arm:

Display Menu Roadmap Öffnen Sie das Dialogfeld Setup-Optionen.

  2. Wählen Sie die Registerkarte Werkstück/KMG.
  3. Klicken Sie auf die Schaltfläche Einbaulage des Tastkopfes. Das Dialogfeld Konfiguration des Wristwinkels für die Tasterköpfe erscheint.
  4. Wählen Sie sowohl für den Master- als auch für den Slave-Arm (sofern erforderlich) die entsprechenden Achsen für die AB-Winkel.
  5. Klicken Sie auf die Schaltfläche OK.


FLY-Modus

Display Menu Roadmap Der FLY-Modus ermöglicht eine ununterbrochene, gleichmäßige Bewegung des Tasters um das Werkstück herum. Diese Option steht jedoch erst dann zur Verfügung, wenn ein Bewegungspunkt in das Werkstückprogramm eingefügt wurde. Um einen Bewegungspunkt einzufügen, sollten Sie sich vergewissern, daß das Bearbeitungsfenster aktiv ist, und dann im Hauptmenü die Option Bewegungspunkt auswählen. (Weitere Informationen hierzu finden Sie unter "Einfügen eines Bewegungspunktbefehls" im Abschnitt "Einfügen von Bewegungsbefehlen".) Der Befehl zum Aufruf des FLY-Modus kann nur vor oder nach einem Element in das Werkstückprogramm eingefügt werden.

So arbeiten Sie mit dem FLY-Modus:

  1. Gehen Sie mit dem Cursor zu der Stelle im Bearbeitungsfenster, an der der Befehl FLY stehen soll.
  2. Markieren Sie das Kontrollkästchen Aktiv.
  3. Geben Sie einen Radiuswert ein.
  4. Klicken Sie auf die Schaltfläche Erstellen.
  5. Der FLY-Modus wird automatisch an der angegebenen Stelle in das aktuelle Werkstückprogramm eingefügt. Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
FLY/TOG1,TOG2

TOG1
Dieses Umschaltfeld kann zwischen EIN und AUS umgeschaltet werden. Lautet die Einstellung EIN, dann wird der Befehl aktiviert. Lautet sie AUS, wird er übersprungen.

TOG2
Dieses Feld gibt den Wert für den Radius an.

Wenn Sie eine ungültige Position angegeben haben, wird Ihnen in einer Meldung mitgeteilt, daß in der aktuellen Zeile nichts eingefügt werden kann. PC-DMIS fragt dann, ob der Befehl an der nächstmöglichen Position eingefügt werden soll.

  • Wenn Sie die Frage mit Ja beantworten, wird der FLY-Befehl im Bearbeitungsfenster an das Ende des aktuellen Elements gesetzt.
  • Wenn Sie die Frage mit Nein beantworten, wird der FLY-Befehl deaktiviert, und Sie kehren zur Registerkarte Werkstück/KMG zurück.

Bei Ausführung des Werkstückprogramms bewegt PC-DMIS den Taster ohne Verzögerung um eine vorbestimmte Entfernung vom Bewegungspunkt fort. Diese Entfernung, um die der Taster versetzt wird, entspricht dem Wert, der in das Feld Radius eingegeben wurde.


Delta-Mindestwert für Wristdrehung

Hierbei handelt es sich um einen numerischen Wert, der angibt, um wieviel sich der Wristwinkel mindestens verändern muß, bevor PC-DMIS Sie auffordert, die aktuelle Wristposition zu ändern. Dies betrifft nur Benutzer, die ein CNC-KMG mit einem PH9-Gelenkwrist verwenden.


Rückzug n. manuellem Meßpunkt

Display Menu Roadmap Im Feld Rückzug n. manuellem Meßpunkt können Sie den Rückfahrweg angeben, den das KMG automatisch zurücklegt, nachdem ein manueller Meßpunkt aufgenommen wurde.

Wenn für Rückzug n. manuellem Meßpunkt ein anderer Wert als der Standardwert oder der zuletzt verwendete Wert verwendet wird, fügt PC-DMIS im Bearbeitungsfenster des aktuellen Werkstückprogramms an der Cursorposition einen Rückzugsbefehl ein (der als "MAN.RÜCKZUG/" mit darauffolgendem Wert dargestellt wird). Wenn manuelle Meßpunkte aufgenommen werden, wird das KMG um den neuen Wert zurückgefahren, der in diesem Befehl angegeben wird.

Wird der Wert für Rückzug n. manuellem Meßpunkt von der Standardeinstellung 0,1 in 0,003 geändert, erscheint der Befehl "MAN.RÜCKZUG/0,003" im Bearbeitungsfenster.


Absolute Geschwindigkeit anzeigen

Wenn die Option Absol. Geschwind. anzeigen aktiviert ist, zeigt PC-DMIS die Bewegungsgeschwindigkeit als Absolutwert und nicht als Prozentualwert an. Dieser Wert entspricht der für das Werkstückprogramm eingestellten Maßeinheit (Zoll oder Millimeter).


Höchstgeschwindigkeit (mm/Sek.)

Über das Feld Höchstgeschwindigkeit (mm/Sek.) können Sie die Höchstgeschwindigkeit für das KMG einstellen. Der hier angegebene Wert darf die maximale Nenngeschwindigkeit der Maschine nicht übersteigen. Der hier eingestellte Wert wird in Verbindung mit der Option Bewegungsgeschwindigkeit eingesetzt.


CAD X+ Achse=

Über die Auswahlliste CAD X+ Achse= können Sie die Relation zwischen der CAD X+-Achse und der Maschinenachse festlegen.

Diese Funktion wird dann benötigt, wenn ein Programm mit PC-DMIS erstellt wird und das CAD-Koordinatensystem von der Einrichtung des KMG-Werkstücks abweicht.


CAD Y+ Achse=

Über die Auswahlliste CAD Y+ Achse= können Sie die Relation zwischen der CAD Y+-Achse und der Maschinenachse festlegen.

Diese Funktion wird dann benötigt, wenn ein Programm mit PC-DMIS erstellt wird und das CAD-Koordinatensystem von der Einrichtung des KMG-Werkstücks abweicht.


CAD Z+ Achse=

Über die Auswahlliste können Sie die Relation zwischen der CAD Z+-Achse und der Maschinenachse festlegen.

Diese Funktion wird dann benötigt, wenn ein Programm mit PC-DMIS erstellt wird und das CAD-Koordinatensystem von der Einrichtung des KMG-Werkstücks abweicht.


X-Versatz

Im Feld X-Versatz können Sie festlegen, um welchen Abstand PC-DMIS die CAD-Zeichnung entlang der X-Achse versetzen soll. PC-DMIS versetzt die CAD-Zeichnung auf der X-Achse um den hier angegebenen Wert. Wenn Sie in dieses Feld beispielsweise 0,5 eingeben, wird die gesamte CAD-Anzeige im Grafikfenster um 0,5 in die X-Richtung versetzt.

Hinweis: Alle im Werkstückprogramm erstellten Elemente werden nicht zusammen mit der CAD-Zeichnung auf der Achse versetzt.


Y-Versatz

Im Feld Y-Versatz können Sie festlegen, um welchen Abstand PC-DMIS die CAD-Zeichnung entlang der Y-Achse versetzen soll. PC-DMIS versetzt die CAD-Zeichnung auf der Y-Achse um den hier angegebenen Wert. Wenn Sie in dieses Feld beispielsweise 0,5 eingeben, wird die gesamte CAD-Anzeige im Grafikfenster um 0,5 in die Y-Richtung versetzt.

Hinweis: Alle im Werkstückprogramm erstellten Elemente werden nicht zusammen mit der CAD-Zeichnung auf der Achse versetzt.


Z-Versatz

Im Feld Z-Versatz können Sie festlegen, um welchen Abstand PC-DMIS die CAD-Zeichnung entlang der Z-Achse versetzen soll. PC-DMIS versetzt die CAD-Zeichnung auf der Z-Achse um den hier angegebenen Wert. Wenn Sie in dieses Feld beispielsweise 0,5 eingeben, wird die gesamte CAD-Anzeige im Grafikfenster um 0,5 in die Z-Richtung versetzt.

Hinweis: Alle im Werkstückprogramm erstellten Elemente werden nicht zusammen mit der CAD-Zeichnung auf der Achse versetzt.


Schaltfläche "Anpassen"

Die Schaltfläche Anpassen öffnet das Dialogfeld Werkstück-Setup anpassen.

Mit Hilfe dieses Dialogfelds können Sie das CAD in Inkrementen um die XYZ-Achsen des Geräts rotieren oder daran entlang bewegen.

  • Wenn Sie das CAD rotieren, werden die Werte in Winkelgraden angegeben. Der Wert 360 hat dieselbe Auswirkung wie der Wert 0.
  • Wenn Sie das CAD bewegen, entsprechen die Werte der Maßeinheit des Werkstückprogramms. Der Wert 2 bedeutet in diesem Fall entsprechend der vom Werkstückprogramm verwendeten Maßeinheit entweder 2 Millimeter oder 2 Zoll.

So passen Sie das CAD entlang einer Achse oder um eine Achse herum an:

  1. Klicken Sie auf das entsprechende Feld.
  2. Geben Sie einen neuen Wert ein. PC-DMIS zeigt die Anpassung im Grafikfenster dynamisch an.
  3. Klicken Sie auf OK, um die Werte zu akzeptieren und das Dialogfeld zu schließen.

PC-DMIS behält diese Anpassung bei, es sei denn, Sie importieren das CAD-Modell des Werkstücks neu.


Schaltfläche "Übernehmen"

Bei Wahl der Schaltfläche Übernehmen werden alle Änderungen, die Sie in den Feldern X-, Y- oder Z-Versatz gemacht haben, sofort wirksam. Die Zeichnung wird auf der entsprechenden Achse (bzw. den entsprechenden Achsen) versetzt, das Dialogfeld bleibt geöffnet.


Schaltfläche "Auto Positionierung"

Mit Hilfe der Schaltfläche Auto Positionierung wird das Werkstück in der grafischen Darstellung der Maschine automatisch positioniert. Diese Option schätzt ab, wo das Werkstück in der grafischen Darstellung am besten zu positionieren ist. Sie können es PC-DMIS überlassen zu bestimmen, wo das Werkstück im Verhältnis zum KMG positioniert werden soll (indem Sie diese Funktion aufrufen), oder Sie können eine eigene Positionsangabe machen, indem Sie die Felder X-, Y- und Z-Versatz ausfüllen. (Weitere Informationen zum Einrichten der grafischen Darstellung des KMG finden Sie unter "Definieren von Maschinen" im Abschnitt "Definieren von Hardware".)


Tischvermeidung

Anhand des Bereichs Tischvermeidung der Registerkarte Werkstück/KMG kann PC-DMIS ersehen, ob der Taster während des CNC-Modus mit dem Tisch (oder der eingestellten Ebene) in Kontakt kommen wird.

Wählen Sie die Schaltfläche Messen. PC-DMIS fordert Sie auf, einen Meßpunkt an der Stelle aufzunehmen, an der die Tischoberfläche definiert werden soll. Diese Position legt den Schwellenwert für die Z-Achse fest. Das Feld "Toleranz" definiert, relativ zur eingestellten Ebene, eine Lage in der positiven Z-Richtung für positive Werte und eine Lage in der negativen Z-Richtung für negative Werte.

  • Wenn eine Bewegung über die angegebene Toleranz hinausgeht, zeigt PC-DMIS eine Fehlermeldung an, die auf die potentielle Gefahr hinweist.
  • Ist eine Wristdrehung erforderlich, die durch die definierte Zone hindurchgeht, zeigt PC-DMIS eine entsprechende Meldung an, die Sie über den Fehler informiert.

Klicken Sie auf Abbrechen bzw. Fortfahren, um den Vorgang abzubrechen bzw. zu beenden.

Beispiel: Ein Toleranzwert von 0,25 gibt PC-DMIS die Anweisung, den angegebenen Schwellenwert zuzüglich des Toleranzwerts zu vermeiden. Befindet sich die Schwelle auf der Tischoberfläche, gibt PC-DMIS eine Meldung aus, wenn die Tastspitze auf eine Entfernung von einem Millimeter (bzw. einem Viertel Zoll, je nach eingestellter Maßeinheit) an den Tisch herankommt.

Hinweis: Die Option "Tischvermeidung" ist nur in Verbindung mit bestimmten Schnittstellentypen und nur im CNC-Modus verfügbar.


Schaltfläche "Standard"

Über die Schaltfläche Standard können Sie die Standardeinstellungen mehrerer allgemeiner Einrichtungsparameter für das Werkstück/KMG ändern. Beim Erstellen eines neuen Werkstückprogramms werden die Änderungen an den dem Benutzer zugänglichen Parametern nur dann berücksichtigt, wenn vorher die Schaltfläche Standard gewählt wurde. Bei Auswahl von OK (ohne daß auf die Schaltfläche Standard geklickt wurde) gelten die definierten Parameter nur für das aktive Werkstückprogramm und wirken sich nicht auf die Registrierungseinträge von PC-DMIS aus. Die Standardwerte werden in der Registrierung abgelegt. Diese Parameter können im entsprechenden Dialogfeld oder im PC-DMIS-Einstellungseditor aktualisiert werden. Informationen hierzu finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Wenn Parameter geändert wurden und auf die Schaltfläche Standard geklickt wird, aktualisiert PC-DMIS die Registrierungsdatei und die neuen Einstellungen werden als Standardwerte übernommen.


Setup-Optionen : Registerkarte "Merkmal"

Home Contents Previous Next

Setup-Optionen: Registerkarte "Merkmal"

Display Menu Roadmap

Part / Machine Help Default Cancel OK Angle Degrees Display Angle Degrees Positive Reporting 0 - 5 Places Set Defaults Number of Decimal Places CAD Nominal Places Minus Tols Show Negative Features Use Dimension Colors Always Update Database Always Save Stats to File Multiply Auto Dimension Info Auto Graphical Analysis Auto Textual Analysis Auto Create Dimensions Auto Roundness NC-100 Setup Views ID Setup General

Auf der Registerkarte Merkmal können Sie die dimensionalen Parameter für Ausdruck einstellen.

So rufen Sie die Registerkarte Merkmal auf:

  1. Öffnen Sie das Dialogfeld Setup-Optionen.
  2. Klicken Sie auf die Registerkarte Merkmal.

Siehe auch:

Auto Rundheit

Auto Merkmale erstellen

Auto Textanalyse

Auto Grafikanalyse

Auto Merkmal-Info

Multiplizieren

Statistik immer in Datei speichern

Datenbank immer aktualisieren

Elemente in Merkmalfarben

Minus-Tol. negativ anzeigen

Anzahl der Dezimalstellen

Positives Reporting

Standardtoleranzen: Standardwerte setzen

Standardtoleranzen: 0-5 Stellen

CAD-Nominalstellen =

Winkelgrade anzeigen

Winkelgrade

Standardschaltfläche für Registerkarte "Merkmal"


Auto Rundheit

Über das Kontrollkästchen Auto Rundheit wird PC-DMIS angewiesen, automatisch ein neues Rundheitsmerkmal zu erstellen, wenn ein neuer Kreis, Zylinder, Kegel oder eine neue Kugel erstellt wird. Das neue Merkmal wird unmittelbar hinter dem Element im Bearbeitungsfenster angezeigt. Das Merkmal wird automatisch gelöscht, wenn das nächste Element gemessen wird, es sei denn, Sie aktivieren das Kontrollkästchen Abmessungen autom. speichern oder bearbeiten das Merkmal im Bearbeitungsfenster.


Auto Merkmale erstellen

Über das Kontrollkästchen Auto Merkmale erstellen wird PC-DMIS angewiesen, automatisch ein neues Merkmal bei jedem neuen Element zu erstellen. Dieses neue Merkmal wird dann hinter dem Element im Bearbeitungsfenster angezeigt. Bei dem Merkmal kann es sich entweder um ein Lage- oder Positionsmerkmal handeln, je nachdem, welcher Merkmalstyp zuletzt über das übliche Verfahren zur Auswahl von Merkmalen in einem "Merkmal"-Dialogfeld erstellt wurde.


Auto Textanalyse

Über das Kontrollkästchen Auto Textanalyse wird gesteuert, ob PC-DMIS automatisch eine Textanalyse des Merkmals erstellt oder nicht. Bei markiertem Kästchen ist die Option aktiviert (eingeschaltet).


Auto Grafikanalyse

Über das Kontrollkästchen Auto Grafikanalyse wird gesteuert, ob PC-DMIS automatisch eine Grafikanalyse des Merkmals, das mit der Option Auto Merkmale erstellen oder Auto Rundheit erstellt wurde, durchführen soll oder nicht Informationen hierzu finden Sie unter "Analyse-Einstellungen" im Abschnitt "Merkmale für Elemente erstellen" und unter "Analyse" im Abschnitt "Einfügen von Protokollbefehlen".


Auto Merkmal-Info

Über das Kontrollkästchen Auto Merkmal-Info wird gesteuert, ob PC-DMIS für ein Merkmal, das mit der Option Auto Merkmale erstellen oder Auto Rundheit erstellt wurde, automatisch das Kontrollkästchen Merkkmal-Info erstellt. Informationen zum Festlegen der Standardformate für die Merkmal-Info-Felder finden Sie unter "Einfügen von Merkmal-Info-Feldern" im Abschnitt "Einfügen von Protokollbefehlen".


Multiplizieren

Bei dem für Multiplizieren angegebenen Wert handelt es sich um den Skalierungsfaktor, um den der Abweichungspfeil und Toleranzbereich im Grafikanalysemodus vergrößert wird. Wird hier beispielsweise ein Wert von 2,0 eingegeben, vergrößert PC-DMIS den Pfeil auf das Doppelte des Grafikbildes.

Das Feld Multiplizieren ist nur zu Anzeigezwecken verfügbar und erscheint nicht im ausgedruckten Protokolltext.


Stat. immer in Datei speichern

Durch Auswahl des Kontrollkästchens Stat. immer in Datei speichern können Sie die Aufforderung zum Speichern der Statistikdaten umgehen, wenn die Ausführung eines Werkstückprogramms mit einem gültigen STAT/EIN-Befehl beginnt. Wenn diese Option aktiv (markiert) ist und das Werkstückprogramm zum Zeitpunkt der Ausführung einen STAT/EIN-Befehl enthält, werden die Statistikdaten automatisch in der Datei XSTATS11.tmp gespeichert Weitere Informationen hierzu finden Sie im Abschnitt "Nachverfolgen statistischer Daten".


Datenbank immer aktualisieren

Bei Wahl der Option Datenbank immer aktualisieren kann PC-DMIS Ihre statistische Datenbank-Software mit den Informationen in der Datei XSTATS11.tmp aktualisieren, ohne daß jedes Mal, wenn das Werkstückprogramm ausgeführt wird und Statistikdaten erfaßt und gespeichert werden, die Aufforderung zur sofortigen Aktualisierung der Datenbank erscheint. Ist diese Option nicht markiert, zeigt PC-DMIS diese Aufforderung jedes Mal an, bevor es die Datenbank-Software aktualisiert Weitere Informationen hierzu finden Sie im Abschnitt "Nachverfolgen statistischer Daten".


Elemente in Merkmalsfarben

Das Kontrollkästchen Elemente in Merkmalfarben weist PC-DMIS an, Elemente, die mit Merkmalen verknüpft sind, farblich zu kennzeichnen. Im Grafikfenster werden Elemente in denselben Farben gezeichnet, die vom dazugehörigen Merkmal dazu verwendet werden, Abweichungen von den theoretischen Werten anzuzeigen.


Minus-Tol. negativ anzeigen

Über das Kontrollkästchen Minus-Tol. negativ anzeigen können Sie festlegen, ob Minus-Toleranzen mit einem Minuszeichen angezeigt werden sollen. Wenn für das Merkmal beispielsweise 5,0000 +0,3 (obere Toleranz), -0,2 (untere Toleranz) angegeben wird, sieht die Merkmalszeile bei Markierung dieses Kontrollkästchens u. U. wie folgt aus:

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
Y | 5.0000 | 0.3000 | -0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Bei nicht markiertem Kontrollkästchen würde die gleiche Merkmalszeile wie folgt aussehen:

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
Y | 5.0000 | 0.3000 | 0.2000 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Diese Kontrollkästchen haben keinen Einfluß darauf, wie Werte gespeichert oder in Berechnungen verwendet werden. Es steuert lediglich die Anzeige von Werten gemäß den Benutzervorgaben. Dieses Kontrollkästchen ist standardmäßig nicht markiert.


Anzahl der Dezimalstellen

Display Menu Roadmap Über die Option Anzahl der Dezimalstellen wird die Anzahl der Dezimalstellen gesteuert, die PC-DMIS im Prüfprotokoll ausdruckt, wenn das System mit dem englischen Maßsystem (Zoll) arbeitet. Die zulässigen Einstellwerte sind eins bis fünf (1-5). Geben Sie durch Auswahl der gewünschten Option die Anzahl der auszudruckenden Dezimalstellen an.

Bei Einstellung des metrischen Maßsystems (mm) zeigt PC-DMIS null bis vier (0-4) Dezimalstellen als zulässige Einstellwerte an.

Jedes Mal, wenn diese Einstellung in einem Programm geändert wird, fügt PC-DMIS den Befehl ANZEIGEGENAUIGKEIT/ Zahl in das Werkstückprogramm ein. Damit wird die Genauigkeit angegeben, die in diesem Programmsegment angezeigt werden soll. Wenn Sie hier keine Angabe machen, wird automatisch die Standardeinstellung verwendet. Bei Anwendung dieses Befehls bleibt die Genauigkeitseinstellung so lange erhalten, bis sie durch eine weitere Instanz dieses Befehls geändert wird.


Positives Reporting

Display Menu Roadmap Die zum Bereich Positives Reporting gehörenden Kontrollkästchen bieten die Möglichkeit, Elemente links des Nullpunkts, die normalerweise einen negativen Wert hätten, mit positiven Werten auszudrucken.

  • Mit den Kontrollkästchen X, Y und Z wird bestimmt, auf welcher Achse (oder auf welchen Achsen) PC-DMIS positive Zahlen anzeigt.
  • Über die Option Alle Daten wird PC-DMIS angewiesen, die Meß- und Nennwerte der ausgewählten Achse (oder Achsen) als positive Zahlen anzuzeigen.
  • Über die Option Nur Abweichungen wird PC-DMIS angewiesen, nur die Abweichungen der ausgewählten Achse (oder der ausgewählten Achsen) als positive Zahlen anzuzeigen.

Bei Markieren dieser Kontrollkästchen wird der Befehl POSITIVESREPORTING an der aktuellen Cursorposition in das Werkstückprogramm eingefügt. Dieser Befehl wird im Bearbeitungsfenster im folgenden Format angezeigt:

POSITIVESREPORTING/ a, b, c, TOG1

wobei:

a = X wenn das Kontrollkästchen X gewählt ist, oder leer, wenn das Kontrollkästchens X deaktiviert ist.

b = Y, wenn das Kontrollkästchen Y gewählt ist, oder leer, wenn das Kontrollkästchens Y deaktiviert ist.

c = Z, wenn das Kontrollkästchen Z gewählt ist, oder leer, wenn die Auswahl des Kontrollkästchens Z aufgehoben ist.

TOG1 = ALLE_DATEN oder NUR_ABW, abhängig davon, ob die Option Alle Daten oder Nur Abweichungen markiert wurde.

Für die Richtungen X, Y und Z kann das positive Reporting in einer beliebigen Kombination dieser drei Richtungen aktiviert werden. In demselben Werkstückprogramm können mehrere POSITIVESREPORTING-Befehle verwendet werden. Alle Merkmale im Werkstückprogramm werden mit der Einstellung des POSITIVESREPORTING-Befehls angezeigt, der vor diesen Merkmalen steht. Ist im Werkstückprogramm kein POSITIVESREPORTING-Befehl vorhanden, ist diese Option für die Angabe aller Merkmale in den X-, Y- und Z-Richtungen deaktiviert.

Folgendes Diagramm veranschaulicht, wie sich die Optionen für das positive Reporting auch auf die Toleranzen auswirken:

Auswirkung des positiven Reportings auf Toleranzen

Zweck des positiven Reportings

Durch positives Reporting lassen sich Elemente auf symmetrische Weise protokollieren. Dies bedeutet, daß, egal auf welcher Seite des Nullpunkts sich das Element befindet, Abweichungen,

  • die vom Nullpunkt entfernt liegen, als positiv angesehen werden.
  • die Richtung Nullpunkt liegen, als negativ angesehen werden.

So zeigen Punkt1 und Punkt2 im Diagramm oben im Falle des positiven Reporting positive Abweichungen auf der X-Achse an. Dies bedeuted jedoch auch, daß:

  • Plustoleranzen vom Nullpunkt entfernt übernommen werden.
  • Minustoleranzen in Richtung Nullpunkt übernommen werden.


Standardtoleranzen: : Standardwerte einstellen

Standardtoleranzen: Standardwerte setzen

Über das Kontrollkästchen Standardwerte setzen werden die Standardtoleranzen während des Lernmodus eingestellt. Die Einstellung basiert auf der Genauigkeit der Nennwerte. Gegebenenfalls können diese Werte geändert werden. Geben Sie die Toleranzwerte dazu einzeln in dem Bereich "Standardtoleranzen" ein. Diese Option wirkt sich nur dann auf die Toleranzwerte aus, wenn der Nennwert eines Merkmals bearbeitet wird.


Standardtoleranzen: : 0-5 Stellen

Mit den Feldern des Bereichs Standardtoleranzen können Sie die Toleranzen festlegen, die PC-DMIS auf die Nennwerte anwendet. (Die angezeigte Zahl hat null bis fünf Stellen rechts vom Dezimalzeichen.) Wenn Sie beispielsweise einen Nennwert von 6,250 eingeben, stellt PC-DMIS die Plus- und Minus-Toleranzen im Bereich STANDARDTOLERANZ auf 3 Stellen. Geben Sie dagegen 6,25 ein, würde PC-DMIS die Plus- und Minus-Toleranzen im Bereich STANDARDTOLERANZ auf 2 Stellen einstellen.


CAD-Nominalstellen =

In das Feld CAD-Nominalstellen = können Sie einen numerischen Wert eingeben, der bestimmt, wie viele Dezimalstellen PC-DMIS bei der Verwendung von CAD-Daten berechnen soll, bevor gerundet wird. Ein Beispiel: Wenn ein CAD-Kreis einen Durchmesser von 3,9995 hat und dieser Wert auf 3 gesetzt ist, rundet PC-DMIS auf 4,000. Diese Option wirkt sich nur auf die Art und Weise aus, wie PC-DMIS CAD-Daten im BLECHMESSMODUS interpretiert. Ist dieser Wert auf 0 gesetzt, findet keine Rundung statt.


Winkelgrade anzeigen

Im Bereich Winkelgrade anzeigen können Sie Winkelmaße in Dezimalgraden oder Grad/Minute/Sekunde anzeigen. Wählen Sie einfach die gewünschte Option aus. Die Anzeige aller Achsen in PA-Lage und Winkelmaße wird der Einstellung entsprechend abgeändert.


Winkelgrade

Im Bereich Winkelgrade können Sie außerdem das Winkelmaß von 0° bis 360° oder von 0° bis +/- 180° anzeigen. Die Anzeige aller Achsen in PA-Lage und Winkelmaße wird so abgeändert, daß sie in den eingestellten Winkelgradbereich fällt.


Schaltfläche "Standard" auf der Registerkarte "Merkmal"

Über die Schaltfläche Standard können Sie die im Dialogfeld Setup-Optionen vorgenommenen Änderungen auf alle neuen Werkstückprogramme, die später erstellt werden, anwenden.

Außerdem lassen sich über diese Schaltfläche die Standardeinstellungen mehrerer Parameter für die Merkmalseinrichtung ändern. Beim Erstellen eines neuen Werkstückprogramms finden die Änderungen an den dem Benutzer zugänglichen Parametern nur dann Berücksichtigung, wenn vorher die Schaltfläche Standard gewählt wurde.

Weitere Informationen zur Schaltfläche Standard finden Sie unter "Standard" im Abschnitt "Navigation durch die Benutzeroberfläche".


Setup-Optionen : Registerkarte "ID-Setup"

Home Contents Previous Next

Setup-Optionen: Registerkarte ID-Setup

Display Menu Roadmap

Help Default Cancel OK Apply Display Brackets for Feature Arrays Label Length Starting Number Starting Letters Labeling Method Labels For General Part / Machine Dimension NC-100 Setup Views

Dialogfeld Setup-Optionen — Registerkarte ID-Setup

Über die Registerkarte ID -Setup können Sie das Format ändern, das zur Erkennung von Ausrichtungen, Merkmalen, Elementen, Kommentaren, Beschriftungen und Variablen verwendet wird.

So greifen Sie auf diese Option zu:

  1. Öffnen Sie das Dialogfeld Setup-Optionen.
  2. Klicken Sie auf die Registerkarte ID-Setup.

Die Standardoption für "ID-Setup" lautet Allgemein. Wenn ein Element erstellt wird, weist PC-DMIS ihm eine ID zu, die mit dem Buchstaben F beginnt, gefolgt von einer Nummer (die ausgehend von Nummer Eins aufsteigend durchnumeriert wird). Sie können diese Einstellung mit Hilfe der folgenden Optionen übergehen:

Siehe auch:

Beschriftung für

Beschriftungsmethode

Anfangsbuchstaben

Anfangsnummer

Länge der Beschriftung

Klammern für Element-Arrays anzeigen

Übernehmen

Standardeinstellungen


Beschriftung für

Im Auswahllistenfeld Beschriftung für können Sie bestimmen, welche Kennungen (IDs) für Ausrichtungen, Merkmale und Elemente verwendet werden sollen (siehe Beschriftungsmethode).

Ausrichtungs-IDs

Zur Kennzeichnung von Ausrichtungen steht nur die Methode Allgemein zur Verfügung.

Kommentar-IDs

Zur Kennzeichnung von Kommentaren steht nur die Methode Allgemein zur Verfügung.

Merkmals-IDs

Zur Kennzeichnung von Merkmalen steht entweder die Methode Allgemein oder Nach Typ zur Verfügung. Wird Nach Typ verwendet, können die Kennungen für die einzelnen Merkmalstypen gleich oder, je nach Erfordernis, unterschiedlich gestaltet werden.

Element-IDs

Zur Kennzeichnung von Elementen stehen die Methoden Allgemein und Nach Typ zur Verfügung.

Wird Nach Typ gewählt, kann auch die Farbe eingestellt werden, in der die Element-ID angezeigt wird.

Wenn das Kontrollkästchen Alle IDs einblenden aktiviert ist und Sie auf Übernehmen klicken, zeigt PC-DMIS im Grafikfenster die Beschriftung aller Element-IDs für alle Elemente von der aktuellen Cursorposition bis hin zum Ende des Werkstückprogramms an. Auch die ID neu ersteller Elemente wird eingeblendet. Ist das Kontrollkästchen deaktiviert, wenn Sie auf Übernehmen klicken, werden alle Element-IDs von der aktuellen Cursorposition bis hin zum Ende des Werkstückprogramms ausgeblendet. Neu erstellte Elemente werden weiterhin im Bearbeitungsfenster erzeugt, die ID-Beschriftung erscheint jedoch nicht im Grafikfenster.

Wird die Option Farbe gewählt (markiert), wirkt sich diese Einstellung auf alle Elemente aus, die nach Betätigung der Schaltfläche Übernehmen erstellt werden. (Elemente, die vor der Änderung der Farbeinstellung erstellt wurden, sind nicht betroffen.)

Etiketten-IDs

Zur Kennzeichnung von Etiketten steht nur die Methode Allgemein zur Verfügung.

Variablen-IDs

Zur Kennzeichnung von Variable n steht nur die Methode Allgemein zur Verfügung.

IDs für den Aufruf von Unterprogrammen

Zur Kennzeichnung von aufgerufenen Unterprogrammen steht nur die Methode Allgemein zur Verfügung.


Beschriftungsmethode

In dieser Auswahlliste können Sie zwischen dem Kennzeichnungssystem Nach Typ und Allgemein wählen.

Nach Typ

Mit der Option Nach Typ können Sie die Kennung für jeden einzelnen Elementtyp festlegen (Kreis, Kegel, Zylinder, Linie, Ebene, Punkt, Kugel).

Allgemein

Bei der Option Allgemein wird unabhängig vom Typ des Elements (bzw. der Merkmal) dasselbe Kennzeichnungssystem angewendet.

Es bestehen keine Einschränkungen hinsichtlich der Anzahl von Buchstaben, die zur Kennzeichnung verwendet werden können. Im Grafikfenster und im Editor gibt es jedoch Einschränkungen in bezug auf die Länge der IDs. Selbst wenn die vollständige ID nicht im Bearbeitungsfenster angezeigt wird, verfolgt PC-DMIS intern die komplette Kennung intern.


Anfangsbuchstaben

Im Feld Anfangsbuchstaben wird der erste Buchstabe (oder die ersten Buchstaben) angegeben, die für die Kennung verwendet werden sollen. PC-DMIS zeigt die ID immer in Großbuchstaben an. Sie können bis zu 15 Zeichen eingeben.

Hinweis: In verschiedenen Dialogfeldern, in denen die ID angezeigt wird, können Sie den Standardtext für die ID festlegen, indem Sie nur den Textteil der ID ändern.


Anfangsnummer

Im Feld Anfangsnummer wird festgelegt, welche Zahl als erste Nummer für die Kennung verwendet werden soll. Sie können hier eine beliebige Zahl zwischen 1 und 9999 angeben.

Hinweis: In verschiedenen Dialogfeldern, in denen die ID angezeigt wird, kann der Zähler auf eine beliebige Zahl zurückgesetzt werden, indem Sie nur den numerischen Teil der ID ändern.


Länge der Beschriftung

Mit dem Kontrollkästchen Länge der Beschriftung können Sie die Länge der ID bestimmen. Es können bis zu 15 Stellen eingegeben werden. Das Kontrollkästchen muß markiert sein, andernfalls ist diese Option nicht aktiv. Wird eine Länge eingestellt, füllt PC-DMIS die ID auf die erforderliche Länge auf, indem es Nullen an die Buchstaben anhängt.

Beispiel:
ID-Länge = 10, ID-Buchstaben = KREIS
PC-DMIS generiert die ID = KREIS0001 usw. Dies geschieht allerdings nur, wenn die Länge eingestellt wurde.


Klammern für Element-Arrays anzeigen

Über das Kontrollkästchen Klammern für Element-Arrays anzeigen können Sie festlegen, ob für mehr als einmal ausgeführte Befehle Array-Klammern mit IDs angezeigt werden sollen.

Bei Auswahl dieser Option zeigt das Prüfprotokoll an, auf welche Instanz der Befehlsausführung es sich jeweils bezieht.

Beispiel:
F1[3]=POINT MEASURED FROM 1 HIT

Zeigt an, daß das Element, E1, hier zum dritten Mal (Zahl 3 in Klammern) gemessen wurde.

Das Format des umklammerten Ausdrucks kann über das Array-Indizes-Objekt gesteuert werden. Informationen hierzu finden Sie unter "Array-Indexobjekt" im Abschnitt "Verwenden von Ausdrücken und Variablen".


Voreinstellungen - Setup-Optionen : Registerkarte "ID-Setup" - Übernehmen

Übernehmen

Über die Schaltfläche Übernehmen werden die unter "Beschriftungsmethode" erläuterten Änderungen für die Element-IDs übernommen. Diese Änderungen gelten nur für Element-IDs.

Wird die Schaltfläche Übernehmen nicht gewählt, weist PC-DMIS auch weiterhin Element-IDs zu, wobei es nach der zuvor aufgeführten Methode verfährt.

Hinweis: Bei der Zuweisung doppelter IDs wird PC-DMIS Ihnen mitteilen, daß jedes Element, jedes Merkmal etc. eine eindeutige ID haben muß.


Standardeinstellungen

Über die Schaltfläche Standard können Sie die Standardeinstellungen für alle ID-Setup-Parameter ändern. Beim Erstellen eines neuen Werkstückprogramm s werden die Änderungen an den Parametern nur dann berücksichtigt, wenn vorher die Schaltfläche Standard gewählt wurde.

Weitere Informationen zur Schaltfläche Standard finden Sie unter "Standard" im Abschnitt "Navigation durch die Benutzeroberfläche".

Hinweis: Wenn Sie Änderungen vorgenommen haben, müssen Sie die Schaltfläche Übernehmen wählen (bevor Sie OK oder Standard anklicken).


Setup-Optionen : Registerkarte "Ansichten"

Home Contents Previous Next

Setup-Optionen: Registerkarte "Ansichten"

Display Menu Roadmap

Minimized Maximized Normal Height Width Y Loc X Loc Normal Default Get Current Help Default Cancel OK Default Get Current Minimized Maximized Height Width Y Loc X Loc NC-100 Setup ID Setup Dimension Part / Machine General

Über die Registerkarte Ansichten können Sie PC-DMIS anweisen, für jedes Werkstückprogramm sowohl die Bildschirmposition als auch die Größe des Bearbeitungsfensters und des Grafikfensters zu speichern bzw. aufzurufen. Bei neuen Werkstückprogrammen speichert PC-DMIS auch die Standardposition und -größe der beiden Fensterarten auch in der .INI-Datei.

Die Registerkarte bietet über eine Reihe von Feldern und Schaltflächen die Möglichkeit, Informationen einzugeben oder zu ändern. Diese Felder werden im folgenden erläutert:

Siehe auch:

X-Pos.

Y-Pos.

Breite

Höhe

Normal

Maximiert

Minimiert

Aktuelle Werte

Standardschaltfläche

Eingeben von Position und Größe

Anpassen von Fensterposition und -größe durch Ziehen


X-Pos.

Im Feld X-Pos. wird die Position der gewünschten X-Achse des Fensters entlang der X-Achse des Bildschirms angegeben.


Y-Pos.

Im Feld Y-Pos. wird die Position der gewünschten Y-Achse des Fensters entlang der Y-Achse des Bildschirms angegeben.


Breite

Im Feld Breite wird die aktuelle Breite des gewünschten Fensters angezeigt.


Höhe

Im Feld Höhe wird die aktuelle Höhe des gewünschten Fensters angezeigt.


Normal

Über die Option Normal wird PC-DMIS angewiesen, das Fenster in seiner Normalgröße, d. h. weder maximiert noch minimiert, zu speichern.


Maximiert

Über die Option Maximiert wird PC-DMIS angewiesen, das Fenster als Vollbild (maximiert) zu speichern.


Minimiert

Über die Option Minimiert wird PC-DMIS angewiesen, das Fenster als Symbol (minimiert, wobei nur die Titelleiste des Fensters zu sehen ist) zu speichern.


Aktuelle Werte

Wenn Sie die Schaltfläche Aktuelle Werte anklicken, werden die X- und Y-Positionswerte sowie Höhe und Breite des Fensters in die entsprechenden Felder eingesetzt. Der aktuelle Status des Fensters geht auch aus den Optionsflächen Normal, Maximiert und Minimiert hervor.


Voreinstellungen - Setup-Optionen : Registerkarte "Ansichten" - Standard

Standard

Über die Schaltfläche Standard werden die Änderungen an Größe und Bildschirmposition des Bearbeitungsfensters bzw. des Grafikfensters in die .INI-Datei geschrieben. Alle neu erstellten Werkstückprogramme werden mit diesen neuen Standardeinstellungen für Größe und Bildschirmposition der Fenster gestartet.

Sie können die Größe und Bildschirmposition der Fenster entweder durch Eingabe der gewünschten Werte oder durch Ziehen der Fenster an die gewünschte Stelle und/oder auf die gewünschte Größe bestimmen.


Eingeben von Position und Größe

Display Menu Roadmap So speichern Sie die Fenstergröße und -position für Ihre Werkstückprogramme durch Eingabe der gewünschten Werte:

  1. Öffnen Sie das Dialogfeld Setup-Optionen.
  2. Öffnen Sie die Registerkarte Ansicht.
  3. Geben Sie in die Felder X-Pos. bzw. Y-Pos. die X- und Y-Werte der Fensterposition ein.
  4. Geben Sie in die Felder Breite bzw. Höhe die Fensterbreite und -höhe ein.
  5. Wählen Sie die gewünschte Option – Normal, Maximiert oder Minimiert – im Dialogfeld.
  6. Klicken Sie auf die Schaltfläche OK.


Anpassen von Fensterposition und -größe durch Ziehen

Display Menu Roadmap So bestimmen Sie die Fenstergröße und -position für ein Werkstückprogramm durch Ziehen des Fensters:

  1. Öffnen Sie das Dialogfeld Setup-Optionen.
  2. Öffnen Sie die Registerkarte Ansicht.
  3. Klicken Sie entweder auf das Bearbeitungsfenster oder auf das Grafikfenster.
  4. Ändern Sie die Position und Größe des Fensters wie erforderlich.
  5. Klicken Sie auf die Schaltfläche OK.

Hinweis: Die neuen Standardeinstellungen gelten nur für neu erstellte Werkstückprogramme. PC-DMIS speichert Größe, Bildschirmposition und Status (Normal, Minimiert, Maximiert) der beiden Fenster, wenn das Programm beendet wird. Wenn diese Programme dann neu gestartet werden, werden die Position und Größe der Fenster wieder so hergestellt, wie sie zum Zeitpunkt der Programmbeendigung bestanden. Einzige Ausnahme: Wenn derzeit ein Werkstückprogramm geöffnet und maximiert ist und ein zweites Programm geöffnet ist, dessen Grafikfenster zuletzt nicht maximiert war, dann wird auch dieses Fenster automatisch maximiert.


Setup-Optionen : Registerkarte "NC-100-Setup"

Home Contents Previous Next

Setup-Optionen: Registerkarte "NC-100-Setup"

Display Menu Roadmap

Help Default Cancel OK Dimension Part / Machine General Views ID Setup Computer Name Port Number TCPIP Address Use NC-100 Video Probe

Die Registerkarte NC-100 ermöglicht den Einsatz des Optiksensor s NC-100. Bei Auswahl des Kontrollkästchens NC-100-Optiksensor verwenden werden die Kontrollkästchen TCP/IP-Adresse, Portnummer und Computername verfügbar. Über diese Kontrollkästchen können Sie dem NC-100-Computersystem die gewünschten Kommunikationseinstellungen mitteilen. Diese Werte werden in den Registrierungseinstellungen gespeichert und bei jedem Start von PC-DMIS abgerufen. Informationen hierzu finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Informationen zum Erstellen von automatischen Elementen mit Hilfe des NC-100-Optiksensors finden Sie im Abschnitt "Auto-Elemente mit dem NC-100-Optiksensor messen".

Hinweis: Die Registerkarte NC-100 erscheint in PC-DMIS nur, wenn Ihre Anschlußsperre so programmiert ist, daß sie die CMT-Funktionalität akzeptieren kann.

Siehe auch:

NC-100-Optiksensor verwenden

TCP/IP-Adresse

Portnummer

Computername


NC-100-Optiksensor verwenden

Über das Kontrollkästchen NC-100-Optiksensor wird bestimmt, ob PC-DMIS den NC-100-Optiksensor einsetzt. Bei Auswahl dieses Kontrollkästchens geht PC-DMIS davon aus, daß der NC-100-Optiksensor aktiv ist.


TCP/IP-Adresse

Verwenden Sie das Kontrollkästchen TCP/IP-Adresse, um die Adresse für das NC-100-Computersystem eingeben. Dieser Wert ist für eine Kommunikation zwischen dem PC-DMIS-Computersystem und dem NC-100-Computersystem erforderlich.


Portnummer

Verwenden Sie das Kontrollkästchen Portnummer, um die Portnummer des NC-100-Computersystems einzugeben. Dieser Wert ist für eine Kommunikation zwischen dem PC-DMIS-Computersystem und dem NC-100-Computersystem erforderlich.


Computername

Verwenden Sie das Kontrollkästchen Computername, um den Namen des NC-100-Computersystems einzugeben. Dieser Wert ist für eine Kommunikation zwischen dem PC-DMIS-Computersystem und dem NC-100-Computersystem erforderlich.


Ändern der Protokoll- und Bewegungsparameter

Display Menu Roadmap Mit der Menüoption Parameter können Sie Inhalt, Form und Methode der in den Protokollen verwendeten Berechnungen ändern. Außerdem lassen sich damit die KMG-Bewegungsparameter eines CNC-KMGs modifizieren. Diese Menüoption öffnet das Dialogfeld Parametereinstellungen. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)

Sie können jedoch nicht nur auf das Dialogfeld Parametereinstellungen zugreifen, sondern auch die Befehle aus diesem Dialogfeld direkt in das Werkstückprogramm einfügen, indem Sie diese im Untermenü Einfügen | Parameteränderung auswählen.

Siehe auch:

Parametereinstellungen: Registerkarte Merkmal

Parametereinstellungen: Registerkarte Sicherheitsebene

Parametereinstellungen: Registerkarte Kompensation

Parametereinstellungen: Registerkarte Bewegung

Parametereinstellungen: Registerkarte Drehtisch

Parametereinstellungen: Registerkarte Beschleunigung

Parametereinstellungen: Registerkarte Analoger Taster

Parametereinstellungen: Registerkarte Taster-Trigger Optionen

Parametereinstellungen: Registerkarte NC-100-Parameter

Parametereinstellungen: Registerkarte I/O-Kanäle


Parametereinstellungen: : Registerkarte "Merkmal"

Home Contents Previous Next

Parametereinstellungen: Registerkarte "Merkmal"

Help Apply Cancel OK Clear Recall Default 132 Column Printout Standard Deviation Deviation Symbols Dimension Headings Dimension Options Dimension Text Dimension Output Format I / O Channels NC-100 Parameters Probe Trigger Options Optional Probe Acceleration RoTable Motion Probing ClearPlane

Display Menu Roadmap Auf der Registerkarte Merkmal können Sie das Format der Merkmalsausgabe verändern. Sie können damit außerdem das Erscheinungsbild des ausgedruckten Protokolls gestalten.

So rufen Sie die Registerkarte Merkmal auf:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen.
  2. Klicken Sie auf die Registerkarte Merkmal.

Siehe auch:

Ausgabeformat Merkmal

Merkmaltext

Merkmaloptionen

Merkmalüberschrift

Abweichungssymbole

Standardabweichung

132-Spaltenausdruck


Ausgabeformat Merkmal

Über diesen Befehl wird das Merkmalsausgabeformat von PC-DMIS gesteuert. Wenn Sie das Format ändern möchten, wählen Sie das (die) entsprechende(n) Format-Kontrollkästchen.

Verfügbare Formate: | Beschreibung
Nennwert | Zeigt den Nennwert aller Merkmale an.
Toleranz | Zeigt die Toleranzwerte aller Merkmale an.
Meßwert | Zeigt den Meßwert aller Merkmale an.
Min/Max | Zeigt die Min.- und Max.-Werte aller Merkmale an.
Abweichung | Zeigt den Wert der Abweichung aller Merkmale an.
Außerhalb des Toleranzbereichs | Zeigt den Wert außerhalb des Toleranzbereichs aller Merkmale an.
Abweichungswinkel | Zeigt den Abweichungswinkel aller Positionsmerkmale an.

PC-DMIS verwendet für die Kästchentoleranzauswahl und die Positionstoleranzauswahl dasselbe Druckformat, obwohl die Spalten aufgrund der zusätzlichen Spalten für die Positionsmerkmale unterschiedlich aussehen.

Beispiel: Wenn eine Toleranzauswahl für den Abstand zwischen zwei Linien vorgenommen wird und das Kontrollkästchen Max/Min markiert ist, berechnet PC-DMIS den Abstand zwischen den beiden Punkten, die am weitesten auseinander liegen oder den beiden Punkten, die am nächsten beieinander liegen. Dann wählt es den schlechteren der beiden Fälle (die größte Abweichung vom Toleranzwert). Ist das Kontrollkästchen Max/Min nicht markiert, berechnet PC-DMIS das Merkmal ohne Anzeige des Maximal- oder Minimalwerts.

PC-DMIS zeigt die Reihenfolge der Ausgabe durch eine Zahl rechts neben dem Kontrollkästchen an. Damit läßt sich Reihenfolge des Formats an Ihre spezifischen Erfordernisse anpassen. Sie können die Markierung aus einem Kontrollkästchen entfernen, indem Sie es einfach noch einmal anklicken.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

FORMAT/TEXT,OPTIONEN,ÜBERSCHRIFTEN,SYMBOLE, SDABW; "MERKMALSAUSGABE"

MERKMALSAUSGABE = Das Ausgabeformat basiert auf der Auswahlreihenfolge. Als Standardausgabe wird der gesamte ausgewählte Bereich in der angegebenen Reihenfolge angezeigt.


Merkmalstext

Anhand des Kontrollkästchens Merkmalstext können Sie festlegen, ob der Merkmalstext im Bearbeitungsfenster für Merkmale angezeigt wird, die auf diesen Befehl folgen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

FORMAT/TEXT, , , , ;NENNW,TOL,MESS,MAXMIN,ABW,A_TOL, ABWWINKEL

Eine Beschreibung der Optionen in diesem Befehl finden Sie unter "Merkmalsausgabeformat".


Setting Your Preferences - Parameter Settings : Dimension tab - Dimension Options

Merkmalsoptionen

Über das Kontrollkästchens Merkmalsoptionen können Sie steuern, ob die Merkmalsoptionen im Bearbeitungsfenster für alle Merkmale angezeigt wird, die auf diesen Befehl folgen.

Zu diesen Optionen gehören:

  • Einheiten (Informationen hierzu finden Sie unter "Einheiten" im Abschnitt "Merkmale für Elemente erstellen".)
  • Grafikanalyse (Informationen hierzu finden Sie unter "Analyse-Einstellungen" im Abschnitt "Merkmale für Elemente erstellen".)
  • Textanalyse (Informationen hierzu finden Sie unter "Analyse-Einstellungen" im Abschnitt "Merkmale für Elemente erstellen".)
  • Pfeilmultiplikator (Informationen hierzu finden Sie unter "Analyse-Einstellungen" im Abschnitt "Merkmale für Elemente erstellen".)
  • Ausgabeoptionen (Informationen hierzu finden Sie unter "Analyse-Einstellungen" im Abschnitt "Merkmale für Elemente erstellen".)

Die für diese Option im Bearbeitungsfenster angezeigte Befehlszeile lautet:

FORMAT/OPTIONEN, , , , ;NENNW,TOL,MESS,MAXMIN,ABW,AUSSER_TOL


Merkmalsüberschriften

Über das Kontrollkästchen Merkmalsüberschriften werden die Spaltenüberschriften im Prüfprotokoll gesteuert. Wenn es nicht markiert ist, druckt PC-DMIS keine Merkmalsüberschriften aus.


Abweichungssymbole

Über das Kontrollkästchen Abweichungssymbol läßt sich die Abweichung innerhalb des eingestellten Bereichs anzeigen. Ist der außerhalb der Toleranzwerte liegende Bereich groß, zeigt PC-DMIS die Abweichung durch ein rechts in der Zeile stehendes "Größer als"-Symbol (>) an. Ist der außerhalb der Toleranzwerte liegende Bereich klein, zeigt PC-DMIS die Abweichung durch das Symbol "kleiner als" (<) an.

Beispiel:
Nennwert = 0,00
Meßwert = 0,02
Positive Toleranz = 0,10
Negative Toleranz = 0,20
Gesamttoleranzbereich = (0,10 - (-0,20)) = 0,30
Prozentsatz = 100*(0,02 - (0,20))/0,03 = 73,3 %
- - - - - - # - - berücksichtigt den %-Wert und wird auf der Basis des prozentualen Werts verlagert

MERK D1= LAGE VON KREIS F5 GRAFIK=AUS TEXT=AUS MULT=1,00

ACH | NENNW | OTOL | UTOL | MESS | ABW | AUSSER_TOL |
x | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | ----#----
y | 2.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | ----#----
z | -0.2500 | 0.0100 | 0.0100 | -0.2500 | 0.0000 | 0.0000 | ----#----
d | 2.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 |
v | i | j | k |  |  |

ENDE VON MERKMAL D1


Standardabweichung

Über das Kontrollkästchen Standardabweichung wird die Standardabweichung der Elemente angezeigt.


132-Spaltenausdruck

Display Menu Roadmap Über das Kontrollkästchen 132-Spaltenausdruck wird das Druckformat der Elementlagen im Prüfprotokoll gesteuert. Wenn es markiert ist, druckt PC-DMIS alle Elementlagen in einem 132 Spalten umfassenden Format aus.

Die 132 Spalten dieses Ausdruckformats werden im folgenden näher erläutert:

Spalte 1 bis 10:X-Nennwert
Spalte 11 bis 20:X-Meßwert
Spalte 21 bis 28:X-Abweichung
Spalte 31 bis 40:Y-Nennwert
Spalte 41 bis 50:Y-Meßwert
Spalte 51 bis 58:Y-Abweichung
Spalte 61 bis 70:Z-Nennwert
Spalte 71 bis 80:Z-Meßwert
Spalte 81 bis 88:Z-Abweichung
Spalte 91 bis 100:T-Fehler (Fehler vertikal zur Oberfläche)
Spalte 101 bis 101:Kennzeichen für außerhalb des Toleranzbereichs liegende Werte "*"
Spalte 104 bis 105:Elementtyp
Spalte 108 bis 117:Element-ID
Spalte 118 bis 127:Gemessener Durchmesser (sofern zutreffend)

Hinweis: Das 132-Spaltenformat gilt nur für Merkmale des Typs LAGE. Alle anderen Merkmale (wie ABSTAND, ZWISCHENWINKEL usw.) werden im normalen Format ausgedruckt.


Parametereinstellungen: : Registerkarte "Sicherheitsebene"

Display Menu Roadmap

clrpln Hotspot 16 Hotspot 15 Hotspot 14 OK Clearance Planes Active Pass Through Plane Active Plane I/0 Channels Probe Trigger Options Optional Probe Acceleration Rotate Table Motion Probing Dimension NC-100 Parameters Die Registerkarte Sicherheitsebene bietet ein Kontrollkästchen zur Steuerung des Einsatzes von Sicherheitsebenen. Mit dieser Option läßt sich die Programmierzeit verkürzen, da weniger Zwischenbewegungen programmiert werden müssen. Durch Sicherheitsebenen wird eine Art "Schutzhülle" um das Werkstück gebildet, in der sich der Taster bewegen kann, wenn er von einem Element zum anderen vorrückt. PC-DMIS bewegt den Taster um einen bestimmten Abstand vom Werkstück fort. Dieser Abstand ist relativ zum Koordinatensystem, in dem er definiert wurde. Nachdem der letzte Meßpunkt auf dem Element gemessen wurde, verbleibt der Taster auf Tastertiefe, bis er zum nächsten Element geschickt wird.

So geben Sie einen SICHEBENE-Befehl ein:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen.
  2. Klicken Sie auf die Registerkarte Sicherheitsebene.
  3. Wählen Sie im Auswahllistenfeld Achse die Achse für die aktive Ebene.
  4. Geben Sie in das Feld Wert den Sicherheitsabstand zum Werkstück ein.
  5. Wählen Sie im Auswahllistenfeld Achse die Achse für die Durchgangsebene.
  6. Geben Sie in das Feld Wert den Abstand der Durchgangsebene ein.
  7. Markieren Sie das Kontrollkästchen Sicherheitsebenen aktiv (EIN).
  8. Klicken Sie auf Übernehmen.
  9. Klicken Sie auf die Schaltfläche OK.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
SICHEBENE/AKTIVE_EBENE, .n, DURCHGANGSEBENE, .n

Siehe auch:

Aktive Ebene

Durchgangsebene

Sicherheitsebene Aktiv

Sicherheitsebenen: Hinweise


Voreinstellungen - Parametereinstellungen : Registerkarte "Sicherheitsebene" - Aktive Ebene

Aktive Ebene

In diesem Teil des Dialogfelds können Sie angeben, auf welcher Ebene sich das Element befindet, wenn es gemessen wird. Die Aktive Ebene wird auch in der Auswahlliste Anzeige auf der Symbolleiste eingeblendet.

Mit PC-DMIS können Sie einen numerischen Wert für die aktive Hauptebene (X Plus, X Minus, Y Plus, Y Minus, Z Plus und Z Minus) definieren. Das gewählte aktive Fenster wird in der Richtung X, Y, Z PLUS oder X, Y, Z MINUS im Bearbeitungsfenster angezeigt. Wenn Sie eine Sicherheitsebene definieren möchten, klicken Sie zunächst im Dropdown-Menü auf die Aktive Ebene und wählen Sie dann die gewünschte Ebene, die geändert werden soll. Geben Sie dann in das Feld Wert einen neuen Wert ein.


Durchgangsebene

In diesem Teil des Dialogfelds können Sie angeben, durch welche Ebene der Taster geführt wird, um zur nächsten Elementebene zu gelangen.

In PC-DMIS können Sie numerische Werte für jede der sechs Sicherheitsebenen definieren:

  1. X Plus
  2. X Minus
  3. Y Plus
  4. Y Minus
  5. Z Plus
  6. Z Minus

Das gewählte aktive Fenster wird in der Richtung X, Y, Z PLUS oder X, Y, Z MINUS im Bearbeitungsfenster angezeigt.

So definieren Sie eine Sicherheitsebene:

  1. Wählen Sie die Auswahlliste im Bereich Durchgangsebene.
  2. Wählen Sie die Ebene aus, die Sie ändern möchten.
  3. Geben Sie den entsprechenden Wert in das Feld Wert ein.
  4. Klicken Sie auf Übernehmen.
  5. Klicken Sie auf die Schaltfläche OK.


Sicherheitsebene aktiv

Über das Kontrollkästchen Sicherheitsebene aktiv (EIN) wird die definierte Sicherheitsebene aktiviert.


Sicherheitsebenen: Wichtige Hinweise

Wenn Sie den Wert einer Sicherheitsebene eingeben, müssen Sie auf das Vorzeichen achten. Das Vorzeichen muß dem positiven oder negativen Ende der die Ebene definierenden normalen Achse entsprechen. Wenn Sie beispielsweise eine obere Sicherheitsebene definieren wollen, geben Sie einen positiven Wert ein; wenn Sie eine untere Sicherheitsebene definieren wollen, geben Sie einen negativen Wert ein.

Beispiel einer Sicherheitsebene

Eine Sicherheitsebene wird relativ zum aktuellen Koordinatensystem und Nullpunkt des Werkstücks definiert. Daher müssen Sie bei der Definition einer Sicherheitsebene sorgfältig vorgehen, damit um das Werkstück herum ein ausreichender Sicherheitsabstand gewährleistet ist.

Beispiel: Ein Werkstück ist 250 mm lang und liegt nahe an den KMG-Achsen, mit dem X-Nullpunkt in der linken unteren Ecke. Sie können einen 25 mm großen Sicherheitsabstand von der rechten Seite des Werkstücks einstellen, indem Sie die rechte Sicherheitsebene auf 275 mm einstellen.

Sicherheitsebenen müssen immer relativ zum aktuellen Koordinatensystem definiert werden. Beim Erstellen eines neuen Koordinatensystems beziehen sich die Sicherheitsebenen immer noch auf die alte (erste) Ausrichtung. Wenn Sie die Sicherheitsebenen mit dem neuen Koordinatensystem verknüpfen möchten, müssen diese neu definiert werden.

Bei der Aufnahme von Stützpunkten werden keine Sicherheitsebenen verwendet. Daher ist es beim Messen von Stiften wichtig, den Abstandswert auf eine Entfernung einzustellen, die es dem Taster ermöglicht, sich um den Stift herum zu bewegen.


Parameter Settings : Probing tab

Home Contents Previous Next

Parametereinstellungen: Registerkarte "Kompensation"

Help Apply Cancel OK Polar Vector Compensation Probe Compensation Active Tip Active Tip I/O Channels NC-100 Parameters Probe Trigger Options Optional Probe Acceleration Rotate Table Motion ClearPlane Dimension

Auf der Registerkarte Kompensation werden die aktuelle Tasterdatei, die aktive Tastspitze (und Tastergarage, wenn eine verwendet wird) angezeigt. Auf dieser Registerkarte können Sie außerdem das Kontrollkästchen Tasterkompensation aktiv (EIN) und die Option Polarvektorkompensation aus der Auswahlliste wählen.

So rufen Sie die Registerkarte Kompensation auf:

Display Menu Roadmap Öffnen Sie das Dialogfeld Parametereinstellungen.

  2. Öffnen Sie die Registerkarte Kompensation.

Siehe auch:

Aktiver Taster

Aktive Tastspitze

Tasterkompensation

Polarvektorkompensation

Taster in Garage Nr.


Aktiver Taster

Diese Zeile auf der Registerkarte Kompensation zeigt die aktuelle Tasterdatei an. Weitere Informationen zur Auswahl einer anderen Tasterdatei oder zur Angabe eines neuen Namens für eine Tasterdatei finden Sie unter "Taster-Dateiname" im Abschnitt "Definieren von Hardware".


Voreinstellungen - Parametereinstellungen : Registerkarte "Kompensation" - Aktive Tastspitze

Aktive Tastspitze

Diese Zeile auf der Registerkarte Kompensation zeigt die aktuelle aktive Tastspitze an. Weitere Informationen zu den angezeigten Werten sowie zu Auswahl, Erstellung und zum Löschen von Tastspitzen finden Sie unter "Liste aktueller Tastspitzen" im Abschnitt "Definieren von Hardware".

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
TASTSPITZE/Name_der_aktiven_Tastspitze


Tasterkompensation

Display Menu Roadmap Über das Kontrollkästchen Tasterkompensation aktiv (EIN) wird bestimmt, ob PC-DMIS den Tasterradius kompensieren soll. Bei aktivierter Option kompensiert PC-DMIS den Tasterradius bei jedem gemessenen Element.

Befehlszeile im Bearbeitungsfenster:
TASTERKOMP/EIN


Polarvektorkompensation

Display Menu Roadmap Über die Auswahlliste Polarvektorkompensation können Vektor- und Oberflächenpunkte gemessen und stets entlang eines Polarvektors kompensiert werden. Es sind folgende Optionen verfügbar:

  • AUS – Vektor- und Oberflächenpunkte verhalten sich normal.
  • XYPL – Die Vektorkompensationen für jeden Vektor- und Oberflächenpunkt werden 2D in der XY-Ebene entlang eines Vektors vom Punkt bis zum aktuellen Nullpunkt vorgenommen.
  • YZPL – Die Vektorkompensationen für jeden Vektor- und Oberflächenpunkt werden 2D in der YZ-Ebene entlang eines Vektors vom Punkt bis zum aktuellen Nullpunkt vorgenommen.
  • ZXPL – Die Vektorkompensationen für jeden Vektor- und Oberflächenpunkt werden 2D in der ZX-Ebene entlang eines Vektors vom Punkt bis zum aktuellen Nullpunkt vorgenommen.
  • 3D – Bewirkt eine Polarvektorkompensation entlang eines 3D-Vektors vom Punkt bis zum aktuellen Nullpunkt.

Die im Bearbeitungsfenster für diese Optionen angezeigten Befehlszeilen lauten:
POLARVEKTORKOMP/ AUS
POLARVEKTORKOMP/ XYPL
POLARVEKTORKOMP/ YZPL
POLARVEKTORKOMP/ ZXPL
POLARVEKTORKOMP/ 3D


Taster in Garage Nr.

Diese Option gibt die Nummer der Tastergarage am Tasterwechsler des gerade verwendeten Tastspitzes oder des Tasters an. Diese Option ist nur verfügbar, wenn ein Tasterwechsler eingerichtet wurde.

Wenn Sie keinen Tasterwechsler verwenden, oder sich der aktuelle Taster nicht in einem Tasterwechsler befindet, informiert Sie PC-DMIS in einer Textmeldung darüber, daß sich der aktuelle Taster nicht im Tasterwechsler befindet oder kein Tasterwechsler verwendet wird.

Informationen zum Hinzufügen von Tastern oder Tastspitzen zu einem Tasterwechsler finden Sie unter "Garagen" im Abschnitt "Tasterwechsler einrichten".


Parametereinstellungen: : Registerkarte "Bewegung"

Home Contents Previous Next

Parametereinstellungen: Registerkarte "Bewegung"

Check Percent Help Apply Cancel OK Clear Recall Default Scan Speed Clamping Value Touch Speed Move Speed Check Distance Retract Distance Prehit Distance I/O Channels NC-100 Parameters Probe Trigger Options Optional Probe Acceleration Rotate Table Probing Clear Plane Dimension

Auf der Registerkarte Bewegung können Sie bestimmen, über welche Entfernungen der Taster bei der Aufnahme von Meßpunkten geführt werden soll. Hier läßt sich auch die Geschwindigkeit angeben, mit der PC-DMIS einen Meßpunkt aufnimmt und von Punkt zu Punkt weiterrückt.

Hinweis: Sie können bestimmen, ob die Werte in den Feldern für die Geschwindigkeitsangabe (Bewegungsgeschwindigkeit, Meßgeschwindigkeit und Scangeschwindigkeit) entweder in mm/Sek. oder in Prozent der zulässigen Gesamtgeschwindigkeit angezeigt werden. Hierzu aktivieren oder deaktivieren Sie das Kontrollkästchen Absol. Geschwind. anzeigen auf der Registerkarte Werkstück / KMG des Dialogfelds Setup-Optionen.

So verändern Sie die Einstellungen auf der Registerkarte Bewegung:

Display Menu Roadmap Öffnen Sie das Dialogfeld Parametereinstellungen.

  2. Klicken Sie auf die Registerkarte Bewegung. Mehrere Felder werden angezeigt.
  3. Markieren Sie den Wert, der geändert werden soll.
  4. Geben Sie einen neuen Wert ein.
  5. Klicken Sie auf Übernehmen oder auf OK.

Wenn Sie die Bewegungswerte wieder auf die ursprünglichen Werkseinstellungen zurücksetzen möchten, klicken Sie auf die Schaltfläche Standard einstellen. Über diese Schaltfläche werden die angezeigten Bewegungswerte wieder auf die Werte zurückgesetzt, die im PC-DMIS-Einstellungseditor gespeichert sind. Wenn Sie Schaltfläche Standard wählen, werden die angezeigten Werte als die neuen Standardeinstellungen in Einstellungseditor gespeichert.

Weitere Informationen zum PC-DMIS-Einstellungseditor finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Siehe auch:

Vorhalteabstand

Rückfahrweg

Prüfabstand

Prüfprozentsatz

Bewegungsgeschwindigkeit %

Meßgeschwindigkeit%

Klemmwert

Scangeschwindigkeit %


Voreinstellungen - Parametereinstellungen : Registerkarte "Bewegung" - Vorhalteabstand

Vorhalteabstand

Display Menu Roadmap Im Feld Vorhalteabstand können Sie den Wert für den Vorhalteabstand des KMGs angeben. Hierbei handelt es sich um den Abstand zur Oberfläche, in dem PC-DMIS beginnt, nach dem Werkstück zu suchen. Sofern erforderlich, kann dieser Abstand automatisch von PC-DMIS geändert werden, wenn Meßpunkte innerhalb eines Bogens oder Kreises aufgenommen werden.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
VORHALTEBEREICH/nnn.nnnn


Voreinstellungen - Parametereinstellungen : Registerkarte "Bewegung" - Rückfahrweg

Rückfahrweg

Display Menu Roadmap Im Feld Rückfahrweg können Sie den Abstand eingeben, um den der Taster nach der Aufnahme eines Meßpunkts relativ zur Oberfläche zurückgezogen wird. Gegebenenfalls kann dieser Abstand automatisch von PC-DMIS geändert werden, wenn Meßpunkte auf einem Bogen oder Kreis aufgenommen werden.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
RÜCKFAHRWEG/nnn.nnnn


Voreinstellungen - Parametereinstellungen : Registerkarte "Bewegung" - Prüfabstand

Prüfabstand

Display Menu Roadmap Im Feld Prüfabstand können Sie den über die theoretische Lage des Meßpunkts hinausgehenden Abstand (in Zoll oder Millimetern, je nachdem, welches Maßsystem für das Werkstück verwendet wird) angeben, in dem die Maschine nach der Oberfläche des Werkstücks sucht, bevor sie zu dem Schluß kommt, daß dort keine Oberfläche mehr vorhanden ist.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
PRÜFEN/ Abstand,Prozentsatz

Prozentuale Bewegung während der Elementsuche

Bei der Definition des Prüfabstands für die Elementsuche kann PC-DMIS angewiesen werden, Bewegungsschritte in Prozent des Prüfabstands vorzunehmen.

Vorgehensweise:

  1. Öffnen Sie das Bearbeitungsfenster und versetzen Sie es in den Befehlsmodus.
  2. Klicken Sie im Bearbeitungsfenster auf den Befehl PRÜFEN.
  3. Drücken Sie die TABULATOR-Taste, um zur zweiten Zahl vorzurücken.
  4. Geben Sie einen neuen Prozentsatz ein. Der Standardwert 1 entspricht 100% des Prüfabstands. Es gilt also: 0,1=10%, 0,2=20%, 0,3=30% etc.

So beispielsweise im folgenden Code:
Bei PRÜFEN/20,0,3 steht der Wert 0,3 für 30% des zwanzig Einheiten umfassenden Gesamtprüfabstands.

Weitere Informationen zur Elementsuche finden Sie unter "Kontrollkästchen 'Elementsuche'" im Abschnitt "Erstellen von Auto Elementen".


Prüfprozentsatz

Der Prüfprozentsatz bestimmt den Prozentsatz des Gesamtabstands der bei einer Elementsuche durchgeführten Bewegung. Wenn Sie 1 eingeben, entspricht der Wert 100 Prozent. 100% wird also als 1 eingegeben, 25% als 0,25 und 10% als 0,10.


Bewegungsgeschwindigkeit %

Display Menu Roadmap Über das Feld Bewegungsgeschwindigkeit können Sie die Punkt-zu-Punkt-Positioniergeschwindigkeit des KMGs ändern. Der hier angegebene Wert ist ein prozentualer Anteil der maximalen Maschinengeschwindigkeit. Hier kann ein Wert im Bereich von 1 bis 100% der KMG-Geschwindigkeit eingestellt werden. (Informationen zur Bewegungsgeschwindigeit und zum Kalibrieren des Tasters finden Sie unter "Messen" unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware")

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
BEWEGUNGSGESCHW/nnn.nnnn


Meßgeschwindigkeit %

Meßgeschwindigkeit % Display Menu Roadmap Im Feld Meßgeschwindigkeit können Sie die Geschwindigkeit einstellen, mit der das KMG Meßpunkte aufnimmt. Der hier angegebene Wert ist ein prozentualer Anteil der maximalen Maschinengeschwindigkeit und darf nicht mehr als zwanzig Prozent betragen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
BERÜHRUNGSGESCHW/nnn.nnnn

Zum Verständnis der Auswirkungen einer Änderung des VORHALTEBEREICHS- oder des RÜCKFAHRWEGS und der BEWEGUNGS- bzw. MESSGESCHWINDIGKEIT ist es wichtig, zu wissen, wie die Optionen sich während der CNC-Messung eines Elements aufeinander auswirken. Der Ablauf ist wie folgt: Das KMG bewegt sich mit der BEWEGUNGSGESCHWINDIGKEIT auf das Element zu. Wenn es den VORHALTEABSTAND erreicht, bewegt es sich mit der MESSGESCHWINDIGKEIT auf das Element zu, um den Meßpunkt aufzunehmen. Wenn der Meßpunkt aufgenommen worden ist, wird das KMG mit der MESSESCHWINDIGKEIT vom Element zurückgezogen, bis der RÜCKFAHRWEG erreicht ist. Von da ab bewegt es sich in BEWEGUNGSGESCHWINDIGKEIT zum nächsten Punkt.


Klemmwert

Display Menu Roadmap Der Klemmwert funktioniert nur mit der Leitz-Steuereinheit und dem Leitz-TTP. Dieser Wert teilt der Steuereinheit mit, wie fest der Taster auf dem Leitz-KMG eingespannt werden soll.

Je nach Gewicht der Tastspitzen müssen Sie den Klemmwert gegebenenfalls vergrößern oder verkleinern.

  • Im Falle eines hohen Tastspitzengewichts muß der Klemmwert u.U. vergrößert werden.
  • Im Falle eines niedrigen Tastspitzengewichts muß der Klemmwert u.U. verkleinert werden.


Scangeschwindigkeit %

Im Feld Scangeschwindigkeit können Sie die Geschwindigkeit ändern, mit der das KMG das Werkstück scannen soll. Der hier angegebene Wert ist ein prozentualer Anteil der maximalen Maschinengeschwindigkeit.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
SCANGESCHW/nnn.nnnn


Parametereinstellungen: : Registerkarte "Drehtisch"

Home Contents Previous Next

Parametereinstellungen: Registerkarte "Drehtisch"

Help Apply Cancel OK Rotate the Table Rotation Direction Rotate Table Angle I/O Channels NC-100 Parameters Probe Trigger Options Optional Probe Acceleration Motion Probing ClearPlane Dimension

Auf der Registerkarte Drehtisch können Sie Winkel und Richtung des Drehtisches einstellen.

Vorgehensweise:

Display Menu Roadmap Öffnen Sie das Dialogfeld Parametereinstellungen.

  2. Klicken Sie auf die Registerkarte Drehtisch.
  3. Geben Sie in das Feld Drehtischwinkel den gewünschten Winkel ein.
  4. Wählen Sie die gewünschte Drehrichtung in der gleichnamigen Auswahlliste aus.
  5. Markieren Sie das Kontrollkästchen Tisch drehen.
  6. Klicken Sie auf Übernehmen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
BEWEGEN/ DREHTISCH, Winkel, RICHTUNG

Die Registerkarte Drehtisch ist nur bei Auswahl von Einzelner Drehtisch oder Doppelter Drehtisch im Dialogfeld Drehtisch einrichten verfügbar Informationen hierzu finden Sie unter "Definieren des Drehtisches".

Zudem ist die Menüoption Drehtisch einrichten nur dann verfügbar, wenn Ihre Anschlußsperre für Drehtische programmiert ist.

Siehe auch:

Drehtischwinkel drehen

Drehrichtung

Tisch drehen


Drehtischwinkel

Im Feld Drehtischwinkel können Sie den Winkel für die Tischdrehung eingeben.


Drehrichtung

In der Auswahlliste Drehrichtung können Sie die Richtung auswählen, in die der Tisch gedreht werden soll. Zur Auswahl stehen folgende Optionen:

Nach rechts: | Dreht den Tisch nach rechts, bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.
Nach links: | Dreht den Tisch nach links, bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.
Kürzest(e Drehung): | Damit wird der Tisch nach rechts oder links gedreht (je nachdem, welche Entfernung kürzer ist), bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.


Tisch drehen

Über das Kontrollkästchen Tisch drehen wird die Drehung des Tisches aktiviert, sobald die Schaltfläche Übernehmen oder OK gewählt wird.


Parametereinstellungen: : Registerkarte “Beschleunigung”

Home Contents Previous Next

Parametereinstellungen: Registerkarte “Beschleunigung”

Help Apply Cancel OK CMM Acceleration I/O Channels NC-100 Parameters Probe Trigger Options Optional Probe Rotate Table Motion Probing ClearPlane Dimension

Die Registerkarte Beschleunigung enthält zusätzliche Bearbeitungsfunktionen sowohl für die KMG- als auch für die Tischbewegung.

So rufen Sie die Registerkarte Beschleunigung auf:

Display Menu Roadmap Öffnen Sie das Dialogfeld Parametereinstellungen über das Hauptmenü.

  2. Öffnen Sie die Registerkarte Beschleunigung.

Siehe auch:

KMG-Beschleunigung


KMG-Beschleunigung

Display Menu Roadmap Im Bereich KGM -Beschleunigung der Registerkarte Beschleunigung können Sie die maximale Beschleunigung (in mm/Sek.²) entlang der X, Y, oder Z-Achse des KMGs ändern. Zur Auswahl stehen folgende Optionen:

Max. Beschleunigung entlang der X-Achse: | Der Wert in diesem Feld gibt an, wie stark das KMG maximal beschleunigt werden darf, wenn es entlang der X-Achse verfährt.
Max. Beschleunigung entlang der Y-Achse: | Der Wert in diesem Feld gibt an, wie stark das KMG maximal beschleunigt werden darf, wenn es entlang der Y-Achse verfährt.
Max. Beschleunigung entlang der Z-Achse: | Der Wert in diesem Feld gibt an, wie stark das KMG maximal beschleunigt werden darf, wenn es entlang der Z-Achse verfährt.


Parametereinstellungen: : Registerkarte "Analoger Taster"

optprobe Help Apply Cancel OK Clear Recall Default Manual Fine Probing Probing Mode Probing Accuracy Positioning Accuracy Return Speed Acceleration Offset Force Point Density # Return Data Trigger Force Upper Force Low Force Max Force Acceleration Rotate Table Motion Probing ClearPlane Dimension I/O Channels NC-100 Parameters Probe Trigger Options Die Registerkarte Analoger Taster bietet Ihnen zusätzliche Bearbeitungsoptionen zur Steuerung analoger Taster. Dazu gehören folgende kompensationsspezifische Werte:

  • Max. Kraft
  • Niedrige Kraft
  • Hohe Kraft
  • Auslöser-Kraft
  • Anzahl Rückmeldungen
  • Rückfahrgeschwindigkeit
  • Positioniergenauigkeit
  • Tastgenauigkeit
  • Tastmodus
  • Manuelle Feineinstellung des Tasters

Dazu gehören außerdem die folgenden, auf das Scannen bezogenen Werte und Schaltflächen für allgemeine Zwecke:

  • Punktdichte
  • Versatzkraft
  • Beschleunigung
  • Standardschaltfläche
  • Schaltfläche "Standard einstellen"
  • Schaltfläche "Entfernen"

Diese Felder werden im folgenden näher erläutert.

So rufen Sie die Registerkarte Analoger Taster auf:

Display Menu Roadmap Öffnen Sie das Dialogfeld Parametereinstellungen über das Hauptmenü.

  2. Wählen Sie die Registerkarte Analoger Taster.

Vorsicht: Die Werte auf der Registerkarte Analoger Taster variieren je nach eingesetztem KMG. Mit Ausnahme der Kontrollkästchen Man. Feineinstellung und Punktdichte, sollten Sie allgemein nicht geändert werden. Vor jedweden Änderungen ist Rücksprache mit dem KMG-Hersteller zu halten.

Durch Anklicken von Übernehmen oder OK auf der Registerkarte Analoger Taster wird der Befehl OPTIONSTASTER in das Bearbeitungsfenster eingefügt.

Weitere Informationen zur Verwendung des OPTIONSTASTER-Befehls bei analogen Tastern während der Kalibrierung finden Sie unter "Hinweise zur SP600-Oberschichtmatrix (Reguläre Kalibrierung):" im Abschnitt "Definieren von Hardware".

Siehe auch:

Max. Kraft

Niedrige Kraft

Hohe Kraft

Auslöser-Kraft

Anz. Rückmeldungen

Rückfahrgeschw.

Positioniergenauigkeit

Tastgenauigkeit

Tastmodus

Manuelle Feineinstellung

Punktdichte

Versatzkraft

Beschleunigung


Max. Kraft

Im Feld Max. Kraft können Sie die maximale Kraft bestimmen, die ein Taster aushalten muß, bevor ein Fehler eintritt und die Messung angehalten wird.

Wenn der Taster während des analogen Tastzyklus das Werkstück zum ersten Mal berührt, bewegt er sich in das Werkstück hinein, bis der Wert für die maximale Kraft erreicht wird. Der Taster ändert dann die Richtung und bewegt sich vom Werkstück weg. Das Hineinbewegen in das Werkstück nach dem Berühren des Werkstücks wird auch als Kontaktkraft bezeichnet. Dieser Wert wird in Newton angegeben. Im normalen Tastmodus (DFL) des Tastzyklus ermittelt die Steuereinheit Daten, wenn sich der Taster vom Werkstück wegbewegt.


Niedrige Kraft

Im Feld Niedrige Kraft können Sie die Mindestkraft angeben, die erforderlich ist, um festzustellen, wann das KMG in Kontakt mit dem zu messenden Objekt ist.

Im normalen Tastmodus (DFL) des Tastzyklus ist dies der Grenzwert, an dem die Steuereinheit die Datenerfassung einstellt. Dieser Wert wird in Newton angegeben.


Hohe Kraft

Im Feld Hohe Kraft wird der obere Grenzwert für eine Messung eingestellt. Wenn dieser Grenzwert erreicht ist, wird das KMG vom zu messenden Objekt zurückgezogen.

Im normalen Tastmodus (DFL) des Tastzyklus ist dies der Grenzwert, an dem die Steuereinheit mit der Datenerfassung beginnt. Dieser Wert wird in Newton angegeben.


Auslöser-Kraft

In das Feld Auslöser-Kraft können Sie die Kraft eingeben, bei der eine Messung gelesen wird.

Im normalen Tastmodus (DFL) des Tastzyklus ist dies der Grenzwert, bei dem der tatsächliche Punkt (APT) berechnet und an die Anwendung zurückgegeben wird.Dieser Wert wird in Newton angegeben. Nicht alle analogen Taster/Steuereinheiten verwenden diese Eingabe.


Anzahl Rückmeldungen

Im Feld Anzahl Rückmeldungen können Sie die Anzahl der Ablesungen festlegen, die vorgenommen werden, wenn das KMG sich vom zu messenden Objekt entfernt.

Über diesen Wert wird die Mindestmenge der Daten definiert, die innerhalb des durch die Werte Hohe Kraft und Niedrige Kraft definierten Tastfensterbereichs erfaßt werden sollen.


Rückfahrgeschwindigkeit

Über den Wert im Feld Rückfahrgeschwindigkeit können Sie bestimmen, mit welcher Geschwindigkeit der Taster vom zu messenden Objekt zurückgezogen wird. Dieser Wert wird in mm/Sek. angegeben.


Positioniergenauigkeit

Das Feld Positioniergenauigkeit definiert einen für die Leitz-Schnittstelle spezifischen Parameter. Der übermittelte Wert gibt vor, wie exakt sich das KMG an den Antastvektor halten soll, wenn der Taster zur Messung in das Werkstück hineingeführt wird.

Bei kleineren Werten ist es für das Gerät schwieriger, die gewünschten Lageveränderungen zu ermitteln. Ein kleinerer Wert sorgt jedoch auch für eine genauere Messung. Dieser Wert wird stets in Millimetern angegeben.

Für diesen Wert sollte normalerweise der Standardwert belassen werden.


Tastgenauigkeit

Im Feld Tastgenauigkeit können Sie bestimmen, welche Genauigkeit erforderlich ist, um eine Messung aufzunehmen. Wird dieser Wert nicht erreicht, wird keine Messung aufgenommen und es erscheint eine Fehlermeldung. Der Wert wird in mm angegeben. Es sollte normalerweise der Standardwert belassen werden.


Tastmodus

Der Tastmodus gibt an, welcher Tastzyklus verwendet wird. Der Tastmodus (DFL) ist der Modus, der am häufigsten verwendet wird. Andere Modi, wie z. B. Meßpunktaufnahme bei weichem Material ("Soft Probing ", SFT), werden u.U. von einigen analogen Tastern/Steuereinheiten unterstützt. In manchen Fällen verfügt der Taster/die Steuereinheit u.U. nicht über mehrere Modi; dann wird dieser Wert ignoriert.


Manuelle Feineinstellung

Wenn das Kontrollkästchen Manuelle Feineinstellung des Tasters gewählt ist, wechselt die Steuereinheit bei der Aufnahme eines manuellen Tastpunkts automatisch in den CNC-Modus und bewegt sich vom Werkstück weg, um den normalen Ableitungs-Tastzyklus zu verwenden. Die manuelle Meßpunktaufnahme wird dadurch möglicherweise verlangsamt, die Genauigkeit jedoch verbessert.

Auch wenn die neuesten KMG-Modelle mit analogen Tastersystemen möglicherweise die Manuelle Feineinstellung unterstützen, wird diese Art der manuellen Kompensation nicht von allen analogen Tastern/Steuereinheiten unterstützt. In solchen Fällen ignoriert PC-DMIS dieses Kontrollkästchen. Der Hersteller Ihrer KMG-Steuereinheit wird wissen, ob diese Option von Ihrer Steuereinheit unterstützt wird.


Punktdichte

Im Feld Punktdichte können Sie die Anzahl der Ablesungen während eines Scans festlegen, die pro Millimeter der Messung durchgeführt werden sollen.


Versatzkraft

Hier können Sie festlegen, welches Maß an Kraft während des Scanvorgangs aufrechterhalten werden soll. Dieser Wert wird in Newton angegeben.


Beschleunigung

Hier können Sie die Beschleunigung während des Scanvorgang festlegen. Dieser Wert wird in mm/Sek. angegeben.


Parametereinstellungen : Registerkarte "Taster-Trigger-Optionen"

Home Contents Previous Next

Parametereinstellungen: Registerkarte "Taster-Auslöser-Optionen"

probtrg Apply Manual Point Trigger Tolerance Sample Plane Auto Trigger Auto Trigger Help Cancel OK Optional Motion Rotate Table Motion Probing ClearPlane Dimensions I/O Channels NC-100 Parameters Optional Probe

Auf der Registerkarte Taster -Auslöseroptionen können Sie Toleranzbereiche festlegen und dann die Befehle AUTOM_AUSLÖSER, AUSLÖSERTOLERANZ und AUSLÖSEREBENE in das Bearbeitungsfenster einfügen.

Hinweis: Nur mit bestimmten Schnittstellen ausgestattete manuelle KMGs unterstützen diese Taster-Auslöser-Optionen. Zu diesen Schnittstellen gehören: BackTalk, Faro, Romer, Garda, GOM (Krypton), Axila, Leica, Polar und SMXLaser.

So greifen Sie auf diese Registerkarte zu:

Display Menu Roadmap Öffnen Sie das Dialogfeld Parametereinstellungen über das Hauptmenü.

  2. Wählen Sie die Registerkarte Taster-Auslöseroptionen.

Wichtig: Der Befehl AUTOM_AUSLÖSER funktioniert nur bei Meßpunkten und Auto Vektorpunkten.

Siehe auch:

Bereich "Autom. Auslöser"

Bereich "Stützebene als autom. Auslöser"

Bereich "Auslösertoleranz bei manuellen Punkten"


Bereich "Autom. Auslöser"

Display Menu Roadmap Über den Bereich Autom. Auslöser können Sie AUTOM_AUSLÖSER/-Befehle mit einer Toleranzbereich in das Bearbeitungsfenster einfügen.

Der Befehl AUTOM_AUSLÖSER/ weist PC-DMIS an, automatisch einen Meßpunkt aufzunehmen, wenn der Taster in einem angegebenen Abstand von der Original-Meßpunktposition in einen Toleranzbereich eintritt. Wenn der Toleranzbereich beispielsweise mit 2 mm festgelegt wird, wird der Meßpunkt dann aufgenommen, wenn sich der Taster in einem Bereich von 2 mm von der Meßpunktposition befindet.

Sie können diese Option bei manuellen Geräten verwenden. Anstatt zur Aufnahme eines Meßpunktes auf eine Taste zu drücken, können Sie an beliebigen Standardpositionen im Bearbeitungsfenster AUTOM_AUSLÖSER/-Befehle einfügen.

Autom. Auslöser ein

Durch Auswahl des Kontrollkästchens Autom. Auslöser ein wird der Autom_Auslöser-Befehl aktiviert. Bei den Befehlen im Bearbeitungsfenster, die auf den eingefügten AUTOTRIGGER/-Befehl folgen und die Aufnahme eines Meßpunktes erfordern, wird der Meßpunkt automatisch aufgenommen, wenn der Taster in den definierten Toleranzbereich eintritt.

Wenn Sie dieses Kontrollkästchen nicht markieren und auf die Schaltfläche Befehl einfügen klicken, fügt PC-DMIS die Befehlszeile zwar in das Bearbeitungsfenster ein, aktiviert den Befehl jedoch nicht.

Tonsignal ein

Durch Markieren des Kontrollkästchens Tonsignal ein wird ein mit dem Befehl AUTOM_AUSLÖSER/ verknüpftes Tonsignal aktiviert. Je näher Sie an das Ziel rücken, desto häufiger ertönt das Tonsignal.

Auto-Trigger-Radius

Im Feld Radius des autom. Auslösers können Sie einen Wert für den Toleranzbereich eingeben. Wenn der Taster in den Toleranzbereich eintritt, nimmt er automatisch einen Meßpunkt auf.

Befehl einfügen

Durch Klicken auf die Schaltfläche Befehl einfügen wird der Befehl AUTOM_AUSLÖSER/ in das Bearbeitungsfenster für das aktuelle Werkstückprogramm eingefügt. Die Befehlszeile lautet:

AUTOM_AUSLÖSER/ TOG1, TOG2, RAD

TOG1:Dieses Umschaltfeld entspricht dem Kontrollkästchen Autom. Auslöser ein. Es zeigt entweder EIN oder AUS an.

TOG2Dieses Umschaltfeld entspricht dem Kontrollkästchen Tonsignal ein. Es zeigt entweder EIN oder AUS an.

RADDas Feld Radius zeigt den Wert für den Toleranzbereich. Dieser Wert ist der Abstand von dem tatsächlichen Punkt, an dem PC-DMIS den Meßpunkt aufnimmt.


Bereich "Stützebene als autom. Auslöser"

Display Menu Roadmap Über den Bereich Stützebene als autom. Auslöser können Sie einen AUSLÖSEREBENE/-Befehl in das Bearbeitungsfenster einfügen.

Der Befehl AUSLÖSEREBENE/ veranlaßt, daß PC-DMIS automatisch einen Meßpunkt aufnimmt, wenn der Taster die durch den vertikalen Oberflächenvektor eines Parameterelements definierte Ebene auf der festgelegten Tiefe durchschreitet. Diese festgelegte Position wird basierend auf Optionen wie Stützpunkte oder RMESS-Elemente korrigiert. Wenn die Tastermitte die Ebene von einer Seite zur anderen durchschreitet, wird der Taster ausgelöst und ein Meßpunkt aufgenommen.

Sie können diesen Befehl bei manuellen Geräten verwenden. Anstatt zur Aufnahme eines Meßpunktes auf eine Taste zu drücken, können Sie an beliebigen Standardpositionen im Bearbeitungsfenster AUSLÖSEREBENE/-Befehle einfügen.

Dieser Befehl funktioniert nur im Online-Modus. Wird der Befehl AUTOM_AUFLÖSER/ verwendet, hat er Vorrang vor dem Befehl AUSLÖSEREBENE/.

Hinweis zu Faro- und Romer-Maschinen: Wie oben festgelegt nimmt PC-DMIS automatisch einen Meßpunkt auf, wenn der Taster die Ebene durchschreitet. Bei Faro- oder Romer-Maschinen wird der Taster danach erst dann wieder ausgelöst, wenn die Taste Akzeptieren (oder die Taste Freigabe) gedrückt wurde. Zum Fortfahren muß diese Taste nach jedem registrierten Meßpunkt gedrückt werden.

Ebenen-Auslöser ein

Durch Auswahl des Kontrollkästchens Ebenen-Auslöser ein wird der Befehl AUSLÖSEREBENE/ aktiviert. Bei den Befehlen im Bearbeitungsfenster, die auf den eingefügten AUSLÖSEREBENE/-Befehl folgen und die Aufnahme eines Meßpunktes erfordern, wird der Meßpunkt automatisch aufgenommen, wenn der Taster die durch den vertikalen Oberflächenvektor und die Tiefe des Elements definierte Ebene durchschreitet.

Wenn Sie dieses Kontrollkästchen nicht markieren und auf die Schaltfläche Befehl einfügen klicken, fügt PC-DMIS die Befehlszeile zwar in das Bearbeitungsfenster ein, aktiviert den Befehl jedoch nicht. Der Befehl AUSLÖSEREBENE/ funktkioniert nur, wenn die Option aktiviert ist.

Befehl einfügen

Durch Klicken auf die Schaltfläche Befehl einfügen wird der Auslöserebenen-Befehl in das Bearbeitungsfenster für das aktuelle Werkstückprogramm eingefügt.

AUSLÖSEREBENE/ TOG1

TOG1:Dieses Umschaltfeld entspricht dem Kontrollkästchen Ebenen-Auslöser ein. Es zeigt entweder EIN oder AUS an.


Bereich "Auslösertoleranz bei manuellen Punkten"

Über den Bereich Auslösertoleranz bei manuellen Punkten können Sie einen AUSLÖSERTOLERANZ/-Befehl in das Bearbeitungsfenster einfügen.

Der Befehl AUSLÖSERTOLERANZ/ weist PC-DMIS an, nur manuelle Meßpunkte zu akzeptieren, die in der angegebenen Toleranzzone liegen.

Diese Option kann bei manuellen Maschinen verwendet werden. Wenn PC-DMIS Sie auffordert, einen Meßpunkt aufzunehmen, lösen Sie den Taster ganz nach Wunsch aus. Jeder Auslöser wird daraufhin ausgewertet, ob er innerhalb des zylindrischen Auslösertoleranzbereichs liegt. Ist dies nicht der Fall, wird in der Liste KMG -Fehler des Dialogfelds Ausführungsoptionen ein Fehler ausgegeben. PC-DMIS bittet Sie dann, den Meßpunkt erneut aufzunehmen. AUSLÖSERTOLERANZ/-Befehle sind an allen Standardpositionen innerhalb des Bearbeitungsfensters zulässig.

Diese Option funktioniert nur im Online-Modus.

Auslösertoleranz verwenden

Durch Auswahl des Kontrollkästchens Auslösertoleranz verwenden wird der Befehl AUSLÖSERTOLERANZ/ aktiviert. Bei den Befehlen im Bearbeitungsfenster, die auf den eingefügten AUSLÖSERTOLERANZ/-Befehl folgen und die Aufnahme eines Meßpunktes erfordern, wird der Meßpunkt nur dann akzeptiert, wenn der Taster in den definierten Toleranzbereich eintritt.

Wenn Sie dieses Kontrollkästchen nicht markieren und auf die Schaltfläche Befehl einfügen klicken, fügt PC-DMIS die Befehlszeile zwar in das Bearbeitungsfenster ein, aktiviert den Befehl jedoch nicht. Die Auslösertoleranzfunktion ist nur aktiviert, wenn die Option aktiviert ist.

Befehl einfügen

Durch Klicken auf die Schaltfläche Befehl einfügen wird der Befehl AUSLÖSERTOLERANZ/ in das Bearbeitungsfenster für das aktuelle Werkstückprogramm eingefügt.

AUSLÖSERTOLERANZ/ TOG1, RAD

TOG1:Dieses Umschaltfeld entspricht dem Kontrollkästchen Auslösertoleranz verwenden. Es zeigt entweder EIN oder AUS an.

RADDas Feld Radius zeigt den Wert für den Toleranzbereich. Dieser Wert ist der Abstand von dem tatsächlichen Punkt, an dem PC-DMIS den Meßpunkt akzeptiert.

Toleranzradius

Im Feld Toleranzradius können Sie einen Wert für den Toleranzradius eingeben. Wenn der Taster ausgelöst wird, wird überprüft, ob er sich innerhalb dieses Toleranzbereichs befindet. Ist dies der Fall, wird der Meßpunkt akzeptiert. Andernfalls wird er verworfen, und Sie werden zur Aufnahme eines anderen Meßpunkts aufgefordert.


Parametereinstellungen : Registerkarte "NC-100-Parameter"

Home Contents Previous Next

Parametereinstellungen: Registerkarte "NC-100-Parameter"

Help Apply Cancel OK Video Setup Y Segment X Segment Long Segment Y End Y Origin ROI Width ROI Bottom ROI Top Offset Gain Acceleration Rotate Table Motion Probing ClearPlane Dimension Hotspot 3 Hotspot 2 Hotspot 1

Dialogfeld Parametereinstellungen – Registerkarte „NC-100-Parameter“

Auf der Registerkarte NC-100-Parameter können Sie die Parameter für den NC-100-Optiksensor ändern. Über diese Parameter wird die Ausleuchtung, Größe etc. des NC-100-Sichtbereichs gesteuert. Wenn die Werte auf der Registerkarte NC-100-Parameter geändert werden, fügt PC-DMIS einen neuen VIDEO-SETUP-Befehl in das Werkstückprogramm ein und zeigt die Cursorposition im Bearbeitungsfenster an. Die Befehlzeile im Bearbeitungsfenster für den Befehl VIDEO-SETUP lautet:

VIDEO-SETUP/ZUNAHME = n, VERSATZ = n, OBEN = n, UNTEN = n, BREITE = n,Y-NULLPUNKT = n,
Y-ENDPUNKT = n, L-SEG = n, X-SEG = n, Y-SEG = n

So bearbeiten Sie die Informationen auf der Registerkarte NC-100 Parameter:

Display Menu Roadmap Öffnen Sie das Dialogfeld Parametereinstellungen.

  2. Klicken Sie auf die Registerkarte NC-100 Parameter.
  3. Wählen Sie den Wert, der geändert werden soll.
  4. Geben Sie einen neuen Wert ein.
  5. Klicken Sie auf Übernehmen oder auf OK.

In den Feldern auf der Registerkarte NC-100-Parameter können Sie Angaben machen, die den Einstellungen des NC-100-Computersystems entsprechen. Weitere Einzelheiten über diese Einstellungen können Sie der Dokumentation zu dem NC-100-Computersystem entnehmen.

Siehe auch:

Zunahme

Offsetwert

ROI-Oben

ROI-Unten

ROI-Breite

Y-Nullpunkt

Y-Endpunkt

Langes SegmentLongSegment>proc

X-Segment

Y-Segment

Optik einrichten


Zunahme

Der Wert Zunahme entspricht dem Zunahmewert des NC-100-Computersystems und ist eine Sichtsensor-Einstellung.


Versatz

Offset

Der Wert Offset entspricht dem Offsetwert des NC-100-Computersystems und ist eine Lichtsensor-Einstellung. Weitere Informationen finden Sie in der Dokumentation für das NC-100-Computersystem.


ROI-Oben

Der Wert ROI -Oben entspricht dem Wert für ROI-Oben des NC-100-Computersystems und ist die oberste Position des ROI.


ROI-Unten

Der Wert für ROI -Unten entspricht dem Wert für ROI-Unten des NC-100-Computersystems und ist die unterste Position des ROI.


ROI-Breite

Der Wert ROI -Breite entspricht dem ROI-Breiten-Wert des NC-100-Computersystems und ist das horizontale Merkmal des ROI.


Y-Nullpunkt

Der Wert Y-Nullpunkt entspricht dem Y-Nullpunkt des NC-100-Computersystems.


Y-Endpunkt

Der Wert Y-Endpunkt entspricht dem Y-Endpunkt des NC-100-Computersystems.


Langes Segment

Der Wert Langes Segment entspricht dem Wert für Langes Segment des NC-100-Computersystems.


X-Segment

Der Wert X-Segment entspricht dem X-Segment-Wert des NC-100-Computersystems.


Y-Segment

Der Wert Y-Segment entspricht dem Y-Segment-Wert des NC-100-Computersystems.


Optik einrichten

Mit der Schaltfläche Optik einrichten können Sie die Parameter für die Optikeinstellungen auf dem NC-100-Computersystem aufrufen. Diese Option wird durch Klicken auf diese Schaltfläche geöffnet bzw. geschlossen.

Es müssen zuerst die Kommunikationseinstellungen zwischen dem PC-DMIS-Computersystem und dem NC-100-Computersystem konfiguriert werden, damit diese Option ordnungsgemäß funktioniert. Informationen hierzu finden Sie unter "NC-100 Setup" im Dialogfeld Setup-Optionen.


Parametereinstellungen : Registerkarte "I/O-Kanäle"

Home Contents Previous Next

Parametereinstellungen: Registerkarte "I/O-Kanäle"

NC-100 Parameters Help Apply Cancel OK Set and Reset Channel Probe Trigger Options Optional Probe Acceleration Rotable Motion Probing ClearPlane Dimension

Dialogfeld Parametereinstellungen – Registerkarte „I/O-Kanäle“

Auf der Registerkarte I/O-Kanäle können Sie Optionen auswählen, die sich auf die I/O-Kanäle der Steuereinheit beziehen und den Befehl IO-KANAL/ in das Bearbeitungsfenster einfügen, das zur Statusdefinition der Steuereinheit dient.

Einige Maschinen-Steuereinheiten verfügen über I/O-Kanäle, die mit SETZEN aktiviert (Wert gleich 1) oder mit RÜCKSETZEN deaktiviert (Wert gleich 0) werden können. Der Befehl IO-KANAL/ teilt PC-DMIS mit, den Status wie angegeben festzulegen.

So bearbeiten Sie Informationen in der Registerkarte "I/O-Kanäle":

Display Menu Roadmap Öffnen Sie das Dialogfeld Parametereinstellungen.

  2. Klicken Sie auf die Registerkarte I/O-Kanäle.
  3. Nehmen Sie die gewünschten Änderungen vor.
  4. Klicken Sie auf Übernehmen oder auf OK.

Siehe auch:

Kanal

Optionen zum Setzen und Rücksetzen


Kanal

Hier wird die Kanalnummer angegeben, die mit SETZEN oder mit RÜCKSETZEN zurückgesetzt wird.


Optionen zum Setzen und Rücksetzen

Option | Beschreibung
Setzen | Diese Option fügt den Befehl IO-KANAL/SETZEN in das Werkstückprogramm ein. Wenn PC-DMIS diesen Befehl ausführt, wird der angegebene Kanal auf 1 gesetzt.
Rücksetzen | Diese Option fügt den Befehl IO-KANAL/RÜCKSETZEN im Werkstückprogramm ein. Wenn PC-DMIS diesen Befehl ausführt, wird der angegebene Kanal auf 0 gesetzt.


Einrichten des Bearbeitungsfensters

In PC-DMIS können Sie den Aufbau des Bearbeitungsfensters bestimmen und festlegen, welche Informationen in den verschiedenen Modi des Bearbeitungsfensters angezeigt werden.

Siehe auch:

Definition der Farben im Bearbeitungsfenster

Definition des Layout des Bearbeitungsfensters


Definieren der Farben im Bearbeitungsfenster

Display Menu Roadmap Mit der Menüoption Fensterfarben bearbeiten können Sie Farbkonfiguration zur Unterscheidung des im Bearbeitungsfenster angezeigten Textes festlegen.

Es gibt vier Hauptfarben, die konfiguriert werden können:

  1. Standard
  2. Außerhalb des Toleranzbereichs
  3. Markiert
  4. Fehlersuche

Außerdem können Sie die Hintergrundfarben für das Bearbeitungsfenster und die Merkmale ändern.

Standardfarbe: | Standardfarbe ist die Vorgabe. Wenn keine andere Bedingung erfüllt ist, wird die Standardfarbe verwendet.
Außerhalb des Toleranzbereichs | Diese Farbe wird zur Anzeige von Messungen verwendet, die außerhalb des geltenden Toleranzbereichs liegen. Darüber hinaus zeigt diese Farbe an, daß ein Element im Bearbeitungsfenster nicht vollständig definiert ist. Wenn beispielsweise eine Tastspitze wieder aufgerufen wird, die nicht in der Tasterdatenbank enthalten ist, wird diese Tastspitze in der Farbe für "Außerhalb des Toleranzbereichs" angezeigt.
Farbe für "Markiert": | Diese Farbe kennzeichnet Elemente, die zur Ausführung markiert sind. Bestimmte Elemente, wie beispielsweise "Ausrichtungen", werden immer ausgeführt und daher immer in dieser Farbe angezeigt.
Farbe für "Fehlersuche": | Wenn Sie ein Werkstückprogramm ausführen und Unterbrechungspunkte verwenden, wird die Zeile, die als nächste ausgeführt wird, mit dieser Farbe hervorgehoben.
Hintergrundfarbe: | Auch die Hintergrundfarbe des Bearbeitungsfensters kann in diesem Dialogfeld geändert werden.
Hintergrundfarbe der Merkmale | Hintergrundfarbe der Merkmalen legt die Hintergrundfarbe der im Protokollmodus angezeigten Merkmalsprotokollfelder fest.

Siehe auch:

So können Sie die verwendeten Farben ändern:


So können Sie die verwendeten Farben ändern:

Display Menu Roadmap Wählen Sie in der Menüleiste die Option Fensterfarben bearbeiten. Das Dialogfeld Fensterfarben bearbeiten wird eingeblendet.

  2. Klicken Sie für die Text- oder Hintergrundfarbe, die Sie ändern möchten, einfach auf die Schaltfläche Bearbeiten. Daraufhin wird ein Farbauswahlfeld eingeblendet.
  3. Wählen Sie die neue Farbe aus, oder passen Sie eine Farbe an, indem Sie auf die Schaltfläche Farben definieren klicken.
  4. Klicken Sie auf die Schaltfläche OK. Das Farbauswahlfeld wird geschlossen.
  5. Klicken Sie auf die Schaltfläche Übernehmen, um die Änderungen anzusehen, ohne das Dialogfeld Farben zu schließen.
  6. Klicken Sie auf OK, um die Änderungen zu übernehmen und das Dialogfeld Fensterfarben bearbeiten zu schließen.

Die Farbänderungen werden sofort wirksam.


Definieren des Layout des Bearbeitungsfensters

Display Menu Roadmap Über die Menüoption Layout des Bearbeitungsfensters wird das Dialogfeld Layout des Bearbeitungsfensters im Registerformat geöffnet. Das Dialogfeld enthält die folgenden Registerkarten:

  • Befehl
  • Protokoll
  • HyperReport

Auf diesen Registerkarten können Sie die Elemente (oder Merkmale) vorgeben, die im Bearbeitungsfenster angezeigt und im Bearbeitungsprotokoll gedruckt werden sollen. Außerdem können Sie in diesem Dialogfeld Optionen für den HyperReport und den Übersichtsmodus festlegen.

Siehe auch:

Anzeigeoptionen für den Befehlsmodus

Anzeigeoptionen für den Protokollmodus

Optionen für die HyperReport-Konfiguration


Anzeigeoptionen für den Befehlsmodus

Display Menu Roadmap Auf der Registerkarte Befehl können Sie festlegen, welche der folgenden Anzeigeoptionen im Befehlsmodus verfügbar sind.

Elemente einblenden | Diese Option zeigt die vom Werkstückprogramm gemessenen Elemente an.
Zeige Ausrichtungen | Diese Option zeigt Ausrichtungsänderungen während des Werkstückprogramms an. Es werden alle Ausrichtungsänderungen angezeigt, die in der Liste der Merkmale oder in der Liste der Elemente auftreten.
Zeige Bewegungen | Diese Option zeigt alle Bewegungen an, die zum Werkstückprogramm hinzugefügt wurden.
Zeige Kommentare | Diese Option zeigt alle Kommentare an, die zum Werkstückprogramm hinzugefügt wurden. (Weitere Informationen hierzu finden Sie unter "Einfügen von Programmiererkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".)
Zeige Merkmale | Diese Option zeigt die angegebene Merkmal für das von PC-DMIS geprüfte Element an. Das Merkmal wird über den Befehl FORMAT im ausgewählten Format angezeigt. Dieser Befehl ist unter "Merkmalsformat" im Abschnitt "Verwenden des Bearbeitungsfensters" beschrieben.
Zeige Messpunkte | Diese Option zeigt alle Meßpunkte an.
Zeige Kopfzeile/Fußzeile | Diese Option zeigt die Kopf-/Fußzeilen der Dateien LOGO.DAT, HEADER.DAT und ELOGO.DAT an. (Informationen zur Änderung dieser Dateien finden Sie unter "Ändern von Kopf- und Fußzeilen" im Abschnitt "Verwenden des Bearbeitungsfensters".)
Zeige Tastspitzen | Diese Option zeigt die Dateinamen der Tastspitzen an, die bei der Prüfung des Werkstücks verwendet wurden.

Informationen zur Verwendung des Befehlsmodus finden Sie unter "Arbeiten im Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".


Report Mode Display Options

Anzeigeoptionen für den Protokollmodus

Display Menu Roadmap Die Registerkarte Protokoll enthält die im Protokollmodus verfügbaren Optionen. Viele der aufgeführten Befehle sind im Protokollmodus nur dann sichtbar, wenn sie zur Ausführung markiert wurden.

Zeige Elemente | Diese Option ist in beiden Formaten verfügbar. Sie wird unter "Registerkarte 'Befehl'" beschrieben.
Zeige Ausrichtungen | Diese Option ist in beiden Formaten verfügbar. Sie ist wird unter "Registerkarte Befehl" beschrieben.
Zeige Bewegungen | Diese Option ist in beiden Formaten verfügbar. Sie wird unter "Registerkarte Befehl" beschrieben.
Zeige Kommentare | Diese Option ist in beiden Formaten verfügbar. Sie ist wird unter "Registerkarte Befehl" beschrieben.
Zeige Kopfzeile/Fußzeile | Diese Option ist in beiden Formaten verfügbar. Sie ist wird unter "Registerkarte Befehl" beschrieben.
Zeige Bildschirmkopien | Wenn diese Option aktiviert ist, zeigt PC-DMIS im Protokoll die Grafiken an, die mit den Befehlen ANZEIGE/METADATEI und ANALYSEANSICHT in Zusammenhang stehen.

Der Bereich "Merkmale"

In diesem Feld können Sie festlegen, wie Merkmale in Ihrem Protokoll angezeigt werden. Markieren Sie das Kontrollkästchen Anzeige. Wenn Sie dieses aktiviert ist, werden die anderen Einträge in diesem Bereich zur Auswahl angezeigt: Dazu gehören:

ALLE | Die Auswahl dieser Option wird so ausgeführt, als hätten Sie sowohl die Option Nur Merkmale außerhalb der Toleranz einblenden als auch die Option Merkmale innerhalb Grenzen einblenden aktiviert.
Außer Toleranz Wenn diese Option markiert ist, zeigt PC-DMIS nur die Merkmale außerhalb des Toleranzbereichs an. ("Zeige Merkmale" muß aktiviert sein.)

Diese Option ist nur verfügbar, wenn Sie Zeige Merkmale wählen und Merkmale innerhalb Grenzen einblenden deaktivieren.
Merkmale innerhalb Grenzen einblenden Wenn Sie diese Option wählen, zeigt PC-DMIS nur Merkmale an, die außerhalb des Prozentsatzes des Toleranzbereichs liegen.

Wenn Sie das Kontrollkästchen Merkmale innerhalb Grenzen einblenden aktivieren, können die Toleranzprozentsätze bearbeitet werden. Für unilaterale Toleranzen ist ein Prozentsatz zulässig, für bilaterale Toleranzen ein oberer und ein unterer Prozentsatz.
Der Toleranzbereich gilt als Bereich zwischen 0 und 100 Prozent (ähnlich wie beim Anwenden von Merkmalsfarben auf Toleranzbereichregionen oder beim Zeichnen farbiger Balkendiagramme am Ende der Merkmalen). Merkmale, deren Abweichungen außerhalb des Toleranzbereichs liegen, sind entweder kleiner als 0 oder größer als 100 Prozent.

Bei einem unilateralen Merkmal (z. B. Rundheit; weist nur einen positiven Toleranzbereich auf) liegen die Nullabweichungen bei 0 Prozent. Alles über 100 Prozent liegt außerhalb des Toleranzbereichs.

Bei einem bilateralen Merkmal (z. B. Abstand; weist einen positiven und eine negativen Toleranzbereich auf) liegen die Nullabweichungen irgendwo in der Mitte. Wenn die Toleranzbereiche gleich groß sind, liegen die Nullabweichungen bei 50 Prozent.

Merkmale innerhalb Grenzen einblenden – Beispiel für "Unilateral"

Unilateraler Prozentsatz:

Nennwert: 0.0000

Meßwert:0.0028

Abweichung:0.0028

Plus-Tol.:0.0050

Minus-Tol.:0.0000

Da die Abweichung 56 % des Toleranzbereichs darstellt, wird sie angezeigt, wenn der unilaterale Prozentsatz kleiner als 56 % ist.

Merkmale innerhalb Grenzen einblenden – Beispiel für "Bilateral oben"

Bilateraler oberer Prozentsatz:

Nennwert:3.0000

Meßwert:3.0075

Abweichung:0.0075

Plus-Tol.:0.0100

Minus-Tol.:0.0100

Der Prozentsatz wird anhand des Hebelgesetzes berechnet:

(3.0075-2.9900) / (3.0100-2.9900) * 100. = 87.5%

Diese Merkmal wird im Prüfprotokoll angezeigt, wenn der bilaterale obere Prozentsatz größer als 87,5 % ist.

Merkmale innerhalb Grenzen einblenden – Beispiel für "Bilateral unten"

Bilateraler unterer Prozentsatz:

Nennwert: 3.0000

Meßwert:2.9925

Abweichung:0.0075

Plus-Tol.: 0.0100

Minus-Tol.:0.0100

Der Prozentsatz wird anhand des Hebelgesetzes berechnet:

(2.9925-2.9900) / (3.0100-2.9900) * 100. = 12.5.%

Diese Merkmal wird im Prüfprotokoll angezeigt, wenn der bilaterale untere Prozentsatz kleiner als 12,5 % ist.
Protokollausgabe im Text-Modus | Diese Option ist nur im Protokollmodus verfügbar. Mit ihr wird bestimmt, ob die Merkmale als formatierter Text (Option ausgewählt) oder als Grafiktabelle (Option nicht ausgewählt) angezeigt werden.

Informationen zur Verwendung des Protokollmodus finden Sie unter "Arbeiten im Protokollmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".


Optionen für die HyperReport-Konfiguration

Display Menu Roadmap Bei Wahl der Registerkarte HyperReport wird ein Dialogfeld eingeblendet, in dem Sie festlegen können, welche Datei die Standard-.RPT-Datei ist und ob der HyperReport nach Ausführung automatisch geladen soll oder nicht. Nachstehend werden die auf der Registerkarte HyperReport verfügbaren Optionen aufgeführt:

Option | Beschreibung
HyperReport autmatisch laden | Durch Auswahl dieses Kontrollkästchens wird PC-DMIS angewiesen, einen bereits vorhandenen HyperReport automatisch zu laden, nachdem das Werkstückprogramm ausgeführt wurde.
Nach dem Laden drucken | Durch Auswahl dieses Kontrollkästchens wird PC-DMIS angewiesen, den HyperReport sofort nach dem Laden zu drucken. Dies funktioniert nur bei automatisch geladenen HyperReports und nicht bei jedem HyperReport, den Sie öffnen. Wenn Sie die Markierung dieses Kontrollkästchen aufheben, erhalten Sie vor dem Drucken eine Voransicht des HyperReports.
Standardprotokoll verwenden | Durch Auswahl dieses Kontrollkästchen wird PC-DMIS angewiesen, das Standardprotokoll zu laden. Sie können ein Standardprotokoll definieren, indem Sie mit der Schaltfläche Durchsuchen den gewünschten HyperReport auswählen und dann auf die Schaltfläche Als Standardprotokoll festlegen klicken. Durch Aktivieren dieses Kontrollkästchens wird PC-DMIS mitgeteilt, daß das Protokoll im Feld HyperReport-Datei zu verwenden ist.
HyperReport-Datei | Dieses Feld enthält den Namen des zu ladenden HyperReports.
Als Standardprotokoll festlegen | Mit dieser Schaltfläche wird festgelegt, daß das Protokoll im Feld HyperReport-Datei automatisch als Standardprotokoll geladen werden soll.

Weitere Informationen zu diesem Dialogfeld und zum Erstellen von HyperView-Reports finden Sie im Abschnitt "Erstellen von HyperView-Reports".


Einrichten des Ergebnisanzeigefensters

Display Menu Roadmap

Always Track FOV Center Prompt History Default Cancel OK Use Polar Coordinates Display error of last measured feature With Auto Zoom Distance to Target Show Current Probe Position on Screen Last Hit Probe Position

Taster Dialogfeld Einrichten des Ergebnisanzeigefensters

Im Dialogfeld Taster-Anzeige einrichten können Sie das gewünschte Format des Taster-Anzeigefensters einstellen. Markieren Sie die Kontrollkästchen, die Ihren Erfordernissen in bezug auf die Taster-Anzeige entsprechen. Wenn die Taster-Ergebnisanzeige dann über die dazugehörige Option wieder aufgerufen wird, erscheint sie im gewählten Format.

Informationen zur Verwendung der Ergebnisanzeige finden Sie unter "Verwenden des Taster-Anzeigefensters" im Abschnitt "Arbeiten mit anderen Fenstern und Editoren".

Siehe auch:

Tasterposition

Letzter Meßpunkt

Aktuelle Tasterposition auf dem Bildschirm einblenden

Abstand zum Ziel

Abstand zum Ziel mit Auto-Zoom

Fehler des zuletzt gemessenen Elements anzeigen

Polarkoordinaten verwenden

Sichtfeldmitte (FOV) immer verfolgen

Zeigt Historie


Tasterposition

Bei Auswahl des Kontrollkästchens Tasterposition zeigt PC-DMIS die aktuelle Position des Tasters an. Die Position des Tasters im aktiven Koordinatensystem wird im Taster-Anzeigefenster angezeigt.


Letzter Meßpunkt

Bei Wahl dieser Option zeigt PC-DMIS die Lage des letzten mit dem Taster aufgenommenen Meßpunkt s an. Ist diese Option nicht aktiviert, zeigt PC-DMIS die aktuelle Tasterposition an.


Aktuelle Tasterposition auf dem Bildschirm einblenden

Das Kontrollkästchen Aktuelle Tasterposition auf dem Bildschirm einblenden unterscheidet sich von dem Kontrollkästchen Tasterposition dadurch, daß es eine grafische Darstellung des Taster s relativ zum KMG auf dem Bildschirm anzeigt. Das ist nützlich, wenn Sie online arbeiten. Wenn Sie den Taster mit Hilfe der Bedieneinheit bewegen, wird die grafische Darstellung des Tasters auf dem PC-DMIS-Bildschirm ebenfalls bewegt.


Abstand zum Ziel

Bei Auswahl der Option Abstand zum Ziel zeigt PC-DMIS den Abstand des Taster s um Zielpunkt. Die Tasterposition wird im aktiven Koordinatensystem angezeigt. Bewegen Sie den Taster manuell zu der über die Tastatur eingegebenen Position. Wenn der Zielpunkt erreicht ist, erscheint die Angabe "0,0,0" in der Taster-Anzeigefenster.


Abstand zum Ziel mit Auto-Zoom

Bei Auswahl der beiden Kontrollkästchen Abstand zum Ziel und Mit Auto-Zoom zeigt PC-DMIS den Tasterabstand zum Zielpunkt an. Die Tasterposition wird im aktiven Koordinatensystem angezeigt. Wenn der Taster manuell zu der über die Tastatur eingegebenen Position bewegt wird, vergrößert PC-DMIS im Grafikfenster automatisch die entsprechende grafische Darstellung.


Fehler des letzten gemessenen Elements anzeigen

Fehler des zuletzt gemessenen Elements anzeigen

Bei Auswahl der Option Fehler des zuletzt gemessenen Elements anzeigen zeigt PC-DMIS mögliche Abweichungen entlang der XYZ-Koordinaten (und D bei kreisförmigen Elementen) für das zuletzt gemessene Element im Taster-Anzeigefenster an. Auch wenn die Abweichung "0" beträgt, wird lediglich "0" angezeigt.


Use Polar Coordinates

Polarkoordinaten verwenden

Bei Auswahl des Kontrollkästchens Polarkoordinaten verwenden schaltet PC-DMIS zwischen rechtwinkligen Koordinaten und Polarkoordinaten hin und her. Wenn Polarkoordinaten verwendet werden, wird auch die Normalrichtung der Arbeitsebene angezeigt.


Immer HotTrack für Sichtfeldmitte

Sichtfeldmitte (FOV) immer verfolgen

Wenn dieser Menüeintrag gewählt ist, zeigt PC-DMIS die Sichtfeldmitte eines berührungslosen Optiksensors. Dieser Eintrag erscheint nur dann, wenn ein berührungsloser Optiksensor definiert wurde.


Zeigt Historie

Bei Auswahl des Kontrollkästchens Bildschirm zeigt Historie zeigt PC-DMIS den neuen Kommentartyp der TasterErgebnisanzeige im Taster-Anzeigefenster an.

  • Über das Feld Zeige Linien pro Zeile können Sie bestimmen, wie viele Zeilen PC-DMIS im Taster-Anzeigefenster selbst für diese Kommentare reservieren soll.
  • Über das Feld Font wählen können Sie zudem die Schriftart und –größe bestimmen, die im Taster-Anzeigefenster für diese Kommentare verwendet werden soll.

(Weitere Informationen hierzu finden Sie unter "Einfügen von Programmiererkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".)

Informationen zur Verwendung des Taster-Anzeigefensters finden Sie unter "Verwenden des Taster-Anzeigefensters" im Abschnitt "Arbeiten mit anderen Fenstern und Editoren".


Einrichten von Mehrarmsystemen

Weitere Einzelheiten zu den Einrichtungsverfahren finden Sie unter "Arbeiten im Mehrarmbetrieb".


Definieren des Drehtisches

Display Menu Roadmap Durch Auswahl der Menüoption Drehtisch einrichten wird das Dialogfeld Drehtischeinrichtung eingeblendet. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".) In diesem Dialogfeld können Sie den Drehtisch definieren. Es ist jeweils nur eine Option pro Kategorie zulässig.

  1. Wählen Sie den Typ des verwendeten Tisches. Wird ein doppelter Drehtisch eingerichtet, geben Sie an, ob Tisch 1 oder 2 aktiv ist. Bei Auswahl von Doppelter Drehtisch wird außerdem die Symbolleiste Aktiver Drehtisch angezeigt, wenn Sie auf die Schaltfläche OK drücken. Diese Symbolleiste enthält zwei Symbole, mit denen Sie den aktiven Drehtisch festlegen können.

    Hinweis für indizierte Drehtische:
    Indizierte Drehtische verfügen über eine begrenzte Anzahl bestimmter Winkel, an denen sie positioniert werden können. Im allgemeinen bewegen sie sich von einer bestimmten Position in festen Inkrementen (Drehgraden) an die nächste verfügbare Position. Der Inkrementalwert variiert allerdings je nach dem verwendeten Tisch. Ziehen Sie ggf. die zum Drehtisch gehörige Dokumentation zu Rate. Stufenlos einstellbare Drehtische können auf jede beliebige Position (in Grad) eingestellt werden.
  2. Stellen Sie fest, ob es sich um einen manuell oder CNC-gesteuerten Tisch handelt und markieren Sie das entsprechende Kästchen.
  3. Geben Sie die XYZ, IJK-Werte ein, falls bekannt.
  4. Klicken Sie auf Kalibrieren, um mit der Kalibrierung zu beginnen.

Hinweis: Die Menüoption Drehtisch einrichten ist nur dann verfügbar, wenn die Anschlußsperre für Drehtische konfiguriert ist.

Siehe auch:

Drehtisch kalibrieren


Drehtisch kalibrieren

Je nachdem, welche Optionen im Dialogfeld Drehtischeinrichtung ausgewählt sind (siehe "Definieren des Drehtisches"), wird eines von zwei Dialogfeldern geöffnet, wenn Sie auf die Schaltfläche Kalibrieren klicken.

  1. Durch Auswahl der Option Tisch ist stufenlos verstellbar und der Schaltfläche Kalibrieren wird die Dialogbox Stufenlos verstellbaren Drehtisch kalibrieren geöffnet.
  2. Durch Auswahl der Option Tisch ist einrastbar und der Schaltfläche Kalibrieren wird die Dialogbox Einrastbaren Drehtisch kalibrieren geöffnet.

Siehe auch:

Einrastbaren Drehtisch kalibrieren

Stufenlos verstellbaren Drehtisch kalibrieren


Einrastbaren Drehtisch kalibrieren

Im Dialogfeld Einrastbaren Drehtisch kalibrieren können Sie die Optionen für die Kalibrierung des ausgewählten Tisches auswählen. Nach der Auswahl der Optionen im Dialogfeld klicken Sie auf die Schaltfläche Kalibrieren, um mit der Kalibrierung des Drehtisches zu beginnen.

Verwendungshinweis: Der einrastbare Drehtisch-Kalibrierung muß die Position 0 einschließen. Zusätzlich müssen alle Winkel, die tatsächlich im Werkstückprogramm verwendet werden, ebenfalls kalibriert werden. Bei diesem Kalibrierverfahren wird die Transformation aller anderen Winkel, die relativ zur 0-Position stehen, berechnet und gespeichert.

Kalibrierhinweis: Die Kalibrierung des einrastbaren Drehtisches erfordert gültige XYZ- und IJK-Werte für den Tisch, damit sie ordnungsgemäß ausgeführt werden kann. Diese können auf zwei Arten bereitgestellt werden:

1.) Wenn die Werte bekannt sind, können sie manuell in das Dialogfeld Drehtisch einrichten eingegeben werden. Dies ist normalerweise jedoch nicht der Fall.

2) Wählen Sie zuerst die Option Tisch ist stufenlos verstellbar und schließen Sie die Kalibrierung des stufenlos verstellbaren Drehtisches ab, der die XYZ- und IJK-Werte berechnet und speichert. Wählen Sie dann Tisch ist einrastbar und führen Sie die Kalibrierung des einrastbaren Drehtisches durch. Dieses Verfahren muß nur dann durchgeführt werden, wenn die Software erstmalig installiert/eingerichtet wird oder wenn der Drehtisch verlagert wurde oder wenn der Nullpunkt des KMG-Koordinatensystems geändert wurde. Wenn die XYZ- und IJK-Werte soweit eingestellt sind, daß die Kalibrierung des einrastbaren Drehtisches erfolgreich durchgeführt werden kann, ist es nicht erforderlich, die Kalibrierung für den stufenlos verstellbaren Drehtisch erneut aufzurufen, um die Kalibrierung des einrastbaren Drehtisches durchzuführen.

Drehtischwinkel hinzufügen

Im Bereich Drehtischwinkel hinzufügen können Sie die Liste der Drehtischwinkel definieren, die bei der Kalibrierung berücksichtigt werden sollen. Sie können entweder jeweils einen Winkel oder einen inkrementierten Winkelbereich definieren. Die definierten Winkel werden anschließend in der Liste Zu kalibrierende Winkel gespeichert. Beim Klicken auf Kalibrieren kalibriert PC-DMIS den Drehtisch unter Verwendung der definierten Winkel.

Beispiel: Um beispielsweise alle Winkel zwischen 5 und 95 Grad mit einer Gradzunahme von 10 zwischen jedem Winkel zu kalibrieren, geben Sie für die Felder Anfangswinkel, Endwinkel und Inkrement 5, 95 bzw. 10 ein und klicken dann auf die Schaltfläche Gleicher Abstand.

Liste "Zu kalibrierende Winkel"

Diese Liste enthält alle Tischwinkel für die Kalibrierung. Sie können dieser Liste Winkel aus dem Bereich Tischdrehwinkel hinzufügen hinzufügen. In der Liste Zu kalibrierende Winkel muß der Nullwinkel verwendet werden.

Andere Dialogfeldparameter

Dieses Dialogfeld stellt viele der Optionen bereit, die auch im Abschnitt "Definieren von Hardware" beschrieben wurden.

  • Weitere Informationen zu Anzahl der Meßpunkte, Vorhaltebereich/Rückfahrweg, Bewegungsgeschwindigkeit, Meßgeschwindigkeit, Manueller/ CNC- -Modus, Liste der verfügbaren Kalibriernormale, Kalibriernormal hinzufügen und Kalibriernormal löschen finden Sie unter "Messen" im Abschnitt "Definieren von Hardware".
  • Siehe auch Aktive Taster datei und Aktuelle Tastspitze unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".


Stufenlos verstellbaren Drehtisch kalibrieren

Das Dialogfeld Stufenlos verstellbaren Drehtisch kalibrieren unterscheidet sich vom Dialogfeld Einrastbaren Drehtisch kalibrieren in den folgenden Bereichen:

  • Anstelle der Liste Zu kalibrierende Winkel wird im Dialogfeld die Liste Drehtischwinkel angezeigt.
  • Sie müssen den Nullwinkel (0,0) in der Liste Drehtischwinkel nicht verwenden.
  • Anstelle der drei Kalibriernormale zeigt das Dialogfeld jetzt nur ein Kalibriernormal an.

Weitere Informationen zu anderen Optionen dieses Dialogfeldes finden Sie unter "Einrastbaren Drehtisch kalibrieren".


Einrichten der Tasterwechsler-Optionen

Display Menu Roadmap Durch Auswahl der Menüoption Tasterwechsler wird das Dialogfeld Tasterwechsler göffnet. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".) In diesem Dialogfeld können Sie die verschiedenen Optionen für den Tasterwechsler einstellen. Das Dialogfeld enthält folgende Registerkarten:

Typ | Hier können Sie den Tasterwechslertyp bestimmen.
Kalibrieren | In diesem Register können Sie festlegen, welche aktiven Tastspitzen kalibriert werden sollen.
Anfahrpunkt | Hier können Sie die AB-Winkel des Wrists ändern und eine sichere Position definieren, in die das KMG sich nach jedem Zyklus zurückziehen kann.
Tastergaragen | Hier können Sie die Tasterkonfiguration für vorhandene Tastergaragen im Tasterwechslermagazin definieren.
Kommunikationsanschluß | Hier können Sie die Verbindung zwischen dem seriellen Anschluß des Computers und dem Tasterwechsler einstellen.

Diese Optionen werden im folgenden näher erläutert.

Hinweis: Sie können einen vorhandenen Tasterwechslers im Grafikfenster anzeigen lassen. Siehe "Einblenden eines Animierten Tasterwechslers " im Abschnitt "Definition der Hardware".

Siehe auch:

Typ

Kommunikation

Kalibrieren

Anfahrpunkt

Tastergaragen


Typ

Display Menu Roadmap

Help Apply Cancel OK Docking Speed Probe Changer Type Number of Probe Changers Active Probe Changer Comm Slots Mount Point Calibrate

Vor Durchführung der Kalibrierung muß der Tasterwechslertyp ausgewählt werden. Wählen Sie den Tasterwechslertyp in der Auswahlliste Tasterwechsler aus. Nach einer Änderung des Tasterwechslertyps muß PC-DMIS neu gestartet werden.

Die Kopplungsgeschwindigkeit kann geändert werden, um den Betrieb des Wechslerzyklus optimal anzupassen. Geben Sie einfach einen neuen Prozentsatz zur Einstellung der Kopplungsgeschwindigkeit ein.

Siehe auch:

Auswahl Tasterwechsler

Anzahl der Tasterwechsler

Tasterwechslertyp

Kopplungsgeschwindigkeit


Voreinstellungen - Typ - Auswahl Tasterwechsler

Auswahl Tasterwechsler

Je nach dem im Feld Anzahl von Tasterwechslern eingegeben Wert werden in der Liste Auswahl Tasterwechsler numerierte Einträge (Tasterwechsler1, Tasterwechsler2, Tasterwechsler3 usw.) aufgeführt, denen Sie einen Tasterwechsler und die zugehörigen Werte zuordnen können.

Anfänglich zeigt PC-DMIS nur einen Eintrag in der Liste, in der Regel "Tasterwechsler1", an. Sie können der Liste weitere Einträge hinzufügen, indem Sie den Wert im Feld Anzahl von Tasterwechslern erhöhen.

In der Liste Auswahl Tasterwechsler speichert PC-DMIS den von Ihnen gewählten Tasterwechslertyp sowie andere Werte für den numerierten Eintrag.


Anzahl der Tasterwechsler

Im Feld Anzahl der Tasterwechsler können Sie die Anzahl der zu verwendenden Tasterwechsler festlegen. Der in dieses Feld eingegebene Wert entspricht der Anzahl der verfügbaren Tasterwechsler in der Liste Auswahl Tasterwechsler.


Tasterwechslertyp

Die verschiedenen Tasterwechslertypen sind in der Auswahlliste Tasterwechslertyp aufgeführt.


Kopplungsgeschwindigkeit

Im Feld Kopplungsgeschwindigkeit können Sie die Kopplungsgeschwindigkeit des Wechslerzyklus' festlegen.


Kommunikation

Display Menu Roadmap

Help Apply Cancel OK Slots Mount Point Calibrate Type

Einige Tasterwechslertypen werden über den seriellen Anschluß (den Kommunikationsanschluß) an den Computer angeschlossen. In diesem Dialogfeld können Sie den COM-Anschluß bestimmen und die Anschlußeinstellungen festlegen.

Dieses Dialogfeld erscheint nur dann, wenn Ihr Tasterwechsler über den seriellen Anschluß an den Computer angeschlossen wird.


Voreinstellungen - Einrichten der Tasterwechsler-Optionen - Kalibrieren

Home Contents Previous Next

Kalibrieren

Display Menu Roadmap

Single Port Calibration Help Apply Cancel OK Calibrate Partial Calibration Full Calibration Active Tip Active Probe File Active Probe Changer Comm Slots Mount Point Type

Bevor die Tasterkonfigurationen in das Tastermagazin geladen werden können, beachten Sie folgende Hinweise:
  • Der Taster muß auf der Registerkarte Typ ausgewählt und kalibriert sein.
  • Der Wechsler sollte im rechten Winkel zu einer der Achsen des KMGs stehen.
  • Der Tasterwechsler muß mit dem von Renishaw gelieferten Taster PS35R kalibriert werden.
  • Vergewissern Sie sich, daß der Taster kalibriert wurde, bevor Sie dieses Verfahren beginnen. (Informationen hierzu finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".

ACHTUNG: Das optoelektronische IR-Erkennungssystem ist immer aktiv. Sollte es versehentlich ausgelöst werden, deaktiviert die PI200 (die Steuereinheit des Tasters) den TP200.

Siehe auch:

Auswahl Tasterwechsler

Aktuelle Tasterdatei

Aktuelle Tastspitze

Volles Einmessen

Partielles Einmessen

Einzelne Garage Einmessen

Kalibrieren


Voreinstellungen - Kalibrieren - Auswahl Tasterwechsler

Auswahl Tasterwechsler

In der Liste Aktuelle Tasterwechsler können Sie den zu kalibrierenden Tasterwechsler auswählen.

Weitere Informationen zu dieser Liste finden Sie unter "Auswahl Tasterwechsler" auf der Registerkarte Typ.


Aktuelle Tasterdatei

Im Auswahllistenfeld Aktuelle Tasterdatei können Sie einen Taster für das Kalibrierverfahren auswählen.


Voreinstellungen - Kalibrieren - Aktuelle Tastspitze

Aktuelle Tastspitze

Display Menu Roadmap In der Auswahlliste Aktuelle Tastspitze können Sie eine Tastspitze nkonfiguration für den ausgewählten Taster festlegen.


Volles Einmessen

Bei Auswahl der Option Volles Einmessen mißt PC-DMIS den gesamten Tasterwechsler. Dies ist die am häufigsten verwendete Kalibrierung smethode und für einige Wechslertypen die einzig verfügbare. Es wird dringend empfohlen, eine volle Kalibrierung auszuführen.


Partielles Einmessen

Mit der Option Partielles Einmessen wird nur ein Teil des Tasterwechslers kalibriert. Beim ACR1 wird nur die Bezugselementkugel auf dem Tasterwechsler gemessen.


Einzelne Garage Einmessen

Bei einigen Tasterwechslern ist nach einer erfolgreichen vollen Kalibrierung auch die Messung einer einzelnen Tastergarage zulässig.

Die Option Einzelne Garage Einmessen ist verfügbar, wenn Sie mit einem ACR2- oder Zeiss-Tasterwechsler arbeiten.


Voreinstellungen - Kalibrieren - Kalibrieren

Kalibrieren

Mit der Schaltfläche Kalibrieren können Sie das Kalibrierverfahren starten. Über diese Schaltfläche wird das Dialogfeld Tasterwechsler aufgerufen. Im folgenden wird die Kalibrierung des Tasterwechslers näher erläutert.

So kalibrieren Sie den SCR200-Tasterwechsler:

  1. Vergewissern Sie sich, daß auf dem SCR200 der B-Modus eingestellt ist.
  2. Laden Sie den kalibrierten Taster PS35R.
  3. Nehmen Sie an der Vorderseite des Tasterwechslers einen Meßpunkt auf.
  4. Nehmen Sie oben auf dem Tasterwechsler einen Meßpunkt auf.
  5. Heben Sie die Abdeckung von Tastergarage Nr. 1 an. Während die Abdeckung sich in einer senkrechten Stellung befindet, schieben Sie sie zur Mitte hin, bis sie in dieser geöffneten Stellung einrastet. PC-DMIS fordert Sie dann auf, einen Meßpunkt an jeder Seite der Tastergarage aufzunehmen.
  6. Nehmen Sie jeden Meßpunkt auf dem unteren Gestell der Tastergarage im Tastermagazin auf (siehe Grafik). Es spielt keine Rolle, welche Seite der Tastergarage zuerst gemessen wird. Vergessen Sie nicht, nach jedem Meßpunkt die Schaltfläche Fertig anzuklicken.
  7. Schließen Sie die Abdeckung von Tastergarage Nr. 1.
  8. Wiederholen Sie das Verfahren (Schritt 4 bis 6) an der letzten Tastergarage im Wechsler. Vergewissern Sie sich, daß die Abdeckung von Tastergarage Nr. 1 geschlossen ist, bevor Sie die Abdeckung der letzten Tastergarage öffnen. Die PI200 deaktiviert den TP200, wenn mehrere Abdeckungen gleichzeitig geöffnet sind.

Wenn Sie das oben beschriebene Verfahren abgeschlossen haben, klicken Sie im Dialogfeld Tasterwechsler auf OK.


Anfahrpunkt

Display Menu Roadmap

Help Apply Cancel OK CMM Position Probe Head Wrist Angle Active Probe Changer Comm Slots Calibrate Type

Auf der Registerkarte Anfahrpunkt können Sie die AB-Winkel des Wrists ändern und eine sichere Position definieren, in die das KMG sich vor jedem Wechslerzyklus zurückziehen kann.

Sie können dies für jeden Tasterwechsler durchführen, der anhand der Registerkarte Typ definiert wird. Wählen Sie den Tasterwechsler aus der Liste Auswahl Tasterwechsler aus und geben Sie die gewünschten AB-Winkel und die KMG-Position ein.

Siehe auch:

Auswahl TasterwechslerActiveProbeChanger3

Wristwinkel für Tastkopf

KMG-Position


Voreinstellungen - Anfahrpunkt - Auswahl Tasterwechsler

Auswahl Tasterwechsler

Aus der Liste Auswahl Tasterwechsler können Sie den Tasterwechsler auswählen, für den die Winkel des AB-Wrists und die KMG-Position definiert werden müssen.

Weitere Informationen zu dieser Liste finden Sie unter "Auswahl Tasterwechsler" auf der Registerkarte Typ.


Wristwinkel für Tastkopf

Die Felder Winkel A und Winkel B geben die Position auf dem PH9-Arm an, während die Tasterkonfigurationen in Position geschoben werden. In praktisch allen Fällen sollte der Winkel eine gerade nach unten gerichtete Position angeben.

So ändern Sie die AB-Winkel aus einer gerade nach unten gerichteten Position:

  1. Setzen Sie den Cursor in das Feld Winkel A bzw. Winkel B.
  2. Geben Sie den gewünschten Winkel ein.


KMG-Position

Im Bereich KMG-Position dieses Dialogfelds können Sie einen sicheren Ort für das KMG angeben, an den es sich vor jedem Wechslerzyklus zurückziehen kann. Im allgemeinen befindet sich dieser sichere Ort ca. 5 cm über und vor dem Tasterwechslermagazin. Je nach Typ des verwendeten Tasterwechslers könnte es jedoch erforderlich sein, eine andere Position zu definieren.

So ändern Sie die Werte für die KMG-Position:

  1. Markieren Sie den im Feld X, Y oder Z stehenden Wert, den Sie ändern wollen.
  2. Geben Sie den gewünschten Wert in das entsprechende Feld ein, oder wählen Sie die Schaltfläche KMG lesen, wenn die aktuelle Position des KMG eingefügt werden soll.


Tastergaragen

Display Menu Roadmap

<IMG BORDER=0 WIDTH=436 HEIGHT=343 SRC="images/slots.gif" USEMAP="#slots" ALT="slots">

<MAP NAME="slots">

<!-- 'JI(">proc","ToManuallyEditaSlot.sXYZLocation")' Macro Invisible 'Edit Slot Data' -->

<AREA SHAPE="RECT" ALT="Edit Slot Data" COORDS="22,247,126,276" HREF="tomanuallyeditaslot.sdata.htm">

<!-- 'JI(">proc","Help2")' Macro Invisible 'Help' -->

<AREA SHAPE="RECT" ALT="Help" COORDS="348,307,427,336" HREF="help2.htm">

<!-- 'JI(">proc","Apply1")' Macro Invisible 'Apply' -->

<AREA SHAPE="RECT" ALT="Apply" COORDS="270,310,348,334" HREF="apply1.htm">

<!-- 'JI(">proc","Cancel")' Macro Invisible 'Cancel' -->

<AREA SHAPE="RECT" ALT="Cancel" COORDS="188,306,267,332" HREF="cancel.htm">

<!-- 'JI(">proc","OK")' Macro Invisible 'OK' -->

<AREA SHAPE="RECT" ALT="OK" COORDS="110,310,184,334" HREF="ok.htm">

<!-- 'JI(">level3","Comm1")' Macro Invisible 'Comm' -->

<AREA SHAPE="RECT" ALT="Comm" COORDS="53,30,95,49" HREF="comm1.htm">

<!-- 'JI(">level3","MountPoint")' Macro Invisible 'Mount Point' -->

<AREA SHAPE="RECT" ALT="Mount Point" COORDS="150,30,214,47" HREF="mountpoint.htm">

<!-- 'JI(">level3","Calibrate1")' Macro Invisible 'Calibrate' -->

<AREA SHAPE="RECT" ALT="Calibrate" COORDS="98,32,149,49" HREF="calibrate1.htm">

<!-- 'JI(">level3","Type1")' Macro Invisible 'Type' -->

<AREA SHAPE="RECT" ALT="Type" COORDS="13,31,51,48" HREF="type1.htm">

</MAP>

Bei einem Tasterwechsler handelt es sich um ein Magazin mit Einschüben (den sog. "Garagen") für verschiedene Tasterkonfigurationen. Auf der Registerkarte Tastergaragen können Sie die Tasterkonfiguration für jede zu verwendende Garage definieren. Die Standardeinstellung für jede Garage lautet "kein Taster". Sie können für jede Tastergarage des ausgewählten Tasterwechslers eine gesonderte Tasterkonfiguration definieren.

Siehe auch:

So definieren Sie die Tasterkonfiguration für jede Tastergarage

Manuelle Bearbeitung der Tastergaragendaten

So setzen Sie einen bereits definierten Taster auf die Standardeinstellung "Kein Taster" zurück

Tastergaragen im Dialogfeld hinzufügen oder entfernen

Einen Taster ablegen ohne einen neuen Taster aufzunehmen


So definieren Sie die Tasterkonfiguration für jede Tastergarage

  1. Wählen Sie den gewünschten Tasterwechsler aus der Liste Auswahl Tasterwechsler aus.
  2. Klicken Sie auf das Pluszeichen (+) links neben der Tastergaragennummer. Beachten Sie, daß PC-DMIS standardmäßig den Eintrag "Kein Taster" anzeigt.
  3. Doppelklicken Sie oder klicken Sie mit der rechten Maustaste auf den Eintrag "Kein Taster". Jetzt erscheint eine Liste.
  4. Weisen Sie jeder Tastergarage die entsprechende Tasterdatei zu. Jede Tasterkonfiguration muß mit dem KMG-Arm und der Option Aktuellen Taster laden in das Tastermagazin geladen werden. (Setzen Sie den Taster nicht von Hand in das Magazin ein!)


Zurücksetzen eines bereits definierten Tasters auf die Standardeinstellung "Kein Taster"

  1. Wählen Sie den gewünschten Tasterwechsler aus der Liste Auswahl Tasterwechsler aus.
  2. Doppelklicken Sie auf die Garage, die Sie ändern wollen. Jetzt erscheint eine Liste.
  3. Wählen Sie "Kein Taster" aus der verfügbaren Liste.


Tastergaragen im Dialogfeld hinzufügen oder entfernen

Bei einigen Tasterwechslertypen können Sie die Anzahl der Tastergaragen definieren.

  1. Wählen Sie den gewünschten Tasterwechsler aus der Liste Auswahl Tasterwechsler aus.
  2. Ändern Sie den Wert im Feld Anzahl der Garagen.
  3. Klicken Sie auf Übernehmen, um die Änderungen sofort zu übernehmen.

Wenn Ihr Tasterwechsler keine Änderung der Tastergaragenanzahl zuläßt, ist das Feld Anzahl der Garagen deaktiviert.


Einen Taster ablegen ohne einen neuen Taster aufzunehmenToDropoffaProbewithoutPickingupaNewProbe>proc

Einen Taster ablegen ohne einen neuen Taster aufzunehmen

Gegebenenfalls soll der aktuelle Taster im Tasterwechsler abgelegt werden, ohne daß ein neuer Taster aus dem Wechsler geladen wird.

Vorgehensweise:

  1. Erzeugen Sie über das Dialogfeld Taster-Hilfsprogramme eine Pseudo-Tasterdatei für einen nicht vorhandenen Taster. Der Dateiname könnte etwa "entladen" lauten. Informationen hierzu finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".
  2. Klicken Sie auf die Schaltfläche Einrichten. Das Dialogfeld Taster einrichten wird angezeigt.
  3. Wählen Sie die besagte Tasterdatei aus der Liste Tasterdatei für das 'Nur Endladen' im Tasterwechsler aus.
  4. Klicken Sie auf OK, um das Dialogfeld Taster einrichten zu schließen.
  5. Öffnen Sie die Registerkarte Tastergaragen im Dialogfeld Tasterwechsler und vergewissern Sie sich, daß der Taster KEINER Tastergarage im Tasterwechsler zugewiesen ist.
  6. Klicken Sie auf OK, um das Dialogfeld Taster einrichten zu schließen.


Laden des aktuellen Tasters

Display Menu Roadmap Über den Menübefehl Aktuellen Taster laden wird der für das Werkstückprogramm erforderliche aktuelle Taster geladen. Während das Programm im Lernmodus läuft, können Sie die geladene(n) Tasterdatei(en) im Dialogfeld Taster-Hilfsprogramme ändern. Im Dialogfeld Tasterwechsler einrichten können Sie die entsprechenden Tasterkonfigurationen für jede zu verwendende Tastergarage definieren. Mit Hilfe der Option Aktuellen Taster laden können Sie das Gerät dann anweisen, die erforderliche(n) Tasterkonfiguration(en) zu wechseln. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)


Einrichten der KMG-Schnittstelle

Display Menu Roadmap Mit der Menüoption KMG-Schnittstelle einrichten wird das Dialogfeld KMG -Optionen für die jeweils verwendete Maschinenschnittstelle aufgerufen. Obgleich der Inhalt der Registerkarten für die Schnittstellen im Dialogfeld, je nach verwendeter Schnittstelle, stark variieren kann, enthalten die Registerkarten gewöhnlich folgende Setup-Informationen:

  • KMG- und Tasterkopf-Kommunikation
  • Mechanische Versätze
  • Maschinenachsenausrichtung
  • Debug-Informationen

Beispielsweise enthält die Registerkarte Maschinenachse Listen für die X-, Y- und Z-Achsen. Wählen Sie aus diesen Auswahllisten die systemeigenen Maschinenachsen, die den PC-DMIS-Achsen zugewiesen werden.

Vorsicht: Eine Änderung der Standardeinstellungen in der Registerkarte Maschinenachse kann die volumetrische Kompensation des KMGs ungültig machen (je nach Art der verwendeten Steuereinheit und des volumetrischen Kompensationsverfahrens).

Die Option KMG-Schnittstelle einrichten ist nur im Online-Modus verfügbar.

Die Installation und Einrichtung der verschiedenen Schnittstellen werden in der Installationsdokumentation (Machine_Interface_Installation_Manual.doc) beschrieben.

Vorsicht: In den meisten Fällen sollten Sie keinen der Werte in diesem Dialogfeld ändern. Im Falle einiger Einträge in diesem Dialogfeld, wie beispielsweise im Bereich Mechanische Versätze, werden die Werte für Ihr KMG, die auf dem Festplattenlaufwerk der Steuereinheit gespeichert sind, dauerhaft überschrieben. Im Falle von Fragen, wie und wann das Dialogfeld KMG-Optionen zu verwenden ist, wird empfohlen, sich an Ihren Kundendienstbetreuer vor Ort zu wenden.

Durch die folgenden Prozeduren werden die Daten auf dem Festplattenlaufwerk der Steuereinheit nicht überschrieben. Sie können Sie sicher ausführen.

Siehe auch:

Die Werkseinstellungen der Steuereinheit wiederherstellen

Eine Debug-Datei erzeugen


Die Werkseinstellungen der Steuereinheit wiederherstellen

Falls Sie die ursprünglichen Werkseinstellungen Ihres KMGs überschrieben haben, als Sie auf einer der Registerkarten im Dialogfeld Parametereinstellungen auf Standard geklickt haben, besteht bei mit einer Leitz-Schnittstelle ausgestatteten KMGs immer noch die Möglichkeit, diese wiederherzustellen. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld KMG-Optionen (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap Auf der ersten Registerkarte, die angezeigt wird, aktivieren Sie das Kontrollkästchen KMG-Standardeinstellungen bei Programmstart lesen. Damit wird PC-DMIS angewiesen, die Steuereinheit des KMGs beim nächsten Programmstart nach KMG-Standardeinstellungen zu durchsuchen.

  3. Klicken Sie auf OK, um das Dialogfeld zu schließen.

Bei der nächsten Ausführung von PC-DMIS werden die im PC-DMIS-Einstellungseditor gespeicherten Werte durch die ursprünglichen KMG-Werkseinstellungen ersetzt, die in der Steuereinheit gespeichert sind.

Hinweis: Die ursprünglichen Werkseinstellungen können mit diesem Verfahren nicht wiederhergestellt werden, wenn sie auf dem Festplattenlaufwerk der Steuereinheit überschrieben wurden.


Erzeugen einer Debug-Datei

PC-DMIS bietet die Möglichkeit, eine besondere Textdatei zu erstellen. Sie enthält die gesamte Kommunikation, die während der Ausführung des Werkstückprogramms zwischen PC-DMIS und dem KMG stattfindet. Diese Datei wird als Debug-Datei bezeichnet und vom technischen Kundendienst genutzt, um bestimmte Probleme in Zusammenhang mit dem KMG zu lösen.

Die Debug-Datei führt alle Befehle, die PC-DMIS an das KMG sendet, alle erhaltenen Reaktionen und alle durch die Steuereinheit erzeugten Fehlermeldungen auf.

Wenn Sie wiederholbare Probleme in Zusammenhang mit der KMG-Bewegung im Online-Modus feststellen, können Sie selbst eine Debug-Datei erstellen. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld KMG-Optionen und wählen Sie die Registerkarte Debug (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap Aktivieren Sie das Kontrollkästchen Protokoll.

  3. Geben Sie im Feld neben dem Kontrollkästchen Protokoll einen Namen für die Debug-Datei ein. Der Standarddateiname lautet default.txt. Wenn Sie möchten, können Sie auch den vollen Verzeichnispfad vor den Dateinamen setzen, um das Laufwerk und Verzeichnis zu bestimmen, in das die Debug-Datei gesendet werden soll. Standardmäßig schreibt PC-DMIS die Debug-Datei in das Verzeichnis, in dem PC-DMIS installiert ist.
  4. Klicken Sie auf Übernehmen und dann auf OK. Das Dialogfeld wird geschlossen.
  5. Führen Sie das Werkstückprogramm aus und verlassen Sie PC-DMIS sofort, wenn Sie auf den Fehler stoßen.
  6. Navigieren Sie zum Verzeichnis, das Ihre Debug-Datei enthält und benennen Sie die Debug-Datei um. Wenn Sie die Debug-Datei nicht umbenennen, wird PC-DMIS beim nächsten Programmstart automatisch alle in der Debug-Datei gespeicherten Daten überschreiben.

Es wird empfohlen, die Debug-Datei, die Werkstückprogrammdatei (.prg), die Taster datei (.prb) und alle anderen erforderlichen Dateien an Ihren Technischen Kundendienstbetreuer zu senden.

Siehe auch:

Erzeugen einer neuen Debug-Datei


Erzeugen einer neuen Debug-Datei

Aktivieren Sie in der Registerkarte Debug das Kontrollkästchen Protokoll bei Ausführungsbeginn zurücksetzen, um eine neue Debug-Datei zu erstellen und alle vorhandenen Daten zu entfernen. PC-DMIS wird die Inhalte der vorhandenen Debug-Datei dann jedesmal, wenn die Ausführung eines Werkstückprogramms gestartet wird, zurücksetzen.

Wenn Sie Protokoll bei Ausführungsbeginn zurücksetzen deaktivieren, ergänzt PC-DMIS die vorhandene Protokolldatei durch einen Anhang statt die Inhalte zu löschen.


Temperaturkompensation

Display Menu Roadmap

Default Cancel OK Get Current Temps Reset to Defaults Compensation Method Temperature Compensation Enabled Delay Before Reading Part Time Remaining Show Temperature in Celsius Qualification Tool Origin Low Threshold High Threshhold Reference Temp Previous Temperature Current Temperature Material Coefficient Sensor Numbers

Durch Auswahl der Menüoption Temperaturkompensation einrichten wird das Dialogfeld Temperaturkompensation einrichten eingeblendet. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".) In diesem Dialogfeld können Sie die Kompensationswerte für die Raum- und Werkstücktemperatur einstellen und so die Genauigkeit des Prüfverfahrens erhöhen.

Informationen zur Temperaturkompensation während der Mehrarm-Kalibrierung finden Sie unter "Temperaturkompensation bei Mehrarm-Kalibrierung" im Abschnitt "Arbeiten im Mehrarmbetrieb".

Siehe auch:

STP-Dateien verwenden

Verfügbare Eingabeparameter

TEMPKOMP-Befehl im Bearbeitungsfenster

Unterstützung der Steuereinheit


STP-Dateien verwenden

Jedes KMG verwendet maschinenspezifische Parameter zur Temperaturkompensation jeder Achse, wie beispielsweise Wärmekoeffizienten und Sensorzuweisungen. Zusammen mit einem eingebetteten Code, der PC-DMIS mitteilt, ob die Datei eine strukturelle oder lineare Kompensationsdatei ist, werden diese Parameter in gesonderten (die nach der Erweiterung .stp benannten) STP-Dateien gespeichert. Diese wurden durch Ihren KMG-Anbieter erstellt.

PC-DMIS benötigt diese STP-Dateien zur Temperaturkompensation.

Bevor die Temperaturkompensation durchgeführt ist, ist sicherzustellen, daß sich diese STP-Dateien an den richtigen Stellen auf Ihrem Festplattenlaufwerk befinden:

  • Das Strukturelle Temperaturkompensationsverfahren von DEA erwartet die Serv1.stp file im Verzeichnis C:\Thermal_OCX vorzufinden.
  • Das Lineare Temperaturkompensationsverfahren von DEA erwartet die Serv1.stp file im Verzeichnis C:\Program Files\Thermal_OCX vorzufinden.

Siehe auch:

Lineare und Strukturelle Temperaturkompensation


Lineare und Strukturelle Temperaturkompensation

Lineare Kompensation = (Thermischer Ausdehnungskoeffizient) X (Verschiebung + Veränderung der Temperatur jeder Achse und dem Werkstück) Wenn eine Achse mit mehreren Temperatursensoren ausgestattet ist, ermittelt PC-DMIS den Ergebnisdurchschnitt, um die Temperaturveränderung festzustellen.

Die Strukturelle Kompensation erkennt, daß die verschiedenen Materialkomponenten eines KMGs unterschiedliche Temperaturen aufweisen können. (Eine einzige Maschinenachse kann beispielsweise verschiedene Temperaturen aufweisen. Die Folge sind gewisse Durchbiegungen, Krümmungen oder Verformungen der Maschine.) Die strukturelle Kompensation nimmt dann die Temperaturkorrekturen für bestimmte Bereiche des KMGs vor. Wird der Menüeintrag Temperaturkompensation gewählt, wird das Verzeichnis Structural Thermal_OCX aufgerufen und PC-DMIS berechnet eine neue temporäre volumetrische Kompensationsmatrix.


Verfügbare Eingabeparameter

Display Menu Roadmap Im folgenden werden die verfügbaren Eingabeparameter des Dialogfeldes Temperaturkompensation einrichten erläutert.

Siehe auch:

Sensornummern-Felder

Materialkoeffizient-Felder

Aktuelle Temp.-Felder

Vorh. Temp.-Felder

Bezugstemp.-Felder

Oberer Grenzwert-Felder

Unterer Grenzwert-FelderLowThresholdboxes>proc

Nullpunk-Felder

Temperaturen in Celsius einblenden

Temperaturkompensation aktiviert

Kompensationsmethode

Verbleibende Zeit

Verzögerung vor Lesen der Werkstücktemperatur

Zurücksetzen

Aktuelle Temperaturen lesen


Sensorennummern-Felder

Die Sensorennummern-Felder enthalten eine Liste mit einer oder mehreren Sensorennummern, die für eine bestimmte Achse bzw. ein bestimmtes Werkstück verwendet werden sollen. Diese Werte sind sehr wichtig für das Ablesen der Temperaturen von der Steuereinheit, denn sie müssen der tatsächlichen Konfiguration der Sensoren entsprechen.

  • Jeder Sensor entspricht einer Nummer im Bereich von 1 bis 32.
  • Bei den Einträgen in der Liste kann es sich entweder um eine einzelne Nummer oder einen Nummernbereich von der ersten bis zur letzten Nummer handeln.
  • Die einzelnen Einträge werden durch Kommata oder Leerstellen voneinander getrennt.
  • Für jede Achse oder das Werkstück können maximal 32 Werte eingegeben werden.

Für den "manuellen" Modus sind diese Nummern relativ bedeutungslos, doch jeder Achse und dem Werkstück muß mindestens eine Sensornummer zugeordnet werden.


Materialkoeffizient-Felder

Die Materialkoeffizient-Felder enthalten Nummern, die die Materialeigenschaft beschreiben und die Längenänderung pro Einheitsänderung der Temperatur als Bruch anzeigen.

  • Die Werte variieren und hängen davon ab, welches Material für die Skalen auf den Achsen des Geräts und für das Werkstück verwendet wurde.
  • Als Maßeinheit wird Grad Celsius oder Grad Fahrenheit verwendet, abhängig davon, ob das Kontrollkästchen für die Anzeige in Grad Celsius gewählt wurde oder nicht.
  • Die Anzeige kann in Metern/Meter/Grad C oder in Zölle/Zoll/Grad F erfolgen, doch da die Längen im Zähler und im Nenner in derselben Einheit eingegeben werden, ergibt die Division das gleiche Ergebnis.

Beispiel: Ein Maßstab mit einem Koeffizienten von 11,5 Mikron/Meter/Grad C ergibt 0,0000115 Meter/Meter/Grad C oder einfach 0,0000115/Grad C.

Kalibriernormal

In diesem Feld können Sie den Materialkoeffizienten für das Kalibriernormal des Tasters gesondert vom Werkstück festlegen


Aktuelle Temp.-Felder

Die Aktuelle Temp.-Felder zeigen die aktuellen Temperaturen in den jeweiligen Maßeinheiten an. Sie können diese entweder eingeben oder von der Steuereinheit einlesen lassen, abhängig davon, welcher Gerätetyp verwendet und welche Optionen gewählt wurden.


Vorherige Temp.-Felder

Die Vorherige Temp.-Felder zeigen stets die zuvor gelesenen Temperaturen. Wenn zuvor keine Temperaturen gelesen wurden, stehen diese Werte entweder auf Null oder die Felder sind leer.


Bezugstemp.-Felder

Die Bezugstemp.-Felder zeigen die Bezugstemperatur. Von dieser Temperatur ausgehend sind Temperaturkompensationsanpassungen vorzunehmen.

  • Der anzuwendende Korrekturbetrag wird errechnet, indem der Materialkoeffizient mit der Differenz zwischen der aktuellen Temperatur und der Bezugstemperatur multipliziert wird.
    Korrekturbetrag = Materialkoeffizient x (Aktuelle Temp. – Bezugstemp.)
  • Wenn die aktuelle Temperatur mit der Bezugstemperatur übereinstimmt, erfolgt keine Anpassung der Wärmekompensation.
  • Der Wert in diesen Feldern beträgt fast immer 20 Grad C oder den entsprechenden Wert in Fahrenheit.


Oberer Grenzwert-Felder

Die Oberer Schwellenwert-Felder zeigen eine Obergrenze (in den jeweiligen Maßeinheiten) für die aktuelle Temperatur, oberhalb derer keine weitere Wärmekompensation vorgenommen wird. PC-DMIS erteilt keine Warn- oder Fehlermeldungen.

Beispiel: Bei einer Bezugstemperatur von 20 Grad C, einer aktuellen Temperatur von 35 Grad C und einem oberen Grenzwert von 30 Grad C würde für den tatsächlich angewendeten Korrekturbetrag die Differenz (30 – 20) anstelle von (35 – 20) herangezogen, da die aktuelle Temperatur über der Obergrenze liegt.


Unterer Grenzwert-Felder

Das Konzept der Unterer Schwellenwert-Felder ist mit dem für den oberen Schwellenwert identisch, mit dem Unterschied, daß eine Untergrenze für die aktuelle Temperatur vorgegeben wird, unterhalb derer keine weitere Wärmekompensation durchgeführt wird.


Nullpunkt-Felder

Anhand der Nullpunkt-Felder können Sie die Länge des Elements festlegen, auf das die Wärmekompensation angewendet wird.

Länge = Aktueller Positionswert – Nullpunktwert

  • Die X-, Y- und Z-Werte der Nullpunkt-Felder betragen meist Null. Einige Gerätetypen verwenden jedoch nicht Null für den Nullpunkt ihrer Skalen.
  • Der Wert Werkstück beträgt meist ebenfalls Null, sofern keine besonderen Beschränkungen für das Aufspannsystem bestehen.


Temperaturen in Celsius einblenden

Das Kontrollkästchen Temperaturen in Celsius einblenden wirkt sich sowohl auf die Temperaturen als auch auf den Materialkoeffizienten aus.

  • Bei Auswahl dieses Kontrollkästchens erfolgt die Anzeige in Grad Celsius.
  • Wird dieses Kontrollkästchens deaktiviert, verwendet PC-DMIS Grad Fahrenheit.


Temperaturkompensation aktiviert

Bei Auswahl des Kontrollkästchens Temperaturkompensation aktiviert wird PC-DMIS angewiesen, die Temperaturkompensation zu verwenden.

  • Wird diese Option nicht gewählt, führt PC-DMIS keine Temperaturkompensation durch und der Befehl TEMPKOMP (falls er im Werkstückprogramm enthalten ist) hat keine Auswirkungen.
  • Bei Auswahl dieser Option verhält sich PC-DMIS gemäß der Eingabeparameter.


Kompensationsmethode

Im folgenden werden die verfügbaren Kompensationsmethoden und die entsprechenden Abläufe in PC-DMIS aufgeführt.

Methode Ablauf
Manuell
  • Die Kompensation wird manuell (durch Ihre Eingabe gesteuert) vorgenommen, ohne Beteiligung der KMG-Steuereinheit.
    • PC-DMIS führt alle Kompensationsberechnungen durch.
    • Während der Ausführung des Werkstückprogramms wird das Dialogfeld Temperaturkompensation einrichten geöffnet, in dem die aktuellen Einstellungen vor dem Fortfahren des restlichen Programms bearbeitet werden können.
Temperaturen von Steuereinheit einlesen
  • Bei Verwendung eines Geräts, das diese Option unterstützt, liest PC-DMIS die aktuellen Temperaturen von der Steuereinheit ein, d. h. Sie selbst müssen keine Daten bereitstellen.
    • PC-DMIS führt alle Kompensationsberechnungen durch. Die Steuereinheit liefert nur die aktuellen Temperaturen.
    • Während der Ausführung des Werkstückprogramms wird das Dialogfeld Temperaturkompensation einrichten nicht geöffnet.
    • Das Werkstückprogramm wird nicht zur Eingabe einer Bestätigung unterbrochen.
Steuereinheit kompensiert nur Achsen
  • Die Kompensation wird von der Steuereinheit auf den Geräteachsen durchgeführt.
  • Die Eingaben für die Achsen werden nicht verwendet.
  • Die Eingabeparameter für das Werkstück gelten noch, da die Werkstückkompensation nach wie vor von PC-DMIS durchgeführt wird.
  • Während der Ausführung des Werkstückprogramms wird das Dialogfeld Temperaturkompensation einrichten nicht geöffnet.
  • Das Programm wird nicht zur Eingabe einer Bestätigung unterbrochen.
Steuereinheit kompensiert Achsen und Werkstück
  • Die Kompensation wird von der Steuereinheit für die Geräteachsen und das Werkstück durchgeführt.
  • Die Eingaben für die Achsen werden nicht verwendet.
  • PC-DMIS führt keine Kompensationsberechnungen durch.
  • Die Eingaben für den Materialkoeffizienten des Werkstücks, die Bezugstemperatur und den Nullpunkt müssen nach wie vor zugewiesen werden, denn PC-DMIS muß diese Informationen an die Steuereinheit weiterleiten.
  • Während der Ausführung des Werkstückprogramms wird das Dialogfeld Temperaturkompensation einrichten nicht geöffnet.
  • Das Programm wird nicht zur Eingabe einer Bestätigung unterbrochen.


Verbleibende Zeit

Die Anzeige Verbleibende Zeit gibt die verbleibende Zeit vor der Temperaturlesung an. Diese Anzeige erfolgt nur dann, wenn Sie eine Verzögerung für die Ausführung festgelegt haben (siehe Verzögerung vor Lesen der Werkstücktemperatur).


Verzögerung vor Lesen der Werkstücktemperatur

Im Feld Verzögerung vor Lesen der Werkstücktemperatur können Sie die Zeitspanne angeben, die PC-DMIS während der Ausführung des Werkstückprogramms warten muß, bevor die Sensoren zur Ermittlung der aktuellen Temperaturen gelesen werden. Bei Eingabe von Null tritt keine Pause ein.


Auf Standardeinstellungen zurücksetzen

Über die Schaltfläche Zurücksetzen werden zuvor geänderte Werte mit den zuvor gespeicherten Werte aktualisiert. Wenn es sich um ein DEA-Gerät handelt und serv1.stp verfügbar ist, dann liest PC-DMIS diese Datei.


Aktuelle Temperaturen lesen

Wenn Sie die Methode Temperaturen von Steuereinheit einlesen aus der Liste Kompensationsmethode wählen und ein Gerät verwenden, das diese Option unterstützt, wird PC-DMIS über die Schaltfäche Aktuelle Temperaturen abrufen dazu veranlaßt, die aktuellen Temperaturen von der Steuereinheit einzulesen und im Dialogfeld Temperaturkompensation einrichten anzuzeigen.


TEMPKOMP-Befehl im Bearbeitungsfenster

Wenn Sie die Eingaben in das Dialogfeld Temperaturkompensation einrichten durch Klicken auf OK bestätigen, fügt PC-DMIS den Befehl TEMPCOMP in das Werkstückprogramm ein.

Das Werkstückprogramm verwendet normalerweise nur einen TEMPKOMP-Befehl. Der TEMPCOMP-Befehl sollte vor der Durchführung von Messungen im oberen Teil des Programms plaziert werden. Bei Ausführung des Programms erfolgt der Ablauf gemäß den verschiedenen Eingabeparametern.


Unterstützung der Steuereinheit

Nicht alle Kompensationsmethoden werden von allen Steuereinheiten unterstützt. Im folgenden werden die unterstützten Steuereinheiten für die einzelnen Kompensationsmethoden aufgeführt Siehe Kompensationsmethode).

Kompensationsmethoden | Unterstützte Steuereinheiten
Manuell | Alle. Bei dieser Methode sind keine Steuereinheiten beteiligt
Temperaturen von der Steuereinheit einlesen | DEA (nur mit DEAC-Steuerungssystemen), Sharpe32z mit Leitz-Protokoll
Steuereinheit kompensiert nur Achsen | Sharpe32z unter Verwendung des Leitz-Protokolls
Steuereinheit kompensiert Achsen und Werkstück | Sharpe32z unter Verwendung des Leitz-Protokolls


Angeben externer Verzeichnisse für die Suche

Display Menu Roadmap

searchp OK Cancel Apply Browse Search Specified Directory Search Current Directory First Search Current Directory Search For Die Menüoption Suchpfad festlegen zeigt das Dialogfeld Suchpfad an. In diesem Dialogfeld können Sie bestimmen, welche Verzeichnisse PC-DMIS beim:

  • Importieren von CAD-Dateien,
  • Exportieren von CAD-Dateien,
  • Laden von WerkstückprogrammDateien,
  • Laden von Taster-Dateien,
  • Erneuten aufrufen von Ausrichtungen,
  • Aufrufen von Unterprogrammen,

verwenden soll.

So bestimmen Sie, welches Standardverzeichnis verwenden werden soll:

  1. Öffnen Sie das Dialogfeld Suchpfad. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)
  2. Wählen Sie einen Eintrag aus der Liste Suchen nach.
  3. Geben Sie in das Feld den Verzeichnispfad ein (oder verwenden Sie die Schaltfläche Durchsuchen, um das gewünschte Verzeichnis auszuwählen).
  4. Klicken Sie auf OK. Die Änderungen werden durchgeführt und das Dialogfeld wird geschlossen.

Hinweis: Wenn Sie im Auswahllistenfeld Suchen nach: tasterladen, AUFRUFEN oder UNTERPROGRAMM ausgewählt haben, stehen weitere Kontrollkästchen zur Auswahl zur Verfügung. Diese Methoden werden nachfolgend beschrieben.

Das Dialogfeld Suchpfad enthält folgende Optionen:

Siehe auch:

Suchen nach

Aktuelles Verzeichnis durchsuchen

Aktuelles Verzeichnis zuerst durchsuchen

Angegebenes Verzeichnis durchsuchen

Schaltfläche "Durchsuchen"


Suchen nach

In der Auswahlliste Suchen nach steht eine dieser Optionen zur Auswahl:

  1. Standardverzeichnis Export
  2. Standardverzeichnis Import
  3. Standardverzeichnis Werkstückprogramm
  4. TASTERLADEN
  5. AUFRUFEN
  6. UNTERPROGRAMM

Für jede dieser Optionen können Sie dann ein Verzeichnis angeben, das PC-DMIS durchsuchen soll, wenn der Befehl für die ausgewählte Option im Bearbeitungsfenster auftritt.


Aktuelles Verzeichnis durchsuchen

Mit dem Kontrollkästchen Aktuelles Verzeichnis durchsuchen wird die Suche im aktuellen Verzeichnis aktiviert oder deaktiviert.


Aktuelles Verzeichnis zuerst durchsuchen

Wenn dieses Kontrollkästchen markiert ist (und wenn beide Kontrollkästchen, sowohl Aktuelles Verzeichnis durchsuchen als auch Angegebenes Verzeichnis durchsuchen, aktiviert sind), können Sie die Suche sowohl im aktuellen Verzeichnis als auch in dem benutzerseitig angegebenen Verzeichnis durchführen. Die Suchreihenfolge hängt dabei davon ab, ob dieses Kontrollkästchen markiert ist:

  • Ist es markiert, durchsucht PC-DMIS zuerst das aktuelle Verzeichnis, dann das vom Benutzer angegebene.
  • Ist es nicht markiert, wird die Suchreihenfolge umgekehrt, und das vom Benutzer angegebene Verzeichnis wird zuerst durchsucht, dann das aktuelle.


Angegebenes Verzeichnis durchsuchen

Mit dem Kontrollkästchen Angegebenes Verzeichnis durchsuchen wird eine Suche in dem von Ihnen angegebenen Verzeichnis aktiviert oder deaktiviert. Der Verzeichnispfad für das gewünschte Verzeichnis wird in das Feld eingegeben, das sich genau unter dem Kontrollkästchen befindet.


Schaltfläche "Durchsuchen"

Mit der Schaltfläche Durchsuchen können Sie nach einem vom Benutzer angegebenen Verzeichnis suchen. Bei Wahl dieser Schaltfläche erscheint die Verzeichnisstruktur des Systems.

Im Dialogfeld Verzeichnis wählen werden die Ordner und Ordnerebenen, auf die Sie Zugriff haben, angezeigt. Markieren Sie einfach das Verzeichnis, in dem PC-DMIS suchen soll, und klicken Sie dann auf OK. PC-DMIS blendet wieder das Dialogfeld Suchpfad ein. Beachten Sie, daß der Verzeichnispfad jetzt in dem Feld Angegebenes Verzeichnis durchsuchen erscheint.

Hinweis: Die Verzeichnisstruktur im Dialogfeld Verzeichnis wählen ist von Rechner zu Rechner unterschiedlich. Oben wurde nur ein Beispiel einer möglichen Darstellung gezeigt.


Ändern der OpenGL-Optionen

Display Menu Roadmap

Cancel OK Tessellation Options Desktop Settings

Dialogfeld OpenGL-Optionen

Über die Menüoption OpenGL wird das Dialogfeld OpenGL-Optionen geöffnet. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".) In diesem Dialogfeld können Sie die OpenGL-Optionen ändern, die sich auf die Anzeige des Modells als schattierte Ansicht auswirken. Informationen zum Einstellen des Werkstücks auf die schattierte Ansicht finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige".

Siehe auch:

Desktop-Einstellungen

Optionen

Mosaik


Desktop-Einstellungen

Für jede Einstellung der Desktop-Anzeige kann es unterschiedliche OpenGL-Optionen geben. Der Bereich Desktop-Einstellungen zeigt die aktuellen Desktop-Einstellungen an.


Voreinstellungen - Ändern der OpenGL-Optionen - Optionen

Optionen

Der Bereich Optionen steuert die darstellbaren Charakteristika des Modells in schattierter Ansicht. Einige Kombinationen dieser Optionen könnten aufgrund von Einschränkungen Ihrer Grafikkarte nicht zur Auswahl stehen. Außerdem könnten einige Kombinationen dieser Optionen zu einer verminderten Grafikleistung führen, abhängig davon, wie Ihre Grafikkarte die Hardwarebeschleunigung unterstützt. In diesem Fall wird eine entsprechende Warnmeldung im unteren Dialogfeldbereich angezeigt.

Siehe auch:

Doppelpufferung

Z-Puffertiefe

Farbtiefe


Doppelpufferung

Bei Auswahl des Kontrollkästchens Doppelpufferung werden tatsächlich zwei Anzeigepuffer eingesetzt: ein "vorderer" und ein "hinterer" Puffer. Der vordere Puffer ist für das verantwortlich, was auf dem Bildschirm zu sehen ist. Wenn der Bildschirm aktualisiert werden muß, wie z. B. bei einer Drehung des Modells, muß das Bild auf dem Bildschirm gelöscht und in seinem neuen Zustand neu gezeichnet werden. Löschen und Neuzeichnen erfolgt im hinteren Puffer. Es ist nicht tatsächlich sichtbar, wie die Grafik gelöscht und neu gezeichnet wird. Wenn die Grafiken im hinteren Puffer gezeichnet worden sind, wird der hintere Puffer gegen den vorderen Puffer ausgetauscht. Dieser Austausch geht so schnell vor sich, daß er nicht praktisch wahrgenommen wird.

Wenn die Auswahl des Kontrollkästchens Doppelpufferung aufgehoben ist, oder, anders ausgedrückt, wenn nur ein Anzeigepuffer vorhanden ist, ist das Löschen und Neuzeichnen des Bildschirms sichtbar (wird jedoch sehr schnell vollzogen). Hierbei ist ein Flickern des Bildschirms zu beobachten.

Insgesamt sorgt die Doppelpufferung also für eine angenehmere grafische Anzeige als die Einzelpufferung.


Z-Puffertiefe

Über die Liste Z-Puffertiefe wird gesteuert, wieviel Grafikspeicher für den Z-Puffer eingeräumt wird. Der Z-Puffer legt fest, welche Teile des 3D-Modells vor anderen Teilen des Modells liegen. Wird keine ausreichende Anzahl von Bits für den Z-Puffer verwendet, werden visuelle Artefakte im Modell u.U. in schattierter Ansicht dargestellt. Bei diesen Artefakten handelt es sich um Bereiche des Modells, die im Vordergrund vor anderen Teilen des Modells gezeichnet werden und eigentlich verdeckt sein sollten. Diese Artefakte wirken sich nicht auf die Genauigkeit von PC-DMIS aus, sondern sind lediglich Ungenauigkeiten in der Anzeige des Modells.


Farbtiefe

Über die Liste Farbtiefe wird festgelegt, wieviel Grafikspeicher vom System für die Farbinformationen der einzelnen Pixel eingeräumt wird. Dieser Wert hängt in der Regel von der Farbtiefe der Desktop-Einstellungen ab.


Mosaik

Im Bereich Mosaik befindet sich das Feld Multiplikator, in dem ein Mosaik-Multiplikator zur Steuerung des gezeichneten Bildes festgelegt werden kann. PC-DMIS multipliziert den Multiplikator mit dem Mosaik-Wert des betreffenden CAD-Systems. Diese Werte werden dann zur Erstellung der schattierten Ansicht verwendet.


Einrichten flexibler Spannvorrichtungen

Display Menu Roadmap Über das Dialogfeld Vorrichtung einrichten können Sie alle bestimmte PC-DMIS-spezifische Parameter für Ihr flexibles Spannsystem definieren. Über die Registerkarten in diesem Dialogfeld können Sie:

  • Module erstellen, speichern, laden und löschen (Registerkarte Module)
  • Aufspannsäulen kalibrieren (Registerkarte Säulen kalibrieren)
  • Vorrichtungsdateien umbenennen oder löschen (Registerkarte Vorrichtungsdateien)
  • Die Anzeigeoptionen für Ihr Spannsystem ändern (Registerkarte Anzeige)

PC-DMIS 3.6 und höhere Versionen verwenden eine gesonderte Anwendung, das sogenannte Fixture Server Interface, zur eigentlichen Definition Ihres Spannsystems. Außerdem können Sie mit dieser Anwendung die Parameter Ihres KMGs festlegen, das Magazin initialisieren, welches die Aufspannsäulen hält und den Status Ihres Spannsystems überwachen. Weitere Informationen finden Sie in der Dokumentation zum Fixture Server Interface.

Weitere Informationen zur tatsächlichen Einrichtung und Positionierung von Aufspannsäulen finden Sie unter "Erstellen und Positionieren von Aufspannsäulen" im Abschnitt "Definieren von Hardware".

Wichtig: Die Option System V muß in Ihrer Anschlußsperre programmiert sein, um mit CNC-Spannsystemen arbeiten zu können. Ebenso muß die Option 5 Unique programmiert sein, um mit Manuellen Spannsystemen arbeiten zu können. Um zu prüfen, ob diese Module zur Verfügung stehen, wählen Sie die Menüoption Über PC-DMIS für Windows aus und kontrollieren Sie die Einträge der Liste Module in dem nun eingeblendeten Dialogfeld.

Siehe auch:

Was sind Spannvorrichtungen?

Spannsystem einrichten: Module

Spannsystem einrichten: Säulen kalibrieren

Spannsystem einrichten: Vorrichtungsdateien

Anzeigeoptionen


Was sind Spannvorrichtungen?

Spannvorrichtungen sind Haltevorrichtungen für Werkstücke. Sie kommen oft in der Automobilindustrie zur Anwendung. Spannsysteme halten ein Werkstück in der Ausrichtung, in der es am Auto montiert wird.

Grafische Darstellung von vier flexiblen Spannsysteme, die eine Motorhaube halten.

So gibt es bei der Montage von Autotüren z. B. ein Spannsystem, durch das die Tür an den Angelpunkten sowie am Türgriff auf der anderen Seite gehalten wird. Die Tür wird in dieser Haltevorrichtung am KMG plaziert und dann maßlich geprüft. Bei der traditionellen Methode konnte jeweils nur eine Spannvorrichtung für eine Art von Werkstück verwendet werden, wodurch große Kosten entstanden.

Bei flexiblen Spannsystemen werden universelle Bausteine erstellt. Diese dienen als Grundlage, um für eine Vielzahl verschiedener Werkstücke Spannvorrichtungen zu einem Bruchteil der Kosten zu erstellen.

Grundsätzlich gibt es zwei Komponenten bei der Erstellung jeder flexiblen Spannvorrichtung.

  1. Die Säule – Diese gibt es in verschiedenen Größen, um unterschiedliche Bereiche innerhalb des Arbeitsbereichs handhaben zu können.
  2. Das Modul, das auf den Säulenkopf paßt – Die Module können auf Grundlage des Standardsatzes, der durch den Hersteller geliefert wird, erstellt werden. Sie können aber auch für besondere Kundenanforderungen entwickelt werden. Viele Module sind mit Klemmen ausgestattet, mit denen das Werkstück am Modul befestigt wird.

Das Endstück ist ein Objekt, das gegen das Werkstück gepreßt wird, um es in mindestens einer Achse zu fixieren. Gewöhnlich handelt es sich um eine Kugel mit einem definierten Durchmesser. Man verwendet Kugeln, da sie das Werkstück nur an einer Stelle berühren. Andere Endstücke sind beispielsweise Stifte (als Gegenstücke für Bohrungen), Zylinder zum Auffinden von Kanten sowie Spezialteile, die auf das von den Spannvorrichtungen gehaltene Werkstück maßgeschneidert sind.

Bei dem Modul handelt es sich in der Regel um einen Würfel mit ungewöhnlicher Geometrie, der extra so entworfen wurde, das er das Werkstück an einer vordefinierten Stelle berührt.

Betrachten Sie sich hierzu das nachstehende grafische Beispiel.

Grafische Darstellung der unterschiedlichen Komponenten einer flexiblen Spannsystemeinheit.

Wenn Sie ein neues Modul erstellen, wird es in einer Datei desselben Namens wie das Modul, mit der Erweiterung .module, gespeichert. Dadurch können die Modul-Definitionen wieder verwendet und weitergegeben werden. Die gespeicherten Module werden dann unter der Registerkarte Module des Dialogfelds aufgeführt (Siehe Vorrichtung einrichten: Module).

Mit nur einer Schnittstelle unterstützt PC-DMIS die flexiblen Spannsysteme, sowohl manuelle als auch CNC-gesteuerte.


Spannsystem einrichten: : ModuleFixturingSetup.Modules>level3).

Spannsystem einrichten: Module

Display Menu Roadmap Über die Registerkarte Module können Sie alle für das Spannsystem verwendeten Module erstellen, verwalten und importieren

In der Liste Verfügbare Module sind alle Module aufgeführt, die derzeit zum Aufspannen zur Verfügung stehen. Über den Bereich Aktuelle Werte können Sie neue Module erstellen oder Informationen zu jedem aus der Liste Verfügbare Module ausgewählten Modul anzeigen.

Die Einträge im Bereich Aktuelle Werte werden nachfolgend beschrieben:

  • Das Feld Name – Dieses Feld enthält den Namen des Moduls. Damit wird das Modul erkannt, wenn Sie eine Spannvorrichtung erstellen.
  • Die Felder XYZ – Diese Felder dienen zur Bestimmung der gemessenen Modulversatzwerte von der Mitte bis zum Kontaktpunkt (oder, wenn es sich bei dem Kontaktpunkt auf dem Modul um eine Kugel handelt, bis zum Mittelpunkt dieser Kugel).
  • Kontrollkästchen Kugel – Über dieses Kontrollkästchen wird festgelegt, ob es sich bei dem Kontaktpunkt auf dem Modul um eine Kugel handelt oder nicht.
  • Das Feld Kugel – In diesem Feld wird der Durchmesser der "Kontaktpunkt"-Kugel festgelegt.
  • Kontrollkästchen Verwende CAD – Über dieses Kontrollkästchen wird festgelegt, ob PC-DMIS ein benutzerdefiniertes CAD-Modell für dieses Modul zur Anzeige im Grafikfenster verwenden soll oder nicht. Weitere Informationen zur Erstellung eines benutzerdefinierten CAD-Modells finden Sie unter "Erstellen eines benutzerdefinierten CAD-Modells". Wenn dieses Kontrollkästchen aktiviert ist, müssen Sie den CAD-Namen in dem Feld Verwende CAD angeben.
  • Das Feld Verwende CAD – In dieses Feld ist der CAD-Datei einzugeben, die mit diesem Modul verknüpft werden soll. Sie müssen nur den Namen der CAD-Datei angeben, nicht den Dateityp .CAD.

Hinweis: Selbst wenn bereits eine vorhandene CAD-Datei mit dem Modul verknüpft ist, müssen Sie das Modul noch messen. Die theoretischen Versätze von der CAD-Datei werden nicht für das Modul verwendet.

In dieser PC-DMIS-Version sind die Modul-Dateien vollständig unabhängig vom Meßgerät. Daher können die Modul-Dateien von mehreren Computern, Netzwerken und Fertigungsstätten gemeinsam genutzt werden, ohne daß überflüssige Informationen übertragen werden müssen. Alle Modul-Dateien lauten auf den Modulnamen mit der Dateinamen-Erweiterung .module.

Siehe auch:

Erstellen eines benutzerdefinierten CAD-Modells

Erstellen eines neuen Aufspannmoduls

Bearbeiten eines vorhandenen Aufspannmoduls

Löschen eines vorhandenen Aufspannmoduls

Ältere oder externe Aufspannmodule importieren


Erstellen eines benutzerdefinierten CAD-Modells

So erstellen Sie ein benutzerdefiniertes CAD-Modell

  1. Erstellen Sie ein neues Werkstückprogramm
  2. Importieren Sie das Modell über eine der Standard-Importoptionen von PC-DMIS (z.B. IGES, STEP etc.).
  3. Speichern Sie das Werkstückprogramm PC-DMIS erzeugt eine .CAD-Datei mit demselben Namen wie das Werkstückprogramm, in demselben Verzeichnis wie die Werkstückprogramm-Datei.
  4. Benennen Sie diese Datei in einen beliebigen Namen um.
  5. Leben Sie diese in dem Modul-Unterverzeichnis ab, in dem PC-DMIS installiert ist.


Erstellen eines neuen Aufspannmoduls

So erstellen Sie ein neues Aufspannmodul

  1. Öffnen Sie die Registerkarte Module im Dialogfeld Vorrichtung einrichten.

Display Menu Roadmap Geben Sie einen Namen in das Feld ein.

  3. Geben Sie die restlichen Informationen im Bereich Aktuelle Werte ein.
  4. Klicken Sie auf die Schaltfläche Speichere Modul.


Bearbeiten eines vorhandenen Aufspannmoduls

So bearbeiten Sie ein vorhandenes Aufspannmodul

  1. Öffnen Sie die Registerkarte Module im Dialogfeld Vorrichtung einrichten.

Display Menu Roadmap Wählen Sie das Modul aus der Liste aus Verfügbare Module aus.

  3. Nehmen Sie im Bereich Aktuelle Werte die erforderlichen Änderungen an den Einträgen vor.
  4. Klicken Sie auf die Schaltfläche Speichere Modul.


Löschen eines vorhandenen Aufspannmoduls

So löschen Sie ein vorhandenes Aufspannmodul

  1. Öffnen Sie die Registerkarte Module im Dialogfeld Vorrichtung einrichten.

Display Menu Roadmap Wählen Sie das Modul aus der Liste aus Verfügbare Module aus.

  3. Klicken Sie auf Lösche Modul. Damit wird auch die dazugehörige Modul-Datei gelöscht, die im Computer gespeichert ist.


Ältere oder externe Aufspannmodule importieren

So importieren Sie ältere oder externe Aufspannmodule

Um ein Modul aus einer älteren Version als PC-DMIS 3.6 oder aus einem vorangegangenen DEA-Spannsystemprodukt zu importieren gehen Sie folgendermaßen vor:

  1. Öffnen Sie die Registerkarte Module im Dialogfeld Vorrichtung einrichten.

Display Menu Roadmap Klicken Sie auf die Schaltfläche Importieren.... Nun erscheint das Dialogfeld Öffnen.

  3. Wählen Sie in der Liste Dateityp den Typ des zu importierenden Moduls aus.
  4. Navigieren Sie zum Verzeichnis, das die Modul-Datei enthält.
  5. Wählen Sie die Modul-Datei aus und klicken Sie auf Öffnen. PC-DMIS blendet daraufhin Dialogfeld Importiere Module ein.
  6. Sie müssen ein oder mehrere zu importierende Module in der Liste Module auswählen.
  7. Klicken Sie auf die Schaltfläche Speichern. Wenn Sie alle Module importieren möchten, klicken Sie statt dessen auf die Schaltfläche Alle Speichern. PC-DMIS speichert (oder importiert) dann alle Module in dem neuen Spannsystem-Format von PC-DMIS.
  8. Klicken Sie auf die Schaltfläche Abbrechen, um das Dialogfeld Importiere Module zu schließen und zum Dialogfeld Vorrichtung Einrichten zurückzukehren.

Die neu importierten Module sollten nun in der Liste Verfügbare Module des Dialogfelds Vorrichtung einrichten erscheinen. Sie können nun für neue Spannvorrichtungen in PC-DMIS verwendet werden.


Vorrichtung einrichten : Säulen kalibrieren

Spannsystem einrichten: Säulen kalibrieren

Über die Registerkarte Säulen kalibrieren können Sie den Greifer kalibrieren.

Siehe auch:

So kalibrieren Sie den Greifer


So kalibrieren Sie den Greifer

Display Menu Roadmap Zur Kalibrierung des Greifers öffnen Sie die Registerkarte Module im Dialogfeld Vorrichtung einrichten und gehen Sie folgendermaßen vor:

  1. Wählen Sie die Tasterdatei aus der Liste Taster im Bereich Tasterangaben aus.
  2. Wählen Sie die bei der Messung zu verwendende Tasterspitze aus der Liste Tastspitze im Bereich Tasterangaben aus.
  3. Wenn das Magazin geladen wurde und die Säulenpositionen bekannt sind, wählen Sie die zu verwendende Säule aus der Liste im Bereich Säulen-Info aus, um den Greifer zu kalibrieren.
  4. Klicken Sie auf die Schaltfläche Kalibrieren….
  5. Der Kalibriervorgang beginnt mit einer Aufforderung an Sie, die Säule auf den Greifer zu laden.
  6. Laden Sie die Säule von Hand auf den den Greifer. Klicken Sie auf OK um fortzufahren.
  • Das Meßgerät entfernt die Säule in der Y-Achse 200 mm vom Rand des Aufspannvolumens und bewegt sie in der X-Achse zu der Stelle, an der Sie von Ihnen geladen wurde.
  • Das Meßgerät bewegt sich dann zum Rand des nutzbaren Aufspannvolumens und zurück zu ihrem ursprünglichen Anfangspunkt. Dadurch werden die Bewegungen des Meßgeräts bei einer tatsächlichen Plazierung einer Spannvorrichtung simuliert. Die Greiferkalibrierung wird damit verbessert.
  • Danach legt die Maschine die Säule ab und der Taster wird auf die ausgewählte MeßTastspitze umgestellt.
  • PC-DMIS fordert Sie dann auf, einen Meßpunkt auf der Säulenkugel aufzunehmen.
  7. Nehmen Sie einen Meßpunkt auf der Säulenkugel auf. PC-DMIS wiederholt die obigen Schritte zweimal, wobei die Säule geladen, bewegt, entladen und automatisch im CNC-Modus gemessen wird.
  8. PC-DMIS speichert das Endergebnis, den Durchschnitt der drei Bewegungen und Meßwiederholungen in der Anwendung "Fixturing Server". Diese Anwendung dient zur Verwaltung der Spannsystemdaten. Sie kann auf demselben Computer wie PC-DMIS laufen oder über ein Netzwerk an einem ganz anderen Standort. Diese Anwendung unterscheidet sich von der Anwendung "Fixture Server Interface".


Vorrichtung einrichten : Vorrichtungsdateien

Spannsystem einrichten: Vorrichtungsdateien

Über die Registerkarte Vorrichtungsdateien können Sie die auf dem Fixturing-Server befindlichen Dateien von PC-DMIS aus verwalten. Die Liste Vorrichtungen zeigt alle verfügbaren Spannvorrichtungen an. Sie können die Vorrichtungsdateien ansehen, umbenennen oder löschen. Wenn Sie neue Vorrichtungen erstellen möchten, befolgen Sie die in der Dokumentation "Erstellen und Positionieren von Aufspannsäulen" gegebenen Anweisungen.

Siehe auch:

Eine Vorrichtungsdatei umbenennen

Eine Vorrichtungsdatei löschen


Eine Vorrichtungsdatei umbenennen

  1. Öffnen Sie die Registerkarte Vorrichtungsdateien im Dialogfeld Vorrichtung einrichten.

Display Menu Roadmap Wählen Sie die Spannvorrichtung aus der Liste Vorrichtungen aus.

  3. Klicken Sie auf das Kontrollkästchen Umbenennen.
  4. Geben Sie den neuen Namen für die Vorrichtung in das Feld unter dem Kontrollkästchen ein.
  5. Klicken Sie auf die Schaltfläche Umbenennen.

Wichtig: Sie müssen immer die Funktion Umbenennen in dieser Registerkarte verwenden, wenn eine Vorrichtungsdatei umbenannt werden soll. Weitere Informationen werden im Hintergrund aktualisiert. Wenn Sie die Datei daher einfach im Windows Explorer umbenennen, könnte sie unter Umständen nicht richtig funktionieren.


Eine Vorrichtungsdatei löschen

  1. Öffnen Sie die Registerkarte Vorrichtungsdateien im Dialogfeld Vorrichtung einrichten.

Display Menu Roadmap Wählen Sie die Datei aus der Liste Vorrichtungen aus.

  3. Klicken Sie auf Löschen. PC-DMIS entfernt alle Komponenten der Spannvorrichtung (mit Ausnahme der Module) vom Computer.


Voreinstellungen - Einrichten der flexibler Spannsysteme - Anzeigeoptionen

Anzeigeoptionen

Über die Registerkarte Anzeige können Sie Vorrichtungsinformationen direkt im Grafikfenster anzeigen lassen. Wenn Sie also das Grafikfenster für grafische Protokolle verwenden, werden auch die Vorrichtungsinformationen in Textfeldern aufgezeichnet. Diese Felder sind mit den bereits in PC-DMIS verwendeten Merkmal-Infofeldern vergleichbar.

Sie haben für diese Textfelder die Möglichkeit der benutzerdefinierten Anzeige. Hierzu markieren Sie die entsprechenden Kontrollkästchen im Bereich Info Box Setup.

Siehe auch:

Anpassung der Anzeige der Vorrichtungs-Info-Boxen


Anpassen der Anzeige der Vorrichtungs-Info-Boxen

So passen Sie die Anzeige der Vorrichtungs-Info-Boxen an

  1. Öffnen Sie die Registerkarte Anzeige im Dialogfeld Vorrichtung einrichten.

Display Menu Roadmap Markieren Sie das Kontrollkästchen Info Boxen im Bereich Info Box Setup. Die anderen Kontrollkästchen werden zur Auswahl eingeblendet.

  3. Aktivieren Sie eines der anderen Kontrollkästchen in diesem Bereich.
  • Über das Kontrollkästchen Lage können Sie die Anzeige der XYZ-Koordinaten des mit dieser Säule verknüpften Aufspannpunktes ein- oder ausblenden.
  • Über das Kontrollkästchen Vektor wird der Berührungsvektor für diesen Aufspannpunkt ein- oder ausgeblendet.
  • Über das Kontrollkästchen Säulentyp wird der zur Verwendung an diesem Aufspannpunkt gewählte Säulentyp ein- oder ausgeblendet.
  • Über das Kontrollkästchen Modulname wird der zur Verwendung mit dieser Säule bestimmte Modulname ein- oder ausgeblendet.
  • Über das Kontrollkästchen Modulrichtung wird die Ausrichtung des Moduls auf dieser Säule ein- oder ausgeblendet.
  4. Klicken Sie auf Übernehmen oder OK.


Editing the CAD Display

Einrichten der Bildschirmanzeige

Wechseln zwischen Kurven- und Oberflächenmodus

Ändern der Bildschirmmodi

Ändern der Bildschirmfarben

Anpassen der Zeichnung

Drehen der Zeichnung

Zeigen von Werkstückbaugruppen

Spiegeln von CAD

Einstellen von CAD Bearbeiten

Erzeugen von Layern – Menü

Erzeugen von Layern – Menü Ansichten

Anzeigen von CAD-Angaben

Arbeiten mit Bildschirmkopien des Grafikfensters

Bearbeiten von CAD

Bearbeiten von Elementen

Markieren von Elementen im Grafikfenster

Bearbeiten der Merkmalsfarben

Anzeigen und Animieren von Bahngeraden

Löschen von CAD

Löschen von Elementen

Löschen von Merkmalen


Bearbeiten der CAD-Anzeige: Einführung

In PC-DMIS können Sie die CAD-Anzeige im Grafikfenster bearbeiten.

In den Hauptthemen dieses Abschnitts wird beschrieben, wie Sie die CAD-Anzeige bearbeiten können. Dazu gehören:

  • Einrichten der Bildschirmanzeige
  • Wechseln zwischen Kurven- und Oberflächenmodus
  • Zeichnen von Oberflächen
  • Neuzeichnen des Bildschirms
  • Ändern der Bildschirmmodi
  • Ändern der Bildschirmfarben
  • Anpassen der Zeichnung
  • Drehen der Zeichnung
  • Zeigen von Werkstückbaugruppen
  • Spiegeln von CAD
  • Einstellen von CAD auf 3D
  • Anzeigen von CAD-Angaben
  • Arbeiten mit Bildschirmkopien des Grafikfensters
  • Bearbeiten von CAD
  • Bearbeiten von Elementen
  • Markieren von Elementen im Grafikfenster
  • Bearbeiten der Merkmalsfarben
  • Anzeigen und Animieren von Bahngeraden
  • Löschen von CAD
  • Löschen von Elementen
  • Löschen von Merkmalen


Setting Up the Screen View

Home Contents Previous Next

Einrichten der Bildschirmanzeige

Display Menu Roadmap

Über die Option Ansicht einrichten wird das Dialogfeld Ansicht einrichten geöffnet. In diesem Dialogfeld können Sie die Anzahl der Ansichten (maximal vier) des Werkstücks angeben, die PC-DMIS im Grafikfenster anzeigen wird. Darüber hinaus können Sie für jede Ansicht die Ausrichtung und den Typ (Drahtmodell oder Schattierte Fläche) festlegen.

Showing Lines over Srufaces Cancel OK Apply Creating and Manipulating Levels Displaying Rulers Adding a 3D Grid Change Size of Views

Dialogfeld "Ansicht einrichten".

Siehe auch:

Ändern von Layout und Ansichten

Anzeigen, Erzeugen und Bearbeiten von Layern


Ändern von Layout und Ansichten

So ändern Sie die Bildschirmdarstellung und die Ausrichtung der Ansichten:

  1. Öffnen Sie das Dialogfeld Ansicht einrichten.

Display Menu Roadmap

Wählen Sie im Bereich Layout den gewünschten Bildschirmstil aus. Um den Bildschirm beispielsweise in zwei verschiedene Ansichten des Werkstückbildes zu teilen, klicken Sie auf die zweite oder dritte Schaltfläche (in der ersten Reihe). Das Fenster wird je nach gewählter Schaltfläche horizontal oder vertikal geteilt.

  3. Wählen Sie im Auswahllistenfeld die gewünschte Ansichtsausrichtung für jedes Fenster aus, das angezeigt wird. Um das Werkstückbild beispielsweise von der Z+-Richtung aus anzuzeigen, wählen Sie aus dem Auswahllistenfeld einfach Z+ aus. Um dasselbe Bild von der Y-Achse aus anzuzeigen, wählen Sie Y-. Alle Anzeigeoptionen wirken sich lediglich auf die Art und Weise aus, wie PC-DMIS das Bild des Werkstücks anzeigt. Sie haben keinerlei Auswirkungen auf die gemessenen Daten oder Prüfergebnisse.
  4. Wählen Sie das Kontrollkästchen Schattierte Fläche, wenn das Werkstück in der ausgewählten Ansicht als Schattierte Fläche angezeigt werden soll. Wenn Sie das Kontrollkästchen nicht aktivieren, wird die Ansicht des Werkstücks als Drahtmodell angezeigt.
  5. Klicken Sie entweder auf die Schaltfläche Übernehmen oder auf OK.
  6. Wenn auf die Schaltfläche OK geklickt wird, schließt PC-DMIS das Dialogfeld Ansicht einrichten und übernimmt die Änderungen für das Grafikfenster.
  7. Liegen beim Klicken auf die Schaltfläche Übernehmen keine korrekten Ansichtsausrichtungen vor, wird der Benutzer in einer entsprechenden Meldung zur Eingabe der erforderlichen Ansichten aufgefordert. Nachdem die gewünschte Bildschirmdarstellung festgelegt und auf die Schaltfläche Übernehmen geklickt wurde, zeichnet PC-DMIS das Grafikfenster mit den aktuellen Einstellungen neu.

Siehe auch:

Ändern der Ansichtsgröße

Anzeigen von Linealen

Konturlinien zeigen

Ein 3D-Raster hinzufügen


Ändern der Ansichtsgröße

In PC-DMIS können Sie die Größen der Ansichten im Grafikfenster neu definieren.

Vorgehensweise:

  1. Setzen Sie den Zeiger auf die Trennlinie zwischen den Fenstern. Der Cursor verwandelt sich von einem Einzelpfeil in einen Doppelpfeil.
  2. Halten Sie die linke Maustaste gedrückt.
  3. Ziehen Sie die Linie an die gewünschte Stelle. Daraufhin ändert sich die Ansichtsgröße.

Dieses Verfahren kann sowohl in horizontaler als auch in vertikaler Richtung angewandt werden. Mit der Option Größe anpassen kann die Größe der Zeichnung dann so geändert werden, daß sie in das neue Fenster paßt. Siehe auch "Anpassen der Zeichnung".

Hinweis: PC-DMIS kann sich beim Ändern der Ansichtsgröße in einem beliebigen Modus befinden.


Anzeigen von Linealen

Durch Markieren des Kontrollkästchens Lineale können Sie in allen Ansichten Lineale aktivieren. Der Nullpunkt der Lineale befindet sich immer am CAD-Nullpunkt (nicht an lokalen Werkstückausrichtungen).


Konturlinien sichtbar machen

Dieses Kontrollkästchen trifft nur auf schattierte Ansichten zu. Sie können dieses Kontrollkästchen markieren, um hinter Oberflächen verborgene Punkte und Linien sichtbar zu machen. Diese Option ist nützlich, um gemessene Elemente, die hinter Oberflächen liegen, anzusehen. Angenommen, eine am Werkstück gemessene Linie liegt etwas unterhalb der CAD-Oberfläche. Durch Auswahl dieses Kontrollkästchens wird die gemessene Linie sichtbar gemacht.


Hinzufügen eines 3D-Rasters

Durch Markieren eines 3D-Raster-Kontrollkästchens können Sie das 3D-Raster für die ausgewählte Ansicht aktivieren. Anders als bei den Linealen befindet sich der Nullpunkt des 3D-Rasters immer an der aktuellen Werkstückausrichtung.

Über die Schaltfläche 3D-Raster einrichten wird das gleichnamige Dialogfeld aufgerufen. Hier können Sie den Abstand der Rasterlinien ändern.

Geben Sie hierzu einen Wert in die Felder X-Achse, Y-Achse und Z-Achse ein oder markieren Sie die Auto-Kontrollkästchen, wenn PC-DMIS automatisch einen angemessenen Abstand berechnen soll.

Rasterlinien-Beschriftungen werden außen um das Fenster herum angeordnet. Für diese Linien gilt die im Bearbeitungsfenster definierte aktuelle Ausrichtung. Sie können um den im Feld Beschriftungsabstand angezeigten Wert eingerückt werden. Dieser Wert bestimmt die Größe des Pixelpuffers, den PC-DMIS zwischen der Außenkante des Grafikfensters und den 3D-Raster-Beschriftungen setzt.

Klicken Sie auf OK. PC-DMIS zeigt das 3D-Raster im Grafikfenster an.

Es gibt drei mögliche Raster, die gezeichnet werden können:

X-Y

Y-Z

Z-X

PC-DMIS zeichnet immer nur jeweils einen Raster. Welcher Raster gezeichnet wird, hängt davon ab, welche Achse am nächsten zum Bildschirm gedreht wird (wird durch den Achsenanzeiger bestimmt). So zeigt beispielsweise folgender Achsenanzeiger aus dem Grafikfenster die zum Benutzer weisende X-Y-Achsenebene; PC-DMIS zeichnet den X-Y-Achsenraster.

Auf die X-Y-Ebene weisender Achsenanzeiger.

Hinweis: Die Farbe des 3D-Rasters kann über das Dialogfeld Bildschirmfarbe geändert werden. Siehe auch "Ändern der Bildschirmfarben".


Anzeigen, Erzeugen und Bearbeiten von Layern

Ein CAD-Layer besteht aus einer Gruppe verwandter CAD-Geometrien, die durch eine Layer-Nummer identifiziert werden. Die Layer-Informationen in diesen Dateien werden beim "Importieren" der Dateien in PC-DMIS importiert. Sie können dann im Dialogfeld Ansicht einrichten auswählen, welche Layer in jeder Grafikfenster-"Ansicht" angezeigt werden.

Display Menu Roadmap

In Anbetracht der Größe und Komplexität vieler CAD-Dateien ist diese Option ungemein nützlich, da Sie mit ihr einschränken können, welche Teile des CAD-Modells bei der Ausführung verschiedener PC-DMIS-Aufgaben sichtbar sind. (Weitere Informationen finden Sie unter "Einstellen von CAD auf 3D".)

Hinweis: Diese Option ist nur dann verfügbar, wenn die Layer zuvor in die IGES-Zeichnungsdatei aufgenommen worden sind.

So zeigen Sie ein Layer im Grafikfenster an:

Wählen Sie die gewünschte Ansicht (blau, rot, gelb oder grün) aus.

Wählen Sie den betreffenden Layer aus der Liste aus.

Klicken Sie auf Übernehmen.

PC-DMIS zeichnet das Grafikfenster mit der aktuellen Einstellung neu. Um diese Änderungen zu speichern, muß auf die Schaltfläche OK geklickt werden.

Über das Kontrollkästchen Erzeugen im Dialogfeld Ansicht einrichten können Sie das Dialogfeld Layer öffnen.

Im Dialogfeld Layer können Sie Layer erzeugen, löschen oder bearbeiten.

Siehe auch:

Erzeugen von Layern


Erzeugen von Layern

Ein Layer wird in drei Arbeitsschritten erstellt:

  1. Geben Sie im Dialogfeld Layer die neue Layer-Nummer in das Feld unterhalb der Schaltfläche Erzeugen ein.
  2. Wählen Sie die Elemente aus, die in dem neuen Layer enthalten sein sollen, indem Sie die Kontrollkästchen für die gewünschten Elementtypen markieren.
  3. Klicken Sie zum Abschluß des Verfahrens auf die Schaltfläche Fertigstellen.


Löschen von Layern

Ein Layer wird in drei Arbeitsschritten gelöscht:

  1. Wählen Sie im Dialogfeld Layer in der Auswahlliste einen vorhandenen Layer aus.
  2. Klicken Sie auf Löschen.
  3. Klicken Sie zum Abschluß des Verfahrens auf die Schaltfläche Fertigstellen. Alle Elementtypen, die dem gelöschten Layer zugewiesen waren, werden nun Layer "0" zugewiesen.


Ändern von Layern

Ein Layer wird in fünf Arbeitsschritten geändert:

  1. Wählen Sie im Dialogfeld Layer einen vorhandenen Layer aus der Auswahlliste aus.
  2. Klicken Sie auf die Schaltfläche Ändern.
  3. Klicken Sie auf die Schaltfläche Zuweisen, um CAD zum ausgewählten Layer hinzuzufügen, oder klicken Sie auf die Schaltfläche Rückgängig, um CAD aus dem ausgewählten Layer zu entfernen.
  4. Bestimmen Sie anhand der entsprechenden Kontrollkästchen unter Elementtyp die Elementtypen, die zum angezeigten Layer "hinzugefügt" oder daraus "entfernt" werden sollen.
  5. Klicken Sie auf Fertigstellen, um den Vorgang der Layeränderung abzuschließen.

Zum Hinzufügen und Ändern von Layern müssen CAD-Daten ausgewählt werden. Sie können die Auswahl genauso auf verschiedene Geometriearten einschränken, ebenso wie dies in den Dialogfeldern "CAD bearbeiten" und "CAD löschen" möglich ist. Zudem kann die Auswahl auf in einer bestimmten Farbe vorliegende CAD-Daten eingeschränkt werden, indem das Kontrollkästchen Farbe markiert und eine Geometrie der gewünschten Farbe ausgewählt wird. Die ausgewählte Farbe erscheint dann neben dem Kontrollkästchen Farbe. Um die Farbe zu ändern, heben Sie die Markierung des Kontrollkästchens Farbe auf, markieren Sie es erneut, und wählen Sie die Geometrie mit der neuen Farbe aus.

Sie können das Dialogfeld Layerdefinition schließen, indem Sie auf OK oder Abbrechen klicken. Wenn auf die Schaltfläche Abbrechen geklickt wird, werden die Ergebnisse der aktuell laufenden Vorgänge nicht gespeichert.


Wechseln zwischen Kurven- und Oberflächenmodus

Ihr System kann nur dann auf diese Modi zugreifen, wenn das optional angebotene Softwarepaket "Kurven und Oberflächen" erworben wurde.

Display Menu Roadmap

D:\DOCPROJECTS\V36\V36MAIN\winhlp40\bitmaps\i_curve_mode.bmp} Mit der Option Kurvenmodus können Sie die Kurven und Linien eines Drahtmodells auswählen, wenn Sie im Grafikfenster auf die CAD-Daten klicken. Sie müssen jedoch ein Drahtmodell importieren, um diese Option verfügbar zu machen.

Display Menu Roadmap

Mit der Option Oberflächenmodus können Sie die Oberflächen eines schattierten Modells auswählen, wenn Sie im Grafikfenster auf die CAD-Daten klicken. Sie müssen jedoch ein schattiertes Modell importiert haben, um diese Option verfügbar zu machen.

Weitere Informationen zum Verwenden dieser Modi bei Scanvorgängen finden Sie im Abschnitt "Scannen Ihres Werkstücks".


Zeichnen von Oberflächen

Display Menu Roadmap

Mit der Option Oberflächen zeichnen können Sie Oberflächen auf dem Bildschirm anzeigen. Sie müssen hierzu zuerst das Kontrollkästchen Schattiert im Dialogfeld Ansicht einrichten aktivieren. Weitere Informationen zum Dialogfeld Ansicht einrichten finden Sie unter "Einrichten der Bildschirmanzeige".

Um die Oberflächen wieder auszublenden, klicken Sie erneut auf diese Option.


Neuzeichnen des Bildschirms

Display Menu Roadmap

Das Grafikfenster wird jedesmal aktualisiert, wenn die Option Bildschirm neu zeichnen ausgewählt wird.


Ändern der Bildschirmmodi

In PC-DMIS können Sie zwischen den folgenden Bildschirmmodi wechseln. Über die verschiedenen Modi erkennt PC-DMIS, wie Mausklicks zu interpretieren sind.

Siehe auch:

Übertragungsmodus

2D-Rotationsmodus

3D-Rotationsmodus

Programmodus

Textfeldmodus


Übertragungsmodus

Display Menu Roadmap

Mit der Option Übertragungsmodus versetzen Sie PC-DMIS in den Übertragungsmodus. In diesem Modus können Sie das im Grafikfenster angezeigte Werkstück verschieben und Ausschnitte davon vergrößern oder verkleinern. Im Übertragungsmodus sind die folgenden Funktionen verfügbar:

  • Verkleinern der Werkstückgröße im Grafikfenster
  • Vergrößern der Werkstückgröße im Grafikfenster
  • Auswahl eines Werkstückausschnitts im Grafikfenster
  • Neupositionierung des Werkstücks im Grafikfenster

Siehe auch:

Verkleinern des Werkstückbilds im Grafikfenster

Vergrößern des Werkstückbilds im Grafikfenster

Vergrößern eines Ausschnitts des Werkstückbilds im Grafikfenster

Neupositionierung des Werkstückbilds im Grafikfenster


Verkleinern des Werkstückbildes im Grafikfenster

Vorgehensweise:

  1. Setzen Sie den Mauszeiger an eine Stelle oberhalb der imaginären horizontalen Mittellinie der Werkstückgrafik.
  2. Klicken Sie mit der rechten Maustaste.

Je weiter entfernt sich der Cursor von der Mittellinie befindet, desto mehr verkleinert sich die Zeichnung.


Vergrößern des Werkstückbildes im Grafikfenster

Vorgehensweise:

  1. Setzen Sie den Mauszeiger an eine Stelle unterhalb der imaginären horizontalen Mittellinie der Werkstückgrafik.
  2. Klicken Sie mit der rechten Maustaste.

Je weiter entfernt sich der Cursor von der Mittellinie befindet, desto mehr vergrößert sich die Zeichnung.


Vergrößern eines Ausschnitts des Werkstückbildes im Grafikfenster

Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf eine Ecke des ausgewählten Bereichs.
  2. Drücken und halten Sie gleichzeitig beide Maustasten (die linke und die rechte).
  3. Bewegen (ziehen) Sie das Pfeilsymbol über den Ausschnitt des auszuwählenden Grafikfensters. PC-DMIS beginnt, ein Kästchen zu zeichnen.
  4. Lassen Sie beide Maustasten wieder los, sobald das Kästchen die gewünschte geometrische Form enthält. PC-DMIS vergrößert den ausgewählten Ausschnitt.

Hinweis: Ab einem gewissen Punkt kann das Bild nicht weiter vergrößert werden.


Neupositionierung des Werkstückbildes im Grafikfenster

Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf Werkstückbild.
  2. Halten Sie die rechte Maustaste gedrückt und ziehen Sie es an eine neue Position.
  3. Lassen Sie die Maustaste wieder los.


2D-Rotationsmodus

Display Menu Roadmap

Mit der Option 2D-Rotation können Sie das Werkstück in zwei Dimensionen drehen. Es kann um volle 360 Grad oder einen beliebigen Bruchteil davon gedreht werden.

Unter "2D-Rotation durch Ziehen" und "2D-Rotation an ein Element" werden zwei verschiedene Methoden, um eine Zeichnung in zwei Dimensionen zu drehen, beschrieben.

Siehe auch:

2D-Rotation durch Ziehen

2D-Rotation an ein Element (Ausrichten der Zeichnung)

2D-Rotation um einen Faktor


2D-Rotation durch Ziehen

Eine Zeichnung kann in zwei Dimensionen gedreht werden, indem sie um den imaginären Mittelpunkt des Grafikfensters gezogen wird.

Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf eine beliebige Stelle des Grafikfensters (jeden Bereich außer den Mittelpunkt).
  2. Drücken und halten Sie die rechte Maustaste.
  3. Bewegen Sie den Zeiger um den imaginären Mittelpunkt des Grafikfensters herum. Beim Bewegen der Maus wird das Bild in PC-DMIS dynamisch neu gezeichnet.
  4. Lassen Sie die Maustaste wieder los. PC-DMIS behält die aktuelle Drehung bei.


2D-Rotation an ein Element (Ausrichten der Zeichnung)

Um das Werkstück am Bildschirm "auszurichten", klicken Sie mit der rechten Maustaste auf ein Element. (Halten Sie die Maustaste nicht gedrückt.) PC-DMIS dreht die Zeichnung so, daß das ausgewählte Element nun parallel zur nächsten Bildschirmachse (vertikal oder horizontal) liegt.


2D-Rotation um einen Faktor

Zur Rotation um einen bestimmten Faktor wird folgendermaßen vorgegangen (siehe auch "Das Modell um einen Faktor skalieren"):

  1. Klicken Sie auf das Symbol 2D-Rotation in der Symbolleiste Grafik modi.
  2. Drücken Sie die UMSCHALTTASTE und klicken Sie mit der rechten Maustaste in das Grafikfenster. Daraufhin wird ein kleines Dialogfeld eingeblendet.
  3. Geben Sie den Winkel (in Grad) in das Feld Winkel der Werkstück- Koordinaten X ein.
  4. Klicken Sie auf OK. PC-DMIS schließt das Feld und führt eine 2D-Rotation des Werkstücks im Grafikfenster durch.


3D-Rotationsmodus

Display Menu Roadmap

Mit der Menüoption 3D-Rotationsmodus können Sie eine Werkstückzeichnung in drei Dimensionen drehen. Das Werkstück kann pro Drehung bis zu 45 Grad gedreht werden. Bei Auswahl dieser Option wird das Dialogfeld Drehen geöffnet.

Hinweis: Ist das Kontrollkästchen Animieren aktiviert, zeichnet PC-DMIS die Grafik dynamisch neu, während die Maus bewegt wird.

Siehe auch "Drehen der Zeichnung".

Unter "3D-Rotation über das Dialogfeld Drehen", "3D-Rotation durch Ziehen" und "3D-Rotation an ein Element" werden drei verschiedene Methoden zum Drehen einer Zeichnung in drei Dimensionen beschrieben.

More:

3D-Rotation über das Dialogfeld "Drehen"

3D-Rotation durch Ziehen

3D-Rotation an ein Element (Ausrichten der Zeichnung)


3D-Rotation über das Dialogfeld "Drehen"

So drehen Sie die Zeichnung mit Hilfe des Dialogfelds:

  1. Wählen Sie die zu ändernde Ansicht aus (mit 1-4 numerierte Optionsfelder).
  2. Bestimmen Sie das Ausmaß der Drehung, indem Sie die Gradschritte (1, 5, 10 oder 45) wählen.
  3. Klicken Sie auf die Schaltfläche für die gewünschte Achse, um die Zeichnung zu drehen.
  4. Klicken Sie auf die Schaltfläche Schließen. PC-DMIS zeigt die Änderungen an der CAD-Anzeige im Grafikfenster an.

Durch Klicken auf die Schaltfläche Zurücksetzen wird die Zeichnung im Dialogfeld auf die vorherige Ansicht zurückgesetzt.


3D-Rotation durch Ziehen

Die Werkstückrotation kann auch durch Ziehen der Maus erfolgen. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld 3D-Rotation.
  2. Klicken und halten Sie die rechte Maustaste.
  3. Ziehen Sie die Maus.

Hinweis: Die 3D-Rotation läßt sich schnell durchführen, indem Sie die STRG-Taste drücken und halten, mit der rechten Maustaste klicken und das Werkstück dann ziehen.

Bestimmen des Drehpunkts

Es gibt zwei Möglichkeiten, den Drehpunkt zu bestimmen, je nachdem, an welcher Stelle sich die Maus befindet, wenn erstmalig mit der rechten Maustaste geklickt wird. Entweder befindet sich die Maus über dem Hintergrund des Grafikfensters oder über dem Werkstück.

  1. Befindet sich die Maus über dem Hintergrund des Grafikfensters, wird das Werkstück um den Nullpunkt des Werkstücks gedreht.
  2. Befindet sich die Maus über dem Werkstück, wird das Werkstück um den Werkstückpunkt direkt unter dem Mauszeiger gedreht.


3D-Rotation an ein Element (Ausrichten der Zeichnung)

Um das Werkstück am Bildschirm "auszurichten", klicken Sie mit der rechten Maustaste auf ein Element. (Halten Sie die Maustaste nicht gedrückt.) PC-DMIS dreht die Zeichnung so, daß das ausgewählte Element nun parallel zur nächsten Bildschirmachse (vertikal, horizontal oder rechtwinklig zum Bildschirm) liegt.


Programmodus

Display Menu Roadmap

Über die Menüoption Programmodus können Sie Werkstückprogramme unter Verwendung von CAD-Daten aus IGES-Dateien erlernen und bearbeiten. Dieses Funktionselement ist sowohl in der Offline- als auch in der Online-Version von PC-DMIS verfügbar.

Weitere Informationen über die Programmierung unter Verwendung von Grafiken finden Sie im Abschnitt "Arbeiten im Offline-Modus".


Textfeldmodus

Display Menu Roadmap

Mit der Option Textfeld können Sie schnell Textfelder für Merkmal- und Punkt-Infos erstellen und bearbeiten.

Diese Textfelder können Sie mit Hilfe von Kontextmenüs erstellen, die durch einen Klick mit der rechten Maustaste oder durch die Auswahl von Element-ID- oder Elementfeldern eingeblendet werden. Weitere Informationen finden Sie unter "Einfügen von Merkmal-Infofeldern" und "Einfügen von Punkt-Infofeldern" im Abschnitt " Einfügen von Protokollbefehlen".

Hinweis: Wird die Maus im Grafikfenster über einem Element oder der ID-Beschriftung eines Elements positioniert, hebt PC-DMIS das Element in der CAD-Zeichnung hervor. Dadurch können Sie schnell feststellen, welches Element mit einer bestimmten Beschriftung verknüpft ist.

Im Textfeldmodus stehen folgende Kontextmenüs zur Auswahl:

  • Wenn Sie mit der rechten Maustaste auf ein Element, die ID-Beschriftung eines Elements oder ein Textfeld klicken, zeigt PC-DMIS ein Kontextmenü für das betreffende Element an. Siehe auch "Kontextmenü 'Element'" im Abschnitt "Verwenden von Tastaturbefehlen und Kontextmenüs".
  • Wenn Sie mit der rechten Maustaste auf ein Merkmal- oder Punkt-Infofeld klicken, zeigt PC-DMIS ein Kontextmenü für das betreffende Textfeld an. Siehe auch "Kontextmenü 'Element'" im Abschnitt "Verwenden von Tastaturbefehlen und Kontextmenüs".
  • Wenn Sie ein oder mehrere Elemente über ein Feld auswählen, zeigt PC-DMIS ein Kontextmenü an. Siehe auch "Kontextmenü 'Kästchenauswahl'" im Abschnitt "Verwenden von Tastaturbefehlen und Kontextmenüs".

Hinweis: Wenn sich die Maus nicht über einem Element oder einem Textfeld befindet, sind die normalen Vorgänge des Übertragungsmodus verfügbar. Das Werkstück kann durch Klicken mit der rechten Maustaste vergrößert und gedreht werden Weitere Informationen finden Sie unter "Übertragungsmodus".

Tipp: Eine schnelle Methode zur Erstellung eines MERKMALINFO- oder eines PUNKTINFO-Felds ist der einfache Doppelklick auf ein Element oder eine Element-ID-Beschriftung. PC-DMIS kann sich in jedem beliebigen Modus befinden. PC-DMIS erstellt automatisch ein Infofeld, das auf den aktuellen Einstellungen des Dialogfelds Merkmal-Info bearbeiten oder Punktangaben bearbeiten basiert.

Beispiel: Angenommen, für ein Element wurde ein MERKMALINFO-Feld erstellt. Durch einen Doppelklick auf die folgenden Elementbeschriftungen werden weitere MERKMALINFO-Felder für diese Elemente erstellt und dieselben Einstellungen zugrundegelegt, die bei der letzten Verwendung des Dialogfeldes Merkmal-Info bearbeiten ausgewählt wurden.


Ändern der Bildschirmfarben

Display Menu Roadmap

Apply Cancel OK 3D Grid Highlight Background

Im Dialogfeld Bildschirmfarbe können Sie die Farben ändern, die im Grafikfenster angezeigt werden. Sie können die Hintergrundfarbe, die Markierungsfarbe und die 3D-Rasterfarbe ändern.

Im Abschnitt "Verwenden der Übersichtskarte"" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen.

Siehe auch:

So löschen ändern Sie eine Farbe:

Hintergrund

Markierung

3D-Raster


So ändern Sie eine Farbe:

Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Bildschirmfarbe.

Display Menu Roadmap

Für Hintergrund, Markieren oder 3D-Raster klicken Sie auf die Schaltfläche Bearbeiten. Das Dialogfeld Farbe wird angezeigt.

  3. Legen Sie für die ausgewählte Option eine neue Farbe fest.
  4. Klicken Sie auf OK. Das Programm schließt das Dialogfeld Farbe und kehrt ins Dialogfeld Bildschirmfarbe zurück.
  5. Klicken Sie auf Übernehmen, um die Änderungen zu speichern und die Arbeit im Dialogfeld Bildschirmfarbe fortzusetzen.
  6. Klicken Sie auf OK, wenn Sie fertig sind.


Hintergrund

Im Bereich Hintergrund können Sie die Farbe für den Bildschirmhintergrund ändern. Befolgen Sie die unter "So ändern Sie eine Farbe" dargelegten Anleitungen.


Markieren

Im Bereich Markieren können Sie die im Grafikfenster von PC-DMIS zum Markieren/Hervorheben verwendete Farbe ändern. Befolgen Sie die unter "So ändern Sie eine Farbe" dargelegten Anleitungen.


3D-Raster

Im Bereich 3D-Raster können Sie die Farbe ändern, die im Grafikfenster für das 3D-Raster verwendet wird. Befolgen Sie die unter "So ändern Sie eine Farbe" dargelegten Anleitungen.

Weitere Informationen zum 3D-Raster finden Sie unter "Hinzufügen eines 3D-Rasters".


Anpassen der Zeichnung

Sie können die Größe einer CAD-Zeichnung an die Größe der ausgewählten Ansichten im Grafikfenster oder mit Hilfe eines Faktors anpassen.

Siehe auch:

Anpassen des Modells an eine Ansicht

Anpassen des Modells mit Hilfe eines Faktors


Anpassen des Modells an eine Ansicht

Display Menu Roadmap

Mit der Menüoption Größe anpassen wird das Werkstückbild neu angezeigt, so daß es ganz in das Grafikfenster paßt. Diese Option ist immer dann nützlich, wenn das Bild für das Fenster, in dem es angezeigt wird, zu groß oder zu klein wird. Sie können einfach auf die Menüoption Größe anpassen klicken, um das Werkstückbild so zu ändern, daß alle Elemente und CAD-Elemente sichtbar sind.


Anpassen des Modells mit Hilfe eines Faktors

Die Option "Größe der Zeichnung anpassen" steht nicht in der Menüleiste zur Verfügung. Mit der Option Größe der Zeichnung anpassen können Sie die Abbildung des Werkstücks im Grafikfenster ändern. Die CAD-Daten selbst bleiben dabei unverändert.

So verwenden Sie diese Option:

  1. Klicken Sie auf das Symbol Übertragungsmodus in der Symbolleiste Grafik modi.
  2. Drücken Sie die UMSCHALTTASTE, halten Sie die Taste gedrückt und klicken Sie mit der rechten Maustaste. Es erscheint das Dialogfeld Größe der Zeichnung anpassen.
  3. Geben Sie die X-, Y-, Z- Werkstückkoordinaten an, die in der Bildschirmmitte angezeigt werden sollen.
  4. Geben Sie den gewünschten Maßstab ein.

Beispiel: Wenn Sie die Größe der Zeichnungselemente um 50% reduzieren möchten, geben Sie 0,5 ein. Wenn Sie die Größe der Zeichnungselemente verdoppeln möchten, geben Sie 2,0 ein. Wird als Maßstab ein Faktor von 1,0 angegeben, ändert sich die Größe der Zeichnung nicht.

Sie können die Größe des grafischen Bilds innerhalb des Grafikfensters auch anpassen, indem Sie mit der rechten Maustaste über oder unter die imaginäre, horizontale Linie klicken, die das Grafikfenster unterteilt.


Drehen der Zeichnung

Display Menu Roadmap

Bei Auswahl der Menüoption Drehen wird das Dialogfeld Drehen angezeigt.

Über dieses Dialogfeld können Sie eine Werkstückzeichnung in drei Dimensionen drehen. Jede Ansicht des Werkstücks kann pro Drehung bis zu 45 Grad gedreht werden. Sie können diese Option auch aktivieren, indem Sie auf das Symbol 3D-Rotationsmodus auf der Symbolleiste Grafik modi klicken.

So drehen Sie die Zeichnung mit Hilfe des Dialogfelds:

  1. Wählen Sie die zu ändernde Ansicht aus (1-4).
  2. Bestimmen Sie das Ausmaß der Drehung, indem Sie die Gradschritte (1, 5, 10 oder 45) eingeben.
  3. Klicken Sie auf die Schaltfläche für die gewünschte Achse, um die Zeichnung in der angegebenen Richtung zu drehen.

Mit der Schaltfläche Zurücksetzen wird die vorherige Ansicht der Zeichnung im Dialogfeld Drehen und im Grafikfenster wiederhergestellt.

Wenn das Kontrollkästchen Animieren markiert ist, wird das Werkstück bei jeder Drehung im Grafikfenster dynamisch neu gezeichnet.

Hinweis: Weitere Informationen finden Sie unter "3D-Rotationsmodus".


Zeigen von WerkstückbaugruppenShowingAssembliesofParts>main

Zeigen von Werkstückbaugruppen

Display Menu Roadmap

Bei Auswahl des Symbols Baugruppe wird das Dialogfeld CAD Baugruppen eingeblendet.

Das Dialogfeld CAD Baugruppen enthält eine Liste aller importierten und zusammengeführten Werkstücke oder Baugruppen, die im Grafikfenster Verwendung finden. Direkt neben jedem Werkstück oder jeder Baugruppe befindet sich ein Kontrollkästchen. Werden ein Werkstück oder eine Baugruppe ausgewählt, markiert PC-DMIS die entspechenden Werkstücke oder Baugruppen im Grafikfenster. Sie können diese Auswahl dann ein- oder ausblenden, indem sie das entsprechende Kontrollkästchen auswählen oder die Auswahl aufheben.

Das Dialogfeld enthält folgende Optionen:

  • Die Schaltfläche Nachkommen auffächern fächert eine Baugruppe auf und zeigt eine Liste der Werkstücke an, aus denen diese Baugruppe zusammengesetzt ist.
  • Über die Schaltfläche Ausblenden wird auch die aktuelle Auswahl ausgeblendet.
  • Die Schaltfläche Geschwister ausblenden blendet alle Werkstücke oder Baugruppen aus, die auf demselben Niveau wie die aktuell ausgewählten Werkstücke oder Baugruppe aufgeführt werden.


Spiegeln von CAD

Display Menu Roadmap

Über die Menüoption Spiegeln können Sie die CAD-Ansicht eines Werkstücks spiegeln. Dies ist besonders beim Messen von Automobil-Werkstücken mit symmetrischen Teilen nützlich. Wenn CAD-Angaben für die rechte Seite eines Werkstücks vorhanden sind, können Sie diese an der entsprechenden Achse spiegeln und eine CAD-Ansicht der linken Seite des Werkstücks erstellen.

Über diese Menüoption wird das Dialogfeld CAD spiegeln eingeblendet.

Markieren Sie die Achse, an der gespiegelt werden soll. Wenn Sie Ihre alten CAD-Daten beibehalten möchten, so daß nach dem Spiegeln für beide symmetrischen Hälften CAD-Daten zur Verfügung stehen, aktivieren Sie das Kontrollkästchen Original beibehalten.

Wenn Sie auf OK klicken, spiegelt PC-DMIS die CAD-Zeichnung an der angegebenen Achse und zeigt das Bild im Grafikfenster an.

Die Option Spiegeln erstellt kein neues Werkstückprogramm im gespiegelten Bild. Wenn Sie statt dessen Ihr Werkstückprogramm spiegeln möchten, befolgen Sie die im Abschnitt "Verwenden von grundlegenden Dateioptionen" unter "Spiegeln" gegebenen Anweisungen.


CAD auf 3D einstellen

Display Menu Roadmap

Mit der Menüoption 3D-Darstellung können Sie eine 2D-CAD-Zeichnung dreidimensional manipulieren. Auf diese Option kann auch während der Import-Phase beim Laden einer CAD-Zeichnung zugegriffen werden. Nachdem Sie die Menüoption 3D-Darstellung gewählt haben, zeigt PC-DMIS das Fenster Layer erstellen an.

Hinweis: Alle an der Zeichnung vorgenommenen Änderungen sind temporär. Wenn der Hauptbildschirm von PC-DMIS für Windows reaktiviert wird, haben die vorgenommenen Änderungen keine Gültigkeit mehr.

Mit Hilfe des Fensters Layer erstellen-ALTE DATEI können Sie neue Ebenen oder Ansichten der verschiedenen geometrischen Elemente erstellen, aus denen sich die CAD-Darstellung zusammensetzt. Alle an der Grafik vorgenommenen Änderungen sind temporär. Wenn PC-DMIS für Windows erneut aktiviert wird, haben die vorgenommenen Änderungen keine Gültigkeit mehr.

Zu diesem Fenster gehören drei Menüs, über die die verschiedenen Ebenen erstellt werden:

  1. Datei
  2. Ansicht
  3. Level

Siehe auch:

So stellen Sie CAD auf 3D ein


So stellen Sie CAD auf 3D ein

Zum besseren Verständnis der in den nachfolgenden Schritten verwendeten Ausrichtungsoptionen ist es möglicherweise erforderlich, ein wenig mit dieser Programmfunktion zu experimentieren.

  1. Erstellen Sie ein Werkstückprogramm (siehe auch "Erstellen neuer Werkstückprogramme" im Abschnitt "Verwenden von grundlegenden Dateioptionen").
  2. Importieren Sie das CAD-Modell in das Werkstückprogramm (siehe auch "Importieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen").
  3. Überprüfen Sie das Koordinatensystem des Modells.
  4. Erstellen Sie die Ausrichtung (siehe auch "Erstellen und Verwenden von Ausrichtungen").
  5. Wählen Sie die Menüoption 3D-Darstellung. Das Fenster Layer erstellen wird mit dem Text "ALTE DATEI" in der Titelleiste angezeigt. In diesem Fenster werden Ihre importierten CAD-Daten als Drahtmodell angezeigt.

Display Menu Roadmap

Halten Sie die linke Maustaste gedrückt, und ziehen Sie ein Feld um das gesamte Modell. PC-DMIS hebt das ausgewählte CAD-Modell hervor.

  7. Wählen Sie Layer | Erstellen. PC-DMIS zeichnet das Modell neu.
  8. Wählen Sie Layer | Positionieren. Das Dialogfeld Positionsebene wird mit der Nummer 1 in der Titelleiste angezeigt. Dieses Dialogfeld zeigt an, wie Sie das Modell für das erste Level positionieren werden.
  9. Wählen Sie im Bereich Ausrichtung eine Ansicht aus, von der aus das Modell neu ausgerichtet werden soll. Die restlichen Optionen des Dialogfelds stehen nun zur Auswahl zur Verfügung.
  10. Wählen Sie gegebenenfalls weitere Optionen aus:
    • Klicken Sie auf Positionieren, um das Modell um die von Ihnen gewählte Ausrichtung zu drehen.
    • Möchten Sie die Ausrichtung des Modells um einen bestimmten Wert in horizontaler oder vertikaler Richtung versetzen, geben Sie den Versatzwert in die Felder Versatz (Horizontal) oder Versatz (Vertikal) ein.
    • Möchten Sie die Ausrichtung auf ein bestimmtes Element verschieben, klicken Sie auf die Option Element 1 und anschließend im Fenster Ebenen erstellen auf das gewünschte CAD-Element. PC-DMIS verlagert die Ausrichtung auf das angegebene Element. Wenn Sie ein zweites Element verwenden möchten, führen Sie denselben Vorgang mit der Option Element 2 durch.
    • Möchten Sie die Ausrichtung von einem definierenden Element versetzen, wählen Sie die Option Element im Bereich Element zur Definition des Versatzes und geben Sie im Feld Versatz einen Versatzwert ein.
  11. Nachdem Sie die Änderungen abgeschlossen haben, klicken Sie auf Übernehmen und anschließend auf OK. Das Dialogfeld Positionsebene wird geschlossen, und PC-DMIS zeichnet das Fenster Ebenen erstellen mit allen Änderungen neu.
  12. Verwenden Sie die Optionen des Menüs Ansicht, um Ihre Änderungen zu überprüfen. Mit den Optionen Ansicht | Ändern können Sie das Dialogfeld Ansicht einrichten aufrufen, um eine Ansicht für das Fenster Ebenen erstellen anzugeben.
  13. Möchten Sie die neue Ausrichtung beibehalten, wählen Sie Datei | Mit Speichern beenden. Anderenfalls wählen Sie Beenden.


Levels erstellen - Menü "Datei"

Ebenen erstellen – Menü "Datei"

Über das Menü Datei im Fenster Ebenen erstellen können Sie auf die in "ALTE DATEI" eingelesene Originaldatei sowie auf die neu erstellte Datei "NEUE DATEI" zugreifen. Zudem haben Sie die Möglichkeit, alle vorgenommenen Änderungen zu speichern, bevor Sie diese Option beenden.

  • Die "ALTE DATEI" enthält immer die unveränderten Daten aus der Originaldatei.
  • Für die Datei "NEUE DATEI" können Sie das Dialogfeld Positionieren öffnen und den Layer dreidimensional anordnen.

Es kann jeweils immer nur auf ein Fenster zugegriffen werden. In PC-DMIS können Sie mit dem Menü Datei zwischen den geöffneten Fenstern hin- und herschalten. PC-DMIS schaltet automatisch auf das richtige Fenster um, wenn dies für eine bestimmte Funktion (wie z. B. Erstellen eines neuen Layers) erforderlich ist.

Wenn Sie nach dem Erstellen oder Bearbeiten von Ebenen Ihre Änderungen speichern möchten, wählen Sie unbedingt die Option Mit Speichern beenden, da PC-DMIS das Werkstückprogramm vor dem Beenden nicht automatisch speichert.


Ebenen erstellen - Menü "Ansicht"

Ebenen erstellen – Menü "Ansicht"

Über die Menüoption Ansicht im Fenster Ebenen erstellen können Sie die im Dialogfeld angezeigte Grafik vorübergehend ändern. Auf diese Weise können Sie die Ansicht drehen, skalieren oder ändern und so leicht auf die benötigten CAD-Elemente zugreifen.

Siehe auch:

Ansicht ändern

Größe anpassen

Drehen

CAD-Info

Bildschirmfarbe


Ansicht ändern

Mit der Menüoption Ansicht ändern können Sie neue Ansichten aus einer CAD-Datei erstellen. Diese Funktion ist bei Verwendung einer 2D-IGES-Datei hilfreich, die mehrere Ansichten eines Werkstücks in einer Ebene enthält, die mit der richtigen Ausrichtung im Grafikfenster verknüpft werden müssen.


Bearbeiten der CAD-Anzeige - Ebenen erstellen - Menü "Ansicht" - Größe anpassen

Größe anpassen

Mit der Menüoption Größe anpassen wird das Werkstückbild neu gezeichnet, so daß es ganz in das Grafikfenster hineinpaßt. Diese Funktion ist immer dann nützlich, wenn ein Bild zu groß oder zu klein wird.


Bearbeiten der CAD-Anzeige - Ebenen erstellen - Menü "Ansicht" - Drehen

Drehen

Die Menüoption Drehen zeigt das Dialogfeld Drehen an, mit dem Sie das Werkstückbild in drei Dimensionen drehen können. Siehe auch "Anpassen der Zeichnung".


CAD-Info

Über die Menüoption CAD-Info wird das Dialogfeld CAD-Informationen eingeblendet. In diesem Dialogfeld können Sie Informationen über eine bestimmte CAD-Geometrie einsehen. Jedesmal, wenn eine einzelne CAD-Geometrie ausgewählt und das Dialogfeld CAD-Informationen geöffnet ist, erscheinen darin die Angaben zur betreffenden CAD-Geometrie. Zudem blinkt das ausgewählte Element auf dem Bildschirm. Zumindest wird die Art der Geometrie dargestellt (Kreis, Linie etc.). Wurde die CAD-Geometrie mit PC-DMIS, Version 3.2 oder höher, importiert, werden zudem Informationen über die CAD-Datei (zum Zeitpunkt des Imports) angezeigt. Hierzu gehören der vollständige Pfad zur Datei, der letzte Änderungszeitpunkt und die Dateigröße (in Byte). Sofern verfügbar, ist auch die Folgenummer des Elements in der IGES-, XYZ- etc. Datei zu sehen. In der Regel werden Angaben zur Geometrie gemacht, wie beispielsweise Durchmesser, Vektor oder Lage. Bei komplexen Elementen (z. B. bei beschnittenen Oberflächen) werden zudem Angaben zu anderen Geometrien (Grundfläche, begrenzende Kurven) angezeigt. Wenn auf die Schaltfläche Ansicht geklickt wird, fängt die beschriebene Geometrie an, auf dem Bildschirm zu blinken. Nach Auswahl der Menüoption CAD-Info können Sie auf dieses Dialogfeld zugreifen.


Bildschirmfarbe

Die Menüoption Bildschirmfarbe zeigt das Dialogfeld Bildschirmfarbe an. Mit dieser Option können Sie die Farben für das Fenster Ebenen erstellen verändern, ähnlich wie mit dem Dialogfeld Bildschirmfarbe (siehe Ändern der Bildschirmfarben).


Ebenen erstellen – Menü "Layer"

Mit der Menüoption Layer im Fenster Layer erstellen können Sie die gewünschten CAD-Elemente auswählen und bis zu 18 verschiedene Ebenen erstellen. Jeder erstellte Layer wird ans Ende der Menüliste angehängt, so daß diese erneut von Ihnen ausgewählt werden kann. Ein CAD-Layer besteht aus einer Gruppe verwandter CAD-Geometrien, die durch eine Ebenennummer ausgewiesen werden. Ebenen werden entweder in einer IGES- oder XYZ-CAD-Datei vordefiniert. Die Ebenenangaben in diesen Dateien werden beim 'Importieren' der Dateien in PC-DMIS importiert. Im Dialogfeld "Ansicht einrichten" können Sie angeben, welche Ebenen in den einzelnen Ansichten angezeigt werden sollen. In Anbetracht der Größe und Komplexität vieler CAD-Dateien ist diese Option besonders nützlich, da Sie mit ihr bestimmen können, welche Teile des CAD-Modells bei der Ausführung verschiedener PC-DMIS-Aufgaben sichtbar sind.

Eine CAD-Geometrie kann nur jeweils einem Layer angehören. Geometrie "A" kann beispielsweise nur Layer "x" oder Layer "y" angehören, jedoch nicht beiden. Dies beeinträchtigt nicht die Anzeigefähigkeiten, da mehrere Ebenen gleichzeitig angezeigt werden können.

Siehe auch:

Neu

Wählen

Auswahl aufheben

Erstellen

Positionieren

Weitere Ebenenmanipulationen


Bearbeiten der CAD-Anzeige - Layer erstellen - Menü "Layer" - Neu

Neu

Mit der Menüoption Neu können Sie einen neuen Layer erstellen, sofern bereits Layer vorhanden sind. (Diese Option muß zum Erstellen des ersten Layers nicht verwendet werden, da automatisch PC-DMIS einen neuen Layer erstellt, sobald das Fenster Layer erstellen – ALTE DATEI geöffnet wird.)

Siehe auch:

Erstellen eines neuen Layer:


So erstellen Sie einen neuen Layer:

  1. Öffnen Sie das Fenster Layer erstellen.
  2. Klicken Sie auf die Option Neu. Ist die Menüoption Neu abgeblendet, dann wurde sie bereits automatisch beim Öffnen des Fensters Layer erstellen – ALTE Datei ausgewählt.
  3. Wählen Sie die gewünschten CAD-Elemente aus. (CAD-Elemente können mit den in PC-DMIS verfügbaren Methoden ausgewählt werden. Dazu gehören Auswahl mit der Maus und Kästchenauswahl.) Nachdem ein CAD-Element ausgewählt wurde, wird es in der aktuellen Markierungsfarbe hervorgehoben.
  4. Wählen Sie Layer | Erstellen im Dropdown-Menü.

PC-DMIS erstellt den neuen Layer und schaltet automatisch auf das Fenster Layer erstellen – NEUE Datei um, in dem die ausgewählten Elemente angezeigt werden.

Neue Ebenen können Sie auch mit dem Dialogfeld Ansicht einrichten erstellen. Weitere Informationen zu diesem Dialogfeld finden Sie unter "Einrichten der Bildschirmanzeige".


Bearbeiten der CAD-Anzeige - Ebenen erstellen - Menü "Layer" - Auswählen

Auswählen

Mit der Menüoption Auswählen können Sie bestimmen, welche CAD-Elemente in dem neuen Layer angezeigt werden. Die ausgewählten Daten werden in der aktuellen Markierungsfarbe dargestellt. Elemente können nur ausgewählt werden, wenn die Menüoption Auswählen aktiviert ist.

Hinweis: Vergewissern Sie sich, daß die markierten Daten genauso wie benötigt angezeigt werden. Nachdem die Menüoption Erstellen gewählt wurde, können die CAD-Elemente nicht mehr geändert werden. Wenn ein Layer (vor Auswahl der Menüoption Erstellen) geändert werden soll, wählen Sie die Option Auswahl aufheben. Auf diese Weise wird die Auswahl aller hervorgehobenen Daten aufgehoben.


Bearbeiten der CAD-Anzeige - Ebenen erstellen - Menü "Layer" - Auswahl aufheben

Auswahl aufheben

Mit der Menüoption Auswahl aufheben können Sie die Auswahl aller CAD-Elemente aufheben, die zur Anzeige markiert waren.


Bearbeiten der CAD-Anzeige - Ebenen erstellen - Menü "Layer" - Erstellen

Erstellen

Die Menüoption Erstellen erstellt einen neuen Layer auf Basis der ausgewählten CAD-Elementen.

Nach Markierung der gewünschten CAD-Elemente und Auswahl dieser Option überträgt PC-DMIS die ausgewählten Elemente aus der "ALTEN Datei" in die "NEUE Datei". Der Bildschirm wird automatisch auf die Anzeige der "NEUEN Datei" umgeschaltet. Das Fenster zeigt außerdem alle anderen zuvor erstellten Ebenen an. Die für den neuen Layer ausgewählten Elemente werden schwarz dargestellt. Daten aus vorherigen Layern werden grau dargestellt.

Um einen andere Layer zu erstellen, wählen Sie die Menüoption Neu (siehe auch "So erstellen Sie eine neue Ebene"). Die "ALTE DATEI" wird automatisch angezeigt, und der Auswahlvorgang kann wiederholt werden.


Position

Positionieren

Nachdem der Layer erstellt wurde, wird mit der Menüoption Positionieren das Dialogfeld Positionieren angezeigt. In diesem Dialogfeld können Sie die Achsen positionieren und die Ausrichtung des betreffenden Layers ändern.

Siehe auch:

So positionieren Sie einen Layer neu:

Ausrichtungsbereich

Schaltfläche "Positionieren"

Bereich "Element(e) zur Definition des Nullpunkts"

Bereich "Element zur Definition des Versatzes

Feld "Maßstab"


So positionieren Sie einen Layer neu:

  1. Wählen Sie den Layer im Menü Layer aus.
  2. Wählen Sie Layer | Positionieren.
  3. Wählen Sie im Abschnitt Ausrichtung des Dialogfelds eine Ausrichtungsoption (Oben, Unten, Rechts etc.).
  4. Klicken Sie auf die Befehlsschaltfläche Positionieren. Das Dialogfeld Ansicht aus Lage erscheint. In diesem Dialogfeld können Sie den Layer relativ zur Ausrichtung positionieren.
  5. Bewegen Sie den Layer im Dialogfeld Ansicht aus Lage in drei Dimensionen, so daß sie sich im Verhältnis zu den anderen Layern in der richtigen Lage befindet.
  6. Klicken Sie auf OK.

Layer können in jeder beliebigen Reihenfolge und so oft wie nötig neu angeordnet werden.


Bearbeiten der CAD-Anzeige - Positionieren - Bereich "Ausrichtung"

Bereich "Ausrichtung"

Derzeit werden nur Ausrichtungen unterstützt, die den sechs Seiten eines Würfels entsprechen. Wählen Sie die Ausrichtung, die dem gewünschten Ausschnitt der 2D-Daten entspricht. Wenn die 2D-Daten das Werkstück aus der rechten Seitenansicht darstellen, wählen Sie als Ausrichtung RECHTS.

Beispiel: Zeigen die Daten die linke Seite eines Autos, wählen Sie als Ausrichtung LINKS. Die Daten müssen die linke Seite des Autos so zeigen, wie sie sich darstellt, wenn man direkt neben dem Auto steht. Erscheint das Auto auf dem Kopf oder einem Ende stehend, klicken Sie nach Wahl der Ausrichtung auf die Schaltfläche Positionieren.


Schaltfläche "Positionieren"

Die Schaltfläche Positionieren zeigt das Dialogfeld Ansicht aus Lage an.

Diese Option zeigt nur die 2D-Daten für den aktuellen Layer an. Zudem zeigt es ein Kästchen an, das die ausgewählte Ausrichtung darstellt. Mit den Optionsfeldern Drehen und den Kontrollkästchen Spiegeln können Sie die Daten bei Bedarf ändern. Dieser Vorgang kann jederzeit während des Positionierverfahrens durchgeführt werden.


Bereich "Element(e) zur Definition des Nullpunkts"

Um Daten innerhalb des Layers zu verschieben, kann im Bereich Element(e) zur Definition des Nullpunkts im Dialogfeld Ansicht aus Lage ein "Nullpunkt" festgelegt werden. Als Methode kommen die Auswahl einer oder mehrerer Geometrien in den Layer-Daten oder die Angabe eines oder mehrerer numerischer Versätze oder beides in Frage.

  • So wählen Sie eine Geometrie aus:
    1. Klicken Sie auf die Option Element 1.
    2. Wählen Sie im Fenster Layer erstellen – NEUE DATEI ein geometrisches Element (z. B. eine Linie). Wenn nun auf die Schaltfläche Übernehmen geklickt wird, wird einer der Endpunkte der Linie zum 'Nullpunkt'.
    3. Um den anderen Endpunkt zum Nullpunkt zu machen, markieren Sie das Kontrollkästchen Punkt 2.
  • So machen Sie den Schnittpunkt zweier Linien zum Nullpunkt:
    1. Klicken Sie auf die Option Element 1.
    2. Wählen Sie im Fenster Ebenen erstellen – NEUE DATEI eine Linie aus.
    3. Als nächstes klicken Sie auf die Option Element 2.
    4. Wählen Sie im Fenster Ebenen erstellen – NEUE DATEI eine zweite Linie aus.
    5. Klicken Sie auf die Schaltfläche Übernehmen, um die Ebenendaten an den neuen Nullpunkt zu verschieben. (Zur Wahl eines Nullpunktes ist jede Kombination aus Linien, Bögen, Kreisen und Punkten zulässig.)
  • Um den Nullpunkt in der horizontalen und vertikalen Richtung (relativ zur Ausrichtung gesehen) zu verschieben, können zudem numerische Versätze eingegeben werden.


Bereich "Element zur Definition des Versatzes"

Nach Wahl eines Nullpunktes muß der Layer u. U. in eine im Verhältnis zu ihm vertikale Richtung verschoben werden, um ihn relativ zu den anderen Ebenen richtig zu positionieren. Dies kann durch Auswahl einer Geometrie in einem Layer geschehen.

Beispiel: Es kann eine Linie in der Ausrichtung Oben ausgewählt werden. Die Layer in der Ausrichtung Rechts werden dann so verschoben, daß sie sich in derselben Ebene wie die Linie in der Ausrichtung Oben befinden. Im Idealfall sollte die ausgewählte Linie parallel zur Rechten Ausrichtungsebene liegen.


Feld "Maßstab"

Im Feld Maßstab können Sie die Größe des Werkstückbildes im Grafikfenster an die CAD-Zeichnung anpassen. Diese Option unterscheidet sich darin von den Optionen "Größe anpassen" und "Größe der Zeichnung anpassen" insofern, als daß die CAD-Daten im Werkstückprogramm die Änderungen tatsächlich berücksichtigen. Geben Sie den gewünschten Maßstab ein.

  • Um die Größe der Zeichnungselemente um 50% zu verkleinern, geben Sie 0,5 in das Feld Maßstab ein.
  • Wenn Sie die Größe der Zeichnungselemente verdoppeln möchten, geben Sie 2,0 ein.
  • Um die Größe der Zeichnung unverändert beizubehalten, geben Sie 1,0 ein. (Es kann für jeden beliebigen Layer ein Maßstab eingegeben werden.)

Um alle Änderungen zu übernehmen, klicken Sie auf die Schaltfläche Übernehmen. Mit der Schaltfläche Zurücksetzen können Sie alle an dem aktuellen Layer vorgenommenen Änderungen wieder rückgängig machen. Die Schaltfläche Abbrechen macht alle Änderungen rückgängig, die seit dem Öffnen des Dialogfensters Positionieren vorgenommen wurden.

Hinweis: Alle oben beschriebenen Positioniervorgänge können in beliebiger Reihenfolge durchgeführt werden. Sie können beliebig oft wiederholt werden. In den meisten Fällen werden die Änderungen erst nach Anklicken der Befehlsschaltfläche Übernehmen ersichtlich.


Zusätzliche Ebenenmanipulationen

In PC-DMIS können Sie mit Hilfe des Dialogfelds Ansicht einrichten folgende zusätzliche Ebenenmanipulationen durchführen:

  • Erstellen eines neuen Layers. Siehe auch "Erstellen von Layer".
  • Löschen eines vorhandenen Layers. Siehe auch "Löschen von Layern".
  • Ändern eines vorhandenen Layers. Siehe auch Ändern von Layern.

Zum Hinzufügen und Ändern von Layern müssen CAD-Daten markiert sein. Sie können die Auswahl genauso auf verschiedene Geometriearten einschränken, wie sie in den Dialogfeldern "CAD bearbeiten" und "CAD löschen" eingeschränkt wird. Die Auswahl kann auch auf einen vorhandenen markierten Layer eingeschränkt werden.

Weitere Informationen zum Arbeiten mit Layern unter Verwendung des Dialogfelds Ansicht einrichten finden Sie unter "Anzeigen, Erstellen und Bearbeiten von Layern" im Abschnitt "Zugriff auf Fenster, Editoren und Symbolleisten".

Sie können Layer außerdem mit Hilfe der Menüoption CAD auf 3D einstellen erstellen. Siehe auch "Einstellen von CAD auf 3D".


Anzeigen von CAD-Angaben

Display Menu Roadmap

Bei Auswahl der Menüoption CAD-Info wird das Dialogfeld CAD-Angaben angezeigt. Mit diesem Dialogfeld können Sie CAD-Angaben auf einfache Art abrufen, indem Sie im Grafikfenster das gewünschte CAD-Element markieren. Sobald das CAD-Element ausgewählt ist, zeigt PC-DMIS alle verfügbaren CAD-Angaben an.

Mit der Schaltfläche Ansicht läßt sich die Auswahl eines Elements bestätigen, indem das im Grafikfenster ausgewählte grafische Bild zu blinken beginnt.


Arbeiten mit Bildschirmkopien des Grafikfensters

Mit PC-DMIS können Sie Bildschirmkopien vom Grafikfenster erstellen und diese in Ihr Protokoll einfügen oder in der Zwischenablage ablegen.

Siehe auch:

Speichern von Bildschirmkopien in der Zwischenablage

Einfügen von Bildschirmkopien in das Protokoll

Übertragen von Bildschirmkopien in eine Datei

Bearbeiten von Bildschirmkopien


Speichern von Bildschirmkopien in der Zwischenablage

Display Menu Roadmap

Mit der Menüoption Bildschirm in Zwischenablage speichern können Sie das Grafikfenster aufzeichnen und den Bildschirminhalt in die Zwischenablage kopieren.

Wenn Sie eine in die Zwischenablage kopierte Abbildung ansehen möchten, fügen Sie diese in eine beliebige Windows-Anwendung ein, welche die Funktion Einfügen unterstützt (z.B. Microsoft Word).


Einfügen von Bildschirmkopien in das Protokoll

Display Menu Roadmap

Mit der Menüoption Bildschirm in Protokoll speichern können Sie Bildschirmkopien im Bearbeitungsfenster anzeigen. Diese Menüoption aktiviert den Befehl ANZEIGE/METADATEI im Bearbeitungsfenster. Wenn dieser Befehl markiert und ausgeführt wird, aktualisiert PC-DMIS den Bildschirm automatisch und zeigt ihn an, wenn sich das Bearbeitungsfenster im Protokollmodus befindet. Dieser Befehl gleicht den Befehlen ANALYSEANSICHT und ANZEIGE/METADATEI, die im Analysefenster erstellt werden. (Weitere Informationen zum Analysefenster finden Sie unter "Analyse" im Abschnitt "Einfügen von Protokollbefehlen".)

Hinweis: Um optimale Ergebnisse für die Bildschirmkopien zu erhalten, sollten Sie für Texte im Grafikfenster TrueType-Schriftarten verwenden.


Übertragen von Bildschirmkopien in eine Datei

Display Menu Roadmap

Mit der Menüoption Bildschirm in Datei speichern können Sie das Grafikfenster aufzeichnen und den Bildschirminhalt als Bitmap-Datei auf Ihrem Computer speichern.


Bearbeiten von Bildschirmkopien

PC-DMIS selbst verfügt über keine Funktionalität zum Bearbeiten und Formatieren der aufgezeichneten Abbildungen. Sie können Ihre Bildschirmkopien jedoch mit jedem beliebigen Bildbearbeitungsprogramm bearbeiten oder formatieren. Wählen Sie hierfür den Befehl Externes Objekt und fügen Sie in das Bearbeitungsfenster ein Objekt ein (beispielsweise eine Bitmap-Datei).

Display Menu Roadmap

Fügen Sie dann in dem mit Bitmap-Datei verknüpften Mal- oder Zeichnungsprogramm den unmittelbar zuvor aufgezeichnete Bildschirmkopie ein. Zur Bearbeitung sollten Sie die Zeichen- und Maloptionen verwenden können, die das Programm des externen Objekts zur Verfügung stellt.

Weitere Informationen zum Befehl Externes Objekt finden Sie unter "Einfügen externer Objekte" im Abschnitt "Hinzufügen externer Elemente".


Bearbeiten von CAD

Display Menu Roadmap

Change Name Name Set as Priority Edit Color Change Color Apply Close OK Deselect Show Name Number of Selected Features Feature Types

Mit dem Dialogfeld CAD- Elemente bearbeiten können Sie die Farbe der importierten CAD-Datei verändern (im Abschnitt "Verwenden der Übersichtskarte"" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Wählen Sie die Elemente aus, die Sie ändern möchten. Bewegen Sie dazu den Mauszeiger im Grafikfenster über das gewünschte Element und drücken Sie die linke Maustaste.

Wenn Sie mehrere Elemente auswählen möchten, führen Sie für die gewünschten CAD-Elemente eine Kästchenauswahl durch. Wenn Sie die Maustaste loslassen, hebt PC-DMIS die aktuell ausgewählten Elemente hervor und zeigt die Anzahl der Elemente im Feld Ausgewählt an. Weitere Elemente können auf dieselbe Weise ausgewählt werden. Mit der Schaltfläche Auswahl aufheben wird die Auswahl aller markierten Elemente auf dem Bildschirm aufgehoben.

Wenn die gewünschten Elemente ausgewählt sind, klicken Sie auf Farbe und wählen die gewünschte Farbe aus. Klicken Sie auf Übernehmen, um die Farbänderung im Grafikfenster sichtbar zu machen.

Hinweis: Bevor Sie diese Option einsetzen können, müssen Sie zuerst CAD-Ebenen erstellen. Weitere Informationen finden Sie unter "Einrichten der Bildschirmanzeige".

Siehe auch:

Elementtypen

Anzahl ausgewählter Elemente

Farbe bearbeiten

Namen ändern

Farbe ändern

Als Priorität festlegen

Namen einblenden

Auswahl aufheben

Namensfeld für CAD-Elemente


Bearbeiten der CAD-Anzeige - Bearbeiten von CAD - Elementtypen

Elementtypen

Diese Option teilt PC-DMIS mit, welche Art(en) von Element(en) zu ändern ist/sind. Zur Auswahl stehen:

  • Punkte
  • Linien
  • Kreise
  • Bögen
  • Kurven
  • Oberflächen


Bearbeiten der CAD-Anzeige - Bearbeiten von CAD - Anzahl ausgewählter Elemente

Anzahl ausgewählter Elemente

Diese Option zeigt die Anzahl der Elemente an, die von PC-DMIS geändert werden.


Farbe bearbeiten

Mit der Schaltfläche Farbe können Sie die Farbe für ein bestimmtes CAD-Element festlegen. Vorgehensweise:

  1. Wählen Sie die Schaltfläche Farbe. PC-DMIS blendet daraufhin das gleichnamige Dialogfeld ein.
  2. Wählen Sie die gewünschte Farbe aus.
  3. Klicken Sie auf die Schaltfläche OK. PC-DMIS aktualisiert daraufhin das Dialogfeld CAD- Elemente bearbeiten und zeigt die gewählte Farbe an.


Namen ändern

Im Feld Namen ändern können Sie den Namen des ausgewählten CAD-Elements ändern. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld CAD- Elemente bearbeiten.

Display Menu Roadmap

Aktivieren Sie das entsprechende Kontrollkästchen Elementtyp. Siehe Elementtypen

  3. Klicken Sie im Grafikfenster auf das/die gewünschte(n) CAD-Element(e). PC-DMIS markiert Ihre Auswahl.
  4. Aktivieren Sie das Kontrollkästchen Namen ändern .
  5. Geben Sie den neuen Dateinamen für das/die ausgewählte(n) CAD-Element(e) in das Feld Name ein. Siehe Namensfeld für CAD-Elemente.
  6. Klicken Sie auf Übernehmen. PC-DMIS ändert den Namen. Mit Hilfe des Kontrollkästchens Zeige Namen können Sie die Namensänderung überprüfen (siehe Namen einblenden).


Farbe ändern

Das Kontrollkästchen Farbe ändern zeichnet die ausgewählten CAD-Daten in der Farbe, die im Feld Farbe unten im Dialogfeld angezeigt wird. Dieser Vorgang muß über die Schaltfläche Übernehmen aktiviert werden. Die aktuelle Farbe läßt sich über die Schaltfläche Farbe ändern.


Als Priorität festlegen

Mit dem Kontrollkästchen Als Priorität festlegen können Sie einen Satz von CAD-Oberflächen zur Durchführung von Nennwertsuchen auswählen und speichern. Auf diese Weise wird die Berechnung von Nennwerten beschleunigt, da PC-DMIS dadurch bestimmen kann, welche Oberflächen zuerst geprüft werden sollen. Sie können beliebig viele Oberflächen auswählen. Die Reihenfolge, in der Sie die Oberflächen auswählen, entspricht der Reihenfolge, in der die Oberflächen gesucht/geprüft werden.

Jedesmal, wenn das Dialogfeld CAD- Elemente bearbeiten geöffnet und darin das Kontrollkästchen Als Priorität festlegen aktiviert wird, wird der zuvor gespeicherte Oberflächensatz automatisch ausgewählt.

Siehe auch:

So speichern Sie einen neuen Oberflächensatz:


So speichern Sie einen neuen Oberflächensatz:

  1. Öffnen Sie das Dialogfeld CAD- Elemente bearbeiten.

Display Menu Roadmap

Markieren Sie das Kontrollkästchen Als Priorität festlegen. Wurde zuvor ein Oberflächensatz definiert, wählt PC-DMIS diesen Satz im Grafikfenster aus.

  3. Klicken Sie bei aktiviertem Kontrollkästchen Als Priorität festlegen auf die Schaltfläche Auswahl aufheben und klicken Sie dann auf die Schaltfläche Übernehmen. Hierdurch wird PC-DMIS angewiesen, alle gespeicherten Oberflächen zu löschen.
  4. Heben Sie die Markierung des Kontrollkästchen Als Priorität festlegen wieder auf.
  5. Wählen Sie den neuen Satz zu speichernder Oberflächen aus.
  6. Markieren Sie das Kontrollkästchen Als Priorität festlegen.
  7. Klicken Sie auf Übernehmen.
  8. Klicken Sie auf OK.


Namen einblenden

Mit dem Kontrollkästchen Namen einblenden können Sie die mit den ausgewählten CAD-Elementen verbundenen Element-IDs anzeigen oder ausblenden.

Ist das Kontrollkästchen aktiviert, zeigt PC-DMIS die Elementnamen (falls durch den CAD-Designer eingerichtet) oder Elementtypen vorgegebener Elemente an.

Ist das Kontrollkästchen deaktiviert, blendet PC-DMIS die Elementnamen aus.

Siehe auch:

Ein- oder Ausblenden vorgegebener Elementnamen:


Ein- oder Ausblenden vorgegebener Elementnamen :

So blenden Sie vorgegebene Elementnamen ein oder aus:

  1. Öffnen Sie das Dialogfeld CAD- Elemente bearbeiten.

Display Menu Roadmap

Klicken Sie auf das gewünschte Element in der CAD-Anzeige (oder führen Sie eine Kästchenauswahl für mehrere Elemente durch). PC-DMIS markiert die gewählten CAD-Elemente auf dem CAD-Modell.

  3. Aktivieren oder Deaktivieren Sie das Kontrollkästchen Namen anzeigen.
  4. Klicken Sie auf OK.


Bearbeiten der CAD-Anzeige - Bearbeiten von CAD - Auswahl aufheben

Auswahl aufheben

Die Schaltfläche Auswahl aufheben bewirkt, daß PC-DMIS alle vor Betätigen von OK mit der Schaltfläche Übernehmen durchgeführten Änderungen rückgängig macht.


Namensfeld für CAD-Elemente

Im Feld Name können Sie den Namen des ausgewählten CAD-Elements oder mehrerer Elemente ändern. Hierzu wählen Sie das/die CAD-Element(e) aus, geben den Namen in dieses Feld ein und klicken auf Übernehmen.


Bearbeiten von Elementen

Display Menu Roadmap

Feature Appearance: Graphic Options Undo Apply OK Clear Label Display Feature Display Feature Color Feature List Select Last Search ID

Über die Menüoption Layout der Elemente wird das Dialogfeld Elementlayout bearbeiten eingeblendet. Hier können Sie Element-IDs innerhalb eines Werkstückprogramms ändern. Mit dieser Option können Sie die mit diesem Element verknüpften Kennungen, Farben und Beschriftungen ändern.

Ein zuvor zugewiesener Elementname kann durch einen einfachen Doppelklick auf das betreffende Element im Listenfeld bearbeitet werden. Es wird das Dialogfeld ID bearbeiten angezeigt, in dem Sie eine neue ID eingeben können.

Element-IDs können auch im Bearbeitungsfenster verändert werden. Markieren Sie einfach die gewünschte ID und geben Sie eine neue Kennung ein.

Im Bearbeitungsfenster führt PC-DMIS keine Überwachung der Element-IDs durch und warnt Sie daher auch nicht, wenn IDs mehrfach zugewiesen werden. Seien Sie bei Änderungen vorsichtig, wenn Sie keine doppelten IDs wünschen.

More:

Elementfarbe

Elementanzeige

Etikettanzeige

Elementlayout: Grafikoptionen


Elementfarbe

Mit der Option Elementfarbe können Sie die Farbe für eine bestimmte Element-ID festlegen. Diese Option funktioniert genauso wie die Option Farbe bearbeiten (siehe Dialogfeld CAD bearbeiten unter "Bearbeiten von CAD").

Siehe auch:

So ändern Sie die Farbe eines Elements:


So ändern Sie die Farbe eines Elements:

Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Elementlayout bearbeiten.

Display Menu Roadmap

Wählen Sie die Element-ID aus, die Sie ändern möchten.

  3. Wählen Sie die Option Elementfarbe. PC-DMIS blendet daraufhin das Dialogfeld Farbe ein.
  4. Klicken Sie auf die gewünschte Farbe oder definieren Sie über das Feld Benutzerdefinierte Farben eine neue Farbe.
  5. Klicken Sie auf die Schaltfläche OK. PC-DMIS kehrt in das Dialogfeld Element-ID bearbeiten zurück. Die neue Farbe wird im Dialogfeld Elementfarbe angezeigt.
  6. Klicken Sie auf Übernehmen, damit PC-DMIS die Farbe des Elements (der Elemente) im Grafikfenster aktualisiert.


Elementanzeige

Diese EIN/AUS-Optionsfelder steuern die Anzeige von Elementen im Grafikfenster. Diese Option ist nützlich, wenn Sie sich auf nur jeweils einen Ausschnitt der im Werkstück enthaltenen geometrischen Elemente konzentrieren möchten.

Siehe auch:

So bestimmen Sie die Anzeige von Werkstückelementen:


So bestimmen Sie die Anzeige von Werkstückelementen:

Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Elementlayout bearbeiten.

Display Menu Roadmap

Wählen Sie das Element (die Elemente) aus, die Sie ein- bzw. ausschalten möchten.

  3. Markieren Sie im Dialogfeld unter Elementanzeige das Optionsfeld EIN bzw. AUS.
  4. Klicken Sie auf Übernehmen. PC-DMIS blendet die Elemente ein bzw. aus.
  5. Wenn Sie mit den Änderungen zufrieden sind, klicken Sie auf OK. PC-DMIS schließt das Dialogfeld und speichert die Änderungen.


Etikettanzeige

Diese EIN/AUS-Optionsfelder steuern die Anzeige von Element-IDs im Grafikfenster. Diese Option ist nützlich, wenn ein Teil der Werkstückzeichnung überladen wirkt. Sie können bestimmte IDs ausblenden, so daß andere einfacher gelesen werden können.

Siehe auch:

So schalten Sie die Anzeige von Element-IDs ein bzw. aus:


So schalten Sie die Anzeige von Element-IDs ein bzw. aus:

  1. Öffnen Sie das Dialogfeld Elementlayout bearbeiten.

Display Menu Roadmap

Wählen Sie die Elementbeschriftung(en) aus, die Sie ein- bzw. ausschalten möchten.

  3. Markieren Sie im Dialogfeld unter Etikettanzeige das Optionsfeld EIN bzw. AUS.
  4. Klicken Sie auf Übernehmen. PC-DMIS blendet die Elementbeschriftungen ein (oder aus).
  5. Wenn Sie mit den Änderungen zufrieden sind, klicken Sie auf OK. PC-DMIS schließt das Dialogfeld und speichert die Änderungen.


Elementlayout: Grafikoptionen

Unter Grafikoptionen können Sie die Hintergrundfarbe und die Linienfarbe für die aktuelle Element-ID-Beschriftung festlegen. Außerdem können Sie festlegen, ob PC-DMIS den Rand der Element-ID-Beschriftung schattiert anzeigen soll.

Zur Änderung der Grafikoptionen für die Beschriftung der Element-ID, wählen Sie die gewünschte Option aus diesem Bereich aus, klicken auf Übernehmen und dann auf OK.


Markieren von Elementen im Grafikfenster

In PC-DMIS können Sie im Grafikfenster Funktionen/Elemente auswählen (d. h. zum Drucken, Erstellen von Koordinatensystemen, Konstruieren neuer Elemente, Berechnen von Merkmalen etc.). Es gibt fünf grundlegende Methoden zur Auswahl von Elementen:

  1. Auswählen von Elementen anhand der ID(s)
  2. Auswählen von Elementen durch Metazeichen-Entsprechung
  3. Auswählen der letzten ID(s)
  4. Kästchenauswahl der ID(s)
  5. Auswählen von Elementen online

Siehe auch:

Auswählen von Elementen anhand der ID(s)

Auswählen von Elementen durch Metazeichen-EntsprechnungMatching

Auswählen der letzten ID(s)

Kästchenauswahl der ID(s)

Auswählen von Elementen online

Bearbeiten einer Element-ID


Auswählen von Elementen anhand der ID(s)

Wählen Sie das gewünschte Element anhand der ID aus. Es gibt mehrere verschiedene Methoden zur Auswahl von Elementen im Elementlistenfeld, das in zahlreichen Dialogfeldern vorkommt.

  1. Geben Sie die dem/den betreffenden Element(en) zugewiesene(n) ID(s) in das Feld Such-ID ein.
  2. Klicken Sie in der Liste der Elemente auf die gewünschte ID. PC-DMIS weist den einzelnen Elementen in der Reihenfolge, in der sie gewählt werden, automatisch eine Nummer zu, die rechts neben der Element-ID angegeben wird.
  3. Setzen Sie den Cursor im Grafikfenster auf das gewünschte Element und klicken Sie mit der linken Maustaste. (Beachten Sie, daß das von Ihnen im Grafikfenster ausgewählte Element nun im Elementfenster hervorgehoben oder ausgewählt ist.)


Auswählen von Elementen durch Metazeichen-Entsprechung

Elemente können auch mit Hilfe eines Metazeichens ausgewählt werden. Metazeichen sind Zeichen, die als Platzhalter für andere alphanumerische Zeichen fungieren. In PC-DMIS stehen zwei Metazeichen zur Verfügung und zwar:

  1. Sternchen (*)
  2. Fragezeichen (?)

Beide werden im folgenden näher erläutert.

Siehe auch:

Das Metazeichen Sternchen (*)

Das Metazeichen Fragezeichen (?)


Das Metazeichen Sternchen (*)

*Das Metazeichen Sternchen (*) findet bei einer Suche Übereinstimmungen mit einem oder mehreren beliebigen Zeichen bzw. dient als Platzhalter dafür. Angenommen, in der Elementliste sind folgende Elemente verfügbar:

EBENE1
LINIE1
LINIE2
KREIS1
KREIS2

Wenn Sie nun alle Linienelemente (LINIE1 und LINIE2) auswählen möchten, würden Sie in das Feld Such-ID den Ausdruck "L*" (ohne Anführungszeichen) eingeben und dann die TABULATORTASTE drücken. PC-DMIS würde in diesem Fall alle Elemente auswählen, die mit "L" beginnen. Das Sternchen (*) bewirkt, daß PC-DMIS nur nach Zeichen sucht, die entweder vor oder nach dem Sternchen (*) stehen. Da in diesem Beispiel das Sternchen nach dem "L" steht, ignoriert PC-DMIS alle Einträge, die in der Elementliste nach dem "L" stehen.

So verwenden Sie das Sternchen-Metazeichen (*) bei der Elementauswahl:

  1. Setzen Sie den Cursor auf das Feld Such-ID.
  2. Geben Sie das Suchkriterium unter Verwendung des Sternchens (*) ein.
  3. Drücken Sie die TABULATORTASTE.

PC-DMIS wählt die Elemente aus, die dem Suchkriterium entsprechen.

Hinweis: Das Sternchen-Metazeichen (*) kann in jedem Suchvorgang mehrmals verwendet werden. Es kann auch in Verbindung mit dem Fragezeichen-Metazeichen (?) eingesetzt werden.


Das Metazeichen Fragezeichen (?)

?Das Metazeichen Fragezeichen (?) übt im Prinzip dieselbe Funktion aus wie das Sternchen-Metazeichen (*), mit dem Unterschied, daß das Fragezeichen-Metazeichen an die Stelle nur eines alphanumerischen Zeichens tritt. Angenommen, in Ihrer Liste der Elemente sind die folgenden Elemente verfügbar:

EBENE1
LINIE1
LINIE2
KREIS1
KREIS2
Wenn alle Kreiselemente (KREIS1 und KREIS2) unter Verwendung des Fragezeichen-Metazeichens (?) ausgewählt werden sollen, würden Sie in das Feld Such-ID den Ausdruck "KREIS?" eingeben. PC-DMIS würde in diesem Fall nach allen Elementen suchen, die dem Suchkriterium entsprechen, bei dem es sich um ein Element mit einer sechs Zeichen langen ID handelt, deren ersten fünf Zeichen "KREIS" lauten.

So verwenden Sie das Fragezeichen-Metazeichen (?):

  1. Setzen Sie den Cursor auf das Feld Such-ID.
  2. Geben Sie das Suchkriterium unter Verwendung des Fragezeichens (?) ein.
  3. Drücken Sie die TABULATORTASTE.

PC-DMIS wählt die Elemente aus, die dem Suchkriterium entsprechen.

Hinweis: Das Fragezeichen-Metazeichen (?) kann in jedem Suchvorgang mehrmals verwendet werden. Es kann auch in Verbindung mit dem Sternchen-Metazeichen (*) eingesetzt werden.


Auswählen der letzten ID(s)

PC-DMIS wird angewiesen, eine bestimmte Anzahl der zuletzt in der aktuellen Operation gewählten Elemente zu verwenden.

Vorgehensweise:

  1. Setzen Sie den Cursor im Dialogfeld auf das Feld Auswählen der letzten (Zahl).
  2. Geben Sie die gewünschte Anzahl der zuletzt gewählten Elemente ein, die verwendet werden sollen. Um beispielsweise eine Linie aus den letzten vier gemessenen Elementen zu erstellen, geben Sie in das Feld eine 4 ein.


Kästchenauswahl der ID(s)

Als weitere Möglichkeit zur Auswahl von Elementen kann mit der linken Maustaste auch ein "Kästchen" um die gewünschten Elemente gezogen werden. Dieser Vorgang wird als "Kästchenauswahl" bezeichnet. Vorgehensweise:

  1. Setzen Sie den Mauszeiger auf die Stelle, an der sich eine Ecke des zu zeichnenden Kästchens befinden soll und drücken bzw. halten Sie die linke Maustaste.
  2. Ziehen Sie den Mauszeiger danach zur gegenüberliegenden Ecke des "Kästchens". PC-DMIS zeichnet den Rahmenumriß auf den Bildschirm, während Sie die Maus bewegen.
  3. Lassen Sie die linke Maustaste wieder los, wenn das "Kästchen" Ihren Vorstellungen entspricht. PC-DMIS hebt alle Elemente im Kästchen hervor, und führt sie im Feld "Elementliste" auf.

Auf diese Weise kann auch der in der Liste angegebene Inhalt des Kästchens geändert werden. Um ein Element aus der Gruppe hinzuzufügen oder zu entfernen, klicken Sie einfach auf das zu ändernde Element (entweder im Grafikfenster oder in der Liste der Elemente des Dialogfelds).

Siehe auch:

Überblick über die Kästchenauswahl von Blechelement-IDs


Überblick über die Kästchenauswahl von Blechelement-IDs

Die PC-DMIS-Funktion der 'Kästchenauswahl' von Element-IDs ermöglicht nun die Verbindung von Blechelementen aus zwei ausgewählten Gruppen. Diese Funktion erleichtert die Auswahl von mehrfachen dreidimensionalen Objekten erheblich. Wurden außerdem einige CAD-Objekte durch Kästchenauswahl ausgewählt und wird danach ein weiteres CAD-Objekt mit einer anderen Methode gewählt, werden die in der Kästchenauswahl enthaltenen Objekte zusätzlich zur Einzelauswahl zu permanent ausgewählten Objekten.

Weitere Informationen zur Verwendung dieser Funktion finden Sie unter "Kästchenauswahl für Blechelement-IDs" im Abschnitt "Erstellen von Auto-Elementen".


Auswählen von Elementen online

Im Online-Modus verwenden Sie die aktuelle Tastspitze als Zeiger und lösen den Taster aus, wenn sich die Tastspitze in der Nähe des gewünschten Elements befindet.


Bearbeiten einer Element-ID

Um die ID eines Elements zu ändern, doppelklicken Sie in der Elementliste auf die gewünschte Element-ID. PC-DMIS zeigt das Dialogfeld ID bearbeiten an. In diesem Dialogfeld können Sie die ID des ausgewählten Elements umbenennen.


Bearbeiten von Merkmalsfarben

Durch Auswahl der Menüoption Merkmalsfarben bearbeiten wird das Dialogfeld Merkmalsfarbe bearbeiten eingeblendet.

Display Menu Roadmap

In diesem Dialogfeld können Sie die Anzahl der Toleranzbereiche und deren Farben einstellen. Vorgehensweise:

  1. Stellen Sie sicher, daß das Dialogfeld geöffnet ist.
  2. Geben Sie die Anzahl der gewünschten Toleranzbereiche ein.
  3. Wählen Sie aus der Auswahlliste Merkmalsfarben der Bereiche einen Toleranzbereich aus.
  4. Klicken Sie auf die Schaltfläche Farbe bearbeiten, um die Farbe des gerade ausgewählten Toleranzbereichs zu ändern.

Alternative Vorgehensweise:

  1. Wählen Sie mit der linken Maustaste eine Anfangsfarbe und Endfarbe direkt im Farbrad des Dialogfelds.
  2. Klicken Sie auf Übernehmen.

Diese beiden Farben werden als Farben des ersten und des letzten Toleranzbereichs festgelegt. Den restlichen Toleranzbereichen werden Farben zugewiesen, die gestaffelt zwischen der Anfangs- und der Endfarbe liegen. Die Ausrichtung der Abstände hängt von der gewählten Option ab:

  • Die Option Nach Rechts weist der Endfarbe die gleiche Helligkeit zu wie der Anfangsfarbe und staffelt die Farben rechtsherum.
  • Die Option Nach Links weist der Endfarbe ebenfalls die gleiche Helligkeit zu wie der Anfangsfarbe, doch die Farben sind linksherum gestaffelt.
  • Die Option Gerade Linie staffelt die Farben von der Anfangsfarbe zur Endfarbe in einer geraden Linie, ohne die Helligkeit zu berücksichtigen.

Sie können die vorherigen Standard-Toleranzfarben mit diesen Änderungen überschreiben, wenn Sie auf die Schaltfläche Standard klicken. Die Schaltfläche Abrufen setzt die Farben wieder auf die ursprüngliche Standardeinstellung zurück. (Siehe auch "Bearbeiten von Merkmalsfarben".)


Anzeigen und Animieren von Bahngeraden

Display Menu Roadmap

Mit PC-DMIS können Sie im Grafikfenster auf dem CAD-Modell farbige Linien erzeugen, die den Pfad des Tasters auf dem Werkstück anzeigen, während der Taster eine Messung der markierten Elemente durchführt. Diese Linien werden als Bahngeraden bezeichnet. Anhand der Bahngeraden erhalten Sie eine Voransicht des Weges, den der Taster beschreibt, und können auf diese Weise mögliche Kollisionen erkennen und vermeiden.

Siehe auch:

Animieren der Tasterbahn

Neuzeichnen der Bahn

Kollisionserkennung


Animieren der Bahn

Animieren der Tasterbahn

Die Menüoption "Bahn animieren" veranschaulicht die Bahn des Tasters am Werkstück als Simulation der Tasterbewegung.

So aktivieren Sie die Funktion Bahn animieren:

  1. Markieren Sie die gewünschten Elemente.
  2. Wählen Sie den Menübefehl Bahngeraden. Die Option Bahn animieren steht daraufhin zur Auswahl.

Display Menu Roadmap

Wählen Sie den Menübefehl Bahn animieren. PC-DMIS blendet das Fenster Ausführungsoptionen ein und beginnt automatisch, die Tasterbahn mit einer simulierten Tastspitze zu animieren.

Die Bahnanimation kann im Fenster Ausführungsoptionen jederzeit durch Drücken der Taste ESC oder über die Schaltfläche Anhalten angehalten werden. (Wenn die Befehlsschaltfläche Anhalten gewählt ist, kann die Animation der Bahn auch durch Drücken der EINGABETASTE angehalten werden.)

Wenn Sie die Ausführung des Werkstückprogramms fortsetzen möchten, klicken Sie auf Fortfahren.

Wenn Sie die Bahnanimation anhalten möchten, klicken Sie auf Anhalten.

Mit der Schaltfläche Abbrechen wird das Fenster Ausführungsoptionen geschlossen, ohne daß das Werkstückprogramm abgeschlossen wird.

Wenn Sie die Bahngerade mit Hilfe des Pfeilsymbols und der linken Maustaste auswählen und anklicken, wird der Cursor im Bearbeitungsfenster auf die entsprechende Befehlszeile gesetzt. Das nächste verfügbare Element auf der Bahngeraden wird angegeben.


Neuzeichnen der Bahn

Neuzeichnen der Tasterbahn

Display Menu Roadmap

Mit der Menüoption Bahn neu zeichnen können Sie die Bahngeraden des Werkstückprogramms neu zeichnen. PC-DMIS löscht daraufhin die aktuellen Bahngeraden auf dem Bildschirm und zeichnet sie neu. Diese Option ist besonders nützlich, wenn Änderungen an einem Werkstückprogramm vorgenommen wurden und eine Bestätigung benötigt wird, ob die Bahngeraden den aktuellen Zustand des Werkstückprogramms korrekt wiedergeben.

Hinweis: Die Option Bahn neu zeichnen ist nur dann verfügbar, nachdem im Bearbeitungsfenster Elemente ausgewählt wurden und die Option Bahngeraden einblenden aktiviert wurde.


Kollisionserkennung

Display Menu Roadmap

Die Menüoption Kollisionserkennung (KE) dient zur Erkennung von Kollisionen zwischen dem Taster und den CAD-Oberflächen. Alle CAD-Kurven, -Linien und -Punkte werden ignoriert. Demzufolge eignen sich für die Kollisionserkennung nur solche CAD-Dateien, die das Werkstück vollständig mit Oberflächen beschreiben. (Der Kollisionserkennungs-Algorithmus verwendet nicht die eigentlichen Oberflächendefinitionen, sondern Oberflächen-Mosaike [oder grafische Näherungen], die auch zur Wiedergabe schattierter Ansichten mit Hilfe der OpenGL-Grafiksprache verwendet werden.)

Hinweis: Das Kollisionserkennungsmodul in PC-DMIS funktioniert nur, wenn auf dem Bildschirm eine (schattierte) OPENGL-Ansicht eingeblendet ist.

Wählen Sie die Option Kollisionserkennung, um den gleichnamigen Vorgang zu starten. Voraussetzung für diese Option ist eine OPENGL-Ansicht

Siehe auch:

So konfigurieren Sie eine Ansicht für den OpenGL-Modus:

Dialogfeldoptionen


So konfigurieren Sie eine Ansicht für den OpenGL-Modus:

Vorgehensweise:

  1. Klicken Sie auf das Symbol Ansicht einrichten. Das Dialogfeld Ansicht einrichten wird angezeigt.

Display Menu Roadmap

Aktivieren Sie das Kontrollkästchen schattiert.

  3. Betätigen Sie die Schaltfläche Übernehmen.
  4. Betätigen Sie die Schaltfläche OK.

Die Option Bahngeraden einblenden muß ausgewählt sein.

Display Menu Roadmap

PC-DMIS zeichnet die Bahngeraden, denen der Taster beim Messen des Werkstücks folgen wird.

Kollisionen werden im Dialogfeld Kollisionserkennung angezeigt.


Dialogfeldoptionen

  • Sie können das Kontrollkästchen Bei Kollision anhalten aktivieren, woraufhin die Taster-animierte Kollisionserkennung beim Auftreten einer Kollision angehalten wird.
  • Die anderen Optionen in diesem Dialogfeld funktionieren genauso wie im Dialogfeld Ausführungsoptionen.(Siehe auch "Ausführen von Werkstückprogrammen" im Abschnitt "Verwenden von fortgeschrittenen Datei-Optionen".)

Wenn die Kollisionserkennung abgeschlossen ist, werden die Bahngeraden im Grafikfenster neu gezeichnet. PC-DMIS gibt in roter Farbe an, wo Kollisionen aufgetreten sind.

Taster-Anzeigebereich

Der Taster wird im Taster-Anzeigebereich in einer grünen Farbe angezeigt. Wenn Kollisionen auftreten, wird der Teil des Tasters, der kollidiert, rot hervorgehoben. Der Taster wird sowohl auf dem Bildschirm als auch im Dialogfeld Kollisionserkennung mit demselben Farbschema gezeichnet.

  • Sie können die Zeichnung des Tasters mit dem gleichen Verfahren vergrößern und verkleinern, mit dem Sie das Werkstück im Grafikfenster vergrößern und verkleinern: Klicken Sie mit der rechten Maustaste oberhalb oder unterhalb einer imaginären horizontalen Linie, die den grafischen Anzeigebereich aufteilt.
  • Sie können das Werkstückbild auch im 3D-Rotationsmodus bewegen, indem Sie die STRG-Taste gedrückt halten und die Maus bei gedrückter rechter Maustaste bewegen.

Die Schaltfläche Größe anpassen verkleinert bzw. vergrößert die Werkstückzeichnung so, daß sie wieder in den Taster-Anzeigebereich des Dialogfelds Kollisionserkennung paßt.


Löschen von CAD

Cancel OK Delelect Undo Deleted CAD Delete CAD Number of Deleted Features Number of Selected Features Feature Types

Über die Menüoption CAD- Elemente wird das Dialogfeld CAD löschen eingeblendet.

Display Menu Roadmap

In diesem Dialogfeld können Sie die Nennbilder von Elementen dauerhaft aus dem Grafikfenster entfernen. Diese Funktion ist z. B. nützlich, wenn Sie eine importierte CAD-Datei vor Erstellen eines Prüfprogramms vereinfachen möchten. Eine solche CAD-Datei enthält möglicherweise Text und andere beschreibende Informationen, die auf die Prüfung des Werkstücks keinen Einfluß haben. Mit der Funktion CAD löschen können Sie diese nicht benötigten, unwesentlichen Daten löschen.

Hinweis: Bevor Sie diese Option einsetzen können, müssen Sie zuerst CAD-Layers erzeugen. Weitere Informationen zum Erstellen unterschiedlicher CAD-Layer finden Sie unter "Anzeigen, Erstellen und Bearbeiten von Layern" oder "Einstellen von CAD auf 3D".

Siehe auch:

Elementtypen

Anzahl der ausgewählten Elemente

Anzahl gelöschter Elemente

CAD löschen

Wiederherstellen von gelöschtem CAD

Auswahl aufheben


Bearbeiten der CAD-Anzeige - Löschen von CAD - Elementtypen

Elementtypen

Der Bereich Elementtypen des Dialogfelds enthält verschiedene Kontrollkästchen, die PC-DMIS darüber informieren, welche Art von Element(en) zu löschen ist (sind). Zur Auswahl stehen:

  • Punkte
  • Linien
  • Kreise
  • Bögen
  • Kurven
  • Oberflächen


Bearbeiten der CAD-Anzeige - Löschen von CAD - Anzahl ausgewählter Elemente

Anzahl ausgewählter Elemente

Die Felder Ausgewählt zeigen die Anzahl der zu löschenden Elemente an. Die Zahlen in den einzelnen Feldern ändern sich je nach den im Bereich Elementtypen des Dialogfelds ausgewählten Elementen.


Anzahl gelöschter Elemente

Die Felder Gelöscht zeigen die Anzahl der Elemente an, die gelöscht wurden. Die Zahlen in den einzelnen Feldern ändern sich je nach den im Bereich Elementtypen des Dialogfelds ausgewählten Elementen.


CAD löschen

Die Befehlsschaltfläche Löschen im Dialogfeld CAD löschen weist PC-DMIS an, alle ausgewählten Nennelemente zu löschen.


Wiederherstellen von gelöschtem CAD

Die Schaltfläche Rückgängig bewirkt, daß PC-DMIS alle Nennelemente wiederherstellt, die gerade gelöscht wurden.


Bearbeiten der CAD-Anzeige - Löschen von CAD - Auswahl aufheben

Auswahl aufheben

Über die Schaltfläche Auswahl aufheben wird PC-DMIS angewiesen, die Auswahl von allen zuvor markierten Elementen aufzuheben.


Löschen von Elementen

Display Menu Roadmap

In PC-DMIS stehen drei Möglichkeiten für die Auswahl von vorhandenen Elementen zur Verfügung:

  1. Sie können die Elemente im Bearbeitungsfenster auswählen und auf Ihrer Tastatur die ENTF-Taste drücken.
  2. Sie können das Dialogfeld Element(e) löschen verwenden. Diese Option wird nachfolgend beschrieben.
  3. Sie können Ihren Cursor auf das Bearbeitungsfenster setzen und die Menüoption [Element] Löschen wählen. Diese Option wird nachfolgend beschrieben.

Siehe auch:

Löschen mit Hilfe des Dialogfelds "Elemente löschen"

Löschen mit Hilfe der Menüoption "[Element] Löschen"


Löschen mit Hilfe des Dialogfelds "Elemente löschen"

Clear List Undo Deleted Features Delete Features Cancel OK Feature List Select Last # Select ID

Display Menu Roadmap

Über die Menüoption Elemente wird das Dialogfeld Elemente löschen eingeblendet. Hier können Sie die gemessenen oder konstruierten Elemente dauerhaft aus dem Werkstückprogramm entfernen. Diese Option sollte verwendet werden, wenn eine Anzahl unnötiger Elemente gelöscht werden muß.

Im Dialogfeld Elemente löschen können Sie die Nummer der ID eingeben, auf das Element klicken oder das zuletzt erstellte Element durch Angabe einer Nummer auswählen. PC-DMIS bietet zudem die Möglichkeit, gerade gelöschte Elemente wiederherzustellen. Bei Betätigen der Schaltfläche OK werden die angegebenen Elemente gelöscht.

Hinweis: Wenn gemessene Elemente aus dem Grafikfenster entfernt werden, löscht PC-DMIS automatisch auch alle damit verbundenen Merkmale oder Bezugselemente aus dem Werkstückprogramm.

Siehe auch:

Elemente löschen

Wiederherstellen gelöschter Elemente

Liste löschen


Elemente löschen

Mit der Schaltfläche Löschen werden alle Elemente gelöscht, die zu diesem Zweck markiert wurden. Dieser Löschbefehl ist erst dann dauerhaft, wenn Sie auf OK klicken.


Wiederherstellen gelöschter Elemente

Mit der Schaltfläche Rückgängig können Sie alle mit der Schaltfläche Löschen entfernten Elemente wiederherstellen. Dies ist jedoch nur möglich, solange die Schaltfläche OK noch nicht betätigt wurde.


Bearbeiten der CAD-Anzeige - Löschen mit Hilfe des Dialogfelds "Elemente löschen" - Liste löschen

Liste löschen

Mit der Schaltfläche Liste löschen werden alle zum Löschen markierten Elemente aus dem Listenfeld entfernt.


Löschen mit Hilfe der Menüoption "[Element] Löschen"

Display Menu Roadmap

Mit der Option [Element] Löschen können Sie das an der Cursorposition befindliche Element im Bearbeitungsfenster löschen. Element gibt die ID des zu löschenden Elements an (z. B. PKT1 löschen). In der Regel befindet sich der Cursor beim Erstellen eines Werkstückprogramms am Ende des Werkstückprogramms. Bei Auswahl der Menüoption [Element] löschen wird daher das letzte Element im Werkstückprogramm gelöscht.


Löschen von Merkmalen

Select All Clear List Undo Deleted Dimensions Delete Dimensions Cancel OK Dimension List Select Last # Select ID

Display Menu Roadmap

Im Dialogfeld Merkmale löschen können Sie beliebige Merkmale dauerhaft aus dem Werkstückprogramm löschen. Diese Option sollte verwendet werden, wenn eine Anzahl überflüssiger Merkmale gelöscht werden muß. Im Abschnitt "Verwenden der Übersichtskarte"" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen.

Im Dialogfeld Merkmale löschen können Sie die Nummer der ID eingeben, auf das Merkmal klicken, alle Merkmale auswählen oder das zuletzt erstellte Merkmal durch Angabe einer Nummer im Feld Letzten auswählen auswählen. PC-DMIS bietet zudem die Möglichkeit, ein gelöschtes Merkmal wiederherzustellen, bevor Sie auf OK klicken. Bei Klicken auf OK werden die angegebenen Merkmale unwiederbringlich gelöscht.

Siehe auch:

Löschen von Merkmalen

Wiederherstellen gelöschter Merkmale

Liste löschen


Löschen von Merkmalen

Mit dem Befehl Löschen wird ein Textstück "lösch." hinter jedes Merkmal eingefügt, das beim Klicken auf Löschen in der Liste ausgewählt wird. Sie können alle Merkmalen in der Liste auswählen, indem Sie auf Alles auswählen klicken. Dieser Löschbefehl ist erst dann dauerhaft, wenn Sie auf OK klicken.


Wiederherstellen gelöschter Merkmale

Mit der Schaltfläche Rückgängig können Sie alle Merkmale wiederherstellen, die mit der Schaltfläche Löschen für den Löschvorgang markiert wurden. Dies ist jedoch nur möglich, solange die Schaltfläche OK noch nicht betätigt wurde.


Bearbeiten der CAD-Anzeige - Löschen von CAD - Liste löschen

Liste löschen

Mit der Schaltfläche Liste löschen werden alle zum Löschen markierten Merkmale aus dem Listenfeld entfernt.


Editing a Part Program

Verwenden der Standardbearbeitungsbefehle

Bearbeiten von Elementmustern

Suchen und Ersetzen von Text

Springen zu bestimmten Zeilennummern

Ändern erkannter Elemente

Ändern gefundener Nennwerte

Markieren von Befehlen für die Ausführung

Erstellen und Ausführen von Markierungsgruppen

Verwenden von Lesezeichen

Verwenden von Haltepunkten

Ändern von Schriftarten und Farben

Bearbeiten externer Objekte


Bearbeiten eines Werkstückprogramms: Einführung

Die Hauptaufgabe von PC-DMIS besteht darin, Ihnen das Erstellen, Bearbeiten und Ausführen von Werkstückprogrammen zu erleichtern. In diesem Abschnitt wird beschrieben, wie Sie das Menü Bearbeiten (zusammen mit anderen Menüoptionen) zum Bearbeiten Ihrer Werkstückprogramme einsetzen können. Das Menü Bearbeiten verwendet die Befehle, die im Bearbeitungsfenster angezeigt werden. Eine Beschreibung des gesamten Bearbeitungsfensters würde jedoch über den Umfang dieses Abschnitts hinausgehen. Eine genauere Beschreibung des Bearbeitungsfensters finden Sie im Abschnitt "Verwenden des Bearbeitungsfensters".

Dieser Abschnitt enthält die folgenden Themen:

  • Verwenden der Standardbearbeitungsbefehle
  • Bearbeiten von Elementmustern
  • Suchen und Ersetzen von Text
  • Springen zu bestimmten Zeilennummern
  • Ändern geschätzter Elemente
  • Ändern gefundener Nennwerte
  • Markieren von Befehlen für die Ausführung
  • Erstellen und Ausführen von Markierungsgruppen
  • Verwenden von Lesezeichen
  • Verwenden von Haltepunkten
  • Ändern von Schriftarten und Farben
  • Bearbeiten externer Objekte


Verwenden der Standardbearbeitungsbefehle

Wie in den meisten Windows-Anwendungen können Sie in PC-DMIS Standardbearbeitungsbefehle in Ihrem Werkstückprogramm verwenden. Folgende Standardmenüoptionen sind verfügbar:

  • Rückgängig
  • Wiederholen
  • Ausschneiden
  • Kopieren
  • Löschen
  • Alles auswählen

Siehe auch:

Rückgängig

Wiederholen

Ausschneiden

Kopieren

Einfügen

Löschen

Alles markieren


Bearbeiten eines Werkstückprogramms - Verwenden der Standardbearbeitungsbefehle - Rückgängig

Rückgängig

Display Menu Roadmap
Mit der Menüoption Rückgängig können Sie die letzte im Bearbeitungsfenster vorgenommene Änderung rückgängig machen. Die Option Rückgängig kann wiederholt gewählt werden, um mehrere Änderungen im Bearbeitungsfenster nacheinander rückgängig zu machen.

Hinweis: Beachten Sie bitte, daß alle Änderungen aus dem Speicher gelöscht werden, wenn Sie in einen anderen Modus wechseln.


Bearbeiten eines Werkstückprogramms - Verwenden der Standardbearbeitungsbefehle - Wiederholen

Wiederholen

Display Menu Roadmap
Mit der Menüoption Wiederholen können Sie die letzten Änderungen, die bei Auswahl der Menüoption Rückgängig vorgenommen wurden, wieder rückgängig machen. Die Option Wiederholen kann genauso wie die Option Rückgängig mehrmals gewählt werden, um mehrere Änderungen hintereinander rückgängig zu machen.

Hinweis: Beachten Sie bitte, daß alle Änderungen aus dem Speicher gelöscht werden, wenn Sie in einen anderen Modus wechseln.


Bearbeiten eines Werkstückprogramms - Verwenden der Standardbearbeitungsbefehle - Ausschneiden

Ausschneiden

Display Menu Roadmap
Mit der Menüoption Ausschneiden können Sie Text "ausschneiden" oder über die Zwischenablage von einem Bereich in einen anderen verschieben.

So schneiden Sie Text aus:

  1. Markieren Sie die Elemente, die an eine andere Position verschoben werden sollen.
  2. Wählen Sie die Option Ausschneiden aus. Der Text wird aus dem Bearbeitungsfenster entfernt und in der Zwischenablage gespeichert.
  3. Verwenden Sie den Befehl Einfügen, um den kopierten Text in einem anderen Bereich einzufügen. (Weitere Informationen hierzu finden Sie unter "Einfügen").

Hinweis: Wenn Sie den Befehl Ausschneiden auswählen, wird der gesamte Inhalt der Zwischenablage durch die mit dem Befehl ausgeschnittenen Elemente ersetzt.


Bearbeiten eines Werkstückprogramms - Verwenden der Standardbearbeitungsbefehle - Kopieren

Kopieren

Display Menu Roadmap
Mit der Menüoption Kopieren können Sie Text in die Zwischenablage kopieren und anderer Stelle einfügen. Der einzige Unterschied zum Befehl "Ausschneiden" besteht darin, daß der Text beim Kopieren an der ursprünglichen Position im Bearbeitungsfenster nicht entfernt wird.

So kopieren Sie Text:

  1. Markieren Sie den gewünschten Text.
  2. Wählen Sie den Befehl Kopieren aus. Der Text wird in die Zwischenablage kopiert, bleibt jedoch an der aktuellen Position erhalten.
  3. Verwenden Sie den Befehl Einfügen, um den kopierten Text an anderer Stelle einzufügen. (Weitere Informationen hierzu finden Sie unter "Einfügen").

Hinweis: Wenn Sie den Befehl Kopieren auswählen, wird der gesamte Inhalt der Zwischenablage durch die mit dem Befehl kopierten Elemente ersetzt.


Bearbeiten eines Werkstückprogramms - Verwenden der Standardbearbeitungsbefehle - Einfügen

Einfügen

Display Menu Roadmap
Über die Menüoption Einfügen können Sie kopierten Text aus der Zwischenablage an der Position des Cursors in das Bearbeitungsfenster einfügen.


Bearbeiten eines Werkstückprogramms - Verwenden der Standardbearbeitungsbefehle - Löschen

Löschen

Display Menu Roadmap
Die Menüoption Löschen löscht die aktuell hervorgehobene Auswahl aus dem Bearbeitungsfenster. Die gelöschte Auswahl wird nicht in die Zwischenablage gestellt.


Bearbeiten eines Werkstückprogramms - Verwenden der Standardbearbeitungsbefehle - Alles auswählen

Alles auswählen

Display Menu Roadmap
Über die Menüoption Alles auswählen können Sie den gesamten Inhalt des Bearbeitungsfensters zur Bearbeitung auswählen.


Bearbeiten von Elementmustern

Elementmuster kommen in Werkstücken häufig vor. In PC-DMIS haben Sie die Möglichkeit, Musterelemente zu erstellen. Informationen hierzu finden Sie unter den folgenden Optionen:

Siehe auch:

Muster

Mit Muster einfügen


Muster

Display Menu Roadmap
Über die Menüoption Muster wird das Dialogfeld Muster-Versatz aufgerufen.

In diesem Dialogfeld können Sie die Versätze definieren, die bei Auswahl der Option Mit Muster einfügen verwendet werden.

So erstellen Sie ein Muster:

  1. Öffnen Sie das Dialogfeld Muster-Versatz. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)
  2. Geben Sie die gewünschten Versatzwerte ein.
  3. Wählen Sie die gewünschte Spiegelungsoption aus.
  4. Geben Sie im Feld Anzahl der Versätze an, wie oft der Versatz angewendet werden soll.
  5. Klicken Sie auf OK.
  6. Verwenden Sie bei Bedarf die Schaltfläche Abbrechen, um das Dialogfeld ohne Änderung der aktuellen Einstellungen zu schließen.

Siehe auch:

X-, Y-, Z-Versatz

Winkelversatz

Anzahl der Versätze

X, Y, Z umkehren


X-, Y-, Z-Versatz

In diesen Feldern können Sie den X-, Y- oder Z-Versatz zwischen dem Auftreten der Muster festlegen.

So ändern Sie die X-, Y- oder Z-Versatzwerte:

  1. Aktivieren Sie das gewünschte Kontrollkästchen (X-Versatz, Y-Versatz oder Z-Versatz).
  2. Geben Sie die gewünschte Änderung ein.

PC-DMIS versetzt die X-, Y- und Z-Nenndaten des eingefügten Elements (oder der Gruppe von Elementen) um diese Versatzwerte.


Winkelversatz

Im Feld Winkelversatz können Sie angeben, um welchen Winkel die auftretenden Muster versetzt werden sollen.

Ein Winkelversatz empfiehlt sich beispielsweise beim Messen der Positionslage einer Anzahl von Bohrungen in einem Bolzenlochmuster, bei dem das Bezugselement eine Bohrung in der Mitte des Musters war. PC-DMIS dreht den Versatz um den Nullpunkt.

Winkelversätze können in Verbindung mit X-, Y- und Z-Versätzen und -Umkehrungen verwendet werden. Die Reihenfolge, in der diese Versätze angewendet werden, lautet: Umkehrungen - Drehungen – und zu guter Letzt Verschiebungen.

So können Sie den Winkelversatz ändern:

  1. Wählen Sie im Dialogfeld das Feld Winkelversatz.
  2. Geben Sie den gewünschten Wert ein.


Anzahl der Versätze

Mit dieser Option können Sie festlegen, wie oft PC-DMIS ein Muster versetzen wird. Um den aktuellen Wert zu ändern, wählen Sie diese Option, und geben Sie einen neuen Wert ein. Der Standardwert ist 1.


X, Y, Z umkehren

Die Optionen X umkehren, Y umkehren und Z umkehren spiegeln das Muster um die X-, Y- bzw. Z-Achse. Das ursprüngliche Muster wird vor einer Verschiebung oder Drehung an der X-, Y- bzw. Z-Achse "umgekehrt".


Bearbeiten eines Werkstückprogramms - Bearbeiten von Elementmustern - Mit Muster einfügen

Mit Muster einfügen

Display Menu Roadmap
Mit der Option Mit Muster einfügen wird ein beliebiges Element (oder eine Gruppe von Elementen), das in der Zwischenablage gespeichert ist, im Bearbeitungsfenster an der aktuellen Cursor-Position eingefügt. Wenn Sie so vorgehen, basieren neu erstellte Elemente auf den Elementen, die in die Zwischenablage kopiert wurden. Auf die neu erstellten Elemente werden jedoch die zuvor definierten Muster-Versätze angewendet. Weitere Informationen finden Sie unter "Muster".

So fügen Sie Elemente mit einem Muster ein:

  1. Vergewissern Sie sich, daß im Dialogfeld Muster-Versätze die passenden Versätze definiert wurden (wählen Sie die Menüoption Muster aus).
  2. Stellen Sie sicher, daß das Element (oder die Gruppe von Elementen), das Sie versetzen möchten, ausgewählt und in die Zwischenablage kopiert wurde.
  3. Gehen Sie mit dem Cursor im Werkstückprogramm an die Stelle, an der die neuen Elemente eingefügt werden sollen.
  4. Wählen Sie den Menübefehl Mit Muster einfügen aus.

PC-DMIS fügt den Inhalt der Zwischenablage so oft ein, wie es durch den Wert des Felds Anzahl der Versätze im Dialogfeld Muster-Versatz festgelegt wurde. Bei jedem Einfügen des Inhalts der Zwischenablage wird das neu erstellte Element (oder die Elemente) gegenüber dem zuvor eingefügten Element (oder den zuvor eingefügten Elementen) um die definierten Muster-Versätze versetzt. Die Kennungen für die neuen Elemente von der ursprünglichen Element-ID aus hochgezählt. Außerdem zeichnet PC-DMIS die neu erstellen Elemente im Grafikfenster.


Suchen und Ersetzen von Text

Mit Hilfe der standardmäßigen regulären Ausdrücke, die unter den folgenden Menüoptionen beschrieben sind, können Sie in den Feldern des Bearbeitungsfensters Text suchen und ersetzen:

Siehe auch:

Suchen

Ersetzen


Bearbeiten eines Werkstückprogramms - Suchen und Ersetzen von Text - Suchen

Suchen

Display Menu Roadmap
Die Menüoption Suchen öffnet das Dialogfeld Suchen, mit dem Sie im Bearbeitungsfenster nach einem bestimmten Stichwort suchen können.

Siehe auch:

Verwenden von Platzhaltern

Verwenden vordefinierter Zeichensätze

So suchen Sie nach bestimmten Worten oder Sätzen


Verwenden von Platzhaltern

Um Platzhalter für die Suche nach Übereinstimmungen zu verwenden, aktivieren Sie das Kontrollkästchen Platzhalterzeichen verwenden.

Mit dieser Option können Sie auch Text finden, der verschiedenen Suchkriterien entspricht. Sehen Sie sich folgende Beispiele an:

Zu suchender Text Zu verwendender Platzhalter Beispiele
Ein beliebiges Zeichen
.
 D.M entspricht "DIM" oder "D4M".
Zeichensatz
[ ]
 D[MI]S findet "DIS" und "DMS", aber nicht "DMIS" oder "DUS".
Ein Zeichen aus einem Bereich
[-]
 LINIE[2-6] findet "LINIE2" und "LINIE3", aber nicht "LINIE1" oder "LINIE7". Bereiche müssen in aufsteigender Reihenfolge angegeben werden.
Ein beliebiges Zeichen außer dem/den in Klammern angegebenen Zeichen
[^]
 POINT[^32] findet "POINT1", "POINT5" und "POINT10", aber nicht "POINT3", "POINT2", "POINT21" oder "POINT30".
Ein beliebiges Zeichen außer dem in Klammern angegebenen Zeichenbereich
[^x-z]
 LINIE[^2-5] findet "LINIE6" und "LINIEH", aber nicht "LINIE3"
In Zeichensätzen, die das Zeichen "-" einschließen, sollte das "-" als erstes oder letztes Zeichen im Bereich angegeben werden. Wenn der Bereich das "-" ausschließt, sollte "-" als zweites Zeichen angegeben werden.
[-]
 LINIE[0-9-] findet "LINIE4" und "LINIE-". LINIE[^-0-9] findet "LINIEH", aber nicht "LINIE-".
0 oder ein häufigeres Vorkommen des voranstehenden Zeichens oder Ausdrucks, mit folgenden Ausnahmen:

eine Zeichenfolge beginnt mit "*"

"*" folgt einem "^*", das eine Zeichenfolge beginnt

ein eingeklammerter Unterausdruck beginnt mit "*"

*
 lo*p findet "lp" und "looooop".

^* findet "*", wenn es am Zeilenanfang steht.
Zeile, die mit einem bestimmten Ausdruck oder Zeichen beginnt. "^" ist nur am Anfang einer Zeichenfolge ein Platzhalter.
^
 ^KREIS findet alle Zeilen, die mit "KREIS" beginnen. Beachten Sie, daß eingerückte Zeilen im Bearbeitungsfenster von PC-DMIS mit Leerzeichen beginnen.
Zeile, die mit einem bestimmten Ausdruck oder Zeichen endet. "$" ist nur am Ende einer Zeichenfolge ein Platzhalter.
$
 ENDEMESS/$ findet Zeilen, die mit "ENDEMESS/" enden, aber nicht Zeilen, die mit "MESS/" enden.


Verwenden vordefinierter Zeichensätze

Um Übereinstimmungen für einen vordefinierten Zeichensatz zu finden, aktivieren Sie das Kontrollkästchen Platzhalterzeichen verwenden. Sie können den Text dann mit Hilfe der folgenden vordefinierten Zeichensätze suchen:

Zeichensatz Zeichen im Satz
[[:alnum:]]
 ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789
[[:alpha:]]
 ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz
[[:blank:]]
 (Leerzeichen und Tabulatorzeichen)
[[:digit:]]
 0123456789
[[:graph:]]
 ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:lower:]]
 Abcdefghijklmnopqrstuvwxyz
[[:print:]]
 ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz 0123456789!"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:punct:]]
 !"#$%&'()*+,-./:;<=>?@[\]^_`{|}~
[[:upper:]]
 ABCDEFGHIJKLMNOPQRSTUVWXYZ
[[:xdigit:]]
 0123456789ABCDEFabcdef

Beispiel: Wenn Sie nach einer Zeichenfolge suchen, die aus einem Buchstaben, gefolgt von einigen Buchstaben oder Ziffern, gefolgt vom ersten Buchstaben besteht, sollten Sie einen Rückbezug einsetzen (siehe folgendes Beispiel): \([[:alpha:]]\)[[:alnum:]]\{1,\}\1.


So suchen Sie nach bestimmten Worten oder Sätzen:

Display Menu Roadmap
Wählen Sie in der Menüleiste Suchen aus.

  2. Geben Sie ein zu suchendes Stichwort oder einen Satz ein.
  3. Geben Sie die Suchrichtung (nach unten oder nach oben) an.
  4. Aktivieren Sie das Kontrollkästchen Nur ganzes Wort suchen, wenn PC-DMIS nur genau das Wort suchen soll. Wenn Sie beispielsweise "ABM" eingeben, findet PC-DMIS "ABM", aber nicht "ABMESSUNG".
  5. Aktivieren Sie das Kontrollkästchen Groß-/Kleinschreibung, wenn PC-DMIS bei der Suche die Groß-/Kleinschreibung berücksichtigen soll.
  6. Klicken Sie auf Suchen (oder drücken Sie die EINGABETASTE).


Bearbeiten eines Werkstückprogramms - Suchen und Ersetzen von Text - Ersetzen

Ersetzen

Display Menu Roadmap
Die Option Ersetzen funktioniert ganz ähnlich wie die Option Suchen. (Weitere Informationen hierzu finden Sie unter "Suchen".) Im Dialogfeld Ersetzen haben Sie allerdings die Möglichkeit, gefundenen Text zu ersetzen.

Hinweis: Sie können immer nur jeweils ein Feld mit editierbarem Text ersetzen. So ist es zum Beispiel nicht möglich, alle Instanzen von "PERM = 0" durch "PERM = 3" zu ersetzen, da "PERM = 3" eigentlich aus zwei Feldern besteht: "PERM =" und "3". Außerdem kann PC-DMIS nur editierbare Felder ersetzen (bei "STÄNDIG = 3" ist der Wert "3" editierbar, "STÄNDIG =" jedoch nicht).

Siehe auch:

Suchen nach

Ersetzen durch

Nur ganzes Wort suchen

Groß-/Kleinschreibung

Mit Mustervergleich

Schaltfläche "Weitersuchen"

Schaltfläche "Ersetzen"

Schaltfläche "Alle Ersetzen"


Suchen nach

In dieses Feld können Sie den zu suchenden Text eingeben. Hierbei können Sie die verschiedenen im Abschnitt "Suchen" beschriebenen Platzhalter und Suchmuster einsetzen Siehe "Suchen".


Ersetzen durch

In dieses Feld können Sie den Text eingeben, durch den der gefundene Text ersetzt werden soll.


Nur ganzes Wort suchen

Wenn Sie dieses Kontrollkästchen aktivieren, sucht PC-DMIS nur nach ganzen Wörtern mit diesem Text. Wenn Sie beispielsweise im Feld Suchen nach "ABM" eingegeben haben und dieses Kontrollkästchen aktivieren, findet PC-DMIS nur "ABM". "ABMESSUNG" oder "ABM-ID" werden nicht gefunden.


Groß-/Kleinschreibung

Wenn dieses Kontrollkästchen aktiviert ist, sucht PC-DMIS nur nach Text, der in Groß-/Kleinschreibung mit dem Text im Feld Suchen nach übereinstimmt. Wenn Sie beispielsweise im Feld Suchen nach "Punkt" eingeben und das Kontrollkästchen Groß-/Kleinschreibung aktivieren, findet PC-DMIS "Punkt" und "Punkte", aber nicht "PUNKT".


Mit Mustervergleich

Durch Auswahl dieses Kontrollkästchen wird PC-DMIS angewiesen, nach bestimmten Mustern zu suchen. Dieses Kontrollkästchen sollte markiert werden, wenn Sie mit Hilfe von Platzhaltern oder anderen bestimmten Zeichenentsprechungen nach Übereinstimmungen suchen.


Schaltfläche "Weitersuchen"

Wenn Sie auf die Schaltfläche Weitersuchen klicken, sucht PC-DMIS das nächste Vorkommen des gesuchten Texts.


Schaltfläche "Ersetzen"

Wenn Sie auf die Schaltfläche Ersetzen klicken, wird der gefundene Text durch die im Feld Ersetzen durch eingegebene Zeichenfolge ersetzt. Auf diese Weise können Sie gefundenen Text nacheinander an mehreren Stellen ersetzen.


Schaltfläche "Alle ersetzen"

Wenn Sie auf die Schaltfläche Alle ersetzen klicken, werden alle Vorkommen des Textes im Feld Suchen nach durch den im Feld Ersetzen durch eingegebenen Text ersetzt.


Springen zu bestimmten Zeilennummern

In PC-DMIS ist das Springen zu bestimmten Zeilennummern ganz einfach. Mit der Menüoption Springe zu können Sie innerhalb des Bearbeitungsfensters zu einer bestimmten Zeile springen.

Display Menu Roadmap
So bewegen Sie den Cursor im Befehlsmodus oder DMIS-Modus zu einer bestimmten Zeilennummer:

  1. Wählen Sie Springe zu im Menü aus. Es erscheint das Dialogfeld Springe zu.
  2. Im Feld Line Number (Zeile Nr.) wird die Zeilennummer der Zeile angezeigt, in der sich der Cursor befindet.
  3. Geben Sie die gewünschte Zeilennummer ein.
  4. Klicken Sie auf OK (oder drücken Sie die EINGABETASTE). PC-DMIS zeigt die angegebene Zeile an.


Ändern erkannter Elemente

Mit Hilfe des Untermenüs Elementtyp ändern können Sie den Typ des zuletzt gemessenen Elements ändern.

Display Menu Roadmap
War das zuletzt gemessene Element beispielsweise ein Kreis, während PC-DMIS davon ausging, daß es sich um eine Ebene handelte, dann können Sie das Element mit dieser Option in den richtigen Typ umwandeln. Diese Option muß jedoch genutzt werden, bevor andere Elemente gemessen oder konstruiert werden.

Vorgehensweise:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor im Bearbeitungsfenster auf das Element, für das ein falscher Typ ausgewiesen wurde.
  3. Wählen Sie den richtigen Elementtyp aus dem Untermenü Elementtyp ändern.

Sie können nun beobachten, wie die Elementsänderungen im Bearbeitungsfenster vorgenommen werden.


Ändern gefundener NennwerteOverridingFoundNominals>main

Ändern gefundener Nennwerte

Display Menu Roadmap
Über das Dialogfeld NW-Suche Ändern können Sie den entsprechenden theoretischen Punkt aus den CAD-Oberflächen für Auto-Vektorpunkte, Auto-Oberflächenpunkte und Einzelmessungen innerhalb anderer Elemente (beispielsweise aus Scans) auswählen. Dadurch wird das standardmäßige Vorgehen von PC-DMIS bei die Nennwertsuche während des Lernmodus' und Ausführmodus' übergangen.

PC-DMIS wird bei dem Versuch, einen (innerhalb der Nennwertsuchtoleranz) gültigen theoretischen Punkt zu finden, größtenteils den richtigen Punkt bei Aufnahme eines manuellen Meßpunktes wählen,. Es gibt jedoch Ausnahmefälle, in denen PC-DMIS keinen richtigen Punkt finden kann und statt dessen einen nicht korrekten Punkt auf dem CAD-Modell wählt. In diesen Fällen können Sie das Dialogfeld Nennwerte Ändern nutzen, um PC-DMIS bei der Suche nach dem richtigen Sollpunkt auf den CAD-Oberflächen zu helfen.

Die folgenden Themen beschreiben das Dialogfeld selbst und wie dieses Dialogfeld in den verschiedenen Modi

Siehe auch:

Das Dialogfeld "Nennwerte Ändern"

So verwenden Sie das Dialogfeld "Nennwerte Ändern" im Lernmodus:

So verwenden Sie das Dialogfeld "Nennwerte Ändern" im Ausführmodus:

So verwenden Sie das Dialogfeld "Nennwerte Ändern" vom Bearbeitungsfenster aus:


Das Dialogfeld "Nennwerte Ändern"

Dieses Dialogfeld wird unter folgenden Themen beschrieben:

Siehe auch:

Die Spalten "Prioritätsoberfläche, Durchstoßpunkt und Lotpunkt"

Das Feld "Toleranz"

Das Kontrollkästchen "Verwende vorherige Oberfläche"

Die Schaltfläche "Ändern"


Die Spalten "Prioritäts-Oberfläche, Durchstoßpunkt- und Lotpunkt"

Dieser Bereich des Dialogfelds enthält die folgenden drei Spalten:

  1. Prioritäts-Oberfläche
  2. Durchstoßpunkt
  3. Lotpunk

Sie zeigen die maßgeblichen theoretischen Punktwerte and deren T-Werte (das heißt, den links neben den X-,Y- und Z-Werten in Klammern stehenden Wert) an.

Die Spalte Prioritäts-Oberfläche – Diese Spalte enthält eine Liste der Oberflächen, die Sie im Dialogfeld CAD- Elemente bearbeiten als Prioritäts-Oberflächen gespeichert haben.

Display Menu Roadmap
Hier werden der Oberflächentyp und ein Kontrollkästchen eingeblendet. Über dieses Kontrollkästchen können die Oberfläche der durch PC-DMIS geführten Liste der Prioritäts-Oberflächen hinzufügen oder diese daraus entfernen. Wenn Sie dieses Kontrollkästchen markieren, wird die Oberfläche in die Prioritätsliste aufgenommen. Wenn Sie die Auswahl dieses Kontrollkästchen aufheben, wird die Oberfläche aus der Liste entfernt.

Die Spalte Durchstoßpunkt – Diese Spalte enthält die theoretischen Punktwerte, die mit Hilfe der Durchstoßpunkt-Operation von PC-DMIS gefunden wurden. Wenn der Text "OP Fehlgeschlagen" in dieser Spalte erscheint, bedeutet dies, es war nicht möglich, den Sollpunkt mit Hilfe der Durchstoßpunkt-Operation auf dieser Oberfläche zu finden. Wird ein Punkt in Grün hervorgehoben, ist dieser Punkt der beste Sollpunkt, der durch einen Auswahlalgorithmus gefunden wurde. Natürlich können Sie diesen ausgewählten Punkt verändern.

Die Spalte Lotpunkt – Diese Spalte enthält die theoretischen Punktwerte, die mit Hilfe der Lotpunkt-Operation von PC-DMIS gefunden wurden.


Das Feld "Toleranz"

Über das Feld Toleranz können Sie den neuen Toleranzwert vorgeben, der bei der Suche der Sollpunkte über dieses Dialogfeld zu verwenden ist.


Das Kontrollkästchen "Verwende vorherige Oberfläche".

Durch Aktivieren des Kontrollkästchens Verwende vorherige Oberfläche wird PC-DMIS angewiesen, die letzte Oberfläche für die Suche nach Sollpunkten zu verwenden. Dieses Kontrollkästchen ist erst dann zur Auswahl verfügbar, wenn Sie einen Meßpunkt auf einer Oberfläche mit geöffnetem Dialogfeld aufgenommen haben. Nachdem Sie einen Meßpunkt aufgenommen haben, verfügt PC-DMIS über eine Oberfläche, um mit künftigen Meßpunkten zu arbeiten.


Die Schaltfläche "Ändern"

Über die Schaltfläche Ändern wird ein nicht korrekter von PC-DMIS gefundener Sollpunkt durch die Sollpunktdaten aus der Liste geändert, die in die Spalten Prioritäts-Oberfläche, Durchstoßpunkt und Lotpunkt aufgeteilt ist.


So verwenden Sie das Dialogfeld "Nennwerte Ändern" im Lernmodus:

So offnen Sie dieses Dialogfeld im Lernmodus:

  1. Aktivieren Sie in der Registerkarte Allgemein des Dialogfelds Setup-Optionen die Kontrollkästchen Nur-Punkt-Modus und Nennwertsuche.

Display Menu Roadmap
Stellen Sie sicher, daß Sie schattiertes CAD-Modell importiert haben.

  3. Klicken Sie auf das Symbol Oberflächenmodus in der Symbolleiste Grafik modi.
  4. Wählen Sie die Menüoption Nennwerte ändern. Nun erscheint das Dialogfeld Nennwerte Ändern.

Mit dem geöffnetem Dialogfeld Nennwerte Ändernwird PC-DMIS der eigenen normalen Logik folgen, wenn Sie einen manuellen Meßpunkt aufnehmen, und so genau wie möglich den Sollwert auswählen. Dabei werden die zuletzt gemessenen Punktkoordinaten und Näherungsvektoren zugrundegelegt.

Danach können Sie das Dialogfeld Nennwerte Ändernnutzen, um weitere Verfahren zur Änderung des gefundenen Sollpunkts durchzuführen.

Siehe auch:

Verfahren 1: Sollpunkte auf der vorherigen Oberfläche suchen

Verfahren 2: Sollpunkte auf der Prioritäts-Oberflächen suchen

Verfahren 3: Sollpunkte auf allen CAD-Oberflächen suchen

Verfahren 4: Einen Sollpunkt später auswählen

Nach dem Auswählen des Besten Sollpunkts


Verfahren 1: : Sollpunkte auf der vorherigen Oberfläche suchen

Wenn Sie das Kontrollkästchen Verwende vorherige Oberfläche aktivieren, wird über das Dialogfeld Nennwerte Ändern versucht, einen Sollpunkt aus der zuletzt verwendeten Oberfläche zu finden. Wenn das Dialogfeld einen Punkt innerhalb der Nennwertsuchtoleranz auf der zuletzt verwendeten Oberfläche finden kann, wird dieser Sollpunkt ausgewählt und ein Auto-Vektorpunkt auf Basis der Nennwerte erzeugt.


Verfahren 2: : Sollpunkte auf Prioritäts-Oberflächen suchen

Wenn das Dialogfeld Nennwerte Ändern keinen Sollpunkt auf der zuletzt verwendeten Oberfläche finden kann (Siehe Verfahren 1: "Sollpunkte auf der vorherigen Oberfläche suchen), wird versucht, einen Sollpunkt auf einer Prioritäts-Oberfläche zu finden. Als Prioritäts-Oberflächen werden die Oberflächen bezeichnet, die der Benutzer als eine Untergruppe der CAD-Oberflächen zum Auffinden von Sollwerten ausgewählt hat. Prioritätsoberflächen können über das Kontrollkästchen Als Priorität festlegen im Dialogfeld CAD- Elemente bearbeiten aktiviert oder deaktiviert werden. (Weitere Informationen finden Sie unter "Bearbeiten von CAD" im Abschnitt "Bearbeiten der CAD-Anzeige"). Wenn das Dialogfeld einen passenden Punkt in den Prioritäts-Oberflächen finden kann, wird dieser Punkt ausgewählt und ein Auto-Vektorpunkt auf Basis der Nennwerte erzeugt. Außerdem werden die innerhalb der Nennwertsuchtoleranz gültigen Sollpunkte aller Prioritäts-Oberflächen im Dialogfeld Nennwerte Ändern angezeigt.


Verfahren 3: : Sollpunkte auf allen CAD-Oberflächen suchen

Wenn PC-DMIS immer noch keinen Sollpunkt unter Verwendung der oben beschriebenen Verfahren 1 und 2 finden konnte (Siehe Verfahren 1: Sollpunkte auf der vorherigen Oberfläche suchen und Verfahren 2: Sollpunkte auf Prioritäts-Oberflächen suchen), wird folgendermaßen vorgegangen:

  • PC-DMIS sucht den besten Sollpunkt auf allen CAD-Oberflächen innerhalb der Nennwertsuchtoleranz
  • Es wird ein Auto-Vektorpunkt auf Basis des besten verfügbaren Sollpunkts erstellt.
  • Es werden alle CAD-Oberflächen angezeigt, deren Sollpunkte im des Dialogfeld Nennwerte Ändern erschienen sind.


Verfahren 4: : Einen Sollpunkt später auswählen

Wenn PC-DMIS auf allen CAD-Oberflächen immer noch keinen passenden Punkt finden kann, erscheint die Frage, ob der Auto-Vektorpunkt jetzt erzeugt werden kann und Sie den Sollpunkt später auswählen wollen. Nach Ihrer Bestätigung erzeugt PC-DMIS im Bearbeitungsfenster einen Auto-Vektorpunkt und Sie können eine der folgenden Optionen wählen:

Option 1. Sie können einen neuen Meßpunkt aufnehmen und PC-DMIS wird versuchen, einen neuen Sollpunkt zu finden. Im wesentlichen fangen Sie wieder von vorne an, wenn Sie diese Option wählen.

Option 2. Sie können einen anderen Sollpunkt aus dem Dialogfeld auswählen und die Schaltfläche Ändern anklicken. Daraufhin wird PC-DMIS den zuvor ausgewählten Punkt mit dem neu ausgewählten Punkt für den zuletzt erzeugten Auto-Vektorpunkt überschreiben.

Sie werden gewöhnlich diese Option wählen, wenn Sie nicht mit dem Sollpunkt einverstanden sind, den PC-DMIS mit den unter folgenden Themen beschriebenen Verfahren finden wollte:

  • Verfahren 1: Sollpunkte auf der vorherigen Oberfläche suchen
  • Verfahren 2: Sollpunkte auf Prioritäts-Oberflächen suchen
  • Verfahren 3: Sollpunkte auf allen CAD-Oberflächen suchen

Option 3. Sie können eine CAD-Oberfläche auf dem Bildschirm auswählen. PC-DMIS wird daraufhin versuchen, Sollwerte auf der ausgewählten Oberfläche zu finden und diese Punkte im Dialogfeld Nennwerte Ändern anzeigen.

Sie können den zuvor gefundenen Nennwert ändern, indem Sie einen Punkt aus dieser neuen Oberfläche auswählen und auf Ändern klicken.

Hinweis: Bei dieser Option ignoriert PC-DMIS die Nennwertsuchtoleranz. So werden diese Punkte auch noch im Dialogfeld angezeigt, wenn die ausgewählte CAD-Oberfläche außerhalb der Nennwertsuchtoleranz liegt.

Option 4. Sie können die Nennwertsuchtoleranz erhöhen, indem Sie den Wert im Feld Toleranz ändern und auf Übernehmen klicken. PC-DMIS wird dann wieder folgende Verfahren unter Zugrundelegung des höheren Toleranzwertes anwenden und passende Punkte anzeigen:

  • Verfahren 1: Sollpunkte auf der vorherigen Oberfläche suchen
  • Verfahren 2: Sollpunkte auf Prioritäts-Oberflächen suchen
  • Verfahren 3: Sollpunkte auf allen CAD-Oberflächen suchen

Daraufhin können Sie einen gültigen Punkt auswählen und auf Ändern klicken, um einen Sollpunkt für den zuletzt erzeugten Auto-Vektorpunkt zu akzeptieren.

Das Erhöhen der Nennwertsuchtoleranz im Feld Toleranz hat dieselbe Wirkung, wie eine Änderung der NW-Suchtoleranz in der Registerkarte Allgemein des Dialogfelds Setup-Optionen.


Nach dem Auswählen des Besten Sollpunkts

Nachdem der beste Sollpunkt ausgewählt wurde, wird PC-DMIS sich die ausgewählte Oberfläche für dieses Element merken.

Während der Ausführung im manuellen Modus wird PC-DMIS:

  1. Den im Feld Nennwerte während der Ausführung suchen enthaltenen Wert verwenden, der in der Registerkarte Allgemein des Dialogfelds Setup-Optionen aufrufbar ist.

Display Menu Roadmap
Für diese Funktion müssen Sie das Kontrollkästchen Nennwerte während der Ausführung suchen (das auch auf der Registerkarte Allgemein aufrufbar ist) aktivieren.

  3. Versuchen, dieselbe Oberfläche und dasselbe CAD-Verfahren (Durchstoßpunkt- oder Lotpunkt-Verfahren) zu verwenden, um die neuen Sollpunkte für den zuletzt ausgeführten Punkt zu finden.

Wenn kein Sollpunkt auf dieser CAD-Oberfläche gefunden werden kann, wird PC-DMIS wieder auf das Dialogfeld Nennwerte Ändern zugreifen. Weitere Informationen zum Verhalten während des Ausführmodus finden Sie unter So verwenden Sie das Dialogfeld "Nennwerte Ändern" im Ausführmodus:.


So verwenden Sie das Dialogfeld "Nennwerte Ändern" im Ausführmodus:

Wie bereits unter Nach dem Auswählen des Besten Sollpunktes im Hinblick auf das Dialogfeld Nennwerte Ändern erwähnt wurde, wird dieses nur dann im Ausführmodus von PC-DMIS eingeblendet, wenn folgende Bedingungen erfüllt sind:

  • Sie müssen ein schattiertes Modell mit Oberflächen importieren und das Symbol Oberflächenmodus in der Symbolleiste Grafik modi auswählen.
  • Sie müssen das Kontrollkästchen Nennwerte während der Ausführung suchen in der Registerkarte Allgemein des Dialogfelds Setup-Optionen aktivieren.
  • Der Auto-Vektorpunkt oder der Auto-Oberflächenpunkt muß einen gültigen Sollwert im Lernmodus aufweisen (siehe So verwenden Sie das Dialogfeld "Nennwerte Ändern" im Lernmodus:).
  • Die Ausführung muß im manuellen Modus erfolgen.
  • PC-DMIS muß das Auto-Vektorpunkt- oder Auto-Oberflächenpunkt-Element ausführen.
  • PC-DMIS darf keinen Sollpunkt für den ausgeführten Auto-Vektorpunkt- oder Auto-Oberflächenpunkt gefunden haben.

Wenn das Dialogfeld eingeblendet wird, wird die Ausführung angehalten und Sie können über das Dialogfeld in der Art und Weise eingreifen, wie sie bereits unter So verwenden Sie das Dialogfeld "Nennwerte Ändern" im Lernmodus: beschrieben wurde.

Außerdem haben Sie die Wahl, das zuletzt gemessene Punktelement erneut zu messen. In diesem Fall wiederholt PC-DMIS die Ausführung und versucht, nochmals Sollwerte zu finden. Wenn immer noch keine Sollwerte für diesen Punkt gefunden werden konnten, blendet PC-DMIS wieder das Dialogfeld Nennwerte Ändern ein.

Die folgenden Optionen sind daraufhin verfügbar:

  • Führen Sie die Funktion erneut aus.
  • Verwenden Sie die Schaltfläche Ändern wie unter Verfahren 4: Einen Sollpunkt später auswählen beschrieben.
  • Schließen Sie das Dialogfeld durch Klicken auf die Schaltlfläche Beenden. Wenn Sie das Dialogfeld schließen, ohne einen passenden Nennwert ausgewählt zu haben, wird PC-DMIS die gemessenen Daten durch die vorherigen Sollwerte ersetzen.


So verwenden Sie das Dialogfeld "Nennwerte Ändern" vom Bearbeitungsfenster aus:

Sie können das Dialogfeld Nennwerte Ändern öffnen, indem Sie mit der rechten Maustaste eins der folgenden Elemente anklicken und Nennwerte ändern aus dem Kontextmenü auswählen:

  • Vektorpunkt
  • Oberflächenpunkt
  • Einzelmeßpunkt

Das Dialogfeld wird dann die Meßdaten (Punkt und Vektor) des Elements verwenden, um einen passenden Sollpunkt, wie unter So verwenden Sie das Dialogfeld "Nennwerte Ändern" im Lernmodus: beschrieben wurde, zu finden.


Markieren von Befehlen für die Ausführung

Damit PC-DMIS-Befehle ausgeführt werden, müssen Sie diese zuerst für die Ausführung markieren. Die folgenden Menüoptionen und Befehle steuern die Markierung von Befehlen:

Siehe auch:

Markieren

Alles Markieren

Alles löschen

Übergeordneter Modus

Untergeordneter Modus

Modus "Neuausrichtung"


Markieren

Display Menu Roadmap
Mit der Menüoption Markieren können Sie ein bestimmtes Element oder einen bestimmten Befehl zur Ausführung markieren. PC-DMIS markiert Befehle, die immer ausgeführt werden, automatisch, wie beispielsweise Ausrichtungs-, Tastspitzen-Befehle usw.

Es gibt mehrere Möglichkeiten für das Markieren von Elementen oder Befehlen. PC-DMIS kennzeichnet markierte Elemente im Bearbeitungsfenster mit Hilfe der Markierungsfarbe. (Informationen hierzu finden Sie unter "Definieren der Farben im Bearbeitungsfenster" im Abschnitt "Voreinstellungen".) Das Programm blendet zudem im Grafikfenster neben der Element-ID ein Sternchen (*) ein. Möglichkeiten zur Markierung von Werkstückprogramm-Einträgen:

  1. Markieren Sie das gewünschte Elements oder den Befehl im Bearbeitungsfenster. Positionieren Sie den Cursor über dem zu markierenden Element und wählen Sie Markieren. Der markierte Befehl wird hervorgehoben.
  2. Markieren Sie mehrere Befehle im Bearbeitungsfenster. Wählen Sie die zu markierenden Befehle im Bearbeitungsfenster aus und wählen Sie Markieren. Die markierten Befehle werden hervorgehoben.
  3. Markieren Sie das gewünschte Element im Grafikfenster. Stellen Sie sicher, daß sich PC-DMIS im Übertragungsmodus befindet. Klicken Sie mit der linken Maustaste auf das gewünschte Element, während Sie die UMSCHALTTASTE gedrückt halten.
  4. Markieren Sie mehrere Elemente im Grafikfenster. Stellen Sie sicher, daß sich PC-DMIS im Übertragungs- oder Textfeldmodus befindet. Halten Sie die UMSCHALTTASTE gedrückt, während Sie durch Klicken und Ziehen mit der Maus die gewünschten Elemente auswählen (siehe Kästchenauswahl).

Wenn Sie die Menüoption Übergeordneter Modus ausgewählt haben und ein konstruiertes Element oder ein Merkmal markieren, markiert PC-DMIS auch alle zugehörigen Elemente, die beim entsprechenden Konstruktions- oder Merkmalsverfahren verwendet wurden.

Display Menu Roadmap
Wenn Sie die Menüoption Untergeordneter Modus ausgewählt haben und ein Element markieren, das zur Konstruktion eines Elements oder zum Erstellen eines Merkmals verwendet wird, markiert PC-DMIS auch alle zugehörigen untergeordneten Elemente.

Display Menu Roadmap
Hinweis: Die Markierung von Elementen und Befehlen kann durch Wiederholen eines der obigen Verfahren wieder aufgehoben werden.

Wenn ein Eintrag markiert ist, kann die Markierung für bestimmte Linien innerhalb des Eintrags aufgehoben werden. Beispielsweise kann die Markierung einiger Element- und Merkmalslinien aufgehoben werden. Nicht mehr markierte Linien werden nicht ausgeführt.

Wenn Merkmale markiert sind, sendet PC-DMIS nach Ausführung des Programms die Ergebnisse, einschließlich der richtigen Ausgabekonfiguration, an den Drucker. (Informationen hierzu finden Sie unter "Ausgabe an" im Abschnitt "Merkmale für Elemente erstellen".

Siehe auch:

So heben Sie die Markierung für bestimmte Linien innerhalb eines Elements auf:


So heben Sie die Markierung für bestimmte Linien innerhalb eines Elements auf:

  1. Bewegen Sie den Cursor zur gewünschten Linie innerhalb des markierten Elements (beispielsweise zur Linie MESSPKT /BASIC).
  2. Wählen Sie Markieren erneut aus, um die Markierung der angegebenen Linie aufzuheben.

Display Menu Roadmap


Editing a Part Program - Marking Commands for Execution - Mark All

Alles Markieren

Display Menu Roadmap
Mit der Menüoption Alles markieren werden alle Elemente oder Befehle im Bearbeitungsfenster zur Ausführung markiert. PC-DMIS hebt die ausgewählten Elemente im Bearbeitungsfenster hervor, indem es sie in grünem Text anzeigt. PC-DMIS blendet darüber hinaus im Grafikfenster neben jeder Element-ID, die zur Ausführung markiert ist, ein Sternchen (*) ein.

Bei Wahl des Befehls Alles markieren werden Sie von PC-DMIS gefragt, ob manuelle Ausrichtungselemente ebenfalls markiert werden sollen.

  • Wenn Sie auf Ja klicken, markiert PC-DMIS das gesamte Werkstückprogramm, einschließlich der Ausrichtungselemente, zur Ausführung.
  • Wenn Sie auf Nein klicken, markiert PC-DMIS das gesamte Werkstückprogramm zur Ausführung, läßt jedoch die Ausrichtungselemente unberücksichtigt.


Alles löschen

Display Menu Roadmap
Mit der Menüoption Alles löschen können Sie im Bearbeitungsfenster alle Einträge, die zuvor zur Ausführung markiert wurden, entfernen (oder deren Markierung aufheben).


Übergeordneter Modus

Display Menu Roadmap
Bei Auswahl von Übergeordneter Modus wird der übergeordnete Befehl markiert (sofern diese Menüoption aktiviert und der zugehörige Befehl im Bearbeitungsfenster markiert ist). Ein 'übergeordneter' Befehl ist ein Befehl (oder sind von einem Befehl stammende Informationen), der (bzw. die) in einem anderen Befehl verwendet wird (werden). Wenn Sie diese Option beispielsweise nach dem Markieren eines Merkmals wählen, wird das in diesem Merkmal verwendete Element ebenfalls markiert. Dies war der Standardmodus in Versionen von PC-DMIS vor Version 3.25.

Hinweis: Wenn Sie die Markierung für einen untergeordneten Befehl aufheben, bleibt der übergeordnete Befehl weiterhin markiert.


Untergeordneter Modus

Display Menu Roadmap
Bei Auswahl von Untergeordneter Modus werden alle untergeordneten Befehle markiert, solange der zugehörige übergeordnete Befehl ebenfalls markiert ist. Ein untergeordneter Befehl ist ein Befehl, dessen Ausführung von einem anderen Befehl abhängig ist. Wenn Sie bei Auswahl dieser Option z. B. ein Element markieren, zu dem ein Merkmal gehört, wird das Merkmal dieses Elements ebenfalls markiert.

Hinweis: Wird weder die Option Übergeordneter Modus markieren noch die Option Untergeordneten Modus markieren ausgewählt, werden nur die ausgewählten Einträge zur Ausführung markiert.

Hinweis: Wenn Sie die Markierung für einen übergeordneten Befehl aufheben, bleibt der untergeordnete Befehl weiterhin markiert.


Modus "Neue Ausrichtung"

Display Menu Roadmap
Mit dem Modus "Neue Ausrichtung" (angezeigt mit einem Häkchen neben der Menüoption) werden jedesmal, wenn ein Element oder Merkmal zur Ausführung markiert wird, übereinstimmende Ausrichtungsdaten markiert.


Erstellen und Ausführen von Markierungsgruppen

In PC-DMIS können Sie markierte Elemente zu "Sätzen", sogenannten "Gruppen", zusammenfassen. Anschließend können Sie die gespeicherten Gruppen über das Fenster Markierungsgruppen ausführen.

  • Es können bis zu dreißig (30) Markierungsgruppen für ein Werkstückprogramm definiert sein.
  • Mit jeder Markierungsgruppe können unbegrenzt viele Elemente verknüpft werden.
  • Beim Ausführen werden nur die Elemente berücksichtigt, die in der aktiven Markierungsgruppe geordnet sind.
  • Jede Markierungsgruppe, die innerhalb eines Werkstückprogramms erstellt wird, wird im Fenster "Markierungsgruppen" als Symbol angezeigt. Jedes Symbol ist eine grafische Darstellung aller Elemente, die mit der entsprechenden Markierungsgruppe verknüpft sind.

In den folgenden Themen wird beschrieben, wie Sie Markierungsgruppen erstellen, ändern, ausführen, neu anordnen, sperren und löschen können.

Siehe auch:

Beispiel für ein Markierungsgruppenfenster

Erstellen neuer Markierungsgruppen

So fügen Sie vorhandenen Markierungsgruppen Elemente hinzu

So entfernen Sie Elemente aus vorhandenen Markierungsgruppen

So passen Sie Symbole für Markierungsgruppen an

So ordnen Sie Markierungsgruppen neu an

So führen Sie Markierungsgruppen aus

So sperren Sie Markierungsgruppen

So löschen Sie Markierungsgruppen


Beispiel für ein Markierungsgruppenfenster

Display Menu Roadmap
Hinweis: Wenn das Markierungsgruppenfenster ausgeblendet ist, sind alle Markierungsgruppen deaktiviert und die Ausführung von Werkstückprogrammen folgt den Regeln des Standardmodus.

Verfügbare Schaltflächen

Öffnen – Über diese Schaltfläche wird das Standard-Dialogfeld Öffnen aufgerufen, in dem Sie Werkstückprogramme öffnen und andere untergeordnete Dateivorgänge durchführen können. Informationen hierzu finden Sie unter "Öffnen vorhandener Werkstückprogramme" im Abschnitt "Verwenden von grundlegenden Dateioptionen".

Druckt ein vollständiges Protokoll – Diese Schaltfläche sendet das aktuelle Protokoll an die derzeit geöffnete Ausgabeoption. Siehe auch "Drucken aus dem Bearbeitungsfenster" im Abschnitt "Verwenden von grundlegenden Dateioptionen".

Tastspitzen kalibrieren – Diese Schaltfläche öffnet das Dialogfeld Taster Hilfsprogramme, in dem Sie Ihre Tastspitzen kalibrieren können. PC-DMIS deaktiviert diese Schaltfläche für Gom (Krypton), Romer und Garda-Schnittstellen. Informationen hierzu finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".


So erstellen Sie neue Markierungsgruppen

Display Menu Roadmap
Über die Option Neue Markierungsgruppe oder einen Doppelklick auf eine beliebige Stelle im Markierungsgruppenfenster wird das Dialogfeld Neue Markierungsgruppe geöffnet, in dem Sie zur Eingabe eines Namens für die neue Markierungsgruppe aufgefordert werden.

  2. Geben Sie einen Namen zur Beschreibung der Markierungsgruppe ein. Auch wenn Namen mit unbegrenzter Länge eingegeben werden können, verbessern kurze beschreibende Stichworte die Lesbarkeit.
  3. Klicken Sie auf OK. Die neue Markierungsgruppe wird im Markierungsgruppenfenster gespeichert. Nun müssen Sie die neue Markierungsgruppe öffnen und ihr Elemente hinzufügen.


So fügen Sie vorhandenen Markierungsgruppen Elemente hinzu

  1. Wählen Sie die Option Markierungsgruppen einblenden aus. Das Fenster mit den Markierungsgruppen wird eingeblendet.

Display Menu Roadmap
Vergewissern Sie sich, daß die zu ändernde Markierungsgruppe aktiv ist (drücken Sie TAB, um durch die Markierungsgruppen zu blättern oder klicken Sie einmal auf die Markierungsgruppe, um diese auszuwählen).

  3. Öffnen Sie das Bearbeitungsfenster und markieren Sie die Elemente, die der Markierungsgruppe hinzugefügt werden sollen. Das Standardsymbol für die Markierungsgruppe ändert sich dynamisch und spiegelt die Änderungen wider.
  4. Schließen Sie das Markierungsgruppenfenster, wenn Sie fertig sind.


So entfernen Sie Elemente aus vorhandenen Markierungsgruppen

  1. Wählen Sie die Option Markierungsgruppen einblenden aus. Das Fenster mit den Markierungsgruppen wird eingeblendet.

Display Menu Roadmap
Vergewissern Sie sich, daß die zu ändernde Markierungsgruppe aktiv ist (drücken Sie TAB, um durch die Markierungsgruppen zu blättern oder klicken Sie einmal auf die Markierungsgruppe, um diese auszuwählen).

  3. Öffnen Sie das Bearbeitungsfenster und heben Sie die Markierung jener Elemente auf, die aus dem Markierungssatz entfernt werden sollen. Das Standardsymbol für die Markierungsgruppe ändert sich dynamisch und spiegelt die Änderungen wider.
  4. Schließen Sie das Markierungsgruppenfenster, wenn Sie fertig sind.


So passen Sie Symbole für Markierungsgruppen an

So passen Sie die Symbole für Markierungsgruppen an

Markierungsgruppen können anstelle der Standardgrafiken, sofern erwünscht, auch mit benutzerdefinierten Bitmap-Bildern dargestellt werden. So verwenden Sie ein benutzerdefiniertes Bitmap-Bild:

  1. Erstellen Sie in "Paint" oder in einem anderen Bitmap-Editor ein farbiges Bitmap. Dieses Bild sollte nicht größer als 48 x 48 Pixel sein.
  2. Speichern Sie die Bitmap-Datei im selben Verzeichnis wie das Werkstückprogramm. Die Bitmap-Dateinamen müssen der folgenden Namenskonvention entsprechen, damit sie von PC-DMIS als solche erkannt werden:

MARKST00.BMP für die erste Markierungsgruppe

MARKST01.BMP für die zweite Markierungsgruppe

MARKST02.BMP für die dritte Markierungsgruppe

…

MARKST30.BMP für die 31. Markierungsgruppe

Beispiel: Wenn die Bitmap-Datei MARKST00.BMP beim Erstellen der ersten Markierungsgruppe im Werkstückprogramm-Verzeichnis abgelegt wird, wird das in der Datei MARKST00.BMP enthaltende Bitmap-Bild angezeigt. Besitzt eine Markierungsgruppe keine eigene Bitmap-Datei, wird die Standardgrafik verwendet. Die Liste der verwendeten Bitmap-Dateien darf Lücken aufweisen. So können Sie beispielsweise die Markierungssätze 1 und 5 mit Bitmap-Dateien versehen und für die Markierungssätze 2, 3 und 4 Standardbilder verwenden.


So ordnen Sie Markierungsgruppen neu an

Markierungsgruppen lassen sich auch neu positionieren. Vorgehensweise:

  1. Wählen Sie die Option Markierungsgruppen einblenden aus. Das Fenster mit den Markierungsgruppen wird eingeblendet.

Display Menu Roadmap
Wählen Sie die gewünschte Markierungsgruppe mit der linken Maustaste aus, während Sie die UMSCHALTTASTE gedrückt halten.

  3. Ziehen Sie die Markierungsgruppe an die neue Position.
  4. Lassen Sie die UMSCHALTTASTE und die linke Maustaste los. Nun aktualisiert PC-DMIS das Markierungsgruppenfenster mit der Änderung.
  5. Schließen Sie das Markierungsgruppenfenster, wenn Sie fertig sind.


So führen Sie Markierungsgruppen aus

  1. Wählen Sie die Option Markierungsgruppen einblenden aus. Das Fenster mit den Markierungsgruppen wird eingeblendet.

Display Menu Roadmap
Doppelklicken Sie auf die Markierungsgruppe, die Sie ausführen möchten. PC-DMIS führt nun die Markierungsgruppe aus.

  3. Schließen Sie das Markierungsgruppenfenster, wenn Sie fertig sind.


So sperren Sie Markierungsgruppen

Wenn eine Markierungsgruppe für ein Werkstückprogramm definiert wurde, läßt sich diese sperren, damit niemand unbeabsichtigt die aktuelle Konfiguration löschen oder in anderer Weise verändern kann. Weitere Informationen zu dieser Option finden Sie unter ""Markierungsgruppen sperren" " im Abschnitt "Voreinstellungen".


So löschen Sie Markierungsgruppen

Alle vorher erstellen Markierungsgruppen können auf einfache Weise gelöscht werden. Vorgehensweise:

  1. Wählen Sie die Option Markierungsgruppen einblenden aus. Das Fenster mit den Markierungsgruppen wird eingeblendet.

Display Menu Roadmap
Vergewissern Sie sich, daß die zu löschende Markierungsgruppe aktiv ist (drücken Sie TAB, um durch die Markierungsgruppen zu blättern, oder klicken Sie einmal auf die Markierungsgruppe, um diese auszuwählen).

  3. Drücken Sie die Taste "Entf". Daraufhin wird ein Bestätigungsfeld eingeblendet, das die Löschung der Markierungsgruppe bestätigt.
  4. Klicken Sie auf die Schaltfläche Ja. Die Markierungsgruppe wird gelöscht und das Symbol aus dem Markierungsgruppenfenster entfernt.
  5. Schließen Sie das Markierungsgruppenfenster, wenn Sie fertig sind.


Verwenden von Lesezeichen

Wenn sich das Bearbeitungsfenster im Befehlsmodus befindet, können Lesezeichen festgelegt werden. (Informationen hierzu finden Sie unter "Arbeiten im Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".) Lesezeichen markieren häufig verwendete Zeilen in einem Werkstückprogramm. Wenn eine Zeile mit einem Lesezeichen versehen ist, können Sie über Menü- oder Tastaturbefehle direkt zu dieser Zeile springen. Nicht mehr benötigte Lesezeichen lassen sich wieder entfernen. Die Lesezeichen werden zwischen den Bearbeitungssitzungen gespeichert und stehen daher wieder zur Verfügung, wenn das Werkstückprogramm das nächste Mal geöffnet wird.

Hinweis: Beachten Sie bitte, daß die Lesezeichen nicht den Befehlen sondern den Zeilennummern zugewiesen werden. Es ist daher möglich, daß Lesezeichen, wenn diese in einem Modus gesetzt wurden und dann in einen anderen Modus gewechselt wird, bei unterschiedlichen Befehlen auftreten, selbst wenn sie sich in denselben Zeilennummern befinden.

Siehe auch:

Lesezeichen ein/aus

Nächstes Lesezeichen

Alle Lesezeichen löschen


Lesezeichen ein/aus

Display Menu Roadmap
Mit der Menüoption Lesezeichen ein/aus können Sie Lesezeichen setzen bzw. entfernen. Das Lesezeichen wird an der Position (Zeile) des Bearbeitungsfensters gesetzt bzw. entfernt, an der sich der Cursor befindet. Durch ein kleines blaues Symbol am linken Rand wird das Vorhandensein eines Lesezeichens ausgewiesen.


Bearbeiten eines Werkstückprogramms - Verwenden von Lesezeichen - Nächstes Lesezeichen

Nächstes Lesezeichen

Display Menu Roadmap
Mit der Menüoption Nächstes Lesezeichen können Sie zum nächsten Lesezeichen im Bearbeitungsfenster springen. Wenn PC-DMIS hinter der aktuellen Cursorposition kein weiteres Lesezeichen findet, setzt es die Suche am Anfang des Bearbeitungsfensters fort.


Bearbeiten eines Werkstückprogramms - Verwenden von Lesezeichen - Alle Lesezeichen löschen

Alle Lesezeichen löschen

Display Menu Roadmap
Mit der Menüoption Alle Lesezeichen löschen können Sie alle Lesezeichen aus dem Bearbeitungsfenster entfernen.


Verwenden von Unterbrechungspunkten

Verwenden von Haltepunkten

Die Menüoption Haltepunkte ist ein nützliches Werkzeug zur Fehlersuche beim Erstellen, Testen und Ausführen von Werkstückprogrammen. Werkstückprogramme werden grundsätzlich sequentiell, zeilenweise, ausgeführt. Durch Setzen eines Haltepunkts in einer bestimmten Zeile wird die Programmausführung an der entsprechenden Stelle unterbrochen. Wenn das Werkstückprogramm variable Ausdrücke und eine Ablaufsteuerung verwendet, können Sie diese Variablen prüfen und beeinflussen, um sicherzustellen, daß das Programm wie gewünscht funktioniert.

Wenn PC-DMIS die Ausführung an einem Haltepunkt anhält, können Sie die Schaltfläche Nächster Schritt verwenden. Die Schaltfläche setzt den Meßvorgang schrittweise fort und legt dabei nach jedem ausgeführten Befehlsschritt, der eine Bewegung des KMG bewirkt, eine Pause ein. Im Schrittmodus können Sie Meßpunkte in Elemente einfügen oder neue Elemente zwischen bestehenden Elementen oder Befehlen einfügen. Der Schrittmodus kann auch offline simuliert werden.

Wenn Sie an einen Punkt gelangen, an dem Sie mit der normalen Programmausführung fortfahren möchten, klicken Sie einfach auf die Schaltfläche Fortfahren des Dialogfelds Ausführung. Es stehen mehrere Menü- und Tastaturbefehle zum Ändern der Plazierung und zum Entfernen der Haltepunkte zur Verfügung. Haltepunkte werden zusammen mit dem Werkstückprogramm gespeichert und stehen daher wieder zur Verfügung, wenn das Werkstückprogramm das nächste Mal geöffnet wird.

Siehe auch:

Haltepunkt ein/aus

Standard-Haltepunkt einfügen

Standard-Haltepunkt löschen

Alle löschen


Standard-Haltepunkt einfügen

Display Menu Roadmap
Mit der Menüoption Standard-Haltepunkt einfügen können Sie im gesamten Werkstückprogramm Haltepunkte an Standardpositionen setzen. Standard-Haltepunkte sind definiert als Zeilen im Bearbeitungsfenster, die Befehle enthalten, die eine Bewegung des KMGs oder ein Verzweigen als Ergebnis eines Ablaufsteuerungsbefehls (z. B. IF-THEN-Anweisungen) bewirken. Weitere Informationen hierzu finden Sie im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".


Standard-Haltepunkt löschen

Display Menu Roadmap
Mit der Menüoption Standardpunkte löschen können Sie Haltepunkte an Standardpositionen im ganzen Werkstückprogramm löschen. Es werden nur die Haltepunkte an den Standardpositionen gelöscht (siehe "Standardpunkte einfügen"). Alle anderen Haltepunkte, die nicht in Standardpositionen gesetzt wurden, bleiben erhalten.


Alle löschen

Display Menu Roadmap
Mit der Menüoption Alle löschen können Sie alle Haltepunkte aus dem Werkstückprogramm entfernen.


Ändern von Schriftarten und Farben

Die Schriftarten und Farben, die im Bearbeitungsfenster verwendet werden, können auf einfache Weise geändert werden. Eine Anleitung hierzu finden Sie unter "Einrichten des Bearbeitungsfensters" im Abschnitt "Voreinstellungen".


Bearbeiten externer Objekte

In PC-DMIS können Sie nur im Befehlsmodus eingebettete externe Objekte bearbeiten. Hierzu wählen Sie das Objekt im Befehlsmodus aus und doppelklicken Sie auf das ausgewählte Objekt.

Informationen zum Erstellen und Einfügen externer Objekte finden Sie unter "Einfügen externer Objekte" im Abschnitt "Hinzufügen externer Elemente".


Using the Edit Window

Basiskonzepte

Arbeiten im Übersichtsmodus

Arbeiten im Befehlsmodus

Arbeiten im Protokollmodus

Arbeiten im DMIS-Modus


Verwenden des Bearbeitungsfensters : Einführung

LoVerwenden des Bearbeitungsfensters: Einführung

Display Menu Roadmap
Eines der Hauptwerkzeuge zur Bearbeitung von Werkstückprogrammen ist das Bearbeitungsfenster. Hier kann der Werkstückprogrammierer Bearbeitungsoperationen wie Ausschneiden, Kopieren und Einfügen vornehmen, Meßbefehle hinzufügen und ausführen, Fehler suchen und Prüfergebnisse konfigurieren und anzeigen. Wenn Sie bereits frühere Versionen von PC-DMIS kennen, wird Ihnen das neue Aussehen des Bearbeitungsfensters auffallen.

  • Die Menüs des Bearbeitungsfensters wurden entfernt und in die neue Menüstruktur der aktualisierten Menüleiste integriert.
  • Die Symbolleiste Bearbeitungsfenster, die schnellen Zugriff auf zahlreiche häufig verwendete Funktionen des Bearbeitungsfensters bietet, wurde aus dem Bearbeitungsfenster entfernt. Sie ist nun über den PC-DMIS-Symbolleistenbereich zugänglich. Informationen zu dieser Symbolleiste finden Sie unter "Symbolleiste des Bearbeitungsfensters" im Abschnitt "Arbeiten mit Symbolleisten".
  • Das Bearbeitungsfenster kann nun an den Seitenrändern sowie am oberen oder unteren Rand des Bildschirms angekoppelt werden. Das bedeutet, daß Sie das Bearbeitungsfenster am Grafikfenster ankoppeln können.
  • Das Bearbeitungsfenster kann auch beweglich über dem Grafikfenster liegen. Dies war in früheren Versionen von PC-DMIS (Version 2.x bis 3.25) ebenfalls möglich. Um das Bearbeitungsfenster ungekoppelt zu lassen, klicken Sie mit der rechten Maustaste auf das Bearbeitungsfenster und deaktivieren die Option Kopplungsansicht. Dadurch wird ein neues Bearbeitungsfenster geöffnet, das sich genau wie das alte Bearbeitungsfenster verhält. In diesem Modus können Sie die Befehle im Menü Fenster verwenden.

Durch diese Verbesserungen erhalten Sie eine Reihe von Werkzeugen, mit denen sich der Inhalt des Bearbeitungsfensters einfach und intuitiv steuern läßt.

Unter den folgenden Themen dieses Abschnitts finden Sie allgemeine Informationen zum Bearbeitungsfenster sowie zum Bearbeiten von Werkstückprogrammen:

  • Basiskonzepte
  • Arbeiten im Übersichtsmodus
  • Arbeiten im Befehlsmodus
  • Arbeiten im Protokollmodus
  • Arbeiten im DMIS-Modus


Basiskonzepte

Im Bearbeitungsfenster können Sie auf einfache Weise auf das aktuelle Programm des Werkstücks zugreifen. Änderungen am Werkstückprogramm lassen sich einfach über das Bearbeitungsfenster oder die Dialogfelder oder eine Kombination aus dem Bearbeitungsfenster und den entsprechenden Dialogfeldern vornehmen. Die nachfolgenden Abschnitte enthalten Basiskonzepte, die Sie beim Erlernen der Verwendung des Bearbeitungsfensters unterstützen.

Siehe auch:

Navigation durch das Bearbeitungsfenster

Die Standardfarben im Bearbeitungsfenster verstehen

Einfügen von Befehlen

Bearbeiten von Werten

Auswahl von Befehlen

Neuanordnen von Befehlen

Löschen von Befehlen

Zugreifen auf Dialogfelder

Bearbeiten von Kopf- und Fußzeilen


Navigation durch das Bearbeitungsfenster

Das Bearbeitungsfenster enthält alle Befehle, aus denen Ihr Werkstückprogramm besteht. Jeder Befehl verfügt über editierbare und nicht editierbare Felder. Editierbare Felder sind Felder, deren Werte Sie ändern können.

Das Hinzufügen neuer Befehle oder das Bearbeiten vorhandener Befehle ist nur in den folgenden Modi möglich:

  • Im Befehlsmodus oder DMIS-Modus bewegen Sie den Cursor durch Drücken der TABULATORTASTE zum nächsten editierbaren Feld. Sie erkennen ein aktives editierbares Feld daran, daß der Wert in der Markierungsfarbe hervorgehoben ist (standardmäßig in Gelb).
  • Im Übersichtsmodus erweitern Sie den Befehl und klicken dann mit der rechten Maustaste auf ein editierbares Element. Dadurch wird der Befehl Bearbeiten eingeblendet. Wenn Sie diesen auswählen, können Sie einen neuen Wert eingeben oder einen vorhandenen Wert aus einer Liste auswählen.

Siehe auch:

Verwenden des Grafikfensters, um zur Position eines bestimmten Elements zu wechseln


Verwenden des Grafikfensters, um zur Position eines bestimmten Elements zu wechseln

Wenn Sie den Cursor im Bearbeitungsfenster an die Position eines bestimmten Elements setzen möchten, klicken Sie im Grafikfenster bei gedrückt gehaltener STRG-Taste auf das entsprechende Element.


Die Standardfarben im Bearbeitungsfenster verstehen

PC-DMIS Befehle werden in einer der folgenden Standardfarben aufgeführt:

  • Blau – Nicht markierte Befehle. Diese Befehle werden nicht ausgeführt..
  • Grün – Markierte Befehle Diese Befehle werden ausgeführt..
  • Rot – Unzulässige Befehle, außerhalb der Toleranzgrößen oder fehlerhafte Ausdrücke. Ein rot markierter Befehl wird während der Programmausführung übersprungen.
  • Schwarz – Debug-Befehle In dieser Farbe wird die Linie dargestellt, die bei der Ausführung eines Werkstückprogramms mit Hilfe von Haltepunkten als nächste ausgeführt wird.

Informationen zum Ändern dieser Farben finden Sie unter "Definition der Farben im Bearbeitungsfenster" im Abschnitt "Voreinstellungen".


Einfügen von Befehlen

In vielen Fällen werden automatisch Befehle eingefügt, wenn Sie Messungen vornehmen oder in Dialogfelder zur Dateneingabe verwenden. Befehle können jedoch auch direkt über das Bearbeitungsfenster hinzugefügt werden. Das Ergebnis ist je nach aktivem Modus unterschiedlich:

  • Im Befehlsmodus können Sie neue Befehle einfügen, indem Sie einfach die ersten Zeichen des Befehls eingeben, falls sie Ihnen bekannt sind.
  • Im Übersichtsmodus können Sie neue Befehle einfügen, indem Sie mit der rechten Maustaste klicken und im Kontextmenü die Option Befehl hinzufügen auswählen. PC-DMIS zeigt eine Liste der verfügbaren Befehle an.
  • Im DMIS-Modus können Sie neue Befehle einfügen, indem Sie in einer Zeile einfach die Eingabetaste drücken. Daraufhin wird eine Liste eingeblendet, aus der Sie den gewünschten DMIS-Befehl auswählen können.


Bearbeiten von Werten

Display Menu Roadmap
Display Menu Roadmap
Gelegentlich ist es sinnvoll, die Einstellungen eines Befehls direkt im Bearbeitungsfenster zu ändern.

  • Im Befehlsmodus oder DMIS-Modus drücken Sie die TABULATORTASTE, um zu dem editierbaren Feld zu wechseln, das Sie ändern möchten. Geben Sie einen neuen Wert ein, oder drücken Sie F7 oder F8, um vorwärts bzw. rückwärts durch eine Liste der verfügbaren Werte zu blättern.
  • Im Übersichtsmodus erweitern Sie zunächst den Befehl. Klicken Sie dann mit der rechten Maustaste auf die Zeile, die Sie bearbeiten möchten. PC-DMIS zeigt daraufhin entweder eine Liste an, in der Sie einen vorhandenen Wert auswählen können, oder ein Bearbeitungsfeld, in das Sie einen neuen Wert eingeben können.


Verwenden des Bearbeitungsfensters - Basiskonzepte - Auswählen von Befehlen

Auswählen von Befehlen

Die meisten Befehle können in allen PC-DMIS-Modi ausgewählt werden. Bevor Sie einen Befehl neu anordnen oder kopieren können, muß dieser ausgewählt werden.

  • Im Übersichtsmodus klicken Sie auf einen ausgeblendeten Befehl, um den gesamten Befehlsblock auszuwählen. Alle Dateneintrage, die mit dem Befehl verknüpft sind, werden ebenfalls ausgewählt.
  • Im Befehlsmodus oder DMIS-Modus klicken Sie auf den Anfang des Befehls und halten die Maustaste gedrückt. Ziehen Sie dann die Maus, bis der gesamte Befehl markiert ist.

Mit der Menüoption Alles auswählen können Sie das gesamte Protokoll zu Bearbeitungszwecken auswählen.


Neuanordnen von Befehlen

Zahlreiche Befehle in PC-DMIS können neu angeordnet werden. Das Ändern der Position eines Befehls ist ganz einfach.

Im Übersichts-, Befehls- oder DMIS-Modus können Sie einen Befehl neu anordnen, indem Sie den gesamten Befehlsblock auswählen und dann die Menüoption Ausschneiden wählen, um den Befehl von seiner aktuellen Position zu entfernen. Anschließend wählen Sie die Menüoption Einfügen, um ihn an der neuen Position einzufügen. Sie können auch die Menüoption Kopieren verwenden, um eine Kopie des Befehls zu erstellen und diese in die Zwischenablage zu speichern, bis Sie die Kopie an einer anderen Position einfügen.

Display Menu Roadmap
Informationen zu diesen und anderen Standardbearbeitungsbefehlen finden Sie unter "Verwenden der Standardbearbeitungsbefehle" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Löschen von Befehlen

Display Menu Roadmap
Befehle können einfach aus dem Bearbeitungsfenster gelöscht werden, indem diese ausgewählt werden und auf Löschen geklickt wird. Sie können jeden gelöschten Befehl wiederherstellen, indem Sie sofort in der Symbolleiste Bearbeitungsfenster auf Rückgängig klicken.


Verwenden des Bearbeitungsfensters - Basiskonzepte - Zugreifen auf Dialogfelder

Zugreifen auf Dialogfelder

Display Menu Roadmap
Beim Bearbeiten von Elementen und Befehlen greifen Sie auf Dialogfelder zu, die mit einem bestimmten Element oder Befehl verbunden sind. Dies ist auf ganz einfache Weise möglich, indem Sie den Cursor in einem der Bearbeitungsmodi auf dem Element oder Befehlsblock plazieren und F9 drücken. Das mit dem Element verknüpfte Dialogfeld wird daraufhin eingeblendet. Darin können Sie Änderungen vornehmen, und nachdem Sie auf OK oder auf Übernehmen geklickt haben, wird das Bearbeitungsfenster automatisch mit den Änderungen aktualisiert.

Bei manchen Befehlen wird das Dialogfeld bei Betätigung der F9-Taste nur dann eingeblendet, wenn sich PC-DMIS im Befehlsmodus befindet.


Ändern von Kopf- und Fußzeilen

Es gibt drei Dateien, die zum Formatieren des Kopf-/Fußzeilentexts im Bearbeitungsfenster verwendet werden. Hierbei handelt es sich um die Dateien LOGO.DAT, HEADER.DAT und ELOGO.DAT. Diese Dateien befinden sich in Ihrem Installationsverzeichnis (C:\Pcdmisw, wenn Sie das Standardinstallationsverzeichnis verwendet haben).

Sie können die Kopf- und Fußzeile des Bearbeitungsfensters bearbeiten, indem Sie in einem Standard-Texteditor (wie beispielsweise Notepad) Änderungen an den entsprechenden Textdateien vornehmen und speichern.

Siehe auch:

Die Kopfzeile

Die Fußzeile

Formatierungsschlüsselwörter für Kopf- und Fußzeilen


Die Kopfzeile

LOGO.DAT wird zum Formatieren der Dokumentkopfzeile (nur auf der ersten Seite) verwendet.

Die entsprechende LOGO.DAT-Datei wird nachfolgend angezeigt:

HEADER.DAT wird zum Formatieren der Seitenkopfzeilen auf allen Seiten außer der ersten Seite verwendet.


Die Fußzeile

ELOGO.DAT wird zum Formatieren der Dokumentfußzeile (nur auf der letzten Seite) verwendet.

Die entsprechende ELOGO.DAT-Datei wird nachfolgend angezeigt:


Formatierungsschlüsselwörter für Kopf- und Fußzeilen

Es folgt eine Liste der verfügbaren Formatierungsschlüsselwörter und deren Funktionen. Sie können diese Schlüsselwörter in die DAT-Dateien einfügen, um sie in einer Kopf- oder Fußzeile anzuzeigen.

Hinweis: Bei Schlüsselwörtern wird zwischen Groß- und Kleinbuchstaben unterschieden.

#DATE | Fügt das aktuelle Datum ein.
#TIME | Fügt die aktuelle Uhrzeit ein.
#PAGE | Fügt die aktuelle Seitenzahl ein. Eignet sich sehr gut zur Verwendung in der Datei HEADER.DAT.
#TRn | Fügt den Wert des Überwachungsfelds n ein, wobei n der Überwachungsfeldnummer entspricht.
#PARTN | Fügt den Namen des Werkstückprogramms ein.
#DRWN | Fügt die Versionsnummer ein.
#SERIALN | Fügt die Seriennummer ein.
#SEQUENCE | Fügt die Sequenznummer ein.
#SHRINK | Fügt den Maßstab ein.
#NMEAS | Fügt die Gesamtzahl von Merkmalen ein.
#NOUT | Fügt die Gesamtzahl von Merkmalen ein, die außerhalb der Toleranz liegen.
#ELAPSTIM | Fügt die zwischen Start und Ende der Ausführung verstrichene Zeit ein. Eignet sich sehr gut zur Verwendung in der Datei FOOTER.DAT.
#BMP=Bitmap-Pfad | Fügt ein Bitmap-Bild mit dem angegebenen Namen in die Bitmap-Pfad-Variable ein. Sie müssen den vollständigen Pfad zur Bitmap-Datei angeben (z. B. D:\Dateien\Bmp\Pcdhead.Bmp).


Arbeiten im Übersichtsmodus

Display Menu Roadmap

Im Übersichtsmodus können Sie das gesamte Layout des Werkstückprogramms und Werkstückprogrammbefehle mit unterschiedlicher Detailgenauigkeit anzeigen. Über die intuitiv leicht verständliche Benutzeroberfläche lassen sich Befehle schnell neu anordnen und bearbeiten.

Siehe auch:

Layout

Bearbeiten eines Werkstückprogramms im Übersichtsmodus

Tastaturfunktionen des Übersichtsmodus


Layout

Das Layout des Übersichtsmodus in PC-DMIS erfolgt in Form von bestimmten ein- und ausblendbaren Datenelementen. Auf der obersten Ebene zeigt PC-DMIS Befehlsobjekte an. Sie können die zu diesen Objekten gehörenden Gruppen und Dateneinträge einblenden, indem Sie auf das Pluszeichen (+) links neben dem Befehl klicken. Um sie wieder auszublenden, klicken Sie auf das Minuszeichen (-).

Siehe auch:

Befehle

Gruppen

Dateneinträge


Befehle

PC-DMIS zeigt die meisten Werkstückprogramm-Befehle auf der obersten Ebene an. Einige Befehle, wie Basismeßpunkte, Lagemerkmale und bestimmte Ausrichtungsbefehle erscheinen unter dem ihnen übergeordneten Objekt. Zudem gilt folgendes:

  • Mit jedem Befehl ist ein eindeutiges Symbol verknüpft, durch das Sie benötigte Befehle leicht identifizieren können.
  • Besitzt der betreffende Befehl eine ID, zeigt PC-DMIS die ID vor der Befehlsbeschreibung an.
  • Zur Ausführung markierte Befehle werden grün dargestellt.
  • Befehle, die nicht zur Ausführung aktiviert sind, werden als blauer Text dargestellt.


Gruppen

Gruppen werden durch ein Ordnersymbol dargestellt und setzen sich aus verwandten Dateneinträgen eines Befehls zusammen. So besitzt ein Meßkreisobjekt z. B. die Gruppe Theoretische Werte, die Gruppe Ist-Werte und die Gruppe Einstellungen.

  • Die erste Gruppe enthält die theoretischen Werte des Meßkreises, u.a. die theoretischen Wert für x, y, z, i, j, k und den Durchmesser.
  • Die zweite Gruppe enthält die zugehörigen Meßwerte des Kreises.
  • Die dritte Gruppe enthält Angaben über den Meßkreis, wie beispielsweise ID, Koordinatentyp, ob es sich um einen Innen- oder Außenkreis handelt, die Anzahl der Meßpunkte etc.


Dateneinträge

Dateneinträge sind die Parameter oder Einstellungen des Befehlsobjekts. Einige Dateneinträge sind editierbar, während andere lediglich Informationszwecken dienen und keine Änderungen zulassen. Dateneinträge werden durch ein blaues Kreissymbol dargestellt.


Bearbeiten eines Werkstückprogramms im Übersichtsmodus

In PC-DMIS besteht die Möglichkeit, ein Werkstückprogramm im Übersichtsmodus zu bearbeiten. Im Übersichtsmodus können Sie Befehle auswählen, hinzufügen, entfernen, kopieren, ausschneiden, einfügen, markieren und deren Markierung aufheben sowie die Dateneinträge eines Befehls bearbeiten.

Siehe auch:

Auswahl von Befehlen

Hinzufügen von Befehlen

Entfernen von Befehlen

Kopieren, Ausschneiden und Einfügen von Befehlen

Befehle zur Ausführung markieren/deren Markierung aufheben

Bearbeiten der Dateneinträge eines Befehls


Verwenden des Bearbeitungsfensters - Bearbeiten eines Werkstückprogramms im Übersichtsmodus - Auswählen von Befehlen

Auswählen von Befehlen

Zur Auswahl von Befehlen können Sie diese mit der linken Maustaste anklicken oder mit der NACH-OBEN- und der NACH-UNTEN-Taste ansteuern.

  • Um mehrere Befehle auszuwählen, halten Sie die STRG-Taste gedrückt, während Sie mit der linken Maustaste nacheinander auf die gewünschten Befehle klicken.
  • Um eine Gruppe von Einträgen auf einmal auszuwählen, wählen Sie den ersten Eintrag im Objektblock aus, drücken und halten die UMSCHALT-Taste und wählen den letzten Eintrag im Block aus.

PC-DMIS hebt alle ausgewählten Einträge hervor.


Hinzufügen von Befehlen

Im Übersichtsmodus können Befehle mit Standardmenüoptionen von PC-DMIS oder über ein besonderes Kontextmenü zum Werkstückprogramm hinzugefügt werden.

  1. Klicken mit der rechten Maustaste auf einen Werkstückprogrammbefehl, um das Kontextmenü zu öffnen. Weitere Informationen zu den verfügbaren Optionen finden Sie unter "Übersichtsmodus-Kontextmenü" im Abschnitt "Verwenden von Tastaturbefehlen und Kontextmenüs".
  2. Klicken Sie im Kontextmenü auf Befehl hinzufügen. Daraufhin wird eine blaue Liste mit einer Bildlaufleiste angezeigt.
    Wählen Sie den einzufügenden Befehl aus. Sobald Sie ihn angeklickt haben, wird die Popup-Liste ausgeblendet, und PC-DMIS fügt den Befehl in das Bearbeitungsfenster ein.

Hinweis: PC-DMIS fügt den neuen Befehl in der Regel hinter dem derzeit in der ein-/ausblendbaren Liste ausgewählten Eintrag ein.


Entfernen von Befehlen

Befehle können leicht aus dem Werkstückprogramm entfernt werden, indem Sie den gewünschten Befehl auswählen und die ENTF-Taste drücken. Alle für den Befehl evtl. vorhandenen Unterbefehle werden ebenfalls gelöscht.


Kopieren, Ausschneiden und Einfügen von Befehlen

So gehen Sie zum Kopieren oder Ausschneiden eines Befehls vor:

  1. Wählen Sie den gewünschten Befehl in der ein- und ausblendbaren Ansicht aus.
  2. Wählen Sie den Befehl zum Kopieren bzw. zum Ausschneiden an einer dieser Stellen aus:
    • im Menü Bearbeiten des Bearbeitungsfensters,
    • auf der Tastatur (STRG+C für "Kopieren" und STRG+X für "Ausschneiden"),
    • aus dem Kontextmenü, das erscheint, wenn mit der rechten Maustaste auf einen Werkstückprogrammbefehl geklickt wird.

Hinweis: Alle für den Befehl evtl. vorhandenen Unterbefehle werden ebenfalls ausgeschnitten bzw. kopiert.

So fügen Sie einen ausgeschnittenen bzw. kopierten Befehl ein:

  1. Wählen Sie in der ein- bzw. ausblendbaren Ansicht den Befehl aus, hinter den der Befehl eingefügt werden soll.
  2. Wählen Sie den Befehl zum Einfügen an einer der folgenden Stellen aus:
    • im Menü Bearbeiten des Bearbeitungsfensters,
    • auf der Tastatur (STRG+V),
    • aus dem Kontextmenü, das erscheint, wenn mit der rechten Maustaste auf einen Werkstückprogrammbefehl geklickt wird.


Befehle zur Ausführung markieren oder deren Markierung aufheben

Vorgehensweise:

  1. Wählen Sie den Befehl im Bearbeitungsfenster aus.
  2. Drücken Sie F3 (oder klicken Sie mit der rechten Maustaste auf den gewünschten Befehl und wählen Sie im Kontextmenü Markieren).


Bearbeiten der Dateneinträge eines Befehls

Um die Dateneinträge eines Befehls zu bearbeiten, ergreifen Sie eine der folgenden Maßnahmen:

  • Wählen Sie den Dateneintrag aus und drücken Sie die EINGABETASTE. Bearbeiten Sie die Informationen und drücken Sie die EINGABETASTE.
  • Doppelklicken Sie mit der linken Maustaste auf den Dateneintrag.. Bearbeiten Sie die Informationen und drücken Sie die EINGABETASTE.
  • Klicken Sie mit der rechten Maustaste auf den Dateineintrag und wählen Sie Bearbeiten | Text für Wert / Ausdruck. Bearbeiten Sie die Informationen und drücken Sie die EINGABETASTE.

Ist der Dateneintrag ein Umschaltfeld, erscheint eine Liste möglicher Werte, aus der Sie die gewünschte Option auswählen können. Drücken Sie nach Auswahl der gewünschten Option die EINGABE-Taste oder doppelklicken Sie auf die gewünschte Option.

Wenn der Dateneintrag kein Umschaltfeld ist und bearbeitet werden kann, wird ein kleines Bearbeitungsfeld mit dem aktuellen Wert eingeblendet, der über die Tastatur geändert werden kann. Durch Drücken von ESC können Sie die Bearbeitung des Eintrags abbrechen.

So bearbeiten Sie einen Befehl über das dazugehörige Dialogfeld:

  1. Wählen Sie den Befehl in der ein- bzw. ausblendbaren Ansicht aus.
  2. Drücken Sie F9 (oder klicken Sie mit der rechten Maustaste auf den Befehl, und wählen Sie in dem nun eingeblendeten Popup-Menü Bearbeiten).

Das betreffende Dialogfeld für den Befehl erscheint. Beachten Sie jedoch bitte, daß einige Befehle nur bearbeitet werden können, wenn sich PC-DMIS im Befehlsmodus befindet.


Tastaturfunktionen des Übersichtsmodus

In der folgenden Tabelle werden die verschiedenen Tastaturfunktionen angeführt, die zur Auswahl stehen, wenn sich PC-DMIS im Übersichtsmodus befindet.

Taste(n) | Funktion
UMSCHALT + TAB | Bewegt den Cursor rückwärts zum nächsten Eintrag in der Übersichtsanzeige.
STRG | Klicken Sie mit der linken Maustaste auf das gewünschte Element. PC-DMIS bewegt den Cursor zum zugehörigen Werkstückbefehl in der Übersichtsanzeige.
STRG + A | Wählt alle Befehle des Werkstückprogramms aus.
STRG + C | Kopiert Text oder Objekte in die Zwischenablage.
STRG + ENDE | Bewegt den Cursor an das Ende des Werkstückprogramms.
STRG + POS1 | Bewegt den Cursor an den Anfang des Werkstückprogramms.
STRG + Q | Blendet das Dialogfeld Ausführen ein, in dem Sie das Werkstückprogramm ausführen können.
STRG + V | Fügt Text in ein Bearbeitungssteuerelement ein. Wurde ein Objekt ausgeschnitten oder kopiert, wird es nach dem derzeit ausgewählten Objekt eingefügt.
STRG + X | Schneidet das ausgewählte Objekt oder den ausgewählten Text in einem Bearbeitungssteuerelement aus.
STRG + Y | Blendet das Dialogfeld Ausführen ein, in dem Sie das Werkstückprogramm ab einer bestimmten Position ausführen können.
ENTF | Löscht alle hervorgehobenen Zeichen, wenn ein Wert in einem Bearbeitungssteuerelement bearbeitet wird. Wenn nichts markiert ist, funktionieren beide Tastaturbefehle wie in einem gewöhnlichen Editor.
Doppelklick | Durch einen Doppelklick auf einen Befehl oder eine Gruppe, werden die zugehörigen Elemente aufgefächert. Durch einen Doppelklick auf einen editierbaren Dateineintrag wird das Bearbeitungssteuerelement des betreffenden Dateneintrags aufgerufen.
NACH-UNTEN-TASTE | Bewegt den Cursor eine Zeile nach unten.
F2 | Ruft das Ausdruckerstellungsprogramm auf, wenn Ausdrücke im derzeit ausgewählten Dateneintrag zulässig sind.
F3 | Markiert ein Element zur Ausführung.
F9 | Ruft das Dialogfeld für den derzeit ausgewählten Befehl auf.
BILD-AB-Taste | Bewegt den Cursor eine Seite nach unten.
BILD-AUF-Taste | Bewegt den Cursor eine Seite nach oben.
Umschalttaste | Erleichtert in Verbindung mit der linken Maustaste nach Auswahl eines anfänglichen Objekts die Auswahl eines Blocks von Objekten.
TAB | Bewegt den Cursor vorwärts zum nächsten Eintrag in der Übersichtsanzeige.
NACH-OBEN-TASTE | Bewegt den Cursor eine Zeile nach oben.


Arbeiten im Befehlsmodus

Display Menu Roadmap

Durch Auswahl des Symbols Befehlsmodus wird das Bearbeitungsfenster in den Befehlsmodus versetzt. In diesem Modus können Sie eine Vielzahl von PC-DMIS-Befehlen einfügen oder bearbeiten. Zu den Hauptfunktionen oder -befehlen, die Sie im Bearbeitungsfenster hinzufügen können, gehören:

  • Konstruierte Elemente
  • Merkmale
  • Ausrichtungen
  • Gemessene Elemente
  • Meßpunkte
  • Bewegungsbefehle (Maschine)
  • Bewegungsbefehle (Taster)
  • Blechmessungen
  • Tasterbefehle
  • Kommentare
  • Überwachungsfelder
  • Ausdrücke
  • Bildschirmkopien
  • Globale Befehle

PC-DMIS bietet außerdem einige Tastaturfunktionen, die Sie im Befehlsmodus des Bearbeitungsfensters einsetzen können. Diese sind unter "Tastaturfunktionen des Befehlsmodus" beschrieben.

Sie können auch bestimmen, welche Befehle im Befehlsmodus angezeigt werden. Weitere Informationen hierzu finden Sie unter "Anzeigeoptionen für den Befehlsmodus" im Abschnitt "Voreinstellungen".

Siehe auch:

Konstruierte Elemente

Merkmale

Statistikdaten

Ausrichtung

Gemessene Elemente

Meßpunkte

Bewegungsbefehle (Maschine)

Bewegungsbefehle (Taster)

Blechmessungen

Taster

Kommentare

Überwachungsfelder

Ausdrücke

Bildschirmkopien

Globale Befehle

Tastaturfunktionen des Befehlsmodus


Konstruierte Elemente

In PC-DMIS können Sie bestimmte Elemente aus vorhandenen Elementen konstruieren. Weitere Informationen sowie spezielle Regeln zur Konstruktion von Elementen finden Sie im Abschnitt "Konstruieren von neuen Elementen aus vorhandenen Elementen".

PC-DMIS unterstützt die Konstruktion der folgenden Elemente:

  • PUNKT
  • KREIS
  • ELLIPSE
  • KUGEL
  • LINIE
  • KEGEL
  • ZYLINDER
  • EBENE
  • LANGLOCH
  • KURVE
  • OBERFLÄCHE
  • ELEMENTGRUPPE
  • GAUSS-FILTERSATZ


Merkmale

Über Merkmalsbefehle können Sie Elemente oder das Verhältnis zwischen Elementen messen. Weitere Informationen zur Berechnung von Merkmalen finden Sie unter "Merkmale für Elemente erstellen".

Siehe auch:

Merkmalsformat

Verfügbare Merkmale

Analyse


Merkmalsformat

Display Menu Roadmap
Die Druckfunktionalität von PC-DMIS ist eine der leistungsfähigsten Eigenschaften des Programms. Eine Merkmal läßt sich auf viele verschiedene Arten berechnen, bis die Ergebnisse zufriedenstellend sind. Die Daten erscheinen jedoch nur dann im Prüfprotokoll, wenn das Merkmal zum Drucken markiert ist.

Mit dem Befehl FORMAT können Sie mehr als ein Merkmalsformat innerhalb eines Werkstückprogramms erstellen. Bei einigen Merkmalen wollen Sie die Nennwerte möglicherweise nicht drucken.

Hinweis: Bestimmte Bereichstoleranzen haben immer den Nennwert 0, so daß sich das Drucken des Nennwerts erübrigt. Weiter unten im Werkstückprogramm möchten Sie die Nennwerte für eine andere Art von Merkmal (wie z. B. Lage oder Position) möglicherweise jedoch ausdrucken.

Mit dem Befehl FORMAT werden standardmäßig alle Spalten und Spaltenüberschriften gedruckt. Außerdem wird damit die Statistikdatei XSTATS11.TMP erstellt.

Befehlszeile im Bearbeitungsfenster:
FORMAT/ÜBERSCHRIFTEN,SYMBOL;NENNW,TOL,MESS,MAXMIN,
ABW,AUSSER_TOL

ÜBERSCHRIFTEN = Dieser Hauptbefehl bestimmt, ob für die Merkmale, die dem Befehl FORMAT folgen, über den Zahlen Spaltenüberschriften angegeben werden.

SYMBOLE = Dieser Nebenbefehl bestimmt, ob die Abweichungssymbole gedruckt werden. Dieses Feld kann ein- bzw. ausgeschaltet werden. Ein leeres Feld zeigt an, daß dieser Befehl ausgeschaltet ist.

NENNW,TOL,MESS,MAXMIN,ABW,AUSSER_TOL = Diese Nebenbefehle bestimmen, welche Spalten für die Merkmale gedruckt werden, die dem Befehl FORMAT folgen. Sie können jede Kombination dieser Spalten ein- bzw. ausschalten. Um ein Attribut auszuschalten, plazieren Sie eine Leerstelle im entsprechenden Feld. Sie können die Spalten auch in beliebiger Reihenfolge anzeigen. Geben Sie dazu den gewünschten Befehl einfach in der gewünschten Reihenfolge ein. (Die Reihenfolge wird im Dialogfeld Parameter der Merkmale numerisch angezeigt.)

Weitere Informationen finden Sie im Abschnitt "Merkmale für Elemente erstellen".


Verfügbare Merkmale

Für Informationen zum Bearbeiten der folgenden Merkmale klicken Sie auf die entsprechenden Einträge unten:

  • Lagemerkmal
  • Positionsmerkmal
  • Abstandsmerkmal
  • Merkmal Zwischenwinkel
  • Konzentrizitätsmerkmal
  • Koaxialmerkmal
  • Rundheitsmerkmal
  • Geradheitsmerkmal
  • Ebenheitsmerkmal
  • Rechtwinkligkeitsmerkmal
  • Parallelitätsmerkmal
  • Rundlaufmerkmal
  • Profilmerkmal
  • Neigungsmerkmal
  • Symmetriemerkmal
  • Eingabemerkmal


Verwenden des Bearbeitungsfensters - Merkmale - Analyse

Analyse

Informationen zum Bearbeiten der Analyseinformationen finden Sie im Abschnitt "Einfügen von Protokollbefehlen".


Statistikdaten

Informationen zum Einfügen und Bearbeiten statistischer Daten finden Sie im Abschnitt "Sammeln statistischer Daten".


Ausrichtung

Mit der Option "Ausrichtung" können Sie ein neues Koordinatensystem erstellen oder aufrufen.

Siehe auch:

Ausrichtungsbefehle

CAD gleich Werkstück

Ausrichtung angleichen


Ausrichtungsbefehle

Für weitere Informationen zur Verwendung dieser Ausrichtungsbefehle im Bearbeitungsfenster klicken Sie auf die nachfolgenden Links:

  • Ausrichtung beginnen (Befehl)
  • 2D-Besteinpassungs-Ausrichtung (Befehl)
  • 3D-Besteinpassungs-Ausrichtung (Befehl)
  • Iterative Ausrichtung (Befehl)
  • Ebenenausrichtung (Befehl)
  • Ausrichtung drehen (Befehl)
  • Ausrichtung ubertragen (Befehl)
  • Versatzausrichtung drehen (Befehl)
  • Versatzausrichtung übertragen (Befehl)
  • Ausrichtung aufrufen (Befehl)
  • Ausrichtung extern aufrufen (Befehl)
  • Ausrichtung intern aufrufen (Befehl)
  • Ausrichtung beenden (Befehl)


Verwenden des Bearbeitungsfensters - Ausrichtung - CAD gleich Werkstück

CAD gleich Werkstück

Weitere Informationen zur Nutzung des Befehls CAD gleich Werkstück im Bearbeitungsfenster finden Sie unter "Angleichen von CAD an gemessene Werkstückdaten" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".


Verwenden des Bearbeitungsfensters - Ausrichtung - Ausrichtung angleichen

Ausrichtung angleichen

Weitere Informationen zur Nutzung des Befehls Ausrichtung angleichen im Bearbeitungsfenster finden Sie unter "Angleichen einer Ausrichtung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".


Gemessene Elemente

Sie können Befehle zur Erstellung der folgenden gemessenen Elemente einfügen:

  • Gemessener Punkt
  • Gemessene Linie
  • Gemessene Ebene
  • Gemessene Kugel
  • Gemessener Zylinder
  • Gemessener Kegel
  • Gemessener Kreis

Informationen zu diesen Elementen und zu gemessenen Elementen im Allgemeinen finden Sie im Abschnitt "Erstellen von gemessenen Elementen".


Verwenden des Bearbeitungsfensters - Arbeiten im Befehlsmodus - Meßpunkte

Meßpunkte

Dieser Befehl steuert die Lage für tatsächliche Tasterberührungen an.

Siehe auch:

Basismeßpunkt

Blechmeßpunkte

Hinzufügen von Meßpunktzeilen

Löschen von Leerzeilen


Basismeßpunkt

MESSPKT/BASIS,x,y,z,i,j,k,x,y,z THEO_VERW=JA/NEIN

Dies ist das einfachste Meßpunktformat. Weitere Informationen finden Sie unter"Befehlsformat" im Abschnitt "Erstellen von gemessenen Elementen".


Blechmeßpunkte

MESSPKT/Typ,x,y,z,i,j,k,x,y,z

Typ = VEKTOR, OBERFLÄCHE, KANTE, ECKE, WINKEL

Es stehen fünf Typen von Blechmeßpunkten zur Auswahl. Diese Option steht nur dann zur Verfügung, wenn das Softwarepaket zur Blechteilmessung installiert ist (siehe "Blechmessungen").


Hinzufügen von Meßpunktzeilen

Um eine Meßpunktzeile hinzuzufügen, setzen Sie den Cursor auf die gewünschte Stelle und drücken die EINGABETASTE. Beginnen Sie durch Eingabe des Befehls MESSPKT. Drücken Sie die TABULATORTASTE. PC-DMIS fügt die neue Zeile abhängig von der Cursorposition ein. Befindet sich der Cursor inmitten eines Befehls, wird eine neue Zeile unterhalb der aktuellen Zeile erstellt. Wenn der Cursor an einer beliebigen Position innerhalb der ersten vier Zeilen steht, erstellt PC-DMIS die neue Zeile unmittelbar nach der gemessenen Zeile.


Löschen von Leerzeilen

Um eine Leerzeile zu löschen, drücken Sie die NACH-UNTEN-TASTE oder die EINGABETASTE. Die Zeile kann auch markiert und dann gelöscht werden (siehe Tastaturfunktionen des Befehlsmodus).


Bewegungsbefehle (Maschine)

Die verschiedenen Bewegungsbefehle steuern die Bewegung der Maschine. Informationen zu den verschiedenen Bewegungsbefehlen finden Sie unter "Parametereinstellungen: Registerkarte "Bewegung"" und unter "Parametereinstellungen: Registerkarte 'Optional Motion' (Optionale Bewegung)" im Abschnitt "Voreinstellungen".

Siehe auch:

Modus = MANUELL/CNC

Vorhalteabstand

Bewegungsgeschwindigkeit

Meßgeschwindigkeit

Scangeschwindigkeit

Rückfahrweg

Prüfabstand


Modus = MANUELL / CNC

Display Menu Roadmap
MODUS/MANUELL (oder CNC)

Mit diesem Befehl können Sie zwischen manuellem und CNC-Modus wählen.


Verwenden des Bearbeitungsfensters - Bewegungsbefehle (Maschine) - Vorhalteabstand

Vorhalteabstand

VORHALTEBEREICH/nnn.nnnn

Dieser Befehl bestimmt den Abstand von der theoretischen Meßpunktlage, den die Maschine in Meßgeschwindigkeit zurücklegt.


Verwenden des Bearbeitungsfensters - Bewegungsbefehle (Maschine) - Bewegungsgeschwindigkeit

Bewegungsgeschwindigkeit

BEWEGUNGSGESCHW/nnn.nnnn

Dieser Befehl ändert die Punkt-zu-Punkt-Positioniergeschwindigkeit des KMGs. Der hier eingegebene Wert (1 bis 100) entspricht einem prozentualen Anteil der maximalen Maschinengeschwindigkeit.


Verwenden des Bearbeitungsfensters - Bewegungsbefehle (Maschine) - Meßgeschwindigkeit

Meßgeschwindigkeit

BERÜHRUNGSGESCHW/nnn.nnnn

Dieser Befehl ändert die Geschwindigkeit, mit der das KMG Meßpunkte aufnimmt. Der hier eingegebene Wert ist ein prozentualer Anteil der maximalen Maschinengeschwindigkeit und darf nicht mehr als zwanzig Prozent betragen.


Scangeschwindigkeit

SCANGESCHW/nnn.nnnn

Dieser Befehl ändert die Geschwindigkeit, mit der das KMG das Werkstück abtastet. Der hier eingegebene Wert ist ein prozentualer Anteil der maximalen Maschinengeschwindigkeit.


Verwenden des Bearbeitungsfensters - Bewegungsbefehle (Maschine) - Rückfahrweg

Rückfahrweg

RÜCKFAHRWEG/nnn.nnnn

Dieser Befehl bestimmt den Abstand, den die Maschine von der aktuellen Meßpunktposition in Meßgeschwindigkeit zurückfährt, bevor sie in die Bewegungsgeschwindigkeit wechselt.


Verwenden des Bearbeitungsfensters - Bewegungsbefehle (Maschine) - Prüfabstand

Prüfabstand

PRÜFEN/nnn.nnnn,p.pp

Dieser Befehl bestimmt den Abstand hinter der theoretischen Meßpunktposition in Zoll oder Millimeter (abhängig vom Maßsystem, das ursprünglich für das Werkstückprogramm eingerichtet wurde), in dem die Maschine nach der Oberfläche weitersucht, bis sie feststellt, daß keine Oberfläche vorhanden ist.

nnn.nnnn:
Der Prüfabstand

p.pp:
Der Prozentsatz des gesamten Prüfabstands, um den sich PC-DMIS bei Durchführung einer Elementsuche bewegt. Der Standardwert 1 entspricht 100% des Prüfabstands. Folglich gilt: 0,1=10%, 0,2=20%, 0,3=30% etc. Dies funktioniert nur bei der Elementsuche.

  • Wenn PC-DMIS innerhalb des angegebenen Prüfabstands eine Oberfläche findet, wird ein Meßpunkt aufgenommen.
  • Wird keine Oberfläche gefunden, zeigt PC-DMIS in einer Fehlermeldung an, daß ein unerwartetes Ende der Bewegung festgestellt wurde.

Beispiel: Wenn 7,5 mm als Prüfabstand eingegeben werden, fährt PC-DMIS 7,5 mm über die theoretische Oberfläche hinaus und sucht nach einer Oberfläche zum Aufnehmen des Meßpunkts.

Weitere Informationen hierzu finden Sie unter "Prüfabstand" im Abschnitt "Voreinstellungen".


Bewegungsbefehle (Taster)

Mit den unten aufgeführten Befehlen können Sie die Tasterbewegungen zwischen den Meßpunkten ändern.

  • BEWEGEN/PUNKT
  • BEWEGEN/INKREMENT
  • BEWEGEN/SICHERHEITSEBENE
  • BEWEGEN/KREISFÖRMIG
  • BEWEGEN/SYNC
  • BEWEGEN/DURCHLAUF
  • BEWEGEN/DREHTISCH
  • BEWEGEN/SICHERHEITSZONE

Diese Befehle sind im Abschnitt "Einfügen von Bewegungsbefehlen" beschrieben.


Blechmessungen

Blechmessungen sind nur als Zusatzoption zum Grundpaket der PC-DMIS-Software für geometrische Bemessungen verfügbar (Informationen hierzu finden Sie im Abschnitt "Erstellen von Auto-Elementen".) Diese Option bietet mehrere alternative Möglichkeiten zur Aufnahme von Meßpunkten. Die verschiedenen Blechfunktionen sind unten aufgeführt. Die Werte Anzahl der Meßpunkte, Reihenanzahl, Abstand und Einzug können ggf. aktualisiert werden. Die erforderliche Mindestanzahl wird als Standard angegeben.

Es stehen die folgenden Blechmessungen zur Verfügung. Für vollständige Informationen zur Nutzung der einzelnen Blechmeßfunktionen klicken Sie auf den entsprechenden Eintrag in der folgenden Liste:

  • Vektorpunkt
  • Oberflächenpunkt
  • Kantenpunkt
  • Winkelpunkt
  • Eckpunkt
  • Extrempunkt
  • Blechkreis
  • Blechzylinder
  • Kugel
  • Rechteckloch
  • Langloch
  • Ellipse
  • Kerbe
  • Kegel


Taster

Mit den folgenden Befehlen können Sie auf Optionen zugreifen, die sich auf den Taster auswirken. Sie können mit diesen Befehlen die aktuelle Tastspitze einer Tastergruppe oder die Position eines Dreh-/Schwenkkopfes ändern. Außerdem kann die Option "Tasterkompensation" je nach Bedarf ein- bzw. ausgeschaltet werden.

Siehe auch:

Taster Laden

Taster Kompensation

Lesepunkt

Tastspitze


Taster laden

TASTERLADEN/probe_file_name

Der Befehl "Taster laden" ist ein vom Benutzer editierbares Feld, über das Sie eine Datei mit kalibrierten Tastspitzen, die innerhalb des Werkstückprogramms verwendet werden sollen, laden können.


Verwenden des Bearbeitungsfensters - Taster - Tasterkompensation

Tasterkompensation

TASTERKOMP/EIN (oder AUS)

Mit dem Befehl Tasterkompensation können Sie die Tasterkompensation ein- bzw. ausschalten. Die Tasterkompensation ist dann EINgeschaltet, wenn der Befehl im Bearbeitungsfenster angezeigt wird.


Lesepunkt

M-ID= MERKM/ PUNKT, TOG1
THEO/ x, y, z, i, j, k
IST/ x, y, z, i, j, k
LESEPUNKT

Der Befehl "Lesepunkt" erstellt ein Punktelement an der aktuellen Tasterposition. PC-DMIS speichert dann die Werte des gelesenen Punktes.

Weitere Informationen hierzu finden Sie unter "Erstellen eines Lesepunkts an der Tasterposition" im Abschnitt "Erstellen von allgemeinen Elementen".


Tastspitze

TASTSPITZE/T1A0B0, SCHAFTIJK=0, 0, 1, WINKEL=0
  • SCHAFTIJK ist einfach eine andere Vektorform zur Angabe der A- und B-Winkel für die Tastspitze.
  • WINKEL gibt den Winkel an, mit dem die Tastspitzenmatrix um den Schaftvektor gedreht wird.


Kommentare

Mit dieser Option können Sie Kommentare während der Ausführung des Werkstückprogramms anzeigen oder an das Prüfprotokoll senden. Diese Kommentare werden mit der Menüoption Protokollbefehl / Kommentar erstellt. Mit der Option Kommentare einblenden können Sie innerhalb des Bearbeitungsfensters Bedienerhinweise und Kommentare im Prüfprotokoll hinzufügen, bearbeiten oder löschen. Der Befehl KOMMENTAR kann zwischen den Optionen BEDIENER, PROTOKOLL, JANEIN, DOKUMENTATION, EINGABE und AUSLESEN wechseln.

Informationen hierzu finden Sie unter "Einfügen von Programmiererkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".

Siehe auch:

Bediener

Protokoll

Eingabe

Dokument

Ja / Nein

Auslesen


Verwenden des Bearbeitungsfensters - Kommentare - Bediener

Bediener

Diese Option zeigt während der Ausführung des Werkstückprogramms eine benutzerdefinierte Meldung an. Zur Verwendung dieser Option klicken Sie in der Menüleiste auf Protokollbefehl | Kommentar und schalten auf BEDIENER, oder geben Sie im Bearbeitungsfenster an der gewünschten Position den Befehl KOMMENTAR/BEDIENER ein. Geben Sie den gewünschten Text ein. (Der Text kann beliebig lang sein.) Klicken Sie auf OK (oder drücken Sie die EINGABETASTE), wenn Sie die Kommentare fertig erstellt haben. Wenn PC-DMIS das Werkstückprogramm ausführt, werden die zuvor eingegebenen Kommentare in einer Meldung angezeigt. Klicken Sie auf OK, um das Meldungsfeld zu schließen.

Wenn Sie die Taste F9 drücken, während sich der Cursor in einer KOMMENTAR/BEDIENER-Befehlszeile befindet, erscheint das Dialogfeld Kommentare, in dem Sie die angezeigte Meldung ändern können.

Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/BEDIENER, Kommentartext


Verwenden des Bearbeitungsfensters - Kommentare - Protokoll

Protokoll

Mit dieser Option können Sie Text an das Prüfprotokoll senden. Zur Verwendung dieser Option klicken Sie in der Menüleiste auf Protokollbefehl | Kommentar und schalten auf PROTOKOLL, oder geben Sie im Bearbeitungsfenster an der gewünschten Position den Befehl KOMMENTAR/PROTOKOLL ein. Geben Sie den gewünschten Text ein. (Der Text kann beliebig lang sein.) Klicken Sie auf OK (oder drücken Sie die EINGABETASTE), wenn Sie die Kommentare fertig erstellt haben. Während der Ausführung des Werkstückprogramms in PC-DMIS werden diese Meldungen nicht angezeigt. PC-DMIS sendet diese Kommentare jedoch an das Prüfprotokoll, wenn es gedruckt wird.

Wenn Sie die Taste F9 drücken, während sich der Cursor in einer KOMMENTAR/PROTOKOLL-Befehlszeile befindet, erscheint das Dialogfeld Kommentare, in dem Sie die angezeigte Meldung ändern können.

Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/PROTOKOLL, Kommentartext


Verwenden des Bearbeitungsfensters - Kommentare - Eingabe

Eingabe

Mit dieser Option können Sie, ähnlich wie mit der Option "BEDIENER", während der Ausführung eines Werkstückprogramms Text anzeigen. Zusätzlich zur Anzeige der Meldung mit dem zuvor eingegebenen Text blendet diese Option jedoch ein Kommentarfeld ein. Auf diese Weise können Sie numerische Daten eingeben, die in das Prüfprotokoll geschrieben werden. Zur Verwendung dieser Option klicken Sie in der Menüleiste auf Protokollbefehl | Kommentar und schalten auf EINGABE, oder geben Sie im Bearbeitungsfenster an der gewünschten Position den Befehl KOMMENTAR/EINGABE ein. Geben Sie den gewünschten Text ein. Die Eingabe des Bedieners wird der Kommentar-ID zugewiesen, so daß in Ausdrücken auf sie Bezug genommen werden kann (z. B. K1.EINGABE).

Wenn Sie die Taste F9 drücken, während sich der Cursor in einer KOMMENTAR/EINGABE-Befehlszeile befindet, erscheint das Dialogfeld Kommentare, in dem Sie die angezeigte Meldung ändern können.

Befehlszeile im Bearbeitungsfenster:
Kommentar-ID = KOMMENTAR/EINGABE, Kommentartext


Verwenden des Bearbeitungsfensters - Kommentare - Dokument

Dokument

Mit dieser Option können Sie Text zum internen Programm hinzufügen. Dieser Text wird während der Ausführung des Werkstückprogramms nicht angezeigt.

Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/DOKUMENT, Kommentartext


Verwenden des Bearbeitungsfensters - Kommentare - Ja/Nein

Ja/Nein

Mit dieser Option können Sie während der Ausführung eines Werkstückprogramms Text anzeigen. Das Meldungsfeld zeigt den zuvor eingegebenen Text zusammen mit den Schaltflächen JA und NEIN an. Die Antwort auf die JA/NEIN-Frage erscheint im Werkstückprogramm. Der Text "JA" bzw. "NEIN" wird der Kommentar-ID zugewiesen, auf die Sie in Ausdrücken Bezug nehmen können (z. B. K1.EINGABE).

Befehlszeile im Bearbeitungsfenster
Kommentar-ID = KOMMENTAR/JANEIN, Kommentartext


Verwenden des Bearbeitungsfensters - Kommentare - Auslesen

Auslesen

Mit dieser Optionen können Sie Text im Taster-Anzeigefensters anzeigen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/AUSLESEN,Kommentartext

(Weitere Informationen zum Einrichten dieser Option finden Sie unter "Ergebnisanzeige" im Abschnitt "Einfügen von Protokollbefehlen".)


Überwachungsfelder

Mit der Option Überwachungsfeld können Sie im Bearbeitungsfenster Überwachungsfelder einrichten. Diese Informationen sind nützlich für die STATISTIK-Datenbank (siehe Datei XSTATS11.TMP). Der Name und der aktuelle Wert des Felds können im Bearbeitungsfenster geändert werden. Markieren Sie hierzu das zu ändernde Feld und geben Sie einen neuen Wert ein.

Um das Dialogfeld Überwachungsfeld einzublenden, wählen Sie die Menüoption Überwachungsfeld.

Display Menu Roadmap
Befehlszeile im Bearbeitungsfenster:
ÜBERWACHUNGSFELD/Feldname: Wert

Feldname = Zeichenfolge, die den Namen des Überwachungsfelds darstellt. Der Feldname ist auf eine Länge von höchstens 15 Zeichen begrenzt.

Wert = der aktuelle Wert des Überwachungsfelds. Der Wert darf höchstens 15 Zeichen umfassen.


Ausdrücke

Display Menu Roadmap
In die meisten editierbaren Felder von PC-DMIS können Ausdrücke eingefügt werden. Informationen hierzu finden Sie im Abschnitt "Verwenden von Ausdrücken und Variablen".


Bildschirmkopien

Display Menu Roadmap
Mit dem Befehl ANZEIGE können Sie die den Teil des Bildschirms kopieren, der die Grafikanzeige enthält, und einen Befehl zu dessen Darstellung im Prüfprotokoll einfügen. Diese Darstellung ist auch auf in gedruckter Version verfügbar und wird bei jeder Ausführung des Werkstückprogramms aktualisiert.

Befehlszeile im Bearbeitungsfenster:
ANZEIGE / METADATEI, "___"

___ = In diesem Feld können Sie eine Beschreibung für die Bildschirmkopie eingeben. Der Text darf höchstens 255 Zeichen lang sein.

Beachten Sie bitte, daß das Kontrollkästchen Zeige Bildschirmkopien in der Registerkarte Protokoll des Dialogfelds Layout des Bearbeitungsfensters markiert worden sein muß, um die Bildschirmkopien im Prüfprotokoll sehen zu können. Siehe das Thema "Anzeigeoptionen für den Protokollmodus" im Abschnitt "Voreinstellungen".


Globale Befehle

Die nachstehende Tabelle enthält die Liste der globalen Befehle, die im Bearbeitungsfenster zur Verfügung stehen. Sie können diese Befehle zwar nicht ändern, im Bearbeitungsfenster jedoch die Nebenbefehle zu diesen Hauptbefehlen auswählen.

So wählen Sie die Nebenbefehle aus:

  1. Setzen Sie den Cursor im Bearbeitungsfenster auf einem Nebenbefehl.
  2. Klicken Sie mit der linken Maustaste.
  3. Drücken Sie F7 oder F8. Dadurch können Sie zwischen den verfügbaren Optionen umschalten.

Diese Liste dient als umfassende Übersicht der Befehle, die einem Werkstückprogramm hinzugefügt werden können. Weitere Informationen entnehmen Sie bitte den einzelnen Abschnitten.

Hinweis: PC-DMIS unterstützt in den Zeilen des Bearbeitungsfensters maximal 280 Zeichen.

HAUPTBEFEHL | NEBENBEFEHL
2DWINKEL (siehe "Merkmal von Zwischenwinkeln") | A
2DABSTAND (siehe "Merkmal von Abstand") | M
3DWINKEL (siehe "Merkmal von Zwischenwinkeln") | A
3DABSTAND (siehe "Merkmal von Abstand") | M
AUSRICHTUNG (siehe "Erstellen und Verwenden von Ausrichtungen") | BE2D, BE3D, WIEDERH, EBENE, DREHEN, ÜBERTR, VERSATZ_DREHEN, ÜBERTRVERSATZ, AUFRUFEN, AUFRUFEN_EXTERN
NEIGUNG (siehe "Merkmal von Neigungen") | M
ANALYSEANSICHT (siehe "Analyse") |
ARRAY-INDIZES (siehe "Arrays") |
ZUWEISEN (siehe "Verwenden von Variablen mit Ausdrücken") |
ANHÄNGEN (siehe "IDs für Elemente innerhalb von Unterprogrammen, BASIC-Skripts oder externen Programmen") |
AUTO (siehe "Blechmessungen") | VEKTORPUNKT, OBERFLÄCHENPUNKT, KANTENPUNKT, ECKPUNKT, WINKELPUNKT, EXTREMPUNKT, KUGEL, KREIS, ZYLINDER, RECHTECKLOCH, LANGLOCH, KEGEL, ELLIPSE, KERBE
AUTOM_AUSLÖSER (siehe "Parametereinstellungen: Registerkarte "Taster-Auslöseroptionen"") |
CAD GLEICH WERKSTÜCK (siehe "CAD gleich Werkstück") |
BERECHNUNG |
UNTERPROGAUFR (siehe "Aufrufen eines Unterprogramms") |
CASE (siehe "Case / End Case") |
PRÜFEN (siehe "Prüfabstand") |
SICHEBENE (siehe "Parametereinstellungen: Registerkarte "Sicherheitsebene"") | "ARBEITSEBENENWERT"
KLEMM (siehe "Klemmwert") |
SPALTE132 (siehe "Merkmale") |
KOMMENTAR (siehe "Kommentare") | BEDIENER, PROTOKOLL
KONZENTRIZITÄT (siehe "Merkmal von Konzentrizität") | M
KONST (siehe "Konstruierte Elemente") | KREIS, KEGEL, KURVE, ZYLINDER, ELLIPSE, LINIE, EBENE, PUNKT, SATZ, OBERFLÄCHE, KUGEL
DEFAULT_CASE (siehe "Default Case / End Default Case") |
ANZEIGE (siehe "Bildschirmkopien") | METADATEI
DO (siehe "Do / Until") |
ELSE (siehe "Else / End Else") |
END_ELSEIF (siehe "Else If / End Else If") |
ELSE_IF (siehe "Else If / End Else If") |
END_CASE (siehe "Case / End Case") |
END_DEFAULTCASE (siehe "Default Case / End Default Case") |
END_ELSE (siehe "Else / End Else") |
END_IF (siehe "If / End If"). |
END_SELECT (siehe "Select / End Select") |
END WHILE (siehe "While / End While") |
ENDEUNTERPROG (siehe "Beenden eines Unterprogramms") |
ANGLEICHEN (siehe "Ausrichtung angleichen") |
EXTERNERBEFEHL (siehe "Einfügen eines externen Befehls") |
DATEI (siehe "Verwenden der Datei-Eingabe/-Ausgabe") | ÖFFNEN, BEWEGEN, VORHANDEN, DIALOGFELD, LÖSCHEN, KOPIEREN, SCHLIESSEN, ZEICH_SCHREIB, BLOCK_SCHREIB, ZEILE_SCHREIB, POS_SPEICHERN, RÜCKLAUF, POS_AUFRUFEN, LESEN_BIS, ZEICH_LESEN, BLOCK_LESEN, ZEILE_LESEN
EBENHEIT (siehe "Merkmal von Ebenheit") | M
FLY (siehe "FLY-Modus") |
VORSCHUB (siehe "Einfügen eines Seitenvorschubbefehls") |
FORMAT (siehe "Merkmalsformat") | ÜBERSCHRIFTEN,STAT
NUR_SPALTMASS (siehe "Lage-Merkmal") | EIN
ALLGEMEIN Erstellen eines allgemeinen Elements") | PUNKT, EBENE, KEIN, LINIE, ZYLINDER, KEGEL, KREIS, RECHTECKLOCH, KUGEL, LANGLOCH
GEHEZU (siehe "Springen zu einer Sprungmarke") |
MESSPKT (siehe "Meßpunkte") | BASIC, WINKEL, VEKTOR, OBERFLÄCHE, 001KANTE, ECKE
IF (siehe "If / End If") |
EINGABEWERT (siehe "Merkmal mit Hilfe von Tastatureingaben") | M
MARKE (siehe "Erstellen von Etiketten") |
LEITZTASTER |
TASTERLADEN (siehe "Taster laden") | "DATEINAME"
LAGE (siehe "Lage-Merkmal") | A, D, M, PA, PR, R, T, X, Y, Z
SCHLEIFE (siehe "Erstellen allgemeiner Schleifen") | ANFANG, ENDE
MESS (siehe "Gemessene Elemente") | KREIS, KEGEL, KURVE, ZYLINDER, LINIE, EBENE, PUNKT, SATZ, LANGLOCH, KUGEL
MODUS (siehe "Manueller/CNC-Modus") | CNC, MANUELL
BEWEGEN (siehe "Bewegungsbefehle (Taster)") | PUNKT, DREHTISCH, KREISFÖRMIG, SICHERHEITSEBENE, INKREMENT, PHx (X,Y,Z)
BEWEGUNGSGESCHW (siehe "Bewegungsgeschwindigkeit") | in % der Gesamt-Maschinengeschwindigkeit
BEI_FEHLER (siehe "Verzweigung bei einem KMG-Fehler") | UNERWARTETER_MESSPKT, TASTER_VERFEHLG
OPTIONMOTION (OPT_BEWEGUNG) (siehe "Parametereinstellungen: Registerkarte "Optionale Bewegung"") |
PARALLELITÄT (siehe "Merkmal von Parallelität") | M
PD |
RECHTWINKLIGKEIT (siehe "Merkmal von Rechtwinkligkeit") | M
VORHALTEBEREICH (siehe "Vorhaltebereichsabstand") | "Abstand"
TASTERKOMP (siehe "Tasterkompensation") | "EIN, AUS"
PROFIL (siehe "Merkmal von Profilen"). |
PROGRAMM | "ENDE" beendet Programm an der Befehlsposition
LESEPUNKT (siehe "Lesepunkt") | "xyz-Wert der Tasterlage"
AUFRUFEN (siehe "Aufrufen einer vorhandenen Ausrichtung") | ANSICHTENSATZ, AUSRICHTUNG (INTERN/EXTERN)
RÜCKFAHRWEG (siehe "Rückfahrweg") | "Abstand"
NURRETROLINEAR (siehe "Lageoptionen") | EIN, AUS
RMESS (siehe "Rel. Messung"). |
RUNDHEIT (siehe "Merkmal von Rundheit") | M
RS |
RT |
RUNDLAUF (siehe "Merkmal von Rundlauf") | M
S |
SPEICHERN (siehe "Speichern einer Ausrichtung") | AUSRICHTUNG
SCANGESCHW (siehe "Scangeschwindigkeit") | in % der Gesamt-Maschinengeschwindigkeit
SKRIPT (siehe "Einfügen von BASIC-Skripts") |
SELECT (siehe "Select / End Select") |
STAT (siehe "Verfolgen statistischer Daten") | EIN, AUS
GERADHEIT (siehe "Merkmal von Geradheit"). | M
UNTERPROGRAMM (siehe "Verzweigung bei Unterprogrammen") |
TASTSPITZE (siehe "Tastspitze") | "Dateiname"
TEMPKOMP (siehe "Temperaturkompensation") |
MESSGESCHW (siehe "Messgeschwindigkeit in %") | "in % der Gesamt-Maschinengeschwindigkeit"
ÜBERWACHUNGSFELD (siehe "Überwachungsfelder") | (Feldname: Wert)
POSITION (siehe "Merkmal Position") | A, D, M, PA, PR, R, T, V, X, Y, Z
UNTIL (siehe "Do / Until") |
WHILE (siehe "While / End While") |
ARBEITSEBENE (siehe "Liste 'Arbeitsebene'") | OBEN, HINTEN, UNTEN, VORNE, LINKS, RECHTS


Tastaturfunktionen des Befehlsmodus

Die folgende Tabelle führt die verschiedenen Tastaturfunktionen auf, die im Befehlsmodus des Bearbeitungsfensters verfügbar sind.

Taste(n) | Funktion
ALT + F3 | Blendet das Dialogfeld Suchen ein.
UMSCHALT+TAB, STRG+NACH-LINKS-Taste | Bewegt den Cursor rückwärts zum letzten benutzereditierbaren Feld.
STRG | Klicken Sie mit der linken Maustaste auf das gewünschte Element im Grafikfenster. PC-DMIS bewegt den Cursor auf die entsprechende Elementszeile im Bearbeitungsfenster. Mit STRG + Doppelklick auf ein Element wird das gesamte Element ausgewählt.
STRG + A | Markiert alle Textelemente innerhalb des Fensters.
STRG + C | Kopiert Text oder Objekte in die Zwischenablage. Wenn der Text eines einzelnen Felds markiert ist, wird dieser Text in die Zwischenablage kopiert. Wenn mehr als ein Feld markiert ist, wird das gesamte Objekt in die Zwischenablage kopiert.
STRG + E | Führt ausgewählte Elemente (oder das Element, an dem sich der Cursor befindet) aus.
STRG + ENDE | Bewegt den Cursor an das Ende des Werkstückprogramms.
STRG + TAB | Minimiert das Bearbeitungsfenster oder stellt dessen Originalgröße wieder her.
STRG + POS1 | Bewegt den Cursor an den Anfang des Werkstückprogramms.
STRG+BILD-AB-Taste | Bewegt den Cursor an das Ende der Datei.
STRG+BILD-AUF-Taste | Bewegt den Cursor an den Anfang der Datei.
STRG + Q | Blendet das Dialogfeld Ausführen ein, in dem Sie das Werkstückprogramm ausführen können.
STRG+T | Weist dem ausgewählten aktiven Meßarm den aktuellen Befehl zu.
STRG + V | Fügt den Inhalt der Zwischenablage an der Einfügemarke ein. Wenn nur Text kopiert wurde, versucht PC-DMIS, den Text einzufügen. Wenn ein gesamtes Objekt kopiert wurde, versucht PC-DMIS, das gesamte Objekt einzufügen. Wenn die Einfügemarke im zweiten Fall im Bearbeitungsfenster in der ersten Spalte der ersten Zeile eines Befehls steht, wird das Objekt aus der Zwischenablage vor diesem Objekt eingefügt. In allen anderen Fällen wird hinter dem Objekt eingefügt.
STRG + X | Schneidet markierte Zeichen aus.
STRG + Y | Zeigt das Dialogfeld Ausführen an und setzt eine unterbrochene Ausführung wieder fort.
LÖSCHEN oder RÜCK-Taste | Löscht alle markierten Zeichen. Wenn nichts markiert ist, funktionieren beide Tastaturbefehle wie in einem gewöhnlichen Editor.
Doppelklick | Wenn sich der Cursor auf einem editierbaren Feld befindet, kann dieses Feld durch einen Doppelklick mit der linken Maustaste hervorgehoben werden.
NACH-UNTEN-TASTE | Bewegt den Cursor eine Zeile nach unten.
F1 | Das entsprechende Hilfethema für den Befehl erscheint.
F2 | Fügt einen Ausdruck ein.
F3 | Markiert ein Element zur Ausführung. Es können mehrere Elemente gleichzeitig markiert werden, wenn die gewünschten Elemente vor der Auswahl dieses Befehls hervorgehoben wurden.
F4 | Druckt den gesamten Inhalt des Bearbeitungsfensters.
F5 | Öffnet das Dialogfeld Setup-Optionen.
F6 | Blendet das Dialogfeld Alle Schriftarten ändern ein.
F7 | Wenn der Cursor in einem Umschaltfeld steht, schaltet dieser Befehl den Eintrag im Feld vorwärts zum nächsten alphabetischen Eintrag in der Liste der zulässigen Einträge. Ist das Ende der Liste erreicht, geht PC-DMIS automatisch zum ersten Eintrag in der Liste.
F8 | Wenn der Cursor in einem Umschaltfeld steht, schaltet dieser Befehl den Eintrag im Feld rückwärts zum letzten zulässigen alphabetischen Eintrag. Ist der Anfang der Liste erreicht, geht PC-DMIS automatisch zum letzten Eintrag in der Liste.
F9 | Blendet das Dialogfeld für den Befehl ein, auf dem der Cursor positioniert ist, wenn die Taste gedrückt wird.
F10 | Blendet das Dialogfeld Parametereinstellungen ein.
F12 | Blendet das Dialogfeld Vorrichtung einrichten ein.
NACH-LINKS-PFEIL | Bewegt den Cursor ein Zeichen nach links.
BILD-AB-Taste | Bewegt den Cursor eine Seite nach unten.
BILD-AUF-Taste | Bewegt den Cursor eine Seite nach oben.
NACH-RECHTS-TASTE | Bewegt den Cursor ein Zeichen nach rechts.
Umschalttaste | Wenn die UMSCHALTTASTE beim Betätigen von Pfeiltasten gedrückt gehalten wird, werden die Textelemente während der Cursorbewegung hervorgehoben. Mit UMSCHALT + Doppelklick auf einem Anfangs- oder Endelement eines Blocks wird der gesamte Block ausgewählt.
UMSCHALT + F10 | Blendet das Dialogfeld Gehe zu ein.
Tab+Strg+NACH-RECHTS-Taste | Bewegt den Cursor vorwärts zum nächsten benutzereditierbaren Feld.
NACH-OBEN-TASTE | Bewegt den Cursor eine Zeile nach oben.
- (Minustaste) oder ALT + "-" (Minus) | Entfernt den letzten Meßpunkt aus dem Meßpunktpuffer.
ENDE | PC-DMIS fügt das gemessene Element in das Werkstückprogramm ein.


Arbeiten im Protokollmodus

Display Menu Roadmap
Symbol Vollständiges Protokoll

Symbol Protokoll der letzten Ausführung

Durch Auswahl des Symbols Vollständiges Protokoll oder des Symbols Protokoll der letzten Ausführung wird das Bearbeitungsfenster in den Protokollmodus versetzt. In diesem Modus können Sie alle Informationen ansehen, die im Prüfprotokoll angezeigt werden.

  • Bei Auswahl des Symbols Vollständiges Protokoll werden alle Einträge aller Ausführungen des Werkstückprogramms angezeigt. Wenn Sie das Werkstückprogramm schließen, speichert PC-DMIS diese Informationen zur späteren Verwendung.
  • Bei Auswahl des Symbols Protokoll der letzten Ausführung werden nur die Einträge angezeigt, die während der letzten Ausführung des Werkstückprogramms ausgeführt wurden. Die Informationen bleiben nur so lange in diesem Protokoll, bis das Werkstückprogramm geschlossen wird. Wenn Sie das Werkstückprogramm schließen, löscht PC-DMIS dieses Protokoll.

Im Protokollmodus können Sie keine Elemente oder Befehle durch Eingaben bearbeiten. In manchen Fällen können Sie jedoch F9 drücken, um das Dialogfeld des Elements zu öffnen und die Änderungen dort vornehmen.

  • Informationen zu den Einträgen, die in den Textprotokollen angezeigt werden, finden Sie unter "Anzeigeoptionen für den Protokollmodus" im Abschnitt "Voreinstellungen".
  • Informationen zum Einfügen von Protokollbefehlen in Werkstückprogramme finden Sie im Abschnitt "Einfügen von Protokollbefehlen".
  • Informationen zum Drucken Ihrer Protokollen finde Sie unter "Drucken aus dem Bearbeitungsfenster" im Abschnitt "Verwenden von grundlegenden Dateioptionen".
  • Informationen zum Erstellen und Verwenden von HyperView-Reports finden Sie im Abschnitt "Erstellen von HyperView-Reports".


Arbeiten im DMIS-Modus

Display Menu Roadmap

Durch Auswahl des Symbols DMIS-Modus werden die Befehle des Bearbeitungsfensters im DMIS-Format angezeigt. Das bedeutet, daß Sie die DMIS-Syntax verwenden können, um Werkstückprogramme zu bearbeiten.

Die meisten Befehle und Elemente, die Sie Werkstückprogrammen im Befehlsmodus hinzufügen können, können auch im DMIS-Modus hinzugefügt werden. Informationen zum Einfügen oder Bearbeiten von Befehlen im DMIS-Modus finden Sie unter "Basiskonzepte".

  • Informationen, wie DIMS-Befehle (Standardbefehlsformat von PC-DMIS) in DMIS-Befehle umgesetzt werden, finden Sie im Dokument PC-DMIS Support Documentation for DMIS unter: ftp://wilcoxassoc.com/docs/dmis_support.zip.
  • Informationen über DMIS finden Sie unter http://www.dmis.com.


Using Other Windows, Editors, and Tools

Verwenden des Voransichtsfensters

Verwenden des Taster-Anzeigefensters

Verwenden der Taster-Werkzeugleiste

Verwenden des Statusfensters

Verwenden des BASIC-Skripteditors

Verwenden des Fensters mit Markierunggruppen

Arbeiten mit dem Hyperview-Protokolleditor

Anzeigen eines Prüfprotokolls

Verwenden der Virtuellen Tastatur

Anzeigen von Bahngeraden


Arbeiten mit anderen Fenstern, Editoren und Werkzeugen : Überblick

Arbeiten mit anderen Fenstern, Editoren und Tools: Überblick

PC-DMIS stellt eine Reihe von Fenstern, Editoren und anderen Hilfsmitteln zur Verfügung, mit denen Sie die Werkstückprogrammierung einfacher und produktiver gestalten können. Dazu gehören:

  • Das Bearbeitungsfenster, das bereits unter "Verwenden des Bearbeitungsfensters" behandelt wurde.
  • Ein Voransichtsfenster, das Ihnen eine Voransicht der Messungen bietet, bevor Sie diese akzeptieren..
  • Ein Taster-Anzeigefenster, das die aktuelle Tasterpostion und anderen Informationen anzeigt.
  • Eine Taster-Werkzeugleiste, über die Tastermanipulationen durchgeführt werden können.
  • Ein Statusfenster, das den aktuellen Status eines Vorgangs im Grafikfenster anzeigt.
  • Ein Skripteditor, mit dem Sie Skripts in der Programmiersprache BASIC erstellen können.
  • Ein Fenster, in dem Markierungsgruppen von Elementen zur künftigen Ausführung erstellt und gespeichert werden können.
  • Einen Hyperreport-Editor, mit dem Sie Hyperreports erstellen können.
  • Einen Prüfprotokoll-Editor, der einen schnellen Blick auf automatisch erstellte Prüfberichte erlaubt sowie die Durchführung kleiner Änderungen an der Darstellung.
  • Eine benutzerdefinierte Virtuelle Tastatur, die anstelle der tatsächlichen Tastatur verwendet werden kann.

In diesem Abschnitt wird erläutert, wie Sie diese verschiedenen Werkzeuge aufrufen und einsetzen können. In diesem Abschnitt werden folgende Hauptthemen behandelt:

  • Verwenden des Voransichtsfensters
  • Verwenden des Taster-Anzeigefensters
  • Verwenden der Taster-Werkzeugleiste
  • Verwenden des Statusfensters
  • Verwenden des BASIC-Skripteditors
  • Verwenden des Fensters mit Markierunggruppen
  • Arbeiten mit dem Hyperview-Protokolleditor
  • Anzeigen eines Prüfprotokolls
  • Verwenden der Virtuellen Tastatur
  • Anzeigen von Bahngeraden


Verwenden des Voransichtsfensters

Display Menu Roadmap
Bei Auswahl der Menüoption Voransichtsfenster wird ein Fenster geöffnet, in dem Sie die Ergebnisse einer Elementmessung anzeigen können, bevor Sie die Messung tatsächlich übernehmen. Wird nach Aufnahme von Tastermeßpunkten auf die ENDE-Taste (oder die Taste FERTIG am Bedienelement) gedrückt, zeigt PC-DMIS im Grafikfenster das Element und im Voransichtsfenster Merkmalsangaben für das Element an.

Im Voransichtsfenster werden Abweichungen von akzeptablen Toleranzen in demselben Farbschema dargestellt, wie es für Merkmale verwendet wird. Auf diese Weise läßt sich schnell feststellen, ob eine bestimmte Messung innerhalb akzeptabler Toleranzen liegt oder nicht (weitere Informationen, wie die für Merkmale verwendeten Toleranzfarben geändert werden, finden Sie unter "Bearbeiten der Merkmalsfarben" im Abschnitt "Bearbeiten der CAD-Anzeige").

Hinweis: Um festzulegen, welche Elementsangaben im Voransichtsfenster angezeigt werden, können Sie einfach den Bearbeitungsfenster-Cursor auf die Befehlszeile des gewünschten Elements im Bearbeitungsfenster plazieren. Im allgemeinen ruht der Cursor auf dem letzten Element des Bearbeitungsfensters.

Nachstehend werden die für das Voransichtsfenster verfügbaren Optionen aufgeführt.

Siehe auch:

Optionen des Voransichtsfensters

Größe des Voransichtsfensters anpassen


Optionen des Voransichtsfensters

Das Voransichtsfenster zeigt sowohl allgemeine Informationen über ein Element als auch spezifische Merkmalsangaben an.

Option | Beschreibung
ID | Dieses Feld bestimmt den Etikettennamen gemessener Elemente oder Merkmale.
StdAbw. | Dieses Feld bestimmt die Standardabweichung für das gemessene Element.
Anz. Messpkte | Dieses Feld bestimmt die Anzahl der Tastermeßpunkte, die zum Messen des Elements aufgenommen werden.
Ausblenden | Mit dieser Schaltfläche wird das Voransichtsfenster geschlossen. Zum Öffnen des Voransichtsfensters wählen Sie Datei | Voransichtsfenster.
Akzeptieren | Mit dieser Schaltfläche wird die Messung akzeptiert. Sie funktioniert nur, wenn zuvor das Kontrollkästchen Merkmal speichern markiert wurde.
Ansicht | Mit der Schaltfläche Ansicht wird das Analysefenster für das richtige Merkmal des gemessenen Elements angezeigt.
Auto Merkmal erstellen | Bei der Auswahl des Kontrollkästchens Merkmalen autom. erstellen wird für das gemessene Element eine Merkmal erstellt, sobald Sie auf Akzeptieren klicken.
ACH Diese Liste zeigt die ausgewählte Achse im Voransichtsfenster an. Folgende Achsen stehen zur Auswahl: X, Y, Z, D, R, A, T, PR , PA , M, V, L, PD, RS, RT, S, H.

Es können für bis zu sechs Achsen gleichzeitig Angaben angezeigt werden, wenn diese aus den verschiedenen ACH-Listen ausgewählt werden.

Weitere Informationen zu diesen Achsen finden Sie unter "Standardachsen" und "Blechachsen" im Abschnitt "Merkmale für Elemente erstellen".
Nennwert | Dieses Feld bestimmt die Nenn- (oder Soll-) Werte für die einzelnen Achsen.
OTOL | Dieses Feld bestimmt einen Toleranzwert über dem Nennwert, bei dem die Messung immer noch akzeptabel ist.
UTOL | Dieses Feld bestimmt einen Toleranzwert unter dem Nennwert, bei dem die Messung immer noch akzeptabel ist.
MESS | Dieses Feld bestimmt die tatsächlichen Meßwerte.
MAX | Dieses Feld bestimmt den zulässigen Höchstwert, bis zu dem die Messung die Toleranz noch nicht überschreitet.
MIN | Dieses Feld bestimmt den zulässigen Mindestwert, bis zu dem die Messung die Toleranz noch nicht überschreitet.
ABW | Dieses Feld bestimmt die Abweichung der Messung vom Nennwert.
AUSSER_TOL | Dieses Feld bestimmt, um welchen Wert der Meßwert außerhalb des Toleranzbereichs liegt.


Größe des Voransichtsfensters anpassen

Wie bei den meisten Fenstern kann die Größe des Voransichtsfensters Ihren individuellen Anforderungen angepaßt werden. Um es zu vergrößern oder zu verkleinern, ziehen Sie einfach die Fensterecke mit der Maus auf die gewünschte Größe.


Verwenden des Taster-Anzeigefensters

Display Menu Roadmap
Über den Menübefehl Taster-Anzeige können Sie die Ergebnisanzeige der aktuellen KMG-Position einsehen. Wenn diese Option gewählt wird, blendet PC-DMIS das Taster-Anzeigefenster ein. (Im Abschnitt "Verwenden der Übersichtskarte"" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen.)

Das Taster-Anzeigefenster enthält Informationen aus der Tabelle unten, abhängig von den im Dialogfeld Taster-Anzeige einrichten ausgewählten Optionen (siehe auch "Einrichten des Anzeigefensters" im Abschnitt "Voreinstellungen").

Tipp: Einfaches Öffnen des Dialogfelds Taster -Anzeige einrichten durch einen Rechtsklick auf das Taster-Anzeigefenster und das Anklicken von Setup.

Linke Spalte Beschreibung
X

Y
Z
Aktuelle XYZ-Tasterposition
LX

LY
LZ
XYZ-Position des letzten Meßpunkts
DX

DY
DZ
Abstand zur nächsten Position
EX

EY
EZ
Fehler des zuletzt gemessenen Elements
W
 Drehtischwinkel
A

B
AB Achs-Winkel (damit diese eingeblendet werden, benötigen Sie einen stufenlos verstellbaren Wrist-Taster, wie beispielsweise einen PHS oder CW43 Light etc. )
Meßpunkte
 Aufgenommene Meßpunkte

Darüber hinaus kann das Taster-Anzeigefenster weitere Textzeilen im unteren Teil des Fensters aufweisen. Dieser Text entstammt dem Kommentartyp "Taster-Anzeige". Weitere Informationen zur Anzeige dieses Kommetartyps in Ihrem Taster-Anzeigefenster finden Sie unter "Einfügen von Programmiererkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".

Sie können die Größe dieses Fensters anpassen, indem Sie den Fensterrand einfach so lange 'ziehen', bis die gewünschte Größe wurde. Wenn Sie das Symbol zur Fenstermaximierungoben rechts im Fenster anklicken, vergrößert sich das Feld auf die volle Bildschirmgröße. (Wenn Sie ein zweites Mal auf das Symbol klicken, wird die vorherige Größe des Fensters wiederhergestellt.) Damit können Sie das ausgewählte Anzeigefenster einsehen, wenn KMG und Monitor sich an verschiedenen Stellen im Raum befinden. Um das Taster-Anzeigefenster zu schließen, klicken Sie auf das X in der rechten oberen Ecke des Fensters.

Hinweis: Immer, wenn die Bildschirmposition oder Größe des Taster-Anzeigefensters geändert wird, aktualisiert PC-DMIS die entsprechenden Registrierungseinträge. Wenn die Option dann das nächste Mal aufgerufen wird, wird das Fenster wieder genau so angezeigt, wie es beim letztmaligen Aufrufen der Option eingestellt war.

Bei Geräten mit externer digitaler Ergebnisanzeige steht diese Option nicht zur Verfügung.


Verwenden der Taster-Werkzeugleiste

Display Menu Roadmap
Über die Menüoption Taster -Werkzeugleiste wird die Taster-Werkzeugleiste eingeblendet.

Guessing Round or Flat Feature Types Locking your Machine's Axes Accessing the Probe Readout Window Deleting Hits from the Hit Buffer Editing Hits in the Target List Changing the Current Probe Tip Changing the Current Probe

Taster-Werkzeugleiste

Eine besondere Taster-Werkzeugleiste für Sie, um verschiedene tasterbezogene Manipulationen vorzunehmen. Dazu gehören:

  • Umschalten zwischen vorhandenen konfigurierten Tastern und Tastspitzen
  • Ansicht der aktuellen Tasterposition
  • Zugriff auf das Taster-Anzeigefenster
  • Entfernen von Meßpunkten
  • Die X-, Y- oder Z-Achsen des Meßgeräts sperren
  • Definition von Flachen oder Runden Elementen für starre Taster

Weitere Informationen zu diesen Manipulationen finden Sie unter den nachstehend aufgeführten Themen.

Information zum Optischen Taster: Wenn Sie ein Optisches Tastsystem verwenden und die Option Optik in der Anschlußsperre aktiviert haben, werden weitere Registerkarten in der Taster-Werkzeugleiste aktiviert. Die Optionen für optische Taster werden in dieser Hilfedatei nicht behandelt. Informationen über die in dieser Werkzeugleiste verfügbaren Optionen für optische Taster finden Sie unter: "Using the Probe Toolbox in PC-DMIS Vision"" in der PC-DMIS Vision-Hilfedatei.

Siehe auch:

Positionierung und Größenanpassung der Werkzeugleiste

Wechseln des aktuellen Tasters

Wechseln der aktuellen Tastspitze

Bearbeiten von Meßpunkten in der Zielliste

Löschen von Meßpunkten aus dem Meßpunktepuffer

Öffnen des Taster-Anzeigefensters

So sperren Sie die Maschinenachsen

Erkennen von runden oder flachen Elementtypen


Positionierung und Größenanpassung der Werkzeugleiste

Ähnlich wie beim Bearbeitungsfenster oder den verschiedenen in PC-DMIS verfügbaren Werkzeugleisten können Sie die Taster -Werkzeugleiste unten, oben oder an den Seiten des Bildschirms ankoppeln oder ungekoppelt über dem Grafikfenster anzeigen. Vorgehensweise:

  1. Wählen Sie die Überschriftleiste der Werkzeugleiste mit der Maus aus.
  2. Ziehen Sie die Werkzeugleiste an die gewünschte Stelle.
  3. Lassen Sie die Maustaste wieder los. PC-DMIS setzt die Werkzeugleiste an die neue Position.

Sie können die Größe der Werkzeugleiste auch anpassen, indem Sie einen Rand der Werkzeugleiste auswählen und die Maus an eine neue Position ziehen.


Wechseln des aktuellen Tasters

Vorgehensweise, um den aktuellen Taster des Werkstückprogramms mit Hilfe der Taster-Werkzeugleiste zu wechseln:

  1. Wählen Sie die Liste Taster aus.
  2. Wählen Sie einen Taster.

PC-DMIS fügt den Befehl TASTERLADEN für den ausgewählten Taster in das Werkstückprogramm ein.


Wechseln der aktuellen Tastspitze

Vorgehensweise, um die aktuelle Tasterspitze des Werkstückprogramms mit Hilfe der Taster-Werkzeugleiste zu wechseln:

  1. Wählen Sie die Liste Tastspitzen aus.
  2. Wählen Sie eine neue Tastspitze.

PC-DMIS fügt den Befehl TASTSPITZELADEN für den ausgewählten Taster in das Werkstückprogramm ein.


Bearbeiten von Meßpunkten in der Zielliste

So bearbeiten Sie den aktuellen Meßpunkt mit Hilfe der Taster -Werkzeugleiste:

  1. Wählen Sie den X-, Y- oder Z-Wert eines Meßpunkts durch einen Doppelklick aus der Zielliste aus.
  2. Geben Sie einen neuen Wert in die entsprechende Spalte ein.
  3. Drücken Sie die EINGABETASTE.


Löschen von Meßpunkten aus dem Meßpunktpuffer

Um mit Hilfe der Taster -Werkzeugleiste einen Meßpunkte aus dem Meßpunktpuffer zu löschen, klicken Sie auf das Symbol Meßpunkt entfernen. Wenn das Taster-Anzeigefenster geöffnet ist, werden Sie feststellen, daß der Meßpunkt aus der Meßpunktsparte des Fensters entfernt wird. (Weitere Informationen finden Sie unter "Entfernen oder Löschen von Meßpunkten" im Abschnitt "Erste Schritte mit dem Lernprogramm.)


Öffnen des Taster-Anzeigefensters

Um das Taster-Anzeigefenster von der Taster-Werkzeugleiste aus zu öffnen, klicken Sie auf das Symbol Taster-Anzeige. Weitere Informationen zum Taster-Anzeigefenster finden Sie unter Verwenden des Taster-Anzeigefensters.


So sperren Sie die Maschinenachsen

Um Bewegungen in einer oder mehreren Achsen des Messgeräts zu verhindern, wählen Sie die entsprechenden Symbole zur Achsenblockierung aus der Taster -Werkzeugleiste aus.

Wenn Sie beispielsweise die Bewegung der Z-Maschinenachse blockieren wollen, wählen Sie das Symbol Sperre Z-Achse. Sie können dann eine beliebige Stelle auf dem CAD anklicken und das Meßgerät wird sich frei auf der XY-Ebene bewegen, während keine Bewegungen in die Z-Richtungen erfolgen.


Erkennen von runden oder flachen Elementtypen

Im Gegensatz zu anderen Tastertypen, die in PC-DMIS eingesetzt werden, können starre Taster nicht automatisch den richtigen Elementtyp feststellen, wenn sie das Werkstück berühren. Die Symbole Elementerkennung Flach und Elementerkennung Rund der Taster-Werkzeugleiste unterstützen PC-DMIS bei der Erkennung des richtigen gemessenen Elementtyps.

Klicken Sie entweder auf das Symbol Elementerkennung Rund icon oder auf das Symbol Elementerkennung Flach . PC-DMIS interpretiert die Meßpunkte auf Basis der ausgewählten Symbole und hat damit bessere Chancen, den gewünschten Elementtyp zu erkennen.

  • Flache Elemente kennzeichnen Elemente mit nur zwei Dimensionen: Punkte, Ebenen, Linien, Kreise etc.
  • Runde Elemente kennzeichnen Elemente mit einer dritten Dimensionen: Zylinder, Kugeln, Kegel etc.

Wichtig: Die Symbole Elementerkennung Flach und Elementerkennung Rund stehen nur zur Auswahl, wenn ein ordnungsgemäß definierter starrer Taster verwendet wird. Weitere Informationen zur Einrichtung eines starren Tasters finden Sie unter "Definieren von starren Tastern" im Abschnitt "Definieren von Hardware".


Verwenden des Statusfensters

Display Menu Roadmap
Mit der Menüoption Statusfenster wird das gleichnamige Fenster eingeblendet. Es handelt sich um ein größenveränderbares, bewegliches und ankoppelbares Fenster, das einige derselben Informationen anzeigt, wie der Nachrichtenteil der PC-DMIS-Statusleiste. Dies ist hilfreich, wenn Sie in einiger Entfernung vom Computer arbeiten und den aktuellen Status prüfen müssen.


Verwenden des BASIC-Skripteditors

Display Menu Roadmap
Der BASIC-Skripteditor dient zum Erstellen und Bearbeiten von BASIC-Skripts, die während der Programmausführung in BASIC-Skriptobjekten oder über die Symbolleiste BASIC-Skripteditor verwendet werden können.

Bei Auswahl der Menüoption BASIC-Skripteditor wird der Basic-Skripteditor geöffnet, und die Hauptmenüleiste von PC-DMIS wird durch die folgenden Menüs ersetzt: Datei, Bearbeiten, Ausführen und Hilfe. Sie können die normale Menüleiste von PC-DMIS wiederherstellen, indem Sie den Basic-Skripteditor minimieren oder schließen.

Der Basic-Skripteditor umfaßt die folgenden Menüs:

  • BASIC-Skripteditor-Symbolleiste
  • Menü Datei
  • Menü Bearbeiten
  • Menü Ausführen
  • Menü Hilfe

Siehe auch:

Basic-Skripteditor-Symbolleiste

Menü Datei

Menü Bearbeiten

Menü Ansicht

Menü Ausführen

Menü Hilfe


BASIC-Skripteditor-Symbolleiste

Start Compile Undo Paste Copy Cut Find Print Preview Print Save Open New

Die BASIC-Skripteditor-Symbolleiste unterstützt die folgenden Funktionen:

Siehe auch:

Neu

Öffnen

Speichern

Drucken

Seitenansicht

Suchen

Ausschneiden

Kopieren

Einfügen

Rückgängig

Kompilieren

Starten


Arbeiten mit anderen Fenstern, Editoren und Tools - Basic-Skripteditor-Symbolleiste - Neu

Neu

Mit dieser Schaltfläche können Sie im Editor ein neues BASIC-Skript erstellen.


Arbeiten mit anderen Fenstern, Editoren und Tools - Basic-Skripteditor-Symbolleiste - Öffnen

Öffnen

Diese Schaltfläche blendet das Dialogfeld Datei öffnen ein, über das Sie ein vorhandenes BASIC-Skript im Editor öffnen können.


Arbeiten mit anderen Fenstern, Editoren und Tools - Basic-Skripteditor-Symbolleiste - Speichern

Speichern

Diese Schaltfläche speichert das aktuelle BASIC-Skript. Wenn Sie das aktuelle Skript noch nicht benannt haben, werden Sie im eingeblendeten Dialogfeld Speichern unter zur Angabe des gewünschten Skriptnamens aufgefordert.


Arbeiten mit anderen Fenstern, Editoren und Tools - Basic-Skripteditor-Symbolleiste - Drucken

Drucken

Über diese Schaltfläche wird das aktuelle BASIC-Skript gedruckt.


Arbeiten mit anderen Fenstern, Editoren und Tools - Basic-Skripteditor-Symbolleiste - Seitenansicht

Seitenansicht

Mit dieser Schaltfläche können Sie sich im Fenster der Seitenansicht ansehen, wie das aktuelle BASIC-Skript beim Drucken aussieht.


Arbeiten mit anderen Fenstern, Editoren und Tools - Basic-Skripteditor-Symbolleiste - Suchen

Suchen

Mit dieser Schaltfläche können Sie im aktuellen BASIC-Skript nach Text suchen.


Arbeiten mit anderen Fenstern, Editoren und Tools - Basic-Skripteditor-Symbolleiste - Ausschneiden

Ausschneiden

Diese Schaltfläche schneidet markierten Text aus und legt ihn in der Zwischenablage ab.


Arbeiten mit anderen Fenstern, Editoren und Tools - Basic-Skripteditor-Symbolleiste - Kopieren

Kopieren

Diese Schaltfläche kopiert markierten Text und legt ihn in der Zwischenablage ab.


Arbeiten mit anderen Fenstern, Editoren und Tools - Basic-Skripteditor-Symbolleiste - Einfügen

Einfügen

Diese Schaltfläche fügt aus der Zwischenablage stammenden Text an der aktuellen Einfügemarke im Editor ein.


Arbeiten mit anderen Fenstern, Editoren und Tools - Basic-Skripteditor-Symbolleiste - Rückgängig

Rückgängig

Mit dieser Schaltfläche können Sie die zuletzt vorgenommene Änderung rückgängig machen.


Kompilieren

Über das Symbol Kompilieren wird das aktuelle BASIC-Skript kompiliert (zur Ausführung auf einem Computersystem verständlich gemacht). Ein Skript muß vor der Ausführung kompiliert werden.


Starten

Mit dieser Schaltfläche wird das aktuelle BASIC-Skript kompiliert und ausgeführt.

Hinweis: Skripts, die mit Hilfe der BASIC-Befehle von PC-DMIS vom Editor ausgeführt wurden, können Objekte in das aktuelle Werkstückprogramm einfügen.


Arbeiten mit anderen Fenstern und Editoren - Verwenden Basic-Skripteditor-Symbolleiste - Menü "Datei"

Menü "Datei"

Im Menü Datei des BASIC-Skripteditors stehen folgende Befehle und Optionen zur Auswahl:

Siehe auch:

Neu

Öffnen

Speichern

Speichern unter

Drucken

Seitenansicht

Beenden

Unicode


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Datei" - Neu

Neu

Die Menüoption Datei | Neu öffnet einen neuen basic-Skripteditor, in dem Sie ein neues Skript schreiben können.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Datei" - Öffnen

Öffnen

Mit der Menüoption Datei | Öffnen können Sie ein vorhandenes Skript ansteuern und dieses öffnen. Damit Dateien im BASIC-Skripteditor angezeigt werden, müssen sie zum Dateityp *.bas gehören.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Datei" - Speichern

Speichern

Mit der Menüoption Datei | Speichern können Sie ein Skript speichern. Bei einem neuen Skript erscheint bei erstmaliger Auswahl dieser Option das Dialogfeld Speichern unter, in dem Sie einen Namen und einen Speicherort für das Skript auswählen können.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Datei" - Speichern unter

Speichern unter

Mit der Menüoption Datei | Speichern unter können Sie ein neues Skript speichern oder ein bereits vorhandenes Skript unter einem neuen Dateinamen speichern. Es erscheint das Dialogfeld Speichern unter, in dem Sie den Dateinamen und das Verzeichnis, in dem das Skript gespeichert werden soll, auswählen können.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Datei" - Drucken

Drucken

Mit der Menüoption Datei | Drucken können Sie das Skript im BASIC-Skripteditor von Ihrem Systemdrucker aus drucken.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Datei" - Seitenansicht

Seitenansicht

Wenn im Menü Datei des BASIC-Skripteditors der Befehl Drucken aktiviert ist, können Sie mit der Menüoption Datei | Seitenansicht eine Voransicht des zu sendenden Druckauftrags anzeigen.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Datei" - Beenden

Beenden

Mit der Menüoption Datei | Beenden können Sie den BASIC-Skripteditor verlassen, ohne die an den geöffneten Skripts vorgenommenen Änderungen zu speichern. Bei Auswahl von Datei | Beenden kehren Sie zur Hauptbenutzeroberfläche zurück. Die Menüleiste zeigt dann wieder die normalen PC-DMIS-Funktionen an.


Unicode

Über den Menüeintrag Datei | Unicode wird bestimmt, ob Ihr BASIC-Skript ein Unicode-Skript ist oder nicht. Wenn es sich nicht um ein Unicode-Skript handelt, interpretiert der Basic-Skripteditor das Skript als ASCII-Text.

Der Basic-Skripteditor muss das Format Ihres Skripts wissen, um es richtig anzeigen und interpretieren zu können. Über die Unicode-Formatierung kann der Editor komplexere Zeichen (wie beispielsweise chinesische und japanische Zeichen) handhaben.

Sofern Sie nicht in einer Sprache arbeiten, die Mehrwortzeichen verwendet, erübrigt sich Auswahl dieses Menüeintrags im Allgemeinen.


Menü "Bearbeiten"

Im Menü Bearbeiten des BASIC-Skripteditors stehen BASIC-Bearbeitungsfunktionen zur Handhabung des im BASIC-Skripteditor angezeigten Textes zur Auswahl.

Siehe auch:

Rückgängig

Ausschneiden

Kopieren

Einfügen

Löschen

Alles auswählen

Suchen

Weitersuchen

Ersetzen

Dialogfeldeditor


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Bearbeiten" - Rückgängig

Rückgängig

Mit der Menüoption Bearbeiten | Rückgängig können Sie die zuletzt im BASIC-Skripteditor durchgeführte Aktion rückgängig machen.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Bearbeiten" - Ausschneiden

Ausschneiden

Mit der Menüoption Bearbeiten | Ausschneiden können Sie markierten Text aus dem BASIC-Skripteditor ausschneiden. Der ausgeschnittene Text wird in der Windows-Zwischenablage gespeichert und später an einer anderen Stelle eingefügt.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Bearbeiten" - Kopieren

Kopieren

Mit der Menüoption Bearbeiten | Kopieren können Sie markierten Text kopieren. Der kopierte Text wird in der Windows-Zwischenablage gespeichert und später an einer anderen Stelle eingefügt.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Bearbeiten" - Einfügen

Einfügen

Mit dem Befehl Bearbeiten | Einfügen können Sie Text aus der Windows-Zwischenablage einfügen.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Bearbeiten" - Löschen

Löschen

Mit dem Befehl Bearbeiten | Löschen können Sie markierten Text löschen.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Bearbeiten" - Alles auswählen

Alles auswählen

Die Menüoption Bearbeiten | Alles auswählen markiert automatisch den gesamten Text im BASIC-Skripteditor. Sie können den markierten Text dann mit ausschneiden, kopieren oder löschen.


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Bearbeiten" - Suchen

Suchen

Die Menüoption Bearbeiten | Suchen blendet das Dialogfeld Suchen ein.

Mit diesem Dialogfeld können Sie im BASIC-Skripteditor nach einem bestimmten Wort oder Begriff suchen.

  • Wenn Sie das Kontrollkästchen Nur ganzes Wort suchen markieren, zeigt das Dialogfeld nur die Wörter an, die vollständig mit dem gesuchten Wort übereinstimmen.
  • Wenn Sie das Kontrollkästchen Groß-/Kleinschreibung markieren, zeigt das Dialogfeld nur diejenigen Begriffe an, die in Groß-/Kleinschreibung mit dem im Feld Suchen nach angegebenen Begriff übereinstimmen.


Weitersuchen

Durch den Befehl Bearbeiten | Weitersuchen wird im BASIC-Skripteditor nach dem nächsten Begriff weitergesucht, der den im Dialogfeld Suchen angegebenen Kriterien entspricht (siehe Bearbeiten | Suchen weiter oben).


Arbeiten mit anderen Fenstern, Editoren und Tools - Menü "Bearbeiten" - Ersetzen

Ersetzen

Die Menüoption Bearbeiten | Ersetzen blendet das Dialogfeld Ersetzen ein.

Das Dialogfeld Ersetzen ist eine Erweiterung des Befehls Bearbeiten | Suchen. Sie können damit nach einem bestimmten Begriff suchen und diesen dann durch den im Feld Ersetzen durch angegebenen Begriff ersetzen.

Über die Schaltfläche Weitersuchen wird der BASIC-Skripteditor durchsucht und der erste Begriff, der den im Dialogfeld eingegebenen Suchkriterien entspricht, eingeblendet.

Mit der Schaltfläche Ersetzen können Sie das (mittels Weitersuchen) Gefundene durch den Eintrag im Feld Ersetzen durch ersetzen.

Mit der Schaltfläche Alle ersetzen können Sie sämtliche Instanzen im BASIC-Skripteditor, die den Suchkriterien entsprechen, durch den Eintrag im Feld Ersetzen durch ersetzen.

Mit der Schaltfläche Abbrechen wird das Dialogfeld Ersetzen geschlossen.


Dialogfeldeditor

Mit der Option Bearbeiten | Dialogfeldeditor werden ein Fenster mit einem sogenannten Dialog One-Raster sowie die MasQ Enable Dialog Designer-Symbolleiste geöffnet. Diese Symbolleiste und der Raster Dialog One bieten Ihnen die erforderlichen Tools zum Entwurf von Dialogfeldern, die später für Ihre Skripts programmiert werden können.

Durch Klicken auf das "X" in der oberen rechten Ecke der MasQ Enable Dialog Designer-Symbolleiste werden diese Tools geschlossen.


Arbeiten mit anderen Fenstern, Editoren und Tools - Verwenden des Basic-Skripteditors - Menü "Ansicht"

Menü "Ansicht"

Im Menü Ansicht können Sie bestimmen, ob die Symbolleiste und/oder die Statusleiste des BASIC-Skripteditors angezeigt werden soll. Klicken Sie auf Ansicht | Symbolleiste, um die Symbolleiste ein- oder auszublenden. Klicken Sie auf Ansicht | Statusleiste, um die Statusleiste ein- oder auszublenden.

Über dieses Menü werden auch die Tabulatorpositionen festgelegt. Mit dieser Option können Sie Programmanweisungen um eine festgelegte Zeichenanzahl einrücken, wodurch sich die Lesbarkeit des Programms verbessern läßt. Wählen Sie Ansicht | Tabstops einstellen und geben Sie eine Zahl ein. Jedesmal, wenn auf die TABULATORTASTE gedrückt wird, rückt PC-DMIS den Text um die angegebene Zeichenanzahl ein. Wenn die Tabulatorpositionen beispielsweise im Abstand von jeweils fünf Zeichen angeordnet werden sollen, geben Sie in das Dialogfeld Tabstops einstellen den Wert "5" ein.


Menü "Ausführen"

Im Menü Ausführen können Sie den Befehl Kompilieren oder Starten auswählen. Mit dem Kompilierbefehl wird das Skript kompiliert und auf Syntaxfehler hin überprüft, mit dem Startbefehl wird es ausgeführt.


Menü "Hilfe"

Das Menü Hilfe bietet Ihnen Zugriff auf verschiedene Optionen, die sich bei Verwendung des BASIC-Skripteditors als hilfreich erweisen.

Siehe auch:

BASIC-Hilfe

Syntaxhilfe

Syntaxhilfedatei


BASIC-Hilfe

Der Befehl Hilfe | BASIC-Hilfe blendet die Online-Hilfedatei ein, die für das BASIC-Zusatzmodul erstellt wurde.


Syntaxhilfe

Die Option Hilfe | Syntaxhilfe aktiviert bzw. deaktiviert die Syntaxhilfe beim Arbeiten mit dem BASIC-Skripteditor. Wenn diese Option aktiviert ist, wird bei jeder Eingabe eines in der BASIC-Programmiersprache verwendeten Befehls oder Begriffs ein Popup-Rollfeld im BASIC-Skripteditor eingeblendet. Sie können den entsprechenden Begriff mit den Pfeiltasten wählen. Wenn dieser markiert ist, drücken Sie die TABULATORTASTE, und der Begriff erscheint im BASIC-Skripteditor. Durch Drücken der LEERTASTE wird die für den Befehl erforderliche Syntax angezeigt.


Syntaxhilfedatei

Mit Hilfe | Syntaxhilfedatei können Sie die im Befehl Hilfe | Syntaxhilfe verwendete Syntaxdatei auswählen. Es erscheint das Dialogfeld Syntaxhilfedatei laden. Navigieren Sie zum Verzeichnis, das PC-DMIS für Windows enthält, und wählen Sie die Datei "Pcdmis.syn".


Verwenden des Fensters mit Markierungsgruppen

Display Menu Roadmap
Bei Auswahl der Menüoption Fenster mit Markierungsgruppen wird das gleichnamige Fenster geöffnet. Mit diesem Fenster können Sie eine Gruppe markierter Elemente speichern, die Sie ausführen möchten. Siehe auch "Erstellen und Ausführen von Markierungsgruppen"" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Arbeiten mit dem Hyperview-Protokolleditor

Display Menu Roadmap
Bei Auswahl der Menüoption Hyperview-Protokolleditor wird der gleichnamige Editor angezeigt. Mit diesem Editor können Sie benutzerdefinierte Protokolle für die elektronische Anzeige oder zum Ausdrucken erstellen oder bearbeiten. HyperView-Reports unterscheiden sich von den automatischen Textprotokollen, die PC-DMIS erstellt, wenn Sie im Bearbeitungsfenster auf das Symbol Protokollmodus klicken (siehe auch "Arbeiten im Protokollmodus" im Abschnitt "Verwenden des Bearbeitungsfensters").

Weitere Informationen zum Erstellen von HyperView-Reports finden Sie unter "Erstellen von HyperView-Reports".


Anzeigen eines Prüfprotokolls

Display Menu Roadmap
Mit der Menüoption Prüfprotokoll des Bearbeitungsfensters bestimmen Sie, welches Textprotokoll auf dem Bildschirm angezeigt werden soll. Das Protokoll wird im Rich Text-Format (.rtf) angezeigt.

So öffnen Sie ein Prüfprotokoll:

  1. Wählen Sie die Menüoption Prüfprotokoll. Das Dialogfeld Datei öffnen wird eingeblendet.
    Gehen Sie zu dem Verzeichnis, in dem Ihre Protokolle gespeichert sind.
  2. Wählen Sie die Textdatei aus, die auf dem Bildschirm angezeigt werden soll.

Wenn Sie nicht über ein Textverarbeitungsprogramm verfügen, das .rtf-Dateien anzeigen kann, wird das Prüfprotokoll in WordPad geöffnet. Mit den Menüs in einem WordPad-Fenster können Sie:

  • Teile eines Protokolls ausschneiden, kopieren und einfügen,
  • ein vorhandenes Protokoll öffnen,
  • ein neues Protokoll speichern,
  • ein Protokoll drucken,
  • das geöffnete Protokoll schließen.


Anzeigen von Bahngeraden

Display Menu Roadmap
Über die Menüoption Bahngeraden wird die aktuelle Bahn des Tasters im Grafikfenster gezeichnet. Weitere Informationen finden Sie unter "Anzeigen und Animieren von Bahngeraden" im Abschnitt "Bearbeiten der CAD-Anzeige".


Creating HyperView Reports

Erstellen eines neuen HyperView-Protokolls

Beispiel für Reporting-Optionen

Hinzufügen von Objekten zum HyperView-Protokoll

Objekteigenschaften mit Hilfe des Property Sheet ändern

Durchführen von Ereignissen mit Hilfe der BASIC-Handler-Funktionen

Verwenden von Objekten und Steuerelementen im HyperView-Protokoll

Arbeiten mit dem Raster

Verwenden von "Inhalte einfügen"

Verwenden der Layoutleiste zum Bearbeiten Ihres Protokolls

Verwalten mehrerer Objekte unter Verwendung von Layern

Erstellen von mehrseitigen Protokollen

Erzeugen von Automatischen Protokollen

Verwenden von HyperView-Protokollen in Werkstückprogrammen


Das Erstellen von HyperView-Protokollen : Einleitung

Display Menu Roadmap
Bei PC-DMIS Version 3.0 wurde die Protokollfähigkeit vorheriger Versionen weitgehend verbessert, indem HyperView, hochentwickelte Protokollwerkzeuge von HyperCube Inc. und Dundas Software integriert wurden. Mit Hilfe dieses Tools können benutzerdefinierte Protokolle (sogenannte "HyperView-Protokolle") direkt von PC-DMIS aus entworfen werden. Die neuen Reporting-Werkzeuge sind besser in PC-DMIS BASIC integriert. Damit können fortgeschrittene Benutzer VB-ähnliche Formulare entwerfen, die Bedienerinteraktionen und BASIC-Event-Handler (Ereignis-Behandler)(geskriptete Formulare) unterstützen.

Die folgenden Themen wurden zu einem Lernprogramm zusammengestellt, das Sie durch den Prozeß der Erstellung und Verwendung eines HyperView-Protokolls führt.

In diesem Abschnitt werden folgende Themen behandelt:

  • Erstellen eines neuen HyperView-Protokolls
  • Beispiel für Reporting-Optionen
  • Hinzufügen von Objekten zum HyperView-Protokoll
  • Objekteigenschaften mit Hilfe des Property Sheet ändern
  • Durchführen von Ereignissen mit Hilfe der BASIC-Handler-Funktionen
  • Verwenden von Objekten und Steuerelementen im HyperView-Protokoll
  • Arbeiten mit dem Raster
  • Verwenden der Layoutleiste zum Bearbeiten Ihres Protokolls
  • Verwalten mehrerer Objekte unter Verwendung von Schichten
  • Erstellen von mehrseitigen Protokollen
  • Erzeugen von Automatischen Protokollen
  • Verwenden von HyperView-Protokollen in Werkstückprogrammen

Für weitere Informationen, die über den Rahmen dieses Lernprogramms hinausgehen, können Sie eine vollständige HyperView-Dokumentation unter folgender Adresse von Dundas Software herunterladen:
http://www.dundas.com/downloads/docs/files/HViewdocs.exe


Erstellen eines neuen HyperView-Protokolls

Alle HyperView-Protokolle werden zuerst mit einem bestimmten Werkstückprogramm verknüpft.

Zur Erstellung eines HyperView-Protokolls wählen Sie die Menüoption Hyperview-Editor. Ein leeres Protokollfenster mit verschiedenen neuen Symbolleisten erscheint.

Display Menu Roadmap
HyperView-Protokolle können in einem der beiden Modi angesehen werden:

  1. Bearbeitungsmodus
  2. Ausführmodus

Später wird erklärt werden, wie zwischen dem Bearbeitungs- und Ausführmodus gewechselt werden kann. Gegenwärtig genügt es, zu wissen, daß es die beiden Modi gibt und daß ein neues Protokoll bei der Erstellung standardmäßig im Bearbeitungsmodus geöffnet wird.

Siehe auch:

Bearbeitungsmodus

Ausführmodus


Bearbeitungsmodus

Beim Erstellen wird ein neues HyperView-Report-Fenster standardmäßig im Bearbeitungsmodus geöffnet. Wie aus der folgenden Abbildung hervorgeht, wird ähnlich wie in vielen anderen Dialogfeldeditoren eine Objekt-Symbolleiste angezeigt:

Objektsymbolleiste

Darüber hinaus stehen eine Reihe von Symbolleisten zur Bearbeitung der Objekte zur Verfügung, wie z. B. die Layout-Symbolleiste in der folgenden Abbildung:

Layout-Symbolleiste

Der Entwurf der Protokolle und die Plazierung ihrer Komponenten erfolgt im Bearbeitungsmodus. Objekte wie Bitmaps, Text, Rahmen und andere Formularkomponenten können im Bearbeitungsmodus verschoben und in der Größe verändert werden. Objekteigenschaften wie Schriftarten, Farben und Hintergrundgestaltungen können im Bearbeitungsmodus festgelegt werden.

Diese Objekte bieten zahlreiche Protokollerstellungsoptionen. Dazu gehören:

  • Hinzufügen von Bitmap-Objekten
  • Hinzufügen von Textobjekten
  • Hinzufügen von Analysefenster-Objekten
  • Hinzufügen von CAD-Objekten
  • Hinzufügen von Merkmalsinfo-Objekten
  • Hinzufügen von Histogramm-Objekten

Diese und andere Optionen werden später ausführlicher beschrieben.

Beispiel für Reporting-Optionen.


Ausführmodus

Der Ausführmodus wird verwendet, um das fertiggestellte HyperView-Protokoll anzusehen, wogegen der Bearbeitungsmodus zum Entwerfen und/oder Bearbeiten eines neuen oder vorhandenen Protokolls dient. Wenn ein HyperView-Protokoll im Ausführmodus betrachtet wird, sind die Objekt-Symbolleiste sowie andere Layout- und Bearbeitungs-Symbolleisten, die im Bearbeitungsmodus angezeigt werden, ausgeblendet.


Beispiel für Reporting-Optionen:

Dieses Beispielprotokoll veranschaulicht viele der im HyperView-Reporting verfügbaren Funktionen:

Click here for a larger image.


Hinzufügen von Objekten zum HyperView-Protokoll

So fügen Sie ein Objekt zu einem HyperView-Protokoll hinzu:

  1. Klicken Sie auf das gewünschte Objekt in der Objekt-Symbolleiste.
  2. Halten Sie die linke Maustaste gedrückt und ziehen Sie ein Rechteck an die gewünschte Position im HyperView-Protokoll.
  3. Lassen Sie die Maustaste wieder los. Das Objekt erscheint daraufhin im HyperView-Protokoll. Es wird mit einem Standardnamen und anderen Standardattributen versehen, die Sie später ändern können. (Weitere Informationen finden Sie unter "Bearbeitung an Ort und Stelle" und "Zugreifen auf das Property Sheet".)

Siehe auch:

Ein Objekt hinzufügen

Das Protokoll speichern

Das Protokoll testen


Ein Objekt hinzufügen

So fügen Sie Textobjekt in ein leeres von Ihnen erstelltem HyperView-Protokoll ein:

  1. Klicken Sie auf das Text-Symbol in der Objekt-Symbolleiste.
  2. Halten Sie die linke Maustaste gedrückt und ziehen Sie ein Rechteck an die Position im HyperView-Protokoll, an der der Text erscheinen soll.
  3. Lassen Sie die Maustaste wieder los. Das Objekt ist nach der Erstellung markiert – erkennbar an den kleinen grünen Quadraten an allen Ecken des Textobjekts.

    Textobjekt

  4. Klicken Sie im HyperView-Protokoll auf eine beliebige Stelle außerhalb des hinzugefügten Textobjekts, so daß das Textobjekt nun nicht mehr markiert ist.

Siehe auch:

Ein Objekt auswählen

Bearbeiten an Ort und Stelle


Ein Objekt auswählen

Klicken Sie auf eine Stelle innerhalb des Textobjekts. Die kleinen grünen Quadrate werden wieder eingeblendet. Das Objekt ist jetzt ausgewählt.

Wenn ein Objekt ausgewählt ist, können Sie dessen Eigenschaften über die Symbolleisten ändern. Versuchen Sie nun herauszufinden, wie Sie mit Hilfe der Symbolleisten die Schriftart und den Schriftgrad des Textobjekts ändern können. Verwenden Sie die Symbolleisten und experimentieren Sie mit verschiedenen Rahmentypen, Hintergrund- und Vordergrundfarben und Mustern.


Bearbeiten an Ort und Stelle

Das Textobjekt kann auch an Ort und Stelle bearbeitet werden.

  1. Vergewissern Sie sich, daß das Objekt ausgewählt ist.
  2. Klicken Sie einmal direkt auf den Text im Textobjekt. Daraufhin sollte neben dem Text ein Cursor erscheinen und mit dem Sie das Objekt direkt bearbeiten können.

    Ändern des Textes

  3. Probieren Sie nun, verschiedene Arten von Objekten zum Protokoll hinzuzufügen und deren Eigenschaften mit Hilfe der Symbolleiste zu ändern.


Das Protokoll speichern

Wenn Sie fertig sind, speichern Sie das Protokoll. Vorgehensweise:

  1. Wählen Sie in der Menüleiste Datei | Speichern. Das Dialogfeld Speichern unter wird angezeigt.
    Wechseln Sie in das Verzeichnis, in dem Sie das Protokoll speichern möchten.
  2. Geben Sie im Feld Dateiname einen Dateinamen für das Protokoll ein.
  3. Klicken Sie auf die Schaltfläche Speichern.

Wenn Sie ein Protokoll zum ersten Mal speichern, wird das Dialogfeld Speichern unter eingeblendet, da Sie dem Protokoll einen Dateinamen zuweisen und angeben müssen, in welchem Ordner es gespeichert werden soll. HyperView-Protokoll-Dateien erhalten standardmäßig die Erweiterung ".rpt".

Siehe auch:

Ihr Protokoll in einer älteren PC-DMIS-Version speichern


Ihr Protokoll in einer älteren PC-DMIS-Version speichern

In PC-DMIS Version 3.6 und höher können Sie ein HyperView-Protokoll so speichern, das es mit älteren Versionen von PC-DMIS kompatibel ist. Hierzu wählen Sie den entsprechenden Versionstyp aus der Liste Speichern unter Dateityp des Dialogfelds Speichern unter aus, bevor Sie auf Speichern klicken. PC-DMIS wird alle weiteren Protokolle unter dem ausgewählten Versionstyp speichern, bis Sie eine andere Version auswählen.


Das Protokoll testen

Nach dem Speichern sind Sie nun bereit, das Protokoll zum erstenmal im Ausführmodus zu testen. Mit der Tastenkombination STRG+E kann im HyperView-Protokoll zwischen Bearbeitungsmodus und Ausführmodus hin- und hergeschaltet werden. Alternativ dazu können Sie im Menü Protokoll den Menüeintrag "Bearbeitungs-/Ausführmodus" verwenden.

  1. Wenden Sie die Tastenkombination STRG+E jetzt an. HyperView wechselt in den Ausführmodus. Die HyperView-Symbolleisten und das Raster im Hintergrund des HyperView-Protokolls sollten jetzt ausgeblendet sein.
  2. Wechseln Sie mit Hilfe der Kombination STRG+E jetzt wieder in den Bearbeitungsmodus.

Im Ausführmodus werden alle Objekte, die Sie im Protokoll erstellt haben, als aktive Objekte angezeigt, können nun jedoch nicht mehr bearbeitet werden. Jedesmal, wenn PC-DMIS ein HyperView-Protokoll aus einem Werkstückprogramm lädt, wird standardmäßig der Ausführmodus aktiviert. Im Ausführmodus können Sie das Protokoll drucken oder eine Seitenansicht einblenden.

Hinweis: Die Funktionen "Drucken" und "Seitenansicht" sind im Bearbeitungsmodus nicht verfügbar.


Objekteigenschaften mit Hilfe des Property Sheet ändern

Jedes Objekt, das zu einem HyperView-Protokoll hinzugefügt wird, besitzt eine Gruppe von Eigenschaften (oder Attributen). Diese Eigenschaften steuern bestimmte Aspekte des Objekts – wie beispielsweise Position, Größe, Farben, Schriftart, Text und Name. Alle Objekte sind zudem mit einer Gruppe von Event-Handler-Funktionen verknüpft, die ausgelöst werden, wenn bestimmte Ereignisse, wie z. B. Klicken oder Doppelklicken auf das Objekt, eintreten. Diese Eigenschaften und Event-Handler können in einem besonderen Dialogfeld, dem sogenannten Property Sheet, angezeigt und/oder geändert werden.

Siehe auch:

Zugreifen auf das Property Sheet


Zugreifen auf das Property Sheet

Sie können das Property Sheet eines Objekts anzeigen, indem Sie das Objekt hervorheben (es innerhalb seiner Grenzen anklicken) und dann mit der rechten Maustaste drücken. Bei den meisten Objekten können Sie das Property Sheet auch durch einen Doppelklick auf das Objekt einblenden. Dies funktioniert jedoch bei bestimmten Objekten (z. B. OLE-Objekten) nicht; verwenden Sie daher die erste Methode (markieren und dann die rechte Maustaste drücken).

  1. Heben Sie das Textobjekt hervor, das Sie im vorherigen Abschnitt erstellt haben.
  2. Klicken Sie mit der rechten Maustaste. Das Property Sheet wird eingeblendet.
  3. Klicken Sie oben im Dialogfeld Property Sheet (Eigenschaftsseite) auf das Auswahllistenfeld.

Beachten Sie, daß dieses Listenfeld einen Eintrag für jedes Objekt in diesem HyperView-Protokoll und einen Eintrag mit der Bezeichnung The Frame/The View enthält. Der zuletzt erwähnte Eintrag wird später genauer erklärt. Der Eintrag "Text1" (oder ähnlich) sollte jetzt ausgewählt sein, da Sie die Eigenschaften für das erste erstellte Textobjekt betrachten. Die Namenskennung "Text1" wurde dem Objekt bei der Erstellung automatisch zugewiesen. Sie kann jedoch über das Property Sheet geändert werden. Weitere Informationen, wie sich mit dem Property Sheet Objekte ändern lassen, finden Sie im nachfolgenden Beispiel.

Über Property Sheet können Sie die Eigenschaften beliebiger Objekte im HyperView-Protokoll anzeigen, indem Sie im Auswahllistenfeld oben im gleichnamigen Dialogfeld das betreffende Objekt auswählen.

Das Property Sheet weist bei den meisten Objekten drei Registerkarten auf:

  1. PC-DMIS
  2. Einstellungen
  3. Ereignisse (Events)

Die drei Registerkarten werden im folgenden ausführlich beschrieben:

Hinweis: ActiveX- und OLE-Objekte verfügen über eine weitere Registerkarte, die in den Abschnitten ActiveX-Objekt und OLE-Objekt behandelt wird.

Beispiel: So ändern Sie den Namen "Text1" auf dem Property Sheet:

  1. Heben Sie das Textobjekt auf dem Bildschirm hervor.
  2. Drücken Sie die rechte Maustaste. Das Property Sheet wird eingeblendet.
  3. Klicken Sie auf die Registerkarte Einstellungen.
  4. Der erste angezeigte Eintrag in der Registerkarte Einstellungen ist "(Objectcode)" in der linken Spalte. In der rechten Spalte wird die Namenskennung "Text1" angezeigt.
  5. Markieren Sie "Text1" und ändern Sie den Namen. Wenn Sie das Dialogfeld Property Sheet schließen, wird der Name "Text1" durch den von Ihnen eingegebenen neuen Namen ersetzt.

Siehe auch:

Registerkarte "PC-DMIS"

Registerkarte "Einstellungen"

Registerkarte "Ereignisse (Events)"


Registerkarte "PC-DMIS"

Auf der Registerkarte PC-DMIS finden Sie PC-DMIS-spezifische Eigenschaften; sie ist derzeit für viele der Standardobjekte leer. Für viele PC-DMIS-Objekte sind jedoch Einstellungen auf der PC-DMIS-Registerkarte zu finden. Sie ermöglichen die individuelle Anpassung der einzelnen PC-DMIS-Objekte.

Informationen speziell zu jedem der PC-DMIS-Erweiterungsobjekte finden Sie unter den folgenden Themen:

  • CAD-Objekt
  • Analyseobjekt
  • Histogramm-Objekt
  • Merkmalsfarbschlüssel-Objekt
  • Elementtext-Objekt
  • Führungslinien-Objekt


Registerkarte "Einstellungen"

Die Registerkarte Einstellungen (Settings) enthält den Kernsatz gemeinsamer Eigenschaften für die Standard-HyperView-Objekte. Die folgende Beschreibung einiger wichtiger Textobjekteigenschaften soll dies beispielhaft erläutern: Viele dieser Eigenschaften sind allen HyperView-Objekten gemeinsam.

Eigenschaft | Beschreibung
(Objektcode)

Eindeutiger Name zur Kennzeichnung eines Objekts in einem HyperView-Protokoll. Jedesmal, wenn Sie auf eine Eigenschaft oder Methode eines HyperView-Objekts von BASIC aus zugreifen müssen, verwenden Sie die folgende Syntax: {Objektcode}.{Eigenschafts- oder Methodenname}
Wenn Sie ein HyperView-Objekt erstellen, wird dem Objekt automatisch ein eindeutiger Objektcode zugewiesen. Das fünfte Textobjekt, das Sie zu einem HyperView-Protokoll hinzufügen, erhält z. B. den Objektcode "Text5" oder ähnlich. Sie können den Objektcode eines HyperView-Objekts ändern, müssen jedoch sicherstellen, daß dieser eindeutig bleibt. Alle BASIC-Skripts, in denen dieser Objektcode verwendet wird, müssen bei einer Änderung des Codes ebenfalls aktualisiert werden.
Ausrichtung

Textausrichtung innerhalb des Rechtecks, durch das das Textobjekt definiert wird.
Anchor Snaps (Rastpunkte)

Feld, in dem Sie Rastpunkte über das Dialogfeld Rastpunkte eingeben erstellen, löschen oder ändern können. Rastpunkte sind auf Ellipsen-, Rechteck-, Textfeld- oder Bitmap-Bildobjekten zu finden.

Sie können Linien- oder Polylinien-Objekte mit den Rastpunkten eines Objekts verbinden, indem Sie die Spitze der Linie auf den angezeigten blauen Rastpunkt ziehen.

Nachdem die Verbindung hergestellt wurde, bleibt die sich ergebende Linie auch beim Ziehen des Objekts an eine andere Stelle mit dem Rastpunkt verbunden und wird ggf. gedreht, verlängert und verkürzt. Diese Funktion ist nützlich, wenn Sie eine "Führungslinie" erstellen möchten, die ständig auf ein Objekt zeigt, das häufig verschoben wird.

Um Rastpunkte über die Layout-Symbolleiste anzuzeigen, klicken Sie auf das Symbol Rastpunkte anzeigen:
Back Color (Hintergrundfarbe)

Hintergrundfarbe des Objekts. Diese Farbe wird zum Ausfüllen des das Objekt definierenden Rechtecks verwendet.
BorderStyle (Rahmenart)

Art des Rahmens, der um das Objekt herum gezeichnet wird.
Bottom (Unten)

Abstand (in Pixel) zwischen der unteren Linie des Objektrechtecks und dem oberen Rand des HyperView-Protokolls.
CursorPointer (Cursorzeiger)

Cursor-Darstellung beim Ziehen von Objekten mit der Maus.
Enable (Aktivieren)

Aktiviert bzw. deaktiviert das Objekt. Ein deaktiviertes Objekt kann nach wie vor sichtbar sein, reagiert jedoch nicht auf Benutzereingaben.
FlexHorizontal (Mittig Horiz.)
und
FlexVertical (Mittig Vertik.)

Wenn die Größe der Ansicht im Ausführmodus geändert wird, können Sie bestimmen, ob die Objekte verschoben, vergrößert oder proportional gleich bleiben sollen. Mit Shift (Verschieben) wird das Objekt nach rechts oder nach unten verschoben. Mit Expand (Vergrößern) wird das Objekt nach rechts oder nach unten vergrößert. Mit Proportional wird das Objekt zentriert.
Schriftart

Schriftart für Text, der im Objekt wiedergegeben wird.
Vordergrundfarbe

Vordergrundfarbe des Objekts. Bei Textobjekten definiert diese Farbe die Textfarbe.
Schraffur

Schraffur, die zum Ausfüllen des Hintergrundfelds des Objekts ausgewählt wird.
Hilfekontext-ID

Dies ist die Kontext-ID eines bestimmten aufzurufenden Hilfethemas. Sie wird oft in Verbindung mit dem Hilfe-Schaltflächentyp verwendet, mit dem WinHelp( ) aufgerufen wird.
HiliteColor

(Dieses Objekt ist nicht in PC-DMIS enthalten.)
Layer

Hiermit wird das aktuelle Objekt der ausgewählten Schicht zugewiesen.
Links | Abstand (in Pixel) zwischen der linken Linie des Objektrechtecks und dem linken Rand des HyperView-Protokolls.
Ausrichtung

Ausrichtung des Textes innerhalb eines Objekts. Horizontaler Text fließt von links nach rechts. Vertikal nach oben fließt von unten nach oben. Vertikal nach unten fließt von oben nach unten.
Stiftstärke

Stärke des Stifts, der zum Zeichnen des Objekts verwendet wird. Bei Textobjekten gilt dies nur für den Rand, der um den Text gezogen wird.
Rechts

Abstand (in Pixel) zwischen der rechten Linie des Objektrechtecks und dem rechten Rand des HyperView-Protokolls.
Schattierung

Schattierung, die beim Anzeigen des Objekts angewendet wird.
Tag (Kennzeichen)

Platzhalter zur Speicherung benutzerdefinierter Daten.
Text

Der Text, der im Textobjekt angezeigt wird. Sie können auch das kaufmännische Und-Zeichen (&) vor jedes alphanumerische Zeichen in diesem Feld setzen. Damit erstellen Sie eine (als unterstrichenes Zeichen dargestellte) Tastenkombination, die sofort den entsprechenden Steuerbefehl auslöst, wenn das unterstrichene Zeichen zusammen mit der ALT-Taste im Ausführmodus gedrückt wird. Wenn Sie beabsichtigen, zahlreiche Tastenkombinationen zu verwenden, können Sie deren eindeutige Zuordnung mit der Menüoption Bearbeiten | Layout | Mnemonik prüfen im Bearbeitungsmodus überprüfen.
QuickInfo

Text, der angezeigt wird, wenn die Maus im Ausführmodus über das Objekt bewegt wird.
Oben

Abstand (in Pixel) zwischen der oberen Linie des Objektrechtecks und dem oberen Rand des HyperView-Protokolls.
Sichtbar

Sichtbarkeit des Objekts. Der Wert 1 bedeutet "sichtbar", 0 bedeutet "unsichtbar".


Registerkarte "Ereignisse"

Auf der Registerkarte Events (Ereignisse) befindet sich eine Liste aller der Event-Handler-Funktionen, die von einem Objekt unterstützt werden. Diese Funktionen werden im Abschnitt Durchführen von Ereignissen mit Hilfe der BASIC-Handler-Funktionen ausführlicher behandelt.


Durchführen von Ereignissen mit Hilfe der BASIC-Handler-Funktionen

In diesem Abschnitt wird davon ausgegangen, daß Sie mit den Grundkonzepten der Programmiersprache BASIC vertraut sind. Sollten Sie erst BASIC erlernen müssen, ziehen Sie bitte ein Buch über "BASIC" zu Rate. Die Registerkarte Events (Ereignisse) auf dem Property Sheet enthält eine Liste aller der Event-Handler-Funktionen, die von einem HyperView-Objekt unterstützt werden. Eine bestimmte Event-Handler-Funktion wird aufgerufen (oder ausgelöst), sobald das durch den Namen der Funktion bezeichnete Ereignis für das Objekt eintritt. Wenn Sie einem der Event-Handler BASIC-Codes hinzufügen möchten, klicken Sie die in der Liste der Event-Handler eingetragene Funktion doppelt an. Ein BASIC-Spracheditor wird eingeblendet, in dem die Anfangs- und Endanweisungen des Unterprogramms bereits eingetragen sind. Sie brauchen dann nur noch den BASIC-Code zum Handler hinzufügen.

Siehe auch:

Event-Handler

Hinzufügen einer Callback-Funktion

Ändern von Objekteigenschaften eines ausgelösten Ereignisses

Zugreifen auf Objektmethoden


Event-Handler

Bevor Sie einen Event-Handler-Code hinzufügen, lesen Sie bitte die folgende Beschreibung einer Auswahl von Event-Handlern, die von vielen der verschiedenen HyperView-Objekttypen unterstützt werden.

Siehe auch:

EventClick

EventDblClick

EventDragDrop

EventDragEnter

EventDragOver

EventInitialize

EventMouseDown

EventMouseMove

EventMouseUp

EventPumpData

EventTerminate


EventClick

Wird aufgerufen, wenn mit der Maus auf ein Objekt geklickt wird.


EventDblClick

Wird aufgerufen, wenn mit der Maus auf ein Objekt doppelgeklickt wird.


EventDragDrop

Wird aufgerufen, wenn ein "ziehbares" Objekt auf dem HyperView-Objekt "abgelegt" wird.


EventDragEnter

Wird in dem ersten Moment aufgerufen, in dem ein "ziehbares" Objekt auf das HyperView-Objekt gezogen wird.


EventDragOver

Wird aufgerufen, wenn ein "ziehbares" Objekt über das HyperView-Objekt gezogen wird.


EventInitialize

Wird aufgerufen, wenn HyperView erstmals in den Ausführmodus eintritt, bevor andere Handler für das Objekt aufgerufen werden.


EventMouseDown

Wird aufgerufen, wenn eine Maustaste gedrückt wird, während sich der Cursor über dem Objekt befindet. An die Funktion übergebene Parameter geben an, welche Maustaste gedrückt wurde, ob die UMSCHALTTASTE gedrückt wurde und auf welchen Koordinaten sich die Maus befand, als die Taste gedrückt wurde.


EventMouseMove

Wird aufgerufen, wenn der Mauszeiger über das Objekt fährt. An die Funktion übergebene Parameter geben an, welche Maustaste gedrückt wurde, ob die UMSCHALTTASTE gedrückt wurde und auf welchen Koordinaten sich die Maus befand, als das Bewegungsereignis ausgelöst wurde.


EventMouseUp

Wird aufgerufen, wenn die Maustaste über dem Objekt losgelassen wird. An die Funktion übergebene Parameter geben an, welche Maustaste gedrückt wurde, ob die UMSCHALTTASTE gedrückt wurde und auf welchen Koordinaten sich die Maus befand, als die Taste losgelassen wurde.


EventPumpData

Dies ist wahrscheinlich die am häufigsten verwendete Handler-Funktion. EventPumpData wird jedesmal dann aufgerufen, wenn sich der Wert von BASIC-Variablen ändert, die sich auf das Objekt auswirken können. Sie können mit EventPumpData auch erzwingen, daß sich einzelne Objekte (oder alle Objekte eines Protokolls) selbst aktualisieren. Grundsätzlich sollte der gesamte Code, den ein Objekt benötigt, um sich selbst auf der Basis von Variablenwerten oder dem Status anderer Objekten neu zu initialisieren, in EventPumpData vorkommen. Dieser Handler ist besonders wichtig, wenn Sie mehrseitige Protokolle manuell erstellen (siehe Beschreibung im Abschnitt Erstellen mehrseitiger Protokolle).


EventTerminate

Wird aufgerufen, wenn HyperView beendet oder vom Ausführmodus in den Bearbeitungsmodus gewechselt wird.

Hinweis: Diese Handler-Funktion ist nur für The Frame/The View verfügbar.


Hinzufügen einer Callback-Funktion

Im nächsten Schritt fügen Sie eine einfache Callback-Funktion hinzu.

Zuerst fügen Sie eine Schaltfläche zum HyperView-Protokoll hinzu. Klicken Sie hierzu auf das Schaltflächensymbol in der Objekt-Symbolleiste und ziehen Sie dann ein Rechteck für die neue Schaltfläche im HyperView-Protokoll.

  1. Vergewissern Sie sich, daß die Schaltfläche markiert (hervorgehoben) ist.
  2. Klicken Sie mit der rechten Maustaste auf die Schaltfläche, um deren Property Sheet einzublenden.
  3. Aktivieren Sie die Registerkarte Evente (Ereignisse) auf dem Property Sheet. Sie sollten nun eine Liste aller verfügbaren Event-Handler-Funktionen für das Schaltflächenobjekt sehen.
  4. Doppelklicken Sie in der Liste auf die Funktion EventClick. Ein Visual BASIC-Editor mit dem Namen VBS Mini-Editor wird geöffnet.
  5. Fügen Sie den folgenden Code zur Funktion EventClick hinzu: MsgBox "Auf mich wurde geklickt".
  6. Klicken Sie oben rechts im VBS Mini-Editor auf die Schaltfläche OK. Schließen Sie das Property Sheet
  7. Speichern Sie das Protokoll, indem Sie auf Datei | Speichern klicken. Das Protokoll kann jetzt im Ausführmodus getestet werden.
  8. Wechseln Sie in den Ausführmodus (durch Drücken von STRG+E).
  9. Klicken Sie auf die Schaltfläche, die Sie erstellt haben. Jetzt sollte ein Meldungsfeld mit dem Text "Auf mich wurde geklickt" erscheinen.

Dieses einfache Beispiel veranschaulicht das Grundprinzip der Skriptformulare und Event-Handler-Funktionen.


Ändern von Objekteigenschaften eines ausgelösten Ereignisses

Im nächsten Schritt erweitern Sie das Beispiel, so daß beim Klicken auf die Schaltfläche die Eigenschaften eines anderen Objekts (beispielsweise der Text eines Textobjekts) geändert werden.

  1. Wechseln Sie zurück in den Bearbeitungsmodus (durch Drücken von STRG+E).
  2. Stellen Sie sicher, daß das Textobjekt, das Sie zuerst erstellt haben, nach wie vor vorhanden ist. Falls es nicht mehr existiert, erstellen Sie ein neues Textobjekt.
  3. Öffnen Sie das Property Sheet des Textobjekts (Objekt markieren und dann die rechte Maustaste drücken).
  4. Klicken Sie auf die Registerkarte Einstellungen.
  5. Stellen Sie sicher, daß die Eigenschaft Objektcode des Textobjekts den Namen "Text1" aufweist. Die Eigenschaft Objektcode eines HyperView-Objekts ist der Name, über den im BASIC-Code auf das Objekt verwiesen wird.
  6. Klicken Sie auf die Registerkarte Events (Ereignisse).
  7. Doppelklicken Sie auf die Handler-Funktion EventInitialize. Der VBS Mini-Editor wird geöffnet.
  8. Fügen Sie den folgenden Code zur Funktion EventInitialize hinzu:
    Set This = Text1
  9. Drücken Sie die EINGABETASTE, um in eine neue Zeile zu springen. Geben Sie den folgenden Code auf der nächsten Zeile ein:
    This.Text = "Auf diese Schaltfläche wurde noch nicht geklickt."
  10. Klicken Sie auf OK, um den Editor zu schließen.
  11. Nachdem das Objekt "Text1" wie beschrieben eingerichtet wurde, öffnen Sie das Property Sheet für das Schaltflächenobjekt, das Sie in der vorherigen Übung hinzugefügt haben.
  12. Öffnen Sie die Registerkarte Events (Ereignisse).
  13. Doppelklicken Sie auf die Handler-Funktion EventClick.
  14. Ersetzen Sie den BASIC-Code, den Sie in der vorherigen Übung eingefügt haben, durch die folgenden beiden Zeilen:
    Zeile 1: MsgBox "Auf mich wurde geklickt, und ich ändere gerade den Text von Text1"

    Zeile 2: Text1.Text = "Auf diese Schaltfläche wurde geklickt"
  15. Klicken Sie auf OK, um den VBS Mini-Editor zu schließen.
  16. Schließen Sie das Property Sheet
  17. Wechseln Sie in den Ausführmodus (durch Drücken von STRG+E). Der von Ihnen zur Funktion "EventInitialize" von "Text1" hinzugefügte Code bewirkt, daß das Text1 anfänglich "Die Schaltfläche wurde noch nicht angeklickt" lautet.
  18. Versuchen Sie nun, die Schaltfläche anzuklicken. Die Meldung "Auf mich wurde geklickt, und ich ändere gerade den Text von Text1 ändern" sollte daraufhin eingeblendet werden. Sobald Sie das Meldungsfeld schließen, sollte sich der Text von "Text1" in "Auf diese Schaltfläche wurde geklickt!!!" ändern.

Dieses Beispiel veranschaulicht, wie Sie über die BASIC-Syntax Objektcode.Eigenschaftsname auf die Eigenschaften von beliebigen Objekten in einem HyperView-Protokoll zugreifen können.


Zugreifen auf Objektmethoden

Zusätzlich zu ihren Eigenschaften unterstützen viele HyperView-Objekte verschiedene Methoden. Im BASIC-Code können Sie über die Syntax Objektcode.Methodenname auf diese Methoden zugreifen. Sie können die für ein bestimmtes Objekt verfügbaren Eigenschaften und Methoden anzeigen, indem Sie im VBS Mini-Editor den Objektcode des betreffenden Objekts gefolgt von einem Punkt eingeben. Sobald Sie den Punkt eingegeben haben, wird ein Mini-Assistent eingeblendet, der die für das Objekt verfügbaren Methoden und Eigenschaften anzeigt.

Variablen, die innerhalb einer Event-Handler-Funktion deklariert sind (über die BASIC-Syntax "Dim Variablenname as Variablentyp"), sind ausschließlich während der betreffenden Event-Handler-Funktion gültig. Es wird ohne Zweifel Situationen geben, in denen Sie Variablen, Funktionen oder Unterprogramme deklarieren möchten, die vom gesamten BASIC-Code aus in einem HyperView-Protokoll zugänglich sind – Variablen mit globaler Gültigkeit für das betreffende Protokoll. Es gibt in HyperView einen Bereich, in dem Sie solche Deklarationen vornehmen können.

Siehe auch:

Deklarieren globaler Variablen mit Hilfe der Eigenschaft "LocalVariables"

Deklarieren/Definieren von Variablen, Funktionen oder Unterprogrammen


Deklarieren globaler Variablen mit Hilfe der Eigenschaft "LocalVariables"

Wenn Sie globale Variablen eines beliebigen Standarddatentyps (String, Integer, Double etc.) deklarieren und im BASIC-Assistenten anzeigen möchten, können Sie die Eigenschaft LocalVariables von The Frame/The View verwenden.

Vorgehensweise:

  1. Öffnen Sie das Property Sheet für The Frame/The View. Hierzu markieren Sie ein Objekt und klicken es mit der rechten Maustaste an. Das Property Sheet wird eingeblendet.
  2. Öffnen Sie die Registerkarte Einstellungen.
  3. Blättern Sie abwärts bis zur Eigenschaft LocalVariables.
  4. Doppelklicken Sie auf LocalVariables, so daß das Dialogfeld Local Variables eingeblendet wird.

Im Dialogfeld Local Variables können Sie lokale Variablen beliebiger Grundtypen hinzufügen, entfernen oder benennen und diesen Variablen Anfangswerte zuweisen. Es sei hier nochmals erwähnt, daß diese Variablen für dieses HyperView-Protokoll global gültig sind und über den gesamten für diesen HyperView-Protokoll verfaßten BASIC-Code zugänglich sind. Diese Variablen erscheinen im Bereich Local Variables des Skript-Assistenten.

Hinweis: Der Name "LocalVariables" scheint unglücklich gewählt, da als lokale Variablen deklarierte Variablen in dem betreffenden HyperView-Protokoll global gültig sind. Dieser Name wurde wahrscheinlich deshalb gewählt, um anzudeuten, daß die hier deklarierten Variablen lokale Variablen für dieses betreffende HyperView-Protokoll sind, trotzdem jedoch an jeder beliebigen Stelle dieses HyperView-Protokolls verfügbar sind.


Deklarieren/Definieren von Variablen, Funktionen oder Unterprogrammen

Wenn Sie Variablen, Funktionen oder Unterprogramme deklarieren und/oder definieren möchten, die im gesamten BASIC-Code in einem Protokoll verfügbar sein sollen, verwenden Sie die Eigenschaft LocalDecls von The Frame/The View. Sie finden diese Eigenschaft auf der Registerkarte PC-DMIS des Dialogfelds Property Sheet. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Property Sheet für ein Objekt.
  2. Wählen Sie in der Auswahlliste den Eintrag The Frame/The View aus.
  3. Klicken Sie auf die Registerkarte PC-DMIS.
  4. Doppelklicken Sie auf dem Property Sheet auf den Eintrag LocalDecls. Ein VBS Mini-Editor wird eingeblendet.

In diesem Fenster können Sie einen beliebigen BASIC-Code hinzufügen, einschließlich Variablendeklarationen und Funktions- oder Unterprogrammdefinitionen. Alle hier deklarierten/definierten Variablen, Funktionen und Unterprogramme sind global gültig, werden jedoch nicht im Skript-Assistenten angezeigt.


Verwenden von Objekten und Steuerelementen in HyperView-Protokollen

Dieses Thema beschreibt jedes von der Objekt-Symbolleiste aus verfügbare Objekt. Die Objekt-Symbolleiste wird im Bearbeitungsmodus angezeigt und dient zum Einfügen einer Vielzahl an Objekten in das Protokoll. Sie können Text, Bilder, Multimedia-Elemente, Dialogfeld-Steuerelemente und andere Objekte einfügen.

Point Info Object (PC-DMIS Extention Object) Histogram Object (PC-DMIS Extention Object) CAD Object (PC-DMIS Extention Object) Spinner Object Edit Double Box Object List Box Object Check Button Object Gauge Object Frame Object Border Object TextVar Object SPC Chart Object (PC-DMIS Extention Object) Dimension Info Object (PC-DMIS Extention Object) Dimension Color Key Object (PC-DMIS Extention Object) OLE Object Slider Object Edit Long Box Object Combo Box Object Button Object Pointer Object Select Object Ellipse Object Text Object Leader Line Object (PC-DMIS Extention Object) Feature Text Object (PC-DMIS Extention Object) Analysis Object (PC-DMIS Extention Object) ActiveX Object Edit Box Object Muti Edit Box Object Radio Button Object Graph Object Bitmap Object Arc Object Line Object Polyline Object

PC-DMIS erweitert die Grundgruppe der in den Protokollen verfügbaren HyperView-Objekte um mehrere PC-DMIS-spezifische Objekte, die bereits in Ihrer Objekt-Symbolleiste enthalten sind. Diese Objekte können wie normale HyperView-Objekte in Protokolle aufgenommen werden, wobei sie jedoch häufig neue Eigenschaften auf der Registerkarte PC-DMIS des Property Sheet erhalten haben. Außerdem beziehen sie sich auf sehr spezifische Reporting-Funktionen. In der Dokumentation werden diese PC-DMIS-spezifischen Objekte folgendermaßen gekennzeichnet:

PC-DMIS-ERWEITERUNGSOBJEKT

Importieren von Objekten:

Über die Menüoption Bearbeiten | Steuerelemente importieren können Sie Steuerelemente in die Rasteransicht importieren. Mit dieser Option können Sie Steuerelemente aus anderen Dialogfeldern, Fenstern etc. für die Rasteransicht im Bearbeitungsmodus auswählen und importieren.

Vorgehensweise:

  1. Wählen Sie die Menüoption Steuerelemente importieren. Ihr Mauszeiger verändert sich.
  2. Wählen Sie das gewünschte Steuerelement mit der Maus aus. Daraufhin wird das Objekt in die Rasteransicht importiert.

Es können nur Steuerelemente aus einer Win32-Anwendung importiert werden.

Siehe auch:

Auswahlobjekt

Textobjekt

TextVar-Objekt

Linienobjekt

Polylinienobjekt

Randobjekt

Bogenobjekt

Ellipsenobjekt

Rahmenobjekt

Bitmap-Objekt

Zeigerobjekt

Meßobjekt

Grafikobjekt

Schaltflächenobjekt

Kontrollkästchenobjekt

Optionsfeldobjekt

Kombinationsfeldobjekt

Listenfeldobjekt

Bearbeitungsfeldobjekt

EditLongBox-Objekt

EditDbleBox-Objekt

MultiEditBox-Objekt

Schiebereglerobjekt

Spinner Object

ActiveX-Objekt

OLE-Objekt

CAD-Objekt

Analyseobjekt

Histogrammobjekt

Merkmalsfarbschlüssel-Objekt

Element-Textobjekt

Merkmalinfo-Objekt

Punkt-Info-Objekt

Führungslinineobjekt


Auswahlobjekt

Über das Auswahlobjekt können Sie ein Objekt auswählen, das bereits in Ihr HyperView-Protokoll eingefügt wurde. Klicken Sie einfach auf das Objekt im Protokoll, und PC-DMIS wird das Objekt mit einem Rahmen und kleinen grünen Kästchen darstellen. Auf diese Weise wissen Sie, daß das Objekt ausgewählt wurde. Sie können ein ausgewähltes Objekt verschieben, seine Größe verändern oder es bearbeiten.


Textobjekt

Mit dem Textobjekt können Sie Text in Form von Beschriftungen, Beschreibungen und Markierungen in das HyperView-Protokoll einfügen. Auf diese Weise kann das Protokoll verständlicher gestaltet werden. Sie können die Anzeigeeigenschaften eines eingefügten Textobjekts ändern, indem Sie mit der rechten Maustaste auf das Objekt klicken und die Eigenschaften bearbeiten.

Folgende Eigenschaften werden häufig für Textobjekte verwendet:

Eigenschaft Beschreibung
Text
 Der im Objekt angezeigte Text.
Positionierung
 Hiermit wird das Textobjekt horizontal oder vertikal ausgerichtet. Beachten Sie bitte, daß einige Schriftarten jedoch nur horizontal angezeigt werden (z. B. MS SANS SERIF) können.
Ausrichtung
 Der Text wird im Objekt ausgerichtet. Zur Auswahl stehen folgende Ausrichtungen: Nach Links, Mittig und Nach Rechts.


TextVar-Objekt

Mit dem TextVar-Objekt können Sie dynamischen, numerischen Text in das HyperView-Protokoll einfügen. Dieses Objekt unterscheidet sich vom Textobjekt, da die Eigenschaft TEXT entfernt wurde und die folgenden zwei Eigenschaften hinzugefügt wurden:

Eigenschaft Beschreibung
ValueEq
 Wertegleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.) Der Wert wird während der Laufzeit formatiert und angezeigt.
-$, $, KONST

Format
 Hiermit wird der numerische Wert unter Verwendung von C-Sprachenstandards formatiert. Sie sollten jedoch nur mit dem numerischen Teil arbeiten. Beispielsweise wird aus dem Format %5.2lf der Wert 5.2, %5d wird zu 5. Eine Ausnahme stellt die Verwendung BOOLESCHER Variablen dar, wobei die $-Zeichenfolge in NEIN oder JA konvertiert wird.

Sie können das TextVar-Objekt einfach verwenden, um Seitenzahlen in einem mehrseitigen HyperView-Protokoll anzeigen zu lassen. Stellen Sie einfach die Eigenschaft ValueEq so ein, daß der Wert der Variablen für CurPage (aktuelle Seitenzahl) oder NumPage (gesamte Anzahl an Seiten) angezeigt wird.

Siehe auch:

Beispiel zur Verwendung von BASIC-Skripting für die dynamische Textanzeige


Beispiel zur Verwendung von BASIC-Skripting für die dynamische Textanzeige

Mit Hilfe des BASIC-Codes im VBS Mini-Editor können Sie einen Wert in einem TextVar-Objekt dynamisch anzeigen lassen. Nehmen wir beispielsweise an, Sie möchten den Text einer Überschrift nur auf bestimmten Seiten eines mehrseitigen Protokolls anzeigen lassen. Sie können einen ähnlichen Code wie im folgenden Beispiel verwenden:

  1. Erstellen Sie ein mehrseitiges Protokoll mit zehn Seiten, indem Sie die Anweisungen unter "Erstellen von mehrseitigen Protokollen" befolgen.
  2. Doppelklicken Sie auf das TextVar-Objekt, um das Dialogfeld Property Sheet aufzurufen.
  3. Wählen Sie die Registerkarte PC-DMIS.
  4. Klicken Sie auf die Eigenschaft ValueEQ. Der VBS Mini-Editor wird angezeigt, wobei jedoch eine Vielzahl seiner Funktionen deaktiviert sind.
  5. Wählen Sie VBScript aus der Liste aus. Der Textbereich des Editors wird aktiviert.
  6. Fügen Sie einige Zeichenfolgen-Variablen mit den Meldungen hinzu, die Sie auf den verschiedenen Seiten anzeigen möchten:
    Merk strMessage1 As String
Merk strMessage2 As String
strMessage1 = "ÜBERSCHRIFT FÜR SEITEN 1-5"
strMessage2 = "ÜBERSCHRIFT FÜR SEITEN 6-10"
  7. Sie können weiteren bedingten Text hinzufügen, so daß in Abhängigkeit von der aktuellen Seitenzahl im TextVar-Objekt jeweils ein anderer Text angezeigt wird.

    If curpage <= 5 Then Retn = strMessage1 Else Retn = strMessage2

    Mit diesem Code wird die der Variablen strMessage1 zugeordnete Zeichenfolge angezeigt, wenn die aktuelle Seitenzahl zwischen eins und fünf liegt, und die der Variablen strMessage2 zugeordnete Zeichenfolge, wenn die aktuelle Seitenzahl zwischen sechs und zehn liegt.

  8. Klicken Sie auf OK, um den VBS Mini-Editor zu schließen.
  9. Schließen Sie das Dialogfeld Property Sheet.
  10. Drücken Sie auf STRG + E, um das Protokoll im Ausführmodus anzuzeigen.
  11. Drücken Sie die BILD-AUF-Taste oder BILD-AB-Taste, um die Seiten zu durchblättern und anzusehen, wie der Text dynamisch angezeigt wird.


Linienobjekt

Mit dem Linienobjekt können Sie schnell eine standardmäßige Linie in das HyperView-Protokoll einfügen. Klicken Sie anschließend mit der rechten Maustaste auf die eingefügte Linie und bearbeiten Sie deren Eigenschaften.

Folgende Eigenschaften werden häufig für Linienobjekte verwendet:

Eigenschaft Beschreibung
Linienstärke
 Hiermit wird die Breite der Linie in Pixel eingestellt.
Linienart
 Hiermit wird die Linienart auf schattiert, gestrichelt, punktiert, gestrichelt und punktiert und einmal gestrichelt/zweimal punktiert eingestellt.
Pfeilspitze
 Hiermit können Sie eine Pfeilspitze zur Linie hinzufügen und deren Richtung einstellen. Die folgenden Formate sind verfügbar:
----(keine)
<---
--->
<--->(beide)

Höhe der Pfeilspitze
 Hiermit wird die Höhe der Pfeilspitze in Pixel eingestellt.


Polylinien-Objekt

Mit dem Polylinien-Objekt können Sie Linien miteinander verbinden, um einen Bereich zu konstruieren. Wenn Sie klicken und die erste Linie erstellen, wird am Endpunkt der ersten Linie automatisch eine zweite eingefügt. Polylinien-Objekte weisen dieselben Eigenschaften wie standardmäßige Linienobjekte auf, mit den folgenden Ergänzungen:

Eigenschaft Beschreibung
Linienstärke
 Hiermit wird die Breite des Objektrands in Pixel eingestellt.
Schraffur
 Hiermit wird der Mustertyp (bzw. der Schraffurtyp) für das resultierende Polygon eingestellt. Zur Auswahl stehen folgende Muster:

Horizontal

Vertikal

Diagonal

Umkehrdiagonale

Querstriche

Diagonale Querstriche

Schattierung
 Hiermit wird die Position der 3D-Schattierung für das resultierende Polygon eingestellt. Zur Auswahl stehen folgende Positionen:

OBEN/LINKS, UNTEN/RECHTS oder Keine.


Randobjekt

Mit dem Randobjekt wird ein rechteckiger Rand in das HyperView-Protokoll eingefügt. Neben der Möglichkeit, die Größe eines Objektes zu ändern, eine Füll- oder Randfarbe hinzuzufügen und andere Attribute zu ändern, stehen für Randobjekte folgende Eigenschaften zur Bearbeitung zur Auswahl:

Eigenschaft Beschreibung
Linienstärke
 Hiermit wird die Breite des Objektrands in Pixel eingestellt.
Schraffur
 Hiermit wird der Mustertyp (bzw. der Schraffurtyp) für das resultierende Polygon eingestellt. Zur Auswahl stehen folgende Muster:

Horizontal

Vertikal

Diagonal

Umkehrdiagonal

Querstriche

Diagonale Querstriche

Schattierung
 Hiermit wird die Position der 3D-Schattierung für das resultierende Polygon eingestellt. Zur Auswahl stehen folgende Positionen:

OBEN/LINKS, UNTEN/RECHTS oder Keine.

HiliteColor
 Hiermit wird die Farbe für die Eigenschaft BorderStyle (Rahmenart) eingestellt.
Rahmenart
 Hiermit wird der 3D-Stil für den Objektrand in Pixel eingestellt. Zu den Optionen gehören Normal, 3D, abgesenkt und erhöht


Bogenobjekt

Mit dem Bogenobjekt wird ein elliptischer Bogen in das HyperView-Protokoll eingefügt. Ein standardmäßiger Bogen hat keine Füllfarbe. Er beginnt bei einem Winkel von 0 Grad und endet bei –90 Grad.

Neben der Möglichkeit, die Größe eines Objektes zu ändern, eine Füll- oder Randfarbe hinzuzufügen und andere Attribute einzustellen, stehen für Bogenobjekte folgende Eigenschaften zur Bearbeitung zur Auswahl:

Eigenschaft Beschreibung
Linienstärke
 Hiermit wird die Randbreite in Pixel eingestellt.
Linienart
 Hiermit wird der Randstil des Bogens auf schattiert, gestrichelt, punktiert, gestrichelt/punktiert und gestrichelt/zweimal punktiert eingestellt.
Winkel1
 Diese Zahl definiert den Startwinkel für den Bogen. Der Standardwert sind 0 Grad.
Winkel2
 Diese Zahl definiert den Endwinkel für den Bogen. Der Standardwert sind -90 Grad.
IsWedge (Keil)
 Ist diese Eigenschaft auf NEIN (Standard) eingestellt, zeichnet PC-DMIS einen gefüllten Bogen ohne Keil, wie folgt:

Ist diese Eigenschaft auf JA eingestellt, zeichnet PC-DMIS einen gefüllten Bogen mit Keil, wie folgt:


Ellipsenobjekt

Mit dem Ellipsenobjekt wird ein elliptischer Bogen in das HyperView-Protokoll eingefügt. Die Standardellipse ist ein Kreis mit derselben Entfernung vom Flächenmittelpunkt des Kreises zu allen Punkten entlang des Kreisumfangs. Sie können den Kreis jedoch problemlos zu einer Ellipse dehnen.

Neben der Möglichkeit, die Größe eines Objektes zu ändern, eine Füll- oder Randfarbe hinzuzufügen und andere Attribute einzustellen, stehen für Ellipsenobjekte folgende Eigenschaften zur Bearbeitung zur Auswahl:

Eigenschaft Beschreibung
Breite
 Hiermit wird die Breite des Objektrands in Pixel eingestellt.
Linienart
 Hiermit wird die Linienart auf schattiert, gestrichelt, punktiert, gestrichelt und punktiert und einmal gestrichelt/zweimal punktiert eingestellt.
Schraffur
 Hiermit wird der Mustertyp (bzw. der Schraffurtyp) für das resultierende Polygon eingestellt. Zur Auswahl stehen folgende Muster:

Horizontal

Vertikal

Diagonal

Umkehrdiagonal

Querstriche

Diagonale Querstriche


Rahmenobjekt

Mit dem Rahmenobjekt wird ein Rahmen in das HyperView-Protokoll eingefügt. Normalerweise verwenden Sie dieses Objekt, um eine Gruppe ähnlicher Optionen zusammenzufassen, wenn Sie im HyperView-Protokoll Ihre eigenen Dialogfelder erstellen.

Neben der Möglichkeit, die Größe eines Objektes zu ändern, eine Füll- oder Randfarbe hinzuzufügen und andere Attribute einzustellen, stehen für Rahmenobjekte folgende Eigenschaften zur Bearbeitung zur Auswahl:

Eigenschaft Beschreibung
BorderColor (Randfarbe)
 Hiermit wird die Farbe für den Rahmen eingestellt.
HiliteColor
 Hiermit wird die Farbe für die Eigenschaft BorderStyle (Rahmenart) eingestellt, wenn Sie die Eigenschaften Sunken (abgesenkt) und Raised (Erhöht) verwenden.
Rahmenart
 Hiermit wird der 3D-Stil für den Objektrand in Pixel eingestellt. Zu den Optionen gehören Normal, 3D, abgesenkt und erhöht
BorderWidth (Randbreite)
 Hiermit wird die Breite des Objektrands in Pixel eingestellt.
Text
 Hier eingegebener Text bestimmt den für den Rahmentitel verwendeten Namen.
Ausrichtung
 Der Text wird im Objekt ausgerichtet. Zur Auswahl stehen folgende Ausrichtungen: Links, Mittig und Rechts.


Bitmap-Objekt

Mit dem Bitmap-Objekt können Sie eine vorab erstellte Bitmap-Grafik in Ihr HyperView-Protokoll einfügen. Wenn Sie auf dieses Symbol klicken, wird ein Dialogfeld angezeigt.

Bitmap-Dialogfeld

  • Klicken Sie auf OK, um ein Bitmap, das in das Dialogfeld geladen wurde, in das HyperView-Protokoll einzufügen.
  • Mit der Schaltfläche Abbrechen wird das Dialogfeld geschlossen, ohne daß ein Bitmap eingefügt wird.
  • Klicken Sie auf Kopieren, um ein Bitmap in die Zwischenablage zu kopieren, das bereits mit der Schaltfläche Laden in das Dialogfeld geladen wurde.
  • Klicken Sie auf Einfügen, um eine kopierte Bitmap-Grafik aus der Zwischenablage in das Dialogfeld zu kopieren. Aktivieren Sie das Kontrollkästchen RLE, um die Grafik komprimieren zu lassen, wenn diese mit dem Protokoll gespeichert wird.
  • Klicken Sie auf Laden, wenn Sie ein Bitmap in das Dialogfeld laden möchten. Aktivieren Sie das Kontrollkästchen Link, um das Bitmap über den Verzeichnispfad mit dem Protokoll zu verknüpfen.
  • Klicken Sie auf Löschen, wenn Sie das geladene Bitmap aus dem Dialogfeld entfernen möchten.
  • Mit der Liste Transparent können Sie eine Farbe im Bitmap angeben, die transparent angezeigt werden soll.

Neben der Möglichkeit, die Größe des Objekts zu ändern und andere Attribute einzustellen, stehen für Bitmap-Objekte folgende Eigenschaften zur Bearbeitung zur Auswahl:

Eigenschaft Beschreibung
Bitmap
 Enthält den Dateinamen des Bitmap.
Layout
 Mittig, Links oder Rechts steht als Ausrichtung des Bitmap innerhalb des Rechtecks zur Verfügung.

Strecken vergrößert oder verkleinert die Grafik, so daß sie dem Feld angepaßt wird.

Size to Fit (Größe anpassen) erweitert automatisch die Größe des Rechtecks, um sie der Grafik anzupassen.


Zeigerobjekt

Mit dem Zeigerobjekt wird ein dynamischer, beweglicher und farbiger Zeiger in das HyperView-Protokoll eingefügt. Die Standardfarbe ist gelb.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, kann dieses Objekt bewegt werden, indem diese Eigenschaften in Verbindung mit Visual BASIC-Code eingesetzt werden.

Eigenschaft Beschreibung
ValueEq
 Wertegleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.)
-$, $, KONST

MinimumEq
 Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VBScript ausgegebener Wert sein.)

-$, $, KONST
MaximumEq Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VBScript ausgegebener Wert sein.)

-$, $, KONST

Tipp: Wenn Sie die Zeigerrichtung ändern, ändert sich die Bewegungsrichtung des Pfeils dementsprechend.

Siehe auch:

Beispiel zur Verwendung von BASIC-Skripting für die dynamische Zeigerbewegung


Beispiel zur Verwendung von BASIC-Skripting für die dynamische Zeigerbewegung

Mit Hilfe des BASIC-Codes im VBS Mini-Editor können Sie den Zeiger dynamisch bewegen. Nehmen wir beispielsweise an, Sie möchten ein Protokoll erstellen, in dem der Zeiger entlang einer Achse bewegt wird, während Sie durch die verschiedenen Seiten blättern. Sie können hierfür einen Code ähnlich wie im folgenden Beispiel verwenden:

  1. Erstellen Sie ein mehrseitiges Protokoll mit zehn Seiten, indem Sie die Anweisungen unter "Erstellen von mehrseitigen Protokollen" befolgen.
  2. Fügen Sie ein Zeigerobjekt in das Protokoll ein.
  3. Markieren Sie den Zeiger und ziehen Sie sein Feld, um es vertikal zu verlängern. Bei diesem Vorgang wird nicht die Zeigergröße verändert, sondern die gesamte Strecke, auf der der Zeiger bewegt werden kann.
  4. Doppelklicken Sie auf das Zeigerobjekt, um das Dialogfeld Property Sheet aufzurufen.
  5. Wählen Sie die Registerkarte PC-DMIS.
  6. Klicken Sie auf die Eigenschaft ValueEQ. Der VBS Mini-Editor wird angezeigt, wobei jedoch eine Vielzahl seiner Funktionen deaktiviert sind.
  7. Wählen Sie VBScript aus der Liste aus. Der Textbereich des Editors wird aktiviert.
  8. Fügen Sie den folgenden Code hinzu, um die Zeigerbewegung auf Basis einer Benutzereingabe auf jeder neuen Seite eines mehrseitigen Protokolls zu steuern:
    intValue = ("Geben Sie einen Wert ein. Der Zeiger bewegt sich um diesen Prozentsatz an der gesamten Strecke.")
Retn = intValue
  9. Klicken Sie auf OK, um den VBS Mini-Editor zu schließen.
  10. Schließen Sie das Dialogfeld Property Sheet.
  11. Drücken Sie auf STRG + E, um das Protokoll im Ausführmodus anzuzeigen.
  12. Drücken Sie die Tasten BILD-AUF- oder BILD-AB-Taste, um die Seiten zu durchblättern und zu sehen, wie der Zeiger basierend auf Ihren Eingaben dynamisch bewegt wird.


Meßobjekt

Mit dem Meßobjekt wird ein Meßobjekt (bzw. eine Statusleiste) in das HyperView-Protokoll eingefügt.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, kann die Anzeigeleiste dieses Objekts bewegt werden, indem diese Eigenschaften in Verbindung mit Visual BASIC-Code eingesetzt werden.

Eigenschaft Beschreibung
ValueEq
 Wertegleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.)
-$, $, KONST

MinimumEq
 Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VBScript ausgegebener Wert sein.)

-$, $, KONST
MaximumEq Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VBScript ausgegebener Wert sein.)

-$, $, KONST

Tipp: Wenn Sie die Ausrichtung der Statusleiste (Meßobjekt) ändern, wird sich auch die Bewegungsrichtung der Anzeigeleiste entsprechend ändern.

Siehe auch:

Beispiel zur Verwendung von BASIC-Skripting für die dynamische Änderung des Werts der Statusanzeige


Beispiel zur Verwendung von BASIC-Script für die dynamische Änderung des Werts der Statusanzeige

Mit Hilfe des BASIC-Codes im VBS Mini-Editor können Sie den Wert einer Statusanzeige jederzeit dynamisch ändern. Sie möchten beispielsweise einen Bericht erstellen, in dem die Statusanzeige 0 bis 100 Prozent anzeigt, je nachdem, wie stark sich ein Kreisdurchmesser seinen minimal und maximal zulässigen Toleranzen nähert. Hierzu gehen Sie folgendermaßen vor:

  1. Erstellen Sie ein neues HyperView-Protokoll und vergewissern Sie sich, daß der Bearbeitungsmodus eingestellt ist. Zuerst müssen Sie eine globale Variable namens MYDIAMETER erstellen, die den Wert des Kreisesdurchmessers aufnehmen wird.
  2. Klicken Sie mit der rechten Maustaste auf den Raster und vergewissern Sie sich, daß The Frame / The View aus der Objektliste auf dem Property Sheet ausgewählt ist.
  3. Klicken Sie auf die Registerkarte Einstellungen auf der Property Sheet und wählen Sie dann den Wert für die Eigenschaft LocalVariables aus. Das Dialogfeld Lokale Variablen wird angezeigt.
  4. Klicken Sie auf die Schaltfläche Hinzufügen, um eine neue Variable hinzuzufügen. Wählen Sie aus der Liste Typ die Option Double aus. Geben Sie MYDIAMETER in das Namensfeld ein. Belassen Sie den Wert auf 0.

    Lokal

  5. Klicken Sie auf OK, um zur Property Sheet zurückzukehren. Die Variable MYDIAMETER wird dem HyperView-Protokoll jetzt hinzugefügt.
  6. Als nächstes fügen Sie ein Meßobjekt in das Protokoll ein.
  7. Wählen Sie das Meßobjekt aus, positionieren Sie es und stellen Sie die gewünschte Größe ein. Der vertikale Abstand stellt die gesamte Strecke dar, auf der die Anzeigeleiste bewegt werden kann.
  8. Doppelklicken Sie auf das Meßobjekt, um das Dialogfeld Property Sheet aufzurufen.
  9. Wählen Sie die Registerkarte PC-DMIS.
  10. Klicken Sie auf die Eigenschaft MaximumEq. Der VBS Mini-Editor wird angezeigt, wobei jedoch eine Vielzahl seiner Funktionen deaktiviert sind.
  11. Wählen Sie KONST aus der Liste aus. Mit diesem Wert können 100%-Wert des Meßobjekts definieren..
  12. Geben Sie den maximal zulässigen Wert für den Kreisdurchmesser ein. Im vorliegenden Beispiel wird ein Kreis mit einem Durchmesser von 2,5 cm mit einer zulässigen Toleranz von 0,025 gemessen. Der maximal zulässige Wert wäre daher 2,525.
  13. Klicken Sie auf OK, um zur Property Sheet zurückzukehren.
  14. Klicken Sie auf die Eigenschaft MinimumEq. Der VBS Mini-Editor wird geöffnet. Mit diesem Wert können 0%-Wert des Meßobjekts definieren..
  15. Wählen Sie KONST aus der Liste aus.
  16. Geben Sie den minimal zulässigen Wert für den Kreisdurchmesser ein. Da in diesem Beispiel wiederum ein Kreis mit einem Durchmesser von 2,5 cm mit einer zulässigen Toleranz von 0,025 gemessen wird, würde der minimal zulässige Wert daher 2,475 betragen.
  17. Klicken Sie auf OK, um zur Property Sheet zurückzukehren. Nun müssen Sie als tatsächlichen Wert für das Meßobjekt den Kreisdurchmesser eingeben.
  18. Während das Meßobjekt nach wie vor auf dem Property Sheet ausgewählt ist, klicken Sie auf Registerkarte PC-DMIS und wählen Sie dann den Wert für die Eigenschaft ValueEq aus. Der VBS Mini-Editor wird angezeigt, wobei jedoch eine Vielzahl seiner Funktionen deaktiviert sind.
  19. Wählen Sie + EQ ($) in der Liste links aus.
  20. Wählen Sie <MYDIAMETER> in der rechten Liste aus.
  21. Klicken Sie auf OK, um den VBS Mini-Editor zu schließen.
  22. Schließen Sie das Property Sheet und speichern Sie das Protokoll. In diesem Beispiel erhält das Protokoll den Namen gaugetest.rpt
  23. Sie werden nun ein allgemeines Kreiselement in PC-DMIS erstellen.
  24. Wählen Sie das Bearbeitungsfenster von PC-DMIS und versetzen Sie das Programm in den Befehlsmodus.
  25. Fügen Sie ein allgemeines Element ein, indem Sie ALLGEMEIN eingeben und die Tabulatortaste drücken. Zuerst erscheint ein allgemeines Punktelement im Bearbeitungsfenster, wobei die ID dieses Elements markiert ist.
  26. Drücken Sie F9, um das Dialogfeld dieses allgemeinen Elements zu öffnen.
  27. Im Bereich Elementtyp wählen Sie Kreis aus.
  28. Im Bereich Datentyp wählen Sie Nennwerte aus.
  29. Geben Sie den Namen für den Kreis in das Feld Elementname ein. In diesem Beispiel lautet der Elementname CIR1.
  30. Geben Sie die XYZ- und IJK-Werte für CIR1 ein.
  31. Wählen Sie die Option Durchm. und weisen Sie CIR1 einen Nennwert von 1 zu.
  32. Ändern Sie je nach Bedarf weitere Optionen und klicken Sie auf OK, wenn Sie fertig sind. Das allgemeine Kreiselement im Bearbeitungsfenster sollte etwa folgendermaßen aussehen:
CIR1    =ALLGEMEIN/KREIS,ABHÄNGIG,KART,AUSSEN,$
      NENNW/XYZ,1,1,0.95,$
      MESS/XYZ,1,1,0.95,$
      NENNW/IJK,0,0,1,$
      MESS/IJK,0,0,1,$
      DURCHM/1,0
  33. Bewegen Sie Ihren Cursor vor das Element CIR1 und fügen Sie einen Eingabekommentar ein, der einen gemessenen Durchmesserwert enthalten wird (da dieses Beispiel im Offline-Modus ausgeführt wird, werden die "gemessenen" Werte manuell eingegeben). Beispiel:
C1=KOMMENTAR/EINGABE,Geben Sie den gemessenen Durchmesser für CIR1 ein.
  34. Gehen Sie nun zu dem Befehlsblock für CIR1 und ändern Sie in der letzten Zeile, mit dem Inhalt DURCHM/1,0, den zweiten Parameter, den gemessenen Durchmesser von "0" auf C1.EINGABE . Damit wird der Wert aus dem Eingabekommentar dem gemessenen Durchmesser für CIR1 zugewiesen.
      DURCHM/1,C1.EINGABE
  35. Bewegen Sie den Cursor nun hinter das Element CIR1 und betten Sie das gespeicherte HyperView-Protokoll über die Menüoption Hyper-Report ein.
  36. Setzen Sie Ihren Cursor nun in dem PROTOKOLL/DATEINAME-Befehl, an der Stelle PARAM/=, direkt vor das Gleichzeichen und geben Sie MYDIAMETER ein. Bewegem Sie den Cursor dann direkt hinter das Gleichzeichen und geben Sie CIR1.DURCHM ein. Der Code zur Einbettung Ihres HyperView-Protokoll sollte etwa folgendermaßen aussehen:
CS1    =PROTOKOLL/DATEINAME= C:\PCDMIS35\GAUGETEST.RPT, AUTODRUCKEN=NEIN
      PARAM/MYDIAMETER=CIR1.DURCHM
      PARAM/=
      ENDEPROTOKOLL/
  37. Markieren Sie neu hinzugefügten Befehle und führen Sie das Werkstückprogramm aus. Der Durchmesser für CIR1 wird als Parametr in das HyperView-Protokoll aufgenommen und die Statusanzeige verändert sich dynamisch abhängig vom gemessenen Kreisdurchmesser.


Grafikobjekt

Mit dem Grafikobjekt wird eine Grafik in das HyperView-Protokoll eingefügt, deren Daten dynamisch aktualisiert werden können. Mit dem Grafikobjekt können Sie eine Reihe von Datenpunkten speichern und anzeigen. Verwenden Sie X- und Y-Werte zum Bestimmen der Datenpunkte auf der Grafik.

Standardmäßiges Grafikobjekt

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können die Daten von Grafikobjekten dynamisch aktualisiert werden, indem diese Eigenschaften in Verbindung mit Visual BASIC-Code eingesetzt werden.

Eigenschaft Beschreibung
DataPointColor
 Hiermit werden die Farben geändert, die auf X- und Y-Datenpunkten sowie für zwischen zwei Punkten gezeichnete Linien verwendet werden.
Breite
 Hiermit wird der Durchmesser (in Pixel) des Datenpunkts geändert.
ConnectPoints
 Wird diese Eigenschaft auf JA eingestellt, werden Linien zwischen den Datenpunkten der Grafik gezeichnet, um diese visuell miteinander zu verbinden.
Nach Rechts
 Wird diese Eigenschaft auf NEIN eingestellt, wird die Y-Achse umgekehrt, wobei der obere Bereich negativ und der untere Bereich positiv wird.
Xdivisions
 Hierbei wird die X-Achse der Grafik geteilt, wobei die vorgegebene Anzahl Spalten eingefügt wird.
Ydivisions
 Hierbei wird die Y-Achse der Grafik geteilt, wobei die vorgegebene Anzahl Zeilen eingefügt wird.
EnablePoint
 Wird diese Eigenschaft auf 1 eingestellt, können neue Datenpunkte in die Grafik eingefügt werden.

Wird sie auf 0 eingestellt, können keine neuen Datenpunkte eingefügt werden.

ClearAllPoint
 Wird diese Eigenschaft auf 1 eingestellt, werden alle Datenpunkte aus der Grafik gelöscht, wenn sich das HyperView-Protokoll das nächste Mal im Ausführmodus befindet.

Wird sie auf 0 eingestellt, bleiben alle Datenpunkte in der Grafik erhalten.

XpointEq
 Dies ist der X-Wert für die Datenpunkte auf der Grafik. Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.
YpointEq
 Dies ist der Y-Wert für die Datenpunkte auf der Grafik. Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.
XminEq
 Dies ist die Minimalgleichung für die X-Achse. Der verwendete Wert bestimmt den Anfangswert für die X-Achse.

Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.

YminEq
 Dies ist die Minimalgleichung für die Y-Achse. Der verwendete Wert bestimmt den Anfangswert für die Y-Achse.

Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.

XmaxEq
 Dies ist die Maximalgleichung für die X-Achse. Der verwendete Wert bestimmt den Endwert für die X-Achse.

Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.

YmaxEq
 Dies ist die Maximalgleichung für die Y-Achse. Der verwendete Wert bestimmt den Endwert für die Y-Achse.

Sie können eine einfache Gleichung verwenden oder die Daten über ein VB-Skript auswerten.

Tipp: Sie können die Größe der Y-Achse verändern, indem Sie die Auf- und Ab-Pfeile in der Nähe des Nullpunkts der Grafik anklicken .

Siehe auch:

Beispiel zur Verwendung von BASIC-Skripting für die dynamische Zeichen von Punkten auf der Grafik


Beispiel zur Verwendung von BASIC-Skripting für das dynamische Zeichnen von Punkten auf der Grafik

Mit Hilfe des BASIC-Codes im VBS Mini-Editor können Sie dynamisch Punkte auf einem Grafikobjekt zeichnen. Sie möchten beispielsweise ein Protokoll erstellen, in dem Punkte basierend auf Benutzereingaben gezeichnet werden. Sie können hierfür einen Code ähnlich wie im folgenden Beispiel verwenden:

Einrichten der Grafik

  1. Erstellen Sie ein mehrseitiges Protokoll mit zehn Seiten, indem Sie die Anweisungen unter "Erstellen von mehrseitigen Protokollen" befolgen.
  2. Fügen Sie ein Grafikobjekt in das Protokoll ein.
  3. Doppelklicken Sie auf das Grafikobjekt, um das Dialogfeld Property Sheet aufzurufen.
  4. Wählen Sie die Registerkarte PC-DMIS.
  5. Klicken Sie auf die Eigenschaft XmaxEq. Der VBS Mini-Editor wird geöffnet.
  6. Wählen Sie KONST aus der Liste aus und geben Sie 100 ein. Hiermit wird das obere Ende des X-Bereichs der Grafik eingestellt.
  7. Klicken Sie auf OK, um zur Property Sheet zurückzukehren.
  8. Klicken Sie auf die Eigenschaft YmaxEq.
  9. Wählen Sie KONST aus der Liste aus und geben Sie 100 ein. Hiermit wird das obere Ende des Y-Bereichs der Grafik eingestellt.
  10. Klicken Sie auf OK, um zur Property Sheet zurückzukehren.
  11. Stellen Sie weitere Eigenschaften ein, um die Darstellung der Grafik Ihren Anforderungen anzupassen.
  12. Schließen Sie das Dialogfeld Property Sheet.

Deklarieren globaler Variablen

  13. Deklarieren Sie die folgenden globalen Variablen, indem Sie die Anweisungen unter "Deklarieren globaler Variablen mit Hilfe der Eigenschaft 'LocalVariables'" befolgen.

    Xvalue (X-Wert)

    Yvalue (Y-Wert)

Hinzufügen einer Schaltfläche zum Senden von Benutzereingaben an die globalen Variablen

  14. Fügen Sie ein Schaltflächenobjekt in das Protokoll ein.
  15. Klicken Sie auf seine Beschriftung und ändern Sie diese in Plot a Point (Punkt zeichnen).
  16. Öffnen Sie für das neu hinzugefügte Schaltflächenobjekt das Property Sheet und wählen Sie das Ereignis EventClick. Der VBS Mini-Editor wird geöffnet.
  17. Fügen Sie den folgenden Code ein, um eine Eingabe des Benutzers zum Zeichnen eines Punktes zu erhalten:
    Xvalue = InputBox ("Geben Sie den X-Wert ein:")
Yvalue = InputBox ("Geben Sie den Y-Wert ein:")
  18. Klicken Sie auf OK, um den Code zu akzeptieren und kehren Sie zum Dialogfeld Property Sheet zurück.
  19. Schließen Sie das Dialogfeld Property Sheet.

Bearbeiten der Grafik für die Verwendung der globalen Variablen

  20. Klicken Sie auf die Eigenschaft XpointEq. Der VBS Mini-Editor wird geöffnet.
  21. Wählen Sie +EQ($) aus der Liste aus. Es wird eine weitere Liste angezeigt. Wählen Sie aus dieser Liste <Xvalue> aus.
  22. Klicken Sie auf OK, um zur Property Sheet zurückzukehren.
  23. Klicken Sie auf die Eigenschaft YpointEq. Der VBS Mini-Editor wird geöffnet.
  24. Wählen Sie +EQ($) aus der Liste aus. Es wird eine weitere Liste angezeigt. Wählen Sie aus dieser Liste <Yvalue> aus.
  25. Klicken Sie auf OK, um zum Dialogfeld Property Sheet zurückzukehren.
  26. Schließen Sie das Dialogfeld Property Sheet.

Das Protokoll testen

  27. Drücken Sie auf STRG + E, um das Protokoll in den Ausführmodus zu versetzen.
  28. Drücken Sie die Tasten BILD-AUF oder BILD-AB, um die Miniatur-Symbolleiste anzuzeigen, mit der Sie mehrseitige Protokolle durchblättern können.
  29. Klicken Sie auf Plot a Point (Punkt zeichnen).
  30. Geben Sie die X- und Y-Werte ein.
  31. Klicken Sie auf der Miniatur-Symbolleiste auf Aktualisieren und sehen sie, wie der Punkt dynamisch an der richtigen XY-Position gezeichnet wird.


Schaltflächenobjekt

Mit dem Schaltflächenobjekt wird ein Schaltflächen-Steuerelement in das HyperView-Protokoll eingefügt. Sie können eine Aktion auswählen, die beim Klicken auf eine Schaltfläche im Protokoll ausgeführt wird. Bearbeiten Sie hierfür die Eigenschaft ButtonType.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft Beschreibung
Standard
 Hiermit wird festgelegt, wie Schaltflächen reagieren, wenn Sie die EINGABETASTE drücken.

JA – Die Schaltfläche reagiert auf die Betätigung der EINGABETASTE, auch wenn eine andere Schaltfläche diese Belegung hat.

NEIN – Bei Betätigung der EINGABETASTE reagiert nur die Schaltfläche, die diese Belegung hat.

ButtonShape
 Hiermit wird die Darstellung der Schaltfläche bestimmt. Folgende Optionen stehen zur Auswahl:

0- Normal: Die Form wird in eine Standardschaltfläche geändert.

1- Property tab Active (Registerkarte "Eigenschaften" aktiviert): Die Form wird in eine nicht ausgewählte Registerkarte eines Property Sheet geändert.

2- Property tab Active (Registerkarte "Eigenschaften" aktiviert): Die Form wird in eine ausgewählte Registerkarte eines Property Sheet geändert.

Text
 Hiermit wird der Text auf der Schaltfläche festgelegt.
Bitmap
 Hiermit wird eine Bitmap Ihrer Wahl oben in die Schaltfläche eingefügt. Hierfür werden dasselbe Dialogfeld und dieselben Eigenschaften verwendet, wie unter "Bitmap-Objekt" beschrieben.
Layout
 Hiermit wird die Position des Bitmap oder Textes auf der Schaltfläche eingestellt. Zulässige Werte sind:
0- Mitte
1- Links
2- Rechts
3- Oben

4- Unten

ButtonType
 Hiermit wird die Aktion einer Schaltfläche festgelegt, wenn sie angeklickt wird.
  1. Abbrechen: Schließt das Protokoll und führt keine weiteren Aktionen durch.
  2. EventClick: Führt eine C++ oder VBScript-Aktion durch
  3. Gehe zu: Wechselt der mit Multi Document Interface (MDI; Mehrfachdokumentschnittstelle) verbundenen Datei.
  4. Hilfe: ruft die WinHelp()-Funktion mit der Eigenschaft "HelpContextID" auf, um das richtige Thema zu öffnen.

4- OK: Zeichnet Änderungen auf und schließt das Protokoll.

5- Aufzeichnen: Zeichnet Änderungen auf und läßt das Protokoll geöffnet.

GotoPath
 Hiermit wird die verbundene MDI-Datei bestimmt, die das Protokoll beim Klicken auf die Schaltfläche aufruft. Diese Funktion wird häufig verwendet, um Steuerelemente ähnlich wie das Property Sheetn zu implementiren.


Kontrollkästchenobjekt

Mit dem Kontrollkästchenobjekt wird ein Kontrollkästchen in das HyperView-Protokoll eingefügt. Kontrollkästchen schließen sich, anders als Optionsschaltflächen, gegenseitig nicht aus. Sie können stets beliebig viele Kontrollkästchen aktivieren (sofern sie zur Auswahl stehen).

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft Beschreibung
OwnerDrawn
 Hiermit wird festgelegt, auf welche Weise ein Kontrollkästchen im Protokoll gezeichnet wird.

Wird diese Einstellung auf TRUE (Wahr) eingestellt, wird das Kontrollkästchen mit Hilfe eines Bitmap gezeichnet, das in den Eigenschaften Bitmap und Bitmap (Off) (Aus) festgelegt wurde.

Mit der Einstellung FALSE (Falsch) wird das Kontrollkästchen normal gezeichnet.

Bitmap
 Hiermit können Sie ein bestimmtes Bitmap angeben, sofern OwnerDrawn auf TRUE (Wahr) eingestellt wurde und das Kontrollkästchen aktiviert wird.

Das angegebene Bitmap muß dieselbe Form aufweisen, wie ein standardmäßiges Kontrollkästchen.

BitmapOffState
 Hiermit können Sie ein bestimmtes Bitmap angeben, sofern OwnerDrawn auf TRUE (Wahr) eingestellt wurde und das Kontrollkästchen nicht aktiviert wird.

Das angegebene Bitmap muß dieselbe Form aufweisen, wie ein standardmäßiges Kontrollkästchen.

TriState
 Mit dieser Eigenschaft kann ein Kontrollkästchen über die beiden üblichen Modi TRUE (ON) (Wahr; Ein) und FALSE (OFF) (Falsch; Aus) hinaus über einen weiteren Modus verfügen. Dabei handelt es sich um "teilweise wahr", was Ihnen ermöglicht zu bestimmen, ob ein Teil einer gewählten Option "wahr" ist.
AlignTextLeft
 Wird diese Eigenschaft auf JA eingestellt, wird der Text links vom Kontrollkästchen angezeigt, wie folgt:
Text hier [ ]

Wird diese Eigenschaft auf NEIN eingestellt, wird der Text rechts vom Kontrollkästchen angezeigt, wie folgt:

[ ] Text hier

Text
 Der hier angegebene Text wird auf dem Kontrollkästchen-Steuerelement angezeigt.
HelpHotButton
 Mit der Einstellung JA wird eine Hilfe-Schaltfläche (Fragezeichen) neben dem Kontrollkästchen angezeigt.

Durch Anklicken dieser Schaltfläche im Ausführmodus wird die PC-DMIS-Online-Hilfe gestartet

ValueID
 Diese Eigenschaft beinhaltet die Variablen CurPage und NumPages. Mit dem Steuerelement rufen Sie diese Eigenschaft auf und stellen sie ein.


Optionsfeldobjekt

Mit dem Optionsfeldobjekt wird eine Optionsschaltfläche in das HyperView-Protokoll eingefügt. Optionsschaltflächen schließen einander aus, das heißt, in Ihrem Protokoll können Sie jeweils nur eine Optionsschaltfläche auswählen. Mit der Eigenschaft ListItems können Sie eine Reihe von Optionsschaltflächen definieren.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft Beschreibung
Bitmap
 Hiermit können Sie ein Bitmap für eine ausgewählte Optionsschaltfläche festlegen.

Das angegebene Bitmap muß dieselbe Form aufweisen, wie eine standardmäßige Optionsschaltfläche.

BitmapOffState
 Hiermit können Sie ein Bitmap für eine nicht ausgewählte Optionsschaltfläche festlegen.

Das angegebene Bitmap muß dieselbe Form aufweisen, wie eine standardmäßige Optionsschaltfläche.

AlignTextLeft
 Wird diese Eigenschaft auf JA eingestellt, wird der Text links von der Optionsschaltfläche angezeigt, wie folgt:
Text hier ( )

Wird diese Eigenschaft auf JA eingestellt, wird der Text rechts von der Optionsschaltfläche angezeigt, wie folgt:

( ) Text hier

ListItems
 Definiert eine Liste von Optionsschaltflächen und die damit verknüpften Werte (siehe auch die Beschreibung zum Dialogfeld List Choices [Wahlmöglichkeiten auflisten] weiter unten).
ValueID
 Diese Eigenschaft beinhaltet die Variablen CurPage und NumPages. Mit dem Steuerelement rufen Sie diese Eigenschaft auf und stellen sie ein.

Mit der Eigenschaft ListItems wird das Dialogfeld List Choices (Wahlmöglichkeiten auflisten) angezeigt.

In diesem Dialogfeld können Sie Optionsschaltflächen hinzufügen, umbenennen und löschen sowie numerische Werte zuweisen. Beim Hinzufügen einer neuen Option wird der Wert für diese Option normalerweise automatisch erhöht, so daß jeweils nur eine Schaltfläche ausgewählt werden kann. Sie können die numerischen Werte jedoch so ändern, daß im Ausführmodus bestimmte Optionsgruppen mit einem Mausklick ausgewählt werden können.

Im folgenden Beispiel sehen Sie fünf Optionsschaltflächen mit der Bezeichnung Option A bis E, deren ursprüngliche Werte folgendermaßen geändert wurden:

Optionsschaltfläche | Wert
Option A | 0
Option B | 0
Option C | 1
Option D | 2
Option E | 2

Wenn Sie im Ausführmodus Option A wählen, werden Option A und Option B gewählt. Der Grund hierfür ist, daß sie denselben Wert aufweisen. Dasselbe gilt für Option E – in diesem Fall werden Option D und Option E gewählt. Nur Option C verfügt über einen eindeutigen Wert. In diesem Fall wird bei der Auswahl dieser Option keine weitere Option gewählt.


Kombinationsfeldobjekt

Mit dem Kombinationsfeldobjekt wird ein Kombiliste in das HyperView-Protokoll eingefügt. Mit dieser Liste werden verschiedene Optionen zur Auswahl angezeigt, wenn Sie diese Liste im Ausführmodus anklicken.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft Beschreibung
Accelerator
 Hiermit können Sie einen Buchstaben festlegen, der zusammen mit der ALT-Taste betätigt wird, um für das Steuerelement eine Zugriffstaste (Schnellzugriff) zu erstellen.

Der festgelegte Buchstabe bzw. das Symbol sollte sich von den anderen Zugriffstasten unterscheiden (inklusive der Zugriffstasten für die Menüleiste).

UseColors
 Diese Eigenschaft bestimmt, ob dieses Steuerelement die unter BackColor und TextColor angegebenen Farben verwenden soll oder nicht.
ListItems
 Diese Eigenschaft definiert eine Liste an Einträgen und die damit verbundenen Werte (siehe auch die Beschreibung zum Dialogfeld List Choices [Wahlmöglichkeiten auflisten] unter "Optionsfeldobjekt").
NumDropped
 Die angegebene Zahl bestimmt, wie viele Listeneinträge im Protokoll angezeigt werden, wenn Sie die Liste im Ausführmodus anklicken.
Sort
 Bei der Auswahl von JA werden die Listeneinträge in alphabetischer Reihenfolge sortiert.
ComboType
 Hiermit wird der Typ der Kombiliste festgelegt. Wählen Sie entweder Droplist oder Dropdown.
HelpHotButton
 Mit der Einstellung JA wird eine Hilfe-Schaltfläche (Fragezeichen) neben dem Kontrollkästchen angezeigt.

Durch Anklicken dieser Schaltfläche im Ausführmodus wird die PC-DMIS-Online-Hilfe gestartet

ValueID
 Diese Eigenschaft beinhaltet die Variablen CurPage und NumPages. Mit dem Steuerelement rufen Sie diese Variablen auf und stellen sie ein.


Listenfeldobjekt

Mit dem Listenfeldobjekt wird eine offene Liste in das HyperView-Protokoll eingefügt.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft Beschreibung
Accelerator
 Hiermit können Sie einen Buchstaben festlegen, der zusammen mit der ALT-Taste betätigt wird, um für das Steuerelement eine Zugriffstaste (Schnellzugriff) zu erstellen.

Der festgelegte Buchstabe bzw. das Symbol sollte sich von den anderen Zugriffstasten unterscheiden (inklusive der Zugriffstasten für die Menüleiste).

UseColors
 Diese Eigenschaft bestimmt, ob dieses Steuerelement die unter BackColor und TextColor angegebenen Farben verwenden soll oder nicht.
Sort
 Bei der Auswahl von JA werden die Listenelemente in alphabetischer Reihenfolge sortiert.
HorizontalScroll
 Bei der Auswahl von IMMER wird eine horizontale Bildlaufleiste in das Listenfeld eingefügt, auch wenn der Text für einen Listeneintrag zum Scrollen nicht lang genug ist.

Bei der Auswahl von Keine wird die Bildlaufleiste entfernt.

VerticalScroll
 Bei der Auswahl von IMMER wird eine vertikale Bildlaufleiste in das Listenfeld eingefügt, auch wenn nicht genügend Listeneinträge zum Scrollen vorhanden sind.

Bei der Auswahl von Keine wird die Bildlaufleiste entfernt.

UseTabstops
 Hiermit wird festgelegt, ob im Listenfeld Tabstops verwendet werden oder nicht. Mit der Einstellung JA wird dieses Listenfeld bei Betätigung der TAB-Taste im Ausführmodus schließlich das aktive Steuerelement.
WantKeyInput
 Hiermit wird festgelegt, ob im Listenfeld Tastatureingaben akzeptiert werden oder nicht.
RemoveSelection
 Mit der Einstellung JA wird die Auswahl aus dem Listenfeld (ListID) beim Aufzeichnen entfernt.
ListID
 Dies ist die ID der Liste. Mit dem Steuerelement rufen Sie diese Eigenschaft auf und stellen sie ein. Folgendes Format sollte verwendet werden:

item 1\r\nitem 2\r\nitem 3 usw.

ValueID
 Dies ist die ID des Werts. Mit dem Steuerelement rufen Sie diese Eigenschaft auf und stellen sie ein.


Bearbeitungsfeldobjekt

Mit dem Bearbeitungsfeldobjekt wird ein Feld, das bearbeitet werden kann, in das HyperView-Protokoll eingefügt. Sie können dieses Objekt mit Visual BASIC-Skripting verwenden, um Informationen von den protokollführenden Personen einzuholen.

Neben der Möglichkeit, die Größe, die Farbe und andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft Beschreibung
Accelerator
 Hiermit können Sie einen Buchstaben festlegen, der zusammen mit der ALT-Taste betätigt wird, um für das Steuerelement eine Zugriffstaste (Schnellzugriff) zu erstellen.

Der festgelegte Buchstabe bzw. das Symbol sollte sich von den anderen Zugriffstasten unterscheiden (inklusive der Zugriffstasten für die Menüleiste).

Ausrichtung
 Der Text wird im Objekt ausgerichtet. Zur Auswahl stehen folgende Ausrichtungen: Links, Mittig und Rechts.
ReadOnly
 Wird diese Eigenschaft auf JA eingestellt, ist der Text schreibgeschützt und kann nicht bearbeitet werden, wenn das Protokoll im Ausführmodus ist.
BorderDrawn
 Wird diese Eigenschaft auf JA eingestellt, wird ein Rand um das Steuerelement gezeichnet.
CaseOrPassword
 Hiermit wird der Textstil für das Feld eingestellt. Die folgenden Optionen sind verfügbar:

0 – None (Keine): Textanzeige wird nicht geändert.

1 - Lower Case (Kleinschreibung): Der gesamte Text wird in Kleinbuchstaben angezeigt,

2 - Upper Case (Großschreibung): Der gesamte Text wird in Großbuchstaben angezeigt,

3 – Password (Kennwort): Jedes Zeichen wird durch ein Sternchen verborgen.

UseColors
 Mit der Einstellung JA werden in BackColor und TextColor angegebene Farben angezeigt.
HelpHotButton
 Mit der Einstellung JA wird eine Hilfe-Schaltfläche (Fragezeichen) neben dem Kontrollkästchen angezeigt.

Durch Anklicken dieser Schaltfläche im Ausführmodus wird die PC-DMIS-Online-Hilfe gestartet

ValueID
 Diese Eigenschaft beinhaltet die Variablen CurPage und NumPages. Mit dem Steuerelement rufen Sie diese Variablen auf und stellen sie ein.


EditLongBox-Objekt

Mit dem EditLongBox-Objekt können Sie ein Bearbeitungsfeld in das HyperView-Protokoll einfügen, das nur lange numerische Werte akzeptiert. Dieses Objekt verfügt über alle Eigenschaften des Bearbeitungsfeldobjekts (siehe auch "Bearbeitungsfeldobjekt"), ergänzt um die Eigenschaften MinimumEq und MaximumEq:

Eigenschaft Beschreibung
MinimumEq
 Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VBScript ausgegebener Wert sein.)

-$, $, KONST
MaximumEq Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VBScript ausgegebener Wert sein.)
-$, $, KONST


EditDbleBox-Objekt

Mit dem EditDblBox-Objekt können Sie ein Bearbeitungsfeld in das HyperView-Protokoll einfügen, in dem Variablen des Typs "Double" akzeptiert werden. Dieses Objekt verfügt über alle Eigenschaften des Bearbeitungsfeldobjekts (siehe auch "Bearbeitungsfeldobjekt"), ergänzt um die Eigenschaften MinimumEq und MaximumEq:

Eigenschaft Beschreibung
MinimumEq
 Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VBScript ausgegebener Wert sein.)

-$, $, KONST
MaximumEq Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VBScript ausgegebener Wert sein.)
-$, $, KONST


MultiEditBox-Objekt

Mit dem MultiEditBox-Objekt wird ein Bearbeitungsfeld eingefügt, das mehr als nur eine Zeile Text unterstützt. Dieses Objekt weist alle Eigenschaften des Bearbeitungsfeldobjekts (siehe auch "Bearbeitungsfeldobjekt") und zusätzlich folgende Eigenschaften auf:

Eigenschaft Beschreibung
HorizontalScroll
 Bei der Auswahl von IMMER wird eine horizontale Bildlaufleiste in das Listenfeld eingefügt, auch wenn der Text für einen Listeneintrag zum Scrollen nicht lang genug ist.

Bei der Auswahl von Keine wird die Bildlaufleiste entfernt.

VerticalScroll
 Bei der Auswahl von IMMER wird eine vertikale Bildlaufleiste in das Listenfeld eingefügt, auch wenn der Text für einen Listeneintrag zum Scrollen nicht lang genug ist.

Bei der Auswahl von Automatic (Automatisch) wird nur dann eine vertikale Bildlaufleiste in das Listenfeld eingefügt, wenn die Anzahl der Listeneinträge die vertikale Höhe des Feldes übersteigt.

Bei der Auswahl von Keine wird die Bildlaufleiste entfernt.


Schiebereglerobjekt

Mit dem Schiebereglerobjekt wird ein Schieberegler in das HyperView-Protokoll eingefügt. Mit diesem Schieberegler können die Benutzer aus einer Reihe von möglichen aufeinanderfolgenden Werten einen Wert auswählen.

Neben der Möglichkeit, die Größe sowie andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft Beschreibung
Accelerator
 Hiermit können Sie einen Buchstaben festlegen, der zusammen mit der ALT-Taste betätigt wird, um für das Steuerelement eine Zugriffstaste (Schnellzugriff) zu erstellen.

Der festgelegte Buchstabe bzw. das Symbol sollte sich von den anderen Zugriffstasten unterscheiden (inklusive der Zugriffstasten für die Menüleiste).

Positionierung
 Hiermit wird die Ausrichtung des Schiebereglers eingestellt.

Bei der Auswahl von Horizontal kann der Schieberegler horizontal bewegt werden, von rechts nach links oder umgekehrt.

Bei der Auswahl von Vertikal kann der Schieberegler vertikal von oben nach unten und umgekehrt bewegt werden.

TickStyle
 Hiermit können Sie einstellen, auf welche Weise Markierungen auf einem Schieberegler angezeigt werden.

0 – Beide: Die Markierungen werden bei einem horizontalen Schieberegler über und unter dem Schieberegler, bei einem vertikalen Schieberegler links und rechts davon angezeigt.

1 - Oben/Links: Die Markierungen werden bei einem horizontalen Schieberegler über dem Schieberegler, bei einem vertikalen Schieberegler links davon angezeigt.

2 - Unten/Rechts: Die Markierungen werden bei einem horizontalen Schieberegler unter dem Schieberegler, bei einem vertikalen Schieberegler rechts davon angezeigt.

AutoTicks
 Mit der Einstellung JA werden auf dem Schieberegler Markierungen angezeigt. Eine Markierung ist eine kleine vertikale oder horizontale Linie, die in bestimmten Abständen (eingestellt mit der Eigenschaft TickFrequency) entlang des Schiebereglers angezeigt wird.
TickFrequency
 Mit diesem Wert können Sie festlegen, in welchem Abstand die Markierungen angezeigt werden. Sie können einen Wert zwischen 2 und 200 Markierungen einstellen, die in gleichmäßigen Abständen entlang des Schiebereglers angezeigt werden.
HelpHotButton
 Mit der Einstellung JA wird eine Hilfe-Schaltfläche (Fragezeichen) neben dem Schieberegler angezeigt.

Durch Anklicken dieser Schaltfläche im Ausführmodus wird die PC-DMIS-Online-Hilfe gestartet

ValueID
 Dies ist die ID des Werts. Mit dem Steuerelement rufen Sie diese Eigenschaft auf und stellen sie ein.
MinimumEq
 Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VBScript ausgegebener Wert sein.)

-$, $, KONST

MaximumEq
 Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VBScript ausgegebener Wert sein.)

-$, $, KONST

DisplayID
 Hiermit wird festgelegt, ob DisplayID beim Anpassen des Schiebereglers aktualisiert wird oder nicht.


Spinner Object

Mit dem Spinner Object wird ein Rotier-Steuerelement in das HyperView-Protokoll eingefügt. Dieses Steuerelement kann zusammen mit einem Bearbeitungsfeld verwendet werden. Es bietet die Möglichkeit, numerische Werte auszuwählen, indem Sie durch Zahlenreihen blättern. Der Zahlenbereich wird über die Eigenschaften MinimumEQ und MaximumEQ eingestellt.

Neben der Möglichkeit, die vertikale Größe sowie andere Attribute des Objekts zu ändern, können Sie über die Eigenschaften weitere benutzerdefinierte Einstellungen vornehmen:

Eigenschaft Beschreibung
Accelerator
 Hiermit können Sie einen Buchstaben festlegen, der zusammen mit der ALT-Taste betätigt wird, um für das Steuerelement eine Zugriffstaste (Schnellzugriff) zu erstellen.

Der festgelegte Buchstabe bzw. das Symbol sollte sich von den anderen Zugriffstasten unterscheiden (inklusive der Zugriffstasten für die Menüleiste).

Positionierung
 Hiermit wird die Ausrichtung des Spinner-Steuerelements eingestellt.

Bei der Auswahl von Horizontal werden die Spinner-Pfeile so ausgerichtet, daß sie in die Horizontale zeigen.

Bei der Auswahl von Vertikal werden die Spinner-Pfeile so ausgerichtet, daß sie in die Vertikale zeigen.

WrapAround
 Wenn Sie eine Werteliste vergrößern oder verkleinern und beim kleinsten oder größten Wert ankommen, können Sie diese Eigenschaft auf Ja einstellen, so daß Ihr Protokoll am Ende der Liste zum Anfang springt oder umgekehrt.
EditBuddy
 Bei der Auswahl von JA wird das Spinner-Steuerelement mit dem Bearbeitungssteuerelement verknüpft, das in der Registerreihenfolge direkt vor dem Spinner-Element steht. Sie können die Registerreihenfolge anzeigen, indem Sie im Bearbeitungsmodus ein Objekt auswählen und STRG+EINGABETASTE drücken.
DecimalBase
 Hiermit wird die Basis des Spinner-Elements auf Dezimal (JA) oder Hexadezimal (NEIN) eingestellt.
IncrAccelerator
 Dieser Wert bestimmt den Wert, um den das Spinner-Objekt erhöht oder verringert werden soll, wenn Sie auf einen Pfeil klicken. Der Standardwert ist 1.
ValueID
 Diese Eigenschaft beinhaltet die Variablen CurPage und NumPages. Mit dem Steuerelement rufen Sie diese Variablen auf und stellen sie ein.
MinimumEq
 Mindestgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.)

-$, $, KONST

MaximumEq
 Maximalgleichung (Dieser Wert kann eine voreingestellte konstante Zahl, ein aus einer einfachen Gleichung stammender Wert oder ein von einem VB-Skript ausgegebener Wert sein.)
-$, $, KONST


ActiveX-Objekt

Mit dem ActiveX-Objekt wird ein ActiveX-Steuerelement in das HyperView-Protokoll eingefügt. Anschließend wird das Dialogfeld Insert OLE Control (OLE-Steuerelement einfügen) angezeigt.

In diesem Dialogfeld können Sie den Typ des einzufügenden Steuerelements aus einer Liste der auf Ihrem System bekannten Steuerelemente auswählen. Die Objekte in der OLE-Steuerelement-Liste sind je nach installierten Programmen und Komponenten auf jedem System verschieden.

Wenn Sie auf die Schaltfläche Abbrechen klicken, wird nichts hinzugefügt, und das Dialogfeld wird geschlossen.

Siehe auch:

Zugreifen auf die Methoden und Eigenschaften von ActiveX-Objekten über BASIC


Zugreifen auf die Methoden und Eigenschaften von ActiveX-Objekten über BASIC

Wenn Sie ein Steuerelement (beispielsweise ein ActiveX-Kalendersteuerelement) mit dem Namen MSCAL hinzugefügt haben, können Sie wie bei jedem anderen Objekt über das Property Sheet auf dessen Ereignisse und Eigenschaften zugreifen. In diesem Fall wird ein neue Registerkarte mit dem Titel "ActiveX" angezeigt, da es sich um ein ActiveX-Objekt handelt. Auf dieser Registerkarte befindet sich eine Liste von Variablen und Eigenschaften mit Standardwerten, die für den Benutzer zugänglich sind.

Um die Eigenschaften für ein ActiveX-Steuerelement im VBS Mini-Editor für einen Event-Handler einzustellen, geben Sie den Namen des Steuerelements ein, in diesem Fall "MSCAL." (mit dem Punkt). Es wird ein Fenster angezeigt, das den Zugriff auf die Variablen und Methoden gestattet. Wählen Sie "X" aus der Liste aus. Es wird ein weiteres Popup-Fenster mit einer Liste interner Variablen für das ActiveX-Steuerelement angezeigt, die bearbeitet werden können.


OLE-Objekt

Mit dem OLE-Objekt wird ein Objekt aus einer anderen Anwendung in Ihr HyperView-Protokoll eingebettet oder damit verknüpft. Mit diesem Objekt können Sie beispielsweise eine bearbeitungsfähige Microsoft Excel-Datei in Ihr Protokoll einfügen.

Nachdem Sie ein OLE-Objekt eingefügt haben, wird das Dialogfeld Objekt einfügen angezeigt.

In diesem Dialogfeld können Sie den Typ des einzufügenden OLE-Objekts aus einer Liste der auf Ihrem System derzeit verfügbaren Objekte auswählen. Die OLE-Objekte in der Liste sind je nach installierten Programmen und Komponenten auf jedem System verschieden.

Wenn Sie auf die Schaltfläche Abbrechen klicken, wird dem HyperView-Protokoll nichts hinzugefügt und das Dialogfeld geschlossen.

Siehe auch:

Zugreifen auf die Automatisierungsmethoden und Eigenschaften von OLE-Objekten über BASIC


Zugreifen auf die Automatisierungsmethoden und Eigenschaften von OLE-Objekten über BASIC

Wenn Sie ein OLE-Steuerelement (z. B. das Bitmap-Steuerelement mit dem Namen BITMAP) hinzugefügt und benannt haben, können Sie in BASIC auf die Automatisierungsmethoden und Eigenschaften des OLE-Objekts zugreifen. Sie können z. B. einen Programmcode hinzufügen, um das angezeigte Bitmap-Element zu ändern, um ein eingebundenes Excel-Arbeitsblatt-Objekt mit Daten zu füllen oder um ein eingebundenes Word-Dokument mit Text zu versehen. Mit dem folgenden Code können Sie auf die OLE-Automatisierungsmethoden und Eigenschaften des Objekts mit dem Namen BITMAP zuzugreifen:

AttachOLE("BITMAP_X")

Die Objektvariable BITMAP_X kann anschließend wie folgt verwendet werden:

BITMAP_X.{Eigenschaft} = {Wert}

oder

BITMAP_X.{Automatisierungsmethoden-Aufruf}.

Hinweis: Sie müssen in der Dokumentation für das betreffende OLE-Objekt nachschlagen, welche Methoden und Eigenschaften verfügbar sind.


CAD-Objekt

PC-DMIS-ERWEITERUNGSOBJEKT

Das CAD-Objekt dient zum Einfügen einer Grafikansicht in ein Protokoll. Wenn ein CAD-Objekt anfänglich in ein Protokoll gezogen und dort abgelegt wird, wird es mit einem einzigen Fenster erstellt und übernimmt die aktuelle aktive Grafik und den Ansichtsatz von der PC-DMIS-Grafikanzeige für das Werkstückprogramm.

Sie können das CAD-Objekt durch einen Doppelklick auf den Bereich innerhalb der Objektgrenzen "aktivieren". Wenn das CAD-Objekt aktiviert ist, wird es mit einem anderen Rahmen dargestellt, und die Funktionen Übertragung, 2D-Drehung, 3D-Drehung, Bearbeiten der Grafik sowie Ansichtensatz sind alle auf der PC-DMIS-Symbolleiste verfügbar. Ein aktiviertes Objekt wird deaktiviert, wenn Sie im HyperView-Protokoll auf eine beliebige Stelle außerhalb des CAD-Objekts klicken. OLE-Objekte verhalten sich ähnlich. Lesen Sie dazu die Beschreibung im Abschnitt ActiveX-Objekt und OLE-Objekt. Ein deaktiviertes CAD-Objekt ist einfach ein Bitmap-Bild der Grafik und nicht "live", wie im aktivierten Zustand. CAD-Objekte können sowohl im Bearbeitungs- als auch im Ausführmodus aktiviert werden. Wenn der Ansichtensatz des CAD-Objekts im Ausführmodus geändert wird, wird er automatisch gespeichert, wenn das Protokoll geschlossen oder in den Bearbeitungsmodus zurückgekehrt wird. Das CAD-Objekt fügt keine zusätzlichen Eigenschaften zur Registerkarte PC-DMIS auf der Property Sheet hinzu.


Analyseobjekt

PC-DMIS-ERWEITERUNGSOBJEKT

Das Analyseobjekt dient zum Einfügen eines PC-DMIS-Analysefensters in ein Protokoll. Das Analyseobjekt kann wie das CAD-Objekt aktiviert bzw. deaktiviert werden. Wenn Sie ein Analyseobjekt in ein Protokoll ziehen und dort ablegen, wird ein Dialogfeld eingeblendet, in dem der Benutzer bestimmen kann, welche Merkmale grafisch analysiert werden sollen. Wenn bereits ein Analyseobjekt erstellt wurde, kann dieses Dialogfeld wie folgt eingeblendet werden:

  1. Öffnen Sie das Property Sheet für das Analyseobjekt.
  2. Klicken Sie auf die Registerkarte PC-DMIS.
  3. Doppelklicken Sie auf den Eigenschaftseintrag "SettingsDialog". Es erscheint das Dialogfeld Optionen für Merkmalsanalyse.

In diesem Dialogfeld können Sie angeben, welche Informationen im Analysefenster angezeigt werden sollen.

So greifen Sie auf die verfügbaren Optionen zu:

  1. Wählen Sie das Merkmal im Listenfeld auf der linken Seite des Dialogfelds aus. Die für den jeweiligen Merkmalstyp verfügbaren Optionen stehen nun zur Auswahl.
  2. Wählen Sie die für das Merkmal geeigneten Optionen aus.

In diesem Dialogfeld sind die folgenden Optionen verfügbar:

Siehe auch:

Pfeilspitzen einblenden

Min./Max. Abweichungen einblenden

Rasterlinien einblenden

Rasteroptionen

Pfeillängen-Multiplikator

Durchmesser einblenden

Konturzeichnung einblenden

Farbinterpolation zwischen Meßpunkten einblenden

Pfeile einblenden

Linien zw. gemessenen Punkten einblenden

Linien zwischen Nennwerten einblenden

Toleranzlinien einblenden


Pfeilspitzen einblenden

Mit dem Kontrollkästchen Pfeilspitzen einblenden können Sie die Pfeilspitzen der Abweichungslinien ein- bzw. ausblenden.


HyperView-Protokolle erstellen - Analyseobjekt - Min./Max. Abweichungen einblenden

Min./Max. Abweichungen einblenden

Das Kontrollkästchen Min./Max. Abweichungen einblenden zeigt ein Textfeld an, in dem die Position der maximale Abweichung des jeweiligen Merkmals mit "*+" und die Position der minimalen Abweichung eines Merkmals mit "*-" angegeben ist.


Rasterlinien einblenden

Mit dem Kontrollkästchen Rasterlinien einblenden können Sie im Analysefenster Rasterlinien ein- bzw. ausblenden. Wenn dieses Kontrollkästchen aktiviert ist, wird die Schaltfläche Rasteroptionen verfügbar.


Rasteroptionen

Mit der Schaltfläche Rasteroptionen wird das Dialogfeld Rasteroptionen für Analyse aufgerufen, in dem Sie die Größe und Anzahl der Unterteilungen des im Analysefenster angezeigten Rasters bestimmen können.

Größe automatisch anpassen | Das Optionsfeld Größe automatisch anpassen paßt die Größe des Rasters automatisch auf Basis der in den X-, Y- und Z-Feldern angegebenen Anzahl von Objekten an.
Angegebene Größe | Mit Hilfe des Optionsfelds Angegebene Größe können Sie bestimmte Größen für die maximalen und minimalen Abgrenzungen eingeben.
Anzahl der Elemente | Mit den Bearbeitungsfeldern Anzahl der Elemente können Sie festlegen, wie viele Unterteilungen auf dem Analyseraster gezeichnet werden.
Max. Bereichsgrenze | Mit den Bearbeitungsfeldern Max. Bereichsgrenze können Sie die Obergrenzen der Analyserasterkoordinaten bestimmen.
Min. Bereichsgrenze | Mit den Bearbeitungsfeldern Min. Bereichsgrenze können Sie die Untergrenzen der Analyserasterkoordinaten bestimmen.


Pfeillängen-Multiplikator

Im Feld Pfeillängen-Multiplikator können Sie einen Maßstab eingeben, um den die Abweichungspfeile und der Toleranzbereich für den Grafikanalysemodus vergrößert werden. Wenn Sie einen Wert von 2,0 eingeben, skaliert PC-DMIS die Pfeile so, daß diese doppelt so groß sind wie die berechnete Abweichung der einzelnen Element-Meßpunkte.

Diese Option ist nur zu Anzeigezwecken verfügbar und erscheint nicht im Textausdruck.


Durchmesser einblenden

Mit dem Kontrollkästchen Durchmesser einblenden können Sie die Durchmesser von verfügbaren Positionsmerkmalen ein- bzw. ausblenden.


Konturzeichnung einblenden

Die Option Konturzeichnung einblenden kann nur in Verbindung mit Flächen-Scans eingesetzt werden. In der Konturzeichnung wird aus Flächenscanpunkten ein Netz erstellt. Dieses Netz wird dann mit den Farben schattiert, die den Profilabweichungen jedes Meßpunkts zugewiesen worden sind.


Farbinterpolation zwischen Meßpunkten einblenden

Mit dem Kontrollkästchen Farbinterpolation zwischen Meßpunkten einblenden können Sie die eingefügten Farben zwischen Meßpunkten ein- bzw. ausblenden.


Pfeile einblenden

Mit der Option Pfeile einblenden können Sie die Pfeile der Abweichungslinien ein- bzw. ausblenden.


Linien zwischen gemessenen Punkten einblenden

Mit dem Kontrollkästchen Linien zwischen gemessenen Punkten einblenden können Sie die Linien zwischen gemessenen Punkten ein- bzw. ausblenden.


Linien zwischen Nennwerten einblenden

Mit dem Kontrollkästchen Linien zwischen Nennwerten einblenden können Sie die Linien zwischen Nennwerten ein- bzw. ausblenden.


Toleranzlinien einblenden

Über das Kontrollkästchen Toleranzlinien einblenden wird die Anzeige der akzeptablen Toleranzen für das Merkmal ein- bzw. ausgeschaltet.


Histogramm-Objekt

PC-DMIS-ERWEITERUNGSOBJEKT

Das Histogramm-Objekt wird verwendet, um ein Histogramm für ein bestimmtes Merkmal direkt im HyperView-Protokoll einzufügen. Wenn Sie ein Histogramm-Objekt in ein Protokoll ziehen und dort ablegen, erscheint ein Dialogfeld, in dem der Benutzer bestimmen kann, welches Merkmal dem Objekt zugewiesen werden soll. Das Histogramm-Objekt zeigt die Anzahl der Abweichungen innerhalb der verschiedenen Toleranzbereiche an. Informationen zur Definition dieser Toleranzbereiche und Änderung der Farben, in denen die Bereiche angezeigt werden, finden Sie unter "Merkmalsfarbe bearbeiten" im Abschnitt "Bearbeiten der CAD-Anzeige".

Hinweis: Histogramm-Objekte sind nicht verfügbar für Merkmale, die nicht direkt aus den einzelnen Meßpunkten ihrer Elemente berechnet werden, wie beispielsweise Lage, Position und Eingabemerkmale.


Merkmalsfarbschlüssel-Objekt

PC-DMIS-ERWEITERUNGSOBJEKT

Das Merkmalsfarbschlüssel-Objekt wird verwendet, um einen Farbschlüssel direkt in das HyperView-Protokoll einzufügen. Dieser Farbschlüssel umfaßt die Farben, in denen die Toleranzbereiche für Analyse- und Histogramm-Objekte dargestellt werden. Informationen zur Definition dieser Toleranzbereiche und Änderung der Farben, in denen die Bereiche angezeigt werden, finden Sie unter "Merkmalsfarbe bearbeiten" im Abschnitt "Bearbeiten der CAD-Anzeige".


Elementtext-Objekt

PC-DMIS-ERWEITERUNGSOBJEKT

Das Elementtext-Objekt wird verwendet, um den Prüfprotokolltext für beliebige Elemente oder Merkmale innerhalb des Werkstückprogramms direkt in ein HyperView-Protokoll einzufügen. Wenn Sie ein Elementtext-Objekt in ein Protokoll ziehen und dort ablegen, erscheint ein Dialogfeld, in dem der Benutzer bestimmen kann, welches Merkmal bzw. welches Element dem Objekt zugewiesen werden soll. Das Elementtext-Objekt ist nur dann von Nutzen, wenn Sie möchten, daß der Text für ein Element oder ein Merkmal im HyperView-Protokoll genau so wie im Prüfprotokoll erscheinen soll. Wenn für ein Merkmal im Bearbeitungsfenster die Option "Textanalyse" ausgewählt wurde, kann das Elementtext-Objekt die zur Textanalyse dieses Merkmals gehörenden Punktinfos anzeigen. Das Merkmalsinfo-Objekt ist eine nützliche Alternative zur Anzeige weiterer Textinformationen zu einem bestimmten Merkmal.


Merkmalsinfo-Objekt

PC-DMIS-ERWEITERUNGSOBJEKT

Das Merkmalsinfo-Objekt wird verwendet, um einzelne Merkmalsangaben direkt in das HyperView-Protokoll einzufügen. Wenn Sie ein Merkmalsinfo-Objekt in ein Protokoll ziehen und dort ablegen, erscheint das Dialogfeld Merkmal Info, in dem der Benutzer bestimmen kann, welches Merkmal dem Objekt zugewiesen werden soll.

Mit dem Merkmalsinfo-Objekt wird das Dialogfeld Merkmal Info aufgerufen. Über dieses Dialogfeld können Sie ausgewählte Merkmalsangaben im HyperView-Protokoll anzeigen.

Weitere Informationen darüber, wie man mit diesem Dialogfeld Merkmalsinfos anzeigt, finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Bearbeiten der CAD-Anzeige".


Punktinfo-Objekt

PC-DMIS-ERWEITERUNGSOBJEKT

Mit dem Punktinfo-Objekt können Sie Angaben zu einzelnen Punkten direkt in das HyperView-Protokoll einfügen. Wenn Sie dieses Objekt ausgewählt haben und ein Feld auf ihrem Raster ziehen, wird das Dialogfeld Bearbeite Punktangaben eingeblendet.

Wählen Sie die Angaben aus, die im Protokoll angezeigt werden sollen, und klicken Sie dann auf OK. PC-DMIS erstellt die Punktinfo-Befehle für die ausgewählten Elemente oder Merkmale und schließt das Dialogfeld.

Sie können feststellen, daß PC-DMIS im Raster eine Tabelle mit Punktangaben zu Elementen oder Merkmalen anzeigt.

Dieses Objekt enthält XYZ-Koordinaten- und IJK-Vektorenangaben für den zweiten Meßpunkt eines Kreiselements.

Über das Kontrollkästchen Führungslinie einblenden wird festgelegt, ob Führungslinien (Linien vom Element zu den angezeigten Punktangaben) automatisch erstellt werden.

Hinweis: Bevor Sie dieses Kontrollkästchen markieren, müssen Analyse- oder CAD-Objekte in Ihrem HyperView-Protokoll vorhanden sein.

Weitere Informationen zu den anderen Optionen dieses Dialogfelds finden Sie unter "Einfügen von Punkt-Infofeldern" im Abschnitt "Bearbeiten der CAD-Anzeige".

Siehe auch:

Eigenschaften auf der PC-DMIS-Registerkarte für Punktinfo-Objekte:


Eigenschaften auf der PC-DMIS-Registerkarte für Punktinfo-Objekte:

Die folgende Tabelle führt auf, welche PC-DMIS-Eigenschaften für ein Punktinfo-Objekt verfügbar sind, wenn Sie das entsprechende Dialogfeld Property Sheet aufrufen.

Eigenschaft | Mögliche Werte | Beschreibung des zugehörigen Wertes
(Dialogfeld "Einstellungen") | … | Wird hierauf geklickt, wird das Dialogfeld "Bearbeite Punktangaben" geöffnet.
DimFeatID | Beliebige Zeichenfolge (standardmäßig etwa F1, F2, F3 etc.) | Dieser Wert legt die Element- ID fest.
HitNumber | Beliebige Meßpunkt -Nummer des betreffenden Elementtyps. | Dieser Wert bestimmt, welche Meßpunktnummer untersucht wird.
OrderDeviation | 1 bis 4. | Dieser Wert bestimmt die Plazierungsreihenfolge der Abweichung im Punkt-Infofeld.
OrderHitNum | 1 bis 4. | Dieser Wert bestimmt die Plazierungsreihenfolge der Meßpunktnummer im Punkt-Infofeld.
OrderPoint | 1 bis 4. | Dieser Wert bestimmt die Plazierungsreihenfolge der XYZ-Punktlage im Punkt-Infofeld.
OrderVector | 1 bis 4. | Dieser Wert bestimmt die Plazierungsreihenfolge des IJK-Vektors im Punkt-Infofeld.
ShowColumnLines | 0 oder 1. | Lautet der Wert 1, werden im Punkt-Infofeld Spaltenlinien angezeigt.
ShowGraph | 0 oder 1. | Lautet der Wert 1, wird eine Grafik im Punkt-Infofeld angezeigt.
ShowHeadings | 0 oder 1. | Lautet der Wert 1, werden die Zeilenüberschriften angezeigt.
ShowID | 0 oder 1. | Lautet der Wert 1, wird die Element-ID angezeigt.
ShowPointInfo | 0 oder 1. | Lautet der Wert 1, werden die Punktangaben des Meßpunkts angezeigt.
ShowType | 0 oder 1. | Lautet der Wert 1, wird neben der Grafik der Elementtyp angezeigt.


Führungslinien-Objekt

PC-DMIS-ERWEITERUNGSOBJEKT

Das Führungslinien-Objekt wird in Verbindung mit einem Elementtext-Objekt oder einem Merkmalinfo-Objekt und einem CAD-Fenster verwendet. Das Objekt erstellt eine Führungslinie von einem Elementtext-Objekt oder einem Merkmalinfo-Objekt zu einem CAD-Fenster, die auf dem Element im CAD-Fenster endet, das mit dem betreffenden Elementtext-Objekt oder Merkmalinfo-Objekt verknüpft ist. Wenn Sie ein Führungslinien-Objekt in ein Protokoll ziehen und dort ablegen möchten, ziehen Sie den Mauszeiger vom Elementtext- oder Merkmalinfo-Objekt in das CAD-Fenster (oder umgekehrt). Bei richtiger Anwendung rastet die Führungslinie automatisch zwischen diesem Elementtext- oder Merkmalinfo-Objekt und der entsprechenden Position im CAD-Fenster ein. Wenn nicht, erscheint ein Dialogfeld, in dem der Benutzer das zu verwendende Elementtext- oder Merkmalinfo-Objekt und das CAD-Objekt auswählen kann. Wenn ein CAD-, Elementtext- oder Merkmalinfo-Objekt gelöscht wird, das mit einem Führungslinien-Objekt verknüpft ist, wird auch das Führungslinien-Objekt automatisch gelöscht.


Arbeiten mit dem Raster

Beim Arbeiten im Bearbeitungsmodus des Hyperview-Editors kann PC-DMIS einen Raster im Hintergrund anzeigen. Sie können diesen Raster als Instrument für die genaue Plazierung und/oder Größenanpassung von Objekten und zur Kontrolle der Führungslinien der Ränder eines Hyperview-Protokolls verwenden.

Wählen Sie Bearbeiten | Layout | Rastereinstellungen, um das Dialogfeld Rastereinstellungen zu öffnen.

Über dieses Dialogfeld können Sie den Raster nach Ihren Vorstellungen gestalten. In der folgenden Tabelle werden die Steuerelemente dieses Dialogfelds beschrieben:

Dialogfeldoption | Beschreibung
Kontrollkästchen Raster einblenden | Über das Kontrollkästchen Raster einblenden wird die Anzeige des Rasters ein- bzw. ausgeschaltet.
Kontrollkästchen Auf Raster einrasten | Über dieses Kontrollkästchen wird festgelegt, ob die auf dem Raster plazierten Steuerelemente auf der am nächsten gelegenen Rasterposition eingerastet oder bewegt werden.
Bereich Rasterweite | Über den Bereich Rasterweite werden die Abstände zwischen den Rastermarkierungen festgelegt. Je niedriger Sie diese Werte einstellen, desto enger werden die Rastermarkierungen sein.
Bereich Führungslinien | Über den Bereich Führungslinien können Sie die Position der oberen, linken, rechten und unteren Ränderführungslinien für den HyperView-Editor festlegen. Der in jedem dieser Felder eingegebene Wert bestimmt in Rastermarkierungen den Abstand, wo die Führungslinien positioniert werden. Wird der Wert auf 0 (Null) gesetzt, wird die Führungslinie vollständig entfernt. Objekte können nicht außerhalb dieser Führungslinien plaziert werden.


Verwenden von "Inhalte einfügen"

Der Menüeintrag Bearbeiten | Inhalte einfügen... unterscheidet sich insofern vom dem Standardmenüeintrag Einfügen, als daß eine Verbindung zwischen dem eingefügten Element und der Quelle, von der es kopiert wurde, bestehen bleibt. Wenn also die Quelle geändert wird, wird auch der eingefügte Eintrag aktualisiert.

Beispielsweise möchten Sie ein Microsoft Excel-Tabellenobjekt in Ihr Hyperview-Protokoll einfügen und die Daten dieser Tabelle sollen immer in Übereinstimmung zu den Daten aus der Excel-Datei Report bleiben. Vorgehensweise:

  1. Kopieren Sie das Tabellenobjekt in der Microsoft Excel-Datei.
  2. Öffnen Sie Ihr Hyperview-Protokoll..
  3. Wählen Sie Bearbeiten | Inhalte einfügen Das Dialogfeld Inhalte einfügen... wird angezeigt.
  4. Wählen Sie die Option Verknüpfung einfügen.
  5. Klicken Sie auf OK. Das Tabellenobjekt erscheint in Ihrem HyperView-Protokoll.

Wenn Sie jetzt Änderungen an dem Tabellenobjekt in Ihrer Excel-Datei vornehmen, wird PC-DMIS das Tabellenobjekt im Hyperview-Editor aktualisieren.


Verwenden der Layout-Leiste zum Bearbeiten Ihres Protokolls

Redu the Previously Undone Action Undo the Last Action To Front or Back Make Same Size Space Align Center Align Edges Regroup Ungroup Group Zoom In or Out Toggle Ruler View Stap Points Toggle Grid Layers Sheet Object Sheet Property Sheet Edit

Mit der Layout-Leiste erhalten Sie die erforderlichen Werkzeuge, um Ihre Objekte im Raster des Bearbeitungsmodus effektiv anordnen, bearbeiten und anzeigen zu können. Die folgenden Themen beschreiben die Funktionen jedes Symbols.

Siehe auch:

Bearbeiten

Property Sheet

Objektseite

Layers Sheet

Raster ein-/aus

Rastpunkte anzeigen

Lineal ein-/aus

Verkleinern oder Vergrößern

Gruppieren

Gruppierung aufheben

Neu gruppieren

Kanten ausrichten (Align edges)

Mitte ausrichten (Align center)

Abstand

Gleiche Größe

Nach vorne oder hinten (To front or back)

Letzte Aktion rückgängig machen (Undo the last action)

Rückgängig gemachte Aktion wiederholen (Redo the previously undone)


Erstellen von HyperView-Protokollen - Verwenden der Layout-Leiste zum Bearbeiten Ihres Protokolls - Bearbeiten

Bearbeiten

Mit dem Symbol Bearbeiten wird das HyperView-Protokoll in den Ausführmodus versetzt.


Property Sheet

Über das Symbol Property Sheet werden die Eigenschaften des ausgewählten Objekts im Dialogfeld Property Sheet angezeigt. Im Dialogfeld Property Sheet können Sie die Eigenschaften für ein ausgewähltes Objekt ändern. Sie können das Objekt, dessen Eigenschaften Sie ansehen, problemlos ändern, indem Sie ein anderes vorhandenes Objekt aus der Liste oben im Dialogfeld Property Sheet auswählen.

Weitere Informationen zu den verfügbaren Eigenschaften finden Sie unter "Objekteigenschaften mit Hilfe des Property Sheet ändern".


Objektseite

Über das Symbol Objektseite wird das Dialogfeld Objektseite eingeblendet.

Mit diesem Dialogfeld können Sie die Registerreihenfolge für in Dialogfeldern häufig verwendete Objekte und Steuerelemente einstellen. Ändern Sie einfach die Reihenfolge, in der ein Objekt in diesem Dialogfeld angezeigt wird.

Wenn Sie im Ausführmodus die TAB-Taste drücken, springt PC-DMIS zum nächsten in diesem Dialogfeld definierten Objekt; das dann in den Mittelpunkt rückt. Nicht alle Objekte reagieren auf die TAB-Taste. Es sprechen nur solche Objekte auf die TAB-Taste an, die im Dialogfeld Objektseite über eine Nummer verfügen (links vom Objekt).


Layerseite

Layers Sheet

Über das Symbol Layers Sheet wird das Dialogfeld Layers Sheet eingeblendet. Über dieses Dialogfeld können sie Objekte zu verschiedenen Schichten hinzufügen. Schichten können ein- und ausgeblendet werden. Diese Eigenschaft ist für mehrseitige Protokolle mit vielen Objekten sinnvoll. Weitere Informationen zum Dialogfeld Layers Sheet finden Sie unter "Verwaltung mehrerer Objekte unter Verwendung von Schichten".


Raster ein-/aus

Über das Symbol Raster ein/aus wird der verfügbare Raster ein- bzw. ausgeblendet. Im Bearbeitungsmodus ist der Raster zur genauen Größenanpassung der Objektgröße hilfreich, da die Rasterpunkte etwa einen Millimeter auseinander liegen.


Rastpunkte anzeigen

Über das Symbol Rastpunkte anzeigen werden die Rastpunkte auf jedem Objekt eingeblendet. Rastpunkte sind für das Verbinden von Objekten mit Linien hilfreich. Beispielsweise können Sie eine Linie zwischen einer Textfeldbeschreibung, die auf ein Objekt verweist, und diesem Objekt (z. B. ein Kreis) erstellen, indem Sie die Rastpunkte der Textfeldbeschreibung und des Kreisobjekts durch eine Linie verbinden. Wenn Sie den Kreis an eine andere Position verschieben, wird die mit ihm verbundene Linie gedehnt oder zusammengezogen (wie bei einer Führungslinie) und auf diese Weise an die neue Position angepaßt.

So verwenden Sie Rastpunkte wie im obigen Beispiel:

  1. Erstellen Sie ein Kreisobjekt
  2. Erstellen Sie ein Linienobjekt.
  3. Wählen Sie im Bearbeitungsmodus das Symbol Rastpunkte anzeigen aus der Layout-Leiste. Sie werden feststellen, daß die Objekte im Raster mit einem Bereich durch blaue Punkte gekennzeichnet wird. Diese blauen Punkte sind Rastpunkte.
    Kreisbeispiel mit fünf Rastpunkten
  4. Markieren Sie die Linie und ziehen Sie ein Linienende direkt auf den gewünschten Rastpunkt des Kreises. Versuchen Sie, das Kreisobjekt zu verschieben. Die Linie ist nun mit dem Rastpunkt des Kreisobjekts verbunden.
  5. Erstellen Sie ein Textobjekt mit einer kurzen Beschreibung für den Kreis.
  6. Markieren Sie das andere Linienende und ziehen Sie es auf einen der Rastpunkte des Textobjekts.
  7. Markieren und ziehen Sie entweder die Textboxbeschreibung oder das Kreisobjekt. Sie werden feststellen, daß das Linienobjekt länger oder kürzer wird und die Linie zwischen den verwendeten Rastpunkten der beiden Objekte stets gerade ist.

Um die Verbindung zwischen einem Objekt und einem Rastpunkt aufzuheben, ziehen Sie einfach das mit dem Rastpunkt verbundene Ende vom Rastpunkt weg.

Rastpunkte oder Führungslinien-Objekte

Meistens wird anstelle von Rastpunkten ein Führungslinien-Objekt verwendet. Es verfügt über dieselben Funktionen wie Rastpunkte und ist einfacher zu verwenden (siehe auch "Führungslinien-Objekt"). Rastpunkte weisen gegenüber dem Führungslinien-Objekt jedoch einen Vorteil auf – sie unterstützen mehrere Linien zwischen Objekten und verbinden eine Linie genau mit dem jeweiligen Rastpunkt. Mit Rastpunkten können Sie direkt im Bearbeitungsmodus kompliziertere Formen erstellen, wie das folgende Beispiel zeigt:

Beispiel: Ein mit zwei Viererlinien erstellter Zylinder, dessen Linien mit den Rastpunkte auf den beiden ausgefüllten Kreise verbunden sind.

Unterstützte Objekte

Nur Linien- und Polylininien-Objekte können Objekten, die Rastpunkte haben, verbunden werden. Nachfolgend werden Objekte mit Rastpunkten aufgelistet:

  • Text
  • TextVar
  • Rand
  • Ellipse
  • Bitmap
  • Merkmalsfarbschlüssel
  • Histogramm
  • Elementtext
  • Merkmal-Info
  • Punkt-Info

Angehängte Objekte ansehen

Auf komplexen Seiten mit zahlreichen Objekten könnte die Menüoption Ansicht | Route für Sie nützlich sein, mit der Sie die Reihe der mit dem aktuell ausgewählten Objekte verknüpften Objekte ansehen können. Über diese Menüoption werden alle Objekte ausgewählt, die in irgendeiner Weise durch Rastpunkte mit dem aktuell ausgewählten Objekt verbunden sind.


Lineal ein-/aus

Über das Symbol Raster ein/aus wird der verfügbare Raster ein- bzw. ausgeblendet. Das Lineal zeigt die Rastergröße in Zentimetern an. Außerdem wird die Cursorposition entlang der horizontalen Rasterachse (oberes Lineal) und der vertikalen Rasterachse (seitliches Lineal) angezeigt.


Verkleinern oder Vergrößern

Über das Symbol Verkleinern oder Vergrößern können Sie Ihr Hyperview-Protokoll verkleinern oder vergrößern und dann wieder die Originalansicht herstellen. Wenn Sie auf dieses Symbol klicken, werden folgende Symbole zur Auswahl angezeigt:

Um 100% vergrößern – Damit wird Ihr Protokoll um 100% pro Mausklick vergrößert. Sie können dieses Symbol maximal fünf Mal anklicken, um eine 500-fache Vergrößerung zu erhalten.

Um 100% verkleinern – Damit wird Ihr Protokoll um 100% pro Mausklick verkleinert, wenn bereits eine Vergrößerung erfolgt ist. Wenn noch keine Vergrößerungsansicht vorliegt, können Sie die Ansicht nur einmal um 100 Prozent verkleinern.

1:1 Zoom – Damit wird die "1 zu 1"-Originalgröße Ihres Protokoll wiederhergestellt.


Gruppieren

Über das Symbol Gruppieren können Sie mehrere Objekte auswählen und gruppieren. Anschließend werden die gruppierten Objekte als ein Objekt angezeigt.

Um mehrere Objekte zu gruppieren, halten Sie entweder die UMSCHALT-Taste gedrückt und wählen Sie alle Objekte in einer Gruppe aus, oder wählen Sie sie aus, indem Sie ein Kästchen um sie ziehen. Klicken Sie dann auf das Symbol Gruppieren.


Gruppierung aufheben

Über das Symbol Gruppierung aufheben wird der ursprüngliche Einzelstatus der gruppierten Objekte wiederhergestellt. Markieren Sie hierfür ein gruppiertes Objekt und klicken Sie auf Gruppierung aufheben.


Neu gruppieren

Über das Symbol Neu gruppieren werden die zuletzt gruppierten Objekte, deren Gruppierung aufgehoben wurde, erneut gruppiert, ohne die Objekte noch einmal einzeln auswählen zu müssen.


Kanten ausrichten

Mit dem Symbol Kanten ausrichten stehen drei weitere Symbole zur Verfügung, mit denen Sie eine Reihe ausgewählter Objekte entlang ihrer linken, rechten, oberen oder unteren Kante ausrichten können:

Die Objekte werden entlang ihren linken Kanten ausgerichtet.

Die Objekte werden entlang ihren rechten Kanten ausgerichtet.

Die Objekte werden entlang ihren oberen Kanten ausgerichtet.

Die Objekte werden entlang ihren unteren Kanten ausgerichtet.


Mitte ausrichten

Mit dem Symbol Mitte ausrichten stehen Ihnen auch die folgenden Symbole zur Verfügung, mit denen Sie ausgewählte Objekte entweder horizontal oder vertikal zentrieren können:

Die ausgewählten Objekte werden entlang der Horizontalachsezentriert.

Die ausgewählten Objekte werden entlang der Vertikalachsezentriert.


Abstand

Mit dem Symbol Abstand stehen Ihnen auch die folgenden Symbole zur Verfügung, mit denen Sie ausgewählte Objekte entweder horizontal oder vertikal in gleichem Abstand anordnen können:

Die ausgewählten Objekte werden in gleichem Abstand entlang der Horizontalachseangeordnet.

Die ausgwählten Objekte werden in gleichem Abstand entlang der Vertikalachseangeordnet.


Gleiche Größe

Mit dem Symbol Gleiche Größe stehen Ihnen auch die folgenden Symbole zur Verfügung, mit denen Sie die Breite, Höhe, oder Breite und Höhe ausgewählter Objekte angleichen können:

Die ausgewählten Objekte werden in ihrer Breite angeglichen.

Die ausgewählten Objekte werden in ihrer Höhe angeglichen.

Die ausgewählten Objekte werden in ihrer Breite und Höhe angeglichen.


Nach vorne oder hinten

Mit dem Symbol Nach vorne oder hinten stehen Ihnen auch die folgenden Symbole zur Verfügung, mit denen Sie ein ausgewähltes Objekt (oder Objekte) vor oder hinter anderen Objekte setzen können: Dies ist sinnvoll, wenn mehrere Objekte übereinander liegen und Sie bestimmte Objekte sichtbar machen möchten, indem Sie sie nach vorne holen. Die folgenden Symbole stehen zur Verfügung:

Holt das (die) ausgewählte(n) Objekt(e) vor alle anderen Objekte, so daß es im Vordergrund dargestellt wird.

Setzt das (die) ausgewählte(n) Objekt(e) hinter alle anderen Objekte, so daß es im Hintergrund dargestellt wird.


Letzte Aktion rückgängig machen

Über das Symbol Letzte Aktion rückgängig machen können Sie Ihre letzte Aktion im Editor rückgängig machen.


Rückgängig gemachte Aktion wiederholen

Über das Symbol Rückgängig gemachte Aktion wiederholen können Sie die letzte Aktion, die mit dem Symbol Letzte Aktion rückgängig machen widerrufen wurde, wiederholen.


Verwaltung mehrerer Objekte unter Verwendung von Schichten

Um mehrere Objekte (häufig der Fall beim Arbeiten mit mehrseitigen Berichten) richtig verwalten zu können, ist es u.U. ratsam, die Objekte verschiedenen Schichten zuzuweisen.

Siehe auch:

Informationen im Dialogfeld "Layers Sheet"

So fügen Sie neue Schichten hinzu

So weisen Sie ein Objekt einer Schicht zu


Informationen im Dialogfeld "Layers Sheet"

Um das Dialogfeld Layers Sheet aufzurufen, klicken Sie das Symbol Layoutseite der Layout-Symbolleiste in der HyperView-Benutzeroberfläche an.

Steuerelement | Beschreibung
Default layer (Standard-Layer) | Im Dialogfeld Layers Sheet befindet sich immer eine Schicht namens Standard. Anfänglich sind alle Objekte dieser Schicht zugewiesen.
Schaltfläche Hinzufügen | Fügt eine neue Schicht hinzu.
Schaltfläche Löschen | Löscht die ausgewählte Schicht. Die der Schicht zugewiesenen Objekte werden nicht gelöscht, sondern der Schicht Standard zugewiesen.
Schaltflächen Auf/Ab | Mit diesen Schaltflächen wird eine ausgewählte Schicht in der Liste der Schichten des Dialogfelds nach oben bzw. nach unten verschoben.
Schaltfläche Auswählen | Wählt die einer bestimmten Schicht zugeordneten Objekte aus.
Feld Name | Zeigt den Namen der Schicht. Mit Ausnahme der Schicht Standard können Sie den Namen aller Schichten ändern.
Kontrollkästschen Ansicht | Bestimmt, ob die betreffende Schicht im Protokoll sichtbar ist. Ist sie sichtbar, wird neben der Schicht ein Augensymbol eingeblendet.
Kontrollkästchen Sperren | Hiermit kann die Verwendung der Funktion Schaltfläche Auswählen für die angegebene Schicht deaktiviert werden.


So fügen Sie neue Schichten hinzu

  1. Klicken Sie das Symbol Layers Sheet in der HyperView-Symbolleiste Layout an. Das gleichnamige Dialogfeld wird geöffnet.
  2. Klicken Sie darin auf Hinzufügen. Im Dialogfeld erscheint eine neue Schicht namens Schicht1. Für alle weitere hinzugefügte Schichten gilt dasselbe Benennungsmuster (Schicht2, Schicht3 etc.).
  3. Nennen Sie die neue Schicht bei Bedarf um, indem Sie den gewünschten Text in das Feld Name eingeben.
  4. Fügen Sie gegebenenfalls weitere Schichten hinzu.
  5. Klicken Sie auf OK, wenn Sie damit fertig sind.

Die neue Schicht wird jetzt zum Dialogfeld hinzugefügt. Neuen Schichten können nach der Erstellung Objekte hinzugefügt werden.


So weisen Sie ein Objekt einer Schicht zu

  1. Markieren Sie das Objekt.
  2. Klicken Sie mit der rechten Maustaste, um das Dialogfeld Property Sheet aufzurufen.
  3. Öffnen Sie die Registerkarte Einstellungen.
  4. Wählen Sie über die Einstellung Layers die Schicht aus, die mit diesem Objekt verknüpft werden soll.
  5. Schließen Sie das Property Sheet.
  6. Testen Sie, ob das Objekt richtig mit der Schicht verknüpft wurde, indem Sie die Schaltfläche Auswählen im Dialogfeld Layers Sheet anklicken.


Erstellen von mehrseitigen Protokollen

Es gibt zwei Arten von HyperView-Protokollen:

  1. Einseitige Protokolle
  2. Mehrseitige Protokolle

Einseitige Protokolle sind die am häufigsten verwendeten Protokolle, da sie einfacher zu erstellen sind. Erfahrene Benutzer können jedoch auch die Möglichkeiten nutzen, die mehrseitige Protokolle bieten. Das Erstellen mehrseitiger Protokolle setzt praktische Erfahrungen mit der Programmiersprache BASIC voraus. Sie benötigen diese Kenntnisse, damit die mehrseitigen Protokolle richtig funktionieren.

Mit mehrseitigen Protokollen können Sie bestimmte Elemente, Merkmale oder beliebige andere Informationen aus einem Werkstückprogramms auf verschiedenen Seite gruppieren. Auf diese Weise können Sie übersichtlichere Protokolle anfertigen, in denen sich die Werkstückangaben schneller auffinden lassen.

Siehe auch:

Beschreibung der Handhabung von mehrseitigen Protokollen

Beschreibung der lokalen Variablen CurPage und NumPages

Beispiel für die Erstellung eines mehrseitigen Protokolls

Beispiel für die Anzeige eines Objekts auf nur einer Seite


Beschreibung der Handhabung von mehrseitigen Protokollen

Ein mehrseitiges Protokoll ist in Wirklichkeit ein Protokoll, das zu verschiedenen Zeiten auf verschiedene Arten betrachtet wird. Als Programmierer können Sie die Variable "CurPage" verwenden, um festzulegen, was auf jeder einzelnen "Seite" eines mehrseitigen Protokolls geschieht.

Jede Seite eines mehrseitigen Protokolls nutzt die Attribute The Frame/The View. Jede Seite enthält die Objekte, die jeweils im Rahmen plaziert werden. Mit einem Event-Handler, der die Variable "CurPage" und BASIC-Code verwendet, können Sie Änderungen an der aktuellen Seite vornehmen und jede einzelne Seite an Ihre Bedürfnisse anpassen. Sie können beispielsweise Elemente für den Benutzer unsichtbar oder unempfindlich (nicht auf Eingaben reagierend) machen. Mit der Programmiersprache BASIC können die einzelnen Protokollseiten jeweils unterschiedlich gestaltet werden.


Beschreibung der lokalen Variablen CurPage und NumPages

Die Variable "CurPage" wird jedesmal dann aktualisiert, wenn Sie zwischen den Seiten hin- und herwechseln. Die Variable enthält die Zahl, die der aktuellen aktiven Seite entspricht. Beim Verfassen von BASIC-Codes können Sie diese Variable verwenden, um zu bestimmen, welche Seite aktiv ist. Sobald die aktive Seite bekannt ist, können Sie Codes mit unterschiedlichen Aktionen für die einzelnen Seiten verfassen.


Beispiel für die Erstellung eines mehrseitigen Protokolls

So erstellen Sie ein mehrseitiges Protokoll mit drei verfügbaren Seiten:

  1. Klicken Sie mit der rechten Maustaste auf den Hauptbildschirm von HyperView.
  2. Das Property Sheet für The Frame/The View wird eingeblendet.
  3. Öffnen Sie die Registerkarte Events (Ereignisse).
  4. Doppelklicken Sie auf "EventInitialize". Der VBS-Mini-Editor wird eingeblendet.
  5. Klicken Sie auf die Schaltfläche Assistent>>. Das Dialogfeld Skript-Assistent wird eingeblendet.
  6. Öffnen Sie auf der linken Seite des Dialogfelds im Bereich Variablen das Auswahllistenfeld. Beide Variablen, CurPage und NumPages, stehen hier zur Auswahl.
  7. Wählen Sie NumPages.
  8. Klicken Sie auf die Schaltfläche Einfügen. Daraufhin erscheint der VBS-Mini-Editor mit folgendem Text:
    "NumPages"
  9. Geben Sie hinter dem Befehl "NumPages" die Zeichenfolge "=3" ein. Der Text sollte danach wie folgt aussehen:
    "NumPages=3"

Dadurch stehen Ihnen in diesem Protokoll drei Seiten zur Verfügung. Drücken Sie zum Testen des Protokolls auf STRG + E. Drücken Sie auf die BILD-AUF- und BILD-AB-Tasten, um die Seiten zu durchblättern.


Beispiel für die Anzeige eines Objekts auf nur einer Seite

Sofern Sie PC-DMIS nicht anderweitig instruieren, werden Objekte in Ihrem HyperView-Protokoll auf jeder Seite Ihres mehrseitigen Protokolls angezeigt.

Um ein Objekt (wie z. B. ein Textfeld) beispielsweise nur auf der ersten Seite des Protokolls anzuzeigen, verfahren Sie wie folgt:

  1. Starten Sie den HyperReport-Editor und öffnen Sie Ihr Protokoll.
  2. Vergewissern Sie sich, daß Sie sich im Bearbeitungsmodus befinden, indem Sie STRG + E drücken.
  3. Klicken Sie einmal auf das Textfeld, um es auszuwählen.
  4. Klicken Sie mit der rechten Maustaste darauf, um das Dialogfeld Property Sheet aufzurufen.
  5. Öffnen Sie die Registerkarte Events (Ereignisse).
  6. Doppelklicken Sie in der Liste der Ereignisse auf EventPumpData. Der VBS Mini-Editor für das Textobjekt wird eingeblendet.
  7. Geben Sie den folgenden Code vollständig in eine Zeile ein:
    If CurPage = 1 Then This.Visible = 1 Else This.Visible = 0

Hinweis: Durch diesen Code erscheint das ausgewählte Textfeld nur auf einer Seite. Auf allen anderen Seiten ist es nicht sichtbar.

  8. Klicken Sie auf OK. Sie werden feststelle, daß diese Information nun auf dem Property Sheet dieses betreffenden Ereignisses enthalten ist..
  9. Klicken Sie auf die Titelleiste des Protokollfensters, um es zum aktiven Fenster zu machen.
  10. Drücken Sie zum Testen des Protokolls auf STRG + E. PC-DMIS fordert Sie zum Speichern Ihrer Änderungen auf. Klicken Sie auf Ja.
  11. Drücken Sie auf die BILD-AUF- und BILD-AB-Taste, um die Protokollseiten zu durchblättern. Das Textfeld erscheint nun nur auf der von Ihnen angegebenen Seite.

Unter Verwendung der Variablen CurPage können Sie bestimmen, auf welchen Seiten die Objekte angezeigt werden.


Erzeugen von automatischen Protokollen

PC-DMIS ermöglicht die automatische Erzeugung von Protokollen. Diese Protokolle können in Text- und/oder Grafikform dargestellt werden. Obwohl sie automatisch in einem festgelegten Format erzeugt werden, können Sie in PC-DMIS eigene Kopf- und Fußzeilen hinzufügen, indem Sie die Ränder des Protokolls anpassen.

So aktivieren Sie Auto-Reporting:

  1. Starten Sie den HyperReport-Editor, indem in der Menüleiste auf Hyperview-Editor klicken.

Display Menu Roadmap
Wählen Sie Datei | Neu, um eine neues Protokoll zu erstellen.

  3. Klicken Sie mit der rechten Maustaste auf den Hintergrund des HyperView-Fensters, um eine Property Sheet einzublenden.
  4. Stellen Sie sicher, daß im Auswahllistenfeld The Frame/The View ausgewählt ist.
  5. Doppelklicken Sie auf Auto-Reporting. Es erscheint das Dialogfeld Auto Report-Optionen.
  6. Markieren Sie das Optionsfeld Auto-Reporting Ein, um die automatische Protokollerstellung zu aktivieren. Das Dialogfeld Auto Report-Optionen ist in vier Bereiche unterteilt:
  • Prüfprotokoll
  • Grafisches Protokoll
  • Seitennumerierung
  • Merkmalsauswahlliste

Siehe auch:

Prüfprotokoll

Grafisches Protokoll

Kombiniertes Protokoll

Auto-Report Neuerstellung

Auto-Report Anpassung


Prüfprotokoll

Dieses Protokoll entspricht dem StandardPrüfprotokoll, das durch ein Werkstückprogramm erzeugt wurde. Alle Prüfprotokolloptionen, die innerhalb von PC-DMIS eingestellt sind, werden in diesem Protokoll ebenfalls berücksichtigt. Wenn beispielsweise die Protokolloptionen so eingestellt sind, daß nur Merkmalen angezeigt werden, wird das automatisch erzeugte Prüfprotokoll auch nur Merkmale anzeigen.

Siehe auch:

Erstellen eines Textprotokolls

Erstellen eines Rands

Anpassen der Schriftattribute


Erstellen eines Textprotokolls

So erstellen Sie ein Textprotokoll für das aktuelle Werkstückprogramm:

  1. Markieren Sie das Kontrollkästchen Prüfprotokoll einblenden.
  2. Heben Sie die Markierung des Kontrollkästchens Grafisches Protokoll einblenden auf.
  3. Klicken Sie auf die Schaltfläche OK.


Erstellen von HyperView-Protokollen - Prüfprotokoll - Erzeugen eines Rands

Erzeugen eines Rands

Wenn Sie das Kontrollkästchen Rahmen einblenden aktivieren, wird ein schwarzer Rand um das Prüfprotokoll gezeichnet. Dies kann zur visuellen Trennung zwischen dem Prüfprotokoll und dem grafischen Protokoll verwendet werden, wenn beide Typen ausgewählt sind.


Erstellen von HyperView-Protokollen - Prüfprotokoll - Anpassen der Schriftattribute

Anpassen der Schriftattribute

Mit der Schaltfläche Schriftart ändern wird in PC-DMIS das Standarddialogfeld Schriftart aufgerufen. In diesem Dialogfeld können Sie die verschiedenen Schriftattribute wie Schriftart, Schriftstil, Größe und Farbe ändern.


Grafisches Protokoll

In diesem Abschnitt wird beschrieben, wie Sie ein grafisches Protokoll erzeugen können. Diese Option übernimmt die aktuelle aktive Grafik aus dem Grafikfenster von PC-DMIS. Standardmäßig werden alle gemessenen Elemente über Führungslinien mit einem Merkmal-Infofeld verbunden.

Siehe auch:

Erstellen eines Grafischen Protokolls

Erstellen eines Rands

Einblenden der Führungslinien

Angeben der Anzahl angezeigter Merkmal-Infofelder

Anpassen der Ränder

Verwenden von Ansichtensätzen

Anpassen der Schriftattribute

Verwenden des Merkmallistenfelds


Erstellen eines grafischen Protokolls

Vorgehensweise:

  1. Markieren Sie das Kontrollkästchen Grafisches Protokoll einblenden.
  2. Heben Sie die Markierung des Kontrollkästchens Prüfprotokoll einblenden auf.
  3. Klicken Sie auf die Schaltfläche OK. Daraufhin wird ein grafisches Protokoll erzeugt.


Erstellen von HyperView-Protokollen - Prüfprotokoll - Erzeugen eines Rands

Erzeugen eines Rands

Durch die Aktivierung des Kontrollkästchens Rahmen einblenden wird ein schwarzer Rand um das grafische Protokoll gezeichnet. Dies kann zur visuellen Trennung zwischen dem Prüfprotokoll und dem grafischen Protokoll verwendet werden, wenn beide Typen ausgewählt sind.


Einblenden der Führungslinien

Wenn Sie das Kontrollkästchen Führungslinien einblenden aktivieren, werden die Führungslinien erzeugt, die das gemessene Element mit den Merkmal-Infofeldern verbinden. Wenn das Kontrollkästchen nicht aktiviert ist, erzeugt PC-DMIS keine Führungslinien.


Angeben der Anzahl angezeigter Merkmals-Infofelder

Mit dem Spin-Feld Merkm. / Seite können Sie angeben, wie viele Merkmal-Infofelder auf jeder Seite angezeigt werden sollen. Wenn die Anzahl der Merkmal-Infofelder pro Seite das Protokoll unübersichtlich erscheinen läßt, sollte sie mit dem Drehfeld reduziert werden.


Anpassen der Ränder

Der Bereich Ränder zeigt die aktuellen Randgrößen an. Diese Werte dienen nur zu Informationszwecken. Wenn Sie die Ränder des grafischen Protokolls anpassen möchten, stellen Sie sicher, daß der Bearbeitungsmodus aktiviert ist, und ziehen Sie an den blauen Rändern im PC-DMIS-Protokollfenster.


Verwenden von Ansichtensätzen

Über die Liste Ansichtensatz können Sie eine gespeicherte Ansicht wählen und in Ihrem Hyperreport verwenden. Dies ist hilfreich, wenn Sie auf wichtige Beschriftungen, Merkmalsfelder, Ausrichtungen etc. in diesem Protokoll verweisen möchten.

Wenn Sie das Kontrollkästchen Grafisches Protokoll einblenden aktivieren und eine gespeicherte Ansicht aus der Liste Ansichtensatz auswählen, wird diese gespeicherte Ansicht im Protokoll angezeigt.

Wenn Sie die Kontrollkästchen Grafisches Protokoll einblenden und Verwende alle Ansichten markieren, zeigt PC-DMIs alle gespeicherten Ansichten im Protokoll an. PC-DMIS wird jeder Ansicht eine eigene Seite zuweisen.

Weitere Informationen zur Erstellung und zum Aufrufen von Ansichtensätzen finden Sie unter "Definieren und Speichern eines Ansichtensatzes" und "Aufrufen eines gespeicherten Ansichtensatzes" im Abschnitt "Einfügen von Reporting-Befehlen".


Erstellen von HyperView-Protokolls - Grafisches Protokoll - Anpassen der Schriftattribute

Anpassen der Schriftattribute

Mit der Schaltfläche Schriftart ändern wird das Standarddialogfeld Schriftart in PC-DMIS aufgerufen. In diesem Dialogfeld können Sie die verschiedenen Schriftattribute wie Schriftart, Schriftstil, Größe und Farbe ändern.


Verwenden des Merkmallistenfelds

Bei Auswahl des grafischen Protokolls wird die Merkmal-Auswahlliste aktiviert. Sie können folgendes tun:

  • Das Kontrollkästchen Alle Merkmale verwenden aktivieren, um für alle Merkmale im Werkstückprogramm jeweils ein Merkmal-Infofeld zu erzeugen.
  • Das Kontrollkästchen Alle Merkmale verwenden deaktivieren und die Merkmale, die in das Protokoll aufgenommen werden sollen, durch Ein- bzw. Ausschalten einzeln auswählen.
  • Wenn das Kontrollkästchen Alle Merkmale verwenden nicht aktiviert ist, können Sie das Dialogfeld Merkmal-Info durch einen Doppelklick auf ein Merkmal aufrufen. Alle in diesem Dialogfeld vorgenommenen Änderungen werden mit dem HyperView-Protokoll gespeichert. Weitere Informationen zu den Optionen in diesem Dialogfeld finden Sie unter "Merkmalinfo-Objekt".


Kombiniertes Protokoll

Das kombinierte Protokoll besteht sowohl aus Textinformationen als auch aus grafischen Informationen. So erstellen Sie ein solches Protokoll:

  1. Markieren Sie das Kontrollkästchen Grafisches Protokoll einblenden.
  2. Markieren Sie das Kontrollkästchen Prüfprotokoll einblenden.
  3. Klicken Sie auf die Schaltfläche OK. Daraufhin wird ein kombiniertes Protokoll mit Text und Grafik erzeugt.

Der Textteil dieses Protokolls gleicht dem Prüfprotokoll. Der grafische Teil gleicht dem grafischen Protokoll mit dem Unterschied, daß keine Merkmal-Infofelder erzeugt werden.

Sie können die Seitenränder anpassen. Zwischen dem Textteil und dem grafischen Teil wird ein Trennrand angezeigt. Sie können diese Trennlinie mit der Maus ziehen, um so das Größenverhältnis zwischen den beiden Teilen anzupassen.


Auto-Report Neuerstellung

Wenn ein Auto-Report erzeugt und gespeichert wurde, kann er für jedes beliebige Werkstückprogramm geladen werden. Jedesmal, wenn ein Protokoll für ein Programm geladen wird, wird es neu erstellt und die Merkmale im aktuellen Werkstückprogramm berücksichtigen.


Auto-Report Anpassung

Sie können in automatisch erzeugten Protokollen Platz für zusätzliche HyperView-Objekte schaffen, indem Sie die Seitenränder anpassen.

Beispiel: Um die Seiten eines Protokolls unten mit einer Seitenzahl zu versehen, gehen Sie wie folgt vor:

  1. Laden Sie ein Werkstückprogramm, das genügend Merkmale hat, um einen mehrseitiges Auto-Report zu erzeugen.
  2. Erstellen Sie ein neues HyperView-Protokoll, indem Sie den HyperView-Protokoll-Editor starten (im Abschnitt "Verwenden der Übersichtskarte"" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).
  3. Klicken Sie mit der rechten Maustaste auf den Hintergrund des HyperView-Fensters, um das Dialogfeld Property Sheet einzublenden. Stellen Sie sicher, daß im Auswahllistenfeld The Frame/The View ausgewählt ist. Doppelklicken Sie auf Auto-Reporting. Es erscheint das Dialogfeld Auto Report-Optionen.
  4. Schalten Sie "Auto-Reporting" ein, indem Sie das Optionsfeld Auto-Reporting Ein auswählen.
  5. Klicken Sie auf die Schaltfläche OK, und schließen Sie das Dialogfeld Auto Report-Optionen.
  6. Blättern Sie an den unteren Rand des PC-DMIS-Protokollfensters, und ziehen Sie den unteren Rand weit genug nach unten, um Platz für den Seitennumerierungstext zu schaffen.
  7. Klicken Sie auf das Textobjekt in der Objekt-Symbolleiste.
  8. Ziehen Sie im Protokollfenster ein Rechteck, um die Lage des Textobjekts zu bestimmen.
  9. Klicken Sie mit der rechten Maustaste auf das Textobjekt, so daß dessen Property Sheet eingeblendet wird, und aktivieren Sie die Registerkarte Events (Ereignisse).
  10. Doppelklicken Sie auf EventPumpData, um den VBS Mini-Editor aufzurufen.
  11. Geben Sie den folgenden Text in das Bearbeitungsfeld ein: This.Text="Seite " & CurPage & " von " & NumPages
  12. Klicken Sie auf die Schaltfläche OK.
  13. Speichern Sie das Protokoll.
  14. Wechseln Sie in den Ausführmodus, indem Sie auf STRG+E drücken.

Blättern Sie an den unteren Rand des Protokolls. Die Seitenzahl sollte nun im Protokollfenster auf jeder Seite unterhalb des grafischen Teils angezeigt werden. Verwenden Sie das Seitenauswahlfeld, um vorwärts oder rückwärts durch das Protokoll zu blättern. Die Seitenzahl am unteren Rand des Protokolls ändert sich entsprechend.

Seitenauswahlfeld

Nach diesem Beispiel können Sie weitere benutzerspezifische Objekte für Auto-Reports hinzufügen.


Verwenden von HyperView-Protokollen in Werkstückprogrammen

Mit PC-DMIS können Sie HyperView-Protokolle innerhalb von Werkstückprogrammen ausführen. Dabei haben Sie die Möglichkeit, einen standardisierten HyperReport am Ende jedes Werkstückprogramms auszuführen oder selbst ein individuell gestaltetes HyperView-Protokoll in das Werkstückprogramm einzufügen.

Darüber hinaus kann das HyperView-Protokoll mit einem Werkstückprogramm kommunizieren, indem PC-DMIS-Variablen globale Variablen und Eigenschafts-Elemente zugewiesen werden.

Siehe auch:

Einrichten eines Standardprotokolls für ein Werkstückprogramm

Einbinden von HyperView-Protokollen in Werkstückprogramme

Beispiele für die Verwendung von HyperView-Protokollen


Einrichten eines Standardprotokolls für ein Werkstückprogramm

Ein standardisiertes HyperView-Protokoll für ein Werkstückprogramm ist ein Protokoll, das am Ende der Werkstückprogramm-Ausführung automatisch geladen und gedruckt wird. Dieses Standardprotokoll kann so eingerichtet werden, daß es bei jedem ausgeführten Werkstückprogramm geladen und gedruckt wird. So richten Sie das Standardprotokoll ein:

  1. Wählen Sie die Menüoption Layout des Bearbeitungsfensters. Das gleichnamige Dialogfeld erscheint.

Display Menu Roadmap
Öffnen Sie im daraufhin eingeblendeten Dialogfeld Anzeigeoptionen für Protokolle die Registerkarte HyperReport.

Wenn das Kontrollkästchen HyperReport autom. laden markiert ist, wird am Ende des Werkstückprogramms ein HyperView-Protokoll ausgeführt.

Ist das Kontrollkästchen HyperReport autom. laden markiert, geben Sie den Namen der zu ladenden Hyperreport-Datei ein oder verwenden Sie das Standardprotokoll. Bestimmen Sie die Datei, indem Sie den Dateinamen in das Bearbeitungsfeld HyperReport-Datei eingeben, oder klicken Sie auf die Schaltfläche Durchsuchen, um die Protokolldatei mit dem Standarddialogfeld Öffnen auszuwählen. Wenn Sie das Standardprotokoll verwenden möchten, markieren Sie das Kontrollkästchen Standardprotokoll verwenden.

Hinweis: Das Standardprotokoll wird in der .INI-Datei von PC-DMIS aufgezeichnet. Zuerst, direkt nach der Installation, gibt es in dieser Datei kein Standardprotokoll. Sie können das Standardprotokoll definieren, indem Sie sicherstellen, daß das Kontrollkästchen Standardprotokoll verwenden deaktiviert ist, eine HyperReport-Datei auswählen und dann das Kontrollkästchen Standardprotokoll verwenden markieren. Damit wird das Standardprotokoll in der .INI-Datei auf die im Bearbeitungsfeld HyperReport-Datei angegebene Datei eingestellt.


Einbetten von HyperView-Protokollen in Werkstückprogramme

Einbinden von HyperView-Protokollen in Werkstückprogramme

So betten Sie ein HyperView-Protokoll in ein Werkstückprogramm ein:

  1. Stellen Sie sicher, daß sich das Bearbeitungsfenster im Befehlsmodus befindet.
  2. Fügen Sie den soeben erstellten HyperView-Protokoll ein, indem Sie auf die Menüoption HyperView-Protokoll klicken (unter "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen). Es erscheint das Dialogfeld HyperReport einfügen.

Display Menu Roadmap
Wählen Sie das HyperView-Protokoll aus, das in das Werkstückprogramm eingebettet werden soll.

  4. Klicken Sie auf die Schaltfläche Öffnen.

Das HyperView-Protokoll-Befehlsobjekt wird im Bearbeitungsfenster an der Cursor-Position eingefügt.

Siehe auch:

Das HyperView-Protokoll-Befehlsobjekt

Zuordnen von PC-DMIS-Ausdrücken zu Eigenschaften von HyperView-Objekten

Bi-direktionale Natur von Ausdruckszuordnungen, wenn der Ausdruck ein L-Wert ist


Das HyperView-Protokoll-Befehlsobjekt

Display Menu Roadmap
Das HyperView-Protokoll-Befehlsobjekt wird im Bearbeitungsfenster mit dem Befehl PROTOKOLL/DATEINAME identifiziert. Diesem Befehl folgen der Dateiname des HyperView-Protokolls, die Option AUTOMDRUCKEN und danach PARAM/-Optionen.

AUTOMDRUCKEN

Wenn Sie die Option AUTOMDRUCKEN auf DRUCKEN umschalten, wird das HyperView-Protokoll auf dem Standarddrucker gedruckt, nachdem es geladen und ausgeführt wurde. Das Protokoll wird unmittelbar nach Absetzen des Druckauftrags geschlossen, und die Ausführung des Werkstückprogramms wird fortgesetzt.

Wird die Option AUTOMDRUCKEN auf PDF umgeschaltet, wird das HyperView-Protokoll in einer PDF- (Portable Document Format) Datei gespeichert.

Hinweise zum erstellten PDF-Dateinamen

  • Der Name der erstellten .pdf-Datei setzt sich aus dem gleichen Grundnamen wie der Dateiname des HyperView-Protokolls und aus einem angehängten numerischen Index und einer Erweiterung zusammen.
  • Die erstellte Datei befindet sich zudem in demselben Verzeichnis wie die Protokolldatei.
  • Sollte bereits eine Datei mit dem erstellten Dateinamen vorhanden sein, wird der Index automatisch um Eins erhöht, bis ein eindeutiger Dateiname gefunden wird.

Hinweis: Das Kontrollkästchen Hyper Report Inline im Dialogfeld Druckoptionen des Bearbeitungsfensters hat, sofern markiert, Vorrang vor der Option AUTOMDRUCKEN. Weitere Informationen zu diesem Kontrollkästchen finden Sie auch unter "Drucken aus dem Bearbeitungsfenster" im Abschnitt "Verwenden von grundlegenden Dateioptionen".

PARAM

Mit den PARAM/-Optionen können Sie HyperView-Variablen und -Eigenschaften PC-DMIS-Ausdrücke zuordnen. Die Syntax lautet:

PARAM/{HyperView-Variablenname}={PC-DMIS-Ausdruck}

Beispiel: Angenommen, in einem Ihrer HyperView-Protokolle befindet sich ein eine globale Variable mit dem Namen "AnzBolzLo". Mit der folgenden PARAM/-Option würde die Variable "AnzBolzLo" einem PC-DMIS-Ausdruck zugewiesen werden:
PARAM/AnzBolzLo=360.0/Winkel

Wenn der PC-DMIS-Ausdruck, der einer globalen HyperView-Variablen zugeordnet wird, ein L-Wert ist, übertragen sich Änderungen an der HyperView-Variablen automatisch auf die PC-DMIS-Variable.

Beispiel: Mit der folgenden PARAM/-Option wird "AnzBolzLo" der Variablen "AnzBolz" gleichgesetzt. Wenn sich die HyperView-Variable "AnzBolzLo" innerhalb des HyperView-Protokolls ändert, schlagen sich diese Änderungen automatisch in der PC-DMIS-Variablen "AnzBolz" nieder:
PARAM/AnzBolzLo=AnzBolz


Zuordnen von PC-DMIS-Ausdrücken zu Eigenschaften von HyperView-Objekten

PC-DMIS-Ausdrücke können im Bearbeitungsfenster mit dem Befehl PARAM/ HyperView-Objekteigenschaften zugeordnet werden. Die Syntax für die Zuordnung eines PC-DMIS-Ausdrucks zu einer HyperView-Objekteigenschaft lautet:

PARAM/{Objektcode}.{Eigenschaftsname}={PC-DMIS-Ausdruck}

Beispiel: Die folgende PARAM/-Option ändert die BorderStyle-Eigenschaft des Objekts "Text1":
PARAM/Text1.BorderStyle=1


Bi-direktionale Natur von Ausdruckszuordnungen, wenn der Ausdruck ein L-Wert ist.

Wenn der PC-DMIS-Ausdruck ein L-Wert ist, schlagen sich Änderungen am HyperView-Eigenschaftselement in der PC-DMIS-Variablen nieder.

Beispiel: Die folgende PARAM/-Option ordnet den PC-DMIS-L-Wert "myTitle" der Eigenschaft "Title" des HyperView-Objects "TheFrame" zu. Alle Änderungen innerhalb des HyperView-Protokolls an "Title" schlagen sich in "myTitle" nieder.
PARAM/TheFrame.Title=myTitle


Beispiele für die Verwendung von HyperView-Protokollen

Die folgenden beiden Beispiele zeigen, wie HyperView-Protokolle verwendet werden können. Beispiel 1 veranschaulicht das Einfügen eines einseitigen HyperView-Protokolls an mehreren Stellen in einem Werkstückprogramm. Beispiel 2 zeigt, wie HyperView-Protokolle verwendet werden, um vom Benutzer Informationen zur Änderung von PC-DMIS-Variablen zu sammeln.

Siehe auch:

Beispiel 1

Beispiel 2


Beispiel 1

Dieses Beispiel zeigt, wie ein einseitiges HyperView-Protokoll an mehreren Stellen in ein Werkstückprogramm eingefügt wird.

  1. Erstellen Sie ein Werkstückprogramm mit mindestens zwei Merkmalen (D1 und D2).
  2. Starten Sie den HyperReport-Editor, indem in der Menüleiste auf Hyperview-Editor klicken.

Display Menu Roadmap
Wählen Sie Datei | Neu, um eine neues Protokoll zu erstellen.

  4. Klicken Sie auf das Merkmalinfo-Objekt in der Objekt-Symbolleiste.
  5. Ziehen Sie im Protokollfenster ein Rechteck, um die Lage des Merkmalinfo-Objekts zu bestimmen.
  6. Füllen Sie das Dialogfeld Merkmal-Info aus oder verwenden Sie die Standardwerte.
  7. Speichern und schließen Sie das Protokoll.
  8. Fügen Sie das soeben erstellte HyperView-Protokoll ein, indem Sie auf die Menüoption HyperView-Protokoll klicken (unter "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Ändern Sie im Bearbeitungsfenster die PARAM/-Zeile wie folgt ab: PARAM/MerkmalInfo1.MerkID=D1

Hinweis: Sie müssen "MerkmalInfo1" u.U. so anpassen, daß der Name dem Namen entspricht, der dem Merkmalinfo-Objekt gegeben wurde. Um den Namen des Objekts herauszufinden, klicken Sie im Protokollfenster mit der rechten Maustaste auf das Objekt, um das Property Sheet einzublenden, und öffnen Sie dann die Registerkarte "Einstellungen". Der ObjectCode-Name ist in der obersten Zeile aufgeführt.

  10. Fügen Sie nun den HyperView-Protokoll erneut ein.
  11. Ändern Sie die Zeile PARAM/= wie folgt ab:
    PARAM/MerkmalInfo1.MerkID=D2

Beim Ausführen des Programms werden die Merkmal-Infos für beide Merkmals-IDs in demselben HyperView-Protokoll protokolliert.


Beispiel 2

Das folgende Beispiel zeigt, wie ein HyperView-Protokoll verwendet werden kann, um vom Benutzer Informationen zur Modifizierung von PC-DMIS-Variablen zu sammeln.

  1. Erstellen Sie eine lange PC-DMIS-Ganzzahl-Variable:
    ASSIGN/AnzBolzLo=4
  2. Starten Sie den HyperReport-Editor, indem in der Menüleiste auf Hyperview-Editor klicken.

Display Menu Roadmap
Wählen Sie Datei | Neu, um eine neues Protokoll zu erstellen.

  4. Klicken Sie auf das EditLongBox-Objekt in der Objekt-Symbolleiste.
  5. Ziehen Sie im Protokollfenster ein Rechteck, um die Lage des EditLongBox-Objekts zu definieren.
  6. Speichern und schließen Sie das Protokoll.
  7. Fügen Sie das soeben erstellte HyperView-Protokoll ein, indem Sie auf die Menüoption HyperView-Protokoll klicken (unter "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Ändern Sie im Bearbeitungsfenster die PARAM/-Zeile wie folgt ab:
PARAM/EditLongBox1.Text=AnzBolzLo

Dadurch wird die PC-DMIS-Variable "AnzBolzLo" mit dem Bearbeitungsfeld im HyperView-Protokoll verknüpft. Während der Ausführung des Programms kann der Benutzer eine neue Zahl in das Bearbeitungsfeld eingeben, wodurch die Variable "AnzBolzLo" geändert wird. Mit dieser Methode können Sie Daten vom Benutzer eingeben lassen, die anschließend im Programm verwendet werden.


Using Toolbars

Symbolleiste "Grafik"

Symbolleiste "Einstellungen"

Symbolleiste "Antasten"

Symbolleiste "Bearbeitungsfenster"

Symbolleiste "Merkmal"

Symbolleiste "Konstruierte Elemente"

Symbolleiste "Auto-Elemente"

Symbolleiste "Gemessene Elemente"

Symbolleiste "Datei Tätigkeiten"

Symbolleiste "Makro Wiedergeben/Aufzeichnen"

Symbolleiste “Virtuelle Tastatur”

Symbolleiste “Berührungsbildschirm”

Symbolleiste "Zusätze"

Symbolleiste "Akuelle Arme"

Symbolleiste "Akueller Drehtisch"

Symbolleiste "Schnellstart"

Symbolleiste "Fensterlayouts"


Arbeiten mit Symbolleisten: Einführung

Um den mit der Werkstückprogrammierung verbundenen Zeitaufwand zu reduzieren, bietet PC-DMIS Version 3.2 und höher eine Vielzahl von Symbolleisten, die sich aus häufig verwendeten Befehlen zusammensetzen. Diese Symbolleisten sind auf zwei Arten zugänglich:

  1. Wählen Sie das Untermenü Symbolleiste und eine der darin zur Auswahl stehenden Symbolleisten aus.

Display Menu Roadmap
Klicken Sie mit der rechten Maustaste auf den Symbolleistenbereich und wählen Sie aus dem nun eingeblendeten Kontextmenü eine Symbolleiste aus.

Zu den bereitgestellten Symbolleisten gehören:

  • Symbolleiste "Grafik"
  • Symbolleiste "Einstellungen"
  • Symbolleiste "Antasten"
  • Symbolleiste "Bearbeitungsfenster"
  • Symbolleiste "Merkmal"
  • Symbolleiste "Konstruierte Elemente"
  • Symbolleiste "Auto-Elemente"
  • Symbolleiste "Gemessene Elemente"
  • Symbolleiste "Datei Tätigkeiten"
  • Symbolleiste "Makro Wiedergeben/Aufzeichnen"
  • Symbolleiste "Zusätze"
  • Symbolleiste "Akuelle Arme"
  • Symbolleiste "Akueller Drehtisch"
  • Symbolleiste "Schnellstart"
  • Symbolleiste "Fensterlayouts"

Wenn Sie die Symbolleisten Elementerkennung, Taster-Anzeige und Manuell/CNC suchen: diese befinden sich alle auf der neuen Symbolleiste Antasteb. Siehe Symbolleiste "Antasten" Die Symbole für die Elementerkennung befinden sich auch auf der Tasterwerkzeugleiste, die unter "Verwenden der Taster-Werkzeugleiste" im Abschnitt "Die Verwendung von Sonstigen Fenstern, Editoren und Tools" beschrieben wird.


Symbolleiste "Grafik"

Display Menu Roadmap
Mit der Symbolleiste Grafikmodi können Sie die Anzeige des Werkstückprogramms auf dem Bildschirm leicht ändern. Sie dient auch zum einfachen Zugriff auf die verfügbaren Modi. Die Symbolleiste enthält folgende Symbole:

Symbol |  | Beschreibung
 | Ansicht einrichten | Dient zur Änderung der Anzeige des Werkstücks im Grafikfenster. Informationen hierzu finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Ansichtensatz speichern | Speichert eine benutzerdefinierte Ansicht des Werkstücks, die zu einem späteren Zeitpunkt aufgerufen werden kann. Siehe auch "Definieren und Speichern eines Ansichtensatzes" im Abschnitt "Einfügen von Reporting-Befehlen".
 | Ansichtensatz erstellen | Speichert die Ansicht des Werkstücks als einzelnen Ansichtensatz, der zu einem späteren Zeitpunkt aufgerufen werden kann. Siehe auch "Definieren und Speichern eines Ansichtensatzes" im Abschnitt "Einfügen von Reporting-Befehlen".
 | Größe anpassen | Vergrößert oder verkleinert die Ansichten der Grafik im Grafikfenster, so daß sie auf den Bildschirm passen. Siehe auch "Anpassen der Zeichnung" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Oberflächen zeichnen | Aktiviert bzw. deaktiviert die Anzeige schattierter CAD-Oberflächen. Siehe auch "Zeichnen von Oberflächen" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Bildschirm neu zeichnen | Aktualisiert alle Ansichten des Werkstücks und zeichnet sie neu. Siehe auch "Neuzeichnen des Bildschirms" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Kurvenmodus | Versetzt PC-DMIS in den Kurvenmodus (für uns mit Drahtmodell). Siehe auch "Wechseln zwischen Kurven- und Oberflächenmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Oberflächenmodus | Versetzt PC-DMIS in den Oberflächenmodus (für uns mit Oberflächendaten). Siehe auch "Wechseln zwischen Kurven- und Oberflächenmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Übertragungsmodus | Versetzt PC-DMIS in den Übertragungsmodus. Siehe auch "Übertragungsmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | 2D-Rotationsmodus | Dreht das Werkstück für die ausgewählte Ansicht in zwei Dimensionen. Siehe auch "2D-Rotationsmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | 3D-Rotationsmodus | Dreht das Werkstück für die ausgewählte Ansicht in drei Dimensionen. Siehe auch "3D-Rotationsmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Programmodus | Verwendet den Taster entweder offline oder online zum Erlernen und Bearbeiten des Werkstückprogramms. Siehe auch "Programmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Textfeldmodus | Greift auf Kontextmenübefehle für Punk-Info- und Merkmal-Info-Textfelder zu. Siehe auch "Textfeldmodus" im Abschnitt "Bearbeiten der CAD-Anzeige".
 | Baugruppe | Zeigt ein Fenster an, über das Sie die Werkstücke einer Baugruppe (einer Gruppe von Werkstückmodellen) ein- oder ausblenden können. Siehe auch "Zeigen von Werkstückbaugruppen" im Abschnitt "Bearbeiten der CAD-Anzeige".


Symbolleiste "Einstellungen"

Display Menu Roadmap

Probes Working Plane Probe Tips Alignments Views

Die Symbolleiste Einstellungen enthält eine ganze Reihe von Listen, mit deren Hilfe Sie einfach zwischen den folgenden Einstellungen hin- und herschalten können:
  • Gespeicherte Ansichten
  • Vordefinierte Ausrichtungen
  • Vordefinierte Tasterspitzen
  • Verfügbare Arbeitsebenen
  • Aktuelle Werkstückprogramme
  • Aktive KMG-Schnittstellen

So ändern Sie die Anzeige:

  1. Öffnen Sie die gewünschte Auswahlliste.
  2. Wählen Sie eine zuvor definierte ID oder ein zuvor definiertes Element aus.

Siehe auch:

Liste "Ansichten"

Liste "Ausrichtungen"

Liste "Tastspitzen"

Liste "Arbeitsebenen"

Liste "Taster"


Liste "Ansichten"

In der Liste Ansichten werden Ansichten gespeichert, die mit dem aktiven Werkstückprogramm erstellt und gespeichert wurden.

Siehe auch "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige" und "Definieren und Speichern eines Ansichtensatzes" im Abschnitt "Einfügen von Reporting-Befehlen".

So verwenden Sie eine gespeicherte Ansicht:

  1. Setzen Sie den Mauszeiger auf den nach unten zeigenden Pfeil in der Liste Ansichten.
  2. Klicken Sie mit der linken Maustaste.
  3. Bewegen Sie den Mauszeiger auf die gewünschte ID.
  4. Klicken Sie mit der linken Maustaste.

Während PC-DMIS eine Ansicht abruft, sind alle anderen Funktionen vorübergehend unzugänglich.

Befehlszeile im Bearbeitungsfenster:
AUFRUFEN/ANSICHTENSATZ, Ansichtensatzname

Ansichtensatzname = der Name des aufzurufenden Ansichtssatzes.


Liste "Ausrichtungen"

In der Liste Ausrichtungen werden zuvor gespeicherte Ausrichtungen gespeichert. Diese Ausrichtungen können ausgewählt und in das Bearbeitungsfenster eingefügt werden.

Weitere Informationen zum Erstellen und Speichern von Ausrichtungen finden Sie unter "Speichern einer Ausrichtung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".

So ändern Sie die Ausrichtung:

  1. Setzen Sie den Mauszeiger auf den nach unten zeigenden Pfeil in der Liste Ausrichtungen.
  2. Klicken Sie mit der linken Maustaste. Es erscheint eine Auswahlliste, in der Sie eine neue Ausrichtung auswählen können.

Sie können steuern, welche Ausrichtungen in dieser Liste angezeigt werden, indem Sie im Bearbeitungsfenster mit der Option Ausrichtung den Wert für den Bereich LIST= des Befehls AUSRICHTUNG/START ändern (siehe auch "Erstellen und Verwenden von Ausrichtungen").


Liste "Tastspitzen"

In der Liste "Taster spitzen" werden zuvor definierte Tastspitzenwinkel gespeichert. Weitere Informationen zum Erstellen von Tastspitzenwinkeln finden Sie unter "Winkel hinzufügen" im Abschnitt "Definieren von Hardware" definieren.

So ändern Sie die Nummer einer Tastspitze:

  1. Durchsuchen Sie die verfügbaren Tastspitzen, indem Sie auf den nach unten zeigenden Pfeil in der Liste Tastspitzen klicken.
  2. Wählen Sie die gewünschte Tastspitze mit der linken Maustaste aus.


Liste "Arbeitsebene"

Display Menu Roadmap
In der Auswahlliste "Arbeitsebene" können Sie die Ebene ändern, in der Sie arbeiten. Es ändert sich nur die Arbeitsebene, nicht die Ansicht im Grafikfenster.

Die verfügbaren Arbeitsebenen sind:

A=OBEN | Hellgrau | ZPLUS
B=RECHTS | Mittelgrau | XPLUS
C=HINTEN | Vertikale Linien | YPLUS
D=UNTEN | Horizontale Linien | ZMINUS
E=LINKS | Rot | XMINUS
F=VORNE | Keine Farbe | YMINUS

So machen Sie beispielsweise die Rückseite des Werkstückbildes zur aktuellen Arbeitsebene:

  1. Setzen Sie den Mauszeiger auf den nach unten zeigenden Pfeil in der Liste Arbeitsebene.
  2. Wählen Sie aus der Auswahlliste "YPLUS" aus, um die neue Arbeitsebene zu erhalten.

Gemessene Linien und Arbeitsebenen

Bei der Erstellung einer gemessenen Linien erwartet PC-DMIS, daß die Meßpunkte auf einem Vektor aufgenommen werden, der im rechten Winkel zur aktuellen Arbeitsebene verläuft.

Wenn Sie beispielsweise auf der aktuellen Arbeitsebene ZPLUS (mit einem Vektor 0,0,1) arbeiten und ein blockähnliches Werkstück vorliegt, müssen die Meßpunkte für die gemessene Linie auf einer senkrechten Wand dieses Werkstücks, beispielsweise der vorderen oder seitlichen, liegen.

Wenn Sie dann ein Linienelement auf der oberen Werkstückoberfläche messen wollen, müssen Sie die Arbeitsebene auf XPLUS, XMINUS, YPLUS oder YMINUS umstellen, je nach dem, welche Richtung die Linie hat.

Weitere Informationen zum Erstellen von gemessenen Linien finden Sie unter "Messen einer Linie".


Liste "Tastspitzen"

Mit der Liste Taster können Sie die Taster auswählen, die bereits in Ihrer Taster-Datei definiert wurden. PC-DMIS fügt den Befehl TASTERLADEN in das Bearbeitungsfenster ein.


Symbolleiste "Antasten"

Display Menu Roadmap

Die Symbolleiste "Antasten" (Taster - Modi ) enthält Symbole, über die Sie auf die verschiedenen durch den aktuellen Taster oder das KMG verwendeten Modi zugreifen können. Die verfügbaren Symbole für die Modi sind in der folgenden Tabelle beschrieben:

Symbol |  | Beschreibung
 | Manueller-Modus | Über das Symbol Manueller Modus versetzen Sie PC-DMIS in den manuellen Modus. Im Manuellen Modus können Sie die KMG-Bewegungen und -Messungen manuell steuern. Der manuelle Modus wird bei einem manuellen KMG verwendet oder während des manuellen Ausrichtungsvorgangs eines Programms, das auf einem automatischen KMG ausgeführt werden wird. Bei Auswahl dieses Symbols wird der Befehl MODUS/MANUELL an der Cursor-Position im Bearbeitungsfenster eingefügt. Die aus diesem Befehl resultierenden Bearbeitungsfensterbefehle werden im Manuellen Modus ausgeführt.
 | CNC-Modus | Über das Symbol CNC-Modus versetzen Sie PC-DMIS in den CNC-Modus. Durch den CNC-Modus können unterstützte CNC-Geräte automatisch die Messung Ihres Werkstückprogramms.übernehmen. Bei Auswahl dieses Symbols wird der Befehl MODUS/CNC an der Cursor-Position im Bearbeitungsfenster eingefügt. Die aus diesem Befehl resultierenden Bearbeitungsfensterbefehle werden im CNC-Modus ausgeführt.
 | Elementerkennung Rund | Über das Symbol Elementerkennung Rund wird PC-DMIS angewiesen, die durch einen starren Taster aufgenommenen Meßpunkte als dreidimensionale Elementtypen zu interpretieren. Siehe "Verwenden der Taster-Werkzeugleiste" im Abschnitt "Die Verwendung von Sonstigen Fenstern, Editoren und Tools.
 | Elementerkennung Flach | Über das Symbol Elementerkennung Flach wird PC-DMIS angewiesen, die durch einen starren Taster aufgenommenen Meßpunkte als zweidimensionale Elementtypen zu interpretieren. Siehe "Verwenden der Taster-Werkzeugleiste" im Abschnitt "Die Verwendung von Sonstigen Fenstern, Editoren und Tools.
 | Ergebnis-Modus | Das Symbol Ergebnis-Modus ist nur bei Einsatz eines LK-Meßgeräts verfügbar. Der Taster wird dadurch in den Ergebnis-Modus versetzt.
 | Punkt-Modus | Das Symbol Punkt-Modus ist nur bei Einsatz eines LK-Meßgeräts verfügbar. Der Taster wird dadurch in den Punkt-Modus versetzt.


Symbolleiste "Bearbeitungsfenster"

Print Last Execution Report Mode Redo Undo DMIS Mode Paste with Pattern Paste Copy Cut ReportMode Command Mode Summary Mode Clear All Bookmarks Next Bookmark Insert Bookmark Clear All Breakpoints Insert / Remove Breakpoint Clear Marked Mark All Mark Current Feature Execute Program

Über die Symbolleiste Bearbeitungsfenster können Sie schnell auf viele gängige Funktionen des Bearbeitungsfensters zugreifen.

Display Menu Roadmap
Die Symbolleiste enthält eine Gruppe von Werkzeugen für eine einfache, intuitive Manipulation des Inhalts des Bearbeitungsfensters. Sie bietet einen schnellen Zugriff auf wichtige Befehle des Bearbeitungsfensters.

  • Ausführen
  • Aktuelles Element markieren
  • Alles markieren
  • Markierung löschen
  • Haltepunkt einfügen/löschen
  • Alle Haltepunkte löschen
  • Lesezeichen einfügen
  • Nächstes Lesezeichen
  • Alle Lesezeichen löschen
  • Übersichtsmodus
  • Befehlsmodus
  • Protokollmodus
  • DMIS-Modus
  • Ausschneiden
  • Kopieren
  • Einfügen
  • Mit Muster einfügen
  • Rückgängig
  • Wiederholen
  • Drucken

Siehe auch:

Programm ausführen

Aktuelles Element markieren

Alles Markieren

Markierung löschen

Haltepunkt einfügen/löschen

Alle Haltepunkte löschen

Lesezeichen einfügen

Nächstes Lesezeichen

Alle Lesezeichen löschen

Übersichtsmodus

Befehlsmodus

Vollständiges Protokoll

Protokoll der letzten Ausführung

DMIS-Modus

Ausschneiden

Kopieren

Einfügen

Mit Muster einfügen

Rückgängig

Wiederholen

Drucken


Programm ausführen

Mit dem Symbol Programm ausführen wird der Meßvorgang für alle aktuell markierten Elemente ausgeführt. Siehe auch "Ausführen von Werkstückprogrammen" im Abschnitt "Verwenden von fortgeschrittenen Datei-Optionen".


Aktuelles Element markieren

Mit dem Symbol Aktuelles Element markieren wird das Element unter dem Cursor hervorgehoben und zur Ausführung markiert. Weitere Informationen finden Sie unter "Markieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Arbeiten mit Symbolleisten - Symbolleiste "Bearbeitungsfenster" - Alles markieren

Alles Markieren

Mit dem Symbol Alles markieren der Symbolleiste werden alle Elemente im Bearbeitungsfenster hervorgehoben. PC-DMIS fragt Sie anschließend, ob auch die Ausrichtungselemente markiert werden sollen. Weitere Informationen finden Sie unter "Markieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Markierung löschen

Mit dem Symbol Markierung löschen werden alle Markierungen der aktuell im Bearbeitungsfenster ausgewählten Elemente aufgehoben. Weitere Informationen finden Sie unter "Markieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Alle Haltepunkte löschen

Mit dem Symbol Alle Haltepunkte löschen der Symbolleiste werden alle im Werkstückprogramm vorgefundenen Haltepunkte gelöscht. Weitere Informationen finden Sie unter "Alles löschen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Lesezeichen einfügen

Mit dem Symbol Lesezeichen einfügen der Symbolleiste wird an der aktuellen Cursor-Position im Werkstückprogramm ein Lesezeichen gesetzt. Weitere Informationen finden Sie unter "Lesezeichen ein/aus" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Arbeiten mit Symbolleisten, Symbolleiste "Bearbeitungsfenster" - Nächstes Lesezeichen

Nächstes Lesezeichen

Mit dem Symbol Nächstes Lesezeichen können Sie zur nächsten Position innerhalb des Werkstückprogramms springen, an der ein Lesezeichen gesetzt ist. Weitere Informationen finden Sie unter "Nächstes Lesezeichen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Arbeiten mit Symbolleisten - Symbolleiste "Bearbeitungsfenster" - Alle Lesezeichen löschen

Alle Lesezeichen löschen

Mit dem Symbol Alle Lesezeichen löschen werden alle im Werkstückprogramm gefundenen Lesezeichen gelöscht. Weitere Informationen finden Sie unter "Alle Lesezeichen löschen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Übersichtsmodus

Mit dem Symbol Übersichtsmodus der Symbolleiste kann das Bearbeitungsfenster in den Übersichtsmodus versetzt werden. Dieser Modus bietet eine ein- und ausblendbare grafische Übersicht über alle Elemente und Befehle des Werkstückprogramms. Der Inhalt kann zudem in begrenztem Maße bearbeitet werden. Siehe auch "Arbeiten im Übersichtsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".


Befehlsmodus

Mit dem Symbol Befehlsmodus der Symbolleiste wird das Bearbeitungsfenster in den Befehlsmodus geschaltet. In diesem Modus stehen zahlreiche Befehle zur Verfügung, mit denen Sie verschiedenste Aspekte des Werkstückprogramms bearbeiten können. Siehe auch "Arbeiten im Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".


Vollständiges Protokoll

Mit dem Symbol Vollständiges Protokoll der Symbolleiste wird das Bearbeitungsfenster in den Protokollmodus geschaltet. Sie können damit alle – markierten und unmarkierten – Einträge in Ihrem Werkstückprogramm und die Einträge aller zuvor ausgeführten Werkstückprogramme ansehen. Siehe auch "Arbeiten im Protokollmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".


Protokoll der letzten Ausführung

Mit dem Symbol Protokoll der letzten Ausführung der Symbolleiste wird das Bearbeitungsfenster in den Protokollmodus geschaltet. Ihr Protokoll wird angezeigt, jedoch nur mit den markierten Einträgen des zuletzt ausgeführten Werkstückprogramms. Siehe auch "Arbeiten im Protokollmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".


DMIS-Modus

Mit dem Symbol DMIS-Modus der Symbolleiste werden die Befehle des Bearbeitungsfensters im DMIS-Format angezeigt. In diesem Modus können Sie die DMIS-Syntax verwenden.

  • Informationen, wie DIMS-Befehle (Standardbefehlsformat von PC-DMIS) in DMIS-Befehle umgesetzt werden, finden Sie im Dokument PC-DMIS Support Documentation for DMIS unter: ftp://wilcoxassoc.com/docs/dmis_support.zip.
  • Informationen über DMIS finden Sie unter http://www.dmis.com.

Siehe auch "Arbeiten im DMIS-Modus" im Abschnitt "Verwenden des Bearbeitungsfensters".


Arbeiten mit Symbolleisten - Symbolleiste "Bearbeitungsfenster" - Ausschneiden

Ausschneiden

Mit dem Symbol Ausschneiden der Symbolleiste können Sie Text und Objekte im Bearbeitungsfenster ausschneiden und vorübergehend in der Zwischenablage speichern. Weitere Informationen finden Sie unter "Ausschneiden" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Arbeiten mit Symbolleisten - Symbolleiste "Bearbeitungsfenster" - Kopieren

Kopieren

Mit dem Symbol Kopieren der Symbolleiste können Sie Text und Objekte im Bearbeitungsfenster kopieren und zum späteren Einfügen vorübergehend in der Zwischenablage speichern. Weitere Informationen finden Sie unter "Kopieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Arbeiten mit Symbolleisten - Symbolleiste "Bearbeitungsfenster" - Einfügen

Einfügen

Mit dem Symbol Einfügen der Symbolleiste wird der Inhalt der Zwischenablage an der aktuellen Cursor-Position im Bearbeitungsfenster eingefügt. Weitere Informationen finden Sie unter "Einfügen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Arbeiten mit Symbolleisten - Symbolleiste "Bearbeitungsfenster" - Mit Muster einfügen

Mit Muster einfügen

Mit dem Symbol Mit Muster einfügen der Symbolleiste werden Musterelemente mit ihren Versätzen an der aktuellen Cursor-Position in das Werkstückprogramm eingefügt. Weitere Informationen finden Sie unter "Bearbeiten von Elementmustern" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Arbeiten mit Symbolleisten - Symbolleiste "Bearbeitungsfenster" - Rückgängig

Rückgängig

Mit dem Symbol Rückgängig der Symbolleiste können Sie die letzte im Bearbeitungsfenster vorgenommene Aktion rückgängig machen. Weitere Informationen finden Sie unter "Rückgängig" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Arbeiten mit Symbolleisten - Symbolleiste "Bearbeitungsfenster" - Wiederholen

Wiederholen

Mit dem Symbol Wiederholen der Symbolleiste können Sie eine mit Rückgängig widerrufene Aktion wiederholen. Weitere Informationen finden Sie unter "Wiederholen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Arbeiten mit Symbolleisten - Symbolleiste "Bearbeitungsfenster" - Drucken

Drucken

Über das Symbol Drucken der Symbolleiste können Sie ein Protokoll der aktuellen Inhalte des Bearbeitungsfensters ohne Anzeige von Dialogfeldern direkt an Ihren Standarddrucker senden.


Symbolleiste "Merkmal"

Display Menu Roadmap
Über die Symbole der Symbolleiste Merkmal können Sie schnell auf die im Menü Merkmal verfügbaren Optionen zugreifen.

Symbol | Beschreibung
 | Lage
 | Position
 | Abstand
 | Zwischenwinkel
 | Konzentrizität
 | Koaxialität
 | Rundheit
 | Geradheit
 | Ebenheit
 | Rechtwinkligkeit
 | Parallelität
 | Auslauf
 | Oberflächenprofil
 | Linienprofil
 | Neigung
 | Symmetrie
 | Eingabewert


Symbolleiste "Konstruierte Elemente"

Display Menu Roadmap
Mit den Symbolen der Symbolleiste Konstruktion können Sie schnell auf die Optionen zur Elementkonstruktion zugreifen, die im Untermenü Konstruierte... verfügbar sind.

Symbol | Beschreibung
 | Punkt
 | Linie
 | Ebene
 | Kreis
 | Ellipse
 | Langloch
 | Kurve
 | Zylinder
 | Kegel
 | Kugel
 | Oberfläche
 | Elementgruppe
 | Gaußscher Filter
 | Allgemein

Weitere Informationen finden Sie unter "Konstruieren von neuen Elementen aus vorhandenen Elementen" und "Erstellen von allgemeinen Elementen".

Weitere Informationen zum Einfügen von Lesepunkten finden Sie in der unter "Erstellen von allgemeinen Elementen" verfügbaren Dokumentation.


Symbolleiste "Auto-Elemente"

Display Menu Roadmap
Über die Symbolleiste Auto-Elemente können Sie einfach auf dieselben Auto-Elemente zugreifen, die auf den verschiedenen Registerkarten des Dialogfelds Auto-Elemente verfügbar sind. Zudem ist es möglich, PC-DMIS den Elementtyp auf Basis der aufgenommenen Meßpunkte schätzen zu lassen.

Wenn Sie auf das Symbol eines Auto-Elements klicken, wird die Registerkarte des betreffenden Elements zusammen mit dem Dialogfeld Auto-Elemente geöffnet.

Drücken Sie die ENDE-Taste oder klicken Sie im Dialogfeld Auto-Elemente auf die Schaltfläche Erstellen, um das Auto-Element zu erstellen. Bevor Sie das Element erstellen, können Sie Meßpunkte durch Drücken der Tastenkombination ALT + '-' aus dem Meßpunktpuffer entfernen.

Tip: Klicken Sie für das Dialogfeld Auto-Elemente auf die Schaltfläche Minimieren. Damit können Sie das Dialogfeld Auto-Elemente ausblenden und trotzdem das ausgewählte Element erstellen.

Siehe auch:

Auto-Elemente erkennen


Auto-Elemente erkennen

Über das Symbol Elementerkennung läßt sich die Erstellung eines Werkstückprogramms beschleunigen. Bei Wahl dieser Option erscheint kein Dialogfeld, sondern PC-DMIS schätzt den Elementtyp auf Basis der aufgenommenen Meßpunkten. Eine solche Schätzung funktioniert nur, wenn folgende Vorausssetzungen erfüllt sind:

  • Es müssen CAD-Oberflächendaten vorhanden sein.
  • Das Symbol "Oberflächenmodus" muß ausgewählt werden.
  • Sie müssen einen taktilen Tasterverwenden. Die Elementerkennung mit optischen Sensoren wird nicht unterstützt.

Hinweis: CAD-Drahtmodelldaten können sehr nützlich sein und die Elementerstellung beschleunigen. Werden nur Oberflächendaten verwendet, benötigt PC-DMIS beispielsweise drei Meßpunkte zur Erkennung eines Kreises. Sind dagegen Drahtmodelldaten vorhanden, benötigt PC-DMIS nur einen Meßpunkt.

Siehe auch:

Elementerkennung anhand des Elementtyps


Elementerkennung anhand des Elementtyps

Im folgenden wird definiert, wie viele Meßpunkte an welcher Stelle aufgenommen werden müssen, damit PC-DMIS den betreffenden Elementtyp unter Verwendung des Symbols Elementerkennung erkennt:

Symbol | Elementtyp | Anzahl an Meßpunkten zum Schätzen dieses Elementtyps | Position der Meßpunkte zum Schätzen dieses Elementtyps
 | Vektorpunkt | Einen |
 | Oberflächenpunkt | Zwei |
 | Kantenpunkt | Drahtmodell- und Oberflächendaten: Einen | Ein Meßpunkt nahe der Kante.
 | Winkelpunkt | Zwei | Ein Meßpunkt auf der einen Oberfläche und ein Meßpunkt auf der anderen Oberfläche, die mehr als 90 Grad auseinanderliegen.
 | Charakteristischer Punkt | Die Elementerkennung unterstützt diesen Elementtyp nicht.
 | Eckpunkt | Drei | Einmal auf jeder der drei Oberflächen.
 |  | Nur Oberflächendaten: Zwei | Ein Meßpunkt auf der oberen Oberfläche. Ein Meßpunkt auf der Kantenoberfläche, ca. 90 Grad zur oberen Oberfläche.
 | Extrempunkt | Einen |
 | Linie | Die Elementerkennung unterstützt diesen Elementtyp nicht.
 | Ebene | Die Elementerkennung unterstützt diesen Elementtyp nicht.
 | Kreis | Drahtmodell- und Oberflächendaten: Einen | Ein Meßpunkt auf der oberen Oberfläche nahe der Kante des Kreises oder des Bogens.
 |  | Nur Oberflächendaten: Drei | Drei Meßpunkte auf der oberen Oberfläche nahe der Kante des Kreises oder des Bogens.
 | Ellipse | Fünf | Fünf Meßpunkte um die Ellipse herum.
 | Rechteckloch | Vier | Vier Meßpunkte auf der oberen Oberfläche in der Nähe der Kante des Rechtecklochs.
 | Langloch | Drahtmodell- und Oberflächendaten: Zwei | Ein Meßpunkt auf der oberen Oberfläche nahe der Kante des Bogens und ein Meßpunkt nahe des gegenüberliegenden Bogens.
 |  | Nur Oberflächendaten: Sechs | Drei Meßpunkte auf der oberen Oberfläche nahe der Kante des Bogens und drei Meßpunkte nahe des gegenüberliegenden Bogens.
 | Kerbe | Fünf | Zwei Meßpunkte auf der Öffnung der der Kerbe gegenüberliegenden Seite. Ein Meßpunkt auf einer Parallelseite der Kerbe. Ein Meßpunkt auf der anderen Seite. Ein Meßpunkt auf der offenen Kante.
 | Zylinder | Drahtmodell- und Oberflächendaten: Zwei | Ein Meßpunkt auf der oberen Oberfläche nahe der Kante des Kreises oder des Bogens und ein Meßpunkt an der Seite des Zylinders.
 |  | Nur Oberflächendaten: Vier | Drei Meßpunkte auf der oberen Oberfläche nahe der Kante des Kreises oder des Bogens und ein Meßpunkt an der Seite des Zylinders.
 | Kegel | Draht und Oberfläche oder nur Oberfläche: Vier | Drei Meßpunkte auf der oberen Oberfläche nahe der Kante des Kreises oder des Bogens und ein Meßpunkt an der Seite des Kegels. Ermittelt PC-DMIS zwischen dem vierten Meßpunkt und dem Kreis, der anhand der ersten drei Meßpunkte berechnet wurde, einen Winkel größer als 2 Grad, wird ein Kegel geschätzt, andernfalls ein Zylinder.
 | Kugel | Fünf | Fünf Meßpunkte auf der Kugeloberfläche.
 | Spalt | Die Elementerkennung unterstützt diesen Elementtyp nicht.
 |  | Nur Drahtmodell: Zwei | Ein Meßpunkt nahe des ersten Kreises oder Bogens (das eine Ende des Kegels). Ein Meßpunkt nahe des zweiten Kreises oder Bogens (das andere Ende des Kegels). PC-DMIS überprüft, ob Kreise übereinander liegen. Ist dies der Fall, so wird ein Kegel geschätzt, anderenfalls ein Langloch.
 | Schätzung | Variable. Weitere Informationen zu diesem Symbol finden Sie am Anfang dieses Themas. |


Symbolleiste "Gemessene Elemente"

Display Menu Roadmap
Über die Symbolleiste Gemessene Elemente können Sie PC-DMIS anweisen, den Elementtyp, für den Sie Meßpunkte aufnehmen, automatisch zu schätzen und anzuzeigen. Des weiteren können Sie PC-DMIS damit zwingen, einen bestimmten Elementtyp zu akzeptieren.

Siehe auch:

Automatische Erkennung eines Elementtyps

Erzwingen eines bestimmten Elementtyps


Automatische Erkennung eines Elementtyps

Bei Auswahl des Symbols Elementerkennung zeigt PC-DMIS ein Symbol an, das den sich nach jedem aufgenommenen Meßpunkt ergebenden möglichen Elementtyp darstellt. Dies ermöglicht eine visuelle Voransicht des Elementtyps, bevor er tatsächlich erstellt wird.

Beim Messen eines Zylinders werden z. B. zwei Sätze mit jeweils vier Meßpunkten auf zwei verschiedenen Ebenen entlang der Höhe des Stiftes aufgenommen. Wenn die ersten vier Meßpunkte auf einer Ebene aufgenommen werden, erscheint im Grafikfenster als Elementtyp ein Kreissymbol. Nach Aufnahme der zweiten Meßpunktebene zeigt PC-DMIS ein Zylindersymbol an.


Erzwingen eines bestimmten Elementtyps

Mit den Elementtypsymbolen auf dieser Symbolleiste können Sie PC-DMIS zwingen, den ausgewählten Elementtyp zu akzeptieren.

Symbol | Beschreibung
 | Zwingt PC-DMIS, den Elementtyp "Punkt" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Linie" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Ebene" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Kreis" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Zylinder" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Kegel" zu akzeptieren.
 | Zwingt PC-DMIS, den Elementtyp "Kugel" zu akzeptieren.

Wird bei Aufnahme von Meßpunkten im Modus Elementerkennung (durch Auswahl des Symbols Elementerkennung) der falsche Elementtyp angezeigt, können Sie auf das richtige Elementsymbol klicken und PC-DMIS so zwingen, den betreffenden Elementtyp zu akzeptieren. Das Element wird erst zum Werkstückprogramm hinzugefügt, wenn dessen Erstellung durch Drücken der ENDE-Taste bestätigt wurde. Durch Drücken der Tasten '-' oder ALT + '-' können Meßpunkte entfernt werden.

Durch Auswahl des Kreissymbols zwingen Sie PC-DMIS beispielweise, den Elementtyp "Kreis" zu akzeptieren, sofern die erforderliche Mindestanzahl von Meßpunkten aufgenommen wurde.


Dateivorgänge

Datei Tätigkeiten

Display Menu Roadmap
Mit der Symbolleiste Datei Tätigkeiten können Sie schnell einige der wichtigsten Dateivorgänge ausführen. Diese Symbolleiste enthält die folgenden Symbole:

Symbol |  | Beschreibung
 | Öffnen | Öffnet ein vorhandenes Werkstückprogramm.
 | Neu | Erstellt ein neues Werkstückprogramm.
 | Schließen | Schließt das aktuelle Werkstückprogramm.
 | Beenden | Beendet PC-DMIS.
 | Speichern | Speichert das aktuelle Werkstückprogramm.
 | Speichern unter | Speichert das aktuelle Werkstückprogramm unter einem anderen Namen.

Weitere Informationen zu diesen Dateivorgängen finden Sie unter "Verwenden von grundlegenden Dateioptionen" und "Verwenden von fortgeschrittenen Dateioptionen".


Symbolleiste "Makro Wiedergeben/Aufzeichnen"

Display Menu Roadmap
Mit der Symbolleiste Makro Wiedergeben/Aufzeichnen können Sie Makros durch einen Mausklick auf das entsprechende Symbol aufzeichnen, wiedergeben und anhalten. Zur Durchführung routinemäßiger, sich wiederholender Aufgaben lassen sich ohne viel Aufwand benutzerdefinierte Makros erstellen.

In PC-DMIS ist ein Makro einfach eine Aufzeichnung von Tastenfolgen und Mausbewegungen, die zur Automatisierung einer Aufgabe ausgeführt werden können.

Hinweis: Beim Arbeiten mit Makros ist es sinnvoll, das Kontrollkästchen Feste Dialogfeldpositionen zu verwenden. Auf diese Weise bleiben alle Dialogfelder auf festen, voreingestellten Positionen. Siehe auch "Feste Dialogfeldpositionen" im Abschnitt "Voreinstellungen".

Siehe auch:

So zeichnen Sie ein Makro auf:

So geben Sie ein zuvor aufgezeichnetes Makro wieder:


So zeichnen Sie ein Makro auf:

  1. Wählen Sie das Symbol Aufzeichnen. PC-DMIS wird das Dialogfeld In Makrodatei aufzeichnen einblenden.
  2. Erstellen Sie im Feld Dateiname einen Dateinamen vom Dateityp *.mac.
  3. Klicken Sie auf die Schaltfläche Öffnen. Das Dialogfeld In Makrodatei aufzeichnen wird geschlossen, und das Symbol Aufzeichnen blinkt. Dadurch wird angezeigt, daß PC-DMIS gerade Tastatur- und/oder Mauseingaben aufzeichnet.
  4. Erstellen Sie das gewünschte Makro durch Aufzeichnen von Tastenanschlägen und/oder Mauseingaben.
  5. Klicken Sie auf das Symbol Aufzeichnung beenden , wenn Sie fertig sind.


So geben Sie ein zuvor aufgezeichnetes Makro wieder:

  1. Wählen Sie das Symbol Wiedergabe . PC-DMIS blendet das Dialogfeld Makrodatei wiedergeben ein.
  2. Gehen Sie zu dem Ordner, der die Makrodatei enthält.
  3. Wählen Sie das gewünschte Makro aus.
  4. Klicken Sie auf die Schaltfläche Öffnen.

Das Symbol Wiedergabe wird anfangen zu blinken, um zu signalisieren, daß PC-DMIS das gewünschte Makro wiedergibt. Sie können nun beobachten, wie PC-DMIS Maus- und Tastenoptionen zur Ausführung des gewählten Makros verwendet.


Symbolleiste "Virtuelle Tastatur"

Display Menu Roadmap

Über die Symbolleiste Virtuelle Tastatur können Sie eine Virtuelle Tastatur anstelle der tatsächlichen Tastatur verwenden und Ihren Wünschen anpassen. Diese Tastatur arbeitet wie jede andere Tastatur und kann mit der Maus oder einem Berührungsbildschirm verwendet werden. Diese Funktion ist in bestimmten Produktionsumgebungen hilfreich, wo der Einsatz einer physischen Tastatur nicht empfehlenswert ist.

Beispiel Virtuelle Tastatur – Variante Tastenfeld 1

Die verfügbaren Symbole der Symbolleiste Virtuelle Tastatur sind nachfolgend beschrieben:

Symbol | Beschreibung
 | Mit diesem Symbol wird die Virtuelle Tastatur ein- oder ausgeblendet. Die Virtuelle Tastatur erscheint automatisch und bewegt sich über dem PC-DMIS Hauptbildschirm. PC-DMIS blendet außerdem ein Programmsymbol auf Ihrer Windows-Taskleiste ein. Wie bei jedem anderen Windows-Programm wird das Programm Virtuelle Tastatur bei Auswahl dieses Programmsymbols aktiviert.
 | Mit diesem Symbol wird das Dialogfeld Tastatur anpassen eingeblendet, über das Sie ihre eigene benutzerdefinierte Version der Virtuellen Tastatur erstellen können. Weitere Informationen finden Sie unter Erstellen einer neuen Virtuellen Tastatur-Variante.
 | Mit dem Drop-Down-Pfeil rechts vom Symbol Anpassen wird eine Drop-Down-Liste eingeblendet, die ähnliche Eigenschaften aufweist wie das Pop-up-Menü, das unter "Virtuelle Tastatur-Varianten öffnen" beschrieben wurde.

Siehe "Verwenden der Virtuellen Tastatur" im Abschnitt "Die Verwendung von Sonstigen Fenstern, Editoren und Tools".


Symbolleiste "Berührungsbildschirm"

Display Menu Roadmap

Über die Symbolleiste Berührungsbildschirm können Sie festlegen, wie Berührungen auf Ihrem Berührungsbildschirm interpretiert werden sollen. Diese Funktion ist in bestimmten Produktionsumgebungen hilfreich, wo der Einsatz einer Maus nicht empfehlenswert ist.

Das Symbol Linker Mausklick, die Standardauswahl, interpretiert Berührungen auf dem Bildschirm als linke Mausklick-Schaltfläche.

Das Symbol Rechter Mausklick interpretiert die nächste Berührung auf dem Bildschirm als rechte Mausklick-Schaltfläche. Nachdem Sie die Bildschirmberührung ausgeführt haben, wird automatisch wieder in den Modus Linker Mausklick gewechselt.

Weitere Informationen zur Verwendung der Symbolleiste Berührungsbildschirm finden Sie in den Bildschirm-Lernprogrammen, die mit Ihrem "einen" werkstattfähigen KMG von Brown and Sharpe geliefert wurden.


Symbolleiste "Zusätze"

Display Menu Roadmap
In PC-DMIS können Sie jetzt eigene benutzerdefinierte Zusätze und Anwendungen erstellen, die Sie direkt von der PC-DMIS-Umgebung aus aufrufen können.

Die Symbole auf dieser Symbolleiste sind zunächst mit Assistenten verknüpft, die mit PC-DMIS zusammen installiert werden (siehe Assistenten weiter unten). Diese Symbole können mit jeder beliebigen Programmdatei verknüpft werden. Weitere Informationen zum Verknüpfen benutzerdefinierter Programmdateien mit Symbolen auf dieser Symbolleiste finden Sie unter "Anpassen der Benutzeroberfläche" im Abschnitt "Navigation durch die Benutzeroberfläche".

Siehe auch:

Assistenten

Aufrufen der Assistenten:

Verfügbarer Quellcode für Assistenten


Arbeiten mit Symbolleisten - Symbolleiste "Zusätze" - Assistenten

Assistenten

Mit dieser Version von PC-DMIS werden eine Reihe von Assistenten installiert. Diese Assistenten erfüllen die folgenden beiden Zwecke:

  1. Anfänger einzuweisen, die nach wie vor lernen, wie sie die Anwendung besser nutzen können
  2. Die Flexibilität und Anpassungsmöglichkeiten von PC-DMIS zu demonstrieren

Es gibt folgende Assistenten:

Symbol | Beschreibung
 | Assistent für 3-2-1 Ausrichtung – Dieser Assistent leitet Sie bei zwei grundlegenden Arten von Ausrichtungen an: einer 3-2-1-Ausrichtung und einer Ausrichtung unter Verwendung zweier Kreise
 | Assistent für CAD- Import – Damit können Sie einzelne oder mehrere CAD-Modelle in das aktuelle Werkstückprogram importieren. Es erscheinen einfach das Symbol und ein Dialogfeld. Sie müssen ein oder mehrere zu importierende Dateien auswählen und dann auf Öffnen klicken.
 | DMIS-Ausgabeassistent – Mit diesem Assistenten können Sie Werkstückprogrammdateien als DMIS-Dateien exportieren.
 | Assistent für iterative Ausrichtung – Dieser Assistent leitet Sie bei den Schritten zur Erstellung einer iterativen Ausrichtung an und erläutert die Regeln, die für die Eingaben der Ausrichtung gelten.
 | Assistent für Mehrfachausführungen – Mit diesem Assistenten können Sie Ihr Werkstückprogramm problemlos in einer Endlosschleife ausführen lassen oder einen bestimmten Wert hierfür einstellen. Außerdem können Sie eine Meldung auswählen, die zwischen den Wiederholungen angezeigt wird.
 | Taster assistent – Dieser Assistent veranschaulicht, wie ein Taster definiert wird, und hilft bei der Kalibrierung des neu definierten Tasters.
 | Datenbank-Assistent – Dieser Assistent hilft Ihnen bei der einfachen Erstellung und Registrierung von ODBC-konformen Datenbanken.


Aufrufen der Assistenten:

Klicken Sie auf der Symbolleiste Zusätze auf das entsprechende Symbol oder klicken Sie auf eines der folgenden Symbole (PC-DMIS muß ausgeführt werden):

3-2-1 Alignment Wizard
CAD Import Wizard
Iterative Alignment Wizard
Dmis Out Wizard
Multiple Execute Wizard
Probe Wizard
Database Wizard


Verfügbarer Quellcode für Assistenten

Diese Assistenten wurden mit Hilfe von Microsoft Visual Basic© sowie Automatisierungsfunktionen von PC-DMIS entwickelt. Im Unterverzeichnis "Wizards" des PC-DMIS-Installationsverzeichnis sind der Quellcode und die Projektdateien enthalten, aus denen sie erstellt wurden. Wenn Sie die Funktionen von PC-DMIS erweitern oder eine benutzerdefinierte Anwendung erstellen möchten, die eine Schnittstelle mit PC-DMIS bildet, kann Ihnen der bereitgestellte Quellcode als hilfreiche Richtlinie dienen. Zudem ist es auch möglich, die Assistenten um Funktionen zu erweitern, die nicht in der Originalanwendung enthalten sind.


Symbolleiste "Aktuelle Arme"

Display Menu Roadmap
Die Symbolleiste "Akuelle Arme" enthält Symbole zur Darstellung mehrerer Arme. Das Symbol Arm 1 aktiv (die Schaltfläche mit der Nummer 1) entspricht dem "Master"-Arm. Das Symbol Arm 2 aktiv verweist auf den "Slave"-Arm. Es kann nur jeweils ein Arm aktiv sein. Das ausgewählte Symbol gilt als aktiv.

Sie können auch die mit einem bestimmten Arm verknüpften Befehle ausführen, wenn Sie das farbige Häkchensymbol für den aktiven Arm anklicken.

Die Symbolleiste Aktuelle Arme steht derzeit nur zur Auswahl, wenn für das System das Zusatzpaket "Mehrarmmodus" erworben wurde.

Sie können diese Symbolleiste auch anzeigen, indem Sie auf die Menüoption Mehrarmbetrieb aktivieren klicken (unter "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Weitere Informationen zum Einrichten und Verwenden von Mehrarm-KMGs finden Sie unter "Arbeiten im Mehrarmbetrieb". Weitere Informationen zur Verwendung dieser Symbolleiste finden Sie auch im entsprechenden Abschnitt unter "Zuweisen eines Befehls zu einem Arm" ".


Symbolleiste "Aktiver Drehtisch"

Symbolleiste "Aktueller Drehtisch"

Display Menu Roadmap
Mit der Symbolleiste Aktueller Drehtisch können Sie bestimmen, welcher der beiden Drehtische der aktive Tisch ist. Sie können auf dieser Symbolleiste nur dann Symbole auswählen, wenn Sie die Drehtische mit Hilfe der Menüoption Drehtisch einrichten eingerichtet haben (unter "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen). Weitere Informationen finden Sie unter "Definieren des Drehtisches" im Abschnitt "Voreinstellungen".


Symbolleiste "Schnellstart"

Display Menu Roadmap
Die Symbolleiste Schnellstart ist mit den Optionen vergleichbar, die im Meßprogramm TUTOR for WINDOWS zur Verfügung stehen. Wenn Sie mit dem TUTOR vertraut sind und gerade anfangen, PC-DMIS zu verwenden, können Sie mit Hilfe dieser Symbolleiste den Lernprozeß des Werkstückprogramms durchlaufen.

Die Symbolleiste Schnellstart dient außerdem als Menü für andere Symbolleisten und umfasst damit eine ganze Reihe von Meßoptionen. Folgende Optionen sind enthalten:

Scan Toolbar Calibrate / Edit Toolbar Align Toolbar GD&T Toolbar Relation Toolbar Construct Toolbar Auto Toolbar Measure Toolbar

Messen
  • Auto
  • Konstruieren
  • Relation
  • GD&T
  • Ausrichten
  • Kalibrieren/Bearbeiten
  • Scannen

Mit dem obersten Symbol der Symbolleiste Schnellstart können Sie auswählen, welche Symbolleiste verwendet werden soll.

Siehe auch:

Verwenden des Dialogfelds Schnellstart

Schnellstart: Symbolleiste "Messen"

Schnellstart: Symbolleiste "Auto"

Schnellstart: Symbolleiste "Konstruieren"

Schnellstart: Symbolleiste "Relation"

Schnellstart: Symbolleiste "GD&T"

Schnellstart: Symbolleiste "Ausrichten"

Schnellstart: Symbolleiste "Kalibr./Bearb."

Schnellstart: Symbolleiste "Scannen"


Verwenden des Dialogfelds "Schnellstart"

Viele der Symbole auf den Symbolleisten rufen das Dialogfeld Schnellstart auf, um bestimmte Vorgänge durchzuführen.

In diesem Thema werden die einzelnen Elemente dieses Dialogfelds erläutert. Außerdem wird beschrieben, wie die Dialogfeld zur Durchführung verschiedener Tätigkeiten verwenden können.

Dialogfeldeintrag | Beschreibung

Grafische Beschreibung

 PC-DMIS zeigt für alle Vorgänge, die über das Dialogfeld Schnellstart durchgeführt werden, eine grafische Darstellung der von Ihnen im oberen linken Bereich des Dialogfelds getroffenen Auswahl an.
Elementliste | Wenn Sie auf der Symbolleiste Schnellstart die Symbolleiste Messen verwenden, wird der durch Sie gewählte Elementtyp oder Vorgang in der Elementliste angezeigt. Mit dieser Liste können Sie schnell zu einem neuen zu messenden Elementtyp wechseln.
ID | Siehe "ID" im Abschnitt "Navigation durch die Benutzerschnittstelle".
Such-ID | Siehe "Such-ID" im Abschnitt "Navigation durch die Benutzerschnittstelle".
Elementlistenfeld oder Merkmallistenfeld | Siehe "Feld "Elementliste" oder "Feld "Liste der Merkmale" im Abschnitt "Navigation durch die Benutzerschnittstelle".

Layer

 Mit dem Symbol Layer wird das Werkstück auf dieses Element nivelliert, wenn Sie auf Ende klicken.

Drehen

 Das Symbol Drehen steht nur dann zur Auswahl, wenn 3-2-1-Ausrichtungen erstellt werden. Mit einem Mausklick auf dieses Symbol wird das Dialogfeld Rotationsoffset angezeigt. Sie können einen Rotationswinkelversatz eingeben und eine Achse auswählen.

Wenn Sie auf die Schaltfläche Fertig klicken, wendet PC-DMIS den Rotationswinkel um die gewählte Achse für den zweiten Ausrichtungsblock nach dem Befehl "Drehen auf Element" an.

Verschieben

 Das Symbol Verschieben steht nur dann zur Auswahl, wenn 3-2-1-Ausrichtungen erstellt werden. Mit einem Mausklick auf dieses Symbol wird das Dialogfeld Verschieben angezeigt. Sie können einen Versatzwert in der X-, X- oder Z-Richtung eingeben.

Wenn Sie auf die Schaltfläche Fertig klicken, wendet PC-DMIS die gewählten Versatzwerte nach dem Befehl "Verschieben auf Element" für den dritten Ausrichtungsblock an.

Meßpunktanzeige

 Mit dieser Anzeige werden rechts vom Schrägstrich die zum Messen des Elements erforderlichen Punkte und links die bereits aufgezeichneten Meßpunkte angezeigt.
Anzahl Punkte Im Feld Anzahl Punkte können Sie die Anzahl an Punkten erhöhen oder verringern, die zum Erzeugen des gemessenen Elements aufgenommen werden sollen. Sie nehmen diese Änderungen mit Hilfe der Plus- und Minus-Symbole vor.

Alle Änderungen werden in der Anzeige über dem Feld Anzahl Punkte widergespiegelt.
Mit diesem Symbol stellen Sie die Anzahl an Meßpunkten ein, die für alle weiteren Messungen des gewählten Elementtyps erforderlich sind, wenn Sie das Dialogfeld Schnellstart über die Symbolleiste Schnellstart aufrufen.

Wenn Sie beispielsweise den Wert des Felds Anzahl Punkte für einen Kreis von vier auf fünf erhöhen und auf dieses Symbol klicken, sind für alle weiteren gemessenen Kreise fünf Meßpunkte erforderlich.

Bewegen

 Mit dem Symbol Bewegen können Sie den Taster an die XYZ-Positionen verschieben, die Sie über das Dialogfeld Auto Bewegungspunkt eingestellt haben. Über dieses Dialogfeld kann der Taster entweder sofort an eine gewünschte Position verschoben werden oder dann, wenn PC-DMIS beim Ausführen des Werkstückprogramms einen VERSCHIEBEN/PUNKT-Befehl erhält.

Siehe auch "Einfügen eines Bewegungspunkt-Befehls" im Abschnitt "Einfügen von Bewegungsbefehlen".

Voransicht

 Das Symbol Voransicht ermöglicht es Ihnen, die für die Elementerzeugung verwendeten Daten anzusehen, bevor Sie diese akzeptieren. Mit einem Mausklick auf dieses Symbol wird das Voransichtsfenster angezeigt.

Siehe auch "Arbeiten mit dem Voransichtsfenster" im Abschnitt "Arbeiten mit anderen Fenstern und Editoren".

Koord.

 Mit dem Symbol Koord. wird das Fenster Tasterposition geöffnet, das die XYZ-Koordinaten für die aktuelle Position anzeigt.

Siehe auch "Taster-Anzeigefenster" im Abschnitt "Arbeiten mit anderen Fenstern und Editoren".

Einrichten

 Mit dem Symbol Einrichten wird das Dialogfeld Setup-Optionen geöffnet. Hiermit können Sie eine Reihe von Programmvoreinstellungen vornehmen.

Siehe auch "Auswählen der PC-DMIS-Setup-Optionen" im Abschnitt "Voreinstellungen".

Param.

 Mit dem Symbol Param. wird das Dialogfeld Parametereinstellungen geöffnet. Hiermit können Sie verschiedene Parameter einstellen.

Siehe auch "Ändern der Protokoll- und Bewegungsparameter" im Abschnitt "Voreinstellungen".

Nennwertsuche

 Mit dem Symbol Nennwertsuche wird das Dialogfeld Wert für Nennwertsuche aktualisieren geöffnet. Hier wird der Wert der Nennwertsuche für das gesamte Werkstückprogramm aktualisieret. Dieser Wert wendet eine Suchtoleranz für CAD-Daten an. PC-DMIS ermittelt anhand dieses Werts, wie weit das CAD-Modell in jeder Richtung bei der Suche nach Nennwerten durchleuchtet wird.

Erkenne

 Mit dem Symbol Erkenne wird in Abhängigkeit der Anzahl an aufgezeichneten Punkten der Elementtyp geschätzt, den Sie zu messen versuchen. Um diesen Wert widerzuspiegeln, wird das Dialogfeld Schnellstart dynamisch aktualisiert.

Wenn Sie beispielsweise auf dieses Symbol klicken und anschließend zwei Punkte wählen, wird das Dialogfeld Schnellstart aktualisiert und zeigt nun ein Linienelement an. Im Falle von vier Punkten wird ein Kreiselement, im Falle von acht Punkten ein Zylinder usw. angezeigt.

Siehe auch "Erkennen eines gemessenen Elementtyps" im Abschnitt "Erstellen von gemessenen Elementen".

Abbrechen

 Mit dem Symbol Abbrechen wird das Dialogfeld Schnellstart geschlossen.
<Zurück und Vor> | Die Schaltflächen <<Zurück und Vor>> durchblättern die Listen mit den erforderlichen Elementen. Diese Schaltflächen werden zur Auswahl eingeblendet, wenn ein auf den Symbolleisten ausgeführter Vorgang die Auswahl mehrerer Elemente erfordert (z. B. im Falle der Symbolleisten Relation, GD&T und Ausrichten). Im Dialogfeld Messen hat das zweifache Drücken der Taste Fertig am Bedienelement die gleiche Wirkung wie das Klicken auf die Schaltfläche Vor>.
Materialbedingung In der Liste Materialbedingung können Sie beim Arbeiten mit der Symbolleiste GD&T folgende Optionen auswählen:

MMC: Maximaler Materialwert, der entweder für ein Element oder ein Bezugselement gilt.

RFS: Elementsgrößenneutral, gilt entweder für ein Element oder ein Bezugselement.

LMC: Geringster Materialwert, gilt entweder für ein Element oder ein Bezugselement.

CAD=Werkstück | Die Schaltfläche CAD=Werkstück bildet eine Brücke zwischen importierten CAD-Daten und Meßdaten. Auf diese Weise können Meßdaten direkt oben auf dem Werkstück angezeigt werden. Siehe auch "CAD gleich Werkstück" unter "Erstellen und Verwenden von Ausrichtungen".
Fertig | Die Schaltfläche Fertig schließt den aktuellen Prozeß ab und fügt die entsprechenden Befehle in das Bearbeitungsfenster ein. Das Dialogfeld bleibt geöffnet, bis Sie auf Schließen klicken.


Schnellstart: Symbolleiste "Messen"

Diese Symbolleiste enthält die Symbole für folgende Meßfunktionen:

Punkt | Linie | Ebene
Kreis | Zylinder | Kegel
Kugel |  |

Weitere Informationen zum Erstellen von gemessenen Elementen finden Sie unter "Erstellen von gemessenen Elementen".

Siehe auch:

Erstellen von gemessenen Elementen

Einen Punkt messen

Eine Linie messen

Eine Ebene messen

Einen Kreis messen

Einen Zylinder messen

Einen Kegel messen

Eine Kugel messen


Arbeiten mit Symbolleisten - Schnellstart : Symbolleiste "Messen" - Erstellen von gemessenen Elementen

Erstellen von gemessenen Elementen

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Messen.
  2. Klicken Sie auf das entsprechende Symbol für das zu messende Element. Das Dialogfeld Schnellstart wird mit dem Symbol für dieses Element angezeigt.
  3. Klicken Sie in der Symbolleiste PC-DMIS-Modi auf das Symbol Programmodus. PC-DMIS zeigt im Grafikfenster neben dem Werkstück eine simulierte Darstellung des Tasters an.
  4. Lassen Sie das Dialogfeld Schnellstart geöffnet, stellen Sie die Tiefe für den Taster ein und nehmen Sie die Mindestanzahl an Meßpunkten auf dem Werkstück auf, um das Element zu messen.
  5. Wählen Sie gegebenenfalls weitere Optionen im Dialogfeld Schnellstart aus.
  6. Klicken Sie auf Fertig, wenn der Meßvorgang abgeschlossen ist. Das Dialogfeld Schnellstart bleibt geöffnet. PC-DMIS kompensiert automatisch den Tasterradius und positioniert das gemessene Element auf dem Werkstück im Grafikfenster.
  7. Befolgen Sie die Schritte vier bis sechs, bis Sie alle erforderlichen gemessenen Elemente erstellt haben.
  8. Klicken Sie auf Schließen, wenn Sie damit fertig sind. Das Dialogfeld Schnellstart wird nun ebenfalls geschlossen.


Messen eines Punktes

Display Menu Roadmap

Mit dem Symbol Punkt können Sie die Position eines Punktes einer an einer Bezugsebene ausgerichteteten Ebene (Schulter) oder die Position eines Punktes im Raum messen.
Zum Erstellen eines gemessenen Punktes müssen Sie einen Meßpunkt auf dem Werkstück aufnehmen.


Arbeiten mit Symbolleisten - Schnellstart : Symbolleiste "Messen" - Messen einer Linie

Messen einer Linie

Display Menu Roadmap

Mit dem Symbol Linie können Sie die Ausrichtung und Linearität einer Linie auf einer Ebene messen, die an einer Bezugsebene ausgerichtet ist, oder die Position einer Linie im Raum.
Zum Erstellen einer gemessenen Linie müssen Sie zwei Meßpunkte auf dem Werkstück aufnehmen.

Gemessene Linien und Arbeitsebenen

Bei der Erstellung einer gemessenen Linie erwartet PC-DMIS, daß die Meßpunkte auf einem Vektor aufgenommen werden, der im rechten Winkel zur aktuellen Arbeitsebeneverläuft.

Wenn Sie beispielsweise auf der aktuellen Arbeitsebene ZPLUS (mit einem Vektor 0,0,1) arbeiten und ein blockähnliches Werkstück vorliegt, müssen die Meßpunkte für die gemessene Linie auf einer senkrechten Wand dieses Werkstücks, beispielsweise der vorderen oder seitlichen, liegen.

Wenn Sie dann ein Linienelement auf der oberen Werkstückoberfläche messen wollen, müssen Sie die Arbeitsebene auf XPLUS, XMINUS, YPLUS oder YMINUS umstellen, je nach dem, welche Richtung die Linie hat.

Weitere Informationen zum Ändern einer Arbeitsebene finden Sie unter "Liste Arbeitsebene".


Arbeiten mit Symbolleisten - Schnellstart : Symbolleiste "Messen" - Messen einer Ebene

Messen einer Ebene

Display Menu Roadmap

Mit dem Symbol Ebene messen Sie den Durchmesser, die Zylindrizität und Ausrichtung der Achse eines Zylinders im Raum. Die Position des Flächenmittelpunktes der ausgewählten Punkte wird ebenfalls berechnet.
Zum Erstellen einer gemessenen Ebene müssen Sie mindestens drei Meßpunkte auf einer glatten Oberfläche aufzeichnen. Bei drei Meßpunkten (Mindestanzahl) ist es sinnvoll, diese in einem Dreieck aufzunehmen, das den größten Bereich der Oberfläche abdeckt.
Beispielebene mit 4 Punkten | Beispielebene mit 8 Punkten


Arbeiten mit Symbolleisten - Schnellstart : Symbolleiste "Messen" - Messen eines Kreises

Messen eines Kreises

Display Menu Roadmap

Mit dem Symbol Kreis können Sie den Durchmesser, die Rundheit und die Position des Zentrums eines Lochs/Bolzens parallel zu einer Bezugsebene messen, d. h. den rechteckigen Profilschnitt eines Zylinders, ausgerichtet an einer Bezugsachse.
Zum Erstellen eines gemessenen Lochs oder Bolzens müssen mindestens drei Meßpunkte aufgenommen werden. Die Ebene wird automatisch während des Meßvorgangs vom System erkannt und eingestellt. Die Punkte müssen einheitlich um den Umfang herum verteilt ausgewählt werden.
Beispielkreis mit 4 Punkten | Beispielkreis mit 8 Punkten


Arbeiten mit Symbolleisten - Schnellstart : Symbolleiste "Messen" - Messen eines Zylinders

Messen eines Zylinders

Display Menu Roadmap

Mit dem Symbol Zylinder messen Sie den Durchmesser, die Zylindrizität und die Ausrichtung der Achse eines Zylinders im Raum. Die Position des Flächenmittelpunktes der ausgewählten Punkte wird ebenfalls berechnet.
Zum Erstellen eines gemessenen Zylinders müssen Sie mindestens sechs Meßpunkte auf dem Zylinder aufnehmen. Die Punkte müssen einheitlich über die Oberfläche verteilt ausgewählt werden. Die ersten drei ausgewählten Punkte müssen auf einer Ebene im rechten Winkel zur Hauptachse liegen.

Beispielzylinder mit acht Punkten


Arbeiten mit Symbolleisten - Schnellstart : Symbolleiste "Messen" - Messen eines Kegels

Messen eines Kegels

Display Menu Roadmap

Mit dem Symbol Kegel messen Sie die Konizität, den Winkel an der Spitze und die Ausrichtung der Achse eines Kegels im Raum. Die Position des Flächenmittelpunktes der ausgewählten Punkte wird ebenfalls berechnet.
Zum Erstellen eines gemessenen Kegels sind mindestens sechs Meßpunkte erforderlich. Die Punkte müssen einheitlich über die Oberfläche verteilt ausgewählt werden. Die ersten drei ausgewählten Punkte müssen auf einer Ebene im rechten Winkel zur Hauptachse liegen.

Beispielkegel mit acht Punkten


Arbeiten mit Symbolleisten - Schnellstart : Symbolleiste "Messen" - Messen einer Kugel

Messen einer Kugel

Display Menu Roadmap

Mit dem Symbol Kugel können Sie den Durchmesser, die Sphärizität und Position eines Kugelmittelpunktes messen.
Zum Erstellen einer gemessenen Kugel sind mindestens fünf Meßpunkte erforderlich. Die Punkte müssen einheitlich über die Oberfläche verteilt ausgewählt werden. Die ersten vier gewählten Punkte dürfen sich nicht auf demselben Kreisumfang befinden. Der erste Punkt sollte an einem der Pole der Kugel aufgezeichnet werden. Die übrigen drei Punkte auf einem Umfang.
Beispielkugel mit 5 Punkten | Beispielkugel mit 9 Punkten


Schnellstart: Symbolleiste "Auto"

Display Menu Roadmap
Diese Symbolleiste enthält die Symbole für folgende Auto- (oder Blech-) Elemente: Für die Elemente Charakteristischer Punkt und Spalt wird ein berührungsloser Taster benötigt:

Vektorpunkt | Oberflächenpunkt | Kantenpunkt
Winkelpunkt | Eckpunkt | Extrempunkt
Charakteristischer Punkt | Linie | Ebene
Kreis | Ellipse | Langloch
Rechteckloch | Spalt | Kerbe
Zylinder | Kegel | Kugel

Die oben aufgelisteten Links führen Sie direkt zu den richtigen Themen in den Abschnitten "Erstellen von Auto-Elementen" und "Messen von Auto-Elementen mit dem Optischen Sensor NC-100" dieser Hilfedatei.

Siehe auch:

Erstellen von Auto-Elementen


Erstellen von automatischen Elementen

Erstellen von Auto-Elementen

Dieser Abschnitt behandelt sehr grundlegende Informationen zum Erstellen von Blechelementen. Weitere Informationen finden Sie unter den Abschnitten "Erstellen von Auto-Elementen" und "Auto-Elemente mit dem Optischen Sensor NC-100 messen".

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Auto.
  2. Klicken Sie auf das entsprechende Symbol für das zu messende Element. PC-DMIS öffnet das Dialogfeld Auto Elemente und wählt automatisch die richtige Registerkarte für das zu erstellende Element aus.
  3. Klicken Sie in der Symbolleiste PC-DMIS-Modi auf das Symbol Programmodus. PC-DMIS zeichnet im Grafikfenster neben dem Werkstück eine simulierte Darstellung des Tasters.
  4. Verwenden Sie den Taster oder die Maus im Offline- oder Online-Modus, um die erforderliche Anzahl an Meßpunkten auf dem Werkstück an den richtigen Positionen aufzunehmen und so den gewünschten Elementtyp zu erstellen.
  5. Wählen Sie gegebenenfalls weitere Optionen im Dialogfeld Auto Elemente aus.
  6. Klicken Sie auf Erstellen, wenn Sie damit fertig sind. PC-DMIS zeigt das Blechelement auf dem Werkstück im Grafikfenster und im Bearbeitungsfenster an.


Schnellstart: Symbolleiste "Konstruieren"

Display Menu Roadmap
Beim Konstruieren von Elementen werden von PC-DMIS anstelle von ausgewählten Punkten die charakteristischen Punkte bereits gemessener Elemente verarbeitet.

Sie können alle Elemente konstruieren, die mit der Symbolleiste Messen auf der Symbolleiste Schnellstart gemessen werden können. Meistens wird jedoch ein Kreis konstruiert, der durch die Mittelpunkte einer kreisförmigen Anordnung von Löchern oder Bolzen verläuft.

Normalerweise werden für die Konstruktion von anderen Elementen Punkte und Kreise (oder Kugeln) verwendet, die bereits gemessen und gespeichert sein müssen. Natürlich muß die Verteilung der verwendeten Punkte das zu konstruierende Element ausreichend beschreiben.

Sie können die folgenden Elemente konstruieren:

Punkt | Linie | Ebene
Kreis | Ellipse | Langloch
Zylinder | Kegel | Kugel

Die oben aufgelisteten Links führen Sie direkt zum richtigen Thema im Abschnitt "Konstruieren von neuen Elementen aus vorhandenen Elementen" dieser Hilfedatei.

Siehe auch:

Erstellen von konstruierten Elementen


Erstellen von konstruierten Elementen

Dieses Thema behandelt sehr grundlegende Informationen zum Konstruieren von Elementen. Weitere Informationen finden Sie unter "Konstruieren von neuen Elementen aus vorhandenen Elementen".

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Konstruieren.

Display Menu Roadmap
Klicken Sie auf das Symbol für das zu messende Element. PC-DMIS öffnet das für die Konstruktion passende Dialogfeld.

  3. Wählen Sie den gewünschten Konstruktionstyp anhand der Optionsschaltflächen aus.
  4. Wählen Sie im Feld Elementliste die in der Konstruktion zu verwendenden Elemente aus.
  5. Wählen Sie gegebenenfalls weitere Einträge im Dialogfeld aus.
  6. Klicken Sie auf Erstellen, wenn Sie damit fertig sind. PC-DMIS zeigt das soeben konstruierte Element auf dem Werkstück sowohl im Grafikfenster als auch im Bearbeitungsfenster an.


Schnellstart: Symbolleiste "Relation"

Unter den folgenden Umständen werden die geometrischen Beziehungen zwischen zwei Elementen verwendet:

  • Wenn ein Merkmal zwei Elemente umfaßt (wie beispielsweise Abstände und Winkel).
  • Wenn Merkmalselemente nicht meßbar sind (z.B. Ecken).
  • Wenn Merkmale mit Hilfe von geometrischen Berechnungen ermittelt werden können (Schnittpunkte, Projektionen und/oder Mittelpunktelemente).

In jeder geometrischen Beziehung zwischen zwei Elementen wird ein drittes Element erstellt (ein Punkt, ein Kreis, eine Linie oder eine Ebene). Das standardmäßige Ausgabeformat des berechneten Elements umfaßt die am besten geeigneten Merkmale.

Hinweis: Geometrische Beziehungen sollten nicht mit geometrischen Toleranzen verwechselt werden. Geometrische Toleranzen werden zum Überprüfen der funktionalen Anforderungen eines Elements herangezogen. Funktionale Anforderungen sind Elementcharakteristika, welche die Anforderungen an Montagefähigkeit, Sicherheit, Aussehen und Leistung sicherstellen. Geometrische Beziehungen, wie sie in PC-DMIS verwendet werden, können keine funktionale Anforderungen erfüllen, da sie die Theorie des Bezugselements nicht in vollem Umfang nutzen.

Siehe auch:

Herstellen von Winkelbeziehungen

Herstellen von Abstandsbeziehungen

Herstellen von Schnittpunktelementen

Herstellen von Mittelpunktelementen

Herstellen von Projektionselementen


Herstellen von Winkelbeziehungen

Mit Hilfe der Symbolleiste Relation können Sie einen Winkel zwischen zwei sich überkreuzenden Elementen herstellen.

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Relation.

Display Menu Roadmap
Wählen Sie die Symbolleiste Winkel.

  3. Klicken Sie auf das Symbol für die Winkelbeziehung, die Sie herstellen möchten. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie im Feld Elementliste die beiden sich überkreuzenden Elemente aus.
  5. Wählen Sie gegebenenfalls weitere Optionen im Dialogfeld Schnellstart aus.
  6. Klicken Sie auf Fertigstellen. PC-DMIS fügt das Merkmal "Zwischenwinkel" automatisch in das Werkstückprogramm ein.
  7. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.


Herstellen von Abstandsbeziehungen

  1. From the Quick Start toolbar, select the Relation toolbar.

Display Menu Roadmap
Wählen Sie die Symbolleiste Abstand.

  3. Klicken Sie auf das Symbol für den Abstand, den Sie messen möchten. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie im Feld Elementliste die beiden Elemente aus, zwischen denen der Abstand gemessen werden soll.
  5. Wählen Sie gegebenenfalls weitere Optionen im Dialogfeld Schnellstart aus.
  6. Klicken Sie auf Fertigstellen. PC-DMIS fügt das Merkmal "Abstand" in das Werkstückprogramm ein.
  7. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.


Herstellen von Schnittpunktelementen

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Relation.

Display Menu Roadmap
Wählen Sie die Symbolleiste Schnittpunkt.

  3. Klicken Sie auf den Schnittpunkttyp, den Sie herstellen möchten. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie im Feld Elementliste das erste Element für den Schnittpunkt aus.
  5. Klicken Sie auf Weiter.
  6. Wählen Sie im Feld Elementliste das zweite Element für den Schnittpunkt aus.
  7. Wählen Sie gegebenenfalls weitere Optionen im Dialogfeld Schnellstart aus.
  8. Klicken Sie auf Fertigstellen. PC-DMIS fügt das Schnittpunktelement in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.

Andere Möglichkeiten zum Erstellen von Schnittpunktelementen werden in den nachfolgenden Themen unter "Konstruieren von neuen Elementen aus vorhandenen Elementen" beschrieben:

  • "Konstruktion eines Schnittpunktes"
  • "Konstruktion eines Schnittkreises"
  • "Konstruktion einer Schnittlinie"


Herstellen von Mittelpunktelementen

Mit Hilfe der Symbolleiste Relation können Sie bestimmte Mittelpunktelemente (Mittelpunkte, Mittellinien oder Ebenenmitten) gleichermaßen zwischen zwei anderen Elementen herstellen.

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Relation.

Display Menu Roadmap
Wählen Sie die Symbolleiste Mittel.

  3. Klicken Sie auf den Typ des Mittelpunktelements, das Sie herstellen möchten. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie im Feld Elementliste das erste Element für den Schnittpunkt aus.
  5. Klicken Sie auf Weiter.
  6. Wählen Sie im Feld Elementliste das zweite Element für den Schnittpunkt aus.
  7. Wählen Sie gegebenenfalls weitere Optionen im Dialogfeld Schnellstart aus.
  8. Klicken Sie auf Fertigstellen. PC-DMIS fügt das Mittelpunktelement in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.

Andere Möglichkeiten zum Erstellen von Mittelpunktelementen (Mittelpunkte, Mittellinien oder Ebenenmitten) werden in den nachfolgenden Themen unter "Konstruieren von neuen Elementen aus vorhandenen Elementen" beschrieben:

  • "Konstruktion eines Mittelpunkts"
  • "Konstruktion einer Mittellinie"
  • "Konstruktion einer Ebenenmitte"


Herstellen von Projektionselementen

Mit Hilfe der Symbolleiste Relation können Sie auf Basis einer projizierten Schnittpunktposition zwischen den beiden ersten Elementen ein drittes Element erstellen. Grundlegend bedeutet dies, daß das erste Element auf das zweite Element projiziert wird.

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Relation.

Display Menu Roadmap
Wählen Sie die Symbolleiste Projektion.

  3. Klicken Sie auf den Projektionstyp, den Sie herstellen möchten. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie im Feld Elementliste das erste Element aus. Mit dem ersten Element wird festgelegt, welches Element PC-DMIS projizieren wird.
  5. Klicken Sie auf Weiter.
  6. Wählen Sie im Feld Elementliste das zweite Element für die Projektion aus. Mit diesem zweiten Element wird die Position festgelegt, an die PC-DMIS das erste Element projizieren wird.
  7. Wählen Sie gegebenenfalls weitere Optionen im Dialogfeld Schnellstart aus.
  8. Klicken Sie auf Fertigstellen. PC-DMIS erstellt ein drittes Element an der projizierten Position und fügt es in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.

Andere Möglichkeiten zum Erstellen von Projektionselementen werden in den nachfolgenden Themen unter "Konstruieren von neuen Elementen aus vorhandenen Elementen" beschrieben:

  • "Konstruktion eines projizierten Punktes"
  • "Konstruktion eines projizierten Kreises"
  • "Konstruktion einer projizierten Kugel"
  • "Konstruktion einer projizierten Linie"
  • "Konstruktion eines projizierten Kegels"
  • "Konstruktion eines projizierten Zylinders"


Schnellstart: Symbolleiste "GD&T"

Mit der Symbolleiste GD&T können Sie geometrische Toleranzüberprüfungen durchführen. Bei diesen Prüfungen werden Position, Ausrichtung, Profil, Rundlauf oder Formfehler eines (geprüften) Elements (gegebenenfalls) im Verhältnis zu einem Referenzelementrahmen überprüft.

Es sind die folgenden Prüfmethoden verfügbar:

  • Richtungsprüfungen: Prüfung auf Fehler in der Parallelität, Rechtwinkligkeit und Neigung.
  • Positionsprüfungen: Prüfung auf Fehler in der Koaxialität, Konzentrizität und Position.
  • Profilprüfungen: Prüfung auf Fehler in der Profilform oder Profilart im Verhältnis zur aktuellen Ausrichtung.
  • Rundlaufprüfungen: Prüfung auf Fehler beim Gesamtrundlauf eines Kreises, Zylinders oder einer Ebene.

PC-DMIS fügt ein Merkmal der resultierenden geometrischen Toleranzüberprüfung zwischen zwei Elemente in das Bearbeitungsfenster ein.

Siehe auch:

Durchführen von Winkel-GD&T

Durchführen von Rechteck-GD&T

Durchführung von Position-GD&T

Durchführen von Parallel-GD&T

Durchführen von Konzentrizitäts-/Koaxialitäts-GD&T

Durchführen von Profil-GD&T

Durchführen von Rundlauf-GD&T


Durchführen von Winkel-GD&T

Mit der Symbolleiste GD&T können Sie Neigungsprüfungen durchführen. Die Neigung gibt die Ausrichtung an, in der das Element im Verhältnis zum Bezugselement geprüft wird. Außerdem können Sie bestimmte Materialbedingungen berücksichtigen.

Verfahren Sie wie folgt:

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste GD&T.

Display Menu Roadmap
Wählen Sie die Symbolleiste Winkel. Die verfügbaren Symbole stellen die möglichen Kombinationen an geometrischen Elementen (Zylinder und Ebene) dar, die PC-DMIS im Verhältnis zu den geometrischen Elementen, die zum Herstellen des Bezugspunktes verwendet werden können (Zylinder und Ebene), prüfen kann.

  3. Wählen Sie den gewünschten Vorgang zum Prüfen der Neigung aus. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie das zu prüfende Element aus. Gegebenenfalls wird die Liste Materialbedingung angezeigt. Wählen Sie MMC, RFS oder LMC aus der Liste aus.
  5. Wählen Sie gegebenenfalls weitere Optionen im Dialogfeld Schnellstart aus.
  6. Klicken Sie auf Weiter.
  7. Wählen Sie (gegebenenfalls) das Bezugselement und die Materialbedingung aus.
  8. Wählen Sie die erforderlichen weiteren Optionen im Dialogfeld Schnellstart aus.
  9. Klicken Sie auf Fertigstellen. PC-DMIS fügt die Neigungsprüfung in das Werkstückprogramm in Form eines Neigungsmerkmals ein.
  10. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.

In Abhängigkeit des Bezugselementtyps (Achse oder Ebene) entspricht ein Neigungsfehler einem der folgenden Punkte:

  • Dem Abstand zwischen den beiden Ebenen, der im theoretischen Winkel relativ zum Bezugselement (das alle auf der geprüften Ebene ausgewählten Punkte oder die geprüfte Ebene in der angegebenen Zone enthält) geneigt ist.
  • Dem Durchmesser eines Zylinders, der im theoretischen Winkel relativ zum Bezugselement geneigt ist, wobei das Bezugselement alle ausgewählten Punkte des geprüften Elements (Linie) oder der Achse des geprüften Elements in der angegebenen Zone enthält (Zylinder, Kegel und Linie).

Eine weitere Möglichkeit zum Berechnen der Neigung wird unter "Merkmal von Neigungen" im Abschnitt "Merkmale für Elemente erstellen" beschrieben.


Durchführen von Rechteck-GD&T

Mit der Symbolleiste GD&T können Sie rechtwinklige Ausrichtungen prüfen. Hierbei wird die Winkelhaltigkeit eines Elements im Verhältnis zu einem Bezugselement gemessen. Außerdem können Sie bestimmte Materialbedingungen berücksichtigen.

Verfahren Sie wie folgt:

  1. From the Quick Start toolbar, select the GD&T toolbar.

Display Menu Roadmap
Wählen Sie die Symbolleiste Rechteck. Die verfügbaren Symbole stellen die möglichen Kombinationen an geometrischen Elementen (Zylinder und Ebene) dar, die PC-DMIS im Verhältnis zu den geometrischen Elementen, die zum Herstellen des Bezugspunktes verwendet werden können (Zylinder und Ebene), prüfen kann.

  3. Wählen Sie den gewünschten Vorgang zum Prüfen der Rechtwinkligkeit aus. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie das zu prüfende Element aus. Gegebenenfalls wird die Liste Materialbedingung angezeigt. Wählen Sie MMC, RFS oder LMC aus der Liste aus.
  5. Wählen Sie die erforderlichen weiteren Optionen im Dialogfeld Schnellstart aus.
  6. Klicken Sie auf Weiter.
  7. Wählen Sie (gegebenenfalls) das Bezugselement und die Materialbedingung aus.
  8. Wählen Sie die erforderlichen weitere Optionen im Dialogfeld Schnellstart aus.
  9. Klicken Sie auf Fertigstellen. PC-DMIS fügt die Rechtwinkligkeitsprüfung in das Werkstückprogramm in Form eines Rechtwinkligkeitsmerkmals ein.
  10. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.

In Abhängigkeit des Bezugselementtyps (Achse oder Ebene) entspricht ein Fehler in der Rechtwinkligkeit einem der folgenden Punkte:

  • Dem Abstand zwischen den beiden Ebenen im rechten Winkel zum Bezugselement (das alle auf der geprüften Ebene ausgewählten Punkte oder die geprüfte Ebene in der angegebenen Zone enthält).
  • Dem Durchmesser eines Zylinders im rechten Winkel zum Bezugselement, das alle ausgewählten Punkte des geprüften Elements (Linie) oder der Achse des geprüften Elements in der angegebenen Zone enthält (Zylinder, Kegel und Linie).

Eine weitere Möglichkeit zum Berechnen der Rechtwinkligkeit wird unter "Merkmal für Rechtwinkligkeit erstellen" im Abschnitt "Merkmale für Elemente erstellen" beschrieben.


Durchführen von Position-GD&T

Mit der Symbolleiste GD&T können Sie Positionsprüfungen durchführen. Bei dieser Methode wird die Position eines Elements (oder einer Elementgruppe) im Verhältnis zu einem Referenzelementrahmen gemessen. Außerdem können Sie bestimmte Materialbedingungen berücksichtigen.

Verfahren Sie wie folgt:

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste GD&T.

Display Menu Roadmap
Wählen Sie die Symbolleiste Position. Die verfügbaren Symbole stellen die verschiedenen Positionsprüfungen dar, die Sie durchführen können, sowie die für das Herstellen der Position erforderlichen Bezugselemente.

  3. Wählen Sie den gewünschten Vorgang zum Prüfen der Position aus. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie das zu prüfende Element aus. Gegebenenfalls wird die Liste Materialbedingung angezeigt. Wählen Sie MMC, RFS oder LMC aus der Liste aus.
  5. Klicken Sie auf Weiter.
  6. Wählen Sie die gewünschten Bezugselemente und Materialbedingungen aus und klicken Sie nach jeder Auswahl auf Nächstes. Wenn PC-DMIS ausreichend Daten zum Berechnen der Position erhalten hat, wird die Schaltfläche Fertigstellen zur Auswahl verfügbar.
  7. Wählen Sie die erforderlichen weiteren Optionen im Dialogfeld Schnellstart aus.
  8. Klicken Sie auf Fertigstellen. PC-DMIS fügt ein Positionsmerkmal in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.

Eine weitere Möglichkeit zum Berechnen der Position wird unter "Merkmal für Position erstellen" im Abschnitt "Merkmale für Elemente erstellen" beschrieben.


Durchführen von Parallel-GD&T

Mit der Symbolleiste GD&T können Sie parallele Ausrichtungen prüfen. Hierbei wird die Parallelität von einem Element im Vergleich zu einem Bezugselement gemessen. Außerdem können Sie bestimmte Materialbedingungen berücksichtigen. Verfahren Sie wie folgt:

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste GD&T.

Display Menu Roadmap
Wählen Sie die Symbolleiste Parallel. Die verfügbaren Symbole stellen die möglichen Kombinationen an geometrischen Elementen (Zylinder und Ebene) dar, die PC-DMIS im Verhältnis zu den geometrischen Elementen, die zum Herstellen des Bezugspunktes verwendet werden können (Zylinder und Ebene), prüfen kann.

  3. Wählen Sie den gewünschten Vorgang zum Prüfen der Parallelität aus. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie das zu prüfende Element aus. Gegebenenfalls wird die Liste Materialbedingung angezeigt. Wählen Sie MMC, RFS oder LMC aus der Liste aus.
  5. Klicken Sie auf Weiter.
  6. Wählen Sie das Bezugselement. Gegebenenfalls wählen Sie außerdem die Materialbedingungen aus.
  7. Wählen Sie die erforderlichen weiteren Optionen im Dialogfeld Schnellstart aus.
  8. Klicken Sie auf Fertigstellen. PC-DMIS fügt ein Parallelität-Merkmal in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.

Je nach Bezugselementtyp (Achse oder Ebene) entspricht ein Fehler in der Parallelität einem der folgenden Punkte:

  • Dem Abstand zwischen den beiden Ebenen parallel zum Bezugselement (das alle auf der geprüften Ebene ausgewählten Punkte oder die geprüfte Ebene in der angegebenen Zone enthält).
  • Dem Durchmesser eines Zylinders parallel zum Bezugselement, das alle ausgewählten Punkte des geprüften Elements (Linie) oder der Achse des geprüften Elements in der angegebenen Zone enthält (Zylinder, Kegel und Linie).

Eine weitere Möglichkeit zum Berechnen der Parallelität wird unter "Merkmal für Parallelität erstellen" im Abschnitt "Merkmale für Elemente erstellen" beschrieben.


Durchführen von Konzentrizitäts-/Koaxialitäts-GD&T

Mit der Symbolleiste GD&T können Sie die Konzentrizität (einen gemeinsamen Mittelpunkt) zwischen zwei Kreisen und die Koaxialität (gemeinsame Achsen) zwischen zwei Zylindern prüfen. Verfahren Sie wie folgt:

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste GD&T.

Display Menu Roadmap
Wählen Sie die Symbolleiste Konzen. Anhand der verfügbaren Symbole können Sie die Konzentrizität zwischen zwei Kreisen und die Koaxialität zwischen zwei Zylindern prüfen.

  3. Wählen Sie den gewünschten Prüfvorgang aus. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie das erste Element aus.
  5. Klicken Sie auf Weiter.
  6. Wählen Sie das zweite Element aus.
  7. Wählen Sie die erforderlichen weiteren Optionen im Dialogfeld Schnellstart aus.
  8. Klicken Sie auf Fertigstellen. PC-DMIS prüft die Elemente auf Konzentrizität oder Koaxialität und fügt die entsprechenden Merkmale in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.

Weitere Möglichkeiten zum Berechnen der Konzentrizität und der Koaxialität werden unter "Merkmal von Konzentrizität" und "Merkmal für Koaxialität erstellen" im Abschnitt "Merkmale für Elemente erstellen" beschrieben.


Durchführen von Profil-GD&T

Mit der Symbolleiste GD&T können Sie Profilprüfungen durchführen, die Fehler bei einem gemessenen Profil berechnen. Das Profil kann entweder im Verhältnis zur aktuellen Ausrichtung oder als Nur Form-Merkmal gemessen werden.

Verfahren Sie wie folgt:

  1. From the Quick Start toolbar, select the GD&T toolbar.

Display Menu Roadmap
Wählen Sie die Symbolleiste Profil.

  3. Wählen Sie den gewünschten Vorgang zum Prüfen des Profils aus. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie das erste Element oder die erste Elementgruppe aus.
  5. Klicken Sie auf Weiter.
  6. Wählen Sie die gewünschten Bezugselemente aus und klicken Sie nach jeder Auswahl auf Weiter. Wenn PC-DMIS ausreichend Daten zum Berechnen des Profilfehlers erhalten hat, wird die Schaltfläche Fertigstellen zur Auswahl verfügbar.
  7. Wählen Sie die erforderlichen weiteren Optionen im Dialogfeld Schnellstart aus.
  8. Klicken Sie auf Fertigstellen. PC-DMIS fügt den Profilfehler in Form eines Profilmerkmals in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.

Eine weitere Möglichkeit zum Berechnen eines Profilfehlers wird unter "Merkmal für Profil erstellen" im Abschnitt "Merkmale für Elemente erstellen" beschrieben.


Durchführen von Rundlauf-GD&T

Mit der Symbolleiste GD&T können Sie den Gesamtrundlauf eines ersten Elements im Vergleich zu einem zweiten Element ermitteln.

Verfahren Sie wie folgt:

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste GD&T.

Display Menu Roadmap
Wählen Sie die Symbolleiste Rundlauf.

  3. Wählen Sie den gewünschten Vorgang zum Prüfen des Rundlaufs aus. Das Dialogfeld Schnellstart wird angezeigt.
  4. Wählen Sie das erste Element aus.
  5. Klicken Sie auf Weiter.
  6. Wählen Sie das Bezugselement.
  7. Wählen Sie die erforderlichen weiteren Optionen im Dialogfeld Schnellstart aus.
  8. Klicken Sie auf Fertigstellen. PC-DMIS fügt den Rundlauf in das Werkstückprogramm in Form eines Rundlaufmerkmals ein.
  9. Klicken Sie auf Schließen, um das Dialogfeld zu schließen.

Eine weitere Möglichkeit zum Berechnen des Rundlaufs für ein Element wird unter "Merkmal für Rundlauf erstellen" im Abschnitt "Merkmale für Elemente erstellen" beschrieben.


Schnellstart: Symbolleiste "Ausrichten"

Display Menu Roadmap
Mit der Symbolleiste Ausrichten können Sie mit Hilfe dieser Verfahren Ausrichtungen anhand bestimmter Elementtypen erstellen. Weitere Möglichkeiten zum Erstellen von Ausrichtungen werden unter "Erstellen und Verwenden von Ausrichtungen" beschrieben.

Siehe auch:

Proz 1: Erstellen einer Ausrichtung aus einem Zylinder, zwei Kreisen und einem Punkt

Proz 2: Erstellen einer Ausrichtung aus einem Zylinder, einer Linie und einem Punkt

Proz 3: Erstellen einer Ausrichtung aus einer Ebene und zwei Kreisen

Proz 4: Erstellen einer Ausrichtung aus einer Ebene und zwei Linien

3-2-1: Erstellen einer Ausrichtung aus einer Ebene, einer Linie und einem Punkt

Iterativ: Erstellen einer Ausrichten aus verschiedenen Elementen

KMG-Verschiebung: Durchführen einer KMG-Verschiebung


Proz 1: Erstellen einer Ausrichtung aus einem Zylinder, zwei Kreisen und einem Punkt

Erforderliche Elemente:

  • Element 1 – Zylinder. PC-DMIS nivelliert das Werkstück auf dieses Element und überträgt zwei Achsen darauf.
  • Element 2 – Kreis.
  • Element 3 – Kreis. PC-DMIS verwendet eine imaginäre Linie zwischen den Flächenmittelpunkten der beiden für Element 2 und 3 gewählten Kreise, um das Werkstück zu drehen.
  • Element 4 – Punkt. PC-DMIS überträgt die dritte Achse auf dieses Element.

Verfahren Sie wie folgt:

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Ausrichten.

Display Menu Roadmap
Klicken Sie auf das Symbol Proz 1. Das Dialogfeld Schnellstart wird angezeigt.

  3. Wählen Sie aus der Elementliste das Zylinderelement aus oder nehmen Sie die Punkte für einen neuen Zylinder (mindestens sechs Punkte) auf.
  4. Klicken Sie auf Weiter.
  5. Wählen Sie aus der Elementliste den ersten Kreis aus oder nehmen Sie die Punkte für einen neuen Kreis (mindestens vier Punkte) auf.
  6. Klicken Sie auf Weiter.
  7. Wählen Sie aus der Elementliste den zweiten Kreis aus oder nehmen Sie die Punkte für einen neuen Kreis (mindestens vier Punkte) auf.
  8. Klicken Sie auf Weiter.
  9. Wählen Sie aus der Elementliste das Punktelement aus oder nehmen Sie einen Punkt auf. Die Schaltfläche Fertigstellen wird zur Auswahl verfügbar.
  10. Klicken Sie auf Fertigstellen. PC-DMIS fügt auf Basis der den von Ihnen ausgewählten Elemente eine Ausrichtung in das Werkstückprogramm ein.
  11. Klicken Sie auf Schließen.


Proz 2: Erstellen einer Ausrichtung aus einem Zylinder, einer Linie und einem Punkt

Erforderliche Elemente:

  • Element 1 – Zylinder. PC-DMIS nivelliert das Werkstück auf dieses Element und überträgt zwei Achsen darauf.
  • Element 2 – Linie. PC-DMIS dreht zwei Achsen auf dieses Element.
  • Element 3 – Punkt. PC-DMIS überträgt die dritte Achse auf dieses Element.

Verfahren Sie wie folgt:

  1. Öffnen Sie die Symbolleiste Schnellstart, und wählen Sie die Symbolleiste Ausrichten.

Display Menu Roadmap
Klicken Sie auf das Symbol Proz 2. Das Dialogfeld Schnellstart wird angezeigt.

  3. Wählen Sie aus der Elementliste das Zylinderelement aus oder nehmen Sie die Punkte für einen neuen Zylinder (mindestens sechs Punkte) auf.
  4. Klicken Sie auf Weiter.
  5. Wählen Sie aus der Elementliste ein Linienelement aus, oder nehmen Sie die Punkte für eine neue Linie (mindestens zwei Punkte) auf.
  6. Klicken Sie auf Weiter.
  7. Wählen Sie aus der Elementliste das Punktelement aus oder nehmen Sie einen Punkt auf. Die Schaltfläche Fertigstellen wird zur Auswahl verfügbar.
  8. Klicken Sie auf Fertigstellen. PC-DMIS fügt auf Basis der den von Ihnen ausgewählten Elemente eine Ausrichtung in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen.


Proz 3: Erstellen einer Ausrichtung aus einer Ebene und zwei Kreisen

Erforderliche Elemente:

  • Element 1 – Ebene. PC-DMIS nivelliert das Werkstück und überträgt eine Achse auf dieses Element.
  • Element 2 – Kreis.
  • Element 3 – Kreis. PC-DMIS verwendet eine imaginäre Linie zwischen den Flächenmittelpunkten der beiden für Element 2 und 3 gewählten Kreise, um das Werkstück zu drehen, und überträgt das Werkstück auf die verbleibenden zwei Achsen.

Verfahren Sie wie folgt:

  1. Öffnen Sie die Symbolleiste Schnellstart, und wählen Sie die Symbolleiste Ausrichten.

Display Menu Roadmap
Klicken Sie auf das Symbol Proz 3. Das Dialogfeld Schnellstart wird angezeigt.

  3. Wählen Sie aus der Elementliste das Ebenenelement aus, oder nehmen Sie die Punkte für eine neue Ebene (mindestens drei Punkte) auf.
  4. Klicken Sie auf Weiter.
  5. Wählen Sie aus der Elementliste den ersten Kreis aus, oder nehmen Sie die Punkte für einen neuen Kreis (mindestens vier Punkte) auf.
  6. Klicken Sie auf Weiter.
  7. Wählen Sie aus der Elementliste den zweiten Kreis aus, oder nehmen Sie die Punkte für einen neuen Kreis (mindestens vier Punkte) auf. Die Schaltfläche Fertigstellen wird zur Auswahl verfügbar.
  8. Klicken Sie auf Fertigstellen. PC-DMIS fügt auf Basis der den von Ihnen ausgewählten Elemente eine Ausrichtung in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen.


Proz 4: Erstellen einer Ausrichtung aus einer Ebene und zwei Linien

Erforderliche Elemente:

  • Element 1 – Ebene. PC-DMIS nivelliert das Werkstück und überträgt eine Achse auf dieses Element.
  • Element 2 – Linie. PC-DMIS dreht zwei Achsen und überträgt eine Achse auf dieses Element.
  • Element 3 – Linie. PC-DMIS überträgt die verbleibende dritte Achse auf dieses Element.

Verfahren Sie wie folgt:

  1. Öffnen Sie die Symbolleiste Schnellstart, und wählen Sie die Symbolleiste Ausrichten.

Display Menu Roadmap
Klicken Sie auf das Symbol Proz 4. Das Dialogfeld Schnellstart wird angezeigt.

  3. Wählen Sie aus der Elementliste das Ebenenelement aus, oder nehmen Sie die Punkte für eine neue Ebene (mindestens drei Punkte) auf.
  4. Klicken Sie auf Weiter.
  5. Wählen Sie aus der Elementliste das erste Linienelement aus, oder nehmen Sie die Punkte für eine neue Linie (mindestens zwei Punkte) auf.
  6. Klicken Sie auf Weiter.
  7. Wählen Sie aus der Elementliste das zweite Linienelement aus, oder nehmen Sie die Punkte für eine neue Linie (mindestens zwei Punkte) auf. Die Schaltfläche Fertigstellen wird zur Auswahl verfügbar.
  8. Klicken Sie auf Fertigstellen. PC-DMIS fügt auf Basis der den von Ihnen ausgewählten Elemente eine Ausrichtung in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen.


3-2-1: Erstellen einer Ausrichtung aus einer Ebene, einer Linie und einem Punkt

Erforderliche Elemente:

  • Element 1 – Ebene. PC-DMIS nivelliert das Werkstück und überträgt eine Achse auf dieses Element.
  • Element 2 – Linie. PC-DMIS dreht zwei Achsen und überträgt eine Achse auf dieses Element.
  • Element 3 – Punkt. PC-DMIS überträgt die verbleibende dritte Achse auf dieses Element.

Verfahren Sie wie folgt:

  1. Öffnen Sie die Symbolleiste Schnellstart, und wählen Sie die Symbolleiste Ausrichten.

Display Menu Roadmap
Klicken Sie auf das Symbol 3-2-1. Das Dialogfeld Schnellstart wird angezeigt.

  3. Wählen Sie aus der Elementliste das Ebenenelement aus, oder nehmen Sie die Punkte für eine neue Ebene (mindestens drei Punkte) auf.
  4. Klicken Sie auf Weiter.
  5. Wählen Sie aus der Elementliste ein Linienelement aus, oder nehmen Sie die Punkte für eine neue Linie (mindestens zwei Punkte) auf.
  6. Klicken Sie auf Weiter.
  7. Wählen Sie aus der Elementliste ein Punktelement aus, oder nehmen Sie einen Punkt für eine neue Linie auf. Die Schaltfläche Fertigstellen wird zur Auswahl verfügbar.
  8. Klicken Sie auf Fertigstellen. PC-DMIS fügt auf Basis der den von Ihnen ausgewählten Elemente eine Ausrichtung in das Werkstückprogramm ein.
  9. Klicken Sie auf Schließen.

Genauere Informationen zum Erstellen von 3-2-1-Ausrichtungen finden Sie unter "Erstellen einer 3-2-1-Ausrichtung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".


Iterativ: Erstellen einer Ausrichtung aus verschiedenen Elementen

Erforderliche Elemente:

  • Elemente 1, 2, 3 – dienen zur Nivellierung des Werkstücks
  • Elemente 4, 5 – erforderlich zur Drehung des Werkstücks
  • Element 6 – zur Verschiebung des Werkstücks

Verfahren Sie wie folgt:

  1. Öffnen Sie die Symbolleiste Schnellstart, und wählen Sie die Symbolleiste Ausrichten.

Display Menu Roadmap
Klicken Sie auf die Schaltfläche Iterativ. Der Assistent für die Iterative Ausrichtung erscheint.

  3. Folgen Sie den Anweisungen des Assistenten, um die Ausrichtung zu erstellen.

Genauere Informationen zum Erstellen von iterativen Ausrichtungen finden Sie unter "Erstellen einer iterativen Ausrichtung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".


KMG-Verschiebung: Durchführen einer KMG-Verschiebung

Voraussetzungen:

  • Ein Taster von Faro oder Romer
  • Eine für einen Faro- oder Romer-Taster programmierte Anschlußsperre.

Weitere Informationen finden Sie unter "Durchführen einer KMG-Verschiebung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".


Schnellstart: Symbolleiste "Kalibrieren/Bearbeiten"

Über die Symbolleiste Kalibrieren/Bearbeiten der Symbolleiste Schnellstart können Sie Taster erstellen und kalibrieren sowie Tasterwechsler, Drehtische und Doppelarmsysteme einrichten und verwenden. In den folgenden Themen wird erläutert, wie diese Symbolleiste zum Durchführen dieser Aufgaben verwendet wird.

Siehe auch:

Erstellen eines neuen Tasters

Kalibrieren eines Tasters

Definieren und Verwenden eines Tasterwechslers

Definieren und Verwenden eines Drehtischs

Einrichten von Doppelarmsystemen

Mehrarmbetrieb aktivieren

Kalibrieren von Doppelarmsystemen


Erstellen eines neuen Tasters

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Kalibrieren/Bearbeiten.

Display Menu Roadmap
Klicken Sie auf das Symbol Neuer Taster. Das Dialogfeld Taster Hilfsprogramme wird angezeigt.

  3. Befolgen Sie zum Erstellen Ihres Tasters die unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware" aufgeführten Anweisungen.


Kalibrieren eines Tasters

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Kalibrieren/Bearbeiten.

Display Menu Roadmap
Klicken Sie auf das Symbol Taster Kalibrieren. Das Dialogfeld Taster Hilfsprogramme wird angezeigt.

  3. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.
  4. Befolgen Sie zum Kalibrieren Ihres Tasters die unter "Messen" im Abschnitt "Definieren von Hardware" aufgeführten Anweisungen.


Definieren und Verwenden eines Tasterwechslers

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Kalibrieren/Bearbeiten.

Display Menu Roadmap
Klicken Sie auf das Symbol Tasterwechsler. Das Dialogfeld Tasterwechsler wird angezeigt.

  3. Wählen Sie in der Registerkarte Typ den Tasterwechslertyp aus, indem Sie die Anweisungen unter "Typ" im Abschnitt "Voreinstellungen" befolgen.
  4. Klicken Sie auf die Registerkarte Kommunikationsanschluß und definieren Sie die Kommunikationseinstellungen für den Tasterwechsler, indem Sie die Anweisungen unter "Kommunikationsanschluß" im Abschnitt "Voreinstellungen" befolgen.
  5. Klicken Sie auf die Registerkarte Kalibrieren und kalibrieren Sie den Tasterwechsler, indem Sie die Anweisungen unter "Kalibrieren" im Abschnitt "Voreinstellungen" befolgen.
  6. Klicken Sie auf die Registerkarte Anfahrparameter und legen Sie sichere Positionen fest, die der Taster vor dem Wechslerzyklus anfahren kann. Befolgen Sie die unter "Anfahrpunkt" im Abschnitt "Voreinstellungen" aufgeführten Anweisungen.
  7. Klicken Sie auf die Registerkarte Tastergaragen und legen Sie fest, welche Tastergaragen welche Tasterkonfigurationen enthalten, indem Sie die Anweisungen unter "Tastergaragen" im Abschnitt "Voreinstellungen" befolgen.
  8. Fügen Sie im Bearbeitungsfenster TASTERLADEN-Befehle ein und achten Sie darauf, daß die richtigen Tastertypen definiert wurden. Wenn PC-DMIS bei der Ausführung diesen Befehl erhält, wird der neue Taster aus dem Wechsler entnommen.


Definieren und Verwenden eines Drehtisches

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Kalibrieren/Bearbeiten.

Display Menu Roadmap
Klicken Sie auf das Symbol Drehtisch. Das Dialogfeld Einrichten Drehtisch wird angezeigt.

  3. Richten Sie den Drehtisch ein und kalibrieren Sie ihn, indem Sie die Anweisungen unter "Definieren des Drehtisches" im Abschnitt "Voreinstellungen" befolgen.
  4. Bei der Verwendung von mehr als einem Drehtisch können Sie PC-DMIS über die Symbolleiste Aktueller Drehtisch anweisen, welcher Tisch verwendet werden soll. Siehe auch "Symbolleiste "Aktueller Drehtisch" unter "Arbeiten mit Symbolleisten".


Einrichten von Doppelarmsystemen

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Kalibrieren/Bearbeiten.

Display Menu Roadmap
Klicken Sie auf das Symbol Doppelarm einrichten. Das Dialogfeld Mehrambetrieb einrichten wird angezeigt.

  3. Befolgen Sie die Anweisungen unter "Einrichten von Mehrarmsystemen" im Abschnitt "Voreinstellungen".


Mehrarmbetrieb aktivieren

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Kalibrieren/Bearbeiten.

Display Menu Roadmap
Klicken Sie auf das Symbol Doppelarm-Modus. PC-DMIS startet den Mehrarmbetrieb. Derselbe Vorgang wird bei Auswahl der Menüoption Mehrarmbetrieb aktivieren durchgeführt.

Display Menu Roadmap


Kalibrieren von Doppelarmsystemen

  1. Wählen Sie in der Symbolleiste Schnellstart die Symbolleiste Kalibrieren/Bearbeiten.

Display Menu Roadmap
Klicken Sie auf das Symbol Doppelarm-Kalibr. PC-DMIS öffnet das Dialogfeld Mehrarm Kalibrierung. Derselbe Vorgang wird bei Auswahl der Menüoption Mehrarmbetrieb aktivieren durchgeführt.

  3. Weitere Informationen finden Sie auch im Abschnitt "Arbeiten im Mehrarmbetrieb".


Schnellstart: Symbolleiste "Scannen"

Display Menu Roadmap
Mit der Symbolleite Scannen der Symbolleiste Schnellstart können Sie schnell verschiedene manuelle Scanvorgänge durchführen. Wenn Sie eines dieser Symbole anklicken, wird PC-DMIS Sie durch die verschiedenen notwendigen Schritte zur Erstellung eines bestimmten Scans führen.

Weitere Informationen zum Scannen finden Sie im Abschnitt "Scannen Ihres Werkstücks".


Symbolleiste "Fenster-Layouts"

Display Menu Roadmap
Über die Symbolleiste Fenster-Layouts können Sie das Layout von geöffneten Fenstern, Editoren und Symbolleisten speichern und diese anschließend in Ihrem aktuellen Werkstückprogramm wiederherstellen, indem Sie auf ein Symbol klicken.

Mit dem Symbol Minimieren wird das Bearbeitungsfenster verkleinert.
Mit dem Symbol Maximieren wird das Bearbeitungsfenster vergrößert.
Mit dem Symbol Speichern wird das Dialogfeld Namen für Fenster-Layout eingeben geöffnet, in dem Sie die aktuelle Position und Größe von beliebigen geöffneten Fenstern, Editoren oder Symbolleisten unter einen bestimmten Layout-Namen speichern können.

Im Feld Name für Fenster-Layout können Sie den Namen für das Layout angeben. PC-DMIS zeigt diesen Namen als QuickInfo für das mit diesem Layout verbundene Symbol an. Wenn Sie keinen Layout-Namen angeben, verwendet PC-DMIS standardmäßig den Namen "Ruft das Fenster-Layout auf".

Klicken Sie auf OK, um das Layout zu speichern. Auf der Symbolleiste wird ein Symbol für dieses Layout mit der entsprechenden Layout-Konfiguration angezeigt.
Mit dem Symbol Übersicht wird das im Lieferumfang von PC-DMIS enthaltene Layout des Übersichtsmodus geladen. Das Bearbeitungsfenster wird im Übersichtsmodus mit den folgenden Symbolleisten angezeigt: Grafik, Einstellungen, Manueller/CNC-Modus, Bearbeitungsfenster, Merkmal, Schnellstart.
Mit dem Symbol Programm wird das im Lieferumfang von PC-DMIS enthaltene Layout des Befehlsmodus geladen. Das Bearbeitungsfenster wird im Befehlsmodus mit den folgenden Symbolleisten angezeigt: Grafik, Einstellungen, Manueller/CNC-Modus, Bearbeitungsfenster, Merkmal, Schnellstart.
Mit dem Symbol Protokoll wird das im Lieferumfang von PC-DMIS enthaltene Layout des Protokollmodus geladen. Das Bearbeitungsfenster wird im Protokollmodus mit den folgenden Symbolleisten angezeigt: Grafik, Einstellungen, Manueller/CNC-Modus, Bearbeitungsfenster, Merkmal, Schnellstart.
Das Symbol zum Aufrufen des gespeicherten Fenster-Layouts stellt das gespeichert Layout wieder her. Alle Fenster, Editoren und Symbolleisten werden an Ihren ursprünglichen Positionen wiederhergestellt. Wenn Sie den Cursor über ein Symbol setzen, wird der Name des gespeicherten Layouts angezeigt.

Hinweis: Wenn Sie mehrere Werkstückprogramme geöffnet haben und mit einem dieser Programme ein gespeichertes Layout erstellt haben, erhält das Werkstückprogramm Vorrang, in dem das Layout erstellt wurde. Das zum Erstellen des gespeicherten Layouts verwendete Werkstückprogramm wird zum aktiven Werkstückprogramm, in dem das gespeicherte Fenster-Layout angezeigt wird.

Siehe auch:

Überschreiben der Standard-Layouts

Löschen von gespeicherten Benutzer-Layouts


Überschreiben der Standard-Layouts

So überschreiben Sie ein Standard-Layout:

  1. Klicken Sie mit der rechten Maustaste auf ein beliebiges Standard-Layout-Symbol. Es wird das Dialogfeld angezeigt, das auch beim Klicken auf das Symbol Speichern angezeigt wird. Der in diesem Dialogfeld angezeigte Text kann jedoch nicht bearbeitet werden.
  2. Klicken Sie auf OK.

PC-DMIS weist diesem Symbol das aktuell angezeigte Fenster-Layout zu. Das im Lieferumfang von PC-DMIS enthaltene Standard-Layout wird überschrieben. Zum Wiederherstellen der im Lieferumfang von PC-DMIS enthaltenen Standard-Layouts müssen Sie PC-DMIS neu installieren.

Die standardmäßigen Layout-Symbole können nicht gelöscht werden.


Löschen von gespeicherten Benutzer-Layouts

So löschen Sie ein gespeichertes Benutzer-Layout:

  1. Drücken und halten Sie die UMSCHALTTASTE.
  2. Klicken Sie mit der Maustaste auf das Symbol und halten Sie die Taste gedrückt. Nun kann das Symbol verschoben werden.
  3. Ziehen Sie das Symbol aus der Symbolleiste heraus.
  4. Lassen Sie die Maustaste wieder los.

Das Symbol und das damit verbundene Layout werden gelöscht.


Defining Hardware

Definieren von Tastern

Definieren von starren Tastern

Definieren von Sterntastern

Definieren von Maschinen

Erstellung und Positionierung von Aufspannsäulen

Wiederherstellen von Aufspannsäulen

Anzeige eines Animierten Tasterwechslers


Defining Hardware : Introduction

Definieren von Hardware: Einführung

In diesem Abschnitt werden alle Optionen beschrieben, mit denen Sie die Hardware definieren, die zum Messen der verschiedenen Werkstücke verwendet wird. Dazu gehören das Erstellen und Kalibrieren Ihres Tasters mit seinen Tastspitzen, die Erstellung und Verwendung eines virtuellen KMGs, die Erstellung, Positionierung und Verwendung von flexiblen Spannsystemen sowie die Erstellung von animierten Tasterwechslern.

Diese Punkte werden in den folgenden Themen näher erläutert:

  • Definieren von Tastern
  • Definieren von starren Tastern
  • Definieren von Sterntastern
  • Definieren von Maschinen
  • Erstellung und Positionierung von Aufspannsäulen
  • Wiederherstellen von Aufspannsäulen
  • Anzeige eines Animierten Tasterwechslers


Definieren von Tastern

Der erste Schritt bei der KMG-Werkstückprogrammierung besteht in der Definition der Taster, die bei der Maßkontrolle verwendet werden sollen. PC-DMIS unterstützt eine breite Palette von Tastertypen und Kalibrierwerkzeugen. Es bietet außerdem eine einzigartige Methode zur Kalibrierung des Dreh-/Schwenkkopfes PH9/PH10 von Renishaw. Klicken Sie in der Menüleiste auf Taster, um auf die Tasteroptionen zugreifen zu können (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Für ein neues Werkstückprogramm muß zuerst eine Tasterdatei erstellt und/oder geladen werden, bevor der Meßvorgang beginnen kann. Bis zum Laden des Tasters kann im Werkstückprogramm nur wenig erzielt werden.

Hinweis: Klicken Sie auf dieses Symbol auf der Symbolleiste Zusätze

um den Taster-Assistenten von PC-DMIS zu öffnen. PC-DMIS muß dabei ausgeführt werden.

Use Wrist Map If Available File Format Previewing your Probe Configuration User Defined Calibration Order Print List Probe Setup Global Used Mark Used Results Add Angles Delete Collision Tolerance Edit Measure Cancel OK Edit Probe Components Probe Description Active Tip List Probe File Name

Im Dialogfeld Taster Hilfsprogramme werden Tasterdaten für die aktive Tastspitze angezeigt. Sie können damit neue Tasterdateien erstellen, auf zuvor definierte Dateien zugreifen und eine Tasterdatei nach Bedarf bearbeiten. Mit dieser Option können Sie auch Taster kalibrieren.

Siehe auch:

Taster-Dateiname

Kontrollkästchen "Benutzerdef. Kalibrierreihenfolge"

Verwende Wrist-Matrix, wenn Kontrollkästchen vorhanden

Liste aktueller Tastspitzen

Tasterbeschreibung

Kalibrieren

Kalibriernormal hinzufügen

Kalibriernormal bearbeiten

Kalibriernormal löschen

Liste der verfügbaren Kalibriernormale

Bearbeiten

Winkel hinzufügen

Ergebnisse

Verwendete markieren

Global verwendete markieren

Dateiformat

Gerätekalib.-Daten verwenden

Verfügbare Tastspitzentypen

Kollisionstoleranz

Tastereinrichtung

Liste drucken

Faro—Tasterkalibrierungs-Extras

SP600-Kalibrierangaben

SP600 Kalibrierverfahren

AutoKalibrieren Taster


Taster-Dateiname

In der Auswahlliste Tasterdatei wird die aktuelle Tasterdatei angezeigt. Tasterdateien werden im Installationsverzeichnis von PC-DMIS gespeichert. Das Standardverzeichnis ist der Dateiname und das Verzeichnis, in dem Sie PC-DMIS installiert haben (in der Regel "PCDMISW" im lokalen "C:\"-Laufwerk). Wenn PC-DMIS nach einer zu ladenden Tasterdatei sucht, sucht es in diesem Verzeichnis; es sei denn, Sie haben den Suchpfad gewechselt. Weitere Informationen finden Sie unter "Angeben externer Verzeichnisse für die Suche" im Abschnitt "Voreinstellungen".

So erstellen Sie eine neue Tasterdatei:

  1. Markieren Sie den aktuellen Namen in der Auswahlliste Tasterdatei.
  2. Geben Sie einen neuen Namen ein (derzeit maximal 8 Zeichen).

Wurde eine Tasterdatei bereits unter dem eingegebenen Namen gespeichert, lädt PC-DMIS die zuvor gespeicherte Datei in das aktuelle Werkstückprogramm.


Kontrollkästchen "Benutzerdef. Kalibrierreihenfolge"

Mit dem Kontrollkästchen Benutzerdef. Kalibrier reihenfolge können Sie festlegen, in welcher Reihenfolge PC-DMIS die gewählten Tastspitzen messen soll.

Das aktivierte Kontrollkästchen bewirkt, daß PC-DMIS die Tastspitzen in der vom Benutzer in der Liste Aktuelle Tastspitzen definierten Kalibrierreihenfolge mißt. (Siehe Liste aktueller Tastspitzen.) Wenn keine Tastspitzen ausgewählt sind, verwendet PC-DMIS die in den I-, J-, K-Suchfeldern der Dialogfelder Taster bearbeiten und Taster hinzufügen eingegebenen I-, J-, K-Vektoren zur Ermittlung der effizientesten Meßreihenfolge aller Tastspitzen.

Das deaktivierte Kontrollkästchen bewirkt, daß PC-DMIS die Tastspitzen in der Reihenfolge mißt, die das Programm für die effizienteste hält. In diesem Fall ignoriert PC-DMIS die Reihenfolge, die bestimmten Tastspitzen in der Liste aktueller Tastspitzen zugeordnet wurde (Siehe Liste aktueller Tastspitzen.) PC-DMIS bestimmt die effizienteste Messung ebenfalls anhand des Kalibriertaster-Vektors.


Verwende Wrist-Matrix, wenn Kontrollkästchen vorhanden

Über das Kontrollkästchen Verwende Wrist-Matrix wenn Kontrollkästchen vorhanden wird festgelegt, ob PC-DMIS eine Wristmatrix-Datei (auch bekannt unter "Fehlermatrix"-Datei) während der Kalibrierung der AB-Tastspitzenwinkel verwenden soll. Wenn Sie dieses Kontrollkästchen markieren, wird PC-DMIS die Wrist-Matrixdatei (mit dem Namen abcomp.dat) auf Ihrem Rechner suchen. Wenn diese gefunden wurde, werden die Fehlerdaten des Dreh-/Schwenkkopfs während der Kalibrierung der AB-Tastspitzenwinkel kompensiert.

Informationen zum Erstellen der Wrist-Matrixdatei finden Sie unter "Berechnen der Fehlermatrix" im Abschnitt "Arbeiten mit einem Wrist-Gerät".


Liste aktueller Tastspitzen

Mit PC-DMIS können Sie beschreibende Daten für zahlreiche Tasterspitzen speichern. Es können bis zu 32767 Tastspitzen gespeichert werden. Diese Anzahl ist eventuell durch den auf Ihrem System verfügbaren Speicherplatz begrenzt.

So ändern Sie Tastspitzendaten:

  1. Markieren Sie in der Liste aktueller Tastspitzen die gewünschte aktive Tastspitze.
  2. Klicken Sie auf die Schaltfläche Bearbeiten.

Es erscheint das Dialogfeld Bearbeiten, in dem Sie die angezeigten Werte ändern können.

Hinweis: Unkalibrierte Tastspitzen sind in der Liste aktueller Tastspitzen durch ein Sternchen vor ihrer Tastspitzen-ID gekennzeichnet.

PC-DMIS beschreibt einen Taster anhand der folgenden Kriterien:

Uncalibrated Tip Calibration Date and Time I, J, K Direction Diameter and Thickness X, Y, Z Nominal Tip Type Tip Rotation Tip ID

Siehe auch:

Tastspitzen-ID

Tastspitzen-Rotation

Tastspitzentyp

X-, Y-, Z-Nennwert

I-, J-, K-Vektor

Durchmesser und Stärke

Kalibrierdatum und -zeit

Unkalibrierte Tastspitze

Kalibrierreihenfolge


Tastspitzen-ID

Hierbei handelt es sich um eine feste Nummer, die PC-DMIS einer Tastspitze beim Laden in den Speicher zuweist.


Tastspitzen-Rotation

In diesem Feld wird die Rotation der Tastspitze in vertikaler (A) und horizontaler (B) Richtung angezeigt.


Tastspitzentyp

In diesem Feld wird die Art des Tasters (KUGEL, SCHEIBE, ABGESETZT, ZYLINDER, OPTISCH) angezeigt.


X-, Y-, Z-Nennwert

Diese Werte beschreiben die Position der Tastspitze. Diese Position steht in Bezug zur Unterseite des Z-Arms (vertikal)


I-, J-, K-Vektor

Diese Werte beschreiben die Richtung der Taster spitze. Dieser Vektor verläuft von der Mitte der Tastspitze zum Z-Arm (vertikal).


Durchmesser und Stärke

Diese Werte beschreiben den Durchmesser der Tastspitze und die Stärke der ZYLINDER- und SCHEIBENTASTER. PC-DMIS definiert diese Werte beim Laden des Tasters. (Hinweise zum Ändern eines Feldes finden Sie unter "Taster bearbeiten".)


Definieren von Hardware - Liste aktueller Tastspitzen - Kalibrierdatum und -zeit

Kalibrierdatum und -zeit

Diese Werte geben mit Datum und Uhrzeit an, wann eine Taster spitze zuletzt kalibriert wurde. Diese Werte können im Dialogfeld Tasterdaten bearbeiten angezeigt werden. Wird eine neue Tastspitze ohne vorherige Kalibrierung erstellt, zeigt PC-DMIS für das Datum und die Uhrzeit den Wert NEU an. Wird eine alte Tastspitze geladen und die Angaben zu Datum und Uhrzeit sind nicht verfügbar, zeigt PC-DMIS für die Werte "UNBEKANNT" an. Die Werte für Datum und Uhrzeit werden nur für die Tastspitzen aktualisiert, die tatsächlich kalibriert wurden.


Unkalibrierte Tastspitze

Alle unkalibrierten Tastspitzen sind durch ein Sternchen (*) gekennzeichnet.

Die Befehlszeile im Bearbeitungsfenster für eine Muster-Tastspitze lautet:
TASTSPITZE/T1A0B0, SCHAFTIJK=0, 0, 1, WINKEL=0


Kalibrierreihenfolge

Die Kalibrierreihenfolge richtet sich nach der Reihenfolge, in der die Tastspitzen im Listenfeld ausgewählt wurden.

So legen Sie die Kalibrierreihenfolge fest:

  1. Wählen Sie im Dialogfeld Taster kalibrieren die Option Benutzerdefiniert (siehe auch "Kalibrieren").
  2. Drücken und halten Sie die STRG-Taste.
  3. Markieren Sie mit der linken Maustaste die für die Kalibrierung gewünschten Tastspitzen in der Liste aktueller Tastspitzen. Beim Markieren der einzelnen Tastspitzen-IDs erscheint daneben eine Zahl zur Indizierung der Meßreihenfolge der Tastspitzen.

Werden keine Tastspitzen markiert, wird der Benutzer gefragt, ob alle Tastspitzen kalibriert werden sollen.


Tasterbeschreibung

Im Bereich Tasterbeschreibung (der aus der Auswahlliste und dem nachfolgenden Feld besteht) können Sie festlegen, welcher Taster und welche Tasterverlängerungen und Tastspitze(n) im Werkstückprogramm verwendet werden sollen. Die Auswahlliste Tasterbeschreibung zeigt die verfügbaren Tasteroptionen in alphabetischer Reihenfolge an.

So definieren Sie einen Taster, (eine) Verlängerung(en) und (eine) Tastspitze(n):

  1. Markieren Sie die Anweisung "Kein Taster definiert:".
  2. Öffnen Sie die Auswahlliste Tasterbeschreibung.
  3. Wählen Sie den gewünschten Tastkopf aus.
  4. Drücken Sie nach Auswahl des Tastkopfs einmal die EINGABETASTE.

Hinweis: Es können nur Tasteroptionen gewählt werden, die sich auf die aktuell markierte Anweisung beziehen.

Der gewählte Tastkopf erscheint daraufhin im unteren Feld Tasterbeschreibung sowie rechts im grafischen Anzeigefeld.

  5. Markieren Sie Leere Verbindung Nr.1 im Feld Tasterbeschreibung.
  6. Klicken Sie auf die Auswahlliste.
  7. Markieren Sie das nächste am Tastkopf anzubringende Element (entweder eine Verlängerung oder eine Tastspitze). Tastspitzen werden zuerst nach Größe und dann nach Gewindegröße angezeigt.

Wird beispielsweise eine 5-Weg-Verlängerung hinzugefügt, so bietet PC-DMIS 5 leere Anschlüsse. Sie können beliebige bzw. alle benötigten Anschlüsse mit der(n) entsprechenden Tastspitze(n) füllen. PC-DMIS mißt stets zuerst die niedrigste Spitze (die niedrigste in bezug auf die Z-Achse) der Verlängerung .

Ist im Feld Tasterbeschreibung eine Zeile ausgewählt, die bereits einen Eintrag enthält, werden Sie gefragt, ob der neue Eintrag vor dem ausgewählten Eintrag eingefügt werden oder diesen ersetzen soll.

"Auf Ja klicken, um vorher einzufügen, oder auf Nein, um zu ersetzen."

  • Wenn Sie als Antwort auf Ja klicken, kann eine zusätzliche Zeile erstellt werden, indem die neue Tastspitze vor dem ursprünglichen Element eingefügt wird.
  • Wenn Sie als Antwort auf Nein klicken, löscht PC-DMIS das ursprüngliche Element und ersetzt es durch das markierte Element.

Hinweis: Das markierte Element wird im Feld Tasterbeschreibung in die hervorgehobene Zeile eingefügt. PC-DMIS zeigt ein Meldungsfeld an, in dem Sie das markierte Element vor der markierten Zeile einfügen oder das hervorgehobene Element ggf. ersetzen können.

Siehe auch:

Tasterkomponenten bearbeiten

Voransicht Ihrer Tasterkonfiguration


Tasterkomponenten bearbeiten

Wenn Sie auf eine Zeile im Bereich Tasterbeschreibung doppelklicken, wird das Dialogfeld Tasterkomponenten bearbeiten aufgerufen.

Mit dieser Option können Sie bestimmte Teile der Tastergrafik aus der Anzeige entfernen. In Fällen einer extrem dicht erscheinenden Werkstückgeometrie können Sie durch Auswahl dieser Option vorübergehend einige Grafiken entfernen und dadurch eine bessere Ansicht der Elemente erhalten.

So entfernen Sie Tastergrafiken:

  1. Doppelklicken Sie (im Feld Tasterbeschreibung) auf die Beschreibung des jeweiligen Elements, das aus der Ansicht entfernt werden soll. PC-DMIS zeigt das Dialogfeld Tasterkomponenten bearbeiten an.
  2. Deaktivieren Sie das Kontrollkästchen Diese Komponente zeichnen.
  3. Klicken Sie auf die Schaltfläche OK. Das Dialogfeld Tasterkomponenten bearbeiten wird geschlossen. Beachten Sie, daß die Tastergrafik ohne die angegebene Komponente und alle anderen darüberliegenden Komponenten im Dialogfeld Taster Hilfsprogramme neu gezeichnet wird.

Mit dieser Option können Sie auch den Rotationswinkel des Tasters ändern. Um die Standardeinstellung "0" zu ändern, geben Sie einfach den gewünschten Winkel (einen beliebigen Winkel zwischen +180° und -180°) in das Feld Standard-Rotationswinkel an Verbindungsstelle ein.


Voransicht Ihrer Tasterkonfiguration

Grafikansicht eines Tasters und der Schieberegler

Mit der Grafikansicht des Dialogfelds Taster Hilfsprogramme können Sie die folgenden Elemente als grafische Voransicht anzeigen lassen:

  • Die einzelnen Tasterkomponenten.
  • Die verschiedenen AB-Winkelpositionen in der Liste Aktuelle Tastspitzen.
  • Eine vollständige 3D-Rotation des Tasters.

Anzeigen von Komponenten: Wenn eine Komponente einer Tasterkonfiguration ausgewählt wurde, wird diese automatisch in der Grafikansicht des Dialogfelds Taster Hilfsprogramme angezeigt.

Anzeigen von AB-Winkelpositionen: Wählen Sie in der Liste Aktuelle Tastspitzen eine AB-Winkelposition aus. Die Grafikansicht des Tasters wird dynamisch an die aktuelle Tasterkonfiguration angepaßt, so daß Sie sehen können, wie sich der gewählte AB-Winkel auswirken würde.

3D-Rotation des Tasters: Verschieben Sie die Schieberegler unterhalb und links von der grafischen Anzeige, um die Tasteransicht zu drehen. Der untere Schieberegler dreht den Taster horizontal. Der linke Schieberegler dreht den Taster vertikal.

Horizontaler Schieberegler – Dreht die Ansicht horizontal.

Vertikaler Schieberegler – Dreht die Ansicht vertikal.


Definieren von Hardware - Definieren von Tastern - Messen

Home Contents Previous Next

Kalibrieren

Mit dem Befehl Kalibrieren wird (werden) der (die) hervorgehobene(n) Taster kalibriert. Über diesen Vorgang erhält PC-DMIS Informationen zu Position und Durchmesser der Tastspitze.

So beginnen Sie den Meßvorgang:

  1. Vergewissern Sie sich im Dialogfeld Taster Hilfsprogramme, daß die Liste aktueller Tastspitzen zufriedenstellend ist.
  2. Heben Sie die entsprechende(n) Tastspitze(n) hervor.
  3. Klicken Sie auf die Schaltfläche Messen.

Hinweis: Wenn der Benutzer über einen Tasterwechsler verfügt und es sich bei der derzeit aktiven Tasterdatei nicht um die Tasterkonfiguration im Tastkopf handelt, wechselt PC-DMIS automatisch von der aktuell geladenen Tasterkonfiguration zur erforderlichen Tasterkonfiguration.

Das Dialogfeld Taster kalibrieren wird angezeigt. Bei der Verwendung eines Faro-Arms wird stattdessen das Dialogfeld Taster kalibrierungs -Extras angezeigt (siehe auch "Faro – Tasterkalibrierungs-Extras").

Parameter Sets Wrist Calibration area Cancel Measure Edit Tool Delete Tool Add Tool List of Availalbe Tools Tool Mounted on Rotary Table Shank Offset Number of Shank Hits Shank Qualification Calibration Mode Type of Operation System Mode Touch Speed Move Speed Prehit / Retract Number of Hits

Hinweis: PC-DMIS protokolliert die Kalibrierung der Taster nicht. Sie müssen daher sicherstellen, daß ein Taster neu kalibriert wird, falls er in irgendeiner Weise beändert wird.

Eine einzelne Tastspitze kann kalibriert werden. Ist mehr als eine Tastspitze in der Liste aktueller Tastspitzen hervorgehoben, gibt PC-DMIS eine Meldung mit der Frage aus, ob die Kalibrierung aller hervorgehobenen Tastspitzen akzeptabel ist.

  1. Lautet die Antwort Ja, wird eine Meldung mit der Frage angezeigt, ob der Kalibriertaster bewegt wurde. Lautet die Antwort auf diese zweite Frage Ja, wird das Dialogfeld Ausführungsoptionen angezeigt. Sie müssen dann 1 Meßpunkt im manuellen Modus aufnehmen, bevor Sie den Kalibriervorgang fortsetzen können. Versuchen Sie, diesen Meßpunkt vertikal zu der Tastspitze aufzunehmen. Lautet die Antwort auf diese zweite Frage Nein, wird das Dialogfeld Ausführungsoptionen ebenfalls angezeigt. Das System befindet sich jedoch im CNC (Computer Numerical Control)-Betrieb. PC-DMIS fordert daher nicht, daß vor Beginn des Kalibriervorgangs Meßpunkte aufgenommen werden.
  2. Lautet die Antwort Nein, kehren Sie zum Dialogfeld Taster zurück, und es erfolgt keine weitere Aktion.

Im Dialogfeld Taster kalibrieren werden die Standardeinstellungen angezeigt. Der Standardwert für die Anzahl von Meßpunkten ist 5.

Klicken Sie zur Annahme der Standards auf die Schaltfläche Messen. Andernfalls geben Sie den (die) gewünschten Wert(e) ein.

Bei manueller Aufnahme eines Meßpunkts erwartet PC-DMIS von Ihnen die Messung eines Kalibriertasters. Diese Meßergebnisse dienen zur Bestimmung der Tastspitzenversätze. Die Ergebnisse werden im Feld X, Y, Z der Liste aktueller Tastspitzen im Dialogfeld Taster Hilfsprogramme angezeigt.

Bei Verwendung einer Kalibrierkugel aktualisiert PC-DMIS im Rahmen der Kalibrierung auch den Tastspitzendurchmesser.

Bevor der Kalibriervorgang beginnen kann, muß ein Kalibrierelement definiert werden. Die Art der am Kalibriernormal vorgenommenen Messung(en) hängt vom Instrumenttyp (KUGEL, WÜRFEL) und vom Tastspitzentyp (KUGEL, SCHEIBE, ABGESETZT, ZYLINDER, OPTISCH) ab.

Siehe auch:

Anzahl der Meßpunkt

Vorhalte-/Rückfahrweg

Bewegungsgeschwindigkeit

Meßgeschwindigkeit

Systemmodus

Durchzuführende Tätigkeit

Kalibriermodus

Wrist-Kalibrierung

Schaftkalibrierung

Anzahl der Schaft-Meßpunkte

Schaftversatz

Parametersätze

Auf Drehtisch montiertes Kalibriernormal

Messen


Definieren von Hardware - Messen - Anzahl der Meßpunkte

Anzahl der Meßpunkte

PC-DMIS verwendet die Anzahl der angegebenen Meßpunkte zur Messung des Tasters auf Basis des Kalibriermodus. Die Standardanzahl an Meßpunkten beträgt 5.

So ändern Sie diesen Wert:

  1. Markieren Sie den Wert im Feld Anzahl der Meßpunkte.
  2. Geben Sie einen neuen Wert ein.


Vorhalte-/Rückfahrweg

Im Feld Vorhaltebereich / Rückfahrweg können Sie den Vorhalteweg und den Rückzug nach Meßpunkt für die Kalibrierung des Tasters festlegen.

So ändern Sie den Abstand für den Vorhalte- / Rückfahrweg:

  1. Wählen Sie die Zahl mit der Maus aus.
  2. Geben Sie einen neuen Abstandswert ein.


Definieren von Hardware - Messen - Bewegungsgeschwindigkeit

Bewegungsgeschwindigkeit

Im Feld Bewegungsgeschwindigkeit können Sie die Bewegungsgeschwindigkeit für die PHx-Kalibrierung angeben.

So ändern Sie den Wert für die Bewegungsgeschwindigkeit:

  1. Wählen Sie das Feld Bewegungsgeschwindigkeit.
  2. Geben Sie einen neuen Wert für die Bewegungsgeschwindigkeit ein. Bei diesem Wert sollte es sich um einen Prozentsatz zwischen 1,0 und 100,0 handeln, wobei 1,0 die langsamste und 100,0 die schnellste Geschwindigkeit ist.

Weitere Verfahren zur Beeinflussung der Geschwindigkeit beim Meßvorgang finden Sie unter "Bewegungsgeschwindigkeit %" im Abschnitt "Voreinstellungen".

Hinweis: Die Zahl im Feld Bewegungsgeschwindigkeit kann nicht mehr als vier Dezimalstellen enthalten. Wird eine Zahl mit mehr als vier Dezimalstellen eingegeben, rundet PC-DMIS die Zahl nach der vierten Dezimalstelle ab.


Definieren von Hardware - Messen - Meßgeschwindigkeit

Meßgeschwindigkeit

Im Feld Meßgeschwindigkeit können Sie die Berührungsgeschwindigkeit für die PHx-Kalibrierung angeben.

So ändern Sie die Berührungsgeschwindigkeit:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein. Bei diesem Wert sollte es sich um einen Prozentsatz zwischen 1 und 100 handeln, wobei 1,0 die langsamste und 100,0 die schnellste Geschwindigkeit ist.

Weitere Informationen finden Sie unter "Berührungsgeschwindigkeit %" im Abschnitt "Voreinstellungen".

Hinweis: Die Zahl im Feld Meßgeschwindigkeit kann nicht mehr als vier Dezimalstellen enthalten. Wird eine Zahl mit mehr als vier Dezimalstellen eingegeben, rundet PC-DMIS die Zahl nach der vierten Dezimalstelle ab.


Systemmodus

Für das Kalibrieren von Tastern werden die folgenden Systemmodi verwendet:

  • Im Modus Manuell müssen Sie alle Meßpunkte manuell aufnehmen, selbst wenn das KMG über die CNC-Funktionalität verfügt.
  • Der CNC-Modus wird mit CNC-KMGs verwendet und nimmt automatisch alle Meßpunkte auf, außer das Kalibriernormal wurde verschoben. In diesem Fall müssen Sie den ersten Meßpunkt manuell aufnehmen.
  • Der Modus Man.+CNC ist eine Zusammenfassung des manuellen und des CNC-Modus. Mit diesem Modus können Sie komplizierte Tasterkonfigurationen kalibrieren, die schwierig als Modell darzustellen sind. In den meisten Fällen weist der ManCNC-Modus ein ähnliches Verhalten wie der CNC-Modus auf, mit den folgenden Unterschieden:
    • Sie müssen den ersten Meßpunkt für jede Tastspitze stets manuell aufzeichnen, selbst wenn das Kalibriernormal nicht bewegt wurde. Alle übrigen Meßpunkte für diese Tastspitze werden anschließend automatisch im CNC-Modus aufgezeichnet.
    • Für die einzelnen Tastspitzen werden vor der Messung keine Sicherheitsbewegungen durchgeführt, da die ersten Meßpunkte alle manuell aufgezeichnet werden.
    • Nachdem PC-DMIS die Kalibrierkugelmessung für eine bestimmte Tastspitze abgeschlossen hat, werden die abschließenden Rückfahrbewegungen in Abhängigkeit des verwendeten Wrists durchgeführt oder nicht.

      Bei einem beweglichen Wrist wie PH9, PH10, PHS usw. führt PC-DMIS die abschließenden Rückfahrbewegungen wie im normalen CNC-Modus durch. Der Vorgang wird ohne Benutzereingaben fortgesetzt. Der Taster wird unter Einhaltung des Sicherheitsabstands an die AB-Winkel des nächsten Meßpunktes verschoben, anschließend wird die nächste AB-Bewegung durchgeführt.

      Bei einem feststehenden Wrist führt PC-DMIS keine abschließenden Rückfahrbewegungen durch. Statt dessen werden Sie von PC-DMIS aufgefordert, mit dem nächsten manuellen Meßpunkt für die nächste Tastspitze fortzufahren.

  • Der CNC+CNC-Modus weist ein ähnliches Verhalten auf wie der MAN+CNC-Modus, mit der Ausnahme, daß PC-DMIS, statt auf die manuelle Aufnahme des Meßpunktes für jede Tastspitze zu warten, CNC-Meßpunktproben nimmt, um die Kugel zu bestimmen. Dieser Modus könnte Ihnen nützen, wenn Sie einen vollautomatisierten Kalibiervorgang wünschen. Beachten Sie jedoch bitte, daß der MAN+CNC-Modus genauere Ergebnisse liefern könnte.

Um den Systemmodus zu ändern, klicken Sie entweder auf Manuell, CNC, Man+CNC oder CNC+CNC.


Art des Vorgangs

Durchzuführende Tätigkeit

Im Bereich Durchzuführende Tätigkeit können Sie den Vorgang auswählen, der beim Klicken auf die Schaltfläche Messen im Dialogfeld Taster kalibrieren durchgeführt wird. Die folgenden Optionen stehen zur Auswahl:

Tastspitzen kalibrieren:

Diese Option dient zur Durchführung einer Standard-Kalibrierung aller markierten Tastspitzen.

Gerät kalibrieren:

Diese Option dient zur Erstellung einer Fehlermatrix bei einem indexierbaren Tastkopf wie dem PH9 und PH10. In den Tastkopf wird eine Taster-Spezialkonfiguration plaziert. Diese besteht aus drei identischen Tastspitzen, die in Form eines auf dem Kopf stehenden "T"s an ein Fünfwegzentrum angeschlossen werden. Mit der Spezialkonfiguration können eine beliebige Anzahl von Tastspitzenausrichtungen (am besten alle möglichen Ausrichtungen) gemessen werden. Nach Abschließen dieses Verfahrens können Tastspitzenkonfigurationen gewechselt werden, ohne daß eine vollständige Tastspitzenkalibrierung erforderlich ist. Jede der in der Ursprungsmatrix gemessenen Ausrichtungen wird nun automatisch in der neuen Konfiguration kalibriert. PC-DMIS bietet komplette Unterstützung zur Kalibrierung und Verwendung eines Renishaw PHS-Wrists sowie des DEA-Wrists.
Hinweis: Die hier beschriebene Option gilt ausschließlich für Tasterköpfe, die wiederholbare indizierte Wrist-Positionen durchführen können, wie der PH9. Für diese Kalibrierung ist ein sternförmiger Taster mit drei Tastspitzen erforderlich. Nachdem diese Kalibrierung durchgeführt wurde, können nur die bei der Wrist-Kalibrierung aufgezeichneten indizierten Positionen in weiteren Tasterdateien verwendet werden, ohne daß eine vollständige Kalibrierung durchgeführt werden muß.

Weitere Hinweise zur Kalibrierung von Wrists finden Sie auch unter "Arbeiten mit einem Wrist-Gerät".

Verfahrensweise

  1. Erstellen Sie die Tasterkonfiguration des Geräts wie in der nachstehenden Grafik veranschaulicht.
    Die exakten Abmessungen der Komponenten können variieren, die Form muss jedoch gleich bleiben. Die gewählten Komponenten sollten außerdem so leicht wie möglich sein. Schwerkraft kann bei den Messungen Fehler verursachen.
  2. Klicken Sie im Dialogfeld Taster Hilfsprogramme auf die Schaltfläche Winkel hinzufügen und fügen Sie so viele verschiedene Ausrichtungen wie erforderlich hinzu. Eine komplette Matrix des Tastkopfes würde bedeuten, daß jede mögliche Ausrichtung gemessen werden müßte.
  3. Klicken Sie im Dialogfeld Taster Hilfsprogramme auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.
  4. Geben Sie die gewünschten Standardwerte ein.
  5. Klicken Sie im geöffneten Dialogfeld Taster kalibrieren auf die Schaltfläche Messen. Jetzt erscheint ein Menü.
  6. Wählen Sie im Menü Tastkopf kalibrieren. PC-DMIS mißt dann jede der drei Tastspitzen in jeder gewählten Ausrichtung. PC-DMIS verwendet diese Daten, um den Versatz, die Steigung und das Gieren jeder einzelnen Ausrichtung zu protokollieren.
  7. Plazieren Sie als nächstes die bei der Messung zu verwendende Tasterkonfiguration auf den Tastkopf.
  8. Wählen Sie mindestens drei der protokollierten Ausrichtungen.
  9. Kalibrieren Sie diese Tastspitze in den gewählten Ausrichtungen, indem Sie im Dialogfeld Taster kalibrieren auf die Schaltfläche Messen klicken und Tastspitzen kalibrieren aus dem Menü auswählen. Dies ermöglicht die automatische Berechnung des eigentlichen Längenversatzes bei dieser Tasterkonfiguration. PC-DMIS ermittelt dann automatisch die Position jeder protokollierten Ausrichtung.

Kalibrierungsüberprüfung:

Hiermit werden die benutzerdefinierten Tastspitzenausrichtungen neu gemessen und ein Vergleich mit den vorherigen Meßdaten dieser Tastspitzenausrichtungen wird durchgeführt. Der Benutzer kann anhand dieses Vergleichs bestimmen, ob eine komplette Kalibrierung erforderlich ist.

Nullpunktfahrt Tastkopf:

Dies bringt den Tastkopf in den meisten Fällen auf den Nullpunkt A=0 und B=0. In PC-DMIS steht Nullpunktfahrt Tastkopf dann zur Auswahl, wenn der PC-DMIS-Einstellungseditor den Eintrag "RenishawWrist ist gleich 1" enthält.

Hinweis: Bei der Anschlußsperre muß die Wrist-Option eingeschaltet sein, damit PC-DMIS die Wrist-Unterstützung aktivieren kann.

NC-100-Artefakt kalibrieren:

Mit dieser Option wird ein NC-100-Kalibriernormal kalibriert. Sie können diese Option nur aktivieren, wenn Sie zuvor die NC-100-Option erworben haben. Ist diese Option auf der Anschlußsperre verfügbar, wird die Registerkarte NC-100 im Dialogfeld Setup-Optionen verfügbar.

Das NC-100 muß anschließend ordnungsgemäß eingerichtet werden, um die Option NC-100-Artefakt kalibrieren zur Auswahl verfügbar zu machen.


Kalibrierungsmodus

Kalibriermodus

Im Bereich Kalibriermodus können Sie zwischen den Optionen Standardmodus und Benutzerdefiniert wechseln wie folgt:

Standardmodus

Wenn die Option Standardmodus aktiviert ist, wird PC-DMIS die Anzahl der angegebenen Meßpunkte in entweder 10 oder 15 Grad Entfernung vom Äquator der Kalibrierkugel aufnehmen plus einen zusätzlichen Meßpunkt vertikal zu dem Taster, in 90 Grad Abstand vom Äquator.

Beispiel einer Kalibrierkugel

Dadurch, daß die Meßpunkte in entweder 10 oder 15 Grad Entfernung aufgenommen werden, wird verhindert, daß der Schaft des Tasters die Kalibrierkugel trifft. Dies könnte geschehen, wenn der Schaftdurchmesser fast so groß wie der Durchmesser der Tastspitze ist.

Wenn der Durchmesser der Tastspitze kleiner als 1 mm ist, nimmt PC-DMIS die Meßpunkte um die Kugel in einem Abstand von 15 Grad auf.

Wenn der Durchmesser der Tastspitze größer als 1 mm ist, nimmt PC-DMIS die Meßpunkte um die Kugel in einem Abstand von 15 Grad auf.

Benutzerdefinierter Modus

Wenn die Option Benutzerdefiniert markiert ist, ermöglicht PC-DMIS den Zugriff auf die Ebenen und Winkel-Felder. PC-DMIS mißt den Taster auf Basis der Anzahl von eingegebenen Ebenen sowie des jeweils aus gewählten Start- und Endwinkels. Die Position der Ebene basiert auf den festgelegten Winkeln. 0° befindet sich am Äquator des Tasters. 90° ist vertikal zum Taster. Wenn die Messung vertikal zum Taster erfolgt, wird nur 1 Meßpunkt aufgenommen.

Anzahl der Ebenen

Im Feld Anzahl der Ebenen wird die Anzahl der beim Kalibriervorgang verwendeten Ebenen festgelegt. PC-DMIS dividiert die Anzahl der Meßpunkte durch die Anzahl der Ebenen und bestimmt so, wie viele Meßpunkte auf jeder Ebene aufgenommen werden sollen.

Start- und Endwinkel

Über die Felder Anfangswinkel und Endwinkel wird die Lage der ersten und letzten Ebene bestimmt. Alle zusätzlichen Ebenen werden gleichmäßig zwischen diesen beiden Ebenen positioniert.

  • Ein Anfangswinkel von 0° befindet sich am Äquator der Kugel (relativ zum Taster).
  • Ein Endwinkel von 90° befindet sich oben auf der Kugel, vertikal zum Taster.

Start- und Endwinkel


Wrist-Kalibrierung

In diesem Bereich können Sie für die indizierbare Wrist-Kalibrierung Wrist-Positionen in einem Muster von bis zu neuen Kalibrierkugelmessungen angeben.

Der Bereich Wrist-Kalibrierung wird zur Auswahl verfügbar, wenn folgende Bedingungen erfüllt sind:

  • Richten Sie im Dialogfeld Taster Hilfsprogramme einen endlos indizierbaren Dreh-/Schwenkkopf (Wrist) wie beispielsweise den PHS von Renishaw oder den CW43L von Brown and Sharpe ein. Informationen hierzu finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".
  • Setzen Sie die entsprechenden Wrist-Einträge (DEAWrist oder RENISHAWWrist) im Optionsteil des PC-DMIS-Einstellungseditors auf "1". Weitere Informationen finden Sie unter "Ändern von Registrierungseinträgen".
  • Wählen Sie im Dialogfeld Taster kalibrieren im Bereich Durchzuführende Tätigkeit die Option Tastkopf kalibrieren aus.

Genauere Informationen zum Arbeiten mit und Kalibrieren von Dreh-/Schwenkköpfen finden Sie unter "Arbeiten mit einem Wrist-Gerät".

Definieren von AB-Wrist-Positionen zum Kalibrieren

Zur Kalibrierung des Wrists müssen Sie ein bestimmtes Muster einhalten. Hierbei werden Wrist-Positionen mit mindestens drei A-Winkelpositionen mal mindestens drei B-Winkelpositionen für eine Gesamtanzahl von neun Kalibrierkugelmessungen kalibriert. Im Bereich Wrist-Kalibrierung können Sie die Winkel für die Kalibrierung der A- und B-Achsen angeben. In den Feldern Start, Ende und Schrittweite können Sie den Anfangs- und Endwinkel angeben, um den Wrist und die Schrittweiten für die Matrix in beiden A- und B-Achsen abzubilden.

Im folgenden Beispiel wurden in die entsprechenden Felder die folgenden Werte eingegeben:

Winkel A
Start: | -90
Ende: | 90
Schrittweite: | 90
Winkel B
Start: | -180
Ende: | 180
Schrittweite: | 180

PC-DMIS würde in diesem Fall die Positionen von A-90B-180, A-90B0, A-90B180, A0B-180, A0B0, A0B180, A90B-180, A90B0 und A90B180 kalibrieren.

Hinweis: Die tatsächlichen Start- und Endwinkel sollten Sie unter Berücksichtigung des verwendeten Dreh-/Schwenkkopftyps, der mechanischen Verfügbarkeit und Hersteller- bzw. Händlerempfehlung auswählen. In einigen Fällen bestimmt PC-DMIS die Start- und Endwinkel automatisch auf Basis der Spezifikationen der Steuereinheit (hierbei wird PC-DMIS jedoch nur 359,9° der B-Achse abbilden).

Zum Kalibrieren eines Tastkopfs sind mindestens neun Positionen erforderlich. Sie können jedoch gegebenenfalls mehr Positionen als diese Mindestanzahl verwenden. PC-DMIS wird eine etwas genauere Kalibrierung durchführen, wenn mehr als die Mindestanzahl von Positionen verwendet wird.

Es besteht die Möglichkeit, beim Kalibrieren eines Wrists eine Fehlermatrix zu erstellen, um Winkelfehler (für den Wrist) zwischen kalibrierten Positionen zu beheben. Weitere Informationen finden Sie unter "Berechnen der Fehlermatrix" im Abschnitt "Arbeiten mit einem Wrist-Gerät".

Sollten Sie einen SP600-Taster verwenden, empfiehlt es sich, den erklärenden Unterabschnitt des Themas "Wristkalibrierung" im Abschnitt "Kalibrieren eines Wrist-Geräts" zu lesen.

Verwenden einer Wrist-Fehlermatrix

Mit folgenden Steuerelementen können Sie eine Wrist-Fehlermatrix erstellen, ersetzen, ansehen und löschen.

Steuerelement | Beschreibung
Neu erstellen | Über diesen Optionsschalter erstellen Sie eine neue Wrist-Fehlermatrix, indem Sie die Schaltfläche Messen anklicken.
Ersetze naheste Karte | Über diesen Optionsschalter wird die naheste vorhandene Wrist-Fehlermatrix durch eine neu erstellte Wrist-Fehlermatrix ersetzt, wenn Sie die Schaltfläche Messen anklicken.
Zeige/Lösche Karte | Über diese Schaltfläche wird das Dialogfeld Zeige/Lösche Karte eingeblendet. In diesem Dialogfeld werden alle auf Ihrem System vorhandenen Wrist-Fehlerkarten aufgeführt; für jede Matrix wird auch die Länge der Tasterverlängerung angezeigt und es werden die Nummer der AB Winkel und Inkrementwert des Winkels aufgelistet. Wählen Sie einfach eine Wrist-Fehlermatrix aus und klicken Sie auf Löschen, um eine Wrist-Fehlermatrix aus Ihrem System zu entfernen.


Schaftkalibrierung

Aktivieren Sie das Kontrollkästchen Schaft Qual., wenn Sie eine ZylinderTastspitze zur Aufnahme von Kantenmeßpunkten einsetzen werden. Durch Aktivieren dieses Kontrollkästchens weisen Sie das Programm an, den Schaft des Tasters zu kalibrieren. Wenn diese Option ausgewählt ist, können Sie die Felder Schaft Meßpunkte und Schaft Versatz bearbeiten.

Wichtig: Beachten Sie bitte, daß Sie bei Einsatz eines Zylindertasters nur dann eine Schaft-Kalibrierung durchführen müssen, wenn Kantenpunkte gemessen werden sollen.


Anzahl der Schaft-Meßpunkte

Im Feld Schaft Meßpunkte wird festgelegt, wie viele Meßpunkte zur Messung des Schafts verwendet werden.

So ändern Sie diese Zahl:

  1. Setzen Sie den Cursor auf das Feld Schaft Meßpunkte.
  2. Geben Sie einen neuen Wert ein.


Schaftversatz

Im Feld Schaft Versatz wird festgelegt, in welchem Abstand (bzw. bei welcher Länge) von der Tastspitze des Schafts aufwärts gesehen PC-DMIS den nächsten Satz an Kalibriermeßpunkten aufnehmen wird. So ändern Sie diesen Versatzwert:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.


Der Bereich Parametersätze

Parametersätze

Im Bereich Parametersätze können Sie Parameter für die Taster kalibrierung erstellen, speichern und gespeicherte Parametersätze aufrufen. Diese Informationen werden in der Tasterdatei gespeichert und enthalten die Einstellungen für die Anzahl an Punkten, den Vorhalte-/Rückfahrweg, die Bewegungs- und Berührungsgeschwindigkeit, den System- und Kalibriermodus sowie den Namen und die Position des Kalibriernormals.

So erstellen Sie Ihre eigenen, selbst benannten Parametersätze:

  1. Lassen Sie PC-DMIS die Tasterdatei automatisch mindestens auf das Format der Version 3.5 aktualisieren.
  2. Öffnen Sie das Dialogfeld Taster Hilfsprogramme.
  3. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.
  4. Bearbeiten Sie die gewünschten Parameter im Dialogfeld Taster kalibrieren.
  5. Geben Sie im Bereich Parametersätze im Feld Name einen Namen für den neuen Parametersatz ein, und klicken Sie auf Speichern. PC-DMIS zeigt eine Meldung an, die Sie über die erfolgreiche Erstellung des neuen Parametersatzes informiert. Zum Löschen eines gespeicherten Parametersatzes markieren Sie diesen einfach und klicken auf Löschen.
  6. Klicken Sie auf Messen, wenn Sie Ihre Tastspitzen sofort kalibrieren möchten. Wenn Sie sie später kalibrieren möchten, klicken Sie auf Abbrechen.
  7. Klicken Sie im Dialogfeld Taster Hilfsprogramme auf OK. Wenn Sie in diesem Dialogfeld auf Abbrechen klicken, werden jegliche Änderungen an der Tasterdatei rückgängig gemacht, dazu gehören auch die erstellten Parametersätze.

Nach der Erstellung eines neuen Parametersatzes können Sie diesen auch mit dem Befehl AUTOM_KALIBRIEREN/TASTER verwenden (siehe auch "AutoKalibrieren Taster").

Hinweis: Parametersätze sind nur für den Taster gültig, der bei deren Erstellung im Einsatz war.


Auf Drehtisch montiertes Kalibriernormal

Markieren Sie das Kontrollkästchen Auf Drehtisch montiertes Kalibriernormal, wenn das Taster-Kalibriernormal auf dem Drehtisch montiert ist. Dieses Kontrollkästchen ist deaktiviert, wenn die Maschine nicht mit einem Drehtisch ausgestattet ist.


Definieren von Hardware - Messen - Messen

Messen

Mit der Schaltfläche Messen wird der im Bereich Durchzuführende Tätigkeit ausgewählte Vorgang durchgeführt.


Kalibriernormal hinzufügen

Mit der Schaltfläche Kalibriernormal hinzufügen können Sie Daten zur Beschreibung Kalibriernormale speichern. Jedem Kalibriernormal wird eine fortlaufende ID-Nummer zugewiesen. Neben der ID-Nummer wird von PC-DMIS auch noch der Instrumenttyp (KUGEL, POLYEDER), der Kalibriernormalversatz und der Durchmesser (für die KUGEL) oder die Länge (für den POLYEDER) angezeigt. Nach Definition eines neuen Tasters wird dieser in der Auswahlliste Liste verfügbarer Kalibriernormale im Dialogfeld Taster kalibrieren angezeigt.

Wenn Sie zur Auswahlliste Liste verfügbarer Kalibriernormale ein Kalibriernormal hinzufügen möchten, klicken Sie auf die Schaltfläche Kalibriernormal hinzufügen. Daraufhin erscheint das Dialogfeld Kalibriernormal hinzufügen, in dem Sie Informationen nach Bedarf bearbeiten können.

Search Override IJK Offset XYZ OK Cancel Tool Type Shank Vector IJK Diameter / Length Tool ID

Im Dialogfeld Kalibriernormal hinzufügen erhalten Sie Zugriff auf die gleichen Informationen wie beim Erstellen eines neuen Kalibriernormals. Sie können die Kalibriernormal-ID, den Kalibriernormaltyp, die Versatzwerte, den Schaftvektor IJK, den Durchmesser / die Länge und die Breite des Kalibriernormals ändern.

Siehe auch:

Kalibriernormal-ID

Kalibriernormal-Typ

Versatz X, Y, Z

Schaftvektor I, J, K

Suche beeinflussen mit I, J, K

Durchmesser / Länge


Kalibriernormal-ID

In diesem Feld können Sie das von Ihnen definierte Kalibriernormal benennen.


Kalibriernormaltyp

In dieser Auswahlliste können Sie den Kalibriernormaltyp, entweder Kugel oder Würfel, wählen.


Versatz X, Y, Z

Diese X-, Y- und Z-Werte geben die Position des Kalibriertasters in Maschinenkoordinaten an.

Um eine Tastspitze neu zu kalibrieren, markieren Sie ganz einfach die gewünschte Tastspitze in der Liste aktueller Tastspitzen. Fahren Sie mit der Kalibrierung der Tastspitze fort, indem Sie auf die Schaltfläche Messen klicken (Siehe auch "Voransicht Ihrer Tasterkonfiguration".)


Suche beeinflussen mit I, J, K

Der Benutzer kann in diesen Dialogfeldern einen Vektor angeben, der von PC-DMIS zur Bestimmung der effizientesten Reihenfolge zur Messung aller Tastspitzen verwendet wird, wenn das Kontrollkästchen Benutzerdef. Reihenfolge des Dialogfelds Taster Hilfsprogramme aktiviert wird. Siehe Kalibrierreihenfolge


Durchmesser / Länge

In diesem Feld wird der Durchmesser / die Länge einer Kalibrierkugel angezeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie das Feld Durchmesser / Länge.
  2. Geben Sie einen neuen Wert ein.


Kalibriernormal bearbeiten

Mit der Befehlsschaltfläche Kalibriernormal bearbeiten können Sie ein in der Liste verfügbarer Kalibriernormale bereits vorhandenes Kalibriernormal bearbeiten. Klicken Sie einfach auf die Schaltfläche Kalibriernormal bearbeiten, und folgendes gleichnamiges Dialogfeld erscheint:

Search Override IJK Cancel OK Diameter / Length Shank Vector IJK Offset XYZ Tool Type Tool ID

Das Dialogfeld Kalibriernormal bearbeiten bietet dieselben Optionen wie das Dialogfeld Kalibriernormal hinzufügen.


Kalibriernormal löschen

Mit der Befehlsschaltfläche Kalibriernormal löschen können Sie ein nicht mehr benötigtes Kalibriernormal aus der Auswahlliste Liste verfügbarer Kalibriernormale löschen.

So entfernen Sie ein Kalibriernormal:

  1. Wählen Sie die gewünschte Kalibriernormal-ID aus.
  2. Klicken Sie auf Instr. löschen.


Liste verfügbarer Kalibriernormale

In der Auswahlliste Liste verfügbarer Kalibriernormale werden die verfügbaren Kalibriernormale angezeigt, und Sie können angeben, welches Kalibriernormal zur Kalibrierung des Tasters verwendet werden soll. PC-DMIS verwendet ausschließlich Kalibrierkugeln.

Siehe auch:

Kalibrierkugel und KugeltastspitzeTip

Kalibrierkugel und Scheibentastspitze

Kalibrierkugel und abgesetzte Tastspitze

Kalibrierkugel und Trommel-/ZylinderTastspitze

Kalibrierkugel und optischer Sensor


Kalibrierkugel und Kugeltastspitze

PC-DMIS fordert Sie zur Eingabe der am Kalibriernormal aufzunehmenden Meßpunkte auf. Anschließend werden Sie aufgefordert, die Meßpunkte aufzunehmen.


Kalibrierkugel und scheibenförmige Tastspitze

Kalibrierkugel und Scheibentastspitze

Wenn Modus = MANUELL, werden Sie von PC-DMIS aufgefordert, sechs Meßpunkte am Kalibriernormal aufzunehmen. Nehmen Sie drei Meßpunkte oberhalb und drei unterhalb des Äquators der Kugel auf.

Wenn Modus = CNC, muß die Position des Kalibriernormals vorher bekannt sein.


Kalibrierkugel und abgesetzte Tastspitze

PC-DMIS fordert Sie auf, auf der Kugel sechs Meßpunkte mit dem abgesetzten Teil des Tasters aufzunehmen. Die Kalibrierkugel dient im Prinzip als Taster zur Messung der abgesetzten Tastspitze in Form eines Kegels. Die ersten drei Meßpunkte müssen eine Ebene bilden, die ungefähr senkrecht zur Mittellinie des Kegels steht. Bei Verwendung eines geringfügig abgesetzten Tasters ist eine kleine Kalibrierkugel am besten zur Durchführung dieses Vorgangs geeignet.


Kalibrierkugel und Trommel-/ZylinderTastspitze

PC-DMIS fordert Sie auf, vier Meßpunkte in einem ebenen Querschnitt der Kugel aufzunehmen, so daß sich ein Kreis ergibt. Diese Meßpunkte müssen mit dem gleichen Teil des Tasters, der für die Maßkontrolle verwendet wird, aufgenommen werden. Nachdem die vier Meßpunkte aufgenommen wurden, werden Sie von PC-DMIS aufgefordert, die Kugel einmal mit der Tasteroberfläche zu berühren.


Kalibrierkugel und optischer Sensor

Kalibrierkugel und optische Tastspitze

Diese Option ist nur verfügbar, wenn die optische Tastspitze als starrer Taster definiert wird.


Definieren von Hardware - Definieren von Tastern - Bearbeiten

Home Contents Previous Next

Bearbeiten

Jede aktive Tastspitze läßt sich einfach aktualisieren, indem man die gewünschte Tastspitze in der Liste aktueller Tastspitzen markiert und auf die Schaltfläche Bearbeiten klickt. Das Dialogfeld Tasterdaten bearbeiten erscheint.

DMIS Label Cancel OK Calibration Date and Time Thickness of the ball tip Diameter of the ball tip Shank Vector IJK XYZ Center Tip ID

Sie können an den folgenden Daten Änderungen vornehmen:

Siehe auch:

Taster-ID

DMIS-Label

X-, Y- und Z-Mitte

Schaft- / Optikvektor I, J, K

Durchmesser der Kugeltastspitze

Stärke der Kugeltastspitze

Kalibrierdatum und -zeit

So löschen Sie eine Tastspitze aus der Liste aktueller Tastspitzen:

So löschen Sie einen Wrist-Winkel:


Taster-ID

Dieses Feld enthält die permanente Nummer, die PC-DMIS einer Tastspitze beim Laden in den Speicher zuweist. Dieser Wert kann nicht bearbeitet werden. Er dient nur zur Identifizierung.


DMIS-Label

In diesem Feld wird das DMIS-Label angezeigt. Wenn DMIS-Dateien importiert werden, verwendet PC-DMIS diesen Wert, um die SNSDEF-Anweisungen in der importierten DMIS-Programmdatei zu identifizieren.


X-, Y- und Z-Mitte

Diese Werte beschreiben die Position der Tastspitze. Diese Position steht in Bezug zur Unterseite des Z-Arms (vertikal)


Durchmesser der Kugeltastspitze

Dieses Feld enthält den Durchmesser der Tastspitze.


Stärke der Kugeltastspitze

Dieses Feld enthält die Stärke der Tastspitze.


Definieren von Hardware - Bearbeiten - Kalibrierungsdatum und -uhrzeit

Kalibrierdatum und -zeit

Diese Felder geben das Datum und die Uhrzeit an, zu dem (der) die Taster spitze zuletzt kalibriert wurde/n. Wird eine neue Tastspitze ohne vorherige Kalibrierung erstellt, zeigt PC-DMIS für Datum und Uhrzeit den Wert NEU an. Wird eine alte Tastspitze geladen und die Angaben zu Datum und Uhrzeit sind nicht verfügbar, zeigt PC-DMIS für die Werte "UNBEKANNT" an. Die Werte für Datum und Uhrzeit werden nur bei tatsächlich kalibrierten Tastspitzen aktualisiert.

Es kann jeweils nur eine Tastspitze bearbeitet werden.


So löschen Sie eine Tastspitze aus der Liste aktueller Tastspitzen:

Vorgehensweise:

  1. Wählen Sie den zu entfernenden Eintrag aus.
  2. Klicken Sie auf die Schaltfläche Löschen.

Ist nur eine Tastspitze markiert, wird sie von PC-DMIS automatisch gelöscht. Mehrere Elemente können gleichzeitig gelöscht werden, wenn sie alle beim Klicken auf die Schaltfläche Löschen markiert sind.

In PC-DMIS können auch bestimmte PHx-Winkel aus der Liste aktueller Tastspitzen entfernt werden.


So löschen Sie einen Wrist-Winkel:

Vorgehensweise:

  1. Wählen Sie den zu entfernenden Winkel aus:
  2. Klicken Sie auf die Schaltfläche Löschen.

Werden eine Tastspitze oder ein Tasterkopf gelöscht, so werden alle damit verbundenen PHx-Winkel ebenfalls aus der Datei gelöscht.

Hinweis: Mit dieser Option wird die Tastspitze aus der Liste aktueller Tastspitzen gelöscht und aus der Datei mit den dem System bekannten Tastspitzen entfernt.


Winkel hinzufügen

Bei Klicken auf die Schaltfläche Winkel hinzufügen erscheint das gleichnamige Dialogfeld.

Selecting Angles with the Mouse Equally Spaced Angles Data Individual Angle Data Clear the New Angles List New Angles List Cancel OK

Sie können mit den in PC-DMIS verfügbaren Feldern und Schaltflächen eine Liste von AB-Positionen erstellen. Eine einmal kalibrierte Position kann jederzeit während eines Werkstückprogramms abgerufen werden. Durch Kalibrieren häufig benutzter Positionen können diese beim Erlernen oder manuellen Prüfen eines Werkstückprogramms beliebig abgerufen werden.

AB-Positionen werden in den Werkstück-Koordinaten gespeichert. PC-DMIS sucht daher während des Ausführungsmodus automatisch die am nächsten kalibrierte AB-Position, die der Ausrichtung des jeweiligen Werkstücks auf der Maschine entspricht. Die AB-Positionen sind nur dann verfügbar, wenn das Kontrollkästchen Wrist für Taster kopf automatisch einstellen aktiviert ist (siehe auch "Wrist für Tastkopf automatisch einstellen" im Abschnitt "Voreinstellungen"). Im Bearbeitungsfenster muß außerdem vor dieser Funktion ein Befehl zur Änderung des Tasters gewählt worden sein.

Da sich die mechanische Positionierung des Tasters mit der Zeit ändert, empfiehlt es sich, den Taster in regelmäßigen Zeitabständen neu zu kalibrieren. Beim Klicken auf die Schaltfläche Winkel hinzufügen zeigt PC-DMIS das gleichnamige Dialogfeld an.

In diesem Dialogfeld können Sie einzelne AB-Ausrichtungen vorgeben. PC-DMIS erstellt anhand der Parameter, die in den Feldern im Bereich Winkelraster angegeben wurden, auch eine Liste von AB-Ausrichtungen in gleichmäßigen Abständen voneinander.

Im Dialogfeld Winkel hinzufügen werden die folgenden Parameter angegeben.

Siehe auch:

Feld "Liste Neuer Winkel"

Einzelne Winkeldaten

Winkelraster

Arbeiten mit dem Winkelraster

Hinweis zu der Option "Winkel hinzufügen"


Feld "Liste neuer Winkel"

Das Feld Liste neuer Winkel enthält eine Auflistung von AB-Winkeln aus dem Bereich Winkel oder dem Bereich Winkelraster.


Einzelne Winkeldaten

Im Bereich Winkel können Sie AB-Positionen jeweils einzeln zum Feld Liste neuer Winkel hinzufügen.

So fügen Sie Winkel hinzu:

  1. Setzen Sie den Cursor auf das Feld bzw. die Felder, dessen Eintrag bzw. deren Einträge geändert werden sollen.
  2. Geben Sie einen neuen Winkel ein.
  3. Klicken Sie auf die Schaltfläche Winkel hinzufügen.

Der von Ihnen angegebene Winkel erscheint im Feld Liste neuer Winkel.


Winkelraster

Mit der mit diesen Feldern verknüpften Schaltfläche Winkel hinzufügen werden automatisch alle gewünschten AB-Positionen, die in gleichmäßigen Abständen angeordnet sind, im Feld Liste neuer Winkel markiert. Die endgültige Liste enthält automatisch die Standardposition der Tasterkonfiguration. Ein gerade nach unten weisender PHx (A=0°, B=beliebige°) wird automatisch definiert und muß daher in diesem Dialogfeld nicht neu definiert werden.

PC-DMIS ermöglicht die einfache Messung aller AB-Positionen in 15°-Inkrementen zwischen 0° und 90° auf der A-Achse und in 45°-Inkrementen zwischen -180° und 180° auf der B-Achse.

Winkelbereich der A-Achse – Vorderansicht des KMG, wobei B = 90°.

Winkelbereich der B-Achse – Draufsicht, wobei A = 90°

So fügen Sie Winkel zum Feld Liste neuer Winkel hinzu:

  1. Geben Sie in jedes der verfügbaren Winkelfelder (A Anfang, A Ende, Inkrement in A, B Anfang, B Ende, Inkrement in B) die erforderlichen Informationen ein.
  2. Klicken Sie auf die Schaltfläche Winkel hinzufügen, und PC-DMIS zeigt automatisch die angeforderten AB-Ausrichtungen im Feld Liste neuer Winkel an.


Arbeiten mit dem Winkelraster

PC-DMIS ermöglicht Ihnen die Auswahl von verfügbaren Winkeln für den definierten Wrist. Diese Winkel können Sie im Dialogfeld Winkel hinzufügen auswählen. PC-DMIS zeigt alle verfügbaren A-Winkelpositionen entlang der Seite des Dialogfelds und die B-Winkelpositionen entlang des oberen Dialogfeldrands an.

Um neue Winkel durch Klicken auf den Raster hinzuzufügen,

  1. Suchen Sie zuerst die Zeile des A-Winkels, den Sie hinzufügen möchten. Dann suchen Sie die Spalte mit dem entsprechenden B-Winkel.
  2. Klicken Sie auf das Feld in dem Raster, indem sich die gewünschten A- und B-Winkel überschneiden. Das markierte Feld wird rot angezeigt, und die markierten AB-Winkelpositionen werden in das Feld Liste neuer Winkel eingefügt.

Wenn Sie eine markierte AB-Winkelposition entfernen möchten, klicken Sie erneut auf eines der roten Felder, und PC-DMIS entfernt die diesem Feld zugeordneten AB-Winkelpositionen aus dem Feld Liste neuer Winkel.

Erklärung der Rasterfarben

Es gibt für mögliche Farben für die Rasterfelder, die beim Arbeiten mit dem Winkelraster sichtbar werden könnten: Dunkelgrau, Rot, Gelb und Grün. Für Tastköpfe, die genügend Rasterblöcke zur vollständigen Darstellung der Winkeleinstellung des Tastkopfs aufweisen, werden nur mit Winkelrasterfeldern in Dunkelgrau oder Rot angezeigt werden. Wenn Sie jedoch einen Dreh-/Schwenkkopf (wie beispielsweise den PHS oder CW43L) verwenden, werden Sie Winkel mit Schrittweiten haben, welche die Anzahl der in dem Winkelraster verwendeten Winkelinkremente überschreiten. In diesen Fällen zeigt PC-DMIS die Winkelrasterposition mit der stärksten Übereinstimmung in Grün oder Gelb an.

Farbe | Beschreibung
Dunkelgrau | Ein dunkelgraues Rasterfeld zeigt, daß die AB-Winkelposition bereits in der Liste Aktuelle Tastspitzen des Dialogfelds Taster Hilfsprogramme vorhanden ist. Der AB-Winkel stimmt vollkommen mit dem Rasterfeldwinkel überein.
Rot | Ein rotes Rasterfeld zeigt, daß Sie eine neue AB-Winkelposition über das Dialogfeld Winkel hinzufügen festgelegt haben, der Winkel jedoch noch nicht in die Liste Aktuelle Tastspitzen eingefügt wurde. Der AB-Winkel stimmt vollkommen mit dem Rasterfeldwinkel überein.
Gelb | Ein gelbes Rasterfeld zeigt, daß die AB-Winkelposition bereits in der Liste Aktuelle Tastspitzen des Dialogfelds Taster Hilfsprogramme vorhanden ist und daß PC-DMIS die Rasterposition mit der stärksten Übereinstimmung für den AB-Winkel gewählt hat.
Grün | Ein grünes Rasterfeld zeigt, daß Sie eine neue AB-Winkelposition über das Dialogfeld Winkel hinzufügen festgelegt haben, der Winkel jedoch noch nicht in die Liste Aktuelle Tastspitzeneingefügt wurde. PC-DMIS wählt die Rasterposition mit der stärksten Übereinstimmung für den AB-Winkel.


Hinweise zu der Option "Winkel hinzufügen"

  • Eine automatische Taster kalibrierung kann nur unter Verwendung eines Kugeltasters und einer Kalibrierkugel durchgeführt werden.
  • Die X-, Y- und Z-Mittelpunktkoordinaten des verwendeten Kalibriernormals müssen die aktuelle Position des Tasters auf dem Tisch widerspiegeln. Ist dies nicht der Fall, sollte die Antwort auf die Frage "Wurde die Position des Tasters verschoben?" JA lauten.
  • Bei einer durch den Bediener gesteuerten Messung der AB-Positionen dreht PC-DMIS den Tastkopf nach beendeter Messung der aktuellen Position automatisch in die nächste manuelle Position. Vergewissern Sie sich vor Drücken der Taste ENDE, daß der Taster genügend Abstand zum Kalibriernormal einhält.
  • Wenn sich die Position des Kalibriernormals geändert hat oder neue Winkel in die Liste der Tastspitzen aufgenommen werden müssen, markieren Sie die erforderlichen Winkel in der Liste neuer Winkel. Die Standardposition der Tastspitze (vertikal zu dem Schaft des Kalibriernormals) muß ebenfalls markiert werden. PC-DMIS führt zuerst den Winkel aus, der vertikal zum Kalibriernormal steht, und anschließend die anderen markierten Winkel.
  • Wird die automatische AB-Kalibrierung gestoppt, bevor die Messung aller angefügten Positionen beendet ist, erhalten Sie eine PC-DMIS-Meldung mit der Frage, ob Sie die teilweise kalibrierten Daten vor dem Beenden speichern möchten.


Ergebnisse

Die Schaltfläche Ergebnisse zeigt die Ergebnisse der zuletzt durchgeführten Taster kalibrierung im Dialogfeld Kalibrierergebnisse an.

Neben der Anzeige des Durchmessers und der Stärke des Tasters enthält das Dialogfeld auch noch Angaben zum tatsächlichen Winkel und der Rundheit der Kugel. Anhand dieser Meßergebnisse können Sie die Genauigkeit der Kalibrierung verifizieren.


Verwendete markieren

Mit dieser Option wird das aktuelle Werkstückprogramm automatisch auf AB-Winkel hin durchsucht. PC-DMIS fügt dann alle gefundenen AB-Winkel der aktuellen Tasterkonfiguration hinzu.

Hinweis: Wenn die Option Wrist für Tastkopf automatisch einstellen (auf der Registerkarte Allgemein im Dialogfeld Setup) aktiviert ist und Sie die Schaltfläche Verwendete markieren anklicken, ist zu beachten, daß PC-DMIS möglicherweise nicht alle Tastspitzen für die Kalibrierung auswählt (siehe auch "Wrist für Tastkopf automatisch einstellen" im Abschnitt "Voreinstellungen").


Global verwendete markieren

Mit der Schaltfläche Global verwendete markieren wird nach Tastspitzen gesucht, die von der gegenwärtig aktiven Tasterdatei in anderen Werkstückprogrammen verwendet werden. Diese werden dann der Liste aktueller Tastspitzen hinzugefügt und für die Kalibrierung markiert.


Dateiformat

Mit der Schaltfläche Dateiformat können Sie die vorhandene Tasterdatei in einem Format speichern, das mit früheren Versionen von PC-DMIS kompatibel ist. Klicken Sie auf Dateiformat, und das Dialogfeld Tasterdateiformat konvertieren wird angezeigt.

In diesem Dialogfeld stehen zwei Optionen zur Verfügung:

  • Das Feld Aktuelle Version – Listet die aktuelle Version von PC-DMIS auf.
  • Liste Zu speichernde Version – Enthält die Formattypen, die Sie zum Speichern der Tasterdatei auswählen können.


Gerätekalib.-Daten verwenden

Das Kontrollkästchen Gerätekalib.-Daten verwenden erscheint nur dann im Dialogfeld, wenn Sie bereits eine Kalibrierung am Gerät vorgenommen haben. Ist dieses Kontrollkästchen nicht aktiviert, werden die Standardkalibrierdaten verwendet. Durch Aktivieren dieses Kontrollkästchens ist es möglich, die Kalibrierdaten des Geräts zu verwenden. Weitere Hinweise finden Sie unter "Gerät kalibrieren" im Abschnitt "Messen"


Verfügbare Tastspitzentypen

In PC-DMIS stehen in der Auswahlliste Tasterbeschreibung die folgenden Tastspitzentypen zur Auswahl:

Wenn eine Tastspitze in die Liste verfügbarer Tastspitzen aufgenommen werden muß, wenden Sie sich bitte an Ihren PC-DMIS-Softwarekundendienst. Das Erstellen zusätzlicher Tastspitzendateien ist nur autorisiertem Personal vorbehalten.

Siehe auch:

Kugel

Scheibe

Optisch

Zylinder


Kugel

Dient zur Beschreibung eines kugelförmigen Tastereinsatzes. Der Benutzer kann über die Schaltfläche Bearbeiten den Nenn-Durchmesser und die Stärke des Tasters bearbeiten. Die Richtung des Tasters muß ebenfalls definiert werden.


Scheibe

Damit wird ein scheibenförmiger Tastereinsatz efiniert. Der Benutzer kann über die Schaltfläche Bearbeiten den Nenn-Durchmesser und die Stärke des Tasters bearbeiten. Die Richtung des Tasters muß ebenfalls definiert werden.


Optisch

Diese Option ist steht nur zur Auswahl, wenn der optische Sensor als starrer Taster definiert wird.

Mit dieser Option wird ein optischer Sensor definiert. Der Benutzer kann über die Schaltfläche Bearbeiten den Nenn-Durchmesser des Sensors bearbeiten. Die Richtung des Tasters muß ebenfalls definiert werden.


Zylinder

Damit wird ein Zylinder- oder Trommeltaster definiert. Der Benutzer kann über die Schaltfläche Bearbeiten den theoretischen Durchmesser und die Stärke des Tasters bearbeiten. Die Richtung des Tasters muß ebenfalls definiert werden.


Kollisionstoleranz

Die Kollisionserkennung (CD) ist bei PC-DMIS dafür konzipiert, Kollisionen zwischen dem Taster und den CAD-Oberflächen zu erfassen.

Kollisionstoleranzen werden im Dialogfeld Kollisionstoleranz vorgegeben. Der Zugriff auf diese Option erfolgt durch Klicken auf die Schaltfläche Toleranzen im Dialogfeld Taster Hilfsprogramme.

Weitere Informationen zur Option Kollisionserkennung finden Sie unter "Kollisionserkennung" im Abschnitt "Bearbeiten der CAD-Anzeige".

Siehe auch:

Definieren von Kollisionstoleranzen


Definieren von Kollisionstoleranzen

Kollisionstoleranzen werden im Dialogfeld Kollisionstoleranz vorgegeben. Sie können dieses Dialogfeld öffnen, indem Sie im Dialogfeld Taster Hilfsprogramme auf die Schaltfläche Toleranzen klicken.

In Bearbeitungsfeld können Sie für jede in der Auswahlliste ausgewählte Tasterkomponente einen positiven oder negativen Wert angeben. Auf diese Weise wird die Größe der Komponente geändert.

  • Ein positiver Abstand vergrößert die Komponente, so daß eine Kollision erkannt wird, falls diese Komponente den vorgeschriebenen Abstand zum Werkstück nicht einhält.
  • Ein negativer Abstand verkleinert die entsprechende Komponente des Tasters und erzeugt den gegenteiligen Effekt eines positiven Abstands.

Wenn Sie möchten, daß eine Tasterkomponente ignoriert wird, aktivieren Sie das Kontrollkästchen Ignorieren. PC-DMIS ignoriert dann beim Prüfen auf Kollisionen die entsprechende Tasterkomponente. Dies ist z. B. bei der Arbeit mit einer Tastspitze nützlich, wenn beim Messen Kollisionen erwartet werden.

Nachdem Sie die Menüoption Kollisionserkennung gewählt haben, um die Kollisionserkennung zu starten (unter "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen), führt die interne CAD-Komponente von PC-DMIS die für eine Kollisionserkennung erforderlichen Berechnungen durch. Alle erkannten Kollisionen werden im Dialogfeld Kollisionserkennung angezeigt. Die Ergebnisse werden im Taster-Anzeigefenster dieses Dialogfelds dargestellt und für eine spätere Verwendung beim Zeichnen der Bearbeitungs-Bahngeraden gespeichert.

Weitere Informationen zur Option Kollisionserkennung finden Sie unter "Kollisionserkennung" im Abschnitt "Bearbeiten der CAD-Anzeige".


Taster einrichten

Mit der Schaltfläche Einrichten im Dialogfeld Taster Hilfsprogramme wird das Dialogfeld Taster einrichten aufgerufen.

In diesem Dialogfeld können Sie die Tastereinstellungen weiter an Ihre Anforderungen anpassen. Mit den Optionen in diesem Dialogfeld können Sie folgende Informationen ändern oder auswählen:

  • Warnung bei Verwendung von Tastspitzen, die seit x Tagen nicht kalibriert wurden.
    Hierbei entspricht x der Anzahl von Tagen.
  • Warnung bei Verwendung von Tastspitzen, die nicht alle innerhalb von x Stunden voneinander kalibriert wurden.
    Hierbei entspricht x der Anzahl von Stunden.
  • Sicherheitsabstand entlang des Schaftvektors des Kalibriernormals: x
    Hierbei entspricht x dem Sicherheitsabstand.
  • Sicherheitsabstand entlang des Schaftvektors des Kalibriernormals für kontinuierliche Wrist-Taster: x
    Hierbei entspricht x dem Sicherheitsabstand.
  • Sicherheitsabstand auf der Z-Achse, wenn der Schaft des Kalibriernormals rechtwinklig zur Z-Achse liegt: x
    Hierbei entspricht x dem Sicherheitsabstand.
  • Warnung während der Kalibrierung, wenn die Standardabweichung der Kugel höher ist als: x
    Hierbei entspricht x der Standardabweichung.
  • Warnung, wenn der Durchmesserfehler für die Tastspitze höher ist als: x.
    Hierbei entspricht x dem Durchmesserfehler.
  • Bei Einsatz eines Tasterwechslers den Bediener nicht nach derzeit geladener Tasterdatei fragen.
    Aktuelle Tasterdatei: Datei
    Hierbei entspricht Datei der entsprechenden Tasterdatei.
  • Kalibrationsergebnisse an Ergebnisdatei anhängen.
  • Tasterdatei für das 'Nur Endladen' im Tasterwechsler: Datei
    Hierbei entspricht Datei einer Pseudo-Tasterdatei.
    Diese Datei wird verwendet, um ein Entladen des aktuellen Tasters zu erzwingen, ohne daß ein neuer Taster aus dem Tasterwechsler geladen wird. Siehe auch "Einen Taster ablegen ohne einen neuen Taster aufzunehmen" im Abschnitt "Voreinstellungen".

Klicken Sie auf OK, um die Änderungen zu akzeptieren.


Liste drucken

Über die Schaltfläche Liste drucken wird das Dialogfeld Drucken aufgerufen. Wenn Sie dann auf OK klicken, druckt PC-DMIS eine Liste kalibrierter und nicht kalibrierter Tastspitzenwinkel in Tabellenform aus. Hier werden dieselben Tastspitzenwinkel wie in der Liste aktueller Tastspitzen" aufgeführt. Jede Tabellenzeile enthält einen Tastspitzenwinkel, während die Spalten die XYZ-, IJK-, Durchmesser- und Stärkewerte der einzelnen Tastspitzenwinkel angeben. Es werden auch Datum und Uhrzeit der kalibrierten Tastspitzenwinkel angegeben.

Wurde ein Tastspitzenwinkel nicht kalibriert oder liegt ein Durchmesser-, Datums- oder Uhrzeitfehler vor, werden die betreffenden Winkel in der Liste in rotem Text dargestellt.

Siehe auch:

Beispielausdruck


Beispielausdruck

Es folgt ein Beispielausdruck der Liste aktueller Tastspitzen:


Faro - Tasterkalibrierungs-Extras

Faro – Tasterkalibrierungs-Extras

Bei der Verwendung eines Faro-Arms wird anstelle des standardmäßigen Dialogfelds Messen (das eingeblendet wird, wenn Sie im Dialogfeld Taster Hilfsprogramme auf Messen klicken), das Dialogfeld Taster kalibrierungs -Extras angezeigt.

Siehe auch:

Verfügbare Optionen im Dialogfeld

Faro-Kalibrierverfahren


Verfügbare Optionen im Dialogfeld

In der folgenden Tabelle werden alle im Dialogfeld Taster kalibrierungs -Extras verfügbaren Optionen und eine Beschreibung dazu aufgelistet.

Option | Beschreibung
Kalibriermethode

Im Dialogfeld Tasterkalibrierungs-Extras stehen zwei Kalibriermethoden zur Auswahl:
  • 1-Zoll-Kugel-Kalibrierverfahren. Die meisten Faro-Arme verfügen über eine eingebaute Kalibrierkugel. Normalerweise handelt es sich um eine 1-Zoll-Kugel, so daß PC-DMIS standardmäßig dieses Kalibrierverfahren anwendet.
  • Loch-Kalibrierverfahren. Sie haben des weiteren die Möglichkeit, zum Kalibrieren des Faro-Tasters ein Loch anstelle der Kugel zu verwenden.
Fehlerbereich der letzten Kalibrierung | Im Feld Fehlerbereich der letzten Kalibrierung wird der Volumenwert angezeigt, den Faro nach Durchführung der Kalibrierung berechnet. Dieser Wert wird von der Faro-Steuereinheit erzeugt und dient nur Anzeigezwecken. Dieser Wert kann nicht bearbeitet werden.
Anzahl der Meßpunkte | Im Feld (Anzahl der) Meßpunkte werden die Anzahl an Meßpunkten pro Kalibrierbereich angezeigt.
Großes Fenster mit Meßpunkten einblenden | Wenn Sie das Kontrollkästchen Großes Fenster mit Meßpunkten einblenden aktivieren, werden die X-, Y-, Z-Werte sowie die Anzahl an Meßpunkten während der Durchführung des Kalibriervorgangs in Echtzeit angezeigt.
Nach Abschluß eines Kalibriersegments Tonsignal geben | Wenn Sie das Kontrollkästchen Nach Abschluß eines Kalibriersegments Tonsignal geben aktivieren, signalisiert der Computer mit einem Piepton, wenn ein bestimmter Kalibrierbereich oder ein bestimmtes Kalibriersegment abgeschlossen wurde. Der Statusbereich des Dialogfelds (unterhalb des Felds Anzahl der Meßpunkte) informiert den Benutzer dann, welche Kalibrierzone als nächstes gemessen werden soll und wie viele Meßpunkte aufgenommen werden sollen.


Faro-Kalibrierverfahren

So kalibrieren Sie Ihren Taster ordnungsgemäß mit einem Faro-Arm:

  1. Öffnen Sie das Dialogfeld Taster kalibrierung -Hilfsprogramme (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).
  2. Wählen Sie im Bereich Kalibriermethode die gewünschte Kalibriermethode aus.
  3. Öffnen Sie das Dialogfeld Taster kalibrierung -Hilfsprogramme (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).
  4. Klicken Sie auf die Schaltfläche Messen. Der Kalibriervorgang wird gestartet. PC-DMIS wird ein Reihe visueller Hilfen anzeigen, die Sie bei der Kalibrierung des Faro-Arms unterstützen.
  5. Befolgen Sie die Anweisungen auf dem Bildschirm (sowie die Anweisungen im Statusbereich des Dialogfelds).
  6. Wenn Sie die 1-Zoll-Kugel-Kalibriermethode verwenden, nehmen Sie mit Hilfe des folgenden Diagramms und der Bildschirm-Direkthilfen folgende Meßpunkte auf der Kalibrierkugel auf:

    Seitenansicht der Kalibrierkugel, des Faro-Magneten und der Faro-Klemme
    • Nehmen Sie fünf Meßpunkte um den Äquator auf.
    • Kehren Sie die Achse um, und nehmen Sie weitere fünf Meßpunkte um den Äquator herum auf.
    • Nehmen Sie fünf Meßpunkte vertikal zur Kugel von Ost nach West auf.
    • Kehren Sie die letzte Achse um, und zeichnen Sie vier Meßpunkte vertikal zur Kugel von West nach Ost auf.
    • Zeichnen Sie fünf Meßpunkte vertikal zur Kugel von Nord nach Süd auf.
    • Kehren Sie die letzte Achse um, und nehmen Sie vier Meßpunkte vertikal zur Kugel von Süd nach Nord auf.
  7. Beim Loch-Kalibrierverfahren fordert PC-DMIS Sie auf, die folgenden Meßpunkte aufzunehmen:
    • Nehmen Sie zehn Meßpunkte in der Bohrung auf, während Sie den Griff drehen.
    • Zeichnen Sie weitere zehn Meßpunkte aus der umgekehrten Richtung in der Bohrung auf.
  8. Klicken Sie auf OK, wenn Sie mit der Kalibrierung fertig sind.


SP600-Kalibrierungsangaben

SP600-Kalibrierangaben

Nachstehend werden einige Änderungen am Kalibrierungsverfahren für SP600-Taster beschrieben, die in den Versionen 3.25 und höher vorgenommen wurden.

Siehe auch:

Hinweise zur SP600-Unterschichtmatrix:

Hinweise zur SP600-Oberschichtmatrix (Reguläre Kalibrierung):


Hinweise zur SP600-Unterschichtmatrix:

In dem unteren Matrixverfahren wird nun die von Brown and Sharpe Engineering entwickelte AP_COMP-Methode angewandt. Es wurden die folgenden drei neuen Einstellungen erstellt und unter der Überschrift ANALOG_PROBING im PC-DMIS-Einstellungseditor zur Verfügung gestellt:

SP6MTXMaxKraft=0,54
SP6MTXHoheKraft=0,3
SP6MTXNiedrigeKraft=0,18

Derzeit ist bei der Eingabe der Werte für diese Einstellungen während des unteren Matrixverfahren der Empfehlung von Brown and Sharpe Engineering zu folgen. Diese Einträge werden beim ersten Start des unteren Matrixverfahrens erzeugt (wenn sie nicht bereits existieren).

Sie sollten diese Werte erst ändern, wenn Brown and Sharpe Engineering in Zukunft neue Empfehlungen in dieser Hinsicht gibt. Das untere Matrixverfahren wird diese Einstellungen verwenden, ungeachtet möglicher OPTIONSTASTER-Befehle, die im aktuellen Werkstückprogramm vorliegen könnten.

Weitere Informationen zum PC-DMIS-Einstellungseditor finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Weitere Informationen zum unteren Matrixverfahren finden Sie unter dem folgenden Link zu dem von Brown and Sharpe erstellten Dokument "SP600 Low Level Matrix" auf der Website von Wilcox Associates, Inc.: http://www.wilcoxassoc.com/files.htm#instructional_files.


Hinweise zur SP600-Oberschichtmatrix (Reguläre Kalibrierung):

Die folgenden Hinweise gelten für eine Oberschichtmatrix-Kalibrierung, im Falle der Verwendung eines analogen Tasters.

Die Verwendung von OPTIONSTASTER-Befehlen bei Analogen Tastern

Ein OPTIONPROBE-Befehl wird immer dann in das Werkstückprogramm eingefügt, wenn die Werte auf der Registerkarte Analoger Taster des Dialogfelds Parametereinstellungen geändert werden. Weitere Informationen zum Dialogfeld Parametereinstellungen finden Sie unter "Parametereinstellungen: Registerkarte Analoger Taster " im Abschnitt "Voreinstellungen".

Wenn PC-DMIS im aktuellen Werkstückprogramm vor dem TASTERLADEN-Befehl auf einen OPTIONSTASTER-Befehl trifft, werden bei der Kalibrierung die Werte des OPTIONSTASTER-Befehls verwendet. Wenn der OPTIONSTASTER-Befehl nicht vor dem TASTERLADEN-Befehl vorkommt, wird PC-DMIS die im PC-DMIS Einstellungseditor gespeicherten Standardwerte verwenden.

Bei den Versionen 3.25 sollten Sie einen solchen OPTIONSTASTER-Befehl einfügen, um sicherzustellen, daß die richtigen Werte im Kalibrierverfahren verwendet werden. Selbst wenn die zu verwendenden Parameter den regulären Standardwerten für das bestimmte KMG entsprechen, sollten Sie diese Werte trotzdem in einem OPTIONSTASTER-Befehl vorgeben, da die Version 3.25 die KMG-spezifischen Standardeinstellungen nicht automatisch ohne entsprechenden OPTIONSTASTER-Befehl verwendet.

In der Version 3.5+ müssen Sie die Standardmaschinenwerte nicht in einen OPTIONSTASTER-Befehl einfügen, da PC-DMIS automatisch auf die KMG-spezifischen Standardeinstellungen zugreift, wenn kein OPTIONSTASTER-Befehl gefunden wird. Die Standardparameter sind im ANALOG_PROBING-Abschnitt des PC-DMIS-Einstellungseditors gespeichert.

Wichtig: Die Verwendung des OPTIONSTASTER-Befehls könnte die Portabilität des Werkstückprogramms einschränken. Da PC-DMIS KMG-spezifische Daten im OPTIONSTASTER-Befehl verwendet, könnten Ungenauigkeiten auftreten, wenn Sie das Werkstückprogramm auf einem Computer mit einem anderen KMG ausführen. Solange Sie den OPTIONSTASTER-Befehl nicht wirklich benötigen (d.h. zur Messung eines sehr weichen Werkstücks), wird für diese Version allgemein von der Verwendung eines OPTIONSTASTER-Befehls abgeraten. PC-DMIS kann automatisch auf die Standardmaschinenwerte des PC-DMIS-Einstellungseditors zugreifen.

Änderung der Standard-Kalibrieralgorithmen

Der standardmäßige 3D-Kalibrieralgorithmus für den SP600 wurde auf Trax geändert. Sie können den Registrierungseintrag zur Steuerung dieses Werts unter der Überschrift OPTION im Eintrag UseTraxwithSP600 finden.

PC-DMIS setzt diesen Wert standardmäßig auf "1", was bedeutet, daß Trax der Standardalgorithmus ist. Natürlich können Sie frei experimentieren, welcher Algorithmus am besten für Ihre besondere Situation funktioniert.

Wird die Trax-Kalibrierung für den SP600 verwendet, wird die effektive durch diese Kalibrierung erzeugte Tastspitzengrößte vom Konstruktionswert abweichen.

Wird die Trax-Kalibrierung für analoge Taster anderen Typs als der SP600 auf KMGs aus Wetzlar verwendet, wird der Konstruktionswert der Tastspitze zugrundegelegt, da die Abweichung der Tastspitzengröße anders gehandhabt wird.

Kommt ein anderes Verfahren als die Trax-Kalibrierung zur Anwendung, wird der Konstruktionswert der Tastspitze zugrundegelegt.

Weitere Informationen zum PC-DMIS-Einstellungseditor finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Aufnehmen von zusätzlichen Mustermeßpunkten

Wenn PC-DMIS auf einem SP600 eine 3D-Kalibrierung für eine aktuelle Tastspitze durchführt, können Sie veranlassen, daß PC-DMIS zusätzliche "Mustermeßpunkte" aufnimmt. Danach werden erst die eigentlichen Meßpunkte aufgenommen, die der Bestimmung der Auslenkungsmatrix dienen.

Diese Mustermeßpunkte werden zur Erzielung hoher Genauigkeitsgrade benötigt. Außerdem verwendet PC-DMIS diese Mustermeßpunkte zur Berechnung des Mittelpunkts der Kalibrierkugel. Damit sollen jedoch nur die bei der Aufnahme nächsten Kalibriermeßpunkte verwendeten Zielkoordinaten adjustiert werden.

Bei Neuinstallationen von PC-DMIS ist diese Option Mustermeßpunkte nicht standardmäßig aktiviert. Sie werden durch eine Änderung der Registrierung über den PC-DMIS-Einstellungseditor aktiviert.

Folgende Registrierungseinträge wurden zur Steuerung dieser Mustermeßpunkte erzeugt. Sie finden Sie unter der Überschrift PROBECAL.

UseAnalogSampling=0
UseAnalogSampling=0
UseAnalogSampling=0
UseAnalogSampling=0
UseAnalogSampling=0
UseAnalogSampling=0
UseAnalogSampling=0

Die Werte für diese Einträge entsprechen den Standardwerten für den SP600 und werden im PC-DMIS-Einstellungseditor bei der erstmaligen Kalibrierung des SP600 festgelegt (wenn dies nicht bereits vorher erfolgt ist).

Setzen Sie den Eintrag UseAnalogSampling auf "Eins", um die Mustermeßpunkte zu aktivieren.

Bei der Aufnahme dieser Mustermeßpunkte wird PC-DMIS mindestens 4 Meßpunkte und 2 Ebenen verwenden (selbst wenn in den Einträgen "UseAnalogSamplingNumHits" und "UseAnalogSamplingNumLevels" niedrigere Werte eingestellt wurden). 4 Meßpunkte auf 2 Ebenen sind das, was für eine Besteinpassungs-Kugel benötigt wird.

Die Einträge "UseAnalogSamplingLongitudeStart" und "UseAnalogSamplingLatitudeEnd" entsprechen den Feldern Startwinkel 1 und Endwinkel 1 der Registerkarte Kugel im Dialogfeld Auto-Elemente.

The UseAnalogSamplingLatitudeStart and UseAnalogSamplingLatitudeEnd entries are the same as the Start Ang 2 and End Ang 2 boxes of the Auto Features dialog box.

Siehe auch "Erstellen einer Auto-Kugel" im Abschnitt "Erstellen von Auto-Elementen".

Weitere Informationen zum PC-DMIS-Einstellungseditor finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Wenn keine Mustermeßpunkte aufgenommen werden sollen

Wenn Sie keine hohen Genauigkeiten benötigen, könnte aus Zeitgründen der Wunsch bestehen, die Aufnahme von Mustermeßpunkten während der Kalibrierung zu deaktivieren. Hierzu setzen Sie den Eintrag "UseAnalogSampling" auf "Null" und speichern Sie Ihre Änderungen.

Es werden dann keine Mustermeßpunkte während der Kalibrierung aufgenommen.

Wichtig: Wenn Sie sich zur Deaktivierung der Mustermeßpunktaufnahme entschließen, sind vor der Kalibrierung und anschließenden Kontrollmessungen angemessene Tests durchzuführen, um sicherzustellen, daß die erzielten Genauigkeitsergebnisse Ihren Meßanforderungen genügen.


SP600-Kalibrierverfahren

Die folgenden Verfahren beschreiben, wie die Unter- und Oberschichtmatrizes Ihres SP600-Taster kalibriert werden.

Um in den folgenden Verfahren die beste Genauigkeit zu erzielen, ist eine Kalibrierkugel hoher Qualität zu verwenden. Das Kalibriernormal ist während des gesamten Kalibriervorgangs sehr sauber zu halten.

Siehe auch:

Durchführen einer Unterschichtmatrix-Kalibrierung

Durchführen einer Oberschichtmatrix-Kalibrierung


Durchführen einer Unterschichtmatrix-Kalibrierung

Die Unterschichtmatrix enthält die 3D- oder zentrierte Position des Tastereinsatzes. In den folgenden Fällen sollte die Unterschichtmatrix-Kalibrierung für den SP600 wiederholt werden:

  • immer dann, wenn der Tasterkopf entfernt wurde,
  • immer dann, wenn der Tasterkopf neu montiert wurde,
  • immer dann, wenn ein neuer SP600-Taster angehängt wurde,
  • immer dann, wenn der SP600 einen Schaden erlitten hat,
  • in regelmäßigen Intervallen, abhängig von Ihren besonderen Anforderungen.

Kalibrierverfahren:

  1. Öffnen Sie das Dialogfeld Taster Hilfsprogramme.

Display Menu Roadmap
Prüfen Sie, ob die von Ihnen benötigten Winkel in der Liste aktueller Tastspitzen" aufgeführt sind.

  3. Wählen Sie aus der Liste aktueller Tastspitzen den als Referenzposition verwendeten Winkel aus. In praktisch allen Fällen dürfte es sich dabei um den für die Z-Richtung verwendeten Winkel handeln. Sofern nicht ein Horizontalarm vorhanden ist, handelt es sich bei diesem Winkel in der Regel um die Tastspitze T1A0B0.
  4. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.
  5. Wählen Sie den Optionsschalter SP600 Untere Matrix im Bereich Durchzuführende Tätigkeit aus. Diese Option steht nur dann zur Auswahl, wenn Sie im Online-Betrieb arbeiten und den SP600 im Dialogfeld Taster Hilfsprogramme eingerichtet haben.
  6. Ändern Sie gegebenenfalls die Werte in den Feldern Vorhalte-/Rückfahrweg, Bewegungsgeschwindigkeit oder Meßgeschwindigkeit.
  7. Wählen Sie ein geeignetes Kalibriernormal aus der Liste verfügbarer Kalibriernormale aus.
  8. Klicken Sie auf die Schaltfläche Messen. PC-DMIS wird eine Warnmeldung mit der Information ausgeben, daß die KMG-spezifischen Parameter für die Unterschichtmatrix auf der Steuereinheit selbst geändert werden, wenn Sie fortfahren. Klicken Sie auf Ja, um die Kalibrierung fortzusetzen.
  9. PC-DMIS wird eine weitere Meldung mit der Frage einblenden, ob der Taster bewegt wurde. Klicken Sie auf Ja oder Nein.
  10. Als nächstes blendet PC-DMIS eine Meldung ein, die Sie auffordert, einen Meßpunkt vertikal zu dem Kalibriernormal aufzunehmen. Wenn Sie von der Z-Position aus arbeiten, nehmen Sie den Meßpunkt am höchsten Punkt des Kalibriernormals auf. Nach der Aufnahme dieses einen Meßpunkts, übernimmt PC-DMIS und beendet die Bestimmtung der Mitte des Kalibriernormals. Hierzu werden:
    • drei Meßpunkte um die Kugel herum und
    • 25 weitere Meßpunkte um die Kugel herum aufgenommen.
  11. Sobald PC-DMIS die Mitte des Kalibriernormals gefunden hat, beginnt die eigentliche Unterschichtmatrix-Kalibrierung. PC-DMIS nimmt automatisch 20 Meßpunkte (in einem Kreuzmuster 10 Meßpunkte in der einen Richtung und 10 Meßpunkte in der anderen Richtung) auf den Polen X+, X-, Y+, Y- und Z+ der Kalibrierkugel auf. So werden insgesamt 100 Meßpunkte aufgenommen. In der Regel dauert dieser Vorgang fünf bis zehn Minuten.
  12. PC-DMIS blendet dann neun Zahlen zusammen mit einer Meldung ein, in der Sie gefragt sind, ob diese Zahlen korrekt sind. Dabei handelt es sich um die Unterschichtmatrixwerte. Wenn die Kalibrierung mit dem Taster in Z-Richtung begonnen wurde, dann dürfte der ZZ-Wert (in der dritten Zeile und dritten Spalte) zwischen 0,14 und 0,16 liegen. Alle anderen Werte sollten bei etwa 0,1 oder niedriger liegen.
  13. Wenn die Werte korrekt sind, klicken Sie auf OK. PC-DMIS sendet einen Notausbefehl an das KMG und überschreibt die Unterschichtmatrixwerte auf der Steuereinheit dann durch diese neueren Werte. PC-DMIS blendet eine weitere Meldung mit der Aufforderung ein, das KMG zu starten.
  14. Betätigen Sie die Taste KMG-Start auf Ihrer Bedieneinheit.
  15. Klicken Sie im Meldungsfeld auf OK.

PC-DMIS zeigt abermals das Dialogfeld Taster-Hilfsprogramm an. Beachten Sie bitte, daß die ReferenzTastspitze in der Liste aktueller Tastspitzen nicht kalibriert ist. Die eigentlichen Tastspitzenwinkel werden nicht mit der Unterschicht-Kalibrierung kalibriert. Die Tastspitzenwinkel werden bei Durchführung der Oberschichtmatrix-Kalibrierung kalibriert.

Wichtig: Wenn Sie nicht über eine gute Unterschichtmatrix verfügen, werden in manchen Scanning-Routinen Probleme auftreten und das KMG könnte einige Scans möglicherweise nicht abschließen. Außerdem werden Sie Ungenauigkeiten feststellen.


Durchführen einer Oberschichtmatrix-Kalibrierung

Nachdem Sie die Kalibrierung der Unterschichtmatrix abgeschlossen haben, können Sie die reguläre Kalibrierung durchführen. Mit der Oberschicht-Kalibrierung werden die eigentlichen Tasterspitzen kalibriert. Außerdem wird eine andere Zahlenmatrix an die Steuereinheit gesendet, die auf Basis der aktuellen Tasterkonfiguration und –ausrichtung kleine Korrekturen vornimmt.

Zur Erzielung einer größeren Genauigkeit sollte PC-DMIS Tastermeßpunkte aufnehmen und einen kompletten Durchlauf um den Äquator der Kalibrierkugel herum messen. Wenn Sie einen guten Abdeckungswinkel auf der Kugel haben, werden Sie bessere Ergebnisse erhalten. Die Start- und Endwinkel für den Meßdurchlauf dem den Kugeläquator können durch diese Einstellungen im Abschnitt [ProbeCal] des PC-DMIS-Einstellungseditors gesteuert werden:

FullSphereAngleCheck=25.0
ProbeQualToolDiameterCutoff=18.0
ProbeQualLargeToolStartAngle1=50.0
ProbeQualLargeToolEndAngle1=310.0
ProbeQualSmallToolStartAngle1=70.0
ProbeQualSmallToolEndAngle1=290.0

Weitere Informationen zum Ändern von Registrierungseinträgen finden Sie im Abschnitt "Ändern von Registrierungseinträgen".

Kalibrierverfahren

Zur Durchführung einer Oberschichtmatrix-Kalibrierung gehen Sie vor wie folgt:

  1. Öffnen Sie das Dialogfeld Taster Hilfsprogramme.

Display Menu Roadmap
Klicken Sie auf die Schaltfläche Messen.

  3. Wählen Sie die Option Tastspitze kalibrieren im Bereich Durchzuführende Tätigkeit aus.
  4. Wählen Sie im Bereich Kalibriermethode die Methode Benutzerdefiniert aus. Da mit der Standardmethode nur Meßpunkte um den Durchmesser herum und ein Meßpunkt oben auf der Kalibrierkugel aufgenommen werden, ist die 3D-Relation des Tastermittelpunkts nicht sehr gut. Wenn Sie jedoch mit der Standardmethode kalibrieren wollen, sollten Sie die folgenden "Hinweise zum SP600-Standard(2D)-Kalibrierverfahren" gelesen haben.
  5. Geben Sie den Wert 3 in das Feld Anzahl der Ebenen ein. Sie können weitere Ebenen eingeben, sofern damit nicht die Anzahl der aufzunehmenden Meßpunkte überschritten wird. Als Mindestwert für die Ebenen sollte von jedoch "drei" eingegeben werden.
  6. Geben Sie den Wert 0 in das Feld Startwinkel ein.
  7. Geben Sie den Wert 90 das Feld Endwinkel ein.
  8. Geben Sie den Wert 25 in das Feld Meßpunkte ein. Sie können auch veranlassen, daß PC-DMIS nur 12 Meßpunkte aufnimmt. Allgemein empfiehlt es sich jedoch, 25 Meßpunkte aufzunehmen.
  9. Klicken Sie auf die Schaltfläche Messen, wenn der Vorgang gestartet werden kann.
  10. Wenn Sie die Option "Analoge Antastung" im PC-DMIS-Einstellungseditor aktiviert haben, wird PC-DMIS automatisch fünf Meßpunkte um die Kalibrierkugel herum aufnehmen, um die Mitte des Kalibriernormals besser zu definieren.
  11. Dann kalibriert PC-DMIS die AB-Winkelpositionen und überträgt die Zahlen der Oberschichtmatrix automatisch in die Steuereinheit. Diese Zahlen werden automatisch stimmen, wenn Sie die das Verfahren zur Unterschichtmatrix-Kalibrierung korrekt ausgeführt haben.

PC-DMIS zeigt abermals das Dialogfeld Taster-Hilfsprogramm an. Die aktuellen Tastspitzen sind nun kalibriert und Sie können damit beginnen, das Werkstückprogramm mit dem neu kalibrierten SP600-Taster zu programmieren.

Hinweise zum SP600-Standard(2D)-Kalibrierverfahren

Wenn Sie im Bereich Kalibriermodus die Auswahl Standard treffen, wird PC-DMIS fünf Meßpunkte in das Feld Anzahl der Meßpunkte einfügen. Wenn Sie das Kalibrierverfahren starten, wird PC-DMIS diese Meßpunkte auf den senkrecht zu der Tasterposition verlaufenden Achsen aufnehmen.

Vorsicht: Bitte beachten Sie, daß es bei der Kalibrierung von Tastspitzen mit einem A90-Winkel im Standard-Kalibriermodus dazu kommen kann, daß der Taster mit dem Schaft der Kalibrierkugel kollidiert. Dies gilt für Fälle, in denen der Schaft aus dem Boden der Kugel herauskommt (Schaftvektor 0, 0, 1). Der Grund ist, daß der Taster versucht, einen Meßpunkt in der Z-Position der Kugel aufzunehmen. Verwenden Sie einen abgeschrägten Schaft oder kalibrieren Sie keine Tastspitzen mit A90-Winkeln oder versuchen Sie, im Benutzerdefinierten Kalibriermodus zu arbeiten, um dieses Problem zu umgehen.


AutoKalibrieren Taster

PC-DMIS enthält einen Befehl, der den aktuellen Taster während der Ausführung des Werkstückprogramms automatisch kalibriert. PC-DMIS startet die Kalibrierung, wenn der Befehl ausgeführt wird.

Sie fügen diesen Befehl ein, indem Sie auf die Menüoption AutoKalibrieren Taster klicken (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Die im Bearbeitungsfenster für diesen Vorgang angezeigte Befehlszeile lautet:

AUTOM_KALIBRIEREN/TASTER, PARAMETERSATZ=, KALIBINSTR_BEWEGT=J/N, ÜBERSICHT_EINBLENDEN=J/N, ERGEBNISDATEI_ÜBERSCHREIBEN=J/N

PARAMETERSATZ= Dieses Feld gibt den Namen eines definierten Satzes an Tasterkalibrierungsparametern an. Es ist stets ein Satz mit der Bezeichnung ALL-TIPS-WITH-DEFAULTS (ALLE-TASTSPITZEN-MIT-STANDARD) verfügbar, der alle für den aktuellen Taster definierten Tastspitzen mit Hilfe der Standardkalibrierungsparameter kalibriert. Hierbei handelt es sich um die zuletzt interaktiv verwendeten Parameter. Informationen zum Erstellen Ihrer eigenen Parametersätze finden Sie unter "Parametersätze".

KALIBINSTR_BEWEGT= Mit diesem JA/Nein-Feld wird Ihre Antwort auf die Anfrage des Computers eingestellt, ob der Kalibriertaster bewegt wurde oder nicht.

ÜBERSICHT_EINBLENDEN= Mit diesem JA/Nein-Feld wird angegeben, ob PC-DMIS eine Zusammenfassung der Kalibrierung anzeigt oder nicht.

ERGEBNISDATEI_ÜBERSCHREIBEN= Mit diesem JA/Nein-Feld wird angegeben, ob PC-DMIS die in der Ergebnisdatei gespeicherten Informationen überschreibt oder weitere Informationen an die Datei anhängt. Hierbei handelt es sich um dieselbe Datei, auf die bei der interaktiven Kalibrierung Bezug genommen wird.

Wenn Sie in diesem Befehlssatz die F9-Taste drücken, können Sie den Abschnitt mit Hilfe der Dialogfelder Tastspitze kalibrieren oder Taster kalibrieren bearbeiten.

Sie können auch einen Befehl zum automatischen Kalibrieren von Mehrarmsystemen einfügen. Weitere Informationen finden Sie unter "Durchführen einer automatischen Kalibration" im Abschnitt "Arbeiten im Mehrarmbetrieb".

Siehe auch:

So lassen Sie eine einzelne Tastspitze automatisch kalibrieren


So lassen Sie eine einzelne Tastspitze automatisch kalibrieren

So lassen Sie eine automatische Kalibrierung der aktuellen Tastspitze durchführen:

  1. Stellen Sie sicher, daß in Ihrem Werkstückprogramm mindestens ein Kugelelement vorhanden ist. PC-DMIS benötigt für diesen Kalibriertyp ein Kugelelement.
  2. Öffnen Sie das Bearbeitungsfenster und versetzen Sie es in den Befehlsmodus.
  3. Wählen Sie in der Symbolleiste Einstellungen die zu kalibrierende Tastspitze aus. Im Bearbeitungsfenster wird ein neuer Befehl TASTSPITZE angezeigt. Stellen Sie sicher, daß dieser neue Befehl im Bearbeitungsfenster hinter dem Kugelelement angezeigt wird, das Sie für diese Kalibrierung verwenden.
  4. Rufen Sie für alle Zeilen, die auf den Befehl TASTSPITZE folgen, die Menüoption Einzelne Tastspitze auf (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
PC-DMIS fügt den Befehlssatz AKTIVE TASTSPITZE KALIBRIEREN MIT Element_ ID in das Bearbeitungsfenster ein.

  6. Klicken Sie auf eine beliebige Stelle in diesem Befehlssatz und drücken Sie F9. Das Dialogfeld Tastspitze kalibrieren wird angezeigt.
  7. Geben Sie das zu verwendende Kugelelement im Feld Kugelelement an.
  8. Wählen Sie aus der Liste Kalibriernormal das gewünschte Kalibriernormal aus.
  9. Wurde dieses Kalibriernormal seit der letzten Kalibrierung verschoben, aktivieren Sie das Kontrollkästchen Kalibriernormal wurde verschoben.
  10. Klicken Sie auf OK, um den Kalibrierbefehlssatz mit Ihren Änderungen zu aktivieren. Im nachfolgenden Beispiel wird im Befehlssatz angegeben, daß das Kalibriernormal den Namen MeinInstr trägt und daß SPH1 das für diese Kalibrierung zu verwendende Kugelelement ist.
AKTIVE TASTSPITZE KALIBRIEREN MIT Element-ID=SPH1, KALIBINSTR-ID=MEININSTR, BEWEGT=NEIN
Achse

THEO

MESS

ABW

STD-ABW

X

0.0000

8.0080

8.0080

Y

0.0000

1.0000

1.0000

Z

0.0000

0.9500

0.9500

DURCHM

2.0000

1.0000

1.0000

0.0000

  11. Markieren Sie diesen Befehlssatz und führen Sie das Werkstückprogramm aus. PC-DMIS kalibriert die aktuelle Tastspitze sobald dieser Befehlssatz erreicht wird.


Definieren von starren Tastern

Bei PC-DMIS haben Sie die Wahl zwischen einem starren (feststehenden) Taster oder einem schaltenden Tastsystem (TTP). Durch schaltende Taster (wie beispielsweise von Renishaw) meldet das KMG die Position, sobald der Taster mit dem Werkstück in Berührung kommt. Bei Auswahl eines STARREN Tasters erwartet PC-DMIS einen Taster, der bei Berührung des Werkstücks nicht automatisch reagiert.

Hinweis: Mit einem starren Taster können keine CNC -Kalibrierungen durchgeführt werden. Vergewissern Sie sich, daß der richtige Tastertyp ausgewählt wurde.


Definieren von Sterntastern

Mit PC-DMIS können Sie verschiedene unterschiedliche Sterntaster-Konfigurationen definieren, kalibrieren und einsetzen. Ein Sterntaster besteht aus einer Tastspitze, die senkrecht (in der Z-Richtung, wenn Sie einen Vertikalarm einsetzen) auf die KMG-Platte zeigt. Vier weitere Tastspitzen sind horizontal ausgerichtet, wie die folgende Abbildung zeigt:

Eine typische Sterntaster-Konfiguration

In diesem Abschnitt wird beschrieben, der Sterntaster aufgebaut wird.

Wichtig: Aufgrund der Tatsache, daß es viele unterschiedliche KMG-Typen und Armkonfigurationen gibt, wird in den folgenden Verfahren und Beispielen davon ausgegangen, daß Sie ein Standard-Vertikalarm-KMG verwenden, dessen Meßarm in Z-Richtung auf die KMG-Platte zeigt.

Siehe auch:

Aufbau des Sterntasters


Aufbau des Sterntasters

Sie können folgende Sterntaster-Konfigurationen aufbauen:

Anpaßbarer 5-Wege-Sterntaster Bei dieser Art von Sterntaster wird ein zentraler Würfel mit fünf Gewindebohrungen verwendet, in die verschiedene Tastspitzen eingeschraubt werden können.

Nicht-Anpaßbarer Sterntaster Dieser Typ Sterntaster verfügt nicht über ein anpaßbares 5-Wege-Zentrum. Obgleich er mit einem Würfel geliefert wird, gibt es keine Gewindebohrungen und die vier horizontalen Tastspitzen sind fest am Würfel installiert. Die horizontalen Tastspitzen haben alle dieselbe Größe.

Nachdem Sie Ihren Taster aufgebaut haben, sollten Sie ihn mit Hilfe der Schaltfläche Messen des Dialogfelds Taster-Hilfsprogramme kalibrieren. Weitere Informationen finden Sie unter Kalibrieren.

Siehe auch:

Aufbau eines anpaßbaren 5-Wege-Sterntasters

Aufbau eines vordefinierten Sterntasters


Aufbau eines anpaßbaren 5-Wege-Sterntasters

  1. Öffnen Sie das Dialogfeld Taster -Hilfsprogramme.

Display Menu Roadmap
Geben Sie im Feld Tasterdatei einen Namen für die Tasterdatei ein.

  3. Wählen Sie "Kein Taster definiert" im Bereich Tasterbeschreibung.
  4. Wählen Sie den Taster aus der Liste Tasterbeschreibung aus. In dieser Dokumentation wird der Taster PROBETP2 verwendet. Der Taster sollte etwa folgender Abbildung entsprechen:
  5. Blenden Sie die Tasteransicht durch einen Doppelklick auf die Verbindung PROBETP2 im Bereich Tasterbeschreibung aus und deaktivieren Sie das Kontrollkästchen Diese Komponente zeichnen.
  6. Wählen Sie Leere Verbindung Nr. 1 im Bereich Tasterbeschreibung.
  7. Wählen Sie den 5-Wege-Würfeleinsatz "EXTEN5WAY" aus der Liste Tasterbeschreibung aus. Fünf leere Verbindungen erscheinen im Bereich Tasterbeschreibung. Der Taster wird folgendermaßen dargestellt:
  8. Weisen Sie die für jede Leere Verbindung erforderlichen entsprechenden Tastspitzen und/oder Verlängerungen zu, bis Sie insgesamt fünf Tastereinsätze haben, wie im folgenden Beispiel:

    Es müssen nicht alle Verbindungen ausgestattet werden.
Die Leere Verbindung Nr. 1 zugewiesene Tastspitze weist in dieselbe Richtung wie der Arm, auf dem sie sitzt. Dies ist die Z-Richtung.

Die Leere Verbindung Nr. 2 zugewiesene Tastspitze weist in Richtung X+.

Die Leere Verbindung Nr. 3 zugewiesene Tastspitze weist in Richtung Y+.

Die Leere Verbindung Nr. 4 zugewiesene Tastspitze weist in Richtung X-.

Die Leere Verbindung Nr. 5 zugewiesene Tastspitze weist in Richtung Y-.

  9. Klicken Sie auf OK, um die Änderungen zu speichern oder auf Messen, um den Taster zu kalibrieren. Weitere Informationen zur Kalibrierung von Tastspitzen finden Sie unter Kalibrieren.

Vorsicht: Wird mit einem anpaßbaren 5-Wege-Sterntaster gemessen, der verschiedene Tastspitzengrößen aufweist, ist zu beachten, daß PC-DMIS diese Unterschiede anhand des Kugeldurchmessers der letzten Tastspitze kompensiert.


Aufbau eines vordefinierten Sterntasters

  1. Öffnen Sie das Dialogfeld Taster -Hilfsprogramme.

Display Menu Roadmap
Geben Sie im Feld Tasterdatei einen Namen für die Tasterdatei ein.

  3. Wählen Sie Kein Taster definiert im Bereich Tasterbeschreibung.
  4. Wählen Sie den Taster aus der Liste Tasterbeschreibung aus. In dieser Dokumentation wird der Taster PROBETP2 verwendet. Der Taster sollte etwa folgender Abbildung entsprechen:
  5. Blenden Sie die Tasteransicht durch einen Doppelklick auf die Verbindung PROBETP2 im Bereich Tasterbeschreibung aus und deaktivieren Sie das Kontrollkästchen Diese Komponente zeichnen.
  6. Wählen Sie Leere Verbindung Nr. 1 im Bereich Tasterbeschreibung.
  7. Wählen Sie entweder 2BY18MMSTAR oder 10BY6.5STAR aus. In dieser Dokumentation wird der 2BY18MMSTAR verwendet. Der Taster sollte etwa folgender Abbildung entsprechen:
  8. Wählen Sie für jeden der vier Einträge Leere Verbindung Nr. im Bereich Tasterbeschreibung vier Mal dieselben Tastspitzen aus, jeweils eine für jede horizontale Tastspitze. In diesem Fall sollten Sie entweder vier Mal TIPSTAR2BY30 oder TIPSTAR2BY18 auswählen. In dieser Dokumentation wird die TIPSTAR2BY30 verwendet.
  9. Klicken Sie auf OK, um die Änderungen zu speichern oder auf Messen, um den Taster zu kalibrieren. Weitere Informationen zur Kalibrierung von Tastspitzen finden Sie unter Kalibrieren.


Definieren von Maschinen

Die Menüoption Maschine zeigt das Dialogfeld KMG an.

Display Menu Roadmap
Der Benutzer kann mit Hilfe dieses Dialogfelds ein KMG wählen oder erstellen, das dann im Programmodus zusammen mit dem Taster im Grafikfenster angezeigt und animiert werden kann.

In diesem Dialogfeld wird anhand der Dateien "machine.dat" und "usermachine.dat" (die sich im Installationsverzeichnis von PC-DMIS befinden) eine Liste mit Maschinen erstellt.

  • In der Datei "machine.dat" sind Maschinenbeschreibungen enthalten, die von den PC-DMIS-Entwicklern erstellt wurden.
  • In der Datei "usermachine.dat" sind die Maschinenbeschreibungen zu allen vom Benutzer erstellten und gespeicherten Maschinen enthalten.

Wenn Sie in der Liste Maschinen Name einen Eintrag markieren, der sich in der Datei "machine.dat" befand, dann wird die Auswahl im Voransichtsbereich (leerer blauer Bildschirm) angezeigt.

Ist keine Datei namens "machine.dat" vorhanden, wird dem Benutzer in der Liste Maschinen Name nur der Eintrag Keine Maschine angezeigt.

Siehe auch:

Erstellen einer neuen Maschine zur Ansicht

Anzeige vorhandener Maschinen im Grafikfenster

Entfernen der animierten Maschine aus dem Grafikfenster


Erstellen einer neuen Maschine zur Ansicht

So erstellen Sie eine neue Maschine:

  1. Geben Sie den Namen für die Maschine in die Liste Maschinen Name ein.
  2. Wählen Sie den Maschinentyp aus Liste Maschinentyp aus.
  3. Legen Sie die Maschinenabmessungen durch Eingabe der Länge, Breite und Höhe der Achsen fest:
    • Definieren Sie die 1. Achse, indem Sie X, Y, oder Z aus der Liste 1. Achse auswählen. Geben Sie die Länge der Maschinenbasis in das Feld 1. Achse ein.
    • Definieren Sie die 2. Achse, indem Sie X, Y, oder Z aus der Liste 2. Achse auswählen. Geben Sie die Breite der Maschinenbasis in das Feld 2. Achse ein.
    • Definieren Sie die 3. Achse, indem Sie X, Y, oder Z aus der Liste 3. Achse auswählen. Geben Sie die Maschinenhöhe in das Feld 3. Achse ein.
  4. Geben Sie die Home-Position der Maschine ein, indem Sie die Werte im Bereich Nullposition eingeben.
  5. Klicken Sie auf die Schaltfläche Speichern. PC-DMIS fügt die neu erstelle Maschine in die Liste Maschinen Name ein.

Hinweis: Die Änderungen an der Datei "usermachine.dat" werden erst dann wirksam, wenn Sie auf Übernehmen oder OK klicken. Wenn Sie auf Abbrechen klicken, werden alle Änderungen ignoriert.

Siehe auch:

Zusätzliche Informationen zu den Maschinenachsen

Zusätzliche Informationen zu dem Bereich "Nullposition der Maschine"

Zusätzliche Informationen für das Erstellen von Mehrarm-KMGs


Zusätzliche Informationen zu den Maschinenachsen

Mit der 1. Achse wird die Länge der Maschinenbasis in der Bewegungsrichtung der Brücke (bei Brückenmaschinen) oder in der Bewegungsrichtung des vertikalen Schlittens (bei Horizontalarm-Maschinen) definiert. Bei den meisten Horizontalarm-Maschinen handelt es sich in der Regel um die X-Achse. Bei den meisten Vertikalarm-Maschinen handelt es sich entweder um die X- oder die Y-Achse.

Mit der 2. Achse wird die Basisbreite in der Bewegungsrichtung des Schlittens (bei Brückenmaschinen) oder in der Bewegungsrichtung des Arms (bei Horizontalarm-Maschinen) definiert. Bei den meisten Horizontalarm-Maschinen handelt es sich um die vertikale Z-Achse. Bei den meisten Vertikalarm-Maschinen handelt es sich entweder um die X- oder die Y-Achse. Es geht hierbei nicht um das Maschinenvolumen. Das Volumen definiert die Reichweite des Arms. Das Volumen der meisten Meßarm-Maschinen beträgt etwas mehr als 50 % der Breite.

Mit der 3. Achse wird die Höhe vom oberen Ende der Basis zur Unterseite der Brücke (bei Brückenmaschinen) oder die Länge der vertikalen Achse (bei Horizontalarm-Maschinen) definiert. Bei den meisten Brückenmaschinen handelt es sich um die vertikale Z-Achse. Bei den meisten Horizontalarm-Maschinen handelt es sich um die Y-Achse. Derzeit sind nur folgende Achskonfigurationen zulässig:

  • Allgemeine Brücke mit Y, X, Z oder X, Y, Z
  • Allgemeiner Meßarm mit X, Z, Y


Zusätzliche Informationen zu dem Bereich "Nullposition der Maschine"

Diese drei Felder definieren den Maschinennullpunkt. Die Werte x,y,z definieren die Position des Maschinennullpunkts. Die Mitte der Maschinenbasis befindet sich bei 0,0,0. Diese Koordinaten dienen jedoch bei den meisten Maschinen nicht zum Anzeigen des Maschinennullpunkts. Die Werte x,y,z sind von der Maschinenbasisposition 0,0,0 versetzt.

Betragen die Maschinenabmessungen beispielsweise 1000, 700, 700 und der aktuelle Maschinennullpunkt befindet sich oben links in der hinteren Ecke, beträgt der Maschinenversatz -350, 500 und 350 für die 1., 2. beziehungsweise 3. Achse.


Zusätzliche Informationen für das Erstellen von Mehrarm-KMGs

Sie können eine simulierte Doppelarmmaschine erstellen, um diese im Grafikfenster anzeigen zu lassen.

  1. Befolgen Sie PC-DMIS' Anweisungen zum Einrichten des Mehrarmbetriebs.
  2. Mehrarmbetrieb aktivieren Die Symbolleiste Aktuelle Arme wird angezeigt. Dadurch wird die Option Dual Horizontal Arm aus dem Bereich Maschinentyp aktiviert.
  3. Erstellen Sie ein Mehrarm-Werkstückprogramm
  4. Gehen Sie nach dem unter Erstellen einer neuen Maschine zur Ansicht beschriebenen Verfahren vor (stellen Sie sicher, daß Sie den Optionsschalter Dual Horizontal Arm aus dem Bereich Maschinentyp aktiviert haben).
  5. Im Grafikfenster sollte nun ein Doppelarm-KMG dargestellt werden, wenn Sie den Vorgang beendet haben.


Anzeige vorhandener Maschinen im Grafikfenster

Um eine Maschine im Grafikfenster anzeigen zu lassen, öffnen Sie das Dialogfeld Maschine, wählen Sie eine Maschine aus der Liste Maschinen Name und klicken Sie auf OK. Die grafische Darstellung der ausgewählten Maschine erscheint im Grafikfenster zusammen mit der CAD-Darstellung des Werkstücks.

PC-DMIS fügt auch einen MASCHINELADEN/NAME-Befehl in das Bearbeitungsfenster ein, wobei NAME dem Maschinennamen entspricht.

Siehe auch:

Herstellen einer Relation zwischen KMG und Werkstück


Herstellen einer Relation zwischen KMG und Werkstück

Es gibt zwei Möglichkeiten, um eine Relation zwischen dem KMG-Modell und dem CAD-Modell des Werkstücks herzustellen.

  1. Online-Modus – Die Elemente des Werkstücks müssen gemessen werden. Anschließend wird eine Ausrichtung konstruiert, die einen "CAD zu Werkstück"-Vorgang durchführt (Ausrichtungsoption CAD gleich Werkstück oder Option Iterative Ausrichtung unter Verwendung von CAD-Nennwerten). Weitere Informationen zu diesen Optionen finden Sie unter "Erstellen und Verwenden von Ausrichtungen".
  2. Offline-Modus – Über die Registerkarte Werkstück/KMG des Dialogfelds Setup-Optionen können Sie die erforderlichen X-,Y- und Z-Versätze und -Rotationen erstellen, um die richtige Ausrichtung zu erhalten. Siehe auch "Setup-Optionen: Registerkarte Werkstück/KMG" im Abschnitt "Voreinstellungen".


Entfernen der animierten Maschine aus dem Grafikfenster

Sie können die Grafikanzeige des KMGs jederzeit entfernen. Die Verfahren werden nachstehend beschrieben.

Siehe auch:

Den Eintrag "Keine Maschine" auswählen

Den Befehl MASCHINELADEN löschen

Die Maschine löschen


Den Eintrag "Keine Maschine" auswählen

Um die animierte Maschinendarstellung aus dem Grafikfenster durch Auswahl des Eintrags Keine Maschine zu entfernen, gehen Sie vor wie folgt:

  1. Öffnen Sie das Dialogfeld Maschine (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Wählen Sie Keine Maschine aus der Liste Maschinen Name.

  3. Klicken Sie auf Übernehmen oder OK. PC-DMIS entfernt die Anzeige der Maschine.


Den Befehl MASCHINELADEN löschen

Um die animierte Maschinendarstellung aus dem Grafikfenster durch Löschen des Befehls MASCHINELADEN zu entfernen, gehen Sie vor wie folgt:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Versetzen Sie PC-DMIS in den Übersichts- oder Befehlsmodus.
  3. Löschen Sie den kompletten Befehl MASCHINELADEN/. PC-DMIS entfernt die Anzeige der Maschine.


Löschen der Maschine

Um die animierte Maschinendarstellung aus dem Grafikfenster zu entfernen, indem die Maschine dauerhaft gelöscht wird, gehen Sie vor wie folgt:

  1. Öffnen Sie das Dialogfeld Maschine (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Wählen Sie die zu löschende Maschine aus der Liste Maschinen Name aus.

  3. Klicken Sie auf die Schaltfläche Löschen.
  4. Klicken Sie auf Übernehmen oder OK. PC-DMIS löscht die Maschine aus der Liste Maschinen Name und entfernt die Anzeige der Maschine. Damit wird die Maschine auch aus der Datei "usermachine.dat" gelöscht.

Hinweis: Die Änderungen an der Datei "usermachine.dat" werden erst dann wirksam, wenn Sie auf Übernehmen oder OK klicken. Wenn Sie auf Abbrechen klicken, werden alle Änderungen ignoriert.


Erstellung und Positionierung von Aufspannsäulen

Sobald Sie Ihr Aufspannsystem und die Art der zu verwendenden Säulen definiert haben, können Sie entsprechende Aufspannsäulen in PC-DMIS erstellen und positionieren.

Display Menu Roadmap
Über Menüoption Spannsystem wird das Dialogfeld Vorrichtung erstellen/ändern eingeblendet.

Über dieses mit Registerkarten versehene Dialogfeld können Sie die Säulen erstellen und korrekt positionieren, so daß sie mit dem Werkstück verbunden werden. Wenn Sie nach dem Laden oder Erstellen einer Spannvorrichtung auf OK oder Übernehmen klicken, fügt PC-DMIS einen LADEVORRICHTUNG-Befehl in Ihr Werkstückprogramm ein. Mit diesem Befehl wird die ausgewählte Vorrichtungsdefinition geladen und eingesetzt.

Eine Beschreibung des flexiblen Spannsystems und weitere Informationen zur Einrichtung des Spannsystems finden Sie unter "Einrichten flexibler Spannvorrichtungen" im Abschnitt "Voreinstellungen".

Bevor Sie eine Spannvorrichtung in PC-DMIS erstellen und positionieren, müssen Sie zuerst einen Taster definieren, der zu der Maschinenkonfiguration paßt, mit der Sie die Spannvorrichtung einsetzen werden.

Sobald die Befehle TASTERLADEN und TASTSPITZE im Bearbeitungsfenster erscheinen, können Sie Spannvorrichtungen erstellen.

Wichtig: Die Option System V muß in Ihrer Anschlußsperre programmiert sein, um mit CNC-Spannsystemen arbeiten zu können. Ebenso muß die Option 5 Unique programmiert sein, um mit Manuellen Spannsystemen arbeiten zu können.

Siehe auch:

Vorrichtungen erstellen/ändern Registerkarte "Säulenpunkte"

Vorrichtungen erstellen/verändern: Registerkarte "Optionen"


Vorrichtungen erstellen/verändern: Registerkarte "Säulenpunkte"

Display Menu Roadmap
Mit der Registerkarte Säulenpunkte kann eine Spannvorrichtung vollständig definiert und installiert werden. Hier haben Sie die Möglichkeit, Vorrichtungsdefinitionen zu erstellen und verwalten und Aufspannsäulen so zu positionieren, daß sie ihr Werkstück korrekt bei einer richtigen Messung halten.

Eine Standarddefinition für eine Vorrichtung enthält folgende Informationen:

  • Position der Säulenkontaktpunkte
  • Versatztyp und Informationen zum Modul
  • Datum der Erstellung und Änderung der Vorrichtung und Informationen zum Ersteller
  • Maschinenausrichtung

Verwenden Sie dieses Dialogfeld, um die unter den folgenden Themen beschriebenen Verfahren durchzuführen:

Siehe auch:

So erstellen Sie eine neue Vorrichtungskonfiguration

So definieren Sie Säulenpunkte

Anzeige oder Änderung einer vorhandenen Vorrichtungskonfiguration

So löschen Sie eine Vorrichtungskonfiguration

So überprüfen Sie eine Vorrichtungskonfiguration

So laden Sie eine Vorrichtungskonfiguration

So positionieren Sie Vorichtungselement auf dem Werkstück

Problembehandlung bei Säulenplazierung


So erstellen Sie eine neue Vorrichtungskonfiguration

  1. Zum Erstellen einer neuen Spannvorrichtung wählen Sie die Menüoption Aufspannung, um das Dialogfeld Vorrichtung erstellen/ändern zu öffnen.

Display Menu Roadmap
Wählen Sie die Registerkarte Säulenpunkte.

  3. Geben Sie das Feld Name den Namen des Vorrichtungsbereichs ein.
  4. Geben Sie Ihren Namen oder Ihre Bedienernummer in das Feld Erstellt durch ein.
  5. Klicken Sie auf die Schaltfläche Neu. Ihre Vorrichtungskonfiguration wird erstellt und der Liste Säulenbild hinzugefügt.
  6. Definieren Sie jeden Säulenpunkt, indem Sie die Informationen im Bereich Punkte eingeben. Siehe auch "So definieren Sie Säulenpunkte".
  7. Wenn Sie fertig sind und alle Säulenpunkte hinzugefügt haben, geben Sie die XYZ-Achsen des KMGs an, die den XYZ-Achsen des CAD-Modells entsprechen. Hierzu können Sie die Achsen aus den Listen CAD +X = Maschine, CAD +Y = Maschine, und CAD +Z = Maschine des Bereichs Maschinenausrichtung auswählen.
  8. Für jede CAD-Achse ist der entsprechende Versatz in den Feldern X-Versatz, Y-Versatz und Z-Versatz anzugeben. Die Versatzwerte basieren auf der Home-Position des KMGs. Wenn Sie nicht wissen, welcher Versatz anzuwenden ist, klicken Sie auf die Schaltfläche Mitte und PC-DMIS berechnet die Versatzwerte für Sie. Anhand dieser berechneten Versatzwerte können Sie Ihr Werkstück in der Mitte des Maschinenvolumens plazieren.
  9. Sobald Sie alle Elemente des Säulenbilds definiert haben, speichern Sie Ihre Änderungen, indem Sie auf Übernehmen klicken. Damit wird die Vorrichtungskonfiguration auf dem Server gespeichert und geprüft, um sicherzustellen, daß Sie für Ihr KMG zulässig ist.

Durch die Schaltfläche Übernehmen werden das Werkstückprogramm und das Grafikfenster mit der Spannvorrichtung aktualisiert. Diese Funktion unterscheidet sich von der Schaltfläche Speichern, durch die der Vorrichtungs-Server angewiesen wird, die Vorrichtungsdaten auf die Festplatte zu speichern. Sie könnten die Schaltfläche Speichern verwenden, wenn Sie gerade mehrere Spannvorrichtungen erstellen und diese nicht unbedingt im Werkstückprogramm benötigen.


So definieren Sie Säulenpunkte

In PC-DMIS können Sie die Positionen auf Ihrem Werkstück definieren, wo das Säulen-Endstück der Spannvorrichtung das Werkstück berührt. Diese werden als Säulenkontaktpunkte bezeichnet. Sie können eine Punktposition entweder durch Anklicken eines Elements mit der Maus oder durch manuelle Eingabe der Punktposition auswählen.

Diese Säulenpunkte werden als Auto-Elemente behandelt und die Regeln zur Verwendung und Erstellung von Auto-Elementen gelten hier ebenfalls. Weitere Informationen darüber, wie diese Elementtypen gemessen werden, finden Sie im Abschnitt "Erstellen von Auto-Elementen". Wird die Spannvorrichtung beispielsweise mit einem Aufspannstift am Werkstück angebracht, wählen Sie Kreis aus der Liste Element. PC-DMIS sucht dann zur Definition des Kreises, an dem Ihr Aufspannelelement befestigt wird, nach drei Mausklicken auf dem CAD-Modell.

So erstellen Sie einen neuen Säulenkontaktpunkt:

  1. Geben Sie den Namen für den Säulenpunkt in das Feld Name ein.
  2. Geben Sie den Elementtyp aus der Elementliste an. Dadurch wird der Elementtyp identifiziert, mit dem die Spannvorrichtung verbunden wird. Mögliche Elementtypen sind:
  • Oberflächenpunkt
  • Kantenpunkt
  • Kreis
  • Rechteckloch
  • Langloch
  • Kerbe
  3. Um eine Punktposition zu erstellen, klicken Sie entweder auf das CAD-Modell im Grafikfenster oder geben Sie die Punktposition in die erste Zeile der X-, Y- und Z-Felder (in den Werkstückkoodinaten) ein.
  4. Geben Sie den Vektor des von der Oberfläche in Richtung Modul oder Aufspannsäule wegweisenden Verbindungspunkts durch Eingaben in die Felder I, J und K an.
  5. Gegebenenfalls wählen Sie ein vorhandenes Modul aus der Modulliste aus. Anhand des Moduls wird die Art der Geometrie definiert, die auf der Aufspannsäule zur Verbindung der Säule mit dem Werkstück zu verwenden ist. Eine Ansicht des ausgewählten Moduls erscheint im Bereich Module Preview. Wenn ein neues Modul erstellt werden soll, muß es zuerst über die Registerkarte Module des Dialogfelds Vorrichtung einrichten erstellt werden. Informationen hierzu finden Sie unter "Vorrichtung einrichten: Module).
  6. Geben Sie die gemessenen Versatzwerte für das ausgewählte Modul in die zweite Zeile der Felder X, Y und Z ein.
  7. Wenn es sich bei dem Verbindungspunkt für das Modul um einen Kreis handelt, wählen Sie das Kontrollkästchen Kreis. Geben Sie dann den Wert für den Kreisdurchmesser in das Feld Kreis ein.
  8. Wählen Sie die Ausrichtung des Moduls aus der Liste Modulrichtung aus. Folgende Ausrichtungen stehen zur Auswahl:
    0X+
    1Y+
    2X-
    3Y-
    Damit wird die Ausrichtung (nicht notwendigerweise die Lage) der Modulrichtung im Maschinenreferenzsystem dargestellt. Es sei daran erinnert, daß PC-DMIS Werkstückkoordinaten für die Spannvorrichtung verwendet, die Module müssen jedoch im Maschinenreferenzsystem definiert werden. Daher müssen Sie auch die Modulausrichtung entsprechend ändern, wenn sich die Achsenzuordnung im unteren Teil des Säulenbild-Dialogfelds ändert.
  9. Klicken Sie auf die Schaltfläche Pkt. hinzufügen. PC-DMIS fügt den Punkt mit allen dazugehörigen Informationen in die Punktliste ein und entfernt sofort alle Informationen aus dem Bereich Punkte, so daß Sie weitere Punkte hinzufügen können.
  10. Wiederholen Sie dieses Verfahren solange, bis Sie alle gewünschten Säulenpunkte definiert haben.


Anzeige oder Änderung einer vorhandenen Vorrichtungskonfiguration

  1. Über Menüoption Vorrichtung wird das Dialogfeld Vorrichtung erstellen/ändern eingeblendet.

Display Menu Roadmap
Wählen Sie die Registerkarte Säulenpunkte.

  3. Wählen Sie eine Vorrichtungskonfiguration aus der Liste Säulenbild aus. Diese Liste enthält alle auf dem vorhandenen Vorrichtungs-Server vorhandenen Säulenbildkonfiguratioen. Die Angaben zu der ausgewählten Säulenbildkonfiguration erscheinen in der Registerkarte Säulenpunkte und PC-DMIS versieht das Feld Änderungsdatum mit dem aktuellen Datum.
  4. Nehmen Sie die erforderlichen Änderungen im Dialogfeld vor. Wenn ein Punkt bearbeitet werden muß, wählen Sie den Punktnamen aus der Liste aus und die dazugehörigen Informationen werden im Bereich Punkte eingeblendet. Die Schaltfläche Pkt. hinzufügen verändert sich nun in Punkt speichern. Ändern Sie die erforderlichen Punktangaben und klicken Sie dann auf Punkt speichern. Die Informationen in der Liste werden durch die neuen Daten aktualisiert. Um einen ausgewählten Punkt zu löschen, klicken Sie auf die Schaltfläche Punkt löschen.
  5. Wenn Sie es wünschen, geben Sie Ihren Namen oder Ihre Bediener-ID in das Feld Erstellt durch im Bereich Säulenbild ein. Dies ist ein einfacher Weg zu sehen, wer die Spannvorrichtung zuletzt verändert hat.
  6. Klicken Sie auf Übernehmen. PC-DMIS aktualisiert die Säulenbilddefinition auf dem Server. Es wurde bereits darauf hingewiesen, daß die Daten nur auf der Festplatte gespeichert werden, wenn Sie lediglich die Schaltfläche Speichern anklicken.

Hinweis: Wenn Ihr Werkstückprogramm einen LADEVORRICHTUNG/-Befehl enthält und Sie die Vorrichtung bearbeiten möchten, setzen Sie den Cursor auf den LADEVORRICHTUNG/-Befehl und drücken F9 auf Ihrer Tastatur. Das Dialogfeld Vorrichtung erstellen/ändern wird zusammen mit Ihrer Säulenbilddefinition eingeblendet.


So löschen Sie eine Vorrichtungskonfiguration

Durch dieses Verfahren wird eine Säulenbildkonfiguration vom Server gelöscht.

  1. Über Menüoption Vorrichtung wird das Dialogfeld Vorrichtung erstellen/ändern eingeblendet.

Display Menu Roadmap
Wählen Sie die Registerkarte Säulenpunkte.

  3. Wählen Sie das Säulenbild aus der Liste Säulenbild aus.
  4. Klicken Sie auf die Schaltfläche Löschen im Bereich Säulenbild.


So überprüfen Sie eine Vorrichtungskonfiguration

Durch dieses Verfahren wird ermittelt, ob eine Säule überhaupt auf den ausgewählten Säulenpunkt gesetzt werden kann. Auf diese Weise wird die Lage dieses Punktes überprüft und sichergestellt, daß eine darauf installierte Säule in das definierte Maschinenvolumen paßt und keine Kollisionen mit dem Werkstück oder anderen Spannvorrichtungen auftreten.

  1. Über Menüoption Vorrichtung wird das Dialogfeld Vorrichtung erstellen/ändern eingeblendet.

Display Menu Roadmap
Wählen Sie die Registerkarte Säulenpunkte.

  3. Wählen Sie das Säulenbild aus der Liste Säulenbild aus.
  4. Wählen Sie einen Säulenpunkt aus der Liste aus.
  5. Klicken Sie auf die Schaltfläche Prüfen. PC-DMIS blendet ein Meldungsfeld mit den Ergebnissen der Überprüfung ein.


So laden Sie eine Vorrichtungskonfiguration

Klicken Sie in der Registerkarte Säulenpunkte auf die Schaltfläche Laden, um eine vorhandene Vorrichtungskonfiguration auf den Vorrichtungs-Server zu laden. Nun erscheint das Dialogfeld Öffnen. Lassen Sie das Dialogfeld geöffnet und wählen Sie die Vorrichtungskonfiguration (eine Datei mit einer .fxt oder .flt-Erweiterung) und klicken Sie auf Öffnen.


So positionieren Sie die Spannsystemelemente auf dem Werkstück

Bevor Sie die Spannsystem-Elemente auf dem Werkstück positionieren können, müssen Sie das KMG zuerst vollständig im Grafikfenster definieren.

Gehen Sie nach dem folgenden Verfahren vor, um eine Säule auf einem ausgewählten Säulenpunkt zu positionieren.

  1. Vergewissern Sie sich, daß mindestens ein Säulenpunkt in der Registerkarte Säulenpunkte definiert ist.
  2. Wählen Sie Säulenpunkt aus.
  3. Klicken Sie auf die Schaltfläche Prüfen. Auf diese Weise wird die Lage dieses Punktes überprüft und sichergestellt, daß eine darauf installierte Säule in das definierte Maschinenvolumen paßt und keine Kollisionen auftreten. Ein Meldungsfeld mit entsprechenden Fehler- oder Erfolgsmeldungen erscheint. Wenn ein Fehler aufgetreten ist, finden Sie weitere Informationen unter "Problembehandlung bei der Säulenplazierung".
  4. Klicken Sie auf Übernehmen. In PC-DMIS ordnet die Säule dem Säulenpunkt zu und zeigt Sie im Grafikfenster an. PC-DMIS fügt an dieser Stelle auch einen LADEVORRICHTUNG-Befehl in das Bearbeitungsfenster ein, wie z. B.:
    LADEVORRICHTUNG/demo.FXT,LADEN,JA,T1A0B0,0.05,5
  5. Wiederholen Sie diese Vorgang für jeden Säulenpunkt, auf dem ein Säule plaziert werden soll.

Beispiel positionierter Spannsysteme

Im nachstehenden Beispiel werden vier Aufspannsäulen dargestellt, die mit dem Elementtyp "Oberflächenpunkt" an einer Motorhaube angebracht sind, und im Grafikfenster von PC-DMIS angezeigt werden.

Grafische Darstellung von vier flexiblen Spannvorrichtungen, die eine Motorhaube halten.


Problembehandlung bei der Säulenplazierung

Kollisionen:

Problem: PC-DMIS kann die angegebene Säule nicht plazieren, da es eine Kollision mit einer anderen Säule derselben Spannvorrichtung gibt. Wenn Sie nach der Warnmeldung fortfahren, werden Sie im Hauptgrafikfenster von PC-DMIS eine grafische Darstellung der kollidierenden Säulen sehen.

Lösung: Sie müssen die Position, an der die Spannvorrichtung gehalten wird, oder die Konfiguration des Moduls so ändern, daß keine Kollisionsgefahr mehr für die Säule besteht.+

Außerhalb des Maschinenvolumens:

Problem: Die Spannvorrichtung wird außerhalb des nutzbaren Spannsystemvolumens plaziert. Allgemein heißt das, daß ein Teil der Spannvorrichtung im Falle der Durchführung außerhalb der KMG-Meßplatte plaziert werden würde. Das Ergebnis wäre ein Fehler während der Ausführung oder ein Schaden an einer der Säulen oder dem KMG.

Lösung: So ändern Sie die mit dieser Spannvorrichtung verknüpften Versatzwerte. Hierzu gehen Sie zum Bereich Maschinenausrichtung der Registerkarte Säulenpunkte und ändern Sie die Werte in den Feldern X- und/oder Y-Versatz.


Vorrichtungen erstellen/verändern: Registerkarte "Optionen"

Display Menu Roadmap
Auf der Registerkarte Optionen können Sie erforderlichen Einstellungen zur korrekten Plazierung Ihres Spannsystems auf der KMG-Meßplatte definieren. Im Bereich Maschinengeschwindigkeit und Beschleunigung werden die Bewegungseigenschaften des KMGs angezeigt, wenn eine Säule auf die Meßplatte gestellt oder von dieser entfernt wird. Diese Eigenschaften beinhalten:

Maschinengeschwindigkeit und Beschleunigung – In diesem Bereich wird die KMG-Geschwindigkeit und Beschleunigung mit oder ohne Säulen angezeigt. Diese Werte können hier nicht bearbeitet werden. Sie können nur geändert werden, wenn Sie ein Benutzer mit durch den PC-DMIS Einstellungseditor zugewiesenen Administratorrechten sind.

Säulenplazierung – Dieser Bereich ermöglicht Ihnen eine größere Genauigkeit beim Säulenstellen. Ist eine höhere Genauigkeit erforderlich:

  1. Aktivieren Sie das Kontrollkästchen Iteriere beim Säulenstellen.
  2. Geben Sie in das Feld Iteriere max. bis die Anzahl der Versuche ein, die das KMG bei der Plazierung der Säule in der korrekten Position unternehmen soll.
  3. Geben Sie in das Feld Toleranz beim Säulenstellen die Anzahl der für die Plazierung akzeptablen Fehler ein.

Hinweis: Im Falle des Audi-Systems verwendet PC-DMIS auch die Funktion Toleranz beim Säulenstellen, um die Plazierung der Säulen zu verbessern. Immer, wenn das KMG eine Säule plaziert und mißt, verwendet PC-DMIS den Wert zur Korrektur der Versatzwerte des Greifers für diese Säule. PC-DMIS nutzt diese Funktion während der automatischen Säulenkalibrierung und beschleunigt damit das Säulenstellen.


Aufspannsäulen wiederherstellen

Über die Menüoption Säule bergen öffnet sich das Dialogfeld Säule wiederherstellen. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)

Display Menu Roadmap
Mit Hilfe dieses Dialogfelds können Sie eine Säule in ihrer korrekten Parkposition zurück in das Magazin stellen. Diese Funktion ist nützlich, wenn eine der Säulen aufgrund eines Maschinenfehlers oder –ausfalls nicht richtig plaziert wird. PC-DMIS kann die aktulle Position der betreffenden Säule neu erlernen.

Steuerelement | Beschreibung
Säulen-ID (Liste) | Über die ID-Liste können Sie die Säule auswählen, die zurück in das Magazin gestellt werden muß.
Garage Nr. (Feld) Im Feld Garage Nr. wird die Nummer der Garage angezeigt, in die die in der ID-Liste ausgewählte Säule gestellt wird. Allgemein werden diese beiden Einträge gleich sein. Wenn jedoch die Säulen-ID von der Nummer der für sie bestimmten Garage abweicht, wird die Garagennummer aus praktischen Gründen angezeigt.

Dieses Feld dient nur Anzeigezwecken. Sie können die Nummer der Garage, in die die Säule gestellt werden soll, nicht bearbeiten. Die Garagenposition für eine Säule können Sie über die Registerkarte System-Setup im Dialogfeld Vorrichtung erstellen/ändern ändern.
Schaltfläche Wiederherstellen Mit der Schaltfläche Wiederherstellen wird der Wiederherstellungsvorgang eingeleitet.
  1. Wählen Sie die richtige Säule aus der ID-Liste aus und verwenden Sie dann den manuellen Luftzuführer, um die Säule in die neutrale Zone vor Garage Nr. Eins zu bewegen.
  2. Klicken Sie auf die Schaltfläche Wiederherstellen.
  3. Folgen Sie den Bildschirmanweisungen, um die Säule erfolgreich in die richtige Garagenposition im Magazin zurückzustellen.

Wenn PC-DMIS den Wiederherstellungsvorgang abgeschlossen hat, können Sie eine weitere zu wiederherstellende Säule aus der ID-Liste auswählen, falls weitere Säulen geborgen werden müssen.
Schaltfläche Schließen | Mit der Schaltfläche Schließen wird das Dialogfeld Säule wiederherstellen geschlossen und das Setup des Säulenwiederherstellungsvorgangs abgebrochen.
Schaltfläche Säule freigeben | Über die Schaltfläche Säule freigeben wird das System veranlaßt, die Säule freizugeben, indem sich der Arm in Z+-Richtung von der Säule entfernt. Diese Schaltfläche steht nur im Audi CNC -Spannsystem zur Auswahl.
Greifer Ruhep. (Schaltfläche) | Über die Schaltfläche Greifer Ruhep. wird das System angewiesen, den Greifer in die Ruheposition zu bewegen. Diese Schaltfläche steht nur im Audi CNC-Spannsystem zur Auswahl.


Anzeige eines Animierten Tasterwechslers

In PC-DMIS können Sie eine animierte grafische Darstellung eines vordefinierten Tasterwechslers im Grafikfenster anzeigen lassen.

Hinweis: Informationen zur Definition eines Tasterwechsler finden Sie unter "Einrichten der Tasterwechsler-Optionen" im Abschnitt "Voreinstellungen".

Beispiel für die Anzeige eines animierten Tasterwechslers im Grafikfenster in der Z+-Ansicht (Bild oben) und der X+-Ansicht (Bild unten).

Über das Dialogfeld Animierter Tasterwechsler können Sie die Position und Ausrichtung des Tasterwechslers vorgeben. Öffnen Sie dieses Dialogfeld durch Auswahl des Menüeintrags Animierter Tasterwechsler. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)

Display Menu Roadmap
Die Einträge dieses Dialogfelds werden unter dem nachstehend beschriebenen Verfahren So zeigen Sie den Tasterwechsler im Grafikfenster an: erläutert.

Siehe auch:

So zeigen Sie den Tasterwechsler im Grafikfenster an:

So löschen Sie den Tasterwechsler aus dem Grafikfenster:


So zeigen Sie den Tasterwechsler im Grafikfenster an:

  1. Öffnen Sie das Dialogfeld Animierter Tasterwechsler. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)

Display Menu Roadmap
Wählen Sie einen vorhandenen vordefinierten Tasterwechsler aus der Liste Aktueller Tasterwechsler aus. Wenn keine Tasterwechsler in dieser Liste aufgeführt sind, können Sie selbst einen Tasterwechsler definieren. Informationen hierzu finden Sie unter "Einrichten der Tasterwechsler-Optionen" im Abschnitt "Voreinstellungen".

  3. Definieren Sie die Position und Ausrichtung des Tasterwechslers. Hierzu können Sie entweder die Kalibrierdaten für die Position und Ausrichtung verwenden oder die XYZ-Position und –Ausrichtung direkt im Dialogfeld angeben.

    Wenn die Kalibrierdaten verwendet werden sollen, aktivieren Sie das Kontrollkästchen Verwende Daten vom Einmessen. PC-DMIS setzt die XYZ-Werte der Kalibrierung automatisch in die Positionsfelder ein.

    Um die Position und Ausrichtung direkt einzugeben, geben Sie die Werte in die Felder X, Y und Z ein und wählen Sie dann die Ausrichtung aus der gleichnamigen Liste.

  4. Klicken Sie auf Übernehmen. PC-DMIS zeichnet den animierten Tasterwechsler in der vorgegebenen Position und Ausrichtung im Grafikfenster . PC-DMIS fügt den Befehl TASTERWECHSLERLADEN in das Bearbeitungsfenster ein.
  5. Klicken Sie auf OK, wenn Sie mit der Ausrichtung und Position zufrieden sind.


So löschen Sie den Tasterwechsler aus dem Grafikfenster

Öffnen Sie das Bearbeitungsfenster und löschen Sie den Befehl TASTERWECHSLERLADEN. Damit wird nicht der vordefinierte Tasterwechsler gelöscht, sondern nur die animierte Darstellung im Grafikfenster.


Creating Auto Features

Unterstützte "Einzelklick"-Auto Elemente

Häufig verwendete Optionen im Dialogfeld "Auto. Elemente"

Erstellen eines Auto-Vektorpunkts

Erstellen einer Auto-Linie

Erstellen einer Auto-Ebene

Erstellen eines Auto-Kreises

Erstellen einer Auto-Ellipse

Erstellen einer Auto-Kerbnut

Erstellen eines Auto-Langlochs

Erstellen eines Auto-Winkelpunkts

Erstellen eines Auto-Eckpunkts

Erstellen eines Auto-Kantenpunkts

Erstellen eines Auto-Extrempunkts

Erstellen eines Auto-Oberflächenpunkts

Erstellen eines Auto-Rechtecklochs

Erstellen eines Auto-Zylinders

Creating an Auto Cone

Erstellen einer Auto-Kugel

Einrichten einer relativen Messung


Erstellen von Auto-Elementen: Einführung

In PC-DMIS können Sie auf CNC(Computer Numerical Control)-Funktionen zugreifen, wenn ein automatisches KMG (Koordinatenmeßgerät) eingesetzt wird. Diese Funktionen ermöglichen Ihnen das Erstellen jedes beliebigen CNC-Elements über das Dialogfeld Auto Elemente (unter "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

PC-DMIS enthält eine Bibliothek von Funktionen, die das Messen von Blechwerkstücken erleichtern. Diese Optionen stehen als Zusatzoption zur PC-DMIS-Basis-Software für geometrische Messungen zur Verfügung. Der Zugriff auf diese Optionen erfolgt über die Auswahl der entsprechenden Menüoption aus der Menüleiste.

Über das Untermenü Auto haben Sie Zugriff auf verschiedene Meßroutinen, die speziell für Blech bzw. dünnwandige Werkstoffe entwickelt wurden.

Display Menu Roadmap
In diesem Abschnitt werden folgende Themen behandelt:

  • Unterstützte "Einzelklick"-Auto Elemente
  • Häufig verwendete Optionen im Dialogfeld "Auto. Elemente"
  • Erstellen eines Auto-Vektorpunkts
  • Erstellen einer Auto-Linie
  • Erstellen einer Auto-Ebene
  • Erstellen eines Auto-Kreises
  • Erstellen einer Auto-Ellipse
  • Erstellen einer Auto-Kerbnut
  • Erstellen eines Auto-Langlochs
  • Erstellen eines Auto-Winkelpunkts
  • Erstellen eines Auto-Eckpunkts
  • Erstellen eines Auto-Kantenpunkts
  • Erstellen eines Auto-Extrempunkts
  • Erstellen eines Auto-Oberflächenpunkts
  • Erstellen eines Auto-Rechtecklochs
  • Erstellen eines Auto-Zylinders
  • Erstellen einer Auto-Kugel
  • Erstellen eines Auto-Kegels
  • Einrichten einer relativen Messung

Siehe auch:

Kästchenauswahl für Auto-Element-IDs


Kästchenauswahl für Auto-Element-IDs

PC-DMIS bietet die Möglichkeit der "Kästchenauswahl" für Element-IDs, so daß sich Auto-Elemente, die mit Hilfe der Kästchenauswahl aus zwei Gruppen ausgewählt wurden, nun überschneiden können. Durch diese Funktionalität wird die Auswahl mehrerer dreidimensionaler Objekte wesentlich vereinfacht. Wurden außerdem einige CAD-Objekte durch Kästchenauswahl ausgewählt und wird danach ein weiteres CAD-Objekt mit einer anderen Methode gewählt, werden die in der Kästchenauswahl enthaltenen Objekte zusätzlich zur Einzelauswahl zu permanent ausgewählten Objekten.

So wählen Sie eine Elementgruppe per "Kästchenauswahl" aus:

  1. Öffnen Sie das Dialogfeld Auto Elemente.

Display Menu Roadmap
Setzen Sie den Mauszeiger bei geöffnetem Dialogfeld Auto Elemente an die Stelle, wo eine Ecke des zu zeichnenden Kästchenrahmens liegen soll (dort, wo sich die Elemente befinden, die Sie auswählen wollen).

  3. Halten Sie die linke Maustaste gedrückt.
  4. Ziehen Sie den Mauszeiger über das Grafikfenster, bis die gewünschten Elemente innerhalb des "Kästchens" liegen. PC-DMIS zeichnet den Kästchenumriß auf den Bildschirm, während Sie die Maus bewegen.
  5. Lassen Sie die linke Maustaste los, wenn das "Kästchen" alle gewünschten Elemente umfaßt. PC-DMIS hebt alle darin liegenden Elemente hervor und listet sie in einem separaten Feld in einer Elementliste auf.
  6. Wiederholen Sie den Vorgang, um eine weitere Elementgruppe auszuwählen.

Beispiel: Wenn Sie bei der ersten Kästchenauswahl vier Kreise auswählen und bei der zweiten Kästchenauswahl die letzten beiden der zuvor ausgewählten vier Kreise auswählen, wird die Auswahl der ersten beiden Kreise automatisch wieder aufgehoben, und nur die letzten beiden Kreise (der Schnittpunkt der beiden Gruppen) bleiben ausgewählt.

Siehe auch:

Kästchenauswahl zur Bestimmung von Vektoren für Vektor- und Oberflächenpunkte


Kästchenauswahl zur Bestimmung von Vektoren für Vektor- und Oberflächenpunkte

Sie können per Kästchenauswahl auch eine Gruppe von Punkten auswählen, die Teil eines CAD-Modells sind und PC-DMIS veranlassen, eine bestimmte Methode zur Bestimmung ihrer Vektoren zu verwenden. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Auto Elemente.

Display Menu Roadmap
Wählen Sie entweder das Auto-Element Vektor- oder Oberflächenpunkt aus der Liste aus.

  3. Wählen Sie per Kästchenauswahl einen oder mehrere Punkte aus dem CAD-Modell im Grafikfenster aus. Das Dialogfeld CAD-Auswahl erscheint und zeigt die Anzahl der ausgewählt Punkte an.
  4. Wählen Sie im Bereich Benutze Vektor die Methoden aus, die PC-DMIS zur Bestimmung der Vektoren für die ausgewählten Punkte verwenden soll. Bei Auswahl des Kontrollkästchens Pfeile anzeigen wird PC-DMIS farbige Pfeile einblenden, welche die Richtung der Vektoren unter Anwendung folgender Methoden anzeigen:
    • Arbeitsebene: Bei dieser Methode wird der Vektor der derzeit aktiven Arbeitsebene als Vektor für jeden Einzelpunkt verwendet.
    • Zuletzt benutzter: Bei dieser Methode wird der letzte Vektor verwendet, der im Dialogfeld für das Auto-Element eingefügt wurde. Auf diese Weise können Sie einen Vektor zur Verwendung für alle ausgewählten Punkte angeben.
    • Aus CAD: Bei dieser Methode wird der durch den CAD-Punkt vorgegebene Vektor genutzt. Diese Methode steht zur Verfügung, wenn jeder Punkt Vektordaten aufweist.
    • Vektor suchen: Bei dieser Methode wird der Vektor anhand von CAD-Oberflächendaten ermittelt, die dem Punkt am nächsten liegen. Diese Methode steht zur Verfügung, wenn Oberflächendaten vorhanden sind.
  5. Klicken Sie auf OK, wenn Sie fertig sind. PC-DMIS schließt das Dialogfeld CAD-Auswahl und erzeugt für jeden per Kästchenauswahl gewählten Punkt das erforderliche Auto-Punktelement. Der Vektor wird anhand der von Ihnen ausgewählten Methode ermittelt.


Häufig verwendete Optionen im Dialogfeld "Auto Elemente"

Der Taster gilt beim Öffnen einer der Registerkarten für automatische Elemente (verfügbar im Dialogfeld Auto Elemente) als aktiv ("live"). Das bedeutet, daß PC-DMIS feststellen kann, wenn der Taster umgelenkt wird. Stellt PC-DMIS eine Tasterumlenkung fest, wird angenommen, daß das derzeit im Dialogfeld definierte Element gemessen wird. Im Meldungsfeld werden die entsprechenden Eingabeaufforderungen angezeigt, so daß ggf. die übrigen Meßpunkte erfaßt werden können, die erforderlich sind, um die Messung des definierten Elements abzuschließen. Klickt der Benutzer andererseits auf die CAD-Daten, während das Dialogfeld Auto Elemente geöffnet ist, geht PC-DMIS davon aus, daß die derzeit definierte Funktion erlernt wird.

Bei den Messungen für Auto-Elemente stehen die nachstehenden Funktionen zur Auswahl.

Hinweis: Einige der Dialogfeldeinträge, vor allem die im Bereich Definitionsoptionen, sind nur dann verfügbar, wenn Sie die erweiterten Blechoptionen ansehen. Zum Anzeigen der erweiterten Blechoptionen müssen Sie das Kontrollkästchen Erweiterte Blechoptionen einblenden im Dialogfeld Setup-Optionen aktivieren.

Siehe auch:

Meßeigenschaften (Bereich)

Bereich "Lage"

Bereich "Meßpunkte"

Bereich "Eigenschaften"

Bereich "Richtungs-Vektoren"

ID-Feld

Bereich "Verschiedenes"

Bereich "Auto"

Bereich "Definitionsoptionen"

Schaltflächen "Erweitert/Grundfunktionen"

Schaltfläche "Zeige Punkte"

Schaltfläche "Erstellen" für Auto-Elemente


Bereich "Meßeigenschaften"

Im Bereich Meßeigenschaften des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde.

Hinweis: Zum Bereich Meßeigenschaften gehören auch die Bereiche Lage, Eigenschaften und Richtungs-Vektoren. Siehe auch Bereich "Lage", Bereich "Eigenschaften" und Bereich "Richtungs-Vektoren".

Siehe auch:

Liste "Auto-Elementtyp"

Kontrollkästchen "Sicherheitsebene"

Kontrollkästchen "Messen"

Liste "Elementtyp"


Liste "Auto-Elementtyp"

Über die Liste Auto-Elementtyp können Sie auf das Dialogfeld für das ausgewählte Auto-Element zugreifen. Folgende Auto-Elementtyp werden aufgeführt:

  • Vektorpunkt
  • Linie
  • Ebene
  • Kreis
  • Ellipse
  • Kerbe
  • Langloch
  • Winkelpunkt
  • Eckpunkt
  • Kantenpunkt
  • Extrempunkt
  • Oberflächenpunkt
  • Rechteckloch
  • Zylinder
  • Kugel
  • Kegel


Kontrollkästchen "Sicherheitsebene"

Das Kontrollkästchen Sicherheitsebene zeigt die aktuellen Einstellungen der Sicherheitsebene an. Wenn dieses Kontrollkästchen aktiviert ist, fügt PC-DMIS vor dem ersten automatischen Meßpunkt eine SICHERHEITSEBENENBEWEGUNG (relativ zum aktuellen Koordinatensystem und dem Nullpunkt des Werkstücks) ein. Nachdem der letzte Meßpunkt auf dem Element gemessen wurde, verbleibt der Taster auf Tastertiefe, bis er zum nächsten Element geschickt wird. Die Verwendung von Sicherheitsebenen reduziert die Programmierzeit, da weniger Zwischenbewegungen definiert werden müssen (Weitere Einzelheiten zu Sicherheitsebenen finden Sie unter "Sicherheitsebene" im Abschnitt "Voreinstellungen".)

Wenn das Kontrollkästchen Sicherheitsebene markiert ist, fügt PC-DMIS vor dem Element den Befehl BEWEGEN/SICHERHEITSEBENE ein.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
BEWEGEN/SICHERHEITSEBENE

Hinweis: Bei der Aufnahme von Stützpunkten werden keine Sicherheitsebenen verwendet. Daher ist es beim Messen von Stiftbolzen wichtig, den Abstandswert auf eine Entfernung einzustellen, die es dem Taster ermöglicht, sich um den Bolzen herum zu bewegen.


Kontrollkästchen "Messen"

Mit dem Kontrollkästchen Messen können Sie den Meßvorgang starten. Wenn Sie dieses Kontrollkästchen markieren, mißt PC-DMIS das Werkstück auf Grundlage der Werte, die im Dialogfeld nach Auswahl der Schaltfläche Erstellen angegeben sind.


Liste "Elementtyp"

Über die Liste Elementtyp können Sie einen genaueren Untertypus des Elements, das Sie erstellen, bestimmen. Diese Funktion gilt nur für die folgenden Elemente:

Für Vektorpunkte: Sie können EINZELPUNKT oder SCHWERPUNKT aus dieser Liste auswählen.

Für Kantenpunkte: Diese Option ist derzeit nicht verfügbar.

Für Kreise: Diese Liste findet bei Elementen Verwendung, die mit CMT-Tastern gemessen wurden.

Für Rechtecklöcher: Diese Option ist derzeit nicht verfügbar.


Bereich "Lage"

Im Bereich Lage des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

XYZ-Punktfelder

XYZ-Start-/Endpunktfelder

XYZ-Mittelpunkt-Felder

Optionen "Polar/Kart."

Schaltfläche "Suchen"

Schaltflächen "Lese Pos./Position lesen"


XYZ-Punktfelder

In den Feldern XYZ-Punkt werden die X-, Y- und Z-Nennwerte für die Position der Elemente Vektorpunkt, Oberflächenpunkt, Kantenpunkt, Winkelpunkt und Eckpunkt angezeigt.

Nach Erstellung eines neuen Werts zeichnet PC-DMIS den animierten Taster an der neuen Position. Diese Position zeigt an, wo der Meßpunkt am Werkstück aufgenommen werden wird.

Bei einem Extrempunktelement zeigen die XYZ-Punktfelder die X-, Y- und Z-Nennwerte für den Startpunkt an.

Nach Erstellung eines neuen Werts zeichnet PC-DMIS den animierten Taster an der neuen Position. Diese Position bezeichnet die Startposition für die Suche. Nach beendigter Ausführung enthält der XYZ-Punkt den Extrempunkt der aktuellen Arbeitsebene. Bei weiteren Ausführungen wird jedoch der ursprüngliche Startpunkt für die Suche verwendet.


XYZ-Start-/Endpunktfelder

In den Feldern XYZ-Start- und XYZ-Endpunkt werden die Start- und Endpunkte für ein Auto-Linienelement angezeigt. Sie können die Schaltflächen Lese Pos. anklicken, um die XYZ-Position des aktuellen Tasters zu erhalten. Oder Sie nehmen einfach Meßpunkte auf dem Werkstück auf, um die Werte für den Start- und Endpunkt anzuzeigen. Beachten Sie bitte, daß die Endfelder nur dann eingeblendet werden, wenn Sie im Bereich Typ die Option Begrenzt ausgewählt haben.

Siehe auch den Abschnitt "Begrenzter/Unbegrenzter Typ".


XYZ-Mittelpunkt-Felder

Diese XYZ-Mittelpunkt-Felder zeigen die X-, Y- und Z-Nennwerte für die Elementposition an.

So ändern Sie einen Nennwert:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.

Nach Erstellung eines neuen Werts zeichnet PC-DMIS den animierten Taster an der neuen Position. Diese Position ist der Mittelpunkt des Elements.

Im Falle einer Kerbe stellt diese Position den Kerbenmittelpunkt auf der nicht-parallelen Seite dar.

Hinweis für Zylinder: Wenn ein Zylinder als Loch definiert ist, muß der Mittelpunkt oben auf dem Zylinder definiert werden. Wenn der Zylinder dagegen als Bolzen definiert ist, muß der Mittelpunkt unten am Zylinder definiert werden.


Optionen "Polar/Kartesisch"

Durch das Anklicken dieser Optionsschalter kann zwischen Kartesisch oder Polarumgeschaltet werden. Damit wählen Sie das Koordinatensystem aus, in dem die Punkt- oder Mittenwerte für das Auto-Element angezeigt werden. Im Modus Kartesich werden die Werte als XYZ angezeigt. Im Modus Polar werden die Werte als Radius, Winkel und Höhe angezeigt (im Dialogfeld als R, A und H dargestellt). Die Höhe hängt dabei von der aktuell verwendeten Arbeitsebene ab. Ist die aktuelle Arbeitsebene ZPLUS, steht der Wert Z für die Höhe.


Schaltfläche "Suchen"

Mit der Schaltfläche Suchen können Sie basierend auf XYZ-Punktfeldern das nächstliegende CAD-Element in der CAD-Zeichnung suchen. Dabei können Sie die gewünschten Informationen entweder eingeben oder auf der Oberfläche auswählen.

Wenn Sie auf die Befehlsschaltfläche Suchen klicken, bewegt sich PC-DMIS entlang der gewählten Achse, bis es auf das nächste CAD-Element stößt. Dann setzt es den Wert der Achse an der Schnittstelle mit dem CAD-Element in das entsprechende Punktfeld ein. Dies wird durch Bestimmung aller Oberflächen in den CAD-Daten und Beibehalten des Punkts erreicht, der am nächsten zu den Eingabenwerten für XYZ liegt. Der Punkt XYZ und der vertikale Oberflächenvektor IJK werden im Dialogfeld angezeigt.

Eingabemethode Bei der Eingabemethode können Sie zwei Achsen eingeben und das Kontrollkästchen der Achse markieren, die PC-DMIS nach dem nächstgelegenen CAD-Element absuchen soll.

Vorgehensweise:

  1. Geben Sie die Werte für alle drei Achsen ein.
  2. Wählen Sie das Kontrollkästchen der Achse, an der Sie das nächste CAD-Element suchen.
  3. Klicken Sie auf die Schaltfläche Suchen.

Hierbei ist es wichtig, einen Wert einzugeben, der in der Nähe des gesuchten CAD-Elements liegt.
Oberflächenauswahlmethode Mit der Oberflächenauswahlmethode können Sie eine CAD-Oberfläche mit Hilfe der Maus auswählen. Diese Oberfläche liefert dann die erforderlichen Werte für die XYZ-Punktfelder.

Vorgehensweise:

  1. Wählen Sie die CAD-Oberfläche mit der linken Maustaste aus. PC-DMIS setzt die XYZ-Werte automatisch in das Dialogfeld ein.
  2. Ändern Sie gegebenenfalls die XYZ-Werte ab.
  3. Aktivieren Sie das Kontrollkästchen für die zu suchende Achse.
  4. Klicken Sie auf die Schaltfläche Suchen.

Im Dialogfeld werden die Punkt- und Vektorwerte angezeigt, wenn die Eingabedaten die Oberfläche durchstoßen.


Schaltfläche "Position lesen"

Über die Schaltflächen Position lesen oder Lese wird die Position des Tasters automatisch abgelesen und die Positionsdaten werden in die XYZ-Felder des Elements eingegeben.


Erstellen von Auto-Elementen - Häufig verwendete Optionen im Dialogfeld "Auto Elemente" - Bereich "Meßpunkte"

Bereich "Meßpunkte"

Im Bereich Meßpunkte des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

Listen "Erste" und "Perm"

Feld "Abstandswert"

Felder "Einzug"

Feld "Tiefe"

Feld "Anz. Meßpunkte"

Kontrollkästchen "Messe Breite"


Listen "Erste" und "Perm."

In den Listen Erste und Perm. können Sie die Anzahl der Stützpunkte bestimmen, die für das Auto-Element aufgenommen werden. Diese Meßpunkte werden verwendet, um die Ebene rund um die Nennpunktposition zu messen.

  • Die ersten Stützpunkte werden ausschließlich bei der ersten Messung des Elements aufgenommen.
  • Die permanenten Stützpunkte werden für alle nachfolgenden Messungen verwendet.

In der nachfolgenden Tabelle werden die Auto-Elemente aufgelistet, für die Stützpunkte erforderlich sind. Außerdem wird beschrieben, wie die Stützpunkte bei der Messung des jeweiligen Elements verwendet werden.

Auto-Element Beschreibung der Stützpunkte
Oberflächenpunkt Die einzig gültigen Eingaben sind 0 und 3.
  • Wird hier als Anzahl 0 eingestellt, mißt PC-DMIS den Punkt am angegebenen theoretischen Antastvektor.
  • Wird hier als Anzahl 3 eingestellt, mißt PC-DMIS eine Ebene um die Nennpunktposition herum und verwendet den vertikalen Oberflächenvektor der drei aufgenommenen Meßpunkte für das Antasten an die theoretische Punktposition.
Kantenpunkt Jeder Wert zwischen Null und Fünf kann verwendet werden. Die Anzahl der permanenten Stützpunkte darf jedoch nicht größer als die Anzahl der ersten Stützpunkte sein.

PC-DMIS mißt den Punkt anhand des eingegebenen Werts:

  • 0, dann mißt PC-DMIS den Punkt an den angegebenen theoretischen Antastvektoren und vertikalen Vektoren.
  • 1, dann mißt PC-DMIS den Punkt auf der vertikalen Oberfläche. Die Kantenmessung wird dann durch diesen Punkt auf die theoretische Oberfläche projiziert. Alle über TIEFE= bestimmten Werte werden von diesem Punkt aus versetzt.
  • 2, dann nimmt PC-DMIS zwei Stützpunkte an der Kante entlang der angegebenen theoretischen Antastrichtung auf und verwendet diese Stützpunkte dann zur Berechnung eines neuen Antastvektors für die tatsächliche Punktmessung entlang der Kante.
  • 3, dann mißt PC-DMIS den Punkt mit einer Kombination aus zwei Methoden – ein beziehungsweise zwei Stützpunkte zu verwenden. Dieses Meßverfahren wird häufig als "Bund- und Spalt"-Meßpunktverfahren bezeichnet.
  • 4, dann mißt PC-DMIS die drei Stützpunkte auf der vertikalen Oberfläche und paßt den vertikalen Oberflächenvektor an. Die Kantenmessung wird dann auf diese neue Nenn-Oberfläche projiziert. Alle über TIEFE= bestimmten Werte werden von diesem Punkt aus versetzt. Schließlich wird der Punkt entlang dem Antastvektor gemessen.
  • 5, dann mißt PC-DMIS den Punkt durch Aufnahme von drei Meßpunkten auf der vertikalen Oberfläche und zwei Meßpunkten auf der Kante entlang der angegebenen Nenn-Antastrichtung. Dieses Meßverfahren gilt als das zuverlässigste.

Verschiedene erste und permanente Stützpunkte für Kantenpunkte
Winkelpunkt Ein Winkelpunktelement unterstützt lediglich die Funktion der permanenten Stützpunkte.

Die Stützpunkte werden auf jeder Oberfläche verwendet. Die gültigen Werte für diese Option sind zwei und drei.

  • Sind zwei Meßpunkte ausgewählt, werden diese in einer Linie aufgenommen, die rechtwinklig zum Kantenvektor verläuft.
  • Sind drei Meßpunkte ausgewählt, bilden sie auf jeder Oberfläche eine Ebene (siehe Abbildung).

Zwei bzw. drei permanente Meßpunkte in einem Winkelpunkt
Kreis, Zylinder oder Kegel Die definierten Stützpunkte werden verwendet, um die Oberfläche vertikal zu dem Element zu messen. Die hier festgelegte Anzahl von Meßpunkten wird dann in gleichmäßigen Abständen zwischen den angegebenen Anfangs- und Endwinkeln aufgenommen.

Wie PC-DMIS die Oberfläche mißt, hängt vom eingegebenen Wert ab. Beispiel:

  • Wenn Typ = LOCH und der Zahlenwert auf 0 gesetzt ist, nimmt PC-DMIS keine Stützpunkte auf.
  • Wenn Typ = BOLZEN und der Zahlenwert auf 0 gesetzt ist, nimmt PC-DMIS keine Stützpunkte auf. PC-DMIS behandelt diesen Höhenwert dann so, als wäre das Element ein LOCH statt ein BOLZEN.
  • Wenn Typ = LOCH und der Zahlenwert auf 1 gesetzt ist, nimmt PC-DMIS den Meßpunkt auf der Außenseite des Elements auf.
  • Bei der Einstellung Typ = BOLZEN und einem auf 1 gesetzten Wert, nimmt PC-DMIS den Meßpunkt oben auf dem Bolzen auf.

Hinweis: Wird in das Feld Höhe ein Wert eingegeben und stehen die Werte in den Feldern "erste" und "perm" nicht auf Null, geht PC-DMIS davon aus, daß ein Bolzen gemessen wird und wird fordern, daß ein Meßpunkt oben auf dem Bolzen aufgenommen wird. Wenn die Werte in den Feldern "erste" und "perm" jedoch auf Null gesetzt sind, hat der Höhenwert eine andere Bedeutung und wird behandelt, wie unter TYP = LOCH beschrieben wurde. (siehe Feld "Höhe".)

In obiger Abbildung gilt: STRTA = Start Angle (Startwinkel). ENDA = End Angle (Endwinkel)

  • Wird hier ein Wert von 3 eingestellt, mißt PC-DMIS die Oberfläche, ausgehend vom Startwinkel, in gleichmäßigen Abständen an drei Meßpunkten. Die Stützpunkte liegen relativ zur gemessenen Ebene, und die Werte werden von diesen Punkten aus versetzt.

In obiger Abbildung gilt: STRTA = Start Angle (Startwinkel). ENDA = End Angle (Endwinkel)

Hinweis: PC-DMIS erwartet, daß der Nennwert X, Y, Z des Bolzens an dessen Basis liegt. Liegt der Mittelpunkt oben auf dem Bolzen, stellen Sie Tiefe und Abstand auf einen negativen Wert ein.
Kugel Für die Felder Erste und Perm. ist jeweils nur ein Stützpunkt zulässig. Nach Angabe eines Stützpunkts geht PC-DMIS wie folgt vor, wenn Sie das Werkstückprogramm ausführen:
  1. Die automatische Messung wird vor Messen der Kugel angehalten.
  2. PC-DMIS fordert Sie auf, einen Meßpunkt aufzunehmen, der vertikal zur Meßrichtung der Kugel liegt.
  3. Wenn der Stützpunkt aufgenommen wurde, klicken Sie auf die Schaltfläche Fortfahren.
  4. PC-DMIS nimmt auf der Kugel dann drei weitere Meßpunkte in einem durch den Abstandswert vorgegebenen Bereich auf.

PC-DMIS legt diese vier Meßpunkte und die berechnete Kugelposition zugrunde, um die Kugel mit der angegebenen Anzahl von Meßpunkten, Reihen und Winkeln zu messen.
Rechteckloch oder Langloch Die einzig gültigen Werte sind null, eins und drei (0, 1, 3). Die gemessene Ebene wird als Mittellinienvektor für die Projektions- und Meßtiefe verwendet.

Der eingegebene Wert gibt vor, wie PC-DMIS das Langloch mißt. Bei einer Eingabe von:

  • 0 mißt PC-DMIS das markierte Langloch. Es werden keine Stützpunkte aufgenommen.
  • 1 mißt PC-DMIS die Oberfläche in der Mitte des markierten Langlochs. Der Meßpunkt für das Langloch liegt rechts vom Vektor.
  • 3 mißt PC-DMIS die Oberfläche an drei Meßpunkten, die, ausgehend von LANGLOCH A, in gleichmäßigem Abstand liegen. Die Meßpunkte im Langloch verlaufen relativ zur gemessenen Ebene, und alle Werte werden von diesen Punkten aus versetzt.

Die ersten und die permanenten Stützpunkte nach drei Meßpunkten auf einem Rechteckloch (links) und einem Langloch (rechts).

Hinweis: Um Meßpunkte auf der gegenüberliegenden Seite des Langlochs aufzunehmen, kehren Sie den Mittellinienvektor um.
Ellipse Die einzig gültigen Werte sind null, eins und drei (0, 1, 3). Die gemessene Ebene wird als Mittellinienvektor für die Projektions- und Meßtiefe verwendet.

Der eingegebene Wert gibt vor, wie PC-DMIS die Ellipse mißt. Bei einer Eingabe von:

  • 0 mißt PC-DMIS die markierte Ellipse. Es werden keine Stützpunkte aufgenommen.
  • 1 nimmt PC-DMIS einen einzigen Stützpunkt an der Stelle auf, auf die der WINKELVEK zeigt (d. h. 0° + ABSTAND – also nicht am Mittelpunkt der Ellipse. Dies wäre besonders schwierig, wenn es sich bei der Ellipse um ein Loch handelt).
  • 3 mißt PC-DMIS die Oberflächen an Punkten außerhalb (oder innerhalb) der Ellipse in einem bestimmten Abstand vom äußeren Rand (Abstandswert). Der erste Meßpunkt wird am angegebenen Startwinkel aufgenommen. Der zweite Meßpunkt liegt auf halbem Weg zwischen dem Anfangs- und dem Endwinkel. Der letzte Meßpunkt wird am Endwinkel aufgenommen. Die Meßpunkte liegen relativ zur gemessenen Ebene, und alle Werte werden von diesen Punkten aus versetzt.

Hinweis: Um den Meßpunkt auf der gegenüberliegenden Seite der Ellipse aufzunehmen, kehren Sie den Mittellinienvektor um.
Kerbe Die Stützpunkte definieren auch die Kante für den Winkelvektor und die Winkelbreite. Die einzig gültigen Werte sind null bis fünf (0 - 5). Die gemessene Ebene wird als Mittellinienvektor für die Projektions- und Meßtiefe verwendet.

Durch den eingegebenen Wert wird bestimmt, wie PC-DMIS die Kerbe mißt. Bei einer Eingabe von:

  • 0 mißt PC-DMIS die markierte Kerbe. Es werden keine Stützpunkte aufgenommen.
  • 1 mißt PC-DMIS die Oberfläche an der Kante der Kerbe.
  • 2 mißt PC-DMIS die Kante entlang der offenen Seite der Kerbe. Damit wird der Winkelvektor definiert. Dieser Wert wird zur Ermittlung der Kerbenbreite verwendet.
  • 3 mißt PC-DMIS die Oberfläche an einem Ende der Kerbe mit zwei Meßpunkten und am anderen Ende der Kerbe mit einem Meßpunkt. Die Kerbenmeßpunkte liegen relativ zur gemessenen Ebene, und die Werte werden von diesen Punkten aus versetzt.
  • 4 mißt PC-DMIS die Oberfläche wie bei dem Verfahren mit drei Stützpunkten. Ein vierter Meßpunkt wird an der Kante entlang der offenen Seite aufgenommen. Er dient zur Bestimmung der Kerbenbreite.
  • 5 mißt PC-DMIS die Oberfläche wie bei dem Verfahren mit drei Stützpunkten. Außerdem wird die Kante mit demselben Verfahren wie bei zwei Meßpunkten entlang der offenen Seite gemessen.


Feld "Abstand"

Im Feld Abstand wird der Abstand von der theoretischen Punktposition bestimmt, den PC-DMIS bei der Messung einer Ebene zugrundelegt, wenn Stützpunkte angegeben sind.

So ändern Sie diesen Wert:

  1. Wählen Sie den Wert aus.
  2. Geben Sie einen neuen Wert ein.

Wird kein Wert eingegeben, verwendet PC-DMIS einen Standardabstand.

Auto-Element | Beschreibung des Abstandswerts
Oberflächenpunkt Im Feld Abstand wird der Radius des Kreises definiert, auf dem die Nennwert- und die Stützpunkte liegen.

Kantenpunkt Im Feld Abstand wird der Radius des Kreises definiert, auf dem die Nennwert- und die Stützpunkte liegen.

Winkelpunkt Im Feld Abstand wird der Versatz zwischen den Punkten auf beiden Seiten der Biegung definiert.

Eckpunkt Im Feld Abstand wird der Abstand vom Radius des ersten Meßpunkts zu den anderen Meßpunkten definiert.

Kreis, Zylinder oder Kegel Das Feld Abstand bestimmt den Abstand zwischen dem Kreisumfang und den Stützpunkten.

Hinweis: Bei der Aufnahme von Stützpunkten werden keine Sicherheitsebenen verwendet. Daher ist es beim Messen von Bolzen wichtig, den Abstandswert auf eine Entfernung einzustellen, die es dem Taster ermöglicht, sich um den Bolzen herum zu bewegen.

Hinweis: PC-DMIS erwartet, daß der XYZ-Nennwert des Bolzens an dessen Basis liegt. Liegt der Mittelpunkt oben auf dem Bolzen, stellen Sie Tiefe und Abstand auf einen negativen Wert ein.
Kugel | Das Feld Abstand definiert den Abstand zwischen der Mittelachse entlang dem oberen Kugelrand und den Stützpunkten. Bei der Aufnahme von Stützpunkten ermittelt PC-DMIS die Lage des Mittelpunkts anhand einer Besteinpassungs-Lageroutine. Diese Routine hilft bei der allgemeinen Lagebestimmung der Kugel, bevor PC-DMIS die Kugel mißt.
Rechteckloch, Langloch oder Ellipse Im Feld Abstand wird der Abstand zwischen der Außenkante des Elements und den Stützpunkten bestimmt.

Abstand für ein Rechteckloch oder eine Kerbe (links) und ein Langloch (rechts)
Ebene | Das Feld Abstand bestimmt den Abstand zwischen Meßpunkten, welche die Ebene bilden.


Erstellen von automatischen Elementen - Bereich "Meßpunkte" - Felder "Einzug"

Felder "Einzug"

Im Feld Einzug wird der Mindestversatz zwischen der Punktposition und dem ersten Stützpunkt angezeigt.

So ändern Sie diesen Abstand:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.
Kantenpunkt Im Feld Einzug wird der minimale Versatz zwischen der Punktposition und dem ersten Meßpunkt auf beiden Seiten der Biegung (oder Kante) angezeigt.

Versatz von der Kante
Winkelpunkt PC-DMIS verfügt über zwei Einzugsfelder, Einzug 1 und Einzug 2, in denen Sie die Versätze von der Punktposition zu den Stützpunkten auf beiden Oberflächen der Biegung in einem Winkelpunkt einstellen können.

Einzug in einem Winkelpunkt

  • Im Feld Einzug 1 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der ersten Oberfläche der Biegung bestimmen.
  • Im Feld Einzug 2 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der zweiten Oberfläche der Biegung bestimmen.
Eckpunkt PC-DMIS verfügt über drei Einzugsfelder, Einzug 1, Einzug 2 und Einzug 3, in denen Sie die Versätze von der Punktposition zu den Stützpunkten auf jeder der drei Oberflächen der Biegung in einem Eckpunkt einstellen können.
  • Im Feld Einzug 1 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der ersten der drei Ebenen bestimmen.
  • Im Feld Einzug 2 können Sie den Versatzabstand zwischen der Punktposition und den Stützpunkten auf der zweiten der drei Ebenen bestimmen.
  • Im Feld Einzug 3 können Sie den Versatzabstand zwischen der Punktposition und den Stützpunkten auf der dritten der drei Ebenen bestimmen.

Einzug für einen Eckpunkt. Bei einer der Oberflächen zeigt 1 den Einzugspunkt an; 2 und 3 sind die Stützpunkte.
Kerbe Im Feld Einzug wird festgelegt, in welchem Abstand von der an der offenen Seite der Kerbe gelegenen Kante die Meßpunkte an den parallel verlaufenden Seiten aufgenommen werden sollen.


Feld "Tiefe"

Über das Feld Tiefe wird der Abstand von der Oberfläche beim Messen von Stützpunkten definiert, sowie der Abstand von der Oberfläche, in dem PC-DMIS das Element selbst mißt.

So ändern Sie diesen Wert:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.

In der nachfolgenden Tabelle finden Sie Informationen zur Funktionsweise dieses Feldes im Zusammenhang mit bestimmten Auto-Elementen.

Kantenpunkt Sind ein, zwei oder drei Stützpunkte angegeben (siehe die Listen "Erste" und "Perm."), wird der für Tiefe angegebene Wert vom gemessenen Oberflächenwert aus angewandt.

Tiefe für den Kantenpunkt
Kreis, Zylinder und Kegel Dieser Abstand wird als positiver Wert entlang dem Mittellinienvektor vom Elementmittelpunkt angewandt. Im Falle von Zylindern und Kegeln wird dieser Wert einmal für jede Schicht Meßpunkte angewandt.

Die Option TYP = LOCH / STIFT wirkt sich auf die Anwendung dieses Werts aus. Bei der Option LOCH sorgt ein positiver Tiefenwert dafür, daß der Taster tiefer in das Loch bewegt wird. Bei der Option STIFT veranlaßt ein positiver Tiefenwert eine Bewegung des Tasters am Bolzen entlang nach oben. (Weitere Informationen finden Sie unter Optionen "Loch" und "Bolzen".)

Hinweis: PC-DMIS erwartet, daß der XYZ-Nennwert des Bolzens an dessen Basis liegt. Liegt der Mittelpunkt oben auf dem Bolzen, stellen Sie die Tiefe auf einen negativen Wert ein.
Linie Dieser Abstand wird als positiver Wert entlang dem rechtwinklig zum Linien- und Kantenvektor verlaufenden Vektor angewandt.

Die Linientiefe hängt von der Meßpunktrichtung relativ zum aktuellen Koordinatensystem ab. Beispiel: Wenn eine typische Meßrichtung (X/Rechts, Y/Zurück und Z/nach oben) vorliegt und Sie den ersten und zweiten Meßpunkt am Modell von links nach rechts aufnehmen, müssen Sie einen positiven Tiefenwert zugrundelegen. Wenn Sie den ersten und zweiten Meßpunkt am Modell jedoch von rechts nach von links aufnehmen, müssen Sie einen negativen Tiefenwert zugrundelegen.


Feld "Anz. Meßpunkte"

Im Feld Anz. Meßpunkte wird die Anzahl der für die Messung des Elements verwendeten Meßpunkte definiert. Die hier festgelegte Anzahl an Meßpunkten wird dann in gleichmäßigen Abständen zwischen den angegebenen Anfangs- und Endwinkeln aufgenommen.

So ändern Sie diesen Wert:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.
Kreis oder Ellipse Wenn Start- und Endwinkel übereinstimmen oder der Unterschied ein Vielfaches von 360° beträgt, wird nur ein Meßpunkt am gemeinsamen Start- und Endpunkt aufgenommen.

Lage der Meßpunkte
Zylinder oder Kegel Für dieses Element wird die Anzahl an Meßpunkten (pro Reihe) definiert.

Hinweis: Zum Messen des Elements sind mindestens sechs Meßpunkte erforderlich (drei Meßpunkte auf jeder der beiden Schichten).
Kugel | Mindestens vier Meßpunkte sind für das Messen einer Kugel erforderlich.
Langloch | Wird hier eine ungerade Zahl eingegeben, erhöht PC-DMIS diesen Wert automatisch um eins. Auf diese Weise ist gewährleistet, daß stets eine gerade Anzahl von Meßpunkten für die Messung des Langlochs verwendet wird. Je die Hälfte der Meßpunkte wird auf jedem der beiden Halbkreise auf beiden Seiten des Langlochs aufgenommen. Es sind mindestens sechs Meßpunkte erforderlich.
Ebene | Mindestens drei Meßpunkte sind für das Messen einer Ebene erforderlich. Die Gesamtsumme der Meßpunkte für das Ebenenelement wird jedoch durch das Produkt der in den Feldern Anz. Meßpunkte und Anz. Reihen eingegebenen Werte gebildet. So würden ein Wert von 2 im Feld Anz. Meßpunkte mit einer 3 im Feld Reihen insgesamt sechs Meßpunkte ergeben.
Linie In dieses Feld kann eine beliebige Anzahl von Meßpunkten eingegeben werden. Je nach Linienart und eingegebenem Wert, wendet PC-DMIS folgende Methoden in einer Drei-Linien-Vektorrichtung an:

Wenn Sie eine begrenzte Linie erzeugen, legt PC-DMIS die berechnete Länge der Linie zugrunde und verteilt die Meßpunkte in gleichmäßigem Abstand entlang der Linie. Die ersten und letzten Meßpunkte bilden dann die Start- und Endpunkte.

Handelt es sich um eine unbegrenzte Linie, legt PC-DMIS den eingegebenen Längenwert zugrunde und verteilt die Meßpunkte in gleichmäßigem Abstand entlang des Richtungsvektors der Linie.

Hinweis: Wird kein Längenwert eingegeben (oder lautet der Wert Null), verwendet PC-DMIS den Tastspitzen durchmesser des aktuellen Tasters als Abstandswert zwischen den Punkten.


Kontrollkästchen "Messe Breite"

Wenn das Kontrollkästchen Messe Breite und die Schaltfläche Erstellen ausgewählt sind, geht PC-DMIS folgendermaßen vor:

  • Es werden zwei Meßpunkte auf der Seite des Rechtecklochs aufgenommen.
  • Der Winkelvektor wird angepaßt.
  • Es werden zwei Meßpunkte auf der gegenüberliegenden Seite aufgenommen, um die Breite zu berechnen.
  • Die Lage der letzten beiden Meßpunkte an jedem Ende wird für die Breite angepaßt.


Bereich "Eigenschaften"

Im Bereich Eigenschaften des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

Kontrollkästchen "Rastpunkte"

Kontrollkästchen "Außen"

Feld "Inkrement"

Feld "Toleranz"

Feld "Breite"

Feld "Länge"

Schaltfläche "Feldmodus"

Schaltfläche "Kreismodus"

Feld "Reihen"

Feld "Durchmesser"

Feld "Startwink."

Feld "Endwink."

Feld "Mess Wink."

Feld "Steigung"

Feld "Startwink. 1"

Feld "Endwink. 1"

Feld "Startwink. 2"

Feld "Endwink. 2"

Feld "Radius"

Feld "Hauptdurchm."

Feld "Nebendm."

Feld "Winkel"

Rechteck-/Radialmuster

Begrenzter/Unbegrenzter Typ


Kontrollkästchen "Rastpunkt"

Beim Messen eines unterstützten Elements kann der Benutzer die gemessenen Werte auf dem theoretischen Vektor "einrasten" lassen. Bei Wahl des Kontrollkästchens Rastpunkt verlaufen alle Abweichungen entlang dem Punktvektor. Dies ist nützlich bei der Verfolgung einer Abweichung entlang einem bestimmten Vektor.

Beispiel: Angenommen, Sie messen eine flache Tischplatte in der X Y-Ebene und nehmen drei Meßpunkte von der Z-Achse auf. Auch wenn die X- und Y-Werte der gemessenen Punkte Abweichungen aufweisen, sind diese irrelevant, da der Tisch flach ist. Dagegen ist ein Versatz oder eine Abweichung entlang der Z-Achse von Bedeutung. Mit der Option Rastpunkt werden die Werte für X und Y als genaue Meßpunkte gewertet, und Fehler werden ignoriert. Bei dieser Option werden nur die Abweichungen des Tisches entlang der Z-Achse angezeigt.


Kontrollkästchen "Außen"

Über das Kontrollkästchen Außen kann der Winkel entweder als Innenwinkel (nicht markiert) oder als Außenwinkel (markiert) definiert werden. Bei Innenwinkeln ist der Raumwinkel des Werkstücks kleiner als 180°, bei Außenwinkeln ist er größer als 180°. Ist das Kästchen ausgewählt, mißt PC-DMIS den Winkel als Außenwinkel. Aufgrund der Unterschiede in den Meßfolge für jeden Typ ist es äußerst wichtig, darauf zu achten, daß diese Option richtig eingestellt ist.


Feld "Inkrement"

Mit dem Feld Inkrement können Sie das Inkrement definieren, das für die Suche nach dem Extrempunkt im Suchbereich verwendet wird. Bei der Ausführung beginnt PC-DMIS die Suche am Anfangspunkt (oder Suchpunkt) unter Zugrundelegung des im Feld Inkrement angegebenen Werts.


Feld "Toleranz"

Im Feld Toleranz können Sie einen Toleranzwert definieren, der PC-DMIS anweist, wann die Suche nach einem Extrempunkt in einem bestimmten Bereich gestoppt werden soll. Dieser Toleranzwert sollte stets unter dem Inkrementwert liegen. Während des Suchvorgangs wird der Inkrementwert von PC-DMIS so lange verringert, bis er kleiner als oder gleich dem angegebenen Toleranzwert ist. Das bedeutet dann, daß in der aktuellen Arbeitsebene der Extrempunkt (höchste Punkt) gefunden wurde.


Feld "Breite"

Extrempunkt | Die Breite definiert die Breite des Suchbereichs. Wenn Sie über einen Längenwert verfügen, der Wert für die Breite jedoch bei 0 bleibt, entspricht der Breitenwert der Länge entlang der Hauptachse der aktuellen Arbeitsfläche.
Rechteckloch, Langloch, Ellipse oder Kerbe | Im Feld Breite wird die Breite des Elements angezeigt.


Feld "Länge"

Extrempunkt | Die Länge definiert die Länge des Suchbereichs. Wenn Sie über einen Breitenwert, der Wert für die Länge jedoch bei 0 belassen wird, entspricht der Längenwert der Länge entlang der Nebenachse der aktuellen Arbeitsfläche.
Rechteckloch, Langloch, Ellipse oder Kerbe | Im Feld Länge wird die Länge des Elements angezeigt.


Schaltfläche "Feldmodus"

Über die Schaltfläche Feldmodus können Sie den Suchmodus definieren, den PC-DMIS zur Rückgabe von Extrempunkten verwendet.

Klicken Sie auf Feldmodus, um den Suchmodus zu ändern. Hierbei werden die Felder Breite und Länge in Außenrad. und Innenrad. und die Schaltfläche Feldmodus in Kreismodus geändert. (Siehe auch Schaltfläche "Kreismodus".)

Wird auf der Schaltfläche Feldmodus angezeigt, wird der Suchbereich für das Extrempunkt-Element zu einem durch die Werte Breite und Länge definierten Bereich. PC-DMIS zeigt den Extrempunkt innerhalb dieses Bereichs an.

Hinweis: Der Startpunkt sollte innerhalb des durch die Parameter Breite und Länge für den Feldmodus definierten Suchbereichs liegen. In den Sonderfällen, in denen eine Linie durchsucht werden soll, wird der Anfangspunkt automatisch auf die Linie gesetzt.

Auf dieser Schaltfläche ist Feldmodus der Standardmodus.


Schaltfläche "Kreismodus"

Über die Schaltfläche Kreismodus können Sie den Suchmodus definieren, den PC-DMIS zur Rückgabe des Extrempunkts verwendet.

Klicken sie auf Kreismodus, um den Suchmodus zu ändern. Hierbei werden die Felder Außenrad. und Innenrad. in Breite und Länge und die Schaltfläche Kreismodus in Feldmodus geändert. (Siehe auch Schaltfläche "Feldmodus".)

Wird auf der Schaltfläche Kreismodus angezeigt, wird der Suchbereich für das Extrempunkt-Element zu einem durch die Werte Außenrad. und Innenrad. definierten kreisförmigen Suchband.

  • Soll ein kreisförmiger Bereich durchsucht werden, geben Sie für den Innenradius den Wert 0 ein.
  • Wenn Sie eine kreisförmige Suchlinie wünschen, geben Sie für den Innen- und den Außenradius denselben Wert ein.

Der höchste Punkt entlang des Umfangs wird als Extrempunkt ausgewiesen.

Hinweis: Der Startpunkt sollte innerhalb des durch die Parameter Außenrad. und Innenrad. für den Kreismodus definierten Suchbereichs liegen. In den Sonderfällen, in denen eine Linie durchsucht werden soll, wird der Anfangspunkt automatisch auf die Linie gesetzt.


Feld "Reihen"

Im Feld Reihen wird die Anzahl von Reihen bestimmt, die zur Messung des Elements verwendet werden. Sie können eine beliebige Ganzzahl eingeben, die größer als eins (1) ist.

Bei einem Zylinder oder Kegel verlaufen die Reihen in gleichmäßigen Abständen zwischen der Tiefe und Länge des Elements.

Bei einer Kugel verlaufen die Reihen in gleich großen Abständen zwischen Startwinkel 2 und Endwinkel 2.

Bei einer Ebene wird die Anzahl der Reihen und Meßpunkte zugrundegelegt, um zu bestimmen, welche Gesamtanzahl an Meßpunkten zur Erzeugung der Auto-Ebene verwendet wird.


Feld "Durchmesser"

Über das Feld Durchmesser wird der Durchmesser des Elements definiert. Im Falle eines Bolzens wird in diesem Feld der vom Benutzer eingegebene Nennwert angezeigt.

So ändern Sie den Durchmesser des Elements:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.

Nachdem das Element erstellt wurde, aktualisiert PC-DMIS die Größe des Elements im Grafikfenster.

Bei einem Kegel entspricht dieser Wert dem Nenndurchmesser am Ende des Kegels, wo Sie die XYZ-Position definiert haben.


Feld "Startwinkel"

Im Feld Startwink. wird der Startwinkel des Elements angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen Winkel in Grad (dezimal).

So ändern Sie den Startwinkel:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.

Hinweis: Die Hauptachse der aktuellen Arbeitsebene liegt bei 0°. Der Startwinkel ist entlang der Mittellinie ausgerichtet und verläuft gegen den Uhrzeigersinn.

Versatz-Information: Wird ein Bogen mit Hilfe eines der Auto-Kreiselemente (Kreis, Zylinder, Kegel, Kugel oder Langloch) erzeugt, wird PC-DMIS die Start- und Endwinkel jeweils um zwei Grad versetzen. Auf diese Weise werden aus CAD abgeleitete Bögen nicht an ihren Start- und Endwinkeln gemessen, wobei möglicherweise eine Ecke erfaßt werden könnte. In den meisten Fällen dürfte dies kaum von Bedeutung sein, sofern Sie nicht versuchen, einen kleinen Bogen von nur wenigen Graden zu erzeugen. Wenn Sie beispielsweise einen Winkel von vier Grad mit Hilfe der Registerkarte Kreis messen wollen, geben Sie in den Feldern Startwink. und Endwink. . einen Bogenparameter von acht Grad ein, da Sie wissen, daß PC-DMIS den Bogen in jedem Winkel um zwei Grad verkürzen wird.


Feld "Endwink."

Im Feld Endwinkel wird der Endwinkel des Elements angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen Winkel in Grad (dezimal).

So ändern Sie den Endwinkel:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.

Hinweis: Beachten Sie bei der Eingabe von Start- und Endwinkel, daß der I, J, K-Vektor stets entlang der Mittellinie ausgerichtet ist und daß PC-DMIS CNC-Kreiselemente gegen den Uhrzeigersinn mißt.

Weitere Informationen zu Auto-Kreisen finden Sie unter dem Hinweis Versatz-Information im Abschnitt Feld "Startwink.".


Feld "Meßwink."

Langlöcher haben zwei abgerundete Enden, von denen jedes einen Meßradius von bis zu 180 Grad haben kann. Der Wert im Feld Meßwink. gibt den Umfang des zu messenden Radius vor. PC-DMIS nimmt den Eingabewert und dividiert ihn durch zwei. Dann wird jede Seite des Langloch-Winkelvektors zur Hälfte gemessen.

Beispiel: Sie haben den Wert 90 in diesem Feld eingegeben. Bei der Erzeugung des Langlochs würde PC-DMIS dann 45 Grad auf der linken und 45 Grad auf der rechten Seite des Winkelvektors (oder umgekeht, je nach Winkelvektor) messen.


Feld "Steigung"

Das Feld Steigung ermöglicht eine genauere Messung von Gewindelöchern und Bolzen. In PC-DMIS ist "Steigung" der Abstand zwischen den Gewindegängen entlang der Achse des Elements. Wenn das Feld Steigung einen anderen Wert als Null enthält, werden die Meßpunkte des Elements entlang der THEO-Achse verteilt. Die Abstände der Meßpunkte um das Element werden dabei mit Hilfe der Start- und Endwinkel bestimmt.

Hinweis: Außerhalb von PC-DMIS wird "Steigung" in der Regel als Gewindegänge pro Zoll definiert.

Kreis | Um einem standardmäßigen (im Uhrzeigersinn) Gewindemuster folgen zu können, müssen Sie die Start- und Endwinkel umkehren (d. h. 720 - 0). Wenn Sie eine Messung von einer ansteigenden in eine fallende Steigung umkehren möchten (nach oben/nach unten), müssen Sie den Wert der Steigung negieren. Beispiel: Bei der Messung eines Kreises mit vier Meßpunkten in gleichmäßigen Abständen ist der erste Meßpunkt der Startwinkel der Eingabetiefe. Der zweite Meßpunkt liegt zum ersten Meßpunkt in einem Drehungswinkel von 90 Grad und einer Tiefe von (Tiefe – ((Anzmesspkt-1)/Messpkte insgesamt * Steigung)). Der dritte Meßpunkt liegt zum ersten Meßpunkt in einem Drehungswinkel von 180 Grad und einer Tiefe von (Tiefe – ((Anzmesspkt.-1)/Messpkte insgesamt * Steigung)). Die weiteren Meßpunkte folgen demselben Muster.
Zylinder | Beispiel: Bei der Messung eines Zylinders mit zwei Schichten, auf denen sich in gleichmäßigen Abständen jeweils vier Meßpunkte befinden, ist der erste Meßpunkt jeder Schicht der Startwinkel in der Eingabetiefe. Der zweite Meßpunkt liegt zum ersten Meßpunkt in einem Drehungswinkel von 90 Grad und einer Tiefe von (Tiefe – (Anzmesspkt-1)/Anzmesspkte pro Reihe * Steigung). Der dritte Meßpunkt liegt zum ersten Meßpunkt in einem Drehungswinkel von 180 Grad und einer Tiefe von (Tiefe – (Anzmesspkt.-1)/Anzmesspkte pro Reihe * Steigung). Die weiteren Meßpunkte folgen demselben Muster.


Feld "Startwink. 1"

Im Feld Startwink. 1 wird der Startwinkel der Kugel angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen Winkel in Grad (dezimal). In dieses Feld kann ein beliebiger Wert zwischen 0° und 180° (bzw. -0° und -180°) eingegeben werden.

So ändern Sie den Startwinkel:

  1. Wählen Sie den vorhandenen Winkel.
  2. Geben Sie einen neuen Wert ein.

Die Hauptachse der aktuellen Arbeitsebene liegt bei 0°. Sie können sich das als eine Stange vorstellen, auf die die Vektoren zeigen. 180° ist die Richtung, aus der die Vektoren kommen (und somit von dieser Richtung wegzeigen), und 90° ist parallel zu der Ebene, die aus dem gegebenen Punkt und den gegebenen Vektoren als vertikalem Vektor gebildet wird.

Hinweis: Die Hauptachse der aktuellen Arbeitsebene liegt bei 0°. Der Startwinkel ist entlang der Mittellinie ausgerichtet und verläuft gegen den Uhrzeigersinn.


Feld "Endwink. 1"

Im Feld Endwink. 1 wird der Endwinkel der Kugel angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen Winkel in Grad (dezimal). In dieses Feld kann ein beliebiger Wert zwischen 0° und 180° eingegeben werden.

So ändern Sie den Endwinkel:

  1. Wählen Sie im Feld Endwink. 1 den Wert.
  2. Geben Sie einen neuen Wert ein.

Hinweis: Beachten Sie bei der Eingabe von Anfangs- und Endwinkel, daß der I, J, K-Vektor stets entlang der Mittellinie ausgerichtet ist und daß PC-DMIS CNC-Kugeln gegen den Uhrzeigersinn mißt.


Feld "Startwink. 2"

Im Feld Startwink. 2 wird der Startwinkel der Kugel angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen Winkel in Grad (dezimal). In dieses Feld kann ein beliebiger Wert zwischen 0° und 90° eingegeben werden. Wird ein Startwinkel von 0° definiert, umfaßt die erste Reihe einen einzigen Meßpunkt oben auf der Kugel.

So ändern Sie den Startwinkel:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.


Feld "Endwink. 2"

Im Feld Endwink. 2 wird der Endwinkel der Kugel angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen Winkel in Grad (dezimal). In dieses Feld kann ein beliebiger Wert zwischen 0° und 90° eingegeben werden. Wird ein Endwinkel von 0° definiert, umfaßt die letzte Reihe einen einzigen Meßpunkt oben auf der Kugel.

So ändern Sie den Endwinkel:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.

Hinweis: Der Endwinkel darf nicht größer als 90° sein. Bei einem größeren Winkel erhöht sich das Risiko, daß der Taster schaft mit dem Werkstück kollidiert.

Hinweis: Beachten Sie bei der Eingabe von Anfangs- und Endwinkel, daß der I, J, K-Vektor stets entlang der Mittellinie ausgerichtet ist und daß PC-DMIS CNC-Kugeln gegen den Uhrzeigersinn mißt.


Feld "Radius"

Rechtecklöcher oder Kerben sind nicht immer absolut rechteckig bzw. quadratisch. Oft weisen sie einen Radius anstelle von Ecken auf. Das Feld Radius gibt die Größe dieses Radius an.

Bei einem Rechteckloch wird während der Messung des Rechtecklochs die Lage jedes Meßpunkts bestimmt, um die Aufnahme von Meßpunkten auf dem Radius zu verhindern.

Bei einer Kerbe werden Meßpunkte an der der offenen Seite gegenüberliegenden Kante über den Radius angepaßt.


Feld "Hauptdurchm."

Im Feld Hauptdm. wird die Gesamtlänge der Ellipse angezeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.


Feld "Nebendurchm."

Im Feld Nebendm. wird die Breite der Ellipse angezeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.


Feld "Winkel"

Über das Feld Winkel wird der Winkel des Kegels definiert.

So ändern Sie den Winkel des Kegels:

  1. Wählen Sie einen vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.

Wenn das Element erstellt worden ist, wird die Kegelgröße im Grafikfenster aktualisiert.


Rechteck-/Radialmuster

Bei einem Auto-Ebenenelement können Sie über die Optionen Rechteck und Radial bestimmen, ob die Meßpunkte für das Ebenenmerkmal in einem Rechteck- oder Radialmuster aufgenommen werden sollen.

Wenn Sie Radial auswählen, wird PC-DMIS die Meßpunkte ausgehend vom Ebenenmittelpunkt in einem kreisförmigen oder radialen Muster erzeugen. PC-DMIS geht von 360 Grad aus, die durch den Wert in dem Feld Anz. Reihen dividiert werden, um den Winkel zwischen jeder Reihe zu bestimmen. Wenn das Feld Anz. Reihen beispielsweise den Wert 6 und das Feld Anz. Meßpunkte den Wert 3 enthält, würde PC-DMIS jeweils im Abstand von 60 Grad eine Reihe von drei Meßpunkten erstellen, d.h. insgesamt 18 Meßpunkte.

Wenn Sie Rechteck auswählen, wird PC-DMIS die Meßpunkte ausgehend vom Ebenenmittelpunkt in einem Rastermuster erzeugen. Wenn das Feld Anz. Reihen beispielsweise den Wert 3 und das Feld Anz. Meßpunkte den Wert 4 enthält, würde PC-DMIS insgesamt 12 Meßpunkte in einem Rastermuster mit der Ebenenmitte als Mittelpunkt erstellen.


Begrenzter/Unbegrenzter Typ

Mit dem Bereich Typ können Sie festlegen, ob die Auto-Linie durch einen Endpunkt begrenzt wird oder unbegrenzt ist.

Wenn Sie Begrenzt auswählen, werden einige Endfelder im Bereich Lage mit XYZ-Werten für den Endpunkt eingeblendet. PC-DMIS berechnet automatisch die Linienlänge anhand des Abstands zwischen Start- und Endpunkten und zeigt die Linienlänge im Feld Länge an.

Wenn Unbegrenzt ausgewählt wird, erwartet PC-DMIS, daß Sie einen Wert in das Feld Länge eingeben. Die Linie wird dann ausgehend vom Startpunkt über die im Feld Länge angegebene Entfernung entlang des Linienvektors berechnet.

Weitere Informationen finden Sie unter den Themen XYZ-Start-/Endpunktfelder und Feld "Länge".


Erstellen von Auto-Elementen - Häufig verwendete Optionen im Dialogfeld "Auto Elemente" - Bereich "Ausrichtung"

Bereich "Ausrichtung"

Im Bereich Ausrichtung des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

IJK-Felder für "Vertikaler Vektor"

IJK-Felder für "Winkelvektor"

Felder "Mittelpunkt"

IJK-Felder für "Kantenvektor"

IJK-Felder für "Oberflächenvektor"

IJK-Felder für "Linienvektor"

IJK-Felder für "Oberfl. 1-Vektor"

IJK-Felder für "Oberfl. 2-Vektor"

IJK-Felder für "Oberfl. 3-Vektor"

Schaltfläche "Vektor suchen"

Schaltfläche "Vektor umk."

Schaltfläche "Kante umk."

Schaltfläche "Linie umk."

Schaltfläche "Oberfläche umk."

Schaltfläche "Tauschen"

Optionen "Loch" oder "Bolzen"

Feld "Höhe"


IJK-Felder für "Vertikaler Vektor"

Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor (Normale). Der I, J, K-Vektor sollte stets von der Oberfläche wegzeigen. Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß sie eine (1) Einheit beträgt. Dieser Vektor wird bei der Tasterkompensation verwendet.

Für Vektor-, Oberflächen- und Extrempunkte zeigen die IJK-Felder für Vertikaler Vektor die Antastrichtung für den Meßpunkt an, der zum Erstellen des Auto-Elements verwendet wurde.

Für Extrempunkte zeigt der vertikale IJK-Vektor nach der Ausführung den Antastvektor für den Extrempunkt in der aktuellen Arbeitsebene an.

Für Kreis-, Zylinder-, Kugel- und Kegelelemente definieren die IJK-Felder für Vertikaler Vektor die Mittellinie des Elements.

Für Rechteckloch-, Langloch-, Ellipsen- und Kerben Elemente definieren die IJK-Felder für Vertikaler Vektor den vertikalen Oberflächenvektor der Ebene, in der sich das Element befindet (die zum Element parallele Ebene).

Bei einem Ebenenelement definieren die IJK-Felder für Vertikaler Vektor die Antastrichtung für die Ebenenmeßpunkte.


IJK-Felder für "Winkelvektor"

So ändern Sie den Winkelvektor:

  1. Wählen Sie die zu aktualisierenden Felder.
  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge auf 1 ein.

Für Kreis-, Zylinder-, Kugel- und Kegelelemente definieren die Felder für Winkelvektor die 0°-Position des vertikalen Vektors. Start- und Endwinkel werden von diesem Vektor aus berechnet. Stehen die Vektoren nicht im rechten Winkel zueinander, wird der Winkelvektor an der Normalen angepaßt.

Für Rechtecklöcher, Rundlöcher und Ellipsenelemente definieren die Felder für Winkelvektor die Mittellinie des Elements. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor (die Normale). Die Mittellinie des Elements und die Normale müssen im rechten Winkel zueinander stehen.

Für ein Kerben Element bestimmen die Felder für Winkelvektor den Ausrichtungsvektor der Kerbe auf der Seite, die der Kerbenöffnung gegenüber liegt. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor (die Normale). Der Winkelvektor und die Normale für die Kerbe müssen im rechten Winkel zueinander stehen.

Bei einem Ebenenelement definieren die Winkelvektor-Felder die Mittellinie der Ebene.


Felder "Mittelpunkt"

Die Felder für den Mittelpunkt zeigen die Position des Mittelpunkts des Suchbereichs für ein Extrempunktelement an.


IJK-Felder für "Kantenvektor"

In den IJK-Feldern für den Kantenvektor wird die Antastrichtung für Kanten-Meßpunkt oder die Punkte einer Auto-Linie angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen I, J, K-Meßvektor. Der I, J, K-Vektor sollte stets von der Kante wegzeigen und im rechten Winkel zur gemessenen Kante stehen.

So ändern Sie den Antastvektor:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß er eine (1) Einheit beträgt.


IJK-Felder für "Oberflächenvektor"

Die IJK-Felder für den Oberflächenvektor zeigen den vertikalen Oberflächenvektor an, auf den der Kantenpunkt nach der Messung projiziert wird. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor. Der I, J, K-Vektor sollte stets von der Oberfläche wegzeigen und im rechten Winkel zur gemessenen Kante stehen.

So ändern Sie den Antastvektor:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß er eine (1) Einheit beträgt.

Ist diese Option ausgewählt, nimmt PC-DMIS drei Meßpunkte auf der Oberfläche, zwei Meßpunkte auf der Kante und einen zusätzlichen Meßpunkt auf der Kante auf.


IJK-Felder für "Linienvektor"

In den IJK-Feldern für den Linienvektor wird der Vektor der Linie angezeigt, auf der der Winkelpunkt oder die Linie liegt. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor.

So ändern Sie den Antastvektor:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß er eine (1) Einheit beträgt.


IJK-Felder für "Oberfl. 1-Vektor"

Die IJK-Felder für "Oberfl. 1-Vektor" zeigen den vertikalen Oberflächenvektor der ersten zu messenden Oberfläche an. Es wird erwartet, daß der I, J, K-Vektor stets von der zu messenden Oberfläche wegzeigt.

So ändern Sie den Wert:

  1. Wählen Sie das Feld, das geändert werden soll.
  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß er eine (1) Einheit beträgt.


IJK-Felder für "Oberfl. 2-Vektor"

Die IJK-Felder für "Oberfl. 2-Vektor" zeigen den vertikalen Oberflächenvektor der zweiten zu messenden Oberfläche an. Es wird erwartet, daß der I, J, K-Vektor stets von der zu messenden Oberfläche wegzeigt.

So ändern Sie den Wert:

  1. Wählen Sie das Feld, das geändert werden soll.
  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß er eine (1) Einheit beträgt.


IJK-Felder für "Oberfl. 3-Vektor"

Die IJK-Felder für "Oberfl. 3-Vektor" zeigen den vertikalen Oberflächenvektor der dritten zu messenden Ebene an. Es wird erwartet, daß der I, J, K-Vektor stets von der zu messenden Ebene wegzeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie die Oberfl. 3-Vektor-Felder, die geändert werden sollen.
  2. Geben Sie einen neuen Wert ein.

Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß er eine (1) Einheit beträgt.


Schaltfläche "Vektor suchen"

Mit der Schaltfläche "Vektor suchen" werden alle Oberflächen entlang des XYZ-Punkts und IJK-Vektors bei der Suche nach dem nächstliegenden Punkt durchstoßen. Der vertikale Oberflächenvektor wird als IJK-NENNVEKTOR angezeigt, die XYZ-Werte werden jedoch nicht geändert.


Schaltfläche "Vektor umkehren"

Schaltfläche "Vektor umk."

Mit der Schaltfläche Vektor umk. können Sie die Richtung der Oberflächenvektoren umkehren. Klicken Sie dazu auf diese Schaltfläche.


Schaltfläche "Kante umk."

Mit der Schaltfläche Kante umk. können Sie die Richtung der Kantenvektoren umkehren. Klicken Sie dazu auf diese Schaltfläche.


Schaltfläche "Linie umk."

Mit der Schaltfläche Linie umk. können Sie die Richtung des Linienvektors umkehren. Klicken Sie dazu auf diese Schaltfläche.


Schaltfläche "Oberfläche umk."

Mit der Schaltfläche Oberfläche umk. können Sie den dazugehörigen Vektor umkehren. Klicken Sie auf diese Schaltfläche, um die angezeigten Werte umzukehren.


Schaltfläche "Tauschen"

Über die Schaltfläche Tauschen können Sie die Vektoren des aktuellen Kanten- und Oberflächenvektors miteinander tauschen.


Optionen "Loch" oder "Bolzen"

Über die Optionen "Loch" und "Bolzen" wird definiert, ob entweder der Innenumfang (Loch) oder der Außenumfang (Bolzen) des Elements gemessen werden soll. Aufgrund der Unterschiede in den Meßfolge für jeden Typ ist es äußerst wichtig, darauf zu achten, daß diese Option richtig eingestellt ist.


Erstellen von automatischen Elementen - Bereich "Ausrichtung" - Feld "Höhe"

Feld "Höhe"

Mit dem Feld "Höhe" wird die Höhe des externen Kreiselements festgelegt.

So ändern Sie diesen Wert:

  1. Wählen Sie das Feld Höhe aus.
  2. Geben Sie einen neuen Wert ein.
Kreis, Rechteckloch, Langloch oder Ellipse Das Feld Höhe wird nur dann verwendet, wenn es sich um ein Außenelement (oder Bolzen) handelt. Damit kann ein zusätzlicher Meßpunkt oben in der Mitte des Bolzens aufgenommen werden. Wenn hier ein anderer Wert als 0 angegeben wird, nimmt PC-DMIS in der Mitte des Bolzens einen zusätzlichen Meßpunkt auf. Dann wird die Höhe des Bolzens berechnet.
Zylinder oder Kegel Bei der Einstellung TYP = LOCH wird die theoretische Länge des Elements durch das Feld Höhe bestimmt. Wird ein Wert für Höhe, jedoch nicht für Tiefe angegeben, teilt PC-DMIS den Wert für Höhe zu gleichen Teilen durch die Anzahl der im Feld Reihen angegebenen Reihen.

Bei Zylindern bewegt sich der Taster dann in Inkrementen am Zylinder nach unten, bis der angegebene Höhenwert erreicht ist.

Bei Kegeln beginnt der Taster am unteren Rand des Kegels unter Zugrundelegung des festgelegten Höhenwerts (Position minus Länge) und bewegt sich entlang der Kegellänge nach oben.

Ist ein Tiefenwert angegeben, entspricht das tatsächlich gemessene Element der Höhe minus dem Tiefenwert.

Wenn die Werte in den Feldern Typ = BOLZEN und Erste und Perm. nicht auf Null gesetzt sind, ermöglicht diese Option die Aufnahme eines zusätzlichen Meßpunkts oben in der Mitte des Bolzens. Wenn hier ein anderer Wert als 0 angegeben wird, nimmt PC-DMIS in der Mitte des Bolzens einen zusätzlichen Meßpunkt auf. Dann wird die Höhe des Bolzens berechnet.


Feld "ID"

Im Feld ID wird die aktuelle ID für das Auto-Element angezeigt, das erstellt wird.

So ändern Sie die ID eines Elements:

  1. Wählen Sie im Feld ID die zu ändernde ID aus.
  2. Geben Sie eine neue ID ein.


Bereich "Verschiedenes"

Im Bereich Verschiedenes des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

Bereich "Stärke"

Liste "Meßfolge"

Liste "Berechnungen"

Liste "Modus"

Bereich "Relative Messung"

Kontrollkästchen "Zeige Parameter"

Kontrollkästchen "Zeige Meßpunkte"


Bereich "Stärke"

Im Bereich Stärke können Sie die Werkstückstärke festlegen. Dieser Wert wird vornehmlich für dünne Werkstücke (Kunststoff oder Blech) verwendet, wo die CAD-Daten nur eine Seite beschreiben. Bei dünnwandigen Werkstücken zeichnet der CAD-Techniker oft nur eine Seite des Werkstücks und gibt dann die Materialstärke an. PC-DMIS berücksichtigt diese Materialstärke automatisch bei Verwendung der CAD-Oberflächendaten.

Positive und negative Werte sind zulässig. Diese Stärke wird automatisch entlang der Oberflächennormale angewandt, wenn die CAD-Daten ausgewählt werden. Hat das Element mehr als eine Normale (d. h. Winkel- und Eckpunkte) wird die Stärke entlang der ersten Normale angewandt.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

THEO_STÄRKE = n

oder

IST_STÄRKE = n

n: Ein numerischer Wert zur Angabe der Werkstückstärke.

Wählen Sie die Option THEO, wenn die theoretischen Werte um einen Stärkenwert korrigiert werden müssen, da die Messungen auf der gegenüberliegenden Materialseite ausgeführt werden.

Wählen Sie die Option Aktuell, wenn die Messungen wieder um einen Stärkewert an die theoretischen Werte angepaßt werden sollen.


Liste "Meßfolge"

In der Liste "Meßfolge" kann der Benutzer die Reihenfolge auswählen, in der die Stützpunkte aufgenommen werden, bevor der abschließende Meßpunkt aufgenommen wird. Die Auswahlmöglichkeiten lauten: S (Oberfläche), E (Kante) und B (Beide)

OBERFLÄCHE | Bei Auswahl von "S“ (Oberfläche) werden die drei Meßpunkte in dieser Reihenfolge gemessen: zunächst auf der Oberfläche, dann auf der Kante.
KANTE | Bei Auswahl von "E" (Kante) werden die beiden Meßpunkte in dieser Reihenfolge gemessen: zunächst auf der Kante, dann auf der Oberfläche.
BEIDE | Bei Auswahl von "B" (Beide) werden die Meßpunkte in dieser Reihenfolge gemessen: Oberfläche, dann Kante und dann wieder Oberfläche.


Liste "Berechnungen"

In der Liste "Berechnungen" kann der Benutzer angeben, wie ein Element aus den aufgenommenen Meßpunkten berechnet werden soll. Verfügbare Optionen sind: KLEINSTE_QUDADRATE, TSCHEBYSCHEFF, PFERCHKREIS, HÜLLKREIS und FESTER_RAD.

Diese Berechnungsarten wurden bereits näher unter "Besteinpassungs-Berechnungstyp " im Abschnitt "Neue Elemente aus Vorhandenen Elementen Konstruieren" erläutert.


Liste "Modus"

Über die Liste Modus im Bereich Verschiedenes wird festgelegt, wie die Nennwerte für einen bestimmten Punkt berechnet werden. Folgende Optionen stehen zur Auswahl: NENNWERTE SUCHEN, MASTER und NENNWERTE.

Ist MODUS = NENNWERTE aktiv, vergleicht PC-DMIS das gemessene Element mit den theoretischen Daten im Dialogfeld und verwendet die Meßdaten für Berechnungen.

Ist MODUS = MASTER aktiv, verwendet PC-DMIS das gemessene Element als Nennwert, aktualisiert aber nicht die X-, Y-, Z- und Durchmesserdaten im Dialogfeld.

Ist MODE = VEKTOR aktiv, nimmt PC-DMIS die ersten drei aufgenommenen Meßpunkte als Grundlage, um den passenden Vektor für das Element zu berechnen. PC-DMIS wird nicht die Lage des Elements anpassen. Sie müssen die Meßpunkte aufnehmen, während das Dialogfeld Auto Elemente geöffnet ist.

Hinweis: Ist kein Nennwert bekannt, wählen Sie einfach NENNWERTE SUCHEN in der Liste. Während diese Option aktiv ist, fordert Sie PC-DMIS jedes Mal, wenn ein zu ändernder Wert ausgewählt wird, auf, die entsprechenden Messungen am Werkstück vorzunehmen und so die benötigten Werte zu ermitteln.

Listeneintrag | Beschreibung
Nennwertsuche Wenn Sie in der Liste Modus die Option NENNWERTE SUCHEN wählen, bestimmt PC-DMIS im CAD-Modell die dem Meßpunkt am nächsten gelegene Position auf einer CAD-Kante (oder Oberfläche) und stellt die Nennwerte auf diese Position im CAD-Element ein.

So suchen Sie Nennwerte anhand von CAD-Daten:

  1. Überprüfen Sie, ob PC-DMIS auf den Kurvenmodus oder Oberflächenmodus (in der Symbolleiste Grafikmodi verfügbar) eingestellt ist, je nachdem, was für das jeweilige Werkstückprogramm erforderlich ist.
  2. Klicken Sie im Grafikfenster auf das gewünschte CAD-Element. PC-DMIS durchstößt das CAD-Element, um die Position zu ermitteln, erstellt aber kein Element. Sobald die gewünschten Elemente gewählt sind, setzt PC-DMIS automatisch die Werte für die Variablen X, Y, Z sowie I, J, K ein.
  3. Sind die Werte zufriedenstellend, klicken Sie auf die Befehlsschaltfläche Erstellen.

ACHTUNG: Wenn das Feld Messen ausgewählt wird, mißt PC-DMIS das Werkstück.

Wird ein Meßpunkt für das Werkstück im Modus NENNWERTE SUCHEN aufgenommen, durchsucht PC-DMIS die CAD-Elemente und findet die CAD-Nennwerte, die dem Meßpunkt am nächsten kommen. Eventuell fordert PC-DMIS Sie auch auf, weitere Meßpunkte am Werkstück aufzunehmen.

Bei der nächsten Werkstückmessung setzt PC-DMIS die Nennwerte auf das nächstliegende gefundene CAD-Element. Der Modus wird dann auf NENNWERTE zurückgesetzt.

Nennwertsuche mit starren Tastern:

Faro- oder Romer-Arme mit starren Tastern erzielen keine guten Antastvektoren. PC-DMIS kann aus diesem Grund nicht leicht bestimmen, an welcher Stelle nach den Oberflächen gesucht werden soll.

So verbessern Sie die Vektoren von starren Tastern:

  1. Plazieren Sie den starren Taster auf dem Werkstück.
  2. Drücken Sie auf die Schaltfläche Meßpunkt.
  3. Bewegen Sie den Taster entlang des ungefähren Oberflächenvektors vom Werkstück weg.
  4. Klicken Sie auf Ende.

PC-DMIS berechnet und verwendet den Vektor zwischen dem Meßpunkt und der Position der Tastspitze.

Je rechtwinkliger der Vektor zur Oberfläche positioniert wird, desto nützlicher ist er bei der Nennwertsuche, da für den Standardvektor eines Faro-Arms die Achse des starren Tasters verwendet wird.
Master | Wird ein Punkt erstellt, wenn die Liste Modus auf MASTER eingestellt ist, setzt PC-DMIS die Nennwerte den Meßwerten gleich, wenn das Werkstück das nächste Mal gemessen wird. Die Liste Modus wird dann auf NENNWERTE zurückgesetzt.
Nennwerte | Für die Option NENNWERTE müssen Nennwerte vorliegen, bevor der Meßvorgang begonnen wird. PC-DMIS vergleicht das gemessene Element mit den theoretischen Daten im Dialogfeld und verwendet das gemessene Element als Grundlage für eventuell erforderliche Berechnungen.
Nennachse festlegen Mit der Option NENNACHSE FESTLEGEN können Sie vor jeder Ausführung die Position des Nennpunkts und die theoretische Antastrichtung aktualisieren. Wenn Sie das Kontrollkästchen Achsen im Bereich Lage markieren, werden die CAD-Oberflächen entlang dieser Achse durchstoßen. Ansonsten wird der Aktualisierungsvektor verwendet.

Anhand der Auswahl von Achse oder Vektor werden die Achse oder der Vektor bestimmt, entlang derer die CAD-Oberflächen durchstoßen wird, um einen neuen theoretischen Wert und ein neues Ziel zu finden.

So wählen Sie die Option NENNACHSE FESTLEGEN aus:

  1. Achten Sie darauf, daß das Feld Erweiterte Blechoptionen einblenden ausgewählt ist (Siehe auch "Erweiterte Blechoptionen einblenden" im Abschnitt "Voreinstellungen").
  2. Wählen Sie ggf. im Bereich Lage eines der Achsenkontrollkästchen aus.
  3. Klicken Sie im Dialogfeld in der Liste Modus auf die Option NENNACHSE FESTLEGEN.
  4. Wenn Sie alle verbleibenden Elemente des Auto-Elements definiert haben, klicken Sie auf die Schaltfläche Erstellen. Für NENNACHSE SUCHEN wird dann entweder die ausgewählte Achse oder der ausgewählte Vektor festgesetzt.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: NENNACHSE SUCHEN = TOG

TOG steht für die Achse oder den Vektor, der für NENNACHSE SUCHEN festgesetzt wurde. Für TOG sind folgende Optionen verfügbar:
X-ACHSE
Y-ACHSE
Z-ACHSE
VEK
KEINE

Wenn Sie keine Achse auswählen, wird standardmäßig folgendes wiedergegeben: NENNACHSE SUCHEN = VEK

Hinweis: Diese Option ist nur für die Auto-Elemente Vektor- und Oberflächenpunkt verfügbar.


Bereich "Relative Messung"

Über den Bereich Relative Messung können Sie die relative Position und Ausrichtung zwischen einem gegebenen Element (oder mehreren Elementen) und dem Auto-Element halten. Klicken Sie auf die Schaltfläche Details..., um das Dialogfeld Relatives Element einzublenden.

In diesem Dialogfeld haben Sie folgende Auswahlmöglichkeiten:

  1. Ein Einzelelement aus der Liste rechts.
  2. Mehrere Elemente (eins für jede Achse) aus den Listen rechts.

Nachdem Sie die Elemente (oder das Element) ausgewählt und auf OK geklickt haben, werden die ausgewählten Elemente (bzw. das ausgewählte Element) im Bereich Relative Messung angezeigt. Diese Option unterstützt die Formate RMEAS 1, 3 und 6 von DMIS V3.0. Weitere Informationen zum Einrichten einer relativen Messung finden Sie unter Einrichten einer relativen Messung.


Kontrollkästchen "Zeige Parameter"

Das Kontrollkästchen Zeige Parameter bestimmt, ob PC-DMIS in den Feldern des Bearbeitungsfensters die nachfolgenden Parameter für das Auto-Element anzeigt:

  • THEO_STÄRKE
  • KART/POLAR
  • EINRASTEN
  • AUTOM. BEWEGUNG
  • ABSTAND


Kontrollkästchen "Zeige Meßpunkte"

Das Kontrollkästchen Zeige Meßpunkte bestimmt, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des automatischen Elements verwendeten Meßpunkte anzeigt.


Bereich "Auto"

Im Bereich Autom. des Dialogfelds sind einige oder alle der folgenden Elemente enthalten, je nachdem, welches Auto-Element erstellt wurde:

Siehe auch:

Kontrollkästchen "PHx"

Kontrollkästchen "Bei Fehler"

Kontrollkästchen "Lese Pos."

Kontrollkästchen "Kreisbewegung"

Kontrollkästchen "Neu-Messen"

Kontrollkästchen "THEO verwenden"

Bewegungsabstand

Feld "Abstand"

Kontrollkästchen "Element suchen"


Kontrollkästchen "PHx"

Das Kontrollkästchen PHx im Bereich Auto zeigt die aktuellen Einstellungen von AUTO PHx an. Wenn dieses Kontrollkästchen nicht markiert ist, verwendet PC-DMIS die aktuelle PHx-Position für sämtliche Meßpunkte. Wenn das Kontrollkästchen PHx markiert ist, wählt PC-DMIS eine Position, die der optimalen Antastrichtung am nächsten kommt.

  • Bei Kanten- und Winkelpunktelementen ist die beste Antastrichtung das Mittel der beiden Oberflächenvektoren.
  • Bei Eckpunktelementen ist die beste Antastrichtung das Mittel der drei Oberflächenvektoren.
  • Bei allen anderen Auto-Elementtypen ist die beste Antastrichtung der Oberflächenvektor des Elements.

Diese Option kann auch global aktiviert werden, indem Sie das Kontrollkästchen Wrist für Taster kopf automatisch einstellen aktivieren. Siehe auch "Wrist für Tastkopf automatisch einstellen" im Abschnitt "Voreinstellungen".


Kontrollkästchen "Bei Fehler"

Mit dem Kontrollkästchen Bei Fehler im Bereich Auto läßt sich die Fehlerkontrolle verbessern, wenn PC-DMIS einen unerwarteten oder verfehlten Meßpunkt ermittelt.

Bei Auswahl dieses Kontrollkästchens verfährt PC-DMIS folgendermaßen:

  • Die Position wird automatisch gelesen (siehe Schaltfläche "Lese Pos./Position lesen"), wenn während des Meßzyklus ein unerwarteter oder verfehlter Tastermeßpunkt ermittelt wird.
  • Das gesamte Element wird auf Basis der neuen mit "Position lesen" ermittelten Position gemessen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

BEIFEHLER = TOG

TOG: Über dieses Feld wird zwischen JA (Ein) und NEIN (Aus) umgeschaltet.

Zusätzliche Informationen darüber, welche Optionen sich Ihnen bieten, wenn PC-DMIS unerwartete oder verfehlte Meßpunkte ermittelt, finden Sie unter "Verzweigung bei einem KMG-Fehler" im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".

Hinweis: Diese Option für alle Meßtypen der Auto-Elemente anwendbar, außer Vektorpunkt, Oberflächenpunkt, Kugel und Extrempunkt.


Kontrollkästchen "Position lesen"

Das Kontrollkästchen "Position lesen" wird unmittelbar vor dem Messen eines Elements eingesetzt. PC-DMIS hält über der Oberfläche an und fragt Sie, ob die aktuellen Daten verwendet werden sollen.

  • Wenn Sie hier auf die Schaltfläche Nein klicken, müssen Sie den Taster an die gewünschte Position setzen, bevor der Meßvorgang fortgesetzt werden kann.
  • Wenn Sie auf Ja klicken, mißt PC-DMIS das Element, verwendet jedoch die aktuellen Tasterdaten.

Hinweis: "Position lesen" ist nur im CNC-Modus verfügbar.

Verwenden von "Position lesen" mit einem Auto-Kreis:

Wenn Sie als Antwort auf die Schaltfläche Ja klicken, muß der Taster in einer zylindrischen Zone über dem Kreis plaziert werden.

Plazieren des Taster in der zylindrischen Zone: Der Benutzer muß den Taster nur in die Mitte des imaginären 3D-Zylinders des Lochs plazieren. Tiefe und Ausrichtung der Messungen werden durch einen der folgenden Faktoren bestimmt:

  • RMESS -Element: Wenn Sie ein RMESS-Element vorgeben, geht PC-DMIS davon aus, daß das Loch im Verhältnis zu dem betreffenden Element (oder den Elementen) gemessen werden soll. Daher wird anhand dieses Elements (dieser Elemente) die Oberflächennormale und Tiefe der Messung bestimmt, wohingegen mit "Position lesen" die anderen beiden Achsen der Verschiebung bestimmt werden.
  • Element suchen: Wird bei Wahl von Element suchen die das Loch umgebende Oberfläche mindestens einmal berührt, korrigiert PC-DMIS alle drei Achsen. Zwei der Achsen basieren auf der Tasterlage nach Auffinden des Lochs, und die dritte Achse entlang des vertikalen Oberflächenvektors basiert auf der zuletzt berührten Oberfläche. Durch "Element suchen" wird kein RMESS-Element übergangen.
  • Stützpunkte: Falls Stützpunkte verwendet werden, haben sie bei der Bestimmung von Ausrichtung und Tiefe der Lochmessung immer höchste Priorität.
  • Keine der voranstehenden Optionen: Wird keine der voranstehenden Optionen genutzt, mißt PC-DMIS das Loch auf Basis der für Ziel und Tiefe angegebenen Werte, die um die Tasterplazierung innerhalb der zylindrischen Zone korrigiert werden.

    Hinweis: Position lesen ist nur im CNC-Modus verfügbar.


Kontrollkästchen "Kreisbewegung"

Wenn das Kontrollkästchen "Kreisbewegung" gewählt ist, bewegt sich der Taster in einem Bogen von einem Meßpunkt zum anderen und nicht wie sonst in einer geraden Linie. Diese Option ist besonders bei der Arbeit mit Ringnuten nützlich.

Weitere Informationen zum Einfügen von Kreisbewegungen in das Bearbeitungsfenster finden Sie unter "Einfügen eines Kreisbewegungs-Befehls" im Abschnitt "Einfügen von Bewegungen".


Kontrollkästchen "Neu messen"

Wenn das Kontrollkästchen "Neu messen" markiert ist, können Sie mit PC-DMIS ein Loch automatisch neu messen und mit den Meßwerten der ersten Messung vergleichen.


Kontrollkästchen "THEO verwenden"

Das Kontrollkästchen "THEO verwenden" veranlaßt, daß PC-DMIS anstatt der erfaßten Daten die im Dialogfeld angezeigten theoretischen Daten zur Berechnung des tatsächlichen Elements verwendet. Dies ist nützlich bei der Messung eines Zylinders mit acht Punkten (vier oben und vier unten). Dabei können drei Zylinder mit gültigen Meßwerten erstellt werden, die in einem Winkel von jeweils 90 Grad voneinander liegen. Durch Verwendung theoretischer Daten kann festgestellt werden, welche der drei Lösungen die richtige ist.

Das Kontrollkästchen ist nach Erstellen einer gültigen Ausrichtung verfügbar.


Bewegungsabstand

Über die Liste Bewegung im Bereich Auto können Sie bestimmen, ob PC-DMIS eine automatische Bewegung vom Mittelpunkt aus erzeugen soll, bevor die Stützpunkte aufgenommen werden und nachdem die Messung des Elements abgeschlossen ist.

Wenn Sie die Liste Bewegung auf BEIDES setzen, wird PC-DMIS den Taster vor und nach der Meßpunktaufnahme in dem im Feld Abstand vorgegebenen Abstand entlang dem Vektor positionieren, ohne eine Sicherheitsebene anzugeben.

Wenn Sie die Liste Bewegung auf VORHER setzen, wird PC-DMIS den Taster vor der Meßpunktaufnahme in dem im Feld Abstandvorgegebenen Abstand entlang dem Vektor positionieren, ohne eine Sicherheitsebene anzugeben.

Wenn Sie die Liste Bewegung auf DANACH setzen, wird PC-DMIS den Taster nach der Meßpunktaufnahme in dem im Feld Abstandvorgegebenen Abstand entlang dem Vektor positionieren, ohne eine Sicherheitsebene anzugeben.

Wenn die Liste Bewegung auf NEIN gesetzt wird, nimmt PC-DMIS Meßpunkte auf, ohne den Taster zu positionieren.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

AUTOM. BEWEG = TOG, ABSTAND = n

TOG: Über dieses Feld wird zwischen BEIDES, VORHER, DANACH und NEIN umgeschaltet.

n: Ein numerischer Wert, der den Abstand für die automatische Bewegung bestimmt.


Feld "Abstand"

Wenn Sie die Liste Bewegung auf JA setzen, wird das Feld Abstand zur Auswahl angezeigt. In diesem Feld können Sie die Strecke angeben, die der Taster vor der Aufnahme von Stützpunkten und nach der Aufnahme der Elementmeßpunkte zurücklegt. Der Taster bewegt sich entlang dem theoretischen Vektor.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

AUTOM. BEWEG = TOG, ABSTAND = n

TOG: Über dieses Feld wird zwischen JA (Ein) und NEIN (Aus) umgeschaltet.

n: Ein numerischer Wert, der den Abstand für die automatische Bewegung bestimmt.


Kontrollkästchen "Element suchen"

Wenn das Feld Element suchen markiert ist, bewegt sich PC-DMIS auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements und sucht dann nach dem Loch, wobei es mit Berührungsgeschwindigkeit vertikal zum Oberflächenvektor des Elements vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, daß kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, daß ein Loch vorhanden ist). Siehe auch "Prüfabstand" im Abschnitt "Verwenden des Bearbeitungsfensters".

Wenn Sie das Kontrollkästchen Element suchen aktivieren, erscheinen folgende Einträge in Auswahlliste unter dem Kontrollkästchen. Die Listeneinträge bestimmen das Vorgehen von PC-DMIS bei der Elementsuche.

ZENTRIERT – Durch diesen Eintrag wird der Taster angewiesen, sich bei der Elementsuche zur groben Schätzung des Lochmittelpunkts über die gesamte Höhe der Tiefe zu bewegen. Hierzu nimmt der Taster drei Meßpunkte auf, die in gleichmäßigem Abstand um das Loch liegen. Wenn der Taster die allgemeine Lochposition ermittelt hat, setzt er die Lochmessung auf Basis der im entsprechenden Dialogfeld Auto Element eingestellten Parameter fort. Sofern nicht die Optionen NICHT ZENT. oder NUR PUNKT gewählt wurden, ist dies das PC-DMIS-Standardverfahren, wenn das Loch gefunden wurde.

NICHT ZENT. – Dieser Eintrag hat dieselbe Wirkung wie der Eintrag ZENTRIERT, nur daß der Taster nicht drei Meßpunkte aufnimmt, um den Lochmittelpunkt grob zu schätzen. Er beginnt einfach, den Kreis auf Basis der vorhandenen im entsprechenden Dialogfeld Auto Elemente eingestellten Parameter zu messen.

NUR PUNKT – Durch diese Auswahl wird Taster angewiesen, nur einen Meßpunkt aufzunehmen. Berührt er die Oberfläche ohne ein Loch zu finden, wechselt er automatisch in die nachstehend beschriebene Funktion "Wenn das Loch nicht gefunden wird". Wenn der Taster ein Loch findet, setzt er den Vorgang mit der Option ZENTRIERT fort.

Hinweis: Wenn keine Löcher ermittelt werden können, setzt PC-DMIS automatisch die Ausführung des Werkstückprogramms fort. Weitere Hinweise dazu finden Sie unter "Ausführung bei Fehlschlagen der Elementsuche autom. fortsetzen" im Abschnitt "Voreinstellungen".

Für einen Kreis oder Zylinder

  • Wenn das Loch gefunden wird, geht PC-DMIS auf die Tiefe und nimmt drei Meßpunkte in gleichmäßigem Abstand um das Loch herum auf, um die allgemeine Position des Lochs zu bestimmen. Nach dieser generellen Korrektur mißt PC-DMIS das Loch auf Basis der vom Benutzer auf der Registerkarte für das Element definierten Parameter. Dazu gehören Stützpunkte etc. Das Verfahren ist dasselbe wie unter dem Eintrag ZENTRIERT oben beschrieben wurde.
  • Wenn das Loch nicht gefunden wird, bewegt sich PC-DMIS von der Oberfläche zurück und beginnt vom theoretischen Mittelpunkt des Elements ausgehend ein kreisförmiges Suchmuster (Elementradius – Tasterradius). Im Rahmen der Suche werden (2 * PI * Elementradius/Elementradius – Tasterradius)) Stellen um den Suchkreis herum untersucht. Wenn das Loch immer noch nicht gefunden wurde, wird der Suchradius um (Elementradius – Tasterradius) erhöht und so lange fortgesetzt, bis der Suchradius dem Vorhalteabstand entspricht. Ist der Vorhaltebereich kleiner als (Elementradius – Tasterradius) wird nur ein Suchmuster abgeschlossen.
  • Wenn das Loch auch damit nicht ermittelt wird, bewegt PC-DMIS den Taster auf die Position des Vorhaltemeßwerts über der theoretischen Mittellinie des Elements und fordert den Benutzer zum Ausführen von "Position lesen" auf (Siehe auch Schaltfläche "Lese Pos./Position lesen".)
  • Korrekturen entlang der Oberflächennormale: Wenn PC-DMIS bei der Suche anstatt auf das Loch auf eine Oberfläche trifft, wird die Suchhöhe basierend auf den gefundenen Oberflächen fortlaufend aktualisiert. Wenn das Loch gefunden wurde, wird die Meßtiefe des Lochs auf Basis der zuletzt gefundenen Oberfläche aktualisiert. Wird das Loch bei der ersten Messung gefunden, werden keine Korrekturen vorgenommen.
  • Korrekturen mit RMESS : Wenn Sie ein RMESS-Element (oder RMESS-Elemente) vorgeben, geht PC-DMIS davon aus, daß diese/s Element/e als Bezugswert für die Meßhöhe und Meßtiefe der Lochmessung verwendet werden soll/en. Deshalb ist die RMESS-Korrektur die einzige Korrektur, die entlang der Oberflächennormale vorgenommen wird.

Für ein Rechteckloch oder Langloch

  • Wenn das Loch gefunden wird, geht PC-DMIS auf die Tiefe und nimmt einen Meßpunkt auf jeder der vier Seiten des Langlochs auf. Es wird die Mitte der vier Meßpunkte korrigiert; danach werden zwei Meßpunkte auf einer der langen Seiten aufgenommen, um die Drehung des Langlochs zu korrigieren. Nachdem die allgemeine Position und Ausrichtung des Langlochs berechnet wurden, wird das Langloch auf Basis der auf der Registerkarte für das Element definierten Parameter gemessen.
  • Wenn das Loch nicht gefunden wird, bewegt sich PC-DMIS von der Oberfläche zurück und beginnt vom theoretischen Mittelpunkt des Elements ausgehend ein kreisförmiges Suchmuster (Elementradius – Tasterradius). Im Rahmen der Suche werden (2 * PI * Elementradius/Elementradius – Tasterradius)) Stellen um den Suchkreis herum untersucht. Wenn das Loch immer noch nicht gefunden wurde, wird der Suchradius um (Elementradius – Tasterradius) erhöht und so lange fortgesetzt, bis der Suchradius dem Vorhalteabstand entspricht. Ist der Vorhaltebereich kleiner als (Elementradius – Tasterradius) wird nur ein Suchmuster abgeschlossen.
  • Wenn das Loch auch damit nicht ermittelt wird, bewegt PC-DMIS den Taster auf die Position des Vorhaltemeßwerts über der theoretischen Mittellinie des Elements und fordert den Benutzer zum Ausführen von "Position lesen" auf (Siehe auch Schaltfläche "Lese Pos./Position lesen".)
  • Korrekturen entlang der Oberflächennormale: Wenn PC-DMIS bei der Suche anstatt auf das Loch auf eine Oberfläche trifft, wird die Suchhöhe basierend auf den gefundenen Oberflächen fortlaufend aktualisiert. Wenn das Loch gefunden wurde, wird die Meßtiefe des Lochs auf Basis der zuletzt gefundenen Oberfläche aktualisiert. Wird das Loch bei der ersten Messung gefunden, werden keine Korrekturen vorgenommen.
  • Korrekturen mit RMESS: Wenn Sie ein RMESS-Element (oder RMESS-Elemente) vorgeben, geht PC-DMIS davon aus, daß diese/s Element/e als Bezugswert für die Meßhöhe und Meßtiefe der Lochmessung verwendet werden soll/en. Deshalb ist die RMESS-Korrektur die einzige Korrektur, die entlang der Oberflächennormale vorgenommen wird.

Für eine Kerbe

  • Wenn das Loch gefunden wird, geht PC-DMIS auf die Tiefe, um die Tiefe des Lochs und dann das Loch selbst zu messen.
  • Wenn das Loch nicht gefunden wird, zieht PC-DMIS sich von der Oberfläche zurück und beginnt ein Suchmuster. Dieses Muster ist kreisförmig und wird um die halbe Breite vom theoretischen Elementmittelpunkt aus nach außen angepaßt (bei Kerben ist dies die Mitte der Innenkante). Im Rahmen der Suche werden acht Stellen um diese Stelle herum untersucht. Wird das Loch gefunden, geht der Taster auf die Tiefe, um die Lochtiefe und dann das Loch selbst zu messen.
  • Wenn das Loch auch damit nicht ermittelt wird, bewegt PC-DMIS den Taster auf die Position des Vorhaltemeßwerts über der theoretischen Mittellinie des Elements und fordert den Benutzer zum Ausführen von "Position lesen" auf (Siehe auch Schaltfläche "Lese Pos./Position lesen".)


Bereich "Definitionsoptionen"

PC-DMIS zeigt den Bereich Definitionsoptionen und andere Einträge für einige Auto-Elemente an, wenn Sie das Kontrollkästchen Erweiterte Blechoptionen einblenden auf der Registerkarte Allgemein im Dialogfeld Setup-Optionen aktivieren (Siehe auch "Erweiterte Blechoptionen einblenden" im Abschnitt "Voreinstellungen".)

Diese Funktionen stehen für viele automatische Punktmessungen zur Verfügung:

So ändern Sie einen Vektor:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie dann einen neuen Wert in die entsprechenden Felder ein.

Siehe auch:

IJK-Felder für "Prot. Vek."

IJK-Felder für "Ziel Vek."

IJK-Felder für "Aktualis. Vek"

IJK-Felder für "Kanten Prot."

IJK-Felder für "Oberfl. Prot."

IJK-Felder für "Stanzvektor"

IJK-Felder für "Stiftvektor"

Kontrollkästchen "Stiftvektor verwenden"

Schaltfläche "Rücksetzen"


IJK-Felder für "Protokollvektor"

In den Feldern für "Prot. Vek" wird der Vektor für Abweichungsinformationen angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen I, J, K-Vektor. Die Option RT-Lagemerkmal zeigt die entlang diesem Vektor berechnete Abweichung an.

Wenn der neue Wert erstellt und das Dialogfeld wieder geschlossen wurde, richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß sie eine (1) Einheit beträgt.


IJK-Felder für "Zielvektor"

IJK-Felder für "Ziel Vek"

In den IJK-Feldern für "Ziel Vek" wird die Antastrichtung für den aufgenommenen Meßpunkt angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor. Der I, J, K-Vektor sollte stets von der Oberfläche wegzeigen.

Wenn der neue Wert erstellt und das Dialogfeld wieder geschlossen wurde, richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß sie eine (1) Einheit beträgt.


IJK-Felder für "Aktualisierungsvektor"

IJK-Felder für "Aktualis. Vek"

In den IJK-Feldern für "Aktualis. Vek" wird der Aktualisierungsvektor angezeigt, der zum Durchstoßen der CAD-Oberfläche verwendet wird, wenn diese Option durch Einstellung des Modus' NENNACHSE FESTLEGEN aktiviert wurde. Hierbei handelt es sich um einen vom Benutzer eingegebenen vertikalen I, J, K-Vektor. Der I, J, K-Vektor sollte stets von der Oberfläche wegzeigen.

Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß sie eine (1) Einheit beträgt.


IJK-Felder für "Kantenprotokoll"

IJK-Felder für "Kanten Prot."

In den IJK-Feldern für "Kanten Prot." wird der Vektor für Abweichungsinformationen angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen I, J, K-Vektor. Das unter Lage (unter Merkmal) befindliche Kontrollkästchen RT zeigt die entlang diesem Vektor berechnete Abweichung an.

Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß sie eine (1) Einheit beträgt.


IJK-Felder für "Oberflächenprotokoll"

IJK-Felder für "Oberfl. Prot."

In den IJK-Feldern für "Oberfl. Prot." wird der Vektor für Abweichungsinformationen angezeigt. Hierbei handelt es sich um einen vom Benutzer eingegebenen I, J, K-Vektor. Das unter Lage (unter Merkmal) befindliche Kontrollkästchen RS zeigt die entlang diesem Vektor berechnete Abweichung an.

Nach Erstellung des neuen Werts richtet PC-DMIS den Vektor vertikal aus und stellt dessen Länge so ein, daß sie eine (1) Einheit beträgt.


IJK-Felder für "Stanzvektor"

Die IJK-Felder für "Stanzvektor" bestimmen die Richtung für die Blechstanzung. Dieser Vektor liegt am Mittelpunkt XYZ plus der Hälfte der Stärke entlang der Oberflächennormalen.

Bei einem Kreiselement verläuft der Durchmesser des Kreises ebenfalls entlang diesem Vektor.


IJK-Felder für "Stiftvektor"

Die IJK-Felder für "Stiftvektor" bestimmen die Richtung des Bolzens durch das gestanzte Loch.


Kontrollkästchen "Stiftvektor verwenden"

Wird das Kontrollkästchen "Stiftvektor verwenden" aktiviert, sind die Optionen Stanzvektor und Stiftvektor zur Bearbeitung verfügbar. Ist das Kontrollkästchen Stiftvektor verwenden nicht aktiviert, können die Optionen Stanzvektor und Stiftvektor nicht bearbeitet werden.


Schaltfläche "Rücksetzen"

Mit der Schaltfläche Rücksetzen können Sie die Stützvektoren auf die Werte für den IJK-Normalvektor zurücksetzen. Die Stützvektoren beinhalten Messung, Protokoll, Aktualisieren, Bolzen und Stanzung.


Schaltflächen "Erweitert" und "Basis"

Mit der Schaltfläche Erweitert>> können Sie die Erweiterungsfunktionen des Dialogfelds Auto Elemente anzeigen. Wenn Sie auf diese Schaltfläche klicken, wird das Dialogfeld erweitert, und die erweiterten Funktionen für das entsprechende Auto-Element werden angezeigt. Die Schaltfläche << Basis wird verfügbar.

Wenn Sie auf die Schaltfläche << Basis klicken, wird das Dialogfeld verkleinert, und es werden nur die grundlegenderen Funktionen für das Auto-Element angezeigt.

Die Schaltflächen Erweitert und Basis unterscheiden sich vom Kontrollkästchen Erweiterte Blechoptionen einblenden auf der Registerkarte Allgemein des Dialogfelds Setup-Optionen (siehe auch "Erweiterte Blechoptionen einblenden" im Abschnitt "Voreinstellungen").


Schaltfläche "Zeige Punkte"

Über die Schaltfläche Zeige Punkte wird das Dialogfeld Element- Meßpunk ziele eingeblendet, mit dem Sie individuelle Meßpunktdaten für Auto-Elemente, die diese Schaltfläche unterstützen, anzeigen, bearbeiten oder löschen können. Hierzu gehören auch die Elemente Auto-Kreis, Auto-Zylinder, Auto-Kugel und Auto-Kegel. Die Schaltfläche Zeige Punkte..., die in einigen Dialogfeldern für Gemessenes Element erscheint, hat dieselbe Funktion.

Weitere Informationen zur Verwendung des Dialogfelds Element-Meßpunktziele finden Sie unter "Zeige Punkte" im Abschnitt "Erstellen von gemessenen Elementen".


Schaltfläche "Erzeugen" im Fenster "Auto-Elemente"

Schaltfläche "Erzeugen" für Auto-Elemente

Über die Schaltfläche Erzeugen wird aus den im Dialogfeld angezeigten Nennwerten ein Element erstellt.

Ist das Kontrollkästchen Messen markiert und das System befindet sich im CNC-Modus, mißt PC-DMIS das gewünschte Element automatisch. Befindet sich das System im MANUELLEN Modus, fordert PC-DMIS Sie auf, die erforderlichen Meßpunkte aufzunehmen.


Erstellen eines Auto-Vektorpunkts

Feat Type Auto Feature Type List Hotspot 13 Advanced / Basic buttons Measure Clear Plane Orientation Properties Location Auto Misc Definition Options ID Close Create

Mit der Meßoption Vektorpunkt können Sie eine Nennpunktposition sowie die theoretische Antastrichtung definieren, mit der das KMG den definierten Punkt messen soll.

Um auf die Option Vektorpunkt zuzugreifen, öffnen Sie das gleichnamige Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Vektorpunkt-Felddefinitionen

Messen eines Vektorpunkts


Vektorpunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Vektorpunkt lautet wie folgt:
M-ID=AUTO/VEKTORPUNKT, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN= NEIN
THEO/ TX,TY,TZ,TI,TJ,TK,
IST/ X,Y,Z,I,J,K
ZIEL/ Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K
THEO_STÄRKE = n, TOG, EINRASTEN = J/N
AUTOM. BEWEG = J/N, ABSTAND = n

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, EINRASTEN, AUTOM. BEWEG und ABSTAND anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

EINRASTEN = Mit dieser Umschaltoption (JA/NEIN) können Sie angeben, ob PC-DMIS auf dem theoretischen Antastvektor "einrasten" soll, um KMG-Positionsfehler zu vermeiden.

THEO/ = Dieser Wert stellt den Nennwert-Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTOM. BEWEG bewegt.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".

Siehe auch:

Erweiterte Vektorpunkt-Felddefinitionen


Erweiterte Vektorpunkt-Felddefinitionen

Die Befehlszeile im Bearbeitungsfenster für dieses Element sieht unter Verwendung der erweiterten Optionen wie folgt aus:
M-ID=AUTO/VEKTORPUNKT, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K
ZIEL/ Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K
THEO_STÄRKE = n, TOG, EINRASTEN = J/N
AUTOM. BEWEG = J/N, ABSTAND = n
NENNACHSE SUCHEN = x, AKTUALISIERVEK = I,J,K
MESSVEK = I,J,K, PROTOKOLLVEK = I,J,K

Hinweis: THEO / stellt die theoretische Meßpunktlage dar. IST/ stellt die tatsächlich gemessene Punktlage dar.

NENNACHSE SUCHEN = Hierbei handelt es sich um eine Umschaltoption, mit der die X-ACHSE, Y-ACHSE, Z-ACHSE oder der VEKTOR gesucht werden können. Ist diese Option auf KEINE, wird die Nennachse nicht gesucht.

AKTUALISIERUNGSVEK = Hier wird der Aktualisierungsvektor angegeben, der zur Bestimmung der CAD-Oberfläche verwendet werden soll, wenn der Modus NENNACHSE FESTLEGEN aktiv ist. Diese Werte können bearbeitet werden.

MESSVEK = Hier wird die Antastrichtung für den aufgenommenen Meßpunkt angegeben. Diese Werte können bearbeitet werden.

PROTOKOLLVEK = Hier wird der Vektor angegeben, der für die Protokollierung von Abweichungsinformationen verwendet wird. Diese Werte können bearbeitet werden.


Messen eines Vektorpunkts

PC-DMIS bietet mit der Option Auto mehrere Methoden zum Messen eines Vektorpunkts. Sie werden nachstehend beschrieben:

  • Eingabedaten für einen Vektorpunkt
  • KMG-Oberflächendaten für einen Vektorpunkt
  • Angabe der Oberflächendaten für einen Vektorpunkt auf dem Bildschirm
  • KMG-Drahtmodelldaten für einen Vektorpunkt
  • Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm
  • Bestimmung eines Vektorpunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für einen Vektorpunkt

KMG-Oberflächendaten für einen Vektorpunkt

Angabe der Oberflächendaten für einen Vektorpunkt auf dem Bildschirm

KMG-Drahtmodelldaten für einen Vektorpunkt

Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm

Bestimmung eines Vektorpunkts ohne Zuhilfenahme von CAD-Daten


Eingabedaten für einen Vektorpunkt

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Vektorpunkt eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für einen Vektorpunkt

Um einen Vektorpunkt anhand von Oberflächendaten mit dem KMG zu generieren, berühren Sie die gewünschte Werkstückoberfläche mit dem Taster. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt.

  • Wenn der Berührungspunkt tatsächlich in der Nähe der Oberflächendaten liegt, das Kontrollkästchen Messen nicht markiert ist und die Taste Fertig am Bedienelement gedrückt wird, wird das Punktelement erstellt und sofort im Bearbeitungsfenster eingefügt. Wenn der Berührungspunkt in der Nähe der Oberflächendaten liegt, das Kontrollkästchen Messen jedoch markiert ist, werden die Oberflächendaten zwar verwendet, das Element wird jedoch erst bei Auswahl der Schaltfläche Erzeugen erstellt.
  • Liegt der Berührungspunkt nicht in der Nähe der Oberflächendaten, behandelt PC-DMIS die Berührung als tatsächlichen Meßpunkt und zeigt die Meßpunktposition und den Antastvektor an.
  • Wird ein zweiter Meßpunkt aufgenommen, bevor die Schaltfläche Erzeugen gewählt wird, werden die Positionsdaten des zweiten Meßpunkts verwendet.
  • Wenn ein dritter Meßpunkt aufgenommen wird, werden die drei Meßpunkte zur Bestimmung eines Antastvektor verwendet. Die Position wird auf der Grundlage des letzten Meßpunkts bestimmt.
  • Werden mehr als drei Meßpunkte aufgenommen, werden alle Meßpunkte außer dem zuletzt aufgenommenen verwendet, um den Antastvektor zu bestimmen. Der zuletzt aufgenommene Meßpunkt dient immer zur Positionsbestimmung.


Angabe der Oberflächendaten für einen Vektorpunkt auf dem Bildschirm

So erzeugen Sie einen Vektorpunkt mit Hilfe von Oberflächendaten:

  1. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Lage des Punkts (auf der Oberfläche) zu bestimmen.
  2. Klicken Sie auf die Oberfläche. PC-DMIS markiert die ausgewählte Oberfläche.
  3. »
  4. Vergewissern Sie sich, daß die richtige Oberfläche gewählt wurde.«

PC-DMIS durchstößt die markierte Oberfläche und zeigt Position und Vektor des ausgewählten Punkts an. Die Richtung des vertikalen Oberflächenvektors wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, überschreibt PC-DMIS die angezeigten Informationen durch die neuen Daten.


KMG-Drahtmodelldaten für einen Vektorpunkt

So erzeugen Sie einen Vektorpunkt mit Drahtmodelldaten:

  • Der zuerst aufgenommene Meßpunkt gibt die Nennwerte X, Y und Z an. PC-DMIS zeigt auch den Vektor I, J, K an. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an. Sie können diese Daten übernehmen oder unter Befolgung der im Meldungsfeld angezeigten Hinweise weitere Meßpunkte anfordern. Durch Aufnahme eines zweiten Meßpunkts werden Meßpunktposition und Antastvektor anhand des neuesten Meßpunkts aktualisiert.
  • Bei Aufnahme eines dritten Meßpunkts wird der angezeigte Nennwert für X, Y und Z auf die Position des aktuellen Meßpunkts geändert. PC-DMIS erstellt aus den drei Meßpunkten eine Ebene, um den I, J, K-Antastvektor zu ermitteln.
  • Durch die Aufnahme weiterer Meßpunkte wird die Meßpunktposition anhand der neuesten Meßpunktdaten aktualisiert. Der Antastvektor wird ebenfalls aktualisiert, so daß er den Durchschnittswert aller bisherigen Meßpunkte (mit Ausnahme des neuesten Meßpunkts) für den Vektorpunkt wiedergibt.

Sie können die angezeigten Daten jederzeit nach Aufnahme des ersten, zweiten oder dritten Meßpunkts übernehmen. Auch wenn der dritte Meßpunkt nicht übernommen wird, setzt PC-DMIS das System intern zurück, so daß der nächste (vierte) Meßpunkt der erste Meßpunkt einer Meßpunktserie wird.


Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm

So erzeugen Sie einen Vektorpunkt mit Drahtmodell-CAD-Daten:

  1. Wählen Sie zwei Kanten (Drähte) der Oberfläche aus, auf der der Zielpunkt liegen soll, indem Sie mit der linken Maustaste auf die gewünschten Drähte klicken. (Diese Drähte sollten sich auf derselben Oberfläche befinden.) PC-DMIS markiert die ausgewählten Drähte.
  2. Vergewissern Sie sich, daß die richtigen Drähte ausgewählt wurden. Anschließend wird eine Meldung angezeigt.
  3. Wählen Sie den Zielpunkt auf der erstellten Oberfläche aus. Diese zuletzt getroffene Auswahl wird auf die Ebene projiziert, die von den beiden Drahtvektoren und der Höhe des ersten Drahts gebildet wird.


Bestimmung eines Vektorpunkts ohne Zuhilfenahme von CAD-Daten

So generieren Sie den Vektorpunkt, ohne CAD-Daten zu verwenden:

  • Der zuerst aufgenommene Meßpunkt gibt die Nennwerte X, Y und Z an. Außerdem zeigt PC-DMIS den Antastvektor I, J, K für diesen Meßpunkt an. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an. Sie können diese Daten übernehmen oder unter Befolgung der im Meldungsfeld angezeigten Hinweise weitere Meßpunkte anfordern.
  • Durch Aufnahme eines zweiten Meßpunkts werden Meßpunktposition und Antastvektor anhand des neuesten Meßpunkts aktualisiert.
  • Bei Aufnahme eines dritten Meßpunkts wird der angezeigte Nennwert für X, Y und Z auf die Position des aktuellen Meßpunkts geändert. PC-DMIS erstellt aus den drei Meßpunkten eine Ebene, um den I, J, K-Antastvektor zu ermitteln.
  • Durch die Aufnahme weiterer Meßpunkte wird die Meßpunktposition anhand der neuesten Meßpunktdaten aktualisiert. Der Antastvektor wird ebenfalls aktualisiert, so daß er den Durchschnittswert aller bisherigen Meßpunkte (mit Ausnahme des neuesten Meßpunkts) für den Vektorpunkt wiedergibt.


Erstellen einer Auto-Linie

autoline Display Hits Button Hits Area Hotspot 16 Feat Type Auto Feature Type List Hotspot 13 Advanced / Basic buttons Measure Clear Plane Orientation Properties Location Auto Misc Definition Options ID Close Create Mit der Meßoption "Linie" können Sie eine theoretische Linie definieren, die das KMG bei der Messung der definierten Linie zugrundelegen wird.

Um die Option Linie zu öffnen, wählen Sie das gleichnamige Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Linien-Felddefinitionen

Messen einer Linie


Linien-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters eines Beispiel für eine Auto-Linie lautet wie folgt:
M-ID=AUTO/OBERFLÄCHENPUNKT, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN= J/N THEO/ TX1,TY1,TZ1,TX2,TY2,TZ2,TLÄNGE
IST/ X1,Y1,Z1,X2,Y2,Z2,LÄNGE
ZIEL/ Ziel X1,Ziel Y1,Ziel Z1, Ziel X2,Ziel Y2,Ziel Z2,
THEO_STÄRKE = n, TOG1, TOG2, EINRASTEN = J/N
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
ANZPKTE = n, TIEFE = n,
KANTENVEK = I,J,K

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, BEGR/ UNBEGR, AUTOM. BEWEG, ABSTAND, RMESS, ANZPKTE, TIEFE und KANTENVEK anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Werkstückstärke an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Hierbei handelt es sich um eine Umschaltoption. Mit dieser Option kann zwischen einer begrenzten (BEGR) und unbegrenzten (UNBEGR) Linie umgeschaltet werden.

ONERROR = This is a YES/NO field that allows improved error checking when PC-DMIS detects an unexpected or missed hit.

THEO/ = Dieser Wert stellt den Nennwert-Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt die Entfernung an, über die sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

ANZPKTE = Dieser Wert kann bearbeitet oder geändert werden, um die Anzahl der für die Linie gültigen Meßpunkte wiederzugeben.

TIEFE = Dieser Wert bestimmt den Abstand von der Kante, von der aus PC-DMIS die Linienmeßpunkte aufnimmt.

KANTENVEK = Hier wird die Antastrichtung für den zur Erzeugung der Linie aufgenommenen Kantenmeßpunkt angegeben.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".


Erstellen von Auto-Elementen - Erstellen einer Auto-Linie - Messen einer Linie

Messen einer Linie

PC-DMIS bietet mit der Option Auto mehrere Methoden zum Messen eines Vektorpunkts. Sie werden nachstehend beschrieben:

  • Eingabedaten für eine Linie
  • KMG-Oberflächendaten für eine Linie
  • Angabe der Oberflächendaten für eine Linie auf dem Bildschirm
  • KMG-Drahtmodelldaten für eine Linie
  • Angabe der Drahtmodelldaten für eine Linie auf dem Bildschirm
  • Bestimmung einer Linie ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für eine Linie

Drahtmodell für eine Linie auf dem Bildschirm

KMG-Drahtmodelldaten für eine Linie

Angabe der Drahtmodelldaten für eine Linie auf dem Bildschirm

Bestimmung einer Linie ohne Zuhilfenahme von CAD-Daten


Eingabedaten für eine Linie

Mit dieser Methode können Sie die erforderlichen Werte zur Erzeugung einer Auto-Linie eingeben:

So erstellen Sie eine begrenzte Linie:

  1. Wählen Sie die Option Begrenzt.
  2. Geben Sie die Anzahl der Meßpunkte im Feld Meßpunkte ein.
  3. Geben Sie die Tiefe für die Linie in das Feld Tiefe ein.
  4. Geben Sie die X-, Y- und Z-Werte für die Start- und Endpunkte ein.
  5. Geben Sie die I-, J-, K-Vektoren ein.
  6. Nehmen Sie gegebenenfalls weitere Eingaben im Dialogfeld vor.
  7. Klicken Sie auf Erzeugen. PC-DMIS erzeugt eine Linie auf Basis der im Dialogfeld eingegebenen Werte.

So erstellen Sie eine unbegrenzte Linie:

  1. Klicken Sie auf die Option Unbegrenzt.
  2. Geben Sie die Anzahl der Meßpunkte im Feld Meßpunkte ein.
  3. Geben Sie die Tiefe für die Linie in das Feld Tiefe ein.
  4. Geben Sie die X-, Y- und Z-Werte für die Start- und Endpunkte ein.
  5. Geben Sie die I-, J-, K-Vektoren ein.
  6. Geben Sie Linienlänge in das Feld Länge ein.
  7. Nehmen Sie gegebenenfalls weitere Eingaben im Dialogfeld vor.
  8. Klicken Sie auf Erzeugen. PC-DMIS erzeugt eine Linie auf Basis der im Dialogfeld eingegebenen Werte.


Drahtmodell für eine Linie auf dem Bildschirm

So erzeugen Sie anhand von Drahtmodelldaten eine Linie auf dem Bildschirm:

  1. Wählen Sie zwei Kanten (Drähte) der Oberfläche aus, auf der die Zielpunkte liegen sollen, indem Sie mit der linken Maustaste auf die gewünschten Drähte klicken (wenn Sie durch einen zweiten Punkt begrenzt sind, ansonsten klicken Sie nur einmal). Diese Drähte sollten sich auf derselben Oberfläche befinden.
  2. PC-DMIS wird die Startposition und – wenn eine begrenzte Linie erzeugt wird – die Position des Endpunkts zeichnen. Zudem werden die Linien- und Kantenpunktvektoren gezeichnet.
  3. Vergewissern Sie sich, daß die richtigen Drähte ausgewählt wurden.
  4. Ändern Sie gegebenenfalls weitere Optionen im Dialogfeld.
  5. Klicken Sie auf Erzeugen. PC-DMIS erzeugt eine Linie.


KMG-Drahtmodell für eine Linie

So erzeugen Sie einen Vektorpunkt mit Drahtmodelldaten:

  • Der zuerst aufgenommene Meßpunkt gibt den theoretischen X-, Y-, Z- Startpunkt an. Mit einem zweiten Meßpunkt (der erforderlich ist, wenn Begrenzt ausgewählt wurde) wird der Endpunkts für die Linie erzeugt. Nach Aufnahme des zweiten Meßpunkts zeigt PC-DMIS auch den Linienvektor I, J, K und den Kantenvektor I, J, K an.
  • Alle weitere Meßpunkte werden in gleichmäßigem Abstand entlang der Linie verteilt. Der Antastvektor wird ebenfalls aktualisiert, so daß er den Durchschnittswert aller bisherigen Meßpunkte (mit Ausnahme des neuesten Meßpunkts) für den Vektorpunkt wiedergibt.

Sie können die angezeigten Daten jederzeit nach Aufnahme des zweiten Meßpunkts übernehmen.


Angabe der Drahtmodelldaten für eine Linie auf dem Bildschirm

So erzeugen Sie einen Linie mit Drahtmodell-CAD-Daten:

  1. Wählen Sie zwei Kanten (Drähte) der Oberfläche aus, auf der die Zielpunkte liegen sollen, indem Sie mit der linken Maustaste auf die gewünschten Drähte klicken. (Diese Drähte sollten sich auf derselben Oberfläche befinden.) PC-DMIS wird die Positionen der Start- und Endpunkte (mit den Linien- und Kantenpunktvektoren) im Grafikfenster zeichnen.
  2. Vergewissern Sie sich, daß die richtigen Drähte ausgewählt wurden.
  3. Klicken Sie auf Erzeugen. PC-DMIS erzeugt eine Linie zwischen den Start- und Endpunktlagen.


Bestimmung einer Linie ohne Zuhilfenahme von CAD-Daten

So erzeugen Sie eine Linie, ohne CAD-Daten zu verwenden:

  1. Klicken Sie auf Begrenzt oder Unbegrenzt.
  2. Wenn Sie Begrenzt ausgewählt haben, nehmen Sie zwei Meßpunkte auf. Wenn Sie Unbegrenzt gewählt haben, nehmen Sie einen Meßpunkt auf.
  3. Wählen Sie gegebenenfalls weitere Einträge im Dialogfeld aus.
  4. Klicken Sie auf Erzeugen.


Erstellen einer Auto-Ebene

Close Create Display Hits Advanced / Basic buttons Auto Misc Measure Clear Plane Orientation Hotspot 6 Properties Hits Location ID Auto Feature Type List

Mit der automatischen Ebenenoption können Sie eine Ebenenmessung definieren. Zum Messen einer Ebene werden mindestens drei Meßpunkte benötigt.

Um die Option Ebene zu öffnen, wählen Sie das gleichnamige Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Ebenen-Felddefinitionen

Messen einer Ebene


Ebenen-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für eine Beispielebene lautet wie folgt:
E-ID=AUTO/EBENE, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = J/N
THEO/ TX,TY,TZ,TI,TJ,TK,
IST/ X,Y,Z,I,J,K
ZIEL/ Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K
STÄRKE = n, TOG1, TOG2
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
ANZPKTE = n, ANZREIHEN = n, ABSTAND = n, TOG3 WINKELVEK = I,J,K

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, GAUSS, AUTOM. BEWEG, ABSTAND, RMESS, POS. LESEN, BOHRUNG SUCHEN, NEU MESSEN, ANZPKTE, ERSTE, PERM, ABSTAND, STEIGUNG, STARTWINKEL, ENDWINKEL, TIEFE und WINKELVEK anzeigt oder nicht.

MESSPUNKTE_EINBLENDEN = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Element verwendeten Meßpunkte anzeigt oder nicht.

Wenn Sie von DMIS Meßpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Meßpunkts manuell ändern, werden die Meßpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretische Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Meßpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Meßpunktdaten und zeichnet die Meßpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZMESSPKTE", "WINKELVEK", "DURCHM.", "LÄNGE", "BREITE", "HÖHE", "INNEN/AUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

STÄRKE = Dieses Feld kann zwischen THEO_STÄRKE und IST_STÄRKE umgeschaltet werden. Der Wert, der bearbeitet werden kann, zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Dieses Feld kann zwischen DREIECK und UMRISS umgeschaltet werden. Damit wird festgelegt, ob das Punktemuster ein Dreieck- oder Umrißmuster ist.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt die Entfernung an, über die sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

ANZPKTE = Dieser Wert, der bearbeitet werden kann, bestimmt die Anzahl der Meßpunkte, die PC-DMIS in jeder Reihe aufnehmen wird.

ANZREIHEN = Dieser veränderbare Wert muß eine Ganzzahl sein, die größer als 1 ist. Mit diesem Wert wird die Anzahl der Meßpunkte, die PC-DMIS in jeder Reihe aufnehmen wird, um ein Element zu erzeugen, festgelegt. Wenn zwei Reihen und zwei Meßpunkte vorliegen, wird PC-DMIS insgesamt vier Meßpunkte erzeugen (zwei in jeder Reihe).

ABSTAND = Diese Abstandswerte können bearbeitet werden.

TOG3 = In diesem Feld können die Rastertypen, die PC_DMIS bei der Aufnahme von Meßpunkten für die Auto-Ebene zugrundelegen wird, gewechselt werden. Die Meßpunkte werden entweder in einem RECHTECK- oder RADIAL-Raster aufgenommen.

WINKELVEK = Dieses Feld zeigt die Null-Grad-Position am vertikalen Vektor an. Der darin enthaltene Wert kann bearbeitet werden.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".


Erstellen von automatischen Elementen - Erstellen einer Auto-Ebene - Messen einer Ebene

Messen einer Ebene

PC-DMIS bietet verschiedene Methoden zum Messen einer Auto-Ebene, die im folgenden beschrieben werden:

  • Eingabedaten für eine Auto-Ebene
  • KMG-Drahtmodelldaten für eine Auto-Ebene
  • Angabe der Drahtmodelldaten für eine Auto-Ebene auf dem Bildschirm
  • Bestimmung einer Auto-Ebene ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für eine Auto-Ebene

KMG-Drahtmodelldaten für eine Auto-Ebene

Angabe der Drahtmodelldaten für eine Auto-Ebene auf dem Bildschirm

Bestimmung einer Auto-Ebene ohne Zuhilfenahme von CAD-Daten


Eingabedaten für eine Auto-Ebene

Mit dieser Methode können Sie die gewünschten Mittenwerte X, Y, Z, I, J, K für die Ebene eingeben.

  1. Öffnen Sie das Dialogfeld Ebene.

Display Menu Roadmap
Geben Sie die gewünschten Werte X, Y, Z, I, J, K und die Anzahl der Meßpunkte und Reihen ein.

  3. Nehmen Sie ggf. weitere Änderungen in diesem Dialogfeld vor.
  4. Klicken Sie auf Erzeugen.

PC-DMIS wird dann die richtige Anzahl Meßpunkte anhand des vorgegebenen Musters erzeugen. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Drahtmodelldaten für eine Auto-Ebene

So erzeugen Sie eine Ebene anhand der Drahtmodelldaten mit dem KMG:

  1. Öffnen Sie das Dialogfeld Ebene (Auto Element).

Display Menu Roadmap
Nehmen Sie einen Meßpunkt auf der Oberfläche auf, auf der Sie die Ebene erzeugen wollen. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt. Die angezeigten Werte X, Y, Z geben den Mittenwert für die Ebene wieder. Die Werte I, J, K geben die Oberflächennormale an.

  2. Ändern Sie gegebenenfalls weitere Optionen im Dialogfeld.
  3. Drücken Sie Taste Fertig auf der Bedieneinheit (oder klicken Sie im Dialogfeld auf die Erzeugen).


Angabe der Drahtmodelldaten für eine Auto-Ebene auf dem Bildschirm

Eine Auto-Ebene kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So wird die Ebene erzeugt:

  1. Öffnen Sie das Dialogfeld Ebene (Auto Element).

Display Menu Roadmap
Klicken Sie die Oberfläche mindestens drei Mal an.

  3. Vergewissern Sie sich, daß das richtige Element ausgewählt wurde. Die Antastrichtung des Tasters verläuft stets im rechten Winkel zum Element sowie zum aktuellen Mittellinienvektor des Tasters. Im Dialogfeld werden die Mittelpunkt- und Vektorwerte der Ebene angezeigt.
  4. Nehmen Sie ggf. weitere Änderungen in diesem Dialogfeld vor.
  5. Klicken Sie auf Erzeugen.


Bestimmung einer Auto-Ebene ohne Zuhilfenahme von CAD-Daten

So können Sie eine Ebene ohne Zuhilfenahme von CAD-Daten erstellen:

  1. Öffnen Sie das Dialogfeld Ebene (Auto Element).

Display Menu Roadmap
Nehmen Sie mindestens drei Meßpunkte auf der Oberfläche auf.

  3. Nehmen Sie gegebenenfalls weitere Meßpunkte auf. PC-DMIS verwendet die Daten aller gemessenen Punkte. Die X, Y, Z-Werte, die dann in der Anzeige erscheinen, geben den berechneten Ebenenmittelpunkt an.
  4. Klicken Sie auf Erzeugen.


Erstellen eines automatischen Kreises

Home Contents Previous Next

Erstellen eines Auto-Kreises

Feat Type Auto Feature Type List Close Create Display Hits Advanced / Basic buttons Definition Options Auto Misc Measure Clear Plane ID Orientation Properties Hits Location

Mit der automatischen Kreisoption können Sie eine Kreismessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn der Kreis auf einer bestimmten Ebene positioniert ist, die nicht parallel zu den Arbeitsebenen verläuft oder wenn Meßpunkte in gleichmäßigen Abständen für Teilkreise erforderlich sind. Zum Messen eines Kreises werden mindestens drei Meßpunkte benötigt. Wie viele Meßpunkte standardmäßig zum Messen eines Kreises erforderlich sind, basiert auf der im SETUP-Modus vorgenommenen Standardeinstellung.

Um die Option Kreis zu öffnen, wählen Sie das gleichnamige Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Kreis-Felddefinitionen

Einen Kreis messen


Kreis-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispielkreis lautet wie folgt:
E-ID=AUTO/KREIS, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK, TDURCHM,
IST/ X,Y,Z,I,J,K, DURCHM,
ZIEL/ Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K
THEO_STÄRKE = n, TOG1, TOG2,TOG3, TOG4
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, BOHRUNG SUCHEN = J/N, NEU_MESSEN = J/N, ANZMESSPKTE = n, ERSTE = n, PERM = n
ABSTAND = n, STEIGUNG = n, STARTWINKEL = n, ENDWINKEL = n, TIEFE = n
WINKELVEK = I,J,K

MESSPUNKTE_EINBLENDEN = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Kreises verwendeten Meßpunkte anzeigt oder nicht.

Wenn Sie von DMIS Meßpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Meßpunkts manuell ändern, werden die Meßpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretische Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Meßpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Meßpunktdaten und zeichnet die Meßpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZMESSPKTE", "WINKELVEK", "DURCHM.", "LÄNGE", "BREITE", "HÖHE", "INNEN/AUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, GAUSS, AUTOM. BEWEG, ABSTAND, RMESS, POS. LESEN, BOHRUNG SUCHEN, NEU MESSEN, ANZPKTE, ERSTE, PERM, ABSTAND, STEIGUNG, STARTWINKEL, ENDWINKEL, TIEFE und WINKELVEK anzeigt oder nicht.

STÄRKE = Dieser Wert kann bearbeitet werden. Er zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Kreises auf Basis der Tasterposition bei der Aufnahme des Meßpunkts. (Innerhalb eines Kreises = INNEN, außen um einen Bolzen = AUSSEN.)

TOG3 = Dieses Feld kann zwischen KREISFÖRMIG und GERADE umgeschaltet werden. Es gibt die Art der Bewegung an, die PC-DMIS bei der Ausführung dieses Elements einsetzt.

TOG4 = In diesem Feld können Sie eine der folgenden Optionen wählen: GAUSS, PFERCHKREIS, HÜLLKREIS, TSCHEBYSCHEFF und FESTER_RAD.

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar. TDURCHM ist der Nennwert des Durchmessers.

IST/ = Dieser Wert stellt den gemessenen Punkt dar. DURCHM ist der gemessene Wert des Durchmessers.

ZIEL = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt die Entfernung an, über die sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ELEMENT SUCHEN = Über diese Schaltfläche (JA/NEIN = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach der Bohrung, wobei er vertikal zum Oberflächenvektor des Elements mit Berührungsgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, daß kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, daß ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Meßwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ANZPKTE = Dieser veränderbare Wert muß eine Ganzzahl sein, die größer als zwei (2) ist.

ERSTE / PERM = Die Werte in diesen Feldern können bearbeitet werden.

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

STEIGUNG = Dieser Wert ermöglicht eine größere Genauigkeit für Gewindelöcher und Bolzen.

START- / ENDWINKEL = Diese Werte bezeichnen den Teil des Bogens, der gemessen werden soll.

WINKELVEK = Dieses Feld zeigt die Null-Grad-Position am vertikalen Vektor an. Der darin enthaltene Wert kann bearbeitet werden.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".

Siehe auch:

Erweiterte Kreis-Felddefinitionen


Erweiterte Kreis-Felddefinitionen

Die Befehlszeile im Bearbeitungsfenster für dieses Element sieht unter Verwendung der erweiterten Optionen wie folgt aus:
E-ID=AUTO/KREIS, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK, TDURCHM, TLÄNGE
IST/ X,Y,Z,I,J,K, DURCHM,LÄNGE
ZIEL/ Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K
STÄRKE = n, TOG1, TOG2,TOG3, TOG4, TOG5
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, BOHRUNG SUCHEN = J/N, NEU_MESSEN = J/N, ANZPKTE = n, ERSTE = n, PERM = n, ABSTAND = n, STEIGUNG = n, STARTWINKEL = n, ENDWINKEL = n, TIEFE = n
WINKELVEK = I,J,K STANZUNG = I,J,K, STIFT = I,J,K

Hinweis: THEO/ stellt die theoretische Meßpunktlage dar. IST/ stellt die tatsächlich gemessene Punktlage dar.

STANZUNG = Dieses Feld zeigt die Stanzrichtung durch das Blech an. Der darin enthaltene Wert kann bearbeitet werden.

STIFT = Dieses Feld zeigt die Richtung an, in der der Punkt durch das gestanzte Loch verläuft.

Weitere Informationen zu den standardmäßigen Kreis-Felddefinitionen finden Sie unter "Kreis-Felddefinitionen".


Erstellen von automatischen Elementen - Erstellen eines automatischen Kreises - Messen eines Kreises

Messen eines Kreises

PC-DMIS bietet verschiedene Methoden zum Messen eines Auto-Kreises, die im folgenden beschrieben werden:

  • Eingabedaten für einen Auto-Kreis
  • KMG-Oberflächendaten für einen Auto-Kreis
  • Angabe der Oberflächendaten für einen Auto-Kreis auf dem Bildschirm
  • KMG-Drahtmodelldaten für einen Auto-Kreis
  • Angabe der Drahtmodelldaten für einen Auto-Kreis auf dem Bildschirm
  • Bestimmung eines Auto-Kreises ohne Zuhilfenahme von CAD-Daten

Bei allen Methoden ist es wichtig, daß der richtige Elementtyp, LOCH oder BOLZEN, ausgewählt wird (weitere Informationen finden Sie unter "Optionen 'Loch' oder 'Bolzen'"). Vergewissern Sie sich, daß die richtige Option ausgewählt ist.

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für einen Auto-Kreis

KMG-Oberflächendaten für einen Auto-Kreis

Angabe der Oberflächendaten für einen Auto-Kreis auf dem Bildschirm

Angabe der Drahtmodelldaten für einen Auto-Kreis auf dem Bildschirm

Bestimmung eines Auto-Kreises ohne Zuhilfenahme von CAD-Daten


Eingabedaten für einen Auto-Kreis

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Kreis eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für einen automatischen Kreis

Um einen Kreis anhand von Oberflächendaten mit dem KMG zu generieren, müssen Sie mindestens drei Meßpunkte in der Bohrung oder am Bolzen aufnehmen. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt. Die angezeigten Werte X, Y, Z geben den nächstgelegenen CAD-Kreis und nicht die tatsächlichen Meßpunkte an. Die Werte I, J, K geben die Oberflächennormale an. Wenn kein CAD-Kreis gefunden wird, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Meßpunkte aufzunehmen.


Angabe der Oberflächendaten für einen Auto-Kreis auf dem Bildschirm

So generieren Sie einen Kreis aus Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den Cursor an eine Stelle innerhalb oder außerhalb des gewünschten Kreises.
  3. Klicken Sie auf drei Stellen um den Kreis herum. Sie müssen auf mindestens drei Stellen klicken, damit PC-DMIS die benötigten Daten für X, Y, Z und I, J, K berechnen kann.

Wenn der dritte Punkt angegeben wurde, werden Mittelpunkt und Durchmesser aus den CAD-Daten des ausgewählten Auto-Kreises im Dialogfeld angezeigt.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, wird PC-DMIS den optimalen Kreis in der Nähe aller Meßpunkte suchen.


Angabe der Drahtmodelldaten für einen Auto-Kreis auf dem Bildschirm

Ein Auto-Kreis kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So wird der Kreis generiert:

  1. Klicken Sie in der Nähe des gewünschten Drahts auf den Kreis. PC-DMIS markiert den ausgewählten Draht.
  2. Vergewissern Sie sich, daß das richtige Element ausgewählt wurde. Die Antastrichtung des Tasters verläuft stets im rechten Winkel zum Element sowie zum aktuellen Mittellinienvektor des Tasters.

Wenn der Draht ausgewählt worden ist, werden die Werte für Mittelpunkt und Durchmesser des ausgewählten Kreises im Dialogfeld angezeigt.

Hinweis: Wenn das zugrundeliegende CAD-Element kein Kreis oder Bogen ist, sind ggf. weitere Mausklicks zur Identifizierung des Elements erforderlich. Wenn PC-DMIS nicht das richtige Element hervorhebt, klicken Sie mindestens zwei weitere Stellen des Kreises an.


Bestimmung eines Auto-Kreises ohne Zuhilfenahme von CAD-Daten

So können Sie den Kreis ohne Zuhilfenahme von CAD-Daten erstellen:

  1. Nehmen Sie drei Meßpunkte auf der Oberfläche auf, um die Ebene zu ermitteln, auf der der Kreis liegt.
  2. Nehmen Sie drei weitere Meßpunkte in der Bohrung (oder am Bolzen) auf. PC-DMIS berechnet den Auto-Kreis untere Zugrundelegung aller drei Meßpunkte.

Weitere Meßpunkte können aufgenommen werden. PC-DMIS verwendet die Daten aus allen Meßpunkten, die vor Auswahl der Schaltfläche Erzeugen gemessen werden. Die X, Y, Z-Werte, die dann in der Anzeige erscheinen, geben den berechneten Kreismittelpunkt bzw. Bolzenmittelpunkt an.


Erstellen einer automatischen Ellipse

Home Contents Previous Next

Erstellen einer Auto-Ellipse

Auto Feature Type List Hotspot 14 Hotspot 13 Close Create Advanced / Basic buttons Auto Misc Measure Clear Plane ID Orientation Properties Hits Location

Mit Hilfe der Option "Ellipse" (Auto-Element) können Sie eine Ellipse definieren. Der Elementtyp "Ellipse" funktioniert ganz ähnlich wie das Blechkreiselement. Dies ist besonders hilfreich, wenn die Ellipse auf einer bestimmten Ebene liegt, die nicht parallel zu den Arbeitsebenen verläuft. Es ist auch dann nützlich, wenn gleichmäßig verteilte Meßpunkte für Teilellipsen benötigt werden. Zur Messung einer Ellipse sind mindestens fünf Meßpunkte erforderlich.

Um die Option Ellipse zu öffnen, wählen Sie das gleichnamige Auto-Element-Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Ellipsen-Felddefinitionen

Eine Ellipse messen


Ellipsen-Felddefinitionen

Die im Bearbeitungsfenster für eine Beispiel-Ellipse angezeigte Befehlszeile lautet:
E-ID=AUTO/ELLIPSE, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK HAUPTDURCHM, NEBENDURCHM, TANGI,TANGJ,TANGK
IST/ X,Y,Z,I,J,K, HAUPTDURCHM, NEBENDURCHM, WINKI,WINKJ,WINKK
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK,ZielANGI,ZielWINKJ,ZielWINKK
THEO_STÄRKE = n, TOG1, TOG2
AUTOM BEWEG = J/N, ABSTAND = n, RMESS = keine
ANZMESSPKTE = n, ERSTE = n, PERM = n, ABSTAND = .n,
STARTWINKEL =n, ENDWINKEL =n, TIEFE = n

MESSPUNKTE_EINBLENDEN = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen der Ellipse verwendeten Meßpunkte anzeigt oder nicht.

Wenn Sie von DMIS Meßpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Meßpunkts manuell ändern, werden die Meßpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretische Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Meßpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Meßpunktdaten und zeichnet die Meßpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZMESSPKTE", "WINKELVEK", "DURCHM.", "LÄNGE", "BREITE", "HÖHE", "INNEN/AUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTOM. BEWEG, ABSTAND, RMESS, POS. LESEN, ANZMESSPKTE, ERSTE, PERM, ABSTAND, STARTWINKEL, ENDWINKEL und TIEFE anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Werkstückstärke an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ der gemessenen Ellipse auf Basis der Tasterposition bei der Aufnahme des Meßpunkts. (Innerhalb einer Ellipse = INNEN, außerhalb eines Bolzens = AUSSEN.)

THAUPTDURCHM, HAUPTDURCHM = Diese Werte zeigen die theoretischen und gemessenen Gesamtlängen (die Hauptdurchmesser) der Ellipse an.

TNEBENDURCHM, NEBENDURCHM = Diese Werte zeigen die theoretischen und gemessenen Gesamtbreiten (die Nebendurchmesser) der Ellipse an.

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt die Entfernung an, über die sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

ANZMESSPKTE = Dieser veränderbare Wert muß eine Ganzzahl sein, die größer als 4 ist.

ERSTE / PERM = Diese Werte können bearbeitet oder umgeschaltet werden. Die einzig gültigen Werte sind null, eins und drei (0, 1, 3).

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

START- / ENDWINKEL = Diese Werte bezeichnen den Teil des Bogens, der gemessen werden soll.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".


Messen einer Ellipse

PC-DMIS bietet mehrere Methoden zum Messen einer Ellipse mit der Blechoption, die im folgenden beschrieben werden:

  • Eingabedaten für eine Ellipse
  • KMG-Oberflächendaten für eine Ellipse
  • Angabe der Oberflächendaten für eine Ellipse auf dem Bildschirm
  • Bestimmung einer Ellipse ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für eine Ellipse

KMG-Oberflächendaten für eine Ellipse

Angabe der Oberflächendaten für eine Ellipse auf dem Bildschirm

Bestimmung einer Ellipse ohne Zuhilfenahme von CAD-Daten


Eingabedaten für eine Ellipse

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für die Ellipse eingeben. Darüber hinaus können Sie auch den Haupt- und Nebendurchmesser der Ellipse sowie den Winkelvektor I2, J2, K2 eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für eine Ellipse

Um eine Ellipse anhand von Oberflächendaten mit dem KMG zu generieren, müssen Sie mindestens fünf Meßpunkte auf der Ellipse aufnehmen. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt. Die angezeigten Werte X, Y, Z geben die nächstgelegene CAD-Ellipse, nicht die tatsächlichen Meßpunkte, an. Die Werte I, J, K geben die Oberflächennormale wieder. Wenn keine CAD-Ellipse gefunden wird, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Meßpunkte aufzunehmen.


Angabe der Oberflächendaten für eine Ellipse auf dem Bildschirm

So generieren Sie eine Ellipsenmessung mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Berühren Sie mit dem animierten Taster fünf Stellen um die im Grafikfenster angezeigte Ellipse herum.

Es sind mindestens fünf Meßpunkte erforderlich, damit PC-DMIS die erforderlichen X-, Y-, Z- und I-, J- und K-Daten berechnen kann.


Bestimmung einer Ellipse ohne Zuhilfenahme von CAD-Daten

So generieren Sie die Ellipse, ohne CAD-Daten zu verwenden:

  1. Nehmen Sie drei Meßpunkte auf der Oberfläche auf, um die Ebene zu ermitteln, auf der der Kreis liegt.
  2. Nehmen Sie fünf weitere Meßpunkte in der Bohrung (oder am Bolzen) auf.

PC-DMIS verwendet die Daten zur Berechnung der Blechellipse. Sie können so lange weitere Meßpunkte aufnehmen, bis Sie auf die Schaltfläche Erzeugen klicken. Die X, Y, Z-Werte, die dann in der Anzeige erscheinen, geben den berechneten Mittelpunkt der Ellipse an. Darüber hinaus werden der berechnete Haupt- und Nebendurchmesser sowie der Richtungs-Vektor angezeigt.


Erstellen einer automatischen Kerbnut

Home Contents Previous Next

Erstellen einer Auto-Kerbnut

Auto Feature Type List Location Hits Properties Orientation ID Measure Clear Plane Misc Auto Close Create Advanced / Basic buttons

Mit der Meßoption Kerbe können Sie eine Kerbenmessung definieren. Eine Kerbe ist ein dreiseitiges Rechteckloch. Diese Art der Messung ist besonders dann nützlich, wenn Sie nicht erst eine Reihe von Linien messen und Schnitt- und Mittelpunkte daraus konstruieren wollen. Für die Messung von Kerben sind vier Meßpunkte erforderlich.

Um die Option Kerbe zu öffnen, wählen Sie das gleichnamige Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Kerben-Felddefinitionen

Eine Kerbe messen


Kerben-Felddefinitionen

Die im Bearbeitungsfenster für eine Beispiels-Kerbe angezeigte Befehlszeile lautet:
M-ID=AUTO/KERBE, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK,TBREITE, TLÄNGE, TI2, TJ2, TK2
IST/ X,Y,Z,I,J,K, BREITE, LÄNGE, I, J, K
ZIEL/ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK,ZielI2, ZielJ2,ZielK2
THEO_STÄRKE = n, TOG1, TOG2
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, BOHRUNG SUCHEN = J/N, NEU_MESSEN =J/N
ERSTE = n, PERM = n, ABSTAND = n,
EINZUG = n, TIEFE = n, RADIUS = n

MESSPUNKTE_EINBLENDEN = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen der Kerbe verwendeten Meßpunkte anzeigt oder nicht.

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTOM. BEWEG, ABSTAND, RMESS, POS. LESEN, BOHRUNG SUCHEN, NEU_MESSEN, ERSTE, PERM, ABSTAND, EINZUG, TIEFE und RADIUS anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Werkstückstärke an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Hierbei handelt es sich um eine Umschaltoption. Sie gibt an, ob die Option BEIFEHLER aktiviert (Einstellung JA) oder deaktiviert (Einstellung NEIN) ist.

ZIEL = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt die Entfernung an, über die sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

BOHRUNG SUCHEN = Über diese Schaltfläche (J/N = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach der Bohrung, wobei er vertikal zum Elementoberflächenvektor mit Berührungsgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, daß kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, daß ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Meßwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ERSTE / PERM = Diese Werte können bearbeitet oder umgeschaltet werden. Die einzig gültigen Werte sind null, eins und drei (0, 1, 3).

EINZUG = Bei diesem Wert handelt es sich um einen veränderbaren Abstand.

TIEFE = Diese Abstandswerte können bearbeitet werden.

RADIUS = Bei diesem Wert handelt es sich um einen veränderbaren, nicht negativen Abstand.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".


Messen einer Kerbe

PC-DMIS bietet mehrere Methoden zum Messen einer Kerbe mit der Blechoption, die im folgenden beschrieben werden:

  • Eingabedaten für eine Kerbe
  • KMG-Oberflächendaten für eine Kerbe
  • Angabe der Oberflächendaten für eine Kerbe auf dem Bildschirm
  • KMG-Drahtmodelldaten für eine Kerbe
  • Angabe der Drahtmodelldaten für eine Kerbe auf dem Bildschirm
  • Bestimmung einer Kerbe ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für eine Kerbe

KMG-Oberflächendaten für eine Kerbe

Angabe der Oberflächendaten für eine Kerbe auf dem Bildschirm

KMG-Drahtmodelldaten für eine Kerbe

Angabe der Drahtmodelldaten für eine Kerbe auf dem Bildschirm

Bestimmung einer Kerbe ohne Zuhilfenahme von CAD-Daten


Eingabedaten für eine Kerbe

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für die Kerbe eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für eine Kerbe

So generieren Sie eine Kerbenmessung anhand der Oberflächendaten mit dem KMG:

  1. Berühren Sie mit dem Taster die der Kerbenöffnung gegenüberliegende Seite an zwei Stellen. Dadurch wird eine Linie entlang der Kante definiert.
  2. Berühren Sie das Werkstück einmal auf einer der parallel verlaufenden Seiten der Kerbe, einmal auf der anderen. Dadurch wird die Länge definiert. Der Punkt liegt entlang der Kantenlinie, auf der Hälfte zwischen den parallelen Seiten.
  3. Nehmen Sie einen Meßpunkt auf der offenen Kante auf. Dadurch wird die Breite der Kerbe definiert.


Angabe der Oberflächendaten für eine Kerbe auf dem Bildschirm

So generieren Sie eine Kerbe anhand von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Nehmen Sie mit dem animierten Taster fünf Meßpunkte auf der CAD-Oberfläche auf. Gehen Sie dabei in derselben Reihenfolge vor wie bei der Aufnahme von Meßpunkten mit einem KMG (siehe KMG-Oberflächendaten für eine Kerbe).


KMG-Drahtmodelldaten für eine Kerbe

So generieren Sie eine Kerbenmessung anhand der Drahtmodelldaten mit dem KMG:

  1. Berühren Sie die der Kerbenöffnung gegenüberliegende Seite an zwei Stellen mit dem Taster. Dadurch wird eine Linie entlang der Kante definiert.
  2. Berühren Sie das Werkstück einmal auf einer der parallel verlaufenden Seiten der Kerbe, einmal auf der anderen. Dadurch wird die Länge definiert. Der Punkt liegt entlang der Kantenlinie, auf halbem Weg zwischen den parallelen Seiten.
  3. Nehmen Sie einen Meßpunkt auf der offenen Kante auf. Dadurch wird die Breite der Kerbe definiert.


Angabe der Drahtmodelldaten für eine Kerbe auf dem Bildschirm

Eine Kerbe kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

Verfahren Sie wie folgt. Arbeiten Sie dabei mit dem animierten Taster:

  1. Berühren Sie die der Kerbenöffnung gegenüberliegende Seite an zwei Stellen mit dem Taster. Dadurch wird eine Linie entlang der Kante definiert.
  2. Berühren Sie das Werkstück einmal auf einer der parallel verlaufenden Seiten der Kerbe, einmal auf der anderen. Dadurch wird die Länge definiert. Der Punkt liegt entlang der Kantenlinie, auf halbem Weg zwischen den parallelen Seiten.
  3. Nehmen Sie einen Meßpunkt auf der offenen Kante auf. Dadurch wird die Breite der Kerbe definiert.


Bestimmung einer Kerbe ohne Zuhilfenahme von CAD-Daten

So generieren Sie eine Kerbe, ohne CAD-Daten zu verwenden:

  1. Ermitteln Sie die zuoberst liegende Oberfläche, indem Sie drei Meßpunkte aufnehmen.
  2. Berühren Sie die der Kerbenöffnung gegenüberliegende Seite an zwei Stellen mit dem Taster. Dadurch wird eine Linie entlang der Kante definiert.
  3. Berühren Sie das Werkstück einmal auf einer der parallel verlaufenden Seiten der Kerbe, einmal auf der anderen. Dadurch wird die Länge definiert. Der Punkt liegt entlang der Kantenlinie, auf halbem Weg zwischen den parallelen Seiten.
  4. Nehmen Sie einen Meßpunkt auf der offenen Kante auf. Dadurch wird die Breite der Kerbe definiert.


Erstellen eines Auto-Langlochs

Auto Feature Type List Close Create Advanced / Basic buttons Definition Auto Misc Measure Clear Plane ID Orientation Properties Hits Location

Mit der Option Langloch können Sie eine Langlochmessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn Sie nicht zuerst eine Reihe von Linien und Kreisen messen und Schnitt- und Mittelpunkte daraus konstruieren wollen. Für die Messung von Langlöchern sind mindestens sechs Meßpunkte erforderlich.

Langloch mit mindestens 6 Meßpunkten

Display Menu Roadmap
Um die Option Langloch zu öffnen, wählen Sie das gleichnamige Auto-Element-Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Siehe auch:

Langloch-Felddefinitionen

Messen eines Langlochs


Langloch-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel-Langloch lautet wie folgt:
E-ID=AUTO/LANGLOCH, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK, TBREITE, TLÄNGE, TANGI,TANGJ,TANGK
IST/ X,Y,Z,I,J,K, BREITE, LÄNGE, WINKI,WINKJ,WINKK
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK, ZielWINKI,ZielWINKJ,ZielWINKK
THEO_STÄRKE = n, TOG1, TOG2
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, BOHRUNG SUCHEN = J/N, NEU_MESSEN = J/N
ERSTE = n, PERM = n, ABSTAND = n
TIEFE = n, MESSPUNKTE = n

MESSPUNKTE_EINBLENDEN = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Rechtecklochs verwendeten Meßpunkte anzeigt oder nicht.

Wenn Sie von DMIS Meßpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Meßpunkts manuell ändern, werden die Meßpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretische Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Meßpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Meßpunktdaten und zeichnet die Meßpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZMESSPKTE", "WINKELVEK", "DURCHM.", "LÄNGE", "BREITE", "HÖHE", "INNEN/AUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN". ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, INNEN/AUSSEN, AUTOM. BEWEG, ABSTAND, RMESS, POS. LESEN, BOHRUNG SUCHEN, NEU_MESSEN, ERSTE, PERM, ABSTAND, TIEFE und MESSPKTE anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Werkstückstärke an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Langlochs aufgrund der Tasterposition bei der Aufnahme des Meßpunkts.

TOG3 = Dieses Feld kann zwischen NORMAL und BOLZEN umgeschaltet werden und gibt den Typ des Langlochs an, das gemessen wird.

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster bei Einsatz der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

BOHRUNG SUCHEN = Über diese Schaltfläche (JA/NEIN = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach der Bohrung, wobei er vertikal zum Oberflächenvektor des Elements mit Berührungsgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, daß kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, daß ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Meßwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ERSTE / PERM = Diese Werte können bearbeitet oder umgeschaltet werden. Gültige Werte sind null, eins und drei (0, 1, 3).

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

BREITE MINMAX = Dieses Feld kann zwischen MAXMIN und NORM umgeschaltet werden und gibt an, wie PC-DMIS das Langloch mißt.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".

Siehe auch:

Erweiterte Langloch-Felddefinitionen


Erweiterte Langloch-Felddefinitionen

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
E-ID=AUTO/LANGLOCH, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK, TDURCHM, TLÄNGE, x
IST/ X,Y,Z,I,J,K, DURCHM, LÄNGE, x
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK,ZielDURCHM, x ZielWINKI,ZielWINKJ,ZielWINKK
THEO_STÄRKE = n, TOG1, TOG2, TOG3
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, BOHRUNG SUCHEN = J/N, NEU_MESSEN = J/N
ERSTE = n, PERM = n, ABSTAND = n
TIEFE = n, STANZUNG = I,J, K, STIFT = I, J, K

Hinweis: THEO/ stellt die theoretische Meßpunktlage dar. IST/ stellt die tatsächlich gemessene Punktlage dar.

STANZUNG = Dieses Feld zeigt die Stanzrichtung durch das Blech an. Der darin enthaltene Wert kann bearbeitet werden.

STIFT = Dieses Feld zeigt die Richtung an, in der der Punkt durch das gestanzte Loch verläuft.

Weitere Informationen zu den standardmäßigen Langloch-Felddefinitionen finden Sie unter "Langloch-Felddefinitionen".


Messen eines Langlochs

PC-DMIS bietet mehrere Methoden zum Messen eines Langlochs mit der Blechoption, die im folgenden beschrieben werden:

  • Eingabedaten für ein Langloch
  • KMG-Oberflächendaten für ein Langloch
  • Angabe der Oberflächendaten für ein Langloch auf dem Bildschirm
  • KMG-Drahtmodelldaten für ein Langloch
  • Angabe der Drahtmodelldaten für ein Langloch auf dem Bildschirm
  • Bestimmung eines Langlochs ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für ein Langloch

KMG-Oberflächendaten für ein Langloch

Angabe der Oberflächendaten für ein Langloch auf dem Bildschirm

KMG-Drahtmodelldaten für ein Langloch

Angabe der Drahtmodelldaten für Langloch auf dem Bildschirm

Bestimmung eines Langlochs ohne Zuhilfenahme von CAD-Daten


Eingabedaten für ein Langloch

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für das Langloch eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für ein Langloch

Um eine Langlochmessung anhand der Oberflächendaten mit dem KMG zu generieren, berühren Sie einfach jeden Bogen an drei Stellen.


Angabe der Oberflächendaten für ein Langloch auf dem Bildschirm

So generieren Sie eine Langlochmessung mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Berühren Sie einfach jeden der im Grafikfenster angezeigten Bogen an drei Stellen mit dem animierten Taster .


KMG-Drahtmodelldaten für ein Langloch

Um eine Langlochmessung anhand der Oberflächendaten mit dem KMG zu generieren, berühren Sie einfach jeden Bogen an drei Stellen.

Hinweis: Sind die CAD-Daten, die die Langlochenden definieren, spezifisch als Typ KREIS oder BOGEN definiert (d. h. als IGES-Einheit 100), nimmt PC-DMIS automatisch zwei weitere Meßpunkte auf dem Bogen auf. Wenn beide Enden zu diesem Typ gehören, genügt eine Berührung auf jedem Bogen, um diesen Elementtyp zu messen.


Angabe der Drahtmodelldaten für ein Langloch auf dem Bildschirm

Ein Langloch kann auch mit Drahtmodell-CAD-Daten erzeugt werden. Berühren Sie einfach jeden der im Grafikfenster angezeigten Bogen an drei Stellen mit dem animierten Taster .

Hinweis: Sind die CAD-Daten, die die Langlochenden definieren, spezifisch als Typ KREIS oder BOGEN definiert (d. h. als IGES-Einheit 100), nimmt PC-DMIS automatisch zwei weitere Meßpunkte auf dem Bogen auf. Wenn beide Enden zu diesem Typ gehören, genügt eine Berührung auf jedem Bogen, um diesen Elementtyp zu messen.


Bestimmung eines Langlochs ohne Zuhilfenahme von CAD-Daten

Soll das Langloch ohne Verwendung von CAD-Daten erzeugt werden, berühren Sie jeden Bogen dreimal (d. h. insgesamt sechs Meßpunkte).


Erstellen eines automatischen Winkelpunkts

Home Contents Previous Next

Erstellen eines Auto-Winkelpunkts

Auto Feature Type List Close Create Advanced / Basic buttons Auto Misc ID Measure Clear Plane Orientation Properties Hits Location

Mit der Meßoption "Winkelpunkt" können Sie eine Punktmessung an der Schnittstelle zweier gemessener Linien definieren. Bei diesem Meßverfahren können Sie die Schnittstelle der beiden Linien messen, ohne die Linien einzeln zu messen und ohne an der Schnittstelle einen Punkt konstruieren zu müssen. Es sind sechs Meßpunkte erforderlich, um einen Winkelpunkt genau zu messen.

Um auf die Option Winkelpunkt zuzugreifen, öffnen Sie das gleichnamige Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Winkelpunkt-Felddefinitionen

Messen eines Winkelpunkts


Winkelpunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Winkelpunkt lautet wie folgt:
E- ID =AUTO/WINKELPUNKT, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ X,Y,Z,I,J,K
IST/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1, BEIFEHLER = JA/NEIN
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
VEKTOR1 = I,J,K, VEKTOR2 = I,J,K
ANZMESSPKTE = n, ABSTAND = n, EINZUG1= n, EINZUG2 = n, TOG2

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTOM. BEWEG, ABSTAND, RMESS, VEKTOR1, VEKTOR2, ANZMESSPKTE, ABSTAND, EINZUG1, EINZUG2 und INNEN anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG 1= Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

BEIFEHLER = Dies ist ein JA/NEIN Umschaltfeld, durch das die Fehlerprüfung verbessert werden kann, wenn PC-DMIS einen unerwarteten oder verfehlten Meßpunkt ermittelt.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

VEKTOR1 = Die drei Zahlen (IJK-Werte) stellen einen veränderbaren Vektor dar und werden zwangsweise rechtwinklig zum Vektor auf der ersten Oberfläche gestellt.

VEKTOR2 = Die drei Zahlen (IJK-Werte) stellen einen veränderbaren Vektor dar und werden zwangsweise rechtwinklig zum Vektor auf der zweiten Oberfläche gestellt.

ANZMESSPKTE = Dieser Wert kann bearbeitet oder zwischen den gültigen Werten 1 und 3 hin- und hergeschaltet werden.

ABSTAND = Diese Zahl zeigt den Versatz zwischen den Punkten auf beiden Seiten der Biegung an.

EINZUG1 = Dieser veränderbare Wert gibt den Versatz von der Punktposition bis zu den Meßpunkten auf der ersten Oberfläche der Biegung an.

EINZUG2 = Dieser veränderbare Wert gibt den Versatz von der Punktposition bis zu den Meßpunkten auf der zweiten Oberfläche der Biegung an.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden Es beschreibt den Typ des Winkelpunkts, der gemessen wird.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".


Messen eines Winkelpunkts

PC-DMIS bietet mehrere Methoden zum Messen eines Winkelpunkts mit der Option Auto. Sie werden nachstehend beschrieben:

  • Eingabedaten für einen Winkelpunkt
  • KMG-Oberflächendaten für einen Winkelpunkt
  • Angabe der Oberflächendaten für einen Winkelpunkt auf dem Bildschirm
  • KMG-Drahtmodelldaten für einen Winkelpunkt
  • Angabe der Drahtmodelldaten für einen Winkelpunkt auf dem Bildschirm
  • Bestimmung eines Winkelpunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für einen Winkelpunkt

KMG-Oberflächendaten für einen Winkelpunkt

Angabe der Oberflächendaten für einen Winkelpunkt auf dem Bildschirm

KMG-Drahtmodelldaten für einen Winkelpunkt

Angabe der Drahtmodelldaten für einen Winkelpunkt auf dem Bildschirm

Bestimmung eines Winkelpunkts ohne Zuhilfenahme von CAD-Daten


Eingabedaten für einen Winkelpunkt

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Winkelpunkt eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für einen Winkelpunkt

Um einen Winkelpunkt anhand von Oberflächendaten mit dem KMG zu generieren, berühren Sie einmal jede Seite der Winkelkante mit dem Taster. Wird der CAD-Winkelpunkt nicht gefunden, zeigt PC- DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Meßpunkte aufzunehmen.


Angabe der Oberflächendaten für einen Winkelpunkt auf dem Bildschirm

So generieren Sie einen Winkelpunkt mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den animierten Taster einmal in die Nähe der abgewinkelten Kante (aber nicht auf die Kante selbst). PC-DMIS markiert die ausgewählte Oberfläche.
  3. Vergewissern Sie sich, daß die richtige Oberfläche gewählt wurde.

Im Dialogfeld werden die Werte des ausgewählten Winkelpunkts und Vektors angezeigt, sobald der Punkt angegeben worden ist. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die der Taster erreichen kann. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, überschreibt PC-DMIS die angezeigten Informationen mit den neuen Daten.

Hinweis: Ist eine zusätzliche Berührung erforderlich, klicken Sie auf die der abgewinkelten Kante gegenüberliegende Oberfläche.


KMG-Drahtmodelldaten für einen Winkelpunkt

Um einen Winkelpunkt anhand von Drahtmodelldaten mit dem KMG zu generieren, berühren Sie einmal jede Seite der Winkelkante mit dem Taster. Wird der CAD-Winkelpunkt nicht gefunden, zeigt PC- DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Meßpunkte aufzunehmen.


Angabe der Drahtmodelldaten für einen Winkelpunkt auf dem Bildschirm

Ein Winkelpunkt kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So generieren Sie den Punkt:

  1. Setzen Sie den animierten Taster einmal in die Nähe der abgewinkelten Kante (aber nicht auf die Kante selbst). PC-DMIS markiert die ausgewählte Oberfläche.
  2. Vergewissern Sie sich, daß die richtige Oberfläche gewählt wurde.

Im Dialogfeld werden die Werte des ausgewählten Winkelpunkts und Vektors angezeigt, sobald der Punkt angegeben worden ist. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die der Taster erreichen kann. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

  • Bei jedem weiteren Mausklick vor Auswahl der Schaltfläche Erzeugen werden die angezeigten Informationen durch die neuen Daten überschrieben.
  • Ist eine zusätzliche Berührung erforderlich, klicken Sie auf die der abgewinkelten Kante gegenüberliegende Oberfläche.


Bestimmung eines Winkelpunkts ohne Zuhilfenahme von CAD-Daten

Wenn der Winkelpunkt ohne die Verwendung von CAD-Daten erzeugt werden soll, berühren Sie jede Oberfläche dreimal, um die beiden Ebenen zu ermitteln. Der angezeigte Winkelpunkt liegt an der ersten Meßpunktposition.


Erstellen eines automatischen Eckpunkts

Home Contents Previous Next

Erstellen eines Auto-Eckpunkts

Auto Feature Type List Close Create Advanced / Basic buttons Auto Misc ID Measure Clear Plane Orientation Hits Location

Mit der Meßoption "Eckpunkt" können Sie eine Punktmessung als Schnittstelle von drei gemessenen Ebenen definieren. Mit diesem Meßverfahren können Sie die Schnittstelle von drei Ebenen messen, ohne die Ebenen einzeln zu messen und ohne einen Schnittpunkt konstruieren zu müssen. Neun Meßpunkte (drei Meßpunkte auf jeder der drei Ebenen) sind erforderlich, um einen Eckpunkt zu messen.

Um auf die Option Eckpunkt zuzugreifen, öffnen Sie das gleichnamige Auto-Element-Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Eckpunkt-Felddefinitionen

Einen Eckpunkt messen


Eckpunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Eckpunkt lautet wie folgt:
E-ID=AUTO/ECKPUNKT, ALLE_PARAMETER_EINBLENDEN = J/N,
THEO/ TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG, BEIFEHLER = JA/NEIN
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
VEKTOR1 = I,J,K, VEKTOR2 = I,J,K
ANZMESSPKTE = n, ABSTAND = n, EINZUG1= n, EINZUG2 = n, EINZUG3 = n, TOG2

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTOM. BEWEG, ABSTAND, RMESS, VEKTOR2, VEKTOR3, EINZUG1, EINZUG2 und EINZUG3 anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. Es beschreibt den Typ des Eckpunkts, der gemessen wird.

ANZMESSPKTE = Dieser Wert kann bearbeitet oder zwischen den gültigen Werten 1 und 3 hin- und hergeschaltet werden.

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

BEIFEHLER = Dies ist ein JA/NEIN Umschaltfeld, durch das die Fehlerprüfung verbessert werden kann, wenn PC-DMIS einen unerwarteten oder verfehlten Meßpunkt ermittelt.

ABSTAND = Dieser Wert zeigt die Entfernung an, über die sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

VEKTOR1 = Diese Werte können vom Benutzer bearbeitet werden.

VEKTOR2 = Diese Werte können ebenfalls vom Benutzer bearbeitet werden.

ABSTAND = Bei diesem Wert handelt es sich um eine Abstandsangabe, die bearbeitet werden kann.

EINZUG1 = Diese veränderbare Zahl gibt den Versatz von der Punktposition bis zu den Stützpunkten auf der ersten der drei Oberflächen an.

EINZUG2 = Diese veränderbare Zahl gibt den Versatz von der Punktposition bis zu den Stützpunkten auf der zweiten der drei Oberflächen an.

EINZUG3 = Diese veränderbare Zahl gibt den Versatz von der Punktposition bis zu den Stützpunkten auf der dritten der drei Oberflächen an.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".


Messen eines Eckpunkts

PC-DMIS bietet mehrere Methoden zum Messen eines Eckpunkts mit der Option Auto. Sie werden nachstehend beschrieben:

  • Eingabedaten für einen Eckpunkt
  • KMG-Oberflächendaten für einen Eckpunkt
  • Angabe der Oberflächendaten für einen Eckpunkt auf dem Bildschirm
  • KMG-Drahtmodelldaten für einen Eckpunkt
  • Angabe der Drahtmodelldaten für einen Eckpunkt auf dem Bildschirm
  • Bestimmung eines Eckpunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für einen Eckpunkt

KMG-Oberflächendaten für einen Eckpunkt

Angabe der Oberflächendaten für einen Eckpunkt auf dem Bildschirm

KMG-Drahtmodelldaten für einen Eckpunkt

Angabe der Drahtmodelldaten für einen Eckpunkt auf dem Bildschirm

Bestimmung eines Eckpunkts ohne Zuhilfenahme von CAD-Daten


Eingabedaten für einen Eckpunkt

Damit können Sie auch die gewünschten X, Y, Z-Werte für den Eckpunkt eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für einen Eckpunkt

So generieren Sie einen Eckpunkt anhand der Oberflächendaten mit dem KMG:

  1. Berühren Sie einmal jede der drei Oberflächen, die in der Ecke zusammentreffen.
  2. Klicken Sie auf die Schaltfläche Erzeugen.

Wird der CAD-Eckpunkt nicht gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie dazu auf, weitere Meßpunkte aufzunehmen.

Hinweis: PC-DMIS geht davon aus, daß die Oberflächen im rechten Winkel zueinander verlaufen.


Angabe der Oberflächendaten für einen Eckpunkt auf dem Bildschirm

So generieren Sie einen Eckpunkt mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den animierten Taster einmal auf jede der drei benötigten Oberflächen. PC-DMIS positioniert den animierten Taster automatisch neu auf dem Eckpunkt, an dem die gewählten Oberflächen zusammenlaufen.
  3. Vergewissern Sie sich, daß der richtige Eckpunkt ausgewählt wurde. Im Dialogfeld werden die Werte des ausgewählten Eckpunkts und Vektors angezeigt, sobald der Punkt angegeben worden ist.
  4. Klicken Sie auf die Schaltfläche Erzeugen.


KMG-Drahtmodelldaten für einen Eckpunkt

So generieren Sie einen Eckpunkt anhand der Drahtmodelldaten mit dem KMG:

  1. Berühren Sie die erste Oberfläche an zwei Stellen.
  2. Berühren Sie die Oberfläche einmal in der Nähe der Kanten, die in der Ecke zusammenlaufen.

Wird der CAD-Eckpunkt nicht gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie dazu auf, weitere Meßpunkte aufzunehmen.

Hinweis: PC-DMIS geht davon aus, daß die Oberflächen im rechten Winkel zueinander verlaufen.


Angabe der Drahtmodelldaten für einen Eckpunkt auf dem Bildschirm

Ein Eckpunkt kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So generieren Sie den Punkt:

  1. Setzen Sie den animierten Taster einmal in die Nähe der Ecke (aber auf nicht die Ecke selbst). PC-DMIS markiert die ausgewählte Oberfläche.
  2. Vergewissern Sie sich, daß die richtige Oberfläche gewählt wurde.

Im Dialogfeld werden die Werte des ausgewählten Eckpunkts und Vektors angezeigt, sobald der Punkt angegeben worden ist. (Berühren Sie erforderlichenfalls eine andere Kante, die zur Ecke führt.)


Bestimmung eines Eckpunkts ohne Zuhilfenahme von CAD-Daten

So generieren Sie einen Eckpunkt, ohne CAD-Daten zu verwenden:

  1. Berühren Sie die erste Oberfläche an drei Stellen.
  2. Berühren Sie die zweite Oberfläche an zwei Stellen.
  3. Berühren Sie die dritte Oberfläche an einer Stelle.


Erstellen eines automatischen Kantenpunkts

Home Contents Previous Next

Erstellen eines Auto-Kantenpunkts

Feat Type Auto Feature Type List Advanced / Basic buttons Definition Options Auto Misc Measure Clear Plane Orientation Hits Location ID Close Create

Mit der Meßoption "Kantenpunkt" können Sie eine Punktmessung definieren, die auf der Kante des Werkstücks vorgenommen wird. Eine solche Messung ist besonders nützlich, wenn das Werkstückmaterial so dünn ist, daß ein genau gesteuerter KMG-Meßpunkt erforderlich ist. Fünf Stützpunkte sind erforderlich, um einen Kantenpunkt genau zu messen.

Um auf die Option Eckpunkt zuzugreifen, öffnen Sie das gleichnamige Auto-Element-Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Kantenpunkt-Felddefinitionen

Messen eines Kantenpunkts


Kantenpunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Kantenpunkt lautet wie folgt:
E-ID=AUTO/KANTENPUNKT, ALLE_PARAMETER_EINBLENDEN = J/N,
THEO/ TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG, KANTE_THEO_STÄRKE = n, BEIFEHLER = JA/NEIN
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine, MESSFOLGE = S/E/B,
OBERFLÄCHE NORMAL = I,J,K
ERSTE = n, PERM = n, ABSTAND = n, EINZUG = n, TIEFE = n

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, KANTE THEO_STÄRKE, AUTOM. BEWEG, ABSTAND, RMESS, MESSFOLGE, OBERFLÄCHE NORMAL, ERSTE, PERM, ABSTAND, EINZUG und TIEFE anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke der Oberfläche an. Positive und negative Werte sind zulässig.

TOG = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

KANTE_THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke der Kante an. Positive und negative Werte sind zulässig.

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

BEIFEHLER = Dies ist ein JA/NEIN Umschaltfeld, durch das die Fehlerprüfung verbessert werden kann, wenn PC-DMIS einen unerwarteten oder verfehlten Meßpunkt ermittelt.

ABSTAND = Dieser Wert zeigt die Entfernung an, über die sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

MESSFOLGE = Hierbei handelt es sich um eine Umschaltoption. Damit wird die Reihenfolge bestimmt, in der die Stützpunkte gemessen werden. Zur Auswahl stehen die Optionen OBERFLÄCHE, KANTE und BEIDE.

OBERFLÄCHE NORMAL = Dieses Feld zeigt die Oberflächennormale an, auf die der Kantenpunkt nach der Messung projiziert wird. Diese Werte können bearbeitet werden.

ERSTE / PERM = Diese Felder können bearbeitet oder umgeschaltet werden. Gültige Werte sind null, eins, drei und fünf (0, 1, 3, 5).

ABSTAND / EINZUG / TIEFE = Diese Abstandswerte können verändert werden.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".

Siehe auch:

Erweiterte Eckpunkt-Felddefinitionen


Erweiterte Eckpunkt-Felddefinitionen

Die Befehlszeile im Bearbeitungsfenster mit den erweiterten Optionen für dieses Element sieht wie folgt aus:
E-ID=AUTO/KANTENPUNKT, ALLE_PARAMETER_EINBLENDEN = J/N,
THEO/ TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG, KANTE_THEO_STÄRKE = n, BEIFEHLER = JA/NEIN
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine, MESSFOLGE = S/E/B, OBERFLÄCHE NORMAL = I,J,K
KANTENPROTOKOLL = I,J,K, OBERFLÄCHENPROTOKOLL = I,J,K
ERSTE = n, PERM = n, ABSTAND = n, EINZUG = n, TIEFE = n

Hinweis: THEO/ stellt die theoretische Meßpunktlage dar. IST/ stellt die tatsächlich gemessene Punktlage dar.

KANTENPROTOKOLL = In diesem Feld steht der Vektor, der für die Protokollierung von Abweichungen verwendet wird. Diese Werte können bearbeitet werden.

OBERFLÄCHENPROTOKOLL = In diesem Feld steht der Vektor, der für die Protokollierung von Abweichungen verwendet wird. Diese Werte können bearbeitet werden.

Weitere Informationen zu den standardmäßigen Kantenpunkt-Felddefinitionen finden Sie unter "Kantenpunkt-Felddefinitionen".


Messen eines Kantenpunkts

PC-DMIS bietet mehrere Methoden zum Messen eines Kantenpunkts mit der Option Auto. Sie werden nachstehend beschrieben:

  • Eingabedaten für einen Kantenpunkt
  • KMG-Oberflächendaten für einen Kantenpunkt
  • Angabe der Oberflächendaten für einen Kantenpunkt auf dem Bildschirm
  • KMG-Drahtmodelldaten für einen Kantenpunkt
  • Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm
  • Bestimmung eines Kantenpunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Hinweis: PC-DMIS geht davon aus, daß die Oberflächennormale und die Meßoberfläche im rechten Winkel zueinander stehen.

Siehe auch:

Eingabedaten für einen Kantenpunkt

KMG-Oberflächendaten für einen Kantenpunkt

Angabe der Oberflächendaten für einen Kantenpunkt auf dem Bildschirm

KMG-Drahtmodelldaten für einen Kantenpunkt

Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm

Bestimmung eines Kantenpunkts ohne Zuhilfenahme von CAD-Daten


Eingabedaten für einen Kantenpunkt

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Kantenpunkt eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für einen Kantenpunkt

So generieren Sie einen Kantenpunkt anhand der Oberflächendaten mit dem KMG:

  1. Berühren Sie mit dem Taster einen Punkt in der Nähe der gewünschten Werkstückkante.
  2. Versuchen Sie, den Schaft so vertikal zur Oberfläche wie möglich zu positionieren.

PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt. Die angezeigten Werte X, Y, Z geben die am nächsten zu dem Meßpunkt gelegene CAD-Kante wieder, nicht den Meßpunkt selbst. Die Werte I, J, K geben die Oberflächennormale wieder.

Wird keine CAD-Kante gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Meßpunkte aufzunehmen.

Erfolgt vor Auswahl der Schaltfläche Erzeugen eine zweite Tasterberührung auf der gegenüberliegenden Oberfläche, ändert PC-DMIS die Positionsdaten entsprechend. Die angezeigten Vektoren bleiben jedoch konstant.


Angabe der Oberflächendaten für einen Kantenpunkt auf dem Bildschirm

So generieren Sie einen Kantenpunkt mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Position des Punkts auf der Oberfläche des Werkstücks (in Kantennähe) zu bestimmen.
  3. Klicken Sie mit der linken Maustaste. PC-DMIS markiert die ausgewählte Oberfläche.
  4. Vergewissern Sie sich, daß die richtige Oberfläche gewählt wurde.

Im Dialogfeld werden der Wert des ausgewählten Kantenpunkts und –vektors angezeigt, sobald der Punkt markiert worden ist. Die Richtung des vertikalen Oberflächenvektors wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, überschreibt PC-DMIS die angezeigten Informationen mit den neuen Daten.


KMG-Drahtmodelldaten für einen Kantenpunkt

So generieren Sie einen Kantenpunkt anhand der Drahtmodelldaten mit dem KMG:

  1. Berühren Sie mit dem Taster einen Punkt in der Nähe der gewünschten Werkstückkante.
  2. Versuchen Sie, den Schaft so vertikal zur Oberfläche wie möglich zu positionieren.

PC-DMIS durchstößt den CAD-Draht möglichst nahe am Berührungspunkt des Tasters. Die angezeigten Werte X, Y, Z geben die am nächsten zum Meßpunkt gelegene CAD-Kante wieder, nicht den Meßpunkt selbst. Die Werte I, J, K geben die Oberflächennormale wieder. Wird keine CAD-Kante gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Meßpunkte aufzunehmen.

Erfolgt vor Auswahl der Schaltfläche Erzeugen eine zweite Tasterberührung auf der gegenüberliegenden Oberfläche, ändert PC-DMIS die Positionsdaten entsprechend. Die angezeigten Vektoren bleiben jedoch konstant.


Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm

Ein Kantenpunkt kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So generieren Sie einen Kantenpunkt:

  1. Klicken Sie in die Nähe des gewünschten Drahtes auf die Kantenseite (nicht innerhalb der Grenzen der obersten Oberfläche). PC-DMIS markiert den ausgewählten Draht.
  2. Vergewissern Sie sich, daß das richtige Element ausgewählt wurde.

Die Antastrichtung des Tasters verläuft stets im rechten Winkel zur Linie und zum aktuellen Mittellinienvektor des Tasters. Der Taster nähert sich von der angeklickten Kantenseite her. Im Dialogfeld werden der Wert des ausgewählten Kantenpunkts und des Vektors angezeigt, sobald der Punkt bestimmt worden ist.

Ist eine zusätzliche Berührung erforderlich, klicken Sie auf den der (vertikalen) Oberfläche gegenüberliegenden Draht.


Bestimmung eines Kantenpunkts ohne Zuhilfenahme von CAD-Daten

So generieren Sie den Kantenpunkt, ohne CAD-Daten zu verwenden:

  • Die ersten drei aufgenommenen Meßpunkte geben den Nennwert des Oberflächenvektors an.
  • Anhand der nächsten beiden Meßpunkte wird der andere Vektor ermittelt und angezeigt. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an.
  • Der letzte Meßpunkt (sechster Meßpunkt) gibt die tatsächliche Kantenpunktposition an.


Erstellen eines automatischen Extrempunkts

Home Contents Previous Next

Erstellen eines Auto-Extrempunkts

Auto Feature Type List Close Create Advanced / Basic buttons Auto Misc Measure Clear Plane ID Orienation Properties Location

Mit der Option Auto-Extrempunkt können Sie einen benutzerdefinierten Bereich nach dem höchsten Punkt (Extrempunkt) in der aktuellen Arbeitsebene durchsuchen. Der Bereich selbst wird nach dem höchsten Punkt untersucht, vorhandene Punkte in Ihrem Werkstückprogrammwerden nicht durchsucht.

Das Suchergebnis ist ein einzelner Punkt, der durch die Koordinaten X, Y, Z und den Antastvektor definiert wird.

Um auf die Option Extrempunkt zuzugreifen, öffnen Sie das gleichnamige Auto-Element-Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Extrempunkt-Felddefinitionen

Messen eines Extrempunkts


Extrempunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Extrempunkt lautet wie folgt:
E-ID=AUTO/EXTREMPUNKT, ALLE_PARAMETER_EINBLENDEN = J/N,
THEO/ TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG
AUTOM. BEWEG = JA/NEIN, ABSTAND = n, RMESS = keine
INKREMENT = n, TOL = n, TOG1,
BREITE/AUSSENRADIUS = n , LÄNGE/INNENRADIUS = n, MITTE = X, Y, Z

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTOM. BEWEG, ABSTAND, RMESS, INKREMENT, TOL, FELD, BREITE, LÄNGE und MITTE anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Werkstückstärke an. Positive und negative Werte sind zulässig.

TOG = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt die Entfernung an, über die sich der Taster mit der Option AUTOM. BEWEG bewegt.

INKREMENT = Diese Abstandswerte können bearbeitet werden.

MITTE = Diese X-,Y-,Z-Koordinaten geben das Zentrum des Suchbereichs an.

TOL = Bei diesem Wert handelt es sich um einen veränderbaren Abstand.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Optionen für den Suchmodus sind FELD und KREIS.

LÄNGE / INNENRADIUS = Diese Abstandswerte können bearbeitet werden. Wenn die LÄNGE angezeigt wird, steht dieser Wert für den Abstand entlang der Hauptachse der aktuellen Arbeitsebene, die für den Suchbereich verwendet wird. Wird der INNENRADIUS angezeigt, stellt dieser Wert den Innenradius des Suchbereichs dar. PC-DMIS schlägt gültige Werte zur Auswahl vor.

BREITE / AUSSENRADIUS = Diese Abstandswerte können bearbeitet werden. Wenn die BREITE angezeigt wird, steht dieser Wert für den Abstand entlang der Nebenachse der aktuellen Arbeitsebene, die für den Suchbereich verwendet wird. Wird der AUSSENRADIUS angezeigt, stellt dieser Wert den Außenradius des Suchbereichs dar. PC-DMIS schlägt gültige Werte zur Auswahl vor.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".


Messen eines Extrempunkts

Dieses Element ist unmittelbar von der aktuellen Arbeitsebene abhängig. Der Extrempunkt wird durch die Arbeitsebene bestimmt, die gegenwärtig in der Arbeitsebenenliste angezeigt wird.

So finden Sie den Extrempunkt: Die Bildschirmdarstellungen zeigen einen beispielhaften Extrempunkt-Vorgang:

  1. Öffnen Sie das Dialogfeld Extrempunkt (Auto-Element).

Display Menu Roadmap
Überprüfen Sie, ob die korrekte Arbeitsebene in der Liste Arbeitsebene angezeigt wird. Wenn Sie beispielsweise den Extrempunkt in der X+-Ebene finden wollen, hätten Sie X+ in der Symbolleiste Einstellungen wählen müssen.

  3. Nehmen Sie einen Meßpunkt am Werkstück auf. PC-DMIS stellt den Vektor des ausgewählten Punkts auf dem Bildschirm dar und zeigt die Daten im Dialogfeld an. Weitere Methoden zum Erstellen dieses ersten Mittelpunkts finden Sie unter den nachstehend aufgelisteten Themen.
  4. Legen Sie einen Suchbereich fest. Wählen Sie einen Suchmodus aus (entweder Feldmodus oder Kreismodus) und legen Sie den Suchbereich fest, indem Sie die Werte in die Felder Breite und Länge oder Innenrad. und Außenrad. eingeben. Im Feldmodus verteilt PC-DMIS die Werte gleichmäßig um den ersten Mittelpunkt.
  5. Drücken Sie die TABULATORTASTE. PC-DMIS zeigt den Suchbereich (als kreisförmiges Band oder Rechteck) auf der Arbeitsebene Ihres Werkstückmodells an.
  6. Bestimmen Sie ein Inkrement für den Start der Suche, indem Sie im Feld Zuwachs einen Wert eingeben. Dieses Inkrement bestimmt den ersten Abstand um den Startpunkt herum, in dem gesucht werden soll.
  7. Geben Sie im Feld Toleranz einen Wert ein. Dieser Toleranzwert sollte stets unter dem Inkrementwert liegen.
  8. Klicken Sie auf Erzeugen, um den Extrempunkt zu erstellen. Der Wert im Bearbeitungsfenster ist nicht der Extrempunkt.
    • Wenn das Kontrollkästchen Messen nicht aktiviert ist, wenn die Schaltfläche Erzeugen angeklickt wird, wird das Extrempunktelement erstellt, und im Bearbeitungsfenster werden die ursprünglichen Suchparameter angezeigt. Diese Werte bleiben aktuell, bis das Element ausgeführt wird.
    • Wenn das Kontrollkästchen Messen bei Auswahl der Schaltfläche Erzeugen aktiviert ist, führt PC-DMIS den Suchvorgang zur Ermittlung des Extrempunkts aus. Nach Abschluß der Suche wird der tatsächliche Extrempunkt im Bearbeitungsfenster angezeigt.
  9. Führen Sie die Funktion aus. PC-DMIS mißt den erzeugten Punkt und sucht dann nach anhand des folgenden Verfahrens nach dem Extrempunkt: Wird ein weiterer Punkt gefunden, der in der aktuellen Arbeitsebene höher liegt, wird der neue Punkt zum aktuellen Suchpunkt. Dies wird fortgesetzt, bis kein weiterer Punkt innerhalb des angegebenen Inkrementwerts gefunden wird. Der Inkrementwert wird dann automatisch verringert, um Punkte zu suchen, die eventuell näher liegen könnten als das ursprünglich angegebene Inkrement. Der Inkrementwert wird so lange verringert, bis er kleiner als oder gleich dem angegebenen Toleranzwert ist. Das bedeutet dann, daß der höchste Punkt in der aktuellen Arbeitsebene gefunden wurde. Je nach Rechnergeschwindigkeit könnte es einige Minuten dauern, bis der Extrempunkt gefunden wird.
  10. Öffnen Sie das Bearbeitungsfenster und versetzen Sie es in den Befehlsmodus. Sehen Sie sich den Wert ZIEL/ an. Dieser Wert wurde aktualisiert, um die XYZIJK-Werte für den höchsten Punkt im Suchbereich anzuzeigen.

Wenn Sie sich nicht sicher sind, welche Werte für Inkrement, Toleranz, Breite/Länge und Innen-/Außenradius anzugeben sind, macht PC-DMIS automatisch gültige Vorschläge für diese Werte, nachdem Sie den Startpunkt und Suchmittelpunkt definiert haben.

PC-DMIS bietet mehrere Methoden zur Definition des Mittelpunkts eines Suchbereichs für einen Extrempunkt mit Hilfe der Option Auto. Diese Methoden werden unter den folgenden Themen beschrieben:

  • Eingabedaten für einen Extrempunkt
  • KMG-Oberflächendaten für einen Extrempunkt
  • Angabe der Oberflächendaten für einen Extrempunkt auf dem Bildschirm
  • KMG-Drahtmodelldaten für einen Extrempunkt
  • Angabe der Drahtmodelldaten für einen Extrempunkt auf dem Bildschirm
  • Bestimmung eines Extrempunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Sie können die Maus nicht im Grafikfenster benutzen, wenn keine CAD-Daten mit Oberflächeninformationen zur Verfügung stehen.

Siehe auch:

Lernprogramm "Extrempunkt"

Weitere Extrempunkt-Suchverfahren

Eingabedaten für einen Extrempunkt

KMG-Oberflächendaten für einen Extrempunkt

Angabe der Oberflächendaten für einen Extrempunkt auf dem Bildschirm

Bestimmung eines Extrempunkts ohne Zuhilfenahme von CAD-Daten


Lernprogramm "Extrempunkt"

Dieses Offline-Lernprogramm zeigt, wie die Registerkarte Extrempunkt für die Suche nach dem Extrempunkt eines auf der Z+-Ansicht eines abgeschrägten Werkstücks definierten Suchbereichs verwendet wird:

Dieses Lernprogramm verwendet das TAPE10A.IGS-Modell. Sie können hierfür auch jedes Modell mit einer Abschrägung oder Kurve auf der Z+-Oberfläche verwenden.

Gedrehte Y+-Ansicht der Abschrägung (rot hervorgehoben).

  19. Wählen Sie die zu verwendende Arbeitsebene. Stellen Sie für dieses Lernprogramm sicher, daß ZPLUS in der Symbolleiste Einstellungen gewählt wurde.
  20. Stellen Sie sicher, daß sich das Programm im "Oberflächenmodus" befindet.
  21. Öffnen Sie das Dialogfeld Extrempunkt (Auto-Element).

Display Menu Roadmap
Klicken Sie auf die Z+-Ebene im Grafikfenster des CAD-Modells, um den ersten Mittelpunkt für den Suchbereich zu erzeugen. Der Vektor für diesen Punkt wird als farbiger Pfeil dargestellt:

Mittelpunkt für den Extrempunkt

  19. Wählen Sie Feldmodus auf der Registerkarte Extrempunkt. Geben Sie den Wert 3 in das Feld Breite ein und im Feld Länge den Wert 125. Betätigen Sie die TABULATORtaste. In Ihrem Grafikfenster wird ein dünner rechteckiger Suchbereich angezeigt, der etwa so aussieht:

Suchbereich in der Y+-Ansicht.

Suchbereich in der Z+-Ansicht.

  19. Beachten Sie bitte, daß PC-DMIS die Längen- und Breitenwerte gleichmäßig um den Mittelpunkt verteilt.
  20. Geben Sie den Wert 2 im Feld Zuwachs ein und im Feld Toleranz den Wert 0,25 und klicken Sie dann auf Erzeugen. PC-DMIS erzeugt den ersten Extrempunkt, der als PNT1 dargestellt wird.
  21. Versetzen Sie PC-DMIS in den Übersichtsmodus und klicken Sie das Pluszeichen (+) für den Extrempunkt an. Erweitern Sie die Info-Felder für Ist-Werte und Ziel.
    Beachten Sie bitte, daß hier nur die XYZ- und IJK-Daten des zur Definition des Suchbereichs verwendeten Mittelpunkts angezeigt werden. PC-DMIS hat noch nicht mit der Suche nach dem Extrempunkt begonnen; die Suche erfolgt während der Programmausführung.
  22. Markieren Sie nun das Extrempunktelement und führen Sie das Werkstückprogramm aus.
    19. PC-DMIS wird am Startpunkt mit der Suche beginnen.
    20. PC-DMIS wird in dem durch den Inkrementwert vorgegebenen Abstand acht Stichprobenpunkte um Startpunkt herum aufnehmen.
    21. Wird ein höherer Punkt gefunden, wird dieser Punkt der neue Startpunkt und PC-DMIS nimmt abermals acht Stichprobenpunkte um diesen Punkt herum auf. Dies wird fortgesetzt, bis kein höherer Punkt innerhalb des Inkrementabstands gefunden wird.
    22. PC-DMIS wird weitere Stichprobenpunkte aufnehmen und den Inkrementwert solange verringern, bis er dem Toleranzwert entspricht und die Suche nach dem Extrempunkt damit abgeschlossen ist.

Während der Ausführung bewegt sich der Taster langsam auf der Schräge nach oben, um den höchsten Punkt (Extrempunkt) innerhalb des Suchbereichs zu finden.

Nach Beendigung der Suche zeigt PC-DMIS den neuen Extrempunktwert am CAD-Modell selbst an, indem die PNT1-ID auf die vorgefundene Extrempunktlage im Suchbereich bewegt wird.

Der neue Extrempunkt wurde gefunden

  19. Versetzen Sie PC-DMIS in den Übersichtsmodus und erweitern Sie die Werte für den Auto-Extrempunkt. Erweitern Sie die Ist-Werte-Strukturansicht und sehen Sie sich die XYZ-Werte für den vorgefundenen Extrempunkt an.


Weitere Extrempunkt-Suchverfahren

Sie können das Extrempunkt-Verfahren anwenden, um andere nützliche Suchen durchzuführen. Diese werden im folgenden erläutert:

Niedrigpunktsuche: | Angenommen, Sie haben eine aus Erhebungen und Vertiefungen bestehende Z+-Oberfläche. Um den niedrigsten Punkt in einem "Tal" zu finden, wählen Sie einfach den Wert Z- in der Symbolleiste Einstellungen und suchen Sie den Extrempunktwert auf der Oberfläche Z+.
Liniensuche: | Wenn Sie im Feldmodus für die Linienlänge entweder einen Wert für die Länge oder für die Breite eingeben und dann 0 für den anderen Wert eingeben, wird PC-DMIS eine Suche entlang einer Linie starten.
Suche in einem Kreisbreich: | Wenn im Kreismodus einer der Radien auf Null gesetzt ist, wird ein kreisförmiger Bereich durchsucht.
Suche in einem kreisförmigen Band: | Wenn im Kreismodus einer der Radien größer als der andere ist, wird ein kreisförmiges Band durchsucht und der Mittenbereich ignoriert.
Den Kreisumfang durchsuchen: | Wenn beide Radien im Kreismodus denselben Wert aufweisen, wird nur der Kreisumfang durchsucht.


Eingabedaten für einen Extrempunkt

Mit dieser Methode können Sie durch Angabe der Werte X, Y und Z die Mitte des Suchbereichs eingeben (d. h. die Mitte des Feldes oder des Kreises bzw. der Kreise). Darüber hinaus können Sie hier auch den Startpunkt und den dazugehörigen Antastvektor definieren, indem Sie die Werte für X, Y, Z, I, J und K eingeben.


KMG-Oberflächendaten für einen Extrempunkt

So bestimmen Sie den Suchbereich für den Extrempunkt mit dem KMG:

  2. Berühren Sie die gewünschte Oberfläche des Werkstücks mit dem Taster. Damit werden die Mitte des Suchbereichs und der Startpunkt auf denselben Wert gesetzt.
  3. Wenn Sie einen anderen Suchmittelpunkt wünschen, berühren Sie die gewünschte Oberfläche noch einmal mit dem Taster. Dadurch wird ein neuer Mittelpunkt für den Suchbereich definiert.

Wird ein weiterer Punkt mit dem Taster aufgenommen, wird die Position des Startpunkts und Antastvektors verändert. Jede darauffolgende Aufnahme eines Punkts verändert abwechselnd den Suchmittelpunkt und den Startpunkt. Bei jeder Punktaufnahme auf der Oberfläche des Werkstücks mit dem Taster bestimmt PC-DMIS die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt. Die am Oberflächenmodell erfaßten Daten werden dann zur Definition des Start- und Suchmittelpunkts verwendet.


Angabe der Oberflächendaten für einen Extrempunkt auf dem Bildschirm

So definieren Sie den Suchbereich für den Extrempunkt mit Hilfe von Oberflächendaten:

  1. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Position des Startpunkts (auf der Oberfläche) zu bestimmen.
  2. Klicken Sie mit der linken Maustaste. PC-DMIS markiert die ausgewählte Oberfläche.
  3. Vergewissern Sie sich, daß die richtige Oberfläche gewählt wurde.

PC-DMIS durchstößt die markierte Oberfläche und zeigt Position und Vektor des ausgewählten Punkts an. Die Richtung des vertikalen Oberflächenvektors wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

Beim ersten Klicken auf die Oberfläche wird der Mittelpunkt des Suchbereichs auf denselben Wert wie der Anfangspunkt gesetzt. Wenn Sie einen anderen Suchmittelpunkt verwenden wollen, setzen Sie den Cursor in das Grafikfenster, um die gewünschte Position des Suchmittelpunkts anzuzeigen, und klicken Sie erneut mit der linken Maustaste. Durch jeden weiteren Klick mit der linken Maustaste wird abwechselnd der Suchmittelpunkt und der Anfangspunkt verändert.


Bestimmung eines Extrempunkts ohne Zuhilfenahme von CAD-Daten

Soll der Suchbereich für den Extrempunkt ohne Verwendung von CAD-Daten erzeugt werden, bestimmt der erste aufgenommene Meßpunkt die Nennwerte X, Y und Z für den Anfangspunkt und den Suchmittelpunkt. Außerdem zeigt PC-DMIS den Antastvektor I, J, K für diesen Meßpunkt an. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an. Wenn Sie einen neuen Anfangspunkt definieren wollen, nehmen Sie an der gewünschten Mittelpunktposition einen Punkt mit dem Taster auf. Durch aufeinanderfolgende Punktaufnahmen werden der Anfangspunkt und der Suchmittelpunkt im Wechsel verändert.


Erstellen eines automatischen Oberflächenpunkts

Home Contents Previous Next

Erstellen eines Auto-Oberflächenpunkts

Auto Feature Type List Definition Options Auto Misc Measure Clear Plane Orientation Properties Hits Location Advanced / Basic buttons ID Close Create

Mit der Meßoption "Oberflächenpunkt" können Sie eine Nennpunktposition sowie die theoretische Antastrichtung definieren, mit der das KMG den definierten Punkt messen soll. Mit PC-DMIS können Sie nicht nur die Anzahl der Punkte bestimmen, die für das Messen einer Ebene um die Nennpunktposition verwendet werden sollen, sondern auch die Größe der Ebene festlegen. Wenn die Ebene gemessen worden ist, verwendet PC-DMIS den berechneten vertikalen Oberflächenvektor der Ebene, um sich der Nennpunktposition für die Messung zu nähern.

Hinweis: Die zulässige Anzahl der Stützpunkte, die zum Messen eines Oberflächenpunkts erforderlich sind, ist null oder drei.

Um auf die Option Oberflächenpunkt zuzugreifen, öffnen Sie das gleichnamige Auto-Element-Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Oberflächenpunkt-Felddefinitionen

Messen eines Oberflächenpunkts


Oberflächenpunkt-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Oberflächenpunkt lautet wie folgt:
E-ID=AUTO/OBERFLÄCHENPUNKT, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN= NEIN
THEO/ TX,TY,TZ,TI,TJ,TK,
IST/ X,Y,Z,I,J,K
ZIEL/ Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K
THEO_STÄRKE = n, TOG, EINRASTEN = JA/NEIN
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine ERSTE = n, PERM = n, RADIUS = n

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS die Felder THEOSTÄRKE, KART/POLAR, EINRASTEN, AUTOM. BEWEG, ABSTAND, RMESS, ERSTE, PERM und RADIUS anzeigt oder nicht.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Werkstückstärke an. Positive und negative Werte sind zulässig.

TOG = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

EINRASTEN = Mit dieser Umschaltoption (JA/NEIN) können Sie angeben, ob PC-DMIS auf dem theoretischen Antastvektor "einrasten" soll, um KMG-Positionsfehler zu vermeiden.

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL/ = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt die Entfernung an, über die sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

ERSTE / PERM = Diese Felder können bearbeitet oder umgeschaltet werden. Gültige Werte sind null und drei.

RADIUS = Bei diesem Wert handelt es sich um einen veränderbaren, nicht negativen Abstand.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".

Siehe auch:

Erweiterte Oberflächenpunkt-Felddefinitionen


Erweiterte Oberflächenpunkt-Felddefinitionen

Die Befehlszeile im Bearbeitungsfenster mit den erweiterten Optionen für dieses Element sieht wie folgt aus:
E-ID=AUTO/OBERFLÄCHENPUNKT, ALLE_PARAMETER_EINBLENDEN = J/N, THEO_STÄRKE = n, TOG, EINRASTEN = J/N
THEO/ TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
ERSTE = n, PERM = n, RADIUS = .n
NENNACHSE SUCHEN = x, PROTOKOLLVEK = I,J,K

Hinweis: THEO/ stellt die theoretische Meßpunktlage dar. IST/ stellt die tatsächlich gemessene Punktlage dar.

PROTOKOLLVEK = Hier wird der Vektor angegeben, der zur Protokollierung von Abweichungen verwendet wird. Diese Werte können bearbeitet werden.

NENNACHSE SUCHEN = Hierbei handelt es sich um eine Umschaltoption, mit der die X-ACHSE, Y-ACHSE, Z-ACHSE oder der VEKTOR gesucht werden können. Ist diese Option auf KEINE gesetzt, wird die Nennachse nicht gesucht.

Weitere Informationen zu den standardmäßigen Oberflächenpunkt-Felddefinitionen finden Sie unter "Oberflächenpunkt-Felddefinitionen".


Messen eines Oberflächenpunkts

PC-DMIS bietet mehrere Methoden zum Messen eines Oberflächenpunkts mit der Option Auto. Sie werden nachstehend beschrieben:

  • Eingabedaten für einen Oberflächenpunkt
  • KMG-Oberflächendaten für einen Oberflächenpunkt
  • Angabe der Oberflächendaten für einen Oberflächenpunkt auf dem Bildschirm
  • KMG-Drahtmodelldaten für einen Oberflächenpunkt
  • Angabe der Drahtmodelldaten für einen Oberflächenpunkt auf dem Bildschirm
  • Bestimmung eines Oberflächenpunkts ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für einen Oberflächenpunkt

KMG-Oberflächendaten für einen Oberflächenpunkt

Angabe der Oberflächendaten für einen Oberflächenpunkt auf dem Bildschirm

KMG-Drahtmodelldaten für einen Oberflächenpunkt

Angabe der Drahtmodelldaten für einen Oberflächenpunkt auf dem Bildschirm

Bestimmung eines Oberflächenpunkts ohne Zuhilfenahme von CAD-Daten


Eingabedaten für einen Oberflächenpunkt

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Oberflächenpunkt eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für einen Oberflächenpunkt

Um einen Oberflächenpunkt anhand von Oberflächendaten mit dem KMG zu generieren, berühren Sie die gewünschte Oberfläche des Werkstücks mit dem Taster. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt.

  • Wenn der Berührungspunkt tatsächlich in der Nähe der Oberflächendaten liegt und das Kontrollkästchen Messen nicht markiert ist, wird das Punktelement erstellt und sofort zum Bearbeitungsfenster hinzugefügt.
  • Wenn der Berührungspunkt in der Nähe der Oberflächendaten liegt und das Kontrollkästchen Messen markiert ist, werden die Oberflächendaten zwar noch benutzt, das Element jedoch erst bei Auswahl der Schaltfläche Erzeugen erstellt.
  • Liegt der Berührungspunkt nicht in der Nähe der Oberflächendaten, behandelt PC-DMIS die Berührung als tatsächlichen Meßpunkt und zeigt die Meßpunktposition und den Antastvektor an.
  • Wird ein zweiter Meßpunkt aufgenommen, bevor auf die Schaltfläche Erzeugen geklickt wird, werden die Positionsdaten des zweiten Meßpunkts verwendet.
  • Wenn ein dritter Meßpunkt aufgenommen wird, werden die drei Meßpunkte zur Bestimmung eines Antastvektor verwendet. Die Position wird auf der Grundlage des letzten Meßpunkts bestimmt.
  • Werden mehr als drei Meßpunkte aufgenommen, werden alle Meßpunkte außer dem zuletzt aufgenommenen verwendet, um den Antastvektor zu bestimmen. Der zuletzt aufgenommene Meßpunkt dient immer zur Positionsbestimmung.

Hinweis: Die Option Nennwerte suchen sollte bei dieser Meßmethode aktiviert sein. Weitere Informationen über den Modus Nennwerte suchen finden Sie unter "Liste 'Modus'.


Angabe der Oberflächendaten für einen Oberflächenpunkt auf dem Bildschirm

So generieren Sie einen Oberflächenpunkt mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Position des Punkts (auf der Oberfläche) zu bestimmen.
  3. Klicken Sie mit der linken Maustaste. PC-DMIS markiert die ausgewählte Oberfläche.
  4. Vergewissern Sie sich, daß die richtige Oberfläche gewählt wurde.

PC-DMIS durchstößt die markierte Oberfläche und zeigt Position und Vektor des ausgewählten Punkts an. Die Richtung des vertikalen Oberflächenvektors wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche "Vektor umk." können Sie die Antastrichtung ändern.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, überschreibt PC-DMIS die angezeigten Informationen durch die neuen Daten.


KMG-Drahtmodelldaten für einen Oberflächenpunkt

So erstellen Sie den Oberflächenpunkt mit Drahtmodell-CAD-Daten:

  • Der zuerst aufgenommene Meßpunkt gibt die Nennwerte X, Y und Z an. PC-DMIS zeigt auch den Vektor I, J, K an. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an. Sie können diese Daten übernehmen oder unter Befolgung der im Meldungsfeld angezeigten Hinweise weitere Meßpunkte anfordern. Durch Aufnahme eines zweiten Meßpunkts werden Meßpunktposition und Antastvektor anhand des neuesten Meßpunkts aktualisiert.
  • Bei Aufnahme eines dritten Meßpunkts wird der angezeigte Nennwert für X, Y und Z auf die Position des aktuellen Meßpunkts geändert. PC-DMIS erstellt aus den drei Meßpunkten eine Ebene, um den I, J, K-Antastvektor zu ermitteln.
  • Durch die Aufnahme weiterer Meßpunkte wird die Meßpunktposition anhand der neuesten Meßpunktdaten aktualisiert. Der Antastvektor wird ebenfalls aktualisiert, so daß er einen Durchschnittswert aller bisherigen Meßpunkte für den Oberflächenpunkt darstellt (wobei der neueste Meßpunkt jedoch nicht berücksichtigt wird).

Sie können die angezeigten Daten jederzeit nach Aufnahme des ersten, zweiten oder dritten Meßpunkts übernehmen. Auch wenn der dritte Meßpunkt nicht übernommen wird, setzt PC-DMIS das System intern zurück, so daß der nächste (vierte) Meßpunkt der erste Meßpunkt einer Meßpunktserie wird.


Angabe der Drahtmodelldaten für einen Oberflächenpunkt auf dem Bildschirm

So generieren Sie einen Oberflächenpunkt mit Drahtmodell-CAD-Daten:

  1. Wählen Sie zwei Kanten (Drähte) der Oberfläche aus, auf der der Zielpunkt liegen soll, indem Sie mit der linken Maustaste auf die gewünschten Drähte klicken. (Diese Drähte sollten sich auf derselben Oberfläche befinden.) PC-DMIS markiert die ausgewählten Drähte.
  2. Vergewissern Sie sich, daß die richtigen Drähte ausgewählt wurden. Ein Meldungsfeld wird angezeigt.
  3. Wählen Sie den Zielpunkt auf der erstellten Oberfläche aus. Diese zuletzt getroffene Auswahl wird auf die Ebene projiziert, die von den beiden Drahtvektoren und der Höhe des ersten Drahts gebildet wird.


Bestimmung eines Oberflächenpunkts ohne Zuhilfenahme von CAD-Daten

So generieren Sie den Oberflächenpunkt, ohne CAD-Daten zu verwenden:

  • Der zuerst aufgenommene Meßpunkt gibt die Nennwerte X, Y und Z an. PC-DMIS zeigt auch den Vektor I, J, K an. Dieser Wert gibt die dem KMG-Antastvektor entgegengesetzte Richtung (weg von der Oberfläche) an. Sie können diese Daten übernehmen oder unter Befolgung der im Meldungsfeld angezeigten Hinweise weitere Meßpunkte anfordern.
  • Durch Aufnahme eines zweiten Meßpunkts werden Meßpunktposition und Antastvektor anhand des neuesten Meßpunkts aktualisiert.
  • Bei Aufnahme eines dritten Meßpunkts wird der angezeigte Nennwert für X, Y und Z auf die Position des aktuellen Meßpunkts geändert. PC-DMIS erstellt aus den drei Meßpunkten eine Ebene, um den I, J, K-Antastvektor zu ermitteln.
  • Durch die Aufnahme weiterer Meßpunkte wird die Meßpunktposition anhand der neuesten Meßpunktdaten aktualisiert. Der Antastvektor wird ebenfalls aktualisiert, so daß er einen Durchschnittswert aller bisherigen Meßpunkte für den Oberflächenpunkt darstellt (wobei der neueste Meßpunkt jedoch nicht berücksichtigt wird).


Erstellen eines automatischen Rechtecklochs

Home Contents Previous Next

Erstellen eines Auto-Rechtecklochs

Feat Type Auto Feature Type List Close Create Advanced / Basic buttons Definition Options Auto Misc Measure Clear Plane ID Orientation Properties Hits Location

Mit der Option "Rechteckloch" können Sie eine Rechtecklochmessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn Sie nicht erst eine Serie von Linien messen und Schnitt- und Mittelpunkte daraus konstruieren wollen. Für die Messung von Rechtecklöchern sind fünf Meßpunkte erforderlich.

Messung eines Rechtecklochs mit fünf Meßpunkten

Um die Option Rechteckloch zu öffnen, wählen Sie das gleichnamige Auto-Element-Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Rechteckloch-Felddefinitionen

Messen eines Rechtecklochs


Rechteckloch-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel-Rechteckloch lautet wie folgt:
E-ID=AUTO/RECHTECKLOCH, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK, TDURCHM, TLÄNGE, THÖHE, TWINKELI,TWINKELJ,TWINKELK
IST/ X,Y,Z,I,J,K, DURCHM, LÄNGE, HÖHE, WINKELI,WINKELJ,WINKELK
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK, ZielWINKI,ZielWINKJ,ZielWINKK
THEO_STÄRKE = n, TOG1, TOG2
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, BOHRUNG SUCHEN = J/N, NEU_MESSEN = J/N
ERSTE = n, PERM = n, ABSTAND = n TIEFE = n BREITE MINMAX = NORM, RADIUS = n

MESSPUNKTE_EINBLENDEN = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Rechtecklochs verwendeten Meßpunkte anzeigt oder nicht.

Wenn Sie von DMIS Meßpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Meßpunkts manuell ändern, werden die Meßpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretische Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Meßpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Meßpunktdaten und zeichnet die Meßpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZMESSPKTE", "WINKELVEK", "DURCHM.", "LÄNGE", "BREITE", "HÖHE", "INNEN/AUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, INNEN/AUSSEN, AUTOM. BEWEG, ABSTAND, RMESS, POS. LESEN, BOHRUNG SUCHEN, NEU_MESSEN, ERSTE, PERM, ABSTAND, TIEFE BREITE MINMAX und RADIUS anzeigt oder nicht.

THEO_STÄRKE = Dieser veränderbare Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Langlochs aufgrund der Tasterposition bei der Aufnahme des Meßpunkts.

TOG3 = Dieses Feld kann zwischen NORMAL und BOLZEN umgeschaltet werden und gibt den Typ des Rechtecklochs an, das gemessen wird.

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster bei Einsatz der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

BOHRUNG SUCHEN = Über diese Schaltfläche (J/N = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach der Bohrung, wobei er vertikal zum Elementoberflächenvektor mit Berührungsgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, daß kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, daß ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Meßwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ERSTE / PERM = Diese Werte können bearbeitet oder umgeschaltet werden. Gültige Werte sind null, eins und drei (0, 1, 3).

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

BREITE MINMAX = Dieses Feld kann zwischen MAXMIN und NORM umgeschaltet werden und gibt an, wie PC-DMIS das Rechteckloch mißt.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".

Siehe auch:

Erweiterte Rechteckloch-Felddefinitionen


Erweiterte Rechteckloch-Felddefinitionen

Die Befehlszeile im Bearbeitungsfenster für diese Option sieht unter Verwendung der erweiterten Optionen wie folgt aus:
E-ID=AUTO/RECHTECKLOCH, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK, TDURCHM, TLÄNGE, THÖHE, x
IST/ X,Y,Z,I,J,K, DURCHM, LÄNGE, HÖHE, x
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK, x ZielWINKI,ZielWINKJ,ZielWINKK
THEO_STÄRKE = n, TOG1, TOG2, TOG3
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, BOHRUNG SUCHEN = J/N, NEU_MESSEN = J/N
ERSTE = n, PERM = n, ABSTAND = n TIEFE = n BREITE MINMAX = NORM, RADIUS = n STANZUNG = I,J,K, STIFT = I,J,K

Hinweis: THEO/ stellt die theoretische Meßpunktlage dar. IST/ stellt die tatsächlich gemessene Punktlage dar.

STANZUNG = Dieses Feld zeigt die Stanzrichtung durch das Blech an. Der darin enthaltene Wert kann bearbeitet werden.

STIFT = Dieses Feld zeigt die Richtung an, in der der Punkt durch das gestanzte Loch verläuft.

Weitere Informationen zu den standardmäßigen Rechteckloch-Felddefinitionen finden Sie unter "Rechteckloch-Felddefinitionen".


Messen eines Rechtecklochs

PC-DMIS bietet mehrere Methoden zum Messen eines Rechtecklochs mit der Blechoption, die im folgenden beschrieben werden:

  • Eingabedaten für ein Rechteckloch
  • KMG-Oberflächendaten für ein Rechteckloch
  • Angabe der Oberflächendaten für ein Rechteckloch auf dem Bildschirm
  • KMG-Drahtmodelldaten für ein Rechteckloch
  • Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm
  • Bestimmung eines Rechtecklochs ohne Zuhilfenahme von CAD-Daten

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für ein Rechteckloch

KMG-Oberflächendaten für ein Rechteckloch

Angabe der Oberflächendaten für ein Rechteckloch auf dem Bildschirm

KMG-Drahtmodelldaten für ein Rechteckloch

Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm

Bestimmung eines Rechtecklochs ohne Zuhilfenahme von CAD-Daten


Eingabedaten für ein Rechteckloch

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für das Rechteckloch eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für ein Rechteckloch

So generieren Sie eine Rechtecklochmessung anhand der Oberflächendaten mit dem KMG:

  1. Berühren Sie die Längsseite des Lochs zweimal mit dem Taster.
  2. Berühren Sie das Werkstück auf der Breitseite des Rechtecklochs.
  3. Führen Sie den Taster um das Rechteckloch, und berühren Sie die nächste Längsseite.
  4. Berühren Sie nun die verbleibende Breitseite.

Hinweis: Die Berührungspunkte sollten einen Kreis bilden (Berührung im oder gegen den Uhrzeigersinn).


Angabe der Oberflächendaten für ein Rechteckloch auf dem Bildschirm

So generieren Sie ein Rechteckloch mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Nehmen Sie mit dem animierten Taster zwei Meßpunkte auf der Längsseite des Rechtecklochs auf. PC-DMIS markiert die ausgewählte Linie.
  3. Vergewissern Sie sich, daß die richtige Seite gewählt ist.
  4. Berühren Sie die Abbildung auf einer der Breitseiten des Rechtecklochs.
  5. Führen Sie den Taster um das Rechteckloch, und berühren Sie die nächste Längsseite.
  6. Berühren Sie nun die verbleibende Breitseite.

Hinweis: Die Berührungspunkte sollten einen Kreis bilden (Berührung im oder gegen den Uhrzeigersinn).


KMG-Drahtmodelldaten für ein Rechteckloch

So generieren Sie eine Rechtecklochmessung anhand der Drahtmodelldaten mit dem KMG:

  1. Berühren Sie die Längsseite des Lochs zweimal mit dem Taster.
  2. Berühren Sie das Werkstück auf der Breitseite des Rechtecklochs.
  3. Führen Sie den Taster um das Rechteckloch, und berühren Sie die nächste Längsseite.
  4. Berühren Sie nun die verbleibende Breitseite.

Hinweis: Die Berührungspunkte sollten einen Kreis bilden (Berührung im oder gegen den Uhrzeigersinn).


Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm

So generieren Sie ein Rechteckloch mit Hilfe von Drahtmodell-CAD-Daten:

  1. Klicken Sie zweimal in die Nähe des gewünschten Drahtes auf der Längsseite des Rechtecklochs. PC-DMIS markiert den ausgewählten Draht.
  2. Vergewissern Sie sich, daß das richtige Element ausgewählt wurde.
  3. Berühren Sie die Abbildung auf der Breitseite des Rechtecklochs.
  4. Führen Sie den Taster um das Rechteckloch und berühren Sie die zweite Längsseite.
  5. Berühren Sie nun die verbleibende Breitseite.

Hinweis: Die Berührungspunkte sollten einen Kreis bilden (Berührung im oder gegen den Uhrzeigersinn).


Bestimmung eines Rechtecklochs ohne Zuhilfenahme von CAD-Daten

So generieren Sie ein Rechteckloch, ohne CAD-Daten zu verwenden:

  1. Ermitteln Sie die zuoberst liegende Oberfläche, indem Sie drei Meßpunkte aufnehmen.
  2. Nehmen Sie zwei Meßpunkte auf einer der Längsseiten des Rechtecklochs auf.
  3. Nehmen Sie auf jeder der drei übrigen Seiten des Rechtecklochs jeweils einen Meßpunkt auf. Gehen Sie dabei im Uhrzeigersinn vor. (Insgesamt müßten Sie nun acht Meßpunkte haben.)

Hinweis: Die Meßpunkte sollten einen Kreis bilden (Berührung im oder gegen den Uhrzeigersinn).


Erstellen eines automatischen Zylinders

Home Contents Previous Next

Erstellen eines Auto-Zylinders

Auto Feature Type List Close Create Display Hits Advanced / Basic buttons Auto Misc Measure Clear Plane ID Orientation Properties Hits Location

Mit der Meßoption "Zylinder" können Sie eine Zylindermessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn ein gleichmäßiger Meßpunktabstand für Teilzylinder erforderlich ist. Für die Messung von Auto-Zylindern sind mindestens sechs Meßpunkte erforderlich.

Um die Option Zylinder zu öffnen, wählen Sie das gleichnamige Auto-Element-Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Zylinder-Felddefinitionen

Messen eines Zylinders


Zylinder-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispielzylinder lautet wie folgt:
E-ID=AUTO/ZYLINDER, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK, TDURCHM, TLÄNGE
IST/ X,Y,Z,I,J,K, DURCHM, LÄNGE
ZIEL/ Ziel X,Ziel Y,Ziel Z,Ziel I,Ziel J,Ziel K
THEO_STÄRKE = n, TOG1, TOG2,TOG3, TOG4
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = keine
POS. LESEN = J/N, BOHRUNG SUCHEN = J/N, NEU_MESSEN = J/N, ANZMESSPKTE = n, ANZREIHEN = n, ERSTE = n, PERM = n
ABSTAND = n, STEIGUNG = n, STARTWINKEL = n, ENDWINKEL = n, TIEFE = n
WINKELVEK = I,J,K

Hinweis: THEO/ stellt die theoretische Meßpunktlage dar. IST/ stellt die tatsächlich gemessene Punktlage dar.

MESSPUNKTE_EINBLENDEN = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Zylinders verwendeten Meßpunkte anzeigt oder nicht.

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, INNEN/AUSSEN, GERADE, GAUSS, AUTOM. BEWEG, ABSTAND, RMESS, POS. LESEN, BOHRUNG SUCHEN, NEU_MESSEN, THEO VERW, ANZMESSPKTE, ANZREIHEN, ERSTE, PERM, ABSTAND, STEIGUNG, STARTWINKEL, ENDWINKEL, TIEFE und WINKELVEK anzeigt oder nicht.

Wenn Sie von DMIS Meßpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Meßpunkts manuell ändern, werden die Meßpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretische Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Meßpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Meßpunktdaten und zeichnet die Meßpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZMESSPKTE", "WINKELVEK", "DURCHM.", "LÄNGE", "BREITE", "HÖHE", "INNEN/AUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Werkstückstärke an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Zylinders aufgrund der Tasterposition bei der Aufnahme des Meßpunkts. (Innerhalb eines Zylinders = INNEN, außen um einen Bolzen = AUSSEN.)

TOG3 = Dieses Feld kann zwischen KREISFÖRMIG und GERADE umgeschaltet werden.

TOG4 = In diesem Feld können Sie eine der folgenden Optionen wählen: GAUSS, PFERCHKREIS, HÜLLKREIS, TSCHEBYSCHEFF und FESTER RAD.

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar. TDURCHM ist der Nennwert des Durchmessers. TDURCHM ist die theoretische Länge des Zylinders.

IST/ = Dieser Wert stellt die gemessenen Punkte dar. DURCHM ist der gemessene Wert des Durchmessers. LÄNGE ist die gemessene Länge des Zylinders.

ZIEL = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

BOHRUNG SUCHEN = Über dieses Feld (JA/NEIN = Ein/Aus) wird der Taster auf die Position des Vorhalteabstands über dem theoretischen Mittelpunkt des Elements bewegt. Dann sucht er nach dem Loch, wobei er vertikal zum Oberflächenvektor des Elements mit Berührungsgeschwindigkeit vorrückt. Die Suche wird fortgesetzt, bis die Oberfläche berührt wird (was bedeutet, daß kein Loch vorhanden ist) oder bis der Prüfabstand erreicht ist (was bedeutet, daß ein Loch vorhanden ist).

NEU_MESSEN = Über diese Umschaltoption (JA/NEIN) wird das Element nach der ersten Messung automatisch ein zweites Mal gemessen. Die Meßwerte der ersten Messung werden als Zielpositionen für die zweite Messung verwendet.

ANZMESSPKTE = Dieser veränderbare Wert muß eine Ganzzahl sein, die größer als fünf (5) ist.

ANZREIHEN = Dieser veränderbare Wert muß eine Ganzzahl sein, die größer als 1 ist.

ERSTE / PERM = Die Werte in diesen Feldern können bearbeitet werden.

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

STEIGUNG = Dieser Wert ermöglicht eine größere Genauigkeit für Gewindelöcher und Bolzen.

START- / ENDWINKEL = Diese Werte bezeichnen den Teil des Bogens, der gemessen werden soll.

WINKELVEK = Dieses Feld zeigt die Null-Grad-Position am vertikalen Vektor an. Der darin enthaltene Wert kann bearbeitet werden.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".


Erstellen von automatischen Elementen - Erstellen eines automatischen Zylinders - Messen eines Zylinders

Messen eines Zylinders

PC-DMIS bietet mehrere Methoden zum Messen eines Zylinders, die im folgenden beschrieben werden:

  • Eingabedaten für einen Zylinder
  • KMG-Oberflächendaten für einen Zylinder
  • Angabe der Oberflächendaten für einen Zylinder auf dem Bildschirm
  • KMG-Drahtmodelldaten für einen Zylinder
  • Angabe der Drahtmodelldaten für einen Zylinder auf dem Bildschirm
  • Bestimmung eines Zylinders ohne Zuhilfenahme von CAD-Daten

Bei allen Methoden ist es wichtig, daß der richtige Elementtyp, LOCH oder BOLZEN, ausgewählt wird. Siehe auch die Optionen "Loch" oder "Bolzen". Vergewissern Sie sich, daß die richtige Option ausgewählt ist.

Hinweis: Bestimmte Punktmuster (z. B. zwei Reihen von drei Punkten in gleichmäßigen Abständen oder zwei Reihen von vier Punkten in gleichmäßigen Abständen) ergeben verschiedene Methoden zur Messung eines perfekten Zylinders. Der Besteinpassungs-Algorithmus von PC-DMIS wendet möglicherweise eine für Sie unerwartete Lösung zur Messung des Zylinders an. Es wird empfohlen, ein eindeutiges Punktmuster zur Messung von Zylindern zu verwenden.

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für einen Zylinder

KMG-Oberflächendaten für einen Zylinder

Angabe der Oberflächendaten für einen Zylinder auf dem Bildschirm

Angabe der Drahtmodelldaten für einen Zylinder auf dem Bildschirm

Bestimmung eines Zylinders ohne Zuhilfenahme von CAD-Daten


Eingabedaten für einen Zylinder

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Zylinder eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für einen Zylinder

So generieren Sie einen Zylinder anhand der Oberflächendaten mit dem KMG:

  1. Nehmen Sie drei Meßpunkte im Loch (oder am Bolzen) auf.
  2. Setzen Sie den Taster auf eine andere Tiefe
  3. Nehmen Sie drei weitere Meßpunkte auf. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt.

Die angezeigten Werte X, Y, Z geben den nächstgelegenen CAD-Zylinder, nicht die tatsächlichen Meßpunkte, wieder. Die Werte I, J, K geben die Oberflächennormale wieder. Wird kein CAD-Zylinder gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Meßpunkte aufzunehmen.


Angabe der Oberflächendaten für einen Zylinder auf dem Bildschirm

So generieren Sie einen Zylinder mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den Cursor auf eine Stelle außerhalb oder innerhalb des gewünschten Zylinders.
  3. Klicken Sie auf drei Stellen um den Zylinder herum. PC-DMIS markiert den ausgewählten Zylinder. Mittelpunkt und Durchmesser aus den CAD-Daten des ausgewählten Blechzylinders werden im Dialogfeld angezeigt, sobald der sechste Punkt angegeben worden ist.
  4. Legen Sie die Länge des Zylinders fest, indem Sie einen Wert im Feld Höhe eingeben.
  5. Klicken Sie auf die Schaltfläche Erzeugen.


Angabe der Drahtmodelldaten für einen Zylinder auf dem Bildschirm

Ein Zylinder kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So generieren Sie einen Zylinder mit Hilfe von Drahtmodelldaten:

  1. Klicken Sie in der Nähe des gewünschten Drahts auf den Zylinder. PC-DMIS markiert den ausgewählten Draht.
  2. Vergewissern Sie sich, daß das richtige Element ausgewählt wurde.

Die Antastrichtung des Tasters verläuft stets im rechten Winkel zum Element und zum aktuellen Mittellinienvektor des Tasters. Mittelpunkt und Durchmesser des ausgewählten Zylinders werden im Dialogfeld angezeigt, sobald der Draht bestimmt worden ist.

Hinweis: Wenn das CAD-Element weder ein Zylinder, noch ein Kreis noch ein Bogen ist, sind evtl. zusätzliche Mausklicks erforderlich, um das Element zu identifizieren. Hebt PC-DMIS nicht das richtige Element hervor, klicken Sie versuchsweise auf mindestens zwei weitere Stellen am Zylinder.


Bestimmung eines Zylinders ohne Zuhilfenahme von CAD-Daten

So generieren Sie einen Zylinder, ohne CAD-Daten zu verwenden:

  1. Nehmen Sie drei Meßpunkte auf der Oberfläche auf, um die Ebene zu ermitteln, in der der Zylinder liegt.
  2. Nehmen Sie drei Meßpunkte im Loch (oder am Bolzen) auf.
  3. Nehmen Sie drei weitere Meßpunkte auf einer anderen Schicht auf.

PC-DMIS berechnet den Blechzylinder anhand aller sechs Meßpunkte. Wenn PC-DMIS Schwierigkeiten bei der Bestimmung des Elementtyps hat, hilft es manchmal, einen Meßpunkt zwischen den beiden Ebenen aufzunehmen. PC-DMIS verwendet die Daten aus allen Meßpunkten, die vor Auswahl der Schaltfläche Erzeugen gemessen werden. Die angezeigten X, Y, Z-Werte geben den berechneten Zylindermittelpunkt bzw. Bolzenmittelpunkt an.


Erstellen eines automatischen Kegels

Home Contents Previous Next

Erstellen eines Auto-Kegels

Auto Feature Type List Close Create Display Hits Advanced / Basic buttons Auto Misc Measure Clear Plane ID Orientation Properties Hits Location

Mit der Meßoption "Kegel" können Sie eine Kegelmessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn ein gleichmäßiger Meßpunktabstand für Teilkegel erforderlich ist. Für die Messung von Auto-Kegeln sind mindestens sechs Meßpunkte erforderlich.

Um die Option Kegel zu öffnen, wählen Sie das gleichnamige Auto-Element-Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Kegel-Felddefinitionen

Messen eines Kegels


Kegel-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters für einen Beispielkegel lautet wie folgt:
E-ID=AUTO/KEGEL, ALLE_PARAMETER_EINBLENDEN = J/N, MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK, TDURCHM, TWINKEL, THÖHE
IST/ X,Y,Z,I,J,K, DURCHM, WINKEL, HÖHE
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1, TOG2, TOG3, TOG4, TOG5
BEIFEHLER = J/N
AUTOM. BEWEG = J/N, ABSTAND = n, RMESS = J/N, POS. LESEN = J/N
ANZMESSPKTE =n, ANZREIHEN =n, ERSTE =n PERM =n, ABSTAND =n,
STARTWINKEL = n, ENDWINKEL = n, TIEFE = n
WINKELVEK = I,J,K

Hinweis: THEO/ stellt die theoretische Meßpunktlage dar. IST/ stellt die tatsächlich gemessene Punktlage dar.

MESSPUNKTE_EINBLENDEN = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen des Kegels verwendeten Meßpunkte anzeigt oder nicht.

Wenn Sie von DMIS Meßpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Meßpunkts manuell ändern, werden die Meßpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretische Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Meßpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Meßpunktdaten und zeichnet die Meßpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZMESSPKTE", "WINKELVEK", "DURCHM.", "LÄNGE", "BREITE", "HÖHE", "INNEN/AUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, INNEN/AUSSEN, GERADE, GAUSS, AUTOM. BEWEG, ABSTAND, RMESS, POS. LESEN, BOHRUNG SUCHEN, NEU_MESSEN, THEO VERW, ANZMESSPKTE, ANZREIHEN, ERSTE, PERM, ABSTAND, STEIGUNG, STARTWINKEL, ENDWINKEL, TIEFE und WINKELVEK anzeigt oder nicht.

WINKEL = Dieser Wert zeigt den Winkel des Kegels an.

THÖHE = Dieser Wert zeigt die theoretische Höhe des Kegels an.

HÖHE = Dieser Wert zeigt die gemessene Höhe des Kegels an.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Werkstückstärke an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Kegels aufgrund der Tasterposition bei der Aufnahme des Meßpunkts. (Innerhalb eines Kegels = INNEN, außen um einen Bolzen = AUSSEN.)

TOG3 = Dieses Feld kann zwischen KREISFÖRMIG und GERADE umgeschaltet werden.

TOG4 = Dieses Feld kann zwischen JA und NEIN für die Option BEIFEHLER umgeschaltet werden. Weitere Informationen finden Sie unter "Kontrollkästchen 'Bei Fehler'".

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar. TDURCHM ist der Nennwert des Durchmessers.

IST/ = Dieser Wert stellt die gemessenen Punkte dar. DURCHM ist der gemessene Wert des Durchmessers.

ZIEL = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTOM. BEWEG bewegt.

RMESS = Dieser Wert gibt die relative Position und Ausrichtung zwischen einem bestimmten Element (oder bestimmten Elementen) und dem automatischen Element an.

POS. LESEN = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ANZMESSPKTE = Dieser veränderbare Wert muß eine Ganzzahl sein, die größer als fünf (5) ist.

ANZREIHEN = Dieser veränderbare Wert muß eine Ganzzahl sein, die größer als 1 ist.

ERSTE / PERM = Die Werte in diesen Feldern können bearbeitet werden.

ABSTAND / TIEFE = Diese Abstandswerte können verändert werden.

ANFANGS- / ENDWINKEL = Diese Werte bezeichnen den Teil des Bogens, der gemessen werden soll.

WINKELVEK = Dieses Feld zeigt die Null-Grad-Position am vertikalen Vektor an. Der darin enthaltene Wert kann bearbeitet werden.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".


Erstellen von automatischen Elementen - Erstellen eines automatischen Kegels - Messen eines Kegels

Messen eines Kegels

PC-DMIS bietet mehrere Methoden zum Messen eines Kegels, die im folgenden beschrieben werden:

  • Eingabedaten für einen Kegel
  • KMG-Oberflächendaten für einen Kegel
  • Angabe der Oberflächendaten für einen Kegel auf dem Bildschirm
  • KMG-Drahtmodelldaten für einen Kegel
  • Angabe der Drahtmodelldaten für einen Kegel auf dem Bildschirm
  • Bestimmung eines Kegels ohne Zuhilfenahme von CAD-Daten

Bei allen Methoden ist es wichtig, daß der richtige Elementtyp, LOCH oder BOLZEN, ausgewählt wird. Siehe auch die Optionen "Loch" oder "Bolzen". Vergewissern Sie sich, daß die richtige Option ausgewählt ist.

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für einen Kegel

KMG-Oberflächendaten für einen Kegel

Angabe der Oberflächendaten für einen Kegel auf dem Bildschirm

Angabe der Drahtmodelldaten für einen Kegel auf dem Bildschirm

Bestimmung eines Kegels ohne Zuhilfenahme von CAD-Daten


Eingabedaten für einen Kegel

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Kegel eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für einen Kegel

So generieren Sie einen Kegel anhand der Oberflächendaten mit dem KMG:

  1. Nehmen Sie drei Meßpunkte im Loch (oder am Bolzen) auf.
  2. Setzen Sie den Taster auf eine andere Tiefe.
  3. Nehmen Sie drei weitere Meßpunkte auf. PC-DMIS durchstößt die CAD-Oberfläche, die dem Berührungspunkt des Tasters am nächsten liegt.

Die angezeigten Werte X, Y, Z weisen den nächstgelegenen CAD-Kegel, nicht die tatsächlichen Meßpunkte, aus. Die Werte I, J, K geben die Oberflächennormale wieder. Wird kein CAD-Kegel gefunden, zeigt PC-DMIS den nächstgelegenen Punkt an und fordert Sie auf, weitere Meßpunkte aufzunehmen.


Angabe der Oberflächendaten für einen Kegel auf dem Bildschirm

So generieren Sie einen Kegel mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den Cursor auf eine Stelle außerhalb oder innerhalb des gewünschten Kegels.
  3. Klicken Sie auf drei Stellen in der Nähe der Hauptkante des Kegels. PC-DMIS markiert den ausgewählten Kegel.
  4. Klicken Sie auf die Oberfläche in der Nähe der gegenüberliegenden Kante des Kegels, um drei weitere Meßpunkte aufzunehmen.

Sie müssen mindestens sechs Stellen anklicken, damit PC-DMIS die benötigten Daten für X, Y, Z und I, J, K berechnen kann. Mittelpunkt, Winkel und Durchmesser aus den CAD-Daten des ausgewählten Blechkegels werden im Dialogfeld angezeigt, sobald der sechste Punkt angegeben worden ist.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, errechnet PC-DMIS einen Durchschnitt aller Meßpunkte.


Angabe der Drahtmodelldaten für einen Kegel auf dem Bildschirm

Ein Kegel kann auch mit Drahtmodell-CAD-Daten erzeugt werden.

So generieren Sie einen Kegel mit Hilfe von Drahtmodelldaten:

  1. Klicken Sie in der Nähe des gewünschten Drahts auf den Kegel. PC-DMIS markiert den ausgewählten Draht. Auf diese Weise lassen sich Mitte, Oberflächenvektor und Durchmesser des Kegels erfassen.
  2. Klicken Sie auf einen zweiten Draht, der das andere Ende des Kegels darstellt, um den Winkel zu berechnen.

Die Antastrichtung des Tasters verläuft stets im rechten Winkel zum Element und zum Mittellinienvektor des aktuellen Tasters. Mittelpunkt und Durchmesser des ausgewählten Kegels werden im Dialogfeld angezeigt, sobald der Draht bestimmt worden ist.

Hinweis: Wenn das zugrundeliegende CAD-Element weder ein Kegel, noch ein Kreis noch ein Bogen ist, könnten weitere Mausklicks erforderlich sein, um das Element zu identifizieren. Hebt PC-DMIS nicht das richtige Element hervor, klicken Sie versuchsweise auf mindestens zwei weitere Stellen am Kegel.


Bestimmung eines Kegels ohne Zuhilfenahme von CAD-Daten

So generieren Sie einen Kegel ohne Zuhilfenahme von CAD-Daten:

  1. Nehmen Sie drei Meßpunkte auf der Oberfläche auf, um die Ebene zu ermitteln, in der der Kegel liegt.
  2. Nehmen Sie drei Meßpunkte im Loch (oder am Bolzen) in derselben Schicht auf.
  3. Nehmen Sie mindestens einen Meßpunkt auf einer niedrigeren oder höheren Schicht als die ersten drei Meßpunkte auf (mit der Aufnahme von bis zu drei Meßpunkten erhalten Sie eine genaue Definition des Kegels).


Erstellen einer automatischen Kugel

Home Contents Previous Next

Erstellen einer Auto-Kugel

Auto Feature Type List Close Create Display Hits Advanced / Basic buttons Auto Misc Measure Clear ID Orientation Properties Hits Location

Mit der Blechoption "Kugel" können Sie eine Kugelmessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn die Kugel auf einer bestimmten Ebene liegt, die nicht parallel zu den Arbeitsebenen verläuft. Mindestens vier Meßpunkte sind für das Messen einer Kugel erforderlich.

Um die Option Kugel zu öffnen, wählen Sie das gleichnamige Auto-Element-Dialogfeld (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Siehe auch:

Kugel-Felddefinitionen

Eine Kugel messen


Kugel-Felddefinitionen

Die Befehlszeile des Bearbeitungsfensters einer Beispielkugel lautet wie folgt:
E-ID=AUTO/KUGEL, ALLE_PARAMETER_EINBLENDEN = J/N,
MESSPUNKTE_EINBLENDEN = NEIN
THEO/ TX,TY,TZ,TI,TJ,TK TDURCHM
IST/ X,Y,Z,I,J,K, DURCHM
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
STÄRKE = n, TOG1, TOG2
AUTOM. BEWEG = J/N, ABSTAND = n
ANZMESSPKTE =n, ANZREIHEN =n, ERSTE =n, PERM =n, ABSTAND =n
STARTWINKEL1 = n, ENDWINKEL1 = n
STARTWINKEL2 = n, ENDWINKEL2 = n
WINKELVEK = I,J,K

MESSPUNKTE_EINBLENDEN = Mit diesem JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die zum Erstellen der Kugel verwendeten Meßpunkte anzeigt oder nicht.

Wenn Sie von DMIS Meßpunktdaten erhalten oder mindestens einen der X-, Y-, Z-, I-, J- oder K-Werte des Meßpunkts manuell ändern, werden die Meßpunkte bei Ausführung des Werkstückprogramms nicht auf Basis der theoretische Werte des Elements neu gezeichnet. Statt dessen werden die bereitgestellten Meßpunktdaten bei allen Messungen zugrunde gelegt. Wenn Sie jedoch einen der folgenden Elementparameter ändern, ignoriert PC-DMIS die von Ihnen eingegebenen Meßpunktdaten und zeichnet die Meßpunkte auf Basis des geänderten Parameters neu. Zu diesen Parametern gehören: "ANZMESSPKTE", "WINKELVEK", "DURCHM.", "LÄNGE", "BREITE", "HÖHE", "INNEN/AUSSEN", "STARTWINKEL", "ENDWINKEL", "STEIGUNG", "WINKEL", "BREITE MINMAX", "HAUPTDURCHM.", "NEBENDURCHM." und "ANZREIHEN".

ALLE_PARAMETER_EINBLENDEN = Über dieses JA/NEIN-Umschaltfeld können Sie festlegen, ob PC-DMIS im Bearbeitungsfenster die Felder THEO_STÄRKE, KART/POLAR, AUTOM. BEWEG, ABSTAND, ANZMESSPKTE, ANZREIHEN, ERSTE, PERM, ABSTAND, STARTWINKEL1, STARTWINKEL2, ENDWINKEL1, ENDWINKEL2 und WINKELVEK anzeigt oder nicht.

STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

TOG1 = Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ der gemessenen Kugel aufgrund der Tasterposition bei der Aufnahme des Meßpunkts

THEO/ = Dieser Wert stellt den theoretischen Meßpunkt dar. TDURCHM ist der Nennwert des Durchmessers.

IST/ = Dieser Wert stellt den gemessenen Punkt dar. DURCHM ist der gemessene Wert des Durchmessers.

ZIEL = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, dabei können Sie jedoch einen ganz anderslautenden theoretischen Wert (THEO) angeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster bei Einsatz der Option AUTOM. BEWEG bewegt.

ANZMESSPKTE = Dieser veränderbare Wert muß eine Ganzzahl sein, die größer als drei (3) ist.

ANZREIHEN = Dieser veränderbare Wert muß eine Ganzzahl sein, die größer als 1 ist.

ERSTE / PERM = Die Werte in diesen Feldern können bearbeitet werden.

ABSTAND = Bei diesem Wert handelt es sich um eine Abstandsangabe, die bearbeitet werden kann.

START- / ENDWINKEL1 = Diese Werte können bearbeitet werden. Sie bezeichnen die Start- und Endwinkel für die Kugel.

START- / ENDWINKEL2 = Diese veränderbaren Werte bezeichnen den Teil des Bogens, der vermessen werden soll.

WINKELVEK = Dieses Feld zeigt die Null-Grad-Position am vertikalen Vektor an. Der darin enthaltene Wert kann bearbeitet werden.

Allgemeine Richtlinien zum Messen aller automatischer Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto. Elemente'".


Erstellen von automatischen Elementen - Erstellen einer automatischen Kugel - Messen einer Kugel

Messen einer Kugel

PC-DMIS bietet mehrere Methoden zum Messen einer Kugel mit der Blechoption, die im folgenden beschrieben werden:

  • Eingabedaten für eine Kugel
  • KMG-Oberflächendaten für eine Kugel
  • Angabe der Oberflächendaten für eine Kugel auf dem Bildschirm
  • Angabe der Drahtmodelldaten für eine Kugel auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für eine Kugel

KMG-Oberflächendaten für eine Kugel

Angabe der Oberflächendaten für eine Kugel auf dem Bildschirm

Angabe der Drahtmodelldaten für eine Kugel auf dem Bildschirm


Eingabedaten für eine Kugel

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für die Kugel eingeben. Weitere Informationen zu Nennwerten finden Sie unter "Liste 'Modus'".


KMG-Oberflächendaten für eine Kugel

Um eine Kugel anhand von Oberflächendaten mit dem KMG zu generieren, berühren Sie die Kugel mit dem Taster an vier Stellen.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, sucht PC-DMIS die optimale Kugel in der Nähe der Meßpunkte.


Angabe der Oberflächendaten für eine Kugel auf dem Bildschirm

So generieren Sie eine Kugel mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Kugel zu bestimmen.
  3. Klicken Sie mit der linken Maustaste.
  4. Nehmen Sie mindestens zwei weitere Meßpunkte auf der Kugel auf.

Die Werte des ausgewählten Kantenpunkts und –vektors werden im Dialogfeld angezeigt, sobald die Punkte markiert worden sind.


Angabe der Drahtmodelldaten für eine Kugel auf dem Bildschirm

So generieren Sie eine Kugel mit Hilfe von Drahtmodell-CAD-Daten:

  1. Wählen Sie die zu messende Kugel aus. PC-DMIS markiert die ausgewählte Kugel, sofern diese verfügbar ist. (Wird ein anderes Element ausgewählt, nehmen Sie versuchsweise zwei weitere Meßpunkte auf.)
  2. Vergewissern Sie sich, daß das richtige Element ausgewählt wurde.

Im Dialogfeld werden der Wert der ausgewählten CNC-Kugel und des Vektors angezeigt, sobald die Kugel bestimmt worden ist.


Einrichten einer relativen Messung

Display Menu Roadmap
Über die Menüoption Autom. relative Messung können Sie die Option Relative Messung in einem der folgenden Modi einrichten:

  1. Absoluter Modus
  2. Normaler Modus

Weitere Informationen zur relativen Messung finden Sie unter "Bereich 'Relative Messung'".

Siehe auch:

Absoluter Modus

Normaler Modus


Absoluter Modus

Wenn einem Auto-Element ein relatives Meßelement zugewiesen ist (siehe Bereich "Relative Messung"), mißt PC-DMIS das automatische Element an einer Position, die so angepaßt wurde, daß sie sich auf der Ebene des RMESS-Elements befindet.

Beispiel: Sie messen eine Ebene (EBENE), und ein Auto-Kreis (KREIS1) referenziert die Ebene als RMESS-Element. Bei der Messung von KREIS1 mißt PC-DMIS den Kreis dann in der referenzierten Ebene (EBENE). Siehe auch Mathematischer Prozeß des Modus ABSOLUT:.

Die für diese Option im Bearbeitungsfenster angezeigte Befehlszeile lautet:

RMESS/ABSOLUT

Siehe auch:

Mathematischer Prozeß des Modus ABSOLUT:


Mathematischer Prozeß des Modus ABSOLUT:

Um zu verstehen, wie RMESS/ABSOLUT-Funktionen funktionieren, verfahren Sie unter Zugrundelegung der numerischen Werte der Beispielelemente aus der folgenden Tabelle wie folgt:

  1. Erstellen Sie anhand der X-, Y-, Z-, I-, J-, K-Werte des tatsächlichen RMESS-Elements ein Koordinatensystem (Übertragungsmatrix).
  2. Übertragen Sie die X-, Y-, Z-Werte des Auto-Elements in das RMESS-Koordinatensystem.
  3. Setzen Sie den Z-Wert auf Null, und übertragen Sie die X-, Y-, Z-Werte wieder in das WERKSTÜCK-Koordinatensystem.
  4. Kopieren Sie die I-, J-, K-Werte des RMESS-Elements zum Auto-Element, wenn die Ebene des RMESS-Elements minimierbar ist.
Beispielelement XYZ IJK
Tatsächliches RMESS-Element (Ebene):
2,2,1

0,0,1
Theoretisches Auto-Element (Kreis):
0,0,0

0, 0,7071, 0,7071
Neues theoretisches Auto-Element
0,0,1

0,0,1


Normaler Modus

Im Modus Normal wird die Ausrichtung des Referenzelements berücksichtigt. Diese Methode sollte in 99 % aller Fälle verwendet werden.

Dies wird an einem Auto-Kreis mit drei Stützpunkten deutlich: PC-DMIS nimmt zunächst drei Meßpunkte auf der Oberfläche um den Kreis auf und mißt dann den Kreis anhand der Ebenenposition und der Ausrichtung des vertikalen Oberflächenvektors. Wenn sich die Ebene also in einem Winkel von 45 Grad befindet, mißt PC-DMIS den Auto-Kreis daher auch in einem Winkel von 45 Grad.

Wenn das relative Meßelement relativ zu seiner ursprünglichen Ausrichtung gedreht ist, wird dies ebenfalls bei der Messung des zugeordneten Elements berücksichtigt (das Element wird mit demselben Rotationsversatz gemessen).

Der normale Modus ist außerdem etwas cleverer als der absolute Modus, da nur hier die für den Bezugselementtyp wesentlichen Achsen beim Versatz des Hauptelements berücksichtigt werden. Beispielsweise kann eine Ebene nicht in alle Richtungen verschoben werden, sondern nur in Richtung des vertikalen Oberflächenvektors.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

RMESS/NORMAL

Siehe auch:

Mathematischer Prozeß des Modus NORMAL


Mathematischer Prozeß des Modus NORMAL

Um zu verstehen, wie RMESS/NORMAL-Funktionen funktionieren, verfahren Sie unter Zugrundelegung der numerischen Werte der Beispielelemente aus der folgenden Tabelle wie folgt:

  1. Erstellen Sie anhand der X-, Y-, Z-, I-, J-, K-Werte des RMESS-Nennelements ein Koordinatensystem (Übertragungsmatrix).
  2. Übertragen Sie die X-, Y-, Z- und I-, J-, K-Werte des theoretischen Auto-Elements in das RMESS-Koordinatensystem.
  3. Erstellen Sie ein neues Koordinatensystem anhand der X-, Y-, Z-, I-, J- und K-Werte des tatsächlichen RMESS-Elements.
  4. Übertragen Sie nun die X-, Y-, Z- und I-, J-, K-Werte des zuvor übertragenen Auto-Elements wieder zurück in das WERKSTÜCK-Koordinatensystem.
  5. Messen Sie das Auto-Element auf Basis der neuen X-, Y-, Z-, und I-, J-, K-Werte.
Beispielelement XYZ IJK
Theoretisches RMESS-Element (Kreis):
0,0,2

0,0,1
Theoretisches Auto-Element (Kreis):
2,1,0

0,7071,0, 0,7071
Tatsächliches RMESS-Element:
-1,0,1

-0,7071,0, 0,7071
Neues theoretisches Auto-Element
1,8284,1,-1

0,0,1


Creating Measured Features

Informationen zum Befehlsformat

Einfügen eines gemessenen Elements

Bearbeiten eines gemessenen Elements


Erstellen von gemessenen Elementen: Einführung

Wenn Sie auf einem Werkstück Meßpunkte aufzeichnen, interpretiert PC-DMIS diese Meßpunkte je nach der Anzahl von Meßpunkten, ihren Vektoren usw. immer als unterschiedliche Elemente und erzeugt aus diesen Meßpunkten gemessene Elemente. PC-DMIS unterstützt die folgenden gemessenen Elemente:

  • Gemessener Punkt
  • Gemessene Linie
  • Gemessene Ebene
  • Gemessene Kugel
  • Gemessener Zylinder
  • Gemessener Kegel
  • Gemessener Kreis

Diese Elemente werden genauer unter "Informationen zum Befehlsformat" beschrieben.

In diesem Abschnitt werden folgende Themen behandelt:

  • Informationen zum Befehlsformat
  • Einfügen eines gemessenen Elements
  • Bearbeiten eines gemessenen Elements

Hinweis: Sie können gemessene Elemente auch mit Hilfe der Symbolleiste Schnellstart in Ihr Werkstückprogramm einfügen. Weitere Informationen finden Sie unter "Schnellstart: Symbolleiste "Messen"" im Abschnitt "Arbeiten mit den Symbolleisten".


Informationen zum Befehlsformat

Alle gemessenen Elemente werden im Befehlsmodus des Bearbeitungsfensters im nachfolgenden Format angezeigt. Es gibt geringfügige Abweichungen, die in den folgenden Abschnitten genauer erläutert werden. Das tatsächliche Bearbeitungsprotokoll wird ausschließlich in GROSSBUCHSTABEN angezeigt.

Beispiel:

elementname=ELEMENT/ELEMENTTYP,TOG1,TOG4
THEO/ TX,TY,TZ,TI,TJ,TK,TD,TL
IST/ X,Y,Z,I,J,K,D,L
MESS/TOG2,TOG3,
MESSPKT/TOG5, TX,TY,YZ,TI,TJ,TK,X,Y,Z,THEO_VERW=TOG6
ENDEMESS/

element_name: Dieses Feld zeigt den Namen des Elements an. Dieses Feld kann vom Benutzer bearbeitet werden.

ELEMENTTYP: Bestimmt den Elementtyp und entspricht TOG2, kann jedoch nicht bearbeitet oder umgeschaltet werden.

......: Zeigt an, daß alles Folgende individuell für jedes Element gilt.

TOG1: Dieses Feld ist bei allen Elementen vorhanden. Es kann zwischen KART / POLR hin- und hergeschaltet werden. Wenn dieses Element auf KART eingestellt ist, werden alle Punkte im kartesischen System (x, y, z) dargestellt. Ist das Feld auf POLR eingestellt, werden alle Punkte im Polarsystem (x-Radius, y-Winkel, z-Höhe) angezeigt. Vektoren bleiben unverändert.

TOG2: Dieses Feld ist bei allen gemessenen Elementen vorhanden. Es kann auf die folgenden Elemente eingestellt werden:
KREIS / KEGEL / KURVE / ZYLINDER / LINIE / EBENE / PUNKT / GRUPPE/ LANGLOCH / KUGEL

Wenn die Konstruktionsbefehlszeile zum ersten Mal in einem Werkstückprogramm geöffnet wird, erscheint PUNKT als Standardelementtyp. Danach wird das zuletzt gemessene Element zum Standardelementtyp.

TOG3: Dieses Feld repräsentiert die Anzahl der Meßpunkte, die gemäß dem in TOG2 angezeigten Elementtyp aufgenommen werden. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Meßpunkten. Beispiel: 1 Meßpunkt = 1 MESSPKT/BASIS-Zeile, 3 Meßpunkte = 3 MESSPKT/BASIS-Zeilen. Die erforderliche Mindestanzahl wird als Standard angegeben.

TOG4: Dieses Feld enthält ebenfalls eindeutige Werte gemäß dem in TOG2 angezeigten Elementtyp. Bei linearen Elementen kann zwischen BEGRENZT und UNBEGRENZT umgeschaltet werden. Bei kreisförmigen Elementen ist ein Umschalten zwischen INNEN und AUSSEN möglich. Bei winkelförmigen Elementen lauten die Optionen LÄNGE und WINKEL.

TOG5: Dieses Feld repräsentiert den Meßpunkttyp, der aufgenommen werden soll:
BASIS.

TOG6: Über dieses Feld können Sie festlegen, ob der theoretische Vektor als Antastvektor für die Punktmessung zugrundegelegt werden soll. Die Standardeinstellung lautet JA. Wird auf NEIN umgeschaltet, berechnet PC-DMIS den Antastvektor, indem der theoretische Meßpunkt (X,Y,Z-Wert) von der aktuellen Tasterposition subtrahiert wird.

TX,TY,TZ,TI,TJ,TK: Diese Zahlen (TX,TY,TZ) repräsentierten den theoretische Zielvektor und den theoretischen Antastvektor (TI, TJ, TK), die alle vom Benutzer geändert werden können.

TD: Bei Kreiselementen ist diese Zahl der theoretische Durchmesser.

X,Y,Z,I,J,K: Diese Zahlen können nicht bearbeitet werden. Sie geben den Meßpunkt und den gemessenen Antastvektor wieder.

D:Bei Kreiselementen ist diese Zahl der gemessene Durchmesser.

TL:Hierbei handelt es sich um die theoretische Länge von Elementen, die eine Länge aufweisen.

LHierbei handelt es sich um die gemessene Länge von Elementen, die eine Länge aufweisen.

Siehe auch:

Grundlegendes Meßformat für einen Kreis

Grundlegendes Meßformat für einen Kegel

Grundlegendes Meßformat für einen Zylinder

Grundlegendes Meßformat für eine Linie

Grundlegendes Meßformat für eine Ebene

Grundlegendes Meßformat für einen Punkt

Grundlegendes Meßformat für eine Kugel


Grundlegendes Meßformat für einen Kreis

Display Menu Roadmap
Elementname=ELEM/ KREIS ,TOG1,TOG4,TOG6
THEO/TX,TY,TZ,TI,TJ,TK,TD
IST/ X,Y,Z,I,J,K,D
MESS/KREIS,TOG3,TOG7
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Meßpunkten. Beispiel: 3 Meßpunkte = 3 MESSPKT/BASIS-Zeilen, 5 Meßpunkte = 5 MESSPKT/BASIS-Zeilen.

TOG4= Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden.

TOG6= Dieses Feld schaltet zwischen den verschiedenen verfügbaren Typen für die Besteinpassung um. Dazu gehören: GAUSS, TSCHEBYSCHEFF, PFERCHKREIS, HÜLLKREIS und FESTER_RAD.

TOG7= Dieses Feld schaltet zwischen den verschiedenen Bezugstypen um. Dazu gehören: Element, 3D, ARBEITSEBENE, XPLUS, YPLUS, ZPLUS, XMINUS, YMINUS und ZMINUS.

...= So viele Meßpunkte wie erforderlich werden an der Ellipse eingegeben.


Grundlegendes Meßformat für einen Kegel

Display Menu Roadmap
Elementname=ELEM/ KEGEL ,TOG1,TOG4,TOG5
THEO/ TX,TY,TZ,TI,TJ,TK,TL,TD1,TD2
IST/ X,Y,Z,I,J,K,L,D1,D2
MESS/KEGEL,TOG3
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Meßpunkten. Beispiel: 6 Meßpunkte = 6 MESSPKT/BASIS-Zeilen, 11 Meßpunkte = 11 MESSPKT/BASIS-Zeilen.

TOG4= Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden.

TOG4= Dieses Feld kann zwischen LÄNGE und WINKEL umgeschaltet werden.

...= So viele Meßpunkte wie erforderlich werden an der Ellipse eingegeben.

TD1, TD2= Hierbei handelt es sich um die beiden theoretischen Durchmesser des Kegels.

D1, D2= Hierbei handelt es sich um die tatsächlich gemessenen Werte für die beiden Durchmesser des Kegels.


Grundlegendes Meßformat für einen Zylinder

Display Menu Roadmap
Elementname=ELEM/ ZYLINDER ,TOG1,TOG4,TOG6
THEO/TX,TY,TZ,TI,TJ,TK,TD,TL
IST/ X,Y,Z,I,J,K,D,L
MESS/ZYLINDER,TOG3
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Meßpunkten. Beispiel: 6 Meßpunkte = 6 MESSPKT/BASIS-Zeilen, 11 Meßpunkte = 11 MESSPKT/BASIS-Zeilen.

TOG4= Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden.

TOG6= Dieses Feld schaltet zwischen den verschiedenen verfügbaren Typen für die Besteinpassung um. Dazu gehören: GAUSS, TSCHEBYSCHEFF, PFERCHKREIS, HÜLLKREIS und FESTER_RAD.

...= So viele Meßpunkte wie erforderlich werden an der Ellipse eingegeben.

Hinweis: Wird nach Erstellen eines gemessenen Zylinders mit mehr als zwei Reihen später im Dialogfeld Gemessener Zylinder die Anzahl der Meßpunkte geändert, behält PC-DMIS die Reihenanzahl bei.


Grundlegendes Meßformat für eine Linie

Display Menu Roadmap
Elementname=ELEM/ LINIE ,TOG1,TOG4
THEO/TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K,D
MESS/LINIE,TOG3,TOG7
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Meßpunkten. Beispiel: 3 Meßpunkte = 3 MESSPKT/BASIS-Zeilen, 5 Meßpunkte = 5 MESSPKT/BASIS-Zeilen.

TOG4= Dieses Feld kann zwischen BEGRENZT und UNBEGRENZT umgeschaltet werden.

TOG7= Dieses Feld schaltet zwischen den verschiedenen Bezugstypen um. Dazu gehören: Element, 3D, ARBEITSEBENE, XPLUS, YPLUS, ZPLUS, XMINUS, YMINUS und ZMINUS.

...= So viele Meßpunkte wie erforderlich werden an der Ellipse eingegeben.

Gemessene Linien und Arbeitsebenen

Bei der Erstellung einer gemessenen Linie erwartet PC-DMIS, daß die Meßpunkte auf einem Vektor aufgenommen werden, der im rechten Winkel zur aktuellen Arbeitsebeneverläuft.

Wenn Sie beispielsweise auf der aktuellen Arbeitsebene ZPLUS (mit einem Vektor 0,0,1) arbeiten und ein blockähnliches Werkstück vorliegt, müssen die Meßpunkte für die gemessene Linie auf einer senkrechten Wand dieses Werkstücks, beispielsweise der vorderen oder seitlichen, liegen.

Wenn Sie dann ein Linienelement auf der oberen Werkstückoberfläche messen wollen, müssen Sie die Arbeitsebene auf XPLUS, XMINUS, YPLUS oder YMINUS umstellen, je nach dem, welche Richtung die Linie hat.

Weitere Informationen zum Ändern einer Arbeitsebene finden Sie unter "Liste Arbeitsebene".


Grundlegendes Meßformat für eine Ebene

Display Menu Roadmap
Elementname=ELEM/ EBENE ,TOG1
THEO/TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K
MESS/EBENE,TOG3
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Meßpunkten. Beispiel: 3 Meßpunkte = 3 MESSPKT/BASIS-Zeilen, 8 Meßpunkte = 8 MESSPKT/BASIS-Zeilen.

...= So viele Meßpunkte wie erforderlich werden an der Ellipse eingegeben.


Grundlegendes Meßformat für einen Punkt

Display Menu Roadmap
Elementname=ELEM/ PUNKT ,TOG1
THEO/TX,TY,TZ,TI,TJ,TK
IST/X,Y,Z,I,J,K
MESS/PUNKT,TOG3
MESSPKT/…
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Hier wird die Anzahl der für die Messung des Elements erforderlichen Meßpunkte angezeigt. Da ein Punkt nur einen Meßpunkt haben kann, kann dieses Fenster nicht bearbeitet werden.

...= Ein einziger Meßpunkt wird an der Ellipse eingegeben.


Grundlegendes Meßformat für eine Kugel

Display Menu Roadmap
Elementname=ELEM/ KUGEL ,TOG1,TOG4
THEO/TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K,D
MESS/KUGEL,TOG3
...
ENDEMESS/

TOG1= Dieses Feld kann zwischen KART und POLR umgeschaltet werden.

TOG3= Dieses Feld kann vom Benutzer verändert werden. Der Wert richtet sich nach dem gemessenen Element. Die MESSPKT-Zeile variiert, je nach der vom Benutzer eingerichteten Anzahl von Meßpunkten. Beispiel: 4 Meßpunkte = 4 MESSPKT/BASIS-Zeilen, 7 Meßpunkte = 7 MESSPKT/BASIS-Zeilen.

TOG4= Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden.

...= So viele Meßpunkte wie erforderlich werden an der Ellipse eingegeben.


Einfügen eines gemessenen Elements

Mit PC-DMIS können Sie gemessene Elemente in Ihr Werkstückprogramm einfügen. Hierfür werden Ihre Tastermeßpunkte interpretiert, und der richtige Elementtyp wird geschätzt. Falls PC-DMIS eine falsche Schätzung durchführt, können Sie das Programm zwingen, den richtigen Elementtyp zu wählen, sofern Sie die Mindestanzahl an Meßpunkten für das gewünschte Element aufgenommen haben.

Die im folgenden Thema beschriebenen Vorgehensweisen gelten für den Offline-Modus.

Siehe auch:

Erkennen eines gemessenen Elementtyps


Erkennen eines gemessenen Elementtyps

  1. Öffnen Sie das Bearbeitungsfenster und versetzen Sie es in den Befehls- oder Übersichtsmodus.
  2. Versetzen Sie PC-DMIS in den Programmodus, und stellen Sie die richtige Taster tiefe ein.
  3. Öffnen Sie die Symbolleiste Gemessene Elemente, und klicken Sie auf das Symbol Elementerkennung.
  4. Klicken Sie an der Position auf das Werkstückmodell, an der Sie das Element einfügen möchten.
  • Bei der Verwendung eines importierten CAD-Drahtmodells legt PC-DMIS automatisch den nächsten Draht als Basis für das gewählte Element zugrunde.
  • Bei der Verwendung eines schattierten CAD-Modells wird jeder Mausklick als ein einzelner Meßpunkt gezählt.
  5. Drücken Sie die Taste ENDE. PC-DMIS interpretiert Ihre Meßpunkte und fügt das geschätzte Element in das Bearbeitungsfenster ein.

Weitere Informationen zum Symbol Elementerkennung und zur Symbolleiste Gemessene Elemente finden Sie unter "Symbolleiste "Gemessene Elemente"" im Abschnitt "Arbeiten mit Symbolleisten".

Siehe auch:

So erzwingen Sie das Einfügen eines bestimmten gemessenen Elementtyps


So erzwingen Sie das Einfügen eines bestimmten gemessenen Elementtyps

Falls PC-DMIS den falschen gemessenen Elementtyp schätzt, können Sie das Programm zwingen, den gewünschten Typ einzufügen. Wählen Sie hierfür das richtige gemessene Element in der Symbolleiste bzw. im Untermenü Gemessene Elemente aus, bevor Sie die ENDE-Taste betätigen. Nachdem Sie die ENDE-Taste betätigt haben, fügt PC-DMIS den gewählten Elementtyp im Bearbeitungsfenster ein.


Bearbeiten eines gemessenen Elements

Sie können in PC-DMIS das gewünschte gemessene Element im Bearbeitungsfenster auswählen und beliebige Änderungen direkt in diesem Fenster vornehmen. Das Dialogfeld Gemessenes Element ist eine benutzerfreundliche Alternative zum Bearbeiten des Bearbeitungsfensters.

So öffnen Sie das Dialogfeld Gemessenes Element:

  1. Plazieren Sie den Cursor innerhalb der ersten vier Zeilen des gewünschten gemessenen Elements.
  2. Drücken Sie die Taste F9.

Hinweis: Das Dialogfeld Gemessenes Element wird basierend auf dem Elementtyp geöffnet. Wenn Sie den Cursor jedoch auf einen aufgelisteten Meßpunkt (d. h. MESSPKT/BASIS) innerhalb des gemessenen Elements setzen und F9 drücken, blendet PC-DMIS das Dialogfeld Gemessene Meßpunkte für den ausgewählten Meßpunkt ein.

Siehe auch:

Beschreibung zum Dialogfeld "Gemessenes Element"

Beschreibung zum Dialogfeld "Gemessene Punkte"


Beschreibung zum Dialogfeld "Gemessenes Element"

Im Dialogfeld Gemessenes Element können Sie das ausgewählte gemessene Element bearbeiten. Das Dialogfeld Gemessenes Element wird in den nachfolgenden Themen beschrieben.

Siehe auch:

Elementname

Anzahl der Meßpunkte

Bezugstyp

Besteinpassungs-Berechnungstyp

Meßpunkte neu erzeugenRegenerate Hit Targets

Zu Istwerten kopieren

Koordinatensystem

Definitionsformat für winkelförmige Elemente

Elementtyp: Kreisförmig

Definitionsformat linienförmige Elemente

Theoretische Elementeigenschaften

Meßpunkte


Erstellen von gemessenen Elementen - Beschreibung zum Dialogfeld "Gemessenes Element" - Elementname

Elementname

Im Feld Elementname können Sie den Namen des angezeigten Elements ändern. Markieren Sie im Bearbeitungsfenster einfach die gewünschte Element-ID, geben Sie eine neue Identifizierung ein, und drücken Sie die EINGABETASTE. In PC-DMIS sind doppelte Elementkennungen zulässig. Seien Sie beim Ändern von Elementnamen daher vorsichtig, falls Sie keine identischen IDs wünschen.


Erstellen von gemessenen Elementen - Beschreibung zum Dialogfeld "Gemessenes Element" - Anzahl der Meßpunkte

Anzahl der Meßpunkte

Im Feld Anzahl der Meßpunkte können Sie die Anzahl der Meßpunkte für ein bestimmtes Element ändern.

Beispiel: Angenommen, das Bearbeitungsfenster enthält derzeit vier Meßpunkte. Wenn Sie einen Meßpunkt löschen, so wird der letzte Meßpunkt (Nr. 4) in der Elementliste gelöscht. Wenn Sie zwei Meßpunkte löschen, so werden die letzten beiden Meßpunkte (Nr. 3 und Nr. 4) gelöscht. PC-DMIS numeriert die verbleibenden Meßpunkte gemäß der aktuellen Numerierungszuweisung neu.

Wenn Sie einen Meßpunkt hinzufügen, erhöht PC-DMIS die Liste Meßpunktziel um eins und zeigt am Ende der Meßpunktliste einen zusätzlichen Meßpunkt an. Dieser Meßpunkt gibt keine x-, y-, z-, i-, j- oder k-Werte an, solange das Programm nicht ausgeführt wird. Zum Zeitpunkt der Ausführung fordert PC-DMIS den Bediener auf, den zusätzlichen Meßpunkt aufzunehmen. PC-DMIS fragt zudem, ob die Meßpunkte in gleichen Abständen aufgenommen werden sollen.

  • Wenn Sie mit Ja antworten, nimmt PC-DMIS die Meßpunkte in gleichmäßig verteilten Intervallen auf. Bei den Elementen Kegel, Kugel oder Zylinder blendet PC-DMIS das Dialogfeld Layer ein. Über dieses Dialogfeld können Sie die Anzahl der Schichten eingeben, die PC-DMIS bei der Verteilung der Meßpunkte in gleichmäßigem Abstand zugrundelegt. Der Standardwert ist 2.
  • Wenn Sie mit Nein antworten, zeigt PC-DMIS die Meßpunktwerte als 0, 0, 0, 0, 0, 1 an. Sie müssen die Meßpunktwerte anschließend manuell eingeben.


Bezugstyp

Mit der Liste Bezugstyp wird gesteuert, ob es sich bei dem gemessenen Element um ein 3D-Element handelt und ob es auf die aktuelle Arbeitsebene, eine bestimmte Ebene oder relativ zu einem anderen Element projiziert wird. Hierdurch wird die mathematische Ableitung der endgültigen Elementcharakteristika beeinflußt.


Besteinpassungs-Berechnungstyp

Mit der Liste Besteinpassungs- Berechnungstyp wird der mathematische Algorithmus angegeben, der zum Messen des Elements verwendet wird. Die standardmäßige Besteinpassungsmethode ist GAUSS. Weitere Informationen zu diesen Algorithmen finden Sie unter "Liste 'Berechnungen'" im Abschnitt "Erstellen von Auto-Elementen".


Meßpunkte neu erzeugen

Im Kontrollkästchen Meßpunkte neu erzeugen werden die Meßpunkt-Befehle MESSPKT /BASIS mit den geänderten Daten des Bereichs Theoretische Elementeigenschaften aktualisiert.


Zu Istwerten kopieren

Das Kontrollkästchen Zu Istwerten kopieren kopiert alle Änderungen in den Bereich Theoretische Elementeigenschaften des Dialogfelds und wendet dieselben Änderungen auf die tatsächlichen Meßdaten an.


Koordinatensystem

Im Bereich Koordinatensystem können Sie zwischen kartesischen (rechtwinkligen) und polaren Koordinaten wählen. Wenn KART ausgewählt ist, werden alle Punkte im kartesischen System (x, y, z) dargestellt. Lautet der Wert des Feldes Polar, werden alle Punkte im Polarsystem (X-Radius, Y-Winkel, Z-Höhe) dargestellt. Vektoren bleiben unverändert.


Definitionsformat für winkelförmige Elemente

Wenn ein winkelförmiges Element angezeigt wird, können Sie mit PC-DMIS zwischen LÄNGE und WINKEL wählen.

  • Die Option "Länge" zeigt den Durchmesser von zwei Kreisen an. Sie zeigt auch die Länge zwischen den beiden Kreisen an.
  • Die Option "Winkel" zeigt den Nennwert (x, y, z) und den Vektor (i, j, k) des Punkts an. Sie zeigt auch den Winkelwert an.


Elementtyp: Kreisförmig

Wenn ein kreisförmiges Element angezeigt wird, können Sie mit PC-DMIS zwischen INNEN und AUSSEN wählen.


Definitionsformat linienförmige Elemente

Wenn ein linienförmiges Element angezeigt wird, können Sie mit PC-DMIS zwischen BEGRENZT und UNBEGRENZT wählen.

Bei begrenzten Linien werden zwei Endpunkte (x, y, z, x, y, z) angezeigt. Bei unbegrenzten Linien werden der Nennwert (x, y, z) und der Vektor (i, j, k) der Linie angezeigt.


Theoretische Elementeigenschaften

Dieser Bereich enthält die theoretischen Elementdaten. Sie können diese Daten aktualisieren, indem Sie Änderungen vornehmen und auf OK klicken. Beachten Sie, daß Sie hierbei nur die theoretischen Daten aktualisieren. Wenn Sie die Meßpunkte und die tatsächlichen Meßdaten aktualisieren möchten, aktivieren Sie die Kontrollkästchen Meßpunkte neu erzeugen und Zu Istwerten kopieren.


Meßpunkte

Mit der Schaltfläche Zeige Punkte können Sie im Falle von unterstützten gemessenen Elementen die Meßpunktdaten des Elements anzeigen und ändern.

Klicken Sie auf die Schaltfläche Zeige Punkte, um das Dialogfeld Element-Meßpunkte anzuzeigen.

In diesem Dialogfeld werden die Meßpunktdaten in Zeilen aufgelistet. Die Zahlen links neben den Zeilen geben die Reihenfolge der Meßpunkte an. Sie können die Meßpunktdaten ändern, indem Sie auf eine Zeile doppelklicken und ihre Werte im daraufhin angezeigten Dialogfeld Gemessene Punkte bearbeiten.

Mit dem Dialogfeld Element-Meßpunkte können Sie Meßpunktdaten außerdem mit Hilfe des Grafikfensters anzeigen und bearbeiten. Mit dem geöffneten Dialogfeld Element-Meßpunkte im Hintergrund, können Sie folgende Vorgänge durchführen:

  • Einzelne Meßpunkte mit roten Pfeilen anzeigen. Wenn Sie im Dialogfeld Element-Meßpunkte auf eine der Zeilen mit den Meßpunktdaten klicken, wird der mit diesen Daten verknüpfte Pfeil im Grafikfenster rot angezeigt.
  • Klicken und ziehen von beliebigen Meßpunkten an eine neue Position. Sie können einen Meßpunkt verschieben, indem Sie im Grafikfenster den entsprechenden roten Pfeil markieren und diesen an eine neue Position ziehen. Wenn Sie die Maustaste loslassen, wird der Meßpunkt an diesem Punkt plaziert. Die Daten werden berechnet und das Dialogfeld Element-Meßpunkte wird aktualisiert.

  • Neue Meßpunkte einfügen. Sie haben auch die Möglichkeit, neue Meßpunkte in ein vorhandenes Element einzufügen. Wählen Sie in der Meßpunktliste eine Position aus und nehmen Sie die gewünschten Meßpunkte auf. Nachdem Sie die ENDE-Taste betätigt haben, werden Sie von PC-DMIS gefragt, ob Sie den/die Meßpunkt/e an der aktuellen Position einfügen möchten. Bei der Auswahl von Ja fügt PC-DMIS die neuen Meßpunkte an dieser Position des aktuellen Elements ein. Bei der Auswahl von Nein verschiebt PC-DMIS den Cursor zum Einfügen an die nächste gültige Position im Werkstückprogramm (normalerweise direkt unter das aktuelle Element im Bearbeitungsfenster) und erstellt ein neues Element.

Hinweis: Die Daten im Dialogfeld Element-Meßpunkte und im Bearbeitungsfenster werden nicht dynamisch aktualisiert, wenn Sie Änderungen anhand einer dieser Methoden durchführen. Sie müssen erst das Dialogfeld schließen und erneut öffnen, um die geänderten Meßpunktdaten anzuzeigen.

Schaltfläche Lösche Punkt

Die Schaltfläche Lösche Punkt des Dialogfelds Element-Meßpunkte wird erst dann aktiviert, wenn die Meßpunkte für unterstützte Auto-Elemente bearbeitet werden. Um einen vorhandenen Punkt zu löschen, markieren Sie ihn und klicken auf Lösche Punkt. PC-DMIS entfernt den Punkt aus dem Dialogfeld und aus dem Werkstückprogramm. Siehe "Die Schaltfläche Zeige Punkte" im Abschnitt "Die Erstellung von Auto Elementen".


Beschreibung zum Dialogfeld "Gemessene Punkte"

Im Dialogfeld Gemessene Punkte können Sie einzelne Meßpunkte eines gemessenen Elements bearbeiten. Sie können die folgenden Einträge bearbeiten:

  • Meßpunkttyp
  • X-, Y- und Z-Position
  • Verschiedene Vektoren
  • Abstand
  • Einzug
  • Tiefe
  • Meßpunkte pro Oberfläche

Einige Einträge stehen nur zur Verfügung, wenn Sie einen bestimmten Meßpunkttyp auswählen. Wenn Sie die Meßpunktdaten für das gewählte gemessene Element aktualisieren möchten, bearbeiten Sie die Werte in diesem Dialogfeld, und klicken Sie auf OK.

Siehe auch:

Basismeßpunkte durch Abtasten editieren


Basismeßpunkte durch Abtasten editieren

Sie können Basismeßpunkte auch editieren, indem Sie das Werkstück im Online-Modus abtasten oder im Offline-Modus auf das CAD-Modell klicken, wobei das Dialogfeld Gemessene Punkte geöffnet sein muß. PC-DMIS wird das Dialogfeld automatisch mit den neuen Ergebnissen aktualisieren.

Für Basismeßpunkte werden folgende Kontrollkästchen eingeblendet:

Verwende theoretischen Vektor als Antastvektor | Über dieses Kontollkästchen können Sie festlegen, ob der theoretische Vektor als Antastvektor zugrundegelegt werden soll. Wird die Auswahl aufgehoben, berechnet PC-DMIS den Antastvektor, indem der theoretische Meßpunkt (X,Y,Z-Wert) von der aktuellen Tasterposition subtrahiert wird.
Lerne Punkt während Ausführung | Über dieses Kontrollkästchen können Sie festlegen, ob PC-DMIS den Basismeßpunkt während der Ausführung des Werkstückprogramms neu erlernen soll.


Constructing New Features from Existing Features

Informationen zum allgemeinen Befehlsformat

Konstruktion eines Punktelements

Konstruktion eines Kreiselements

Konstruktion eines Ellipsenelements

Konstruktion eines Kugelelements

Konstruktion eines Linienelements

Konstruktion eines Kegelelements

Konstruktion eines Zylinderelements

Konstruktion eines Ebenenelements

Konstruktion eines Langlochelements

Konstruktion eines Kurvenelements

Konstruktion einer Oberfläche

Konstruktion einer Elementgruppe

Konstruktion eines Filtersatzes

Ein konstruiertes Element ändern


Konstruieren von neuen Elementen aus vorhandenen Elementen: Einführung

Das Untermenü Konst. Elemente kommt dann zur Anwendung, wenn das erforderliche Element nicht mit dem Taster erreicht werden kann (wie z.B. der Schnittpunkt zweier Kanten).

Display Menu Roadmap
Die Optionen dieses Menüs ermöglichen es Ihnen, aus vorhandenen (bereits abgetasteten oder konstruierten) Elementen neue Elemente (Punkte, Linien, Kreise etc.) zu erstellen. Die verschiedenen Methoden, wie Eingabeelemente definiert werden können, werden im Abschnitt "Navigation durch die Benutzeroberfläche" beschrieben. Eine Beschreibung der verschiedenen Methoden zur Definition von Eingabeelementen finden Sie auch unter "Markieren von Elementen im Grafikfenster" im Abschnitt "Bearbeiten der CAD-Anzeige".

Elemente können durch Auswahl vorhandener Elemente in den Dialogfeldern oder im Bearbeitungsfenster konstruiert werden. Spezielle Regeln zur Konstruktion eines Elements aus anderen Elementen sind in den betreffenden Abschnitten zu finden und gelten für beide Konstruktionsmethoden. Die Standardmethode zur Konstruktion eines Elements ist Auto. In diesem Fall bestimmt PC-DMIS den besten Konstruktionstyp automatisch auf Basis der Eingabeelemente. Die Reihenfolge, in der die Auswahl getroffen wird, ist hierbei in der Regel nicht wichtig (sofern nicht anders angegeben). Erforderlich ist nur, daß die richtigen Elementtypen ausgewählt werden. Um beispielsweise den Schnittpunkt zwischen einer Linie und einem Langloch zu konstruieren, wählen Sie einfach die betreffende Linie und das betreffende Langloch aus. PC-DMIS erstellt einen Punkt an der Stelle, an der sich Linie und Langloch überschneiden.

Beispiel der Befehlszeile zur Anzeige eines konstruierten Punktes im Bearbeitungsfenster:
KONST/PUNKT, SCHNITTPKTVON, Linien-ID, Langloch-ID
oder KONST/PUNKT, SCHNITTPKTVON, Langloch-ID, Linien-ID

In diesem Abschnitt werden folgende Hauptthemen behandelt:

  • Informationen zum allgemeinen Befehlsformat
  • Konstruktion eines Punktelements
  • Konstruktion eines Kreiselements
  • Konstruktion eines Ellipsenelements
  • Konstruktion eines Kugelelements
  • Konstruktion eines Linienelements
  • Konstruktion eines Kegelelements
  • Konstruktion eines Zylinderelements
  • Konstruktion eines Ebenenelements
  • Konstruktion eines Langlochelements
  • Konstruktion eines Kurvenelements
  • Konstruktion einer Oberfläche
  • Konstruktion einer Elementgruppe
  • Konstruktion eines Filtersatzes
  • Ein konstruiertes Element ändern

Siehe auch:

So konstruieren Sie ein Element im Bearbeitungsfenster

So konstruieren Sie ein Element mit den Konstruktionsdialogfeldern:


So konstruieren Sie ein Element im Bearbeitungsfenster

  1. Öffnen Sie das Bearbeitungsfenster.

Display Menu Roadmap
Setzen Sie den Cursor an die Stelle, an der das Element im Bearbeitungsfenster konstruiert werden soll.

  3. Geben Sie den Befehl KONST/... gefolgt vom entsprechenden Text ein. (Halten Sie sich an das voranstehende Beispiel der Befehlszeile für einen konstruierten Punkt.)


So konstruieren Sie ein Element mit den Konstruktionsdialogfeldern

  1. Wählen das Untermenü Konst. Elemente.

Display Menu Roadmap
Bestimmen Sie den Elementtyp, der konstruiert werden soll. Zur Auswahl stehen folgende Optionen:

  • Punkt
  • Kreis
  • Ellipse
  • Kugel
  • Linie
  • Kegel
  • Zylinder
  • Ebene
  • Langloch
  • Kurve
  • Oberfläche
  • Elementreihe
  • Filtersatz

Hinweis: Wenn die Auswahl der Eingabeelemente im Dialogfeld abgeschlossen ist, klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS konstruiert das Element und zeigt es auf dem Bildschirm an. PC-DMIS zeigt außerdem den Mittelpunkt des Elements im Bearbeitungsfenster an. Während PC-DMIS das angeforderte Element konstruiert, bleibt das Dialogfeld geöffnet. Anschließend wird dieses konstruierte Element in das Dialogfeld eingefügt. Auf diese Weise können Sie mehrere Elemente auf Basis eines neu konstruierten Elements konstruieren.


Informationen zum allgemeinen Befehlsformat

Alle konstruierten Elemente werden im folgenden Format im Bearbeitungsfenster angezeigt. Es gibt geringfügige Abweichungen, die in den folgenden Abschnitten genauer erläutert werden.

Beispiel:

Elementname=ELEM/ART DES ElementS,TOG1,.....
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,......
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,......
KONST/TOG2,TOG3,......

Element_name: Name des Elements. Dieses Feld kann vom Benutzer bearbeitet werden.

ART DES ELEMENTS: Dieses Feld gibt den Elementtyp an. Es entspricht TOG2, ist jedoch kein editierbares oder umschaltbares Feld.

...... : Zeigt an, daß alles Folgende individuell für jedes Element gilt. Näheres dazu finden Sie in den entsprechenden Abschnitten der Hilfedatei.

TOG1: Dieses Feld ist bei allen Elementen vorhanden und kann zwischen KART/ POLAR hin- und hergeschaltet werden. Wenn dieses Element auf KART eingestellt ist, werden alle Punkte im kartesischen System (x, y, z) dargestellt. Lautet der Wert des Feldes POLAR, werden alle Punkte im Polarsystem (X-Radius, Y-Winkel, Z-Höhe) dargestellt. Vektoren bleiben unverändert.

TOG2: Dieses Feld ist bei allen Elementen vorhanden und kann auf die verschiedenen Elementtypen umgeschaltet werden. Folgende Werte sind verfügbar:

KREIS / KEGEL / ZYLINDER / LINIE / EBENE / PUNKT / KUGEL / KURVE / OBERFLÄCHE / SATZ /

Wenn die Konstruktionsbefehlszeile erstmals in einem Werkstückprogramm geöffnet wird, erscheint PUNKT als Standardelementtyp. Danach wird der zuletzt gemessene Elementtyp zum Standardelementtyp.

TOG3: Dieses Feld ist ebenfalls bei allen Elementen vorhanden, nimmt jedoch jeweils dem Elementtyp entsprechende Werte an. (Weitere Informationen finden Sie in der Beschreibung des betreffenden Elements.)

Siehe auch:

Zugreifen auf das Dialogfelder

Plazierungskonventionen für Dezimalstellen


Konstruieren von neuen Elementen aus vorhandenen Elementen - Informationen zum allgemeinen Befehlsformat - Zugreifen auf das Dialogfeld

Zugreifen auf das Dialogfeld

So rufen Sie das entsprechende Konstruktionsdialogfeld auf, in dem das Element eines Bearbeitungsfensters erstellt wurde:

  1. Vergewissern Sie sich, daß das Bearbeitungsfenster offen ist.
  2. Klicken Sie im Bearbeitungsfenster mit der Maus auf den Namen des Elements.
  3. Drücken Sie F9. Damit wird ein Konstruktionsdialogfeld aufgerufen.

In diesem Dialogfeld können Sie die gewünschten Änderungen vornehmen. Wird danach auf die Schaltfläche Erzeugen geklickt, wird das Bearbeitungsfenster entsprechend aktualisiert.


Plazierungskonventionen für Dezimalstellen

Beachten Sie bitte die folgenden Hinweise zu den für konstruierte Elemente geltenden Dezimalstellenkonventionen:

  • Alle Vektoren (i-Vekt, j-Vekt, k-Vekt) werden mit einer Genauigkeit von 1-5 Stellen hinter dem Dezimalzeichen angegeben.
  • Alle Längen und Abstände (x-Koord, y-Koord, z-Koord, Durchm., Höhe, Länge etc.) werden mit einer Genauigkeit von 1-5 Stellen hinter dem Dezimalzeichen angegeben
  • Alle Winkel werden mit einer Genauigkeit von 1-5 Stellen nach dem Dezimalzeichen angegeben.
  • Ist die Anzahl der Dezimalstellen Null, wird die Zahl als Ganzzahl angegeben.

Hinweis: Die Anzahl der Dezimalstellen kann über die Registerkarte Merkmal (F5) im Dialogfeld Setup geändert werden. Bei Einstellen der Dezimalstellengenauigkeit wird der Befehl ANZEIGEGENAUIGKEIT in das Bearbeitungsfenster eingefügt. Alle Elemente nach diesem Befehl werden mit der angegebenen Anzahl von Dezimalstellen angezeigt.


Konstruktion eines Punktelements

Constructing an Offset Point Constructing a Pierce Point Constructing a Projected Point Constructing a Corner Point Constructing a Mid Point Constructing a Cast Point Constructing a Drop point Constructin a Point at the Origin Constructing an Intersect Point Auto Point Construction XYZ Offset Close Create Clear Feature List Select Last # Search ID ID=Feature

PC-DMIS bietet dem Benutzer eine Reihe verschiedener Methoden zur Konstruktion eines Punktes. In der nachstehenden Tabelle werden die verschiedenen Arten konstruierter Punkte zusammen mit den erforderlichen Eingaben angeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen drei oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, daß jedes beliebige Element als Eingabe für die Konstruktion in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

KONSTRUIERTES Element | SYMBOL IM BEARBEITUNGS-FENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ELEM 3: | ANMERKUNGEN
Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | - | Konstruiert einen Punkt am Flächenmittelpunkt des Eingabeelements
Eckpkt | ECKPKT | 3 | Ebene | Ebene | Ebene | Konstruiert einen Punkt am Schnittpunkt von drei Ebenen
Lotpunkt | LOTPKT | 2 | Beliebig | Kegel, Zylinder, Linie, Langloch | - | Erstes Element wird auf das zweite Linienelement gefällt
Schnitt | SCHNITTPKTVON | 2 | Kreis, Kegel, Zylinder, Linie, Langloch | Kreis, Kegel, Zylinder, Linie, Langloch | - | Konstruiert einen Punkt am Schnittpunkt des linearen Attributs zweier Elemente
Mittelpunkt | SYMMETRIEPKT | 2 | Beliebig | Beliebig | - | Konstruiert einen Symmetriepunkt zwischen den Flächenmittelpunkten der Eingabeelemente
Offsetpunkt | VERSATZ | 1 | Beliebig | - | - | Erfordert drei Versatzwerte, die X, Y und Z entsprechen
Nullpunkt | NULLPUNKT | 0 | - | - | - | Konstruiert einen Punkt am Ausrichtungsnullpunkt
Durchstoßen | DURCHSTOSSPKT | 2 | Kegel, Zylinder, Linie, Langloch, Kreis, Ellipse | Kegel, Zylinder, Ebene, Kugel, Kreis, Ellipse | - | Konstruiert an der Stelle einen Punkt, an der Element_1 die Oberfläche von Element_2 durchstößt. Reihenfolge der Auswahl ist wichtig. Ist das erste Element eine Linie, ist die Richtung wichtig.
Projektion | PROJ | 1 oder 2 | Beliebig | Ebene | - | Bei einem Eingabeelement wird der Punkt in die Arbeitsebene projiziert

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

So konstruieren Sie einen Punkt:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Konstruktionsmethode aus. Die verfügbaren Optionen sind:
  • Schwerpunkt
  • Ecke
  • Lotpunkt
  • Schnitt
  • Mittelpunkt
  • Offsetpunkt
  • Nullpunkt
  • Durchstoßen
  • Projektion
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Punktkonstruktion würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
elementname=ELEM/PUNKT,TOG1
THEO/x-Koord,y-Koord,z-Koord,i-Vek,j-Vek,k-Vek
IST/x-Kord,y-Kord,z-Koord,i-Vek,j-Vek,k-Vek
KONST/TOG2,TOG3,......\

Hinweis: Das angezeigte Protokoll erscheint vollständig in Großbuchstaben.

TOG1= POLAR oder KART

TOG2 = PUNKT

TOG3 = SCHWERPKT / ECKPKT / LOTPKT / SCHNITTPKTVON / SYMMETRIEPKT / VERSATZ / NULLPKT / DURCHSTOSSPKT / PROJ

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen konstruierten Punkten gleich. Die vierte Zeile weicht je nach Typ des gerade konstruierten Elements geringfügig ab. Sie können zwischen den verschiedenen Punkttypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Tastaturfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Meßvorgangs gewährleistet.

In den nachstehenden Abschnitten werden die verfügbaren Optionen zur Konstruktion eines Punktes beschrieben.

Siehe auch:

Konstruktion eines Schwerpunktes

Konstruktion eines Eckpunktes

Konstruktion eines Lotpunktes

Konstruktion eines Schnittpunkts

Konstruktion eines Mittelpunkts

Konstruktion eines Versatzpunkts

Konstruktion eines Punktes am Nullpunkt

Konstruktion eines Durchstoßpunkts

Konstruktion eines Projektionspunkts

Automatische Punktkonstruktion


Konstruktion eines Schwerpunktes

Sie können einen Punkt konstruieren, indem Sie ein beliebiges vorhandenes Element in einen Punkt umwandeln. PC-DMIS konstruiert den Punkt am Flächenmittelpunkt des Eingabeelements.

So konstruieren Sie einen Schwerpunkt:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Schwerpunkt aus.

  3. Wählen Sie ein beliebiges Element aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/PUNKT,SCHWERPKT,Element_1

Konstruktion eines Schwerpunktes aus einem Kreis


Konstruktion eines Eckpunktes

Ein Punkt kann aus drei Ebenen konstruiert werden. PC-DMIS erstellt einen Punkt am Schnittpunkt der Ebenen.

So konstruieren Sie einen Eckpunkt:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Eckpunkt aus.

  3. Wählen Sie drei verschiedene Ebenen aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/PUNKT,ECKPKT,Element_1,Element_2,Element_3

Konstruktion eines Eckpunktes aus drei Ebenen


Konstruktion eines Lotpunktes

Ein Lotpunkt kann aus einem beliebigen Element und einer Linie (Kegel, Zylinder oder Langloch) konstruiert werden. PC-DMIS fällt den Flächenmittelpunkt des ersten Elements auf das zweite Element. Der "gefällte Punkt" (Lotpunkt) wird auf eine Linie gesenkt, die rechtwinklig zur Linie, Mittellinie oder Ebene verläuft. Werden zwei Elemente ausgewählt, fällt PC-DMIS den Flächenmittelpunkt des ersten Linienelements auf das zweite Linienelement.

Hinweis: Bei dieser Konstruktionsmethode müssen die Elementtypen in der richtigen Reihenfolge ausgewählt werden.

So konstruieren Sie einen Lotpunkt:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Lotpunkt aus.

  3. Wählen Sie das erste Element aus, das beliebiger Art sein kann.
  4. Wählen Sie das zweite Element aus. Hier sind nur die Elemente Kegel, Zylinder, Linie oder Langloch zulässig.
  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/PUNKT,LOTPKT,Element_1,Element_2

Konstruktion eines Lotpunktes aus einem Kreis und einer Linie

Hinweis: Wenn Sie ein Langloch als Eingabeelement auswählen, verwendet PC-DMIS beim Konstruieren dieses Punkts den Mittellinienvektor des Langlochs anstelle des vertikalen Vektors (in den Versionen 3.2 und älter hat PC-DMIS den vertikalen Vektor des Langlochs verwendet). Möchten Sie lieber den vertikalen Vektor des Langlochs verwenden, müssen Sie den Wert des Eintrags UseLegacySlotVector im PC-DMIS-Einstellungseditor bearbeiten. Weitere Einzelheiten hierzu finden Sie unter "UseLegacySlotVector" im Abschnitt "Ändern von Registrierungseinträgen".


Konstruktion eines Schnittpunktes

Konstruktion eines Schnittpunkts

Ein Punkt kann auch zwischen einer Linie (Kreis, Kegel, Zylinder oder Langloch) und einer anderen Linie (Kreis, Kegel, Zylinder oder Langloch) konstruiert werden. Der Punkt wird an der Stelle erstellt, an der sich die Linien (Mittellinien) der beiden Elemente überschneiden.

Konstruktion eines Schnittpunkts aus zwei Linien

Informationen zum Durchschneiden oder Durchstoßen eines Kreises mit einer Linie finden Sie unter "Konstruktion eines Durchstoßpunkts".

So konstruieren Sie einen Schnittpunkt:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Schnitt aus.

  3. Wählen Sie zwei Elemente dieses Typs aus: Kreis, Kegel, Zylinder, Linie, Langloch.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/PUNKT,SCHNITTPKTVON,Element_1,Element_2

Wenn sich die beiden Elemente nicht überschneiden, wird der Punkt in der Mitte zwischen den beiden Elementen am scheinbaren Schnittpunkt konstruiert. In diesem Fall ist der Schnittpunkt der Mittelpunkt der kürzesten Linie, welche die beiden Eingabeelemente verbindet.

Konstruktion eines Schnittpunkts aus zwei Linien, die sich nicht überschneiden

Zwei Kreiselemente dürften sich überschneiden und solange sie denselben Vektor aufweisen (oder sehr ähnliche Vektoren aufweisen), erzeugt PC-DMIS ein konstruiertes Punktelement an einem der Schnittpunkte. Wenn Sie die Reihenfolge der ausgewählten Eingabeelemente im Dialogfeld Punktkonstruktion umstellen, erzeugt PC-DMIS einen Punkt an dem anderen Schnittpunkt.

Hinweis: Wenn Sie ein Langloch als eines Ihrer Eingabeelemente auswählen, verwendet PC-DMIS beim Konstruieren dieses Punkts den Mittellinienvektor des Langlochs anstelle des vertikalen Vektors (in den Versionen 3.2 und älter hat PC-DMIS den vertikalen Vektor des Langlochs verwendet). Möchten Sie lieber den vertikalen Vektor des Langlochs verwenden, müssen Sie den Wert des Eintrags UseLegacySlotVector im PC-DMIS-Einstellungseditor bearbeiten. Weitere Einzelheiten hierzu finden Sie unter "UseLegacySlotVector" im Abschnitt "Bearbeiten der Registrierung".


Konstruktion eines Symmetriepunktes

Ein Punkt kann aus zwei beliebigen Elementen ohne Richtung konstruiert werden. PC-DMIS erstellt einen Symmetriepunkt zwischen den Flächenmittelpunkten der beiden Eingabeelemente.

So konstruieren Sie einen Symmetriepunkt:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Mittelpunkt aus.

  3. Wählen Sie zwei beliebige Elemente aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/PUNKT,SYMMETRIEPKT,Element_1,Element_2

Konstruktion eines Symmetriepunktes aus zwei Kreisen


Konstruktion eines Versatzpunktes

Ein Punkt kann in einem bestimmten, benutzerdefinierten Abstand von einem beliebigen Eingabeelement konstruiert werden.

So konstruieren Sie einen Versatzpunkt:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Offsetpunkt aus.

  3. Wählen Sie ein Element aus, anhand dessen der Versatzpunkt erstellt werden soll.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Um einen Versatzpunkt vom Nullpunkt aus zu erstellen, wählen Sie die Option Am Nullpunkt. Um einen Versatzpunkt relativ zu einem bestimmten Element zu erstellen, wählen Sie das gewünschte Element aus und geben Sie den X-, Y- und Z-VERSATZ ein.

Siehe auch:

XYZ-Versatz


XYZ-Versatz

In diese Felder können Sie die Versatzabstände für die X-, Y- und Z-Achsen eingeben. Eine Eingabe in diese Felder ist nur möglich, wenn die Option Versatz ausgewählt wurde.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/PUNKT,VERSATZ,Element_1,dx,dy,dz


Konstruktion eines Punktes am Nullpunkt

Ein Punkt kann am aktuellen Ausrichtungsnullpunkt konstruiert werden.

So konstruieren Sie einen Nullpunkt:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Wählen Sie die Option Am Nullpunkt.

  3. Wählen Sie keine Eingabeelemente aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/PUNKT,NULLPKT

Konstruktion eines Punktes am Nullpunkt


Konstruktion eines Durchstoßpunktes

Konstruktion eines Durchstoßpunkts

Ein Punkt kann aus einer Linie (Kreis, Kegel, Ellipse, Langloch oder Zylinder) und einem Kreis, einer Ellipse oder einer Ebene (Kegel, Zylinder oder Kugel) konstruiert werden. PC-DMIS erstellt einen Punkt an der Stelle, an der Element_1 die Oberfläche von Element_2 durchstößt.

Hinweis: Bei dieser Konstruktionsmethode müssen die Elementtypen in der richtigen Reihenfolge ausgewählt werden.

  • Handelt es sich bei dem durchstoßenen Element um einen Kreis oder eine Ellipse, erstellt PC-DMIS einen zylinderförmigen Umfang um die Mittellinie und konstruiert den Durchstoßpunkt. Werden zwei ähnliche Elemente (z.B. zwei Zylinder) ausgewählt, durchstößt PC-DMIS das zweite Element mit dem ersten.
  • Handelt es sich bei dem durchstoßenen Element um eine Kugel, einen Kreis oder einen Zylinder, wird der Durchstoßpunkt an der Stelle konstruiert, an der das durchstoßende Eingabeelement erstmals die Oberfläche des durchstoßenen Elements schneidet. Der erste Schnittpunkt wird durch die Richtung der Linie bestimmt. Daher ist es wichtig, die Richtung, in der die Linie definiert wurde, zu kennen. Wird der falsche Punkt konstruiert, erstellen Sie eine neue, umgekehrter Richtung verlaufende Linie (siehe Ändern der Richtung einer Linie), die Sie dann zur Konstruktion des Punktes verwenden können.

So konstruieren Sie einen Durchstoßpunkt:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Durchstoßen aus.

  3. Wählen Sie das erste Element aus, Hier sind nur die Elemente Kegel, Zylinder, Linie, Langloch oder Ellipse zulässig.
  4. Wählen Sie das zweite Element aus. Hier sind nur die Elemente Ellipse, Kreis, Kegel, Zylinder, Ebene oder Kugel zulässig.
  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/PUNKT,DURCHSTOSSEN,Element_1,Element_2

Konstruktion eines Durchstoßpunktes aus einer Linie und einer Kugel


Konstruktion eines Projektionspunkts

Ein Punkt kann aus einem beliebigen Element und einer Ebene konstruiert werden. PC-DMIS projiziert den Punkt an die Stelle, an der sich die Ebene mit dem Punkt überschneidet. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die Arbeitsebene.

So konstruieren Sie einen Projektionspunkt:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Projektion aus.

  3. Wählen Sie das Element aus, aus dem der projizierte Punkt erstellt werden soll.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/PUNKT,PROJ,Element_1,(Element_2)

Konstruktion eines Projektionspunkts aus einem Punkt und einer Ebene


Auto-Punktkonstruktion

Aus der nachstehenden Tabelle geht hervor, welcher Punkt erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und konstruiert den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Konstruktionsmethode:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.
  2. Wählen Sie aus der Optionsliste die Option Auto aus.
  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.
Eingabeelement(e) | Konstruktion
Ein beliebiges Element = | Schwerpunkt
Kreis + Kreis = | Mittelpunkt
Kreis + Kegel = | Lotpunkt
Kreis + Zylinder = | Lotpunkt
Kreis + Ellipse | Mittelpunkt
Kreis + Linie = | Lotpunkt
Kreis + Ebene = | Projektionspunkt
Kreis + Satz = | Mittelpunkt
Kreis + Langloch = | Mittelpunkt
Kreis + Kugel = | Mittelpunkt
Kegel + Kegel = | Schnittpunkt
Kegel + Zylinder = | Schnittpunkt
Kegel + Ellipse | Lotpunkt
Kegel + Ebene = | Durchstoßpunkt
Kegel + Satz = | Lotpunkt
Kegel + Langloch = | Schnittpunkt
Zylinder + Ellipse | Lotpunkt
Zylinder + Ebene = | Durchstoßpunkt
Zylinder + Satz = | Lotpunkt
Zylinder + Langloch = | Schnittpunkt
Ellipse + Ellipse | Mittelpunkt
Linie + Kegel = | Schnittpunkt
Linie + Zylinder = | Schnittpunkt
Linie + Ellipse | Lotpunkt
Linie + Linie = | Schnittpunkt
Linie + Ebene = | Durchstoßpunkt
Linie + Satz = | Lotpunkt
Linie + Langloch = | Schnittpunkt
Linie + Kugel = | Lotpunkt
Ebene + Ellipse | Projektionspunkt
Ebene + Ebene = | Projektionspunkt
Ebene + Satz = | Projektionspunkt
3 Punkte = | Eckpunkt
Punkt + Kreis = | Mittelpunkt
Punkt + Kegel = | Lotpunkt
Punkt + Zylinder = | Lotpunkt
Punkt + Ellipse = | Mittelpunkt
Punkt + Linie = | Lotpunkt
Punkt + Ebene = | Projektionspunkt
Punkt + Punkt = | Mittelpunkt
Punkt + Satz = | Mittelpunkt
Punkt + Langloch = | Mittelpunkt
Punkt + Kugel = | Mittelpunkt
Satz + Ellipse | Mittelpunkt
Satz + Satz = | Mittelpunkt
Langloch + Ellipse | Mittelpunkt
Langloch + Ebene = | Projektionspunkt
Langloch + Satz = | Mittelpunkt
Langloch + Langloch = | Schnittpunkt
Kugel + Kegel = | Lotpunkt
Kugel + Zylinder = | Lotpunkt
Kugel + Ellipse | Mittelpunkt
Kugel + Ebene = | Projektionspunkt
Kugel + Satz = | Mittelpunkt
Kugel + Langloch = | Mittelpunkt
Kugel + Kugel = | Mittelpunkt


Konstruktion eines Kreiselements

Apply Gauss Filter / Cutoff Frequency Remove Outliers / Standard Deviation Multiple Best Fit Type Constructing an Arc from Part of a Scan Close Create Clear Feature List Constructing a Circle from a Cone Changing the direction of a circle Constructing a Projected Circle Constructing a Cast Circle Constructing an Intersect Circle Constructing a Best Fit or BF Recompensate Circle Auto Circle Construction In / Out Circle Select Last # Search ID ID = Feature

Zur Konstruktion eines Kreises mit PC-DMIS stehen mehrere Methoden zur Auswahl. In der nachstehenden Tabelle werden die verschiedenen Typen konstruierter Kreise sowie die jeweils erforderlichen Eingaben angeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen drei oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, daß jedes beliebige Element als Eingabe für die Konstruktion in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

KONSTRUIERTES ELEMENT | SYMBOL IM BEARBEITUNGS-FENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Besteinpassungskreis | BE | Mind. drei Eingaben | - | - | Konstruiert einen Besteinpassungskreis anhand der vorgegebenen Eingaben
Besteinpassung mit Kompensierungskreis | BEKO | Mind. drei Eingaben (eine davon muß ein Punkt sein) | - | - | Konstruiert einen Besteinpassungskreis anhand der vorgegebenen Eingaben
Kreis am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Konstruiert einen Kreis im Flächenmittelpunkt des Eingabeelements
Kegelkreis (auch als Gage-Durchmesser bekannt) | KEGEL | 1 | Kegel | - | Konstruiert einen Kreis am angegebenen Durchmesser oder auf der angegebenen Höhe des Kegels
Schnittkreis | SCHNITTPKTVON | 2 | Kreis, Kegel, Zylinder, Kugel | Ebene, Kegel, Zylinder | Konstruiert einen Kreis am Schnittpunkt des kreisförmigen Elements mit einer Ebene, einem Kegel oder einem Zylinder
Projizierter Kreis | PROJ | 1 oder 2 | Beliebig | Ebene | Bei nur einem Eingabe-Element wird der Kreis in die Arbeitsebene projiziert
Umgekehrter Kreis | UMK | 1 | Kreis | - | Konstruiert einen Kreis mit einem umgekehrten Vektor
Scan-Segmentkreis | SCAN_SEGMENT | 1 | Scan | - | Konstruiert einen Bogen aus einem Teil eines Offene Linien- oder Geschlossene Linien-Scans.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

So konstruieren Sie einen Kreis:

  1. Öffnen Sie das Dialogfeld Kreiskonstruktion.

Display Menu Roadmap
Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Option Innen oder Außen.
  4. Wählen Sie die Konstruktionsmethode aus. Die verfügbaren Optionen sind:
  • Auto Kreis
  • Besteinpassungs- oder Besteinpassungs-Kompensierungskreis
  • Schnittkreis
  • Kreis am Schwerpunkt
  • Projektionskreis
  • Umgekehrter Kreis
  • Scan-Segment
  • Kreis aus einem Kegel
  5. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Kreiskonstruktion würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
elementname=ELEM/KREIS,TOG1,TOG4,TOG5
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm.
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm.
KONST/TOG2,TOG3

Wenn TOG2 = KREIS und TOG3 = BE or BEKO, dann hat der Befehl folgendes Format:

elementname=ELEM/KREIS,TOG1,TOG4,TOG5
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm.
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm.
KONST/KREIS,TOG3
ENTFERNE_AUSREISSER/TOG6, Sigmafaktor
FILTER/TOG6, UPR=FilterFrequenz

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in Großbuchstaben.

TOG1= POLAR oder KART

TOG2 = KREIS

TOG3 = BE / BEKO / SCHWERPKT / KEGEL / SCHNITTPKTVON / PROJ / UMK / SCAN_SEGMENT

TOG4 = INNEN / AUSSEN

TOG5 = GAUSS / MAX_SCHNITTSC / MIN_KREISSC / TSCHEBYSCHEFF / FESTER_RAD (nur bei gemessenen, BE- und BEKO-Kreisen)

TOG6 = EIN/AUS

Sigmafaktor = Anhand dieses Sigmafaktors wird ermittelt, ob ein Meßpunkt ein Ausreißer ist oder nicht. Wenn der Punkt weiter vom Kreis entfernt ist als die mit diesem Wert multiplizierte Standardabweichung, handelt es sich um einen Ausreißer, der entfernt wird, wenn Sie die Option Entferne Ausreißer aktiviert haben.

Filter Abstand = Dieser Wert steuert den Glättungsfaktor für die Datenmenge. Je größer der Abstand, desto höher ist der Glättungsfaktor.

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen konstruierten Kreisen gleich. Die vierte Zeile weicht je nach Typ des gerade konstruierten Elements geringfügig ab. Sie können zwischen den verschiedenen Kreistypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Tastaturfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Meßvorgangs gewährleistet.

In den nachstehenden Abschnitten werden die zur Konstruktion eines Kreises verfügbaren Optionen beschrieben.

Siehe auch:

Innen-/Außenkreis

Auto-Kreiskonstruktion

Konstruieren eines Besteinpassungs- oder Besteinpassungs-Kompensierungskreises

Konstruktion eines Schnittkreises

Konstruktion eines Kreises am Schwerpunkt

Konstruktion eines Projektionskreises

Ändern der Richtung eines Kreises

Konstruktion eines Bogens aus einem Teil-Scan

Konstruktion eines Kreises aus einem Kegel


Innen-/Außenkreis

Über die Optionen Innen und Außen wird PC-DMIS mitgeteilt, ob der Kreis als interner bzw. als externer Kreis konstruiert werden soll.

  • Wird Innen gewählt, konstruiert PC-DMIS den Kreis als internen Kreis.
  • Wird Außen gewählt, konstruiert PC-DMIS den Kreis als externen Kreis oder Stift.


Automatische Kreiskonstruktion

Auto-Kreiskonstruktion

Aus der nachstehenden Tabelle geht hervor, welcher Kreistyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter Auto markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und konstruiert den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Konstruktionsmethode:

  1. Öffnen Sie das Dialogfeld Punktkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.
Eingabeelement(e) | Konstruktion
Ein beliebiger Satz = | Besteinpassungskreis
Beliebiger Kreis = | Umgekehrter Kreis
Beliebiger Kegel = (mit Durchmesser) | Kegelkreis
Beliebiges Element = (außer Kreis/Kegel/Satz) | Kreis am Schwerpunkt
Kegel + Kegel = | Schnittkreis
Kegel + Zylinder = | Schnittkreis
Kegel + Ebene = | Schnittkreis
Kegel + Kugel = | Schnittkreis
Zylinder + Kugel = | Schnittkreis
Ebene + Kreis = | Projektionskreis
Ebene + Ellipse = | Projektionskreis
Ebene + Linie = | Projektionskreis
Ebene + Ebene = | Projektionskreis
Ebene + Punkt = | Projektionskreis
Ebene + Satz = | Projektionskreis
Ebene + Langloch = | Projektionskreis
Ebene + Kugel = | Schnittkreis


Konstruieren eines Besteinpassungs- oder Besteinpassungs-Kompensierungskreises

Ein Besteinpassungskreis kann aus drei oder mehr Elementen konstruiert werden. Der Vektor des konstruierten Kreises verläuft vertikal zu der aktuellen Arbeitsebene. Die Besteinpassungs-Konstruktionsmethode verwendet die tatsächlichen Meßpunkte und nicht die Kugeltastermitte (wie die Besteinpassungs-Kompensierung).

So konstruieren Sie einen Besteinpassung-Kreis oder einen Besteinpassung-Kompensierungskreis:

  1. Öffnen Sie das Dialogfeld Kreiskonstruktion.

Display Menu Roadmap
Markieren Sie entweder den Optionsschalter Besteinpassung oder Besteinpassung-Kompensierung (die als Besteinpassung bzw. BE Neukomp angezeigt werden).

  3. Wählen Sie im Feld Elementliste die in der Konstruktion zu verwendenden Elemente aus.
  4. Wählen Sie mindestens drei Elemente aus.
  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONSTR/KREIS, BE, elem_1, elem_2, …
ENTFERNE_AUSREISSER/ (AUS | EIN), Sigmafaktor
FILTER/(AUS | EIN), UPR=Filter_Frequenz

Die Methoden "Ausreißer entfernen" und "Filterung" werden nachfolgend beschrieben.

Siehe auch:

Besteinpassungstyp

Ausreißer entfernen/ Sigma Faktor

Gauss Filter / Filter Frequenz verwenden


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruieren eines Besteinpassungs- oder Besteinpassungs-Kompensierungskreises - Besteinpassungstyp

Besteinpassungstyp

Die folgende Liste steht zur Auswahl zur Verfügung, wenn Sie bei der Kreiskonstruktion die Optionen Besteinpassung oder BE Neukomp. auswählen. Damit können Sie den Typus der zu verwendenden Besteinpassungskonstruktion bestimmen. Zur Auswahl stehen:

  • GAUSS
  • PFERCHKREIS
  • HÜLLKREIS
  • TSCHEBYSCHEFF
  • FESTER_RAD

Diese Methoden werden in der folgenden Tabelle erläutert:

Listeneintrag | Beschreibung
GAUSS | Kleinste Quadrate – Dieser Berechnungstyp ist eine Methode der Einpassung, durch die der durchschnittliche quadrierte Kreisabstand der Datenpunkte zum Kreis minimiert wird. Die Quadratwurzel dieser Menge ist der quadratische Mittelwert (RMS) des Abstands. Da der RMS-Abstand auf einem Durchschnittswert beruht, können manche Punkte weiter vom berechneten Kreis entfernt sein als der RMS-Abstand.
TSCHEBYSCHEFF | Minimalabstand – Mit diesem Berechnungstyp wird ein Kreis auf der halben Strecke zwischen zwei konzentrischen Kreisen, die Datenpunkte enthalten, generiert, wobei die Differenz zwischen ihren Radien so klein wie möglich gehalten wird. Die dem Berechnungstyp TSCHEBYSCHEFF zugrundeliegende Min./Max.-Mathematik minimiert den maximalen Fehler oder die maximale Abweichung der Eingabedaten zum Kreis. Der Min./Max. Fehler entspricht der Hälfte des Mindestabstands. Es gibt keine Eingabedatenpunkte (oder Eingabeelemente) die weiter vom Min./Max. Kreis entfernt liegen als der Min./Max. Fehler. Durch diese Berechnung wird ermittelt, ob alle Eingabedaten (oder Eingabeelemente) innerhalb der vorgegebenen Toleranzen liegen oder nicht.
PFERCHKREIS | Maximaler Innenkreis – Mit diesem Berechnungstyp wird ein leerer Kreis mit dem größtmöglichen Durchmesser innerhalb der Daten generiert. PC-DMIS berechnet zuerst einen Minimalen Umkreis und fordert dann, daß der Mittelpunkt des Maximalen Innenkreis innerhalb dieses Umkreises liegt. Diese Option könnte für ein Kreiselement verwendet werden, für das ein passender Bolzen benötigt wird. Wenn die Eingabedaten beispielsweise eine Bohrung darstellen, dann gibt diese Berechnung einen Kreis mit dem Durchmesser des größten Bolzens, der in die Bohrung passen wird, wieder.
HÜLLKREIS | Minimaler Umkreis – Mit diesem Berechnungstyp wird ein Kreis mit dem kleinsten möglichen Durchmesser generiert, der die Eingabedaten (oder Eingabeelemente) einschließt. Diese Option könnte zum Messen eines Bolzens, der in ein entsprechendes Kreiselement paßt, verwendet werden. Das Ergebnis wäre die kleinste Bohrung, in die der Bolzen passen würde.
FESTER_RAD | Fester Radius – Mit diesem Berechnungstyp wird ein Kreis vorgegebenen Durchmessers generiert, der so positioniert wird, daß der maximale Kreisabstand der Datenpunkte zum Kreis minimiert wird. Diese Methode ist mit der in der Berechnung TSCHEBYSCHEFF verwendeten Min./Max.-Mathematik vergleichbar, nur daß der Radius nicht variieren kann, da der Durchmesser bereits bekannt ist. Nur die Position des Kreises kann variieren.


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruieren eines Besteinpassungs- oder Besteinpassungs-Kompensierungskreises - Ausreißer entfernen/Sigmafaktor

Ausreißer entfernen/Sigmafaktor

Bei einem Besteinpassungs(BE)- oder Besteinpassung-Kompensierungskreis (BEKO) haben Sie die Möglichkeit, Ausreißer zu entfernen, die durch den Abstand zum Besteinpassungselement definiert werden. Dadurch können während des Meßvorgangs auftretende Anomalien beseitigt werden.

PC-DMIS paßt zuerst einen Kreis in die Daten ein und bestimmt dann auf Basis des Sigmafaktors , welche Punkte Ausreißer sind. Dann wird folgendermaßen verfahren:

  • PC-DMIS berechnet den Besteinpassungskreis nach dem Entfernen dieser Ausreißer.
  • Das Vorhandensein weiterer Ausreißer wird geprüft.
  • Der Besteinpassungskreis wird erneut berechnet.
  • Dieser Vorgang wird wiederholt, bis keine Ausreißer mehr zu finden sind oder PC-DMIS den Kreis nicht mehr berechnen kann. (PC-DMIS kann den Kreis nur mit mindestens drei Datenpunkten berechnen).


Gauss Filter / Filter Frequenz verwenden

Kreise, die mit den Funktionen Besteinpassung (BE) und Besteinpassung-Kompensierung (BEKO) konstruiert wurden, bieten optional die Möglichkeit, die Abweichungen der gemessenen Datenpunkte von dem aus den Meßdaten berechneten Besteinpassungskreis zu filtern. Mit dem Kontrollkästchen Gauss Filter verwenden wird ein Gaußscher Filter mit einer als Wellenbewegung per Umdrehung (UPR) eingegebenen Filterfrequenz aktiviert. Allgemein werden durch eine niedrigere Filterfrequenz angeglichenere Filterdaten erzeugt. Wenn Sie das Kontrollkästchen Entferne Ausreißer markiert haben und die Daten filtern, werden die Ausreißerdaten vor der Filterung entfernt.


Konstruktion eines Schnittkreises

Ein Kreis kann zwischen einem Kegel (Kreis, Zylinder, Kugel) und einer Ebene konstruiert werden. Er kann zudem auch zwischen zwei konzentrischen Kegeln oder einer Kombination aus konzentrischem Kegel und Zylinder erstellt werden.

PC-DMIS erstellt dabei am Schnittpunkt des Kreiselements und der Ebene oder zwischen dem Kegel und dem Kegel oder zwischen dem Kegel und dem Zylinder einen Kreis.

  • Am Schnittpunkt eines kreisförmigen Elements und einer Ebene erstellt PC-DMIS stets einen echten Kreis (keine Ellipse), auch dann, wenn das kreisförmige Element nicht genau rechtwinklig zur Ebene liegt. Der Mittelpunkt des neuen Kreises liegt an dem Durchstoßpunkt, an dem die Mittellinie des Kreiselements die Ebene durchstößt.. Der Vektor des Kreises ist der Vektor des durchstoßenden kreisförmigen Elements.
  • Bei den Kegel/Kegel- bzw. Kegel/Zylinder-Kombinationen wird auch dann ein echter Kreis erstellt, wenn die sich überschneidenden Elemente keinen echten Kreis bilden.

So konstruieren Sie einen Schnittkreis:

  1. Öffnen Sie das Dialogfeld Kreiskonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Schnitt.

  3. Wählen Sie das erste Element aus, Hier sind die Elemente Kreis, Kegel, Zylinder oder Kugel zulässig.
  4. Wählen Sie das zweite Element aus. Hierbei muß es sich um eine Ebene handeln.
  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KREIS,SCHNITTVON,Element_1,Element_2

Konstruktion eines Kreises aus einem Kegel und einer Ebene


Konstruktion eines Kreises am Schwerpunkt

Sie können einen Kreis konstruieren, indem Sie ein beliebiges vorhandenes Element in einen Kreis umändern. PC-DMIS konstruiert die Kugel am Flächenmittelpunkt des Eingabeelements. Wird ein Blechelementspunkt verwendet, dann entspricht der Zylinderdurchmesser dem Tasterdurchmesser. Bei einigen Blechelementen (wie Langlöchern und Kerben) wird der Durchmesser durch die Breite bestimmt. Bei Elementen, die keinen Durchmesser haben (Linien, Punkte etc.), wird ein Vierfaches des Tasterdurchmessers als Wert verwendet.

Sie können den Kreisdurchmesser ändern und damit den Kreis von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn der Kreis dann ausgeführt wird, bedeutet dies, daß der Durchmesser nicht in Abhängigkeit vom Eingabeelement geändert wird, sondern unabhängig vom Eingabeelement ist. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie den Durchmesser in den Fällen kontrollieren, wo das Eingabeelement eigentlich keinen Durchmesser hat (wie beispielsweise ein Punkt). Das Feld abhängig/unabhängig ist ein Umschaltfeld, das durch Sie geändert werden kann.

In einem solchen Fall legt PC-DMIS diesen Durchmesserwert allen Berechnungen zugrunde und verwendet nicht den oben beschriebenen Standard-Durchmesserwert.

Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Kreiskonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie mindestens ein Element beliebigen Typs aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KREIS,SCHWERPKT,Element_1, (ABHÄNGIG | UNABHÄNGIG)


Konstruktion eines Projektionskreises

Ein Kreis kann aus einem beliebigen Element und einer Ebene konstruiert werden. PC-DMIS projiziert den Flächenmittelpunkt des betreffenden Elements in die Ebene und erstellt so einen Kreis. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die aktuelle Arbeitsebene. Der Durchmesser des Projektionskreises entspricht dem Durchmesser des projizierten Elements (bei kreisförmigen Elementen) bzw. dem Tasterdurchmesser (bei nicht kreisförmigen Elementen).

Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Kreiskonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Projektion.

  3. Wählen Sie ein Element beliebigen Typs aus.

Hinweis: Es kann auch ein zweites Element ausgewählt werden. Hierbei muß es sich um eine Ebene handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KREIS,PROJ,Element_1,(Element_2)

Konstruktion eines Kreises aus einem Kreis und einer Ebene


Ändern der Richtung eines Kreises

Ein Kreis kann mit einem umgekehrten Vektor konstruiert werden.

Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Kreiskonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muß es sich um einen Kreis handeln.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KREIS,UMK,Element_1


Konstruktion eines Bogens aus Teil-Scan

Konstruktion eines Bogens aus einem Teil-Scan

Ein Kreis kann aus einem Segment eines Offene Linien-, Geschlossene Linien- oder Basiskreis-Scans konstruiert werden. PC-DMIS erstellt einen Bogen aus einem Teil-Scan. Einzelheiten zu diesem Konstruktionsvorgang werden in diesem Abschnitt näher erläutert.

So konstruieren Sie einen Scan-Segmentkreis:

  1. Öffnen Sie das Dialogfeld Kreiskonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Scan-Segment.

  3. Wählen Sie einen zuvor erstellten Offene Linien-, Geschlossene Linien- oder Basiskreis-Scan.
  4. Klicken Sie auf die Schaltfläche Segmentdaten. Das Dialogfeld Scan-Segment wird angezeigt.
  5. Wählen Sie entweder die Option Besteinpassung oder BE Neukomp.
  6. Wählen Sie in diesem Dialogfeld den für die Konstruktion verwendeten Teil-Scan aus.
  7. Geben Sie die Anzahl an Punkten an, die verworfen werden sollen, indem Sie die entsprechenden Werte in die Felder Max. Löschanfang und Max. Löschende eingeben.
  8. Geben Sie im Feld Verwerfen Toleranz einen Abstand zum Besteinpassungskreis ein. Diese Toleranz ist eine Formtoleranz. Mit ihr wird gesteuert, welche Endpunkte als Teil des Bogens akzeptiert werden. Wenn die Entfernung vom Scanpunkt zum Besteinpassungskreis diesen Toleranzwert überschreitet, wird der Endpunkt verworfen.
  9. Geben Sie für den Scan einen Wert für Ungefährer Anfangspunkt und Ungefährer Endpunkt ein, indem Sie das Kontrollkästchen Punkte auswählen aktivieren und anschließend in das Grafikfenster klicken, um die X-, Y-, Z-Felder auszufüllen. Sie können im Grafikfenster an eine beliebige Stelle klicken. PC-DMIS plaziert den Punkt an der Stelle auf dem Scan, die Ihrem Mausklick am nächsten lag. Sie können die Punktwerte auch über die Tastatur bearbeiten.
  10. Klicken Sie auf OK, um die Daten zu akzeptieren und das Dialogfeld Scan-Segment zu schließen.
  11. Klicken Sie auf Erzeugen, um aus dem Scan einen Bogen zu erstellen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

KONSTR/KREIS,SCAN_SEGMENT,Einpassungstyp,Element_1,Startpunkt_x,Startpunkt_y,Startpunkt_z,Endpunkt_x,Endpunkt_y,Endpunkt_z,Löschen_Startpunkt,Löschen_Endpunkt,Toleranz

Wenn Sie mehr als nur einen Bogen oder eine Linie aus einem Scan konstruieren möchten, müssen Sie einen weiteren Befehl für einen anderen Scan-Abschnitt hinzufügen.

Siehe auch:

Bestimmen der Daten für die Bogenkonstruktion


Bestimmen der Daten für die Bogenkonstruktion

Die Daten zur Konstruktion des Bogens werden wie folgt bestimmt:

  • Zunächst wird ein Segment des Scans mit Hilfe eines Start- und eines Endpunkts innerhalb des Scans ermittelt. Als Start- und Endpunkte werden die Scanpunkte gewählt, die sich am nächsten zu [Startpunkt_x, Startpunkt_y, Startpunkt_z] bzw. zu [Endpunkt_x, Endpunkt_y, Endpunkt_z] befinden.
  • Die Punkte werden dann von den Start- und Endpunkten des Scans verworfen. Die Anzahl an verworfenen Punkten am Start wird durch Löschen_Startpunkt und am Ende durch Löschen_Endpunkt angegeben. Diesem Punktesatz wird dann ein Bogen angepaßt.
  • Schließlich werden die Start- und Endpunkte wieder hinzugefügt, sofern sie sich innerhalb des definierten Toleranzwerts befinden. Diesem neuen Punktesatz wird dann erneut der Bogen angepaßt.

Der Wert für Einpassungstyp kann BE (Besteinpassung) oder BEKO (Besteinpassungs-Kompensierung) lauten. Hierdurch wird festgelegt, ob bei der Berechnung des Bogens eine Besteinpassung oder eine Besteinpassungs-Kompensierung durchgeführt wird. Weitere Einzelheiten zu diesen beiden Optionen finden Sie unter "Konstruieren eines Besteinpassungs- oder Besteinpassungs-Kompensierungskreises".


Konstruktion eines Kreises aus einem Kegel

Ein Kreis kann mit einem vorgegebenen Kegeldurchmesser aus einem Kegel konstruiert werden, oder in einer bestimmten Höhe über der aktuellen Ausrichtungsebene. Ein Kegelkreiselement mit einem bestimmten Durchmesser wird auch als Gage-Durchmesser bezeichnet.

So konstruieren Sie ein Kegelkreiselement:

  1. Öffnen Sie das Dialogfeld Kreiskonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Kegel.

  3. Wählen Sie ein Element aus. Es muß sich dabei um einen Kegel handeln.
  4. Wählen Sie aus der Auswahlliste Typ entweder DURCHMESSER oder HÖHE aus.
  5. Geben Sie einen Wert für den Durchmesser oder die Höhe in das Feld Wert ein.
  6. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONSTR/KREIS,KEGEL,DURCHMESSER,Element_1

Oder

KONST/KREIS,KEGEL,HÖHE,Wert,Element_1


Konstruktion eines Ellipsenelements

Changing the Direction of an Ellipse Constructing a Projected Ellipse Constructing a Cast Ellipse Constructing a Best Fit or BF Recompensate Ellipse In / Out Ellipse Auto Ellipse Construction Search ID Close Create Clear Feature List Select Last # ID = Feature

PC-DMIS bietet mehrere Möglichkeiten zur Konstruktion einer Ellipse. In der nachstehenden Tabelle werden die verschiedenen Arten konstruierter Ellipsen zusammen mit den erforderlichen Eingaben aufgeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen drei oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, daß jedes beliebige Element als Eingabe für die Konstruktion in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

KONSTRUIERTES ELEMENT | SYMBOL IM BEARBEITUNGS-FENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Besteinpassungsellipse | BE | Mind. drei Eingaben | - | - | Konstruiert eine Besteinpassungsellipse anhand der vorgegebenen Eingaben
Besteinpassung mit Kompensierungsellipse | BEKO | Mind. drei Eingaben (eine davon muß ein Punkt sein) | - | - | Konstruiert eine Besteinpassungsellipse anhand der vorgegebenen Eingaben
Ellipse am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Konstruiert eine Ellipse im Flächenmittelpunkt des Eingabemerkmals
Projizierte Ellipse | PROJ | 1 oder 2 | Beliebig | Ebene | Bei nur einem EingabeElement wird die Ellipse in die Arbeitsebene projiziert
Umkehrkreis | UMK | 1 | Kreis | - | Konstruiert einen Kreis mit einem umgekehrten Vektor

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

So konstruieren Sie eine Ellipse:

  1. Öffnen Sie das Dialogfeld Ellipsenkonstruktion.

Display Menu Roadmap
Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Option Innen oder Außen.
  4. Wählen Sie die Konstruktionsmethode aus. Die verfügbaren Optionen sind:
  • Auto Kreis
  • Besteinpassungs- oder Besteinpassungs-Kompensierungsellipse
  • Ellipse am Schwerpunkt
  • Projektionsellipse
  • Umgekehrte Ellipse
  6. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Ellipsenkonstruktion würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
elementname=ELEM/Ellipse,TOG1,TOG4
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Hauptdurchm,Nebendurchm,i Winkelvektor, j Winkelvektor, k Winkelvektor
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Hauptdurchm,Nebendurchm,i Winkelvektor,j Winkelvektor,k Winkelvektor
KONSTR/TOG2,TOG3

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in Großbuchstaben.

TOG1= POLAR oder KART

TOG2 = ELLIPSE

TOG3 = BE / BEKO / SCHWERPKT / PROJ / UMK

TOG4 = INNEN / AUSSEN

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen konstruierten Ellipsen gleich. Die vierte Zeile weicht je nach Typ des gerade konstruierten Elements geringfügig ab. Sie können zwischen den verschiedenen Ellipsentypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Tastaturfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Meßvorgangs gewährleistet.

In den nachstehenden Abschnitten werden die zur Konstruktion einer Ellipse verfügbaren Optionen beschrieben.

Siehe auch:

Innen-/Außenellipse

Konstruieren einer Besteinpassungs- oder Besteinpassungs-Kompensierungsellipse

Konstruktion einer Ellipse am Schwerpunkt

Konstruktion einer Projektionsellipse

Ändern der Richtung einer Ellipse

Auto-Ellipsenkonstruktion


Innen-/Außenellipse

Über die Optionen Innen und Außen wird PC-DMIS angewiesen, die Ellipse entweder als interne oder als externe Ellipse zu konstruieren.

  • Wird Innen gewählt, konstruiert PC-DMIS die Ellipse als Innenellipse.
  • Wird Außen gewählt, konstruiert PC-DMIS die Ellipse als Außenellipse oder Stift.


Konstruieren einer Besteinpassungs- oder Besteinpassungs-Kompensierungsellipse

Eine Besteinpassungsellipse kann aus drei oder mehr Elementen konstruiert werden. Die Ellipse liegt in der aktuellen Arbeitsebene. Die Besteinpassungs-Konstruktionsmethode verwendet die tatsächlichen Meßpunkte und nicht die Kugeltastermitte (wie die Besteinpassungs-Kompensierung). In beiden Fällen berechnet PC-DMIS die Ellipse mit der Methode Kleinste Quadrate (Gauss) – dabei minimiert PC-DMIS den quadratischen Mittelwert des Abstands der Datenpunkte zur Ellipse.

So konstruieren Sie eine Besteinpassungs- oder Besteinpassungs-Kompensierungsellipse:

  1. Öffnen Sie das Dialogfeld Ellipsenkonstruktion.

Display Menu Roadmap
Markieren Sie entweder den Optionsschalter Besteinpassung oder Besteinpassung-Kompensierung (die als Besteinpassung bzw. BE Neukomp angezeigt werden).

  3. Wählen Sie mindestens drei Elemente aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/ELLIPSE,BE,Element_1,Element_2,Element_3...
(Für die Konstruktion werden die tatsächlichen Meßpunkte verwendet.)
oder
KONST/ELLIPSE,BEKO,Element_1,Element_2,Element_3...
(Für die Messung wird der Mittelpunkt des Tasters verwendet.)


Konstruktion einer Ellipse am Schwerpunkt

Sie können eine Ellipse konstruieren, indem Sie ein beliebiges vorhandenes Element in eine Ellipse umändern. PC-DMIS konstruiert die Ellipse im Flächenmittelpunkt des Eingabeelements. Wird ein Blechpunkt verwendet, dann entspricht der Hauptdurchmesser dem Tasterdurchmesser. Bei einigen Blechelementen (wie Langlöchern und Kerben) wird der Hauptdurchmesser durch die Breite bestimmt. Bei Elementen ohne Breite (Linien, Punkten etc.) wird ein Vierfaches des Tasterdurchmessers als Wert verwendet.

Die Länge des Eingabeelements stellt den Nebendurchmesser dar. Bei Elementen ohne Länge (Punkten, Kreisen usw.) wird eine Standardlänge 1 verwendet.

Sie können den Haupt- und Nebendurchmesser der Ellipse ändern und die Ellipse damit von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn die Ellipse dann ausgeführt wird, bedeutet dies, daß Haupt- und Nebendurchmesser nicht in Abhängigkeit vom Eingabeelement geändert werden, sondern unabhängig vom Eingabeelement sind. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie den Durchmesser in den Fällen kontrollieren, wo das Eingabeelement eigentlich keinen Durchmesser hat (wie beispielsweise ein Punkt). Das Feld abhängig/unabhängig ist ein Umschaltfeld, das durch Sie geändert werden kann.

In einem solchen Fall legt PC-DMIS diese Durchmesserwerte allen Berechnungen zugrunde und verwendet nicht die voranstehend beschriebenen standardmäßigen Durchmesserwerte.

So konstruieren Sie eine Ellipse am Schwerpunkt:

  1. Öffnen Sie das Dialogfeld Ellipsenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie mindestens ein Element beliebigen Typs aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/ELLIPSE, SCHWERPKT,Element_1, ABHÄNGIG | UNABHÄNGIG


Konstruktion einer Projektionsellipse

Eine Ellipse kann auf eine Ebene projiziert werden. PC-DMIS projiziert den Flächenmittelpunkt des betreffenden Elements auf die Ebene und erstellt so eine Ellipse. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die aktuelle Arbeitsebene. Der Hauptdurchmesser der Projektionsellipse entspricht der Breite des projizierten Elements oder dem Tasterdurchmesser (bei Elementen ohne definierte Breite). Der Nebendurchmesser entspricht der Länge des Eingabeelements bzw. der Einheit 1 (bei Elementen ohne definierte Länge).

So konstruieren Sie eine Projektionsellipse:

  1. Öffnen Sie das Dialogfeld Ellipsenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Projektion.

  3. Wählen Sie ein Element beliebigen Typs aus.

Hinweis: Es kann auch ein zweites Element ausgewählt werden. Hierbei muß es sich um eine Ebene handeln.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/ELLIPSE,PROJ,Element_1,(Element_2)


Ändern der Richtung einer Ellipse

Eine Ellipse kann mit einem Umkehrvektor konstruiert werden.

So ändern Sie die Ellipsenrichtung:

  1. Öffnen Sie das Dialogfeld Ellipsenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muß es sich um eine Ellipse handeln.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/ELLIPSE,UMK,Element_1


Automatische Ellipsenkonstruktion

Auto-Ellipsenkonstruktion

Aus der nachstehenden Tabelle geht hervor, welcher Ellipsentyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO aktiviert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und konstruiert den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Konstruktionsmethode:

  1. Öffnen Sie das Dialogfeld Ellipsenkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.
Eingabeelement(e) | Konstruktion
Ein beliebiger Satz = | Besteinpassungsellipse
Eine beliebige Ellipse = | Umkehrellipse
Ein beliebiges Element = (außer Ellipse/Satz) | Ellipse am Schwerpunkt
Ebene + beliebiges Element | Projektionsellipse
Satz + Satz | Besteinpassungsellipse
Drei oder mehr Elemente | Besteinpassungsellipse


Konstruktion eines Kugelelements

Changing the Direction of a Sphere Constructing a Cast Sphere Constructing a Projected Sphere Construcing a Best Fit or BF Recompensate Sphere Auto Sphere Construction In / Out Sphere Close Create Clear Feature List Select Last # Search ID ID = Feature

PC-DMIS bietet verschiedener Möglichkeiten zur Konstruktion einer Kugel. In der nachstehenden Tabelle werden die verschiedenen Arten konstruierter Kugeln zusammen mit den erforderlichen Eingaben angeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen fünf oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, daß jedes beliebige Element als Eingabe für die Konstruktion in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

KONSTRUIERTES ELEMENT | SYMBOL IM BEARBEITUNGS-FENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Besteinpassungskugel | BE | Mind. fünf Eingaben | - | - | Konstruiert eine Besteinpassungskugel anhand der vorgegebenen Eingaben
Besteinpassung mit Kompensierungskugel | BEKO | Mind. fünf Eingaben (eine davon muß ein Punkt sein) | - | - | Konstruiert eine Besteinpassungskugel anhand der vorgegebenen Eingaben
Kugel am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Konstruiert eine Kugel im Flächenmittelpunkt des Eingabeelements
Projektionskugel | PROJ | 1 oder 2 | Beliebig | Ebene | Bei einem Eingabeelement wird die Kugel in die Arbeitsebene projiziert
Umgekehrte Kugel | UMK | 1 | Kugel | - | Konstruiert eine Kugel mit einem Umkehrvektor

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

So konstruieren Sie eine Kugel:

  1. Öffnen Sie das Dialogfeld Kugelkonstruktion.

Display Menu Roadmap
Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Konstruktionsmethode aus. Die verfügbaren Optionen sind:
  • Besteinpassungs- oder Besteinpassungs-Kompensierungskugel
  • Kugel am Schwerpunkt
  • Projizierte Kugel
  • Kugel in Umkehrrichtung
  • Auto-Kugel
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Kugelkonstruktion würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
elementname=ELEM/KREIS,TOG1,TOG4
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm.
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm.
KONST/TOG2,TOG3

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in Großbuchstaben.

TOG1= POLAR oder KART

TOG2 = KUGEL

TOG3 = BE / BEKO / SCHWERPKT / PROJ / UMK

TOG4 = INNEN / AUSSEN

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen konstruierten Kugeln gleich. Die vierte Zeile weicht je nach Typ des gerade konstruierten Elements geringfügig ab. Sie können zwischen den verschiedenen Kugeltypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Verwenden der Tastaturfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Meßvorgangs verbessert.

In den nachstehenden Abschnitten werden die zur Konstruktion einer Kugel verfügbaren Optionen beschrieben.

Siehe auch:

Innen-/Außenkugel

Konstruieren einer Besteinpassungs- oder Besteinpassungs-Kompensierungskugel

Konstruktion einer Kugel am Schwerpunkt

Konstruktion einer Projektionskugel

Ändern der Richtung einer Kugel

Auto-Kugelkonstruktion


Innen-/Außenkugel

Über die Optionen Innen und Außen wird PC-DMIS angewiesen, die Kugel entweder als Innen- oder als Außenkugel zu konstruieren.

  • Wird Innen gewählt, konstruiert PC-DMIS die Kugel als Innenkugel.
  • Wird Außen gewählt, konstruiert PC-DMIS die Kugel als Außenkugel.


Konstruktion einer Besteinpassungs- oder Besteinpassungs-Kompensierungskugel

Eine "Besteinpassungskugel" kann aus fünf oder mehr Elementen konstruiert werden. Die Besteinpassungs-Konstruktionsmethode verwendet die tatsächlichen Meßpunkte und nicht die Kugeltastermitte (wie die Besteinpassungs-Kompensierung). In beiden Fällen berechnet PC-DMIS die Kugel mit der Methode Kleinste Quadrate (Gauss) – dabei minimiert PC-DMIS den quadratischen Mittelwert des Abstands der Datenpunkte zur Kugel.

So konstruieren Sie eine Besteinpassungs- oder Besteinpassungs-Kompensierungskugel:

  1. Öffnen Sie das Dialogfeld Kugelkonstruktion.

Display Menu Roadmap
Markieren Sie entweder den Optionsschalter Besteinpassung oder Besteinpassungs-Kompensierung. (Diese Optionen werden als Besteinpassung bzw. BE Neukomp angezeigt).

  3. Wählen Sie fünf oder mehr Elemente aus.

Hinweis: Bei der Besteinpassungs-Kompensierung muß eines der fünf Elemente ein Punkt sein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KUGEL,BE,Element_1,Element_2,Element_3,Element_4,Element_5...
(Für die Konstruktion werden die tatsächlichen Meßpunkte verwendet.)
oder
KONST/KUGEL,BEKO,Element_1,Element_2,Element_3,Element_4,Element_5...
(Für die Messung wird der Mittelpunkt des Tasters verwendet.)

Konstruktion einer Kugel aus fünf oder mehr Punkten


Konstruktion einer Kugel am Schwerpunkt

Sie können eine Kugel konstruieren, indem Sie ein beliebiges vorhandenes Element in eine Kugel umändern. PC-DMIS konstruiert die Kugel am Flächenmittelpunkt des Eingabeelements. Wird ein Blechelementpunkt verwendet, dann entspricht der Zylinderdurchmesser dem Tasterdurchmesser. Bei einigen Blechelementen (wie Langlöchern und Kerben) wird der Durchmesser durch die Breite bestimmt. Bei Elementen, die keinen Durchmesser haben (Linien, Punkten etc.), wird ein Vierfaches des Tasterdurchmessers als Wert verwendet.

Sie können den Kugeldurchmesser ändern und damit die Kugel von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn die Kugel dann ausgeführt wird, bedeutet dies, daß der Durchmesser nicht in Abhängigkeit vom Eingabeelement geändert wird, sondern unabhängig vom Eingabeelement ist. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie den Durchmesser in den Fällen kontrollieren, wo das Eingabeelement eigentlich keinen Durchmesser hat (wie beispielsweise ein Punkt). Das Feld abhängig/unabhängig ist ein Umschaltfeld, das durch Sie geändert werden kann.

In einem solchen Fall legt PC-DMIS diesen Durchmesserwert allen Berechnungen zugrunde und verwendet nicht den oben beschriebenen Standard-Durchmesserwert.

So konstruieren Sie eine Kugel am Schwerpunkt:

  1. Öffnen Sie das Dialogfeld Kugelkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie ein Element eines beliebigen Typs aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KREIS,SCHWERPKT,Element_1, (ABHÄNGIG | UNABHÄNGIG)


Konstruktion einer Projektionskugel

Eine Kugel kann konstruiert werden, indem ein beliebiges Element in die aktuelle Arbeitsebene projiziert wird. PC-DMIS projiziert den Punkt an die Stelle, an der sich die Ebene mit dem Punkt überschneidet. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die Arbeitsebene. Bei Projektion eines Elements in die Arbeitsebene sollten Sie den gewünschten Durchmesser eingeben, da PC-DMIS andernfalls den Tasterdurchmesser verwendet.

So konstruieren Sie eine Projektionskugel:

  1. Öffnen Sie das Dialogfeld Kugelkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Projektion.

  3. Wählen Sie entweder ein oder zwei Elemente aus. Das erste Element beliebiger Art sein. Bei dem zweiten Element muß es sich um eine Ebene handeln.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KUGEL,PROJ,Element_1,(Element_2)


Ändern der Richtung einer Kugel

Eine Kugel kann mit einem Umkehrvektor konstruiert werden.

So konstruieren Sie eine Umkehrkugel:

  1. Öffnen Sie das Dialogfeld Kugelkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muß es sich um eine Kugel handeln.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KUGEL,UMK,Element_1


Automatische Kugelkonstruktion

Auto-Kugelkonstruktion

Aus der nachstehenden Tabelle geht hervor, welcher Kugeltyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und konstruiert den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Konstruktionsmethode:

  1. Öffnen Sie das Dialogfeld Kugelkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.
Eingabeelement(e) | Konstruktion
Vier oder mehr Elemente = | Besteinpassungskugel
Ein beliebiges Element = (außer Kugel/Satz) | Kugel am Schwerpunkt
Ein beliebiger Satz = | Besteinpassungskugel
Ebene + ein beliebiges Element = | Projektionskugel
Kugel = | Umkehrkugel


Konstruktion eines Linienelements

Apply Gauss Filter / Cutoff Wavelength Remove Outliers / Standard Deviation Multiple Constructing a Line from Part of a Scan Auto Line Construction Constructing a Best Fit or BF Recompensate Line Changing the Direction of a Line Constructing a Projected Line Constructing a Perpendicular Line Constructing a Parallel Line Constructing a Mid Line Constructing an Intersect Line Constructing a Cast Line Constructing a Recompensate Line Constructing an Alignment Line Constructing an Offset Line Close Create Clear Feature List Select Last $ Search ID ID = Feature

PC-DMIS bietet verschiedene Möglichkeiten zur Konstruktion einer Linie. In der nachstehenden Tabelle werden die verschiedenen Typen konstruierter Linien zusammen mit der erforderlichen Eingabe aufgeführt. Bei einigen Elementen sind keine Eingaben erforderlich, während bei anderen drei oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, daß jedes beliebige Element als Eingabe für die Konstruktion in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

KONSTRUIERTES ELEMENT | SYMBOL IM BEARBEITUNGS-FENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Ausrichtungslinie | AUSRICHTEN | 0 | - | - | Konstruiert eine Linie durch den Ausrichtungsnullpunkt
Besteinpassungslinie | BE | Mind. zwei Eingaben | - | - | Konstruiert eine Besteinpassungslinie anhand der vorgegebenen Eingaben
Besteinpassung mit Kompensierungslinie | BEKO | Mind. zwei Eingaben (eine davon muß ein Punkt sein) | - | - | Konstruiert eine Besteinpassungslinie anhand der vorgegebenen Eingaben
Linie am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Konstruiert eine Linie im Flächenmittelpunkt des Eingabeelements
Schnittlinie | SCHNITTVON | 2 | Ebene | Ebene | Konstruiert eine Linie am Schnittpunkt von zwei Ebenen
Mittellinie | MITTE | 2 | Linie, Kegel, Zylinder, Langloch, Ebene | Linie, Kegel, Zylinder, Langloch, Ebene | Konstruiert eine Mittellinie zwischen den Eingabeelementen
Versatzlinie | VERSATZ | Mind. zwei Eingaben | Beliebig | Beliebig | Konstruiert eine um den angegebenen Wert vom zweiten Element versetzteLinie durch das erste Element
Parallellinie | PLZU | 2 | Beliebig | Beliebig | Konstruiert eine Linie parallel zum ersten Element, die durch das zweite Element verläuft
Rechtwinklige Linie | PRZU | 2 | Beliebig | Beliebig | Konstruiert eine Linie rechtwinklig zum ersten Element, die durch das zweite Element verläuft
Projizierte Linie | PROJ | 1 oder 2 | Beliebig | Ebene | Bei Auswahl von nur einem Eingabeelement wird die Linie in die Arbeitsebene projiziert
Umgekehrte Linie | UMK | 1 | Linie | - | Konstruiert eine Linie mit einem Umkehrvektor, die durch das Eingabeelement verläuft.
Scan-Segmentlinie | SCAN_SEGMENT | 1 | Scan | - | Konstruiert eine Linie aus einem Teil eines Offene Linien- oder Geschlossene Linien-Scans.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

So konstruieren Sie eine Linie:

  1. Wählen Sie in der Menüleiste Konstruieren.

Display Menu Roadmap
Öffnen Sie das Dialogfeld Linienkonstruktion.

  3. Geben Sie die gewünschten Elemente ein.
  4. Wählen Sie die Konstruktionsmethode aus. Die verfügbaren Optionen sind:
  • Auto-Linienkonstruktion
  • Ausrichtungslinie
  • Besteinpassungs- oder Besteinpassungs-Kompensierungslinie
  • Linie am Schwerpunkt
  • Schnittlinie
  • Mittellinie
  • Versatzlinie
  • Parallellinie
  • Rechtwinklige Linie
  • Projektionslinie
  • Linie in Umkehrrichtung
  • Scan-Segmentlinie
  • Versatzlinie
  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
elementname=ELEM/LINIE,TOG1,TOG4
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge
KONST/TOG2,TOG3,...

Wenn TOG2 = LINIE und TOG3 = BE or BEKO, dann hat der Befehl folgendes Format:
elementname=ELEM/LINIE,TOG1,TOG4
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge
KONST/LINIE,TOG3
AUSREISSER_ENTFERNEN/TOG5, Sigmafaktor
FILTER/TOG5, ABSTAND=Filter_Abstand

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in Großbuchstaben.

TOG1= POLAR oder KART

TOG2 = LINIE

TOG3 = AUSRICHTEN / BE / BEKO / SCHWERPKT / SCHNITTVON / SYMMETRIEPKT / VERSATZ / PLZU / PROJ / PRZU / UMK / SCAN_SEGMENT

TOG4 = BEGR / UNBEGR

TOG5 = AUS / EIN

Länge = Dieser Wert gibt die theoretische bzw. tatsächliche Länge der Linie an.

Sigmafaktor = Anhand dieses Sigmafaktors wird ermittelt, ob ein Meßpunkt ein Ausreißer ist oder nicht. Wenn der Punkt weiter vom Kreis entfernt ist als die mit diesem Wert multiplizierte Standardabweichung, handelt es sich um einen Ausreißer, der entfernt wird, wenn Sie die Option Entferne Ausreißer aktiviert haben.

Filter Abstand = Dieser Wert steuert den Glättungsfaktor für die Datenmenge. Je größer der Abstand, desto höher ist der Glättungsfaktor.

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen konstruierten Linien gleich. Die vierte Zeile weicht je nach Typ des gerade konstruierten Elements geringfügig ab. Sie können zwischen den verschiedenen Linientypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Verwenden der Tastaturfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Meßvorgangs verbessert.

In den nachstehenden Themen werden die zur Konstruktion einer Linie verfügbaren Optionen beschrieben.

Siehe auch:

Varianten

Auto-Linienkonstruktion

Konstruktion eines Ausrichtungslinie

Konstruieren einer Besteinpassungs- oder Besteinpassungs-Kompensierungslinie

Konstruktion einer Linie am Schwerpunkt

Konstruktion einer Schnittlinie

Konstruktion einer Mittellinie

Konstruktion einer Parallellinie

Konstruktion einer rechtwinkligen Linie

Konstruktion einer Projektionslinie

Ändern der Richtung einer Linie

Konstruktion einer Linie aus einem Teil-Scan

Konstruktion einer Versatzlinie


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruktion eines Linienelements - Varianten

Varianten

Das erste nachstehende Beispiel zeigt, wie das Bearbeitungsfenster aussieht, wenn der Benutzer TOG4 auf BEGR umschaltet. Der erste x-, y- und z-Wert gibt den Anfangspunkt der Linie an. Der zweite x-, y- und z-Wert gibt den Endpunkt derselben Linie an. Der letzte Wert gibt die theoretische bzw. tatsächliche Länge der Linie an.

Das zweite Beispiel zeigt das Format einer unbegrenzten Linie.

elementname=ELEM/LINIE,TOG1,BEGR
THEO/x_Koord,y_Koord,z_Koord,x_Koord,y_Koord,z_Koord,Länge
IST/x_Koord,y_Koord,z_Koord,x_Koord,y_Koord,z_Koord,Länge
KONST/TOG2,TOG3,...,Länge

elementname=ELEM/LINIE,TOG1,UNBEGR
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek
KONST/TOG2,TOG3,...


Automatische Linienkonstruktion

Auto-Linienkonstruktion

Aus der nachstehenden Tabelle geht hervor, welcher Linientyp konstruiert wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und konstruiert den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Konstruktionsmethode:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.
Eingabeelement(e) | Konstruktion
Drei oder mehr Elemente = | Besteinpassungslinie
Ein beliebiges Element (außer Linie/Satz) = | Linie am Schwerpunkt
Ein beliebiger Satz = | Besteinpassungslinie
Zwei beliebige Elemente + Versatzwert = | Versatzlinie
Kreis + Kreis = | Besteinpassungslinie
Kreis + Ellipse | Besteinpassungslinie
Kreis + Punkt | Besteinpassungslinie
Kreis + Satz = | Besteinpassungslinie
Kreis + Langloch = | Besteinpassungslinie
Kreis + Kugel = | Besteinpassungslinie
Kegel + Kreis = | Parallel zu Linie
Kegel + Kegel = | Mittellinie
Kegel + Zylinder = | Mittellinie
Kegel + Ellipse | Parallellinie
Kegel + Punkt = | Parallellinie
Kegel + Gruppe = | Parallel zu Linie
Kegel + Kugel = | Parallel zu Linie
Zylinder + Kreis = | Parallel zu Linie
Zylinder + Zylinder = | Mittellinie
Zylinder + Ellipse | Parallel zu Linie
Zylinder + Punkt = | Parallel zu Linie
Zylinder + Satz = | Parallel zu Linie
Zylinder + Kugel = | Parallel zu Linie
Ellipse + Ellipse |  | Besteinpassungslinie
Ellipse + Satz | Besteinpassungslinie
Ellipse + Kugel | Besteinpassungslinie
Linie = | Umkehrlinie
Linie + Kreis = | Parallel zu Linie
Linie + Kegel = | Mittellinie
Linie + Zylinder = | Mittellinie
Linie + Ellipse | Parallel zu Linie
Linie + Linie = | Mittellinie
Linie + Punkt = | Parallel zu Linie
Linie + Satz = | Parallel zu Linie
Linie + Langloch = | Mittellinie
Linie + Kugel = | Parallel zu Linie
Punkt + Ellipse | Besteinpassungslinie
Punkt + Punkt | Besteinpassungslinie
Punkt + Kugel | Besteinpassungslinie
Punkt + Langloch | Besteinpassungslinie
Punkt + Satz | Besteinpassungslinie
Ebene + ein beliebiges Element (außer Ebene) = | Projektionslinie
Ebene + Ebene = | Schnittlinie
Langloch + Kegel = | Mittellinie
Langloch + Zylinder = | Mittellinie
Langloch + Ellipse | Parallel zu Linie
Langloch + Langloch = | Besteinpassungslinie


Konstruktion einer Ausrichtungslinie

Eine Linie kann durch den aktuellen Nullpunkt, vertikal zur aktuellen Arbeitsebene konstruiert werden. (Eingabeelemente sind nicht erforderlich.)

So konstruieren Sie eine Ausrichtungslinie:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Ausrichtung.

  3. Geben Sie keine Eingabeelemente ein.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/LINIE,AUSRICHTEN,Länge

Konstruktion einer Linie vertikal zur Arbeitsebene


Konstruktion einer Besteinpassungs- oder Besteinpassungs-Kompensierungslinie

Eine zwei- oder dreidimensionale Besteinpassungslinie kann aus zwei oder mehr Elementen konstruiert werden. Mit der Option MODUS können Sie zwischen 2D-LINIE und 3D-LINIE hin- und herschalten. Die Besteinpassungs-Konstruktionsmethode verwendet die tatsächlichen Meßpunkte und nicht die Kugeltastermitte (wie die Besteinpassungs-Kompensierung). In beiden Fällen berechnet PC-DMIS die Linie mit der Methode Kleinste Quadrate (Gauss) – dabei minimiert PC-DMIS den quadratischen Mittelwert des Abstands der Datenpunkte zur Linie.

So konstruieren Sie eine Besteinpassungs- oder Besteinpassungs-Kompensierungslinie::

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Wählen Sie entweder die Option Besteinpassung oder BE Neukomp.

  3. Geben Sie mindestens zwei Elemente ein.
  4. Wählen Sie entweder die Option 2D-Linie oder 3D-Linie.

Hinweis: Bei der Besteinpassungs-Kompensierung muß eines der Elemente ein Punkt sein.

  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/LINIE,BE,Element_1,Element_2,...
AUSREISSER_ENTFERNEN/(AN | AUS), Sigmafaktor
FILTER/(AN | AUS),ABSTAND=Filter_Abstand

(Für die Konstruktion werden die tatsächlichen Meßpunkte verwendet.)
oder

KONST/LINIE,BEKO,Elem_1,Eleme_2, ...

AUSREISSER_ENTFERNEN/(AN | AUS), Sigmafaktor
FILTER/(AN | AUS),ABSTAND=Filter_Abstand

(Für die Messung wird der Tastermittelpunkt zugrundegelegt, die Elemente werden nach der Messung neu kompensiert.)

Konstruktion einer Linie aus zwei oder mehr Elementen

Siehe auch:

Ausreißer entfernen/ Sigma Faktor

Gauss Filter / Filterabstand verwenden


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruieren einer Besteinpassungs- oder Besteinpassungs-Kompensierungslinie - Ausreißer entfernen/Sigmafaktor

Ausreißer entfernen/Sigmafaktor

Bei einer Besteinpassungs(BE)- oder Besteinpassung-Kompensierungslinie (BEKO) haben Sie die Möglichkeit, Ausreißer zu entfernen, die durch den Abstand zum Besteinpassungselement definiert werden. Dadurch können während des Meßvorgangs auftretende Anomalien beseitigt werden.

PC-DMIS paßt zuerst eine Linie in die Daten ein und bestimmt dann auf Basis des Sigmafaktors , welche Punkte Ausreißer sind. Dann wird folgendermaßen verfahren:

  • PC-DMIS berechnet die Besteinpassungslinie nach dem Entfernen dieser Ausreißer.
  • Das Vorhandensein weiterer Ausreißer wird geprüft.
  • Die Besteinpassungslinie wird erneut berechnet.
  • Dieser Vorgang wird wiederholt, bis keine Ausreißer mehr zu finden sind oder PC-DMIS die Linie nicht mehr berechnen kann. (PC-DMIS kann die Linie nur mit mindestens drei Datenpunkten berechnen).

Bei 2D Linien wird die Abweichung in einer parallel zur Arbeitsebene verlaufenden Ebene berechnet.

Bei 3D-Linien wird die Abweichung als der Abstand zwischen dem gemessenen Punkt und dem Punkt, der am nächsten entlang der Linie liegt, berechnet.


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruieren einer Besteinpassungs- oder Besteinpassungs-Kompensierungslinie - Gauss Filter/Filterabstand verwenden

Gauss Filter / Filterabstand verwenden

Linie, die mit den Funktionen Besteinpassung (BE) und Besteinpassung-Kompensierung (BEKO) konstruiert wurden, bieten optional die Möglichkeit, die Abweichungen der gemessenen Datenpunkte von der aus den Meßdaten berechneten Besteinpassungslinie zu filtern. Mit dem Kontrollkästchen Gauss Filter verwenden wird ein Gaußscher Filter aktiviert, der die Glättung anhand des Filterabstands kontrolliert. Allgemein werden durch einen längeren Filterabstand angeglichenere Filterdaten erzeugt. Wenn Sie das Kontrollkästchen Entferne Ausreißer markiert haben und die Daten filtern, werden die Ausreißerdaten vor der Filterung entfernt.

Bei 2D Linien werden die Abweichungen in einer parallel zur Arbeitsebene verlaufenden Ebene berechnet.

Bei 3D Linien werden die Abweichungen in zwei rechtwinklig zueinander verlaufenden Ebenen berechnet. Dabei enthalten beide Ebenen die Linie. PC-DMIS filtert diese Abweichungen dreidimensional.


Konstruktion einer Linie am Schwerpunkt

Sie können eine Linie konstruieren, indem Sie ein beliebiges vorhandenes Element in eine Linie umändern. PC-DMIS konstruiert die Linie am Flächenmittelpunkt des Eingabeelements.

Sie können die Länge der Linie ändern und damit die Linie von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn die Linie dann ausgeführt wird, bedeutet dies, daß die Länge nicht in Abhängigkeit vom Eingabeelement geändert wird, sondern unabhängig vom Eingabeelement ist. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie die Linienlänge in den Fällen kontrollieren, wo das Eingabeelement eigentlich keine Länge hat (wie beispielsweise ein Punkt). Das Feld abhängig/unabhängig ist ein Umschaltfeld, das durch Sie geändert werden kann.

So ändern Sie die Länge einer Linie:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Klicken Sie auf das Linienelement.
  3. Drücken Sie die TABULATORTASTE, bis das Längenfeld hervorgehoben wird.
  4. Geben Sie eine neue Länge ein.
  5. Drücken Sie die TABULATORTASTE. PC-DMIS aktualisiert die Länge.

PC-DMIS legt diesen Längenwert allen Berechnungen zugrunde und verwendet keine Standardlänge.

So konstruieren Sie eine Linie am Schwerpunkt:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Schwerpunkt.

  3. Geben Sie ein Element beliebigen Typs ein.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/LINIE,SCHWERPKT,Element_1,Länge (ABHÄNGIG | UNABHÄNGIG)

Konstruktion einer Linie aus einem Zylinder


Konstruktion einer Schnittlinie

Eine Linie kann am Schnittpunkt zweier Ebenen konstruiert werden.

So konstruieren Sie eine Schnittlinie:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Schnitt.

  3. Geben Sie das erste Element ein. Hierbei muß es sich um eine Ebene handeln.
  4. Geben Sie das zweite Element ein. Hierbei muß es sich um eine Ebene handeln.
  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/LINIE,SCHNITTVON,Element_1,Element_2,Länge

Konstruktion einer Linie aus zwei Ebenen


Konstruktion einer Mittellinie

Eine Mittellinie kann zwischen einer Linie (Kegel, Langloch, Zylinder oder Ebene) und einer anderen Linie (Kegel, Langloch, Zylinder oder Ebene) konstruiert werden. PC-DMIS erstellt eine Linie (Mittellinie), die jeweils im selben Abstand zu den angegebenen Linien liegt. Diese Option kann bei Linien verwendet werden, die parallel oder in einem Winkel zueinander liegen. Die Mittellinie wird auf der Symmetrieebene zwischen den beiden Eingabeelementen konstruiert und halbiert den kleineren zwischen den beiden Eingabeelementen liegenden Winkel.

So konstruieren Sie eine Mittellinie:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Mitte.

  3. Geben Sie das erste Element ein. Die zulässigen Elemente sind Linie, Kegel, Zylinder oder Langloch.
  4. Geben Sie das zweite Element ein. Die zulässigen Elemente sind Linie, Kegel, Zylinder oder Langloch.
  5. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/LINIE,SYMMETRIEPKT,Element_1,Element_2,Länge

Konstruktion einer Mittellinie aus zwei Linien


Konstruktion einer Parallellinie

Eine Linie kann parallel zu zwei beliebigen Elementen konstruiert werden. PC-DMIS erstellt eine Linie parallel zum ersten Eingabeelement, die durch den Mittelpunkt des zweiten Eingabeelements verläuft.

So konstruieren Sie eine Parallellinie:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Parallel.

  3. Wählen Sie zwei Elemente beliebigen Typs aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.
  5. Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
    KONST/LINIE,PLZU,Element_1,Element_2,
    Länge

Konstruktion einer Parallellinie


Konstruktion einer rechtwinkligen Linie

Eine Linie kann im rechten Winkel zum ersten Eingabeelement erstellt werden und durch den Flächenmittelpunkt des zweiten Eingabeelements verlaufen.

So konstruieren Sie eine rechtwinklige Linie:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Rechtwinklig.

  3. Wählen Sie zwei Elemente beliebigen Typs aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/LINIE,PRZU,Element_1,Element_2,Länge

Konstruktion einer rechtwinkligen Linie


Konstruktion einer Projektionslinie

Eine Linie kann aus einem beliebigen Element und einer Ebene konstruiert werden. PC-DMIS projiziert die Linie an die Stelle, an der sich die Ebene mit der Linie überschneidet. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die Arbeitsebene.

So konstruieren Sie eine Projektionslinie:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Projektion.

  3. Wählen Sie entweder ein oder zwei Elemente aus. Das erste Element kann beliebiger Art sein. Wenn zwei Elemente ausgewählt werden, muß das zweite eine Ebene sein.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Befehlszeile im Bearbeitungsfenster:
KONST/LINIE,PROJ,Element_1,(Element_2),
Länge

Konstruktion einer Linie aus einer Linie und einer Ebene


Ändern der Richtung einer Linie

Eine Linie kann mit einem Umkehrvektor konstruiert werden.

So konstruieren Sie eine Umkehrlinie:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muß es sich um eine Linie handeln.
  4. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS kehrt den Linienvektor sowie die Start- und Endpunkte um.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/LINIE,UMK,Element_1,Länge


Konstruktion einer Linie aus einem Teil-Scan

Eine Linie kann aus einem Segment eines Offene Linien- oder Geschlossene Linien-Scans konstruiert werden. PC-DMIS erstellt eine Linie aus einem Teil-Scan. Einzelheiten zu diesem Konstruktionsvorgang werden in diesem Abschnitt näher erläutert.

So konstruieren Sie eine Scan-Segmentlinie:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Scan-Segment.

  3. Wählen Sie einen zuvor erstellten Offene Linien- oder Geschlossene Linien-Scan.
  4. Klicken Sie auf die Schaltfläche Segmentdaten. Das Dialogfeld Scan-Segment wird angezeigt.
  5. Wählen Sie entweder die Option Besteinpassung oder BE Neukomp.
  6. Wählen Sie in diesem Dialogfeld den für die Konstruktion verwendeten Teil-Scan aus.
  7. Geben Sie die Anzahl an Punkten an, die verworfen werden sollen, indem Sie die entsprechenden Werte in die Felder Max. Löschanfang und Max. Löschende eingeben.
  8. Geben Sie im Feld Verwerfen Toleranz eine Entfernung zur Besteinpassungslinie ein. Diese Toleranz ist eine Formtoleranz. Mit ihr wird gesteuert, welche Endpunkte als Teil der Linie akzeptiert werden. Wenn die Entfernung vom Scanpunkt zur Besteinpassungslinie diesen Toleranzwert überschreitet, wird der Endpunkt verworfen.
  9. Geben Sie für den Scan einen Wert für Ungefährer Anfangspunkt und Ungefährer Endpunkt ein, indem Sie das Kontrollkästchen Punkte auswählen aktivieren und anschließend in das Grafikfenster klicken, um die X-, Y-, Z-Felder auszufüllen. Sie können im Grafikfenster an eine beliebige Stelle klicken. PC-DMIS plaziert den Punkt an der Stelle auf dem Scan, die Ihrem Mausklick am nächsten lag. Sie können die Punktwerte auch über die Tastatur bearbeiten.
  10. Klicken Sie auf OK, um die Daten zu akzeptieren und das Dialogfeld Scan-Segment zu schließen.
  11. Klicken Sie auf Erstellen, um aus dem Scan eine Linie zu erstellen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

KONSTR/Linie,SCAN_SEGMENT,Einpassungstyp,Element_1,Startpunkt_x,Startpunkt_y,Startpunkt_z,C_x,Endpunkt_y,Endpunkt_z,Löschen_Startpunkt,Löschen_Endpunkt,Toleranz

Wenn Sie mehr als nur einen Bogen oder eine Linie aus einem Scan konstruieren möchten, müssen Sie einen weiteren Befehl für einen anderen Scan-Abschnitt hinzufügen.

Siehe auch:

Bestimmen der Daten für die Linienkonstruktion


Bestimmen der Daten für die Linienkonstruktion

Die zum Konstruieren der Linie verwendeten Daten werden wie folgt bestimmt:

  • Zunächst wird das Segment eines Scans mit Hilfe eines Start- und eines Endpunkts innerhalb des Scans ermittelt. Als Start- und Endpunkt werden die Scanpunkte gewählt, die sich am nächsten zu [Startpunkt_x, Startpunkt_y, Startpunkt_z] bzw. zu [Endpunkt_x, Endpunkt_y, Endpunkt_z] befinden.
  • Die Punkte werden dann von den Start- und Endpunkten des Scans verworfen. Die Anzahl an verworfenen Punkten am Start wird durch Löschen_Startpunkt beziehungsweise am Ende durch Löschen_Endpunkt angegeben. Diesem Punktesatz wird dann eine Linie angepaßt.
  • Schließlich werden die Start- und Endpunkte wieder hinzugefügt, sofern sie sich innerhalb des definierten Toleranzbereichs befinden. Diesem neuen Punktesatz wird dann erneut die Linie angepaßt.

Der Wert für Einpassungstyp kann BE (Besteinpassung) oder BEKO (Besteinpassungs-Kompensierung) lauten. Hierdurch wird festgelegt, ob bei der Berechnung der Linie eine Besteinpassung oder eine Besteinpassungs-Kompensierung durchgeführt wird. Weitere Einzelheiten zu diesen beiden Optionen finden Sie unter "Konstruieren einer Besteinpassungs- oder Besteinpassungs-Kompensierungslinie".


Konstruktion einer Versatzlinie

Eine Linie kann in einem bestimmten Abstand von den Eingabeelementen konstruiert werden.

So konstruieren Sie eine Versatzlinie:

  1. Öffnen Sie das Dialogfeld Linienkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Offset.

  3. Wählen Sie mindestens zwei Elemente aus, anhand derer die Versatzlinie erstellt werden soll. Sie können beliebiger Art sein.
  4. Klicken Sie auf die Schaltfläche Offsets. Das Dialogfeld Versatz-Linie erscheint.
  5. Klicken Sie auf die Option Nennwerte b(erechnen) und geben Sie die Versatzwerte für die gewünschten Elemente im entsprechenden Feld ein. Sie können jedoch auch auf Versätze ber(echnen) klicken und die Nennwerte ändern (siehe nachfolgende Anweisungen).
  6. Klicken Sie auf die Schaltfläche OK. Das Dialogfeld Versatz-Linie wird geschlossen.
  7. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS iteriert und konstruiert eine Linie so, daß der kürzeste Abstand von jedem Eingabeelement zur Linie dem Versatzwert entspricht. PC-DMIS nimmt alle Versätze in einer Richtung vor, die rechtwinklig zur gegebenen Oberflächennormalen verläuft. Negative Versatzwerte werden in derselben generellen Richtung angewandt, in der die Punkte gemessen werden. Positive Versatzwerte werden entgegengesetzt zur Antastrichtung angewandt. Gibt es keine Antastrichtung (d.h., wenn die Eingabepunkte konstruiert wurden), legt PC-DMIS die aktuelle Arbeitsebene zugrunde, um die generelle Richtung zur Anwendung der Versatzwerte zu bestimmen. Positive Versatzwerte werden in der Plusrichtung der dritten Achse der aktuellen Arbeitsebene angewandt. Negative Versatzwerte werden in der Minusrichtung der dritten Achse der aktuellen Arbeitsebene angewandt.

Hinweis: Das Vorzeichen (positiv oder negativ) des Versatzwertes bestimmt, auf welcher Seite der Eingabeelemente die Linie konstruiert wird. Sollte die Linie nicht in die Richtung verlaufen, die Sie erwartet hatten, klicken Sie auf Abbrechen, und konstruieren Sie das Element neu, wobei Sie die Vorzeichen der eingegebenen Versatzwerte umkehren. Lauten die Versatzwerte beispielsweise 1,0 / 2,5 / 3,5, ändern Sie diese in -1,0 / -2,5 / -3,5 um.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/LINIE,VERSATZ
OBERFLÄCHE NORMAL = i_Vek, j_Vek, k_Vek, TOG1
ID = ID1, ID2, …
VERSATZ = Wert1, Wert2, …

Hinweis: Mit TOG1 können Sie zwischen MEHRPUNKT und ZWEIPUNKT hin- und herschalten. Der zweipunkt-Algorithmus ist nur für Werkstücke verfügbar, die mit der PC-DMIS Version 2.1 oder niedriger erstellt wurden.

Sie haben zwei Möglichkeiten zum Berechnen des Versatzwertes:

  1. Sie können den Versatz direkt für das gewählte Eingabeelement ändern und anschließend auf Berechnen klicken, um die Nennwerte zu aktualisieren.
  2. Sie können die Nominalwerte für das gewählte Eingabeelement ändern und anschließend auf Berechnen klicken, um die Versatzwerte zu aktualisieren.

Diese Methoden werden nachfolgend beschrieben.

Siehe auch:

Ändern von Versatzwerten zum Berechnen von Nennwerten

Beispiel zum Berechnen von Nennwerten

Ändern von Nennwerten zum Berechnen von Versatzwerten

Beispiel zum Berechnen von Versatzwerten


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruktion einer Versatzlinie - Ändern von Versatzwerten zum Berechnen von Nennwerten

Ändern von Versatzwerten zum Berechnen von Nennwerten

So geben Sie neue Versatzwerte ein:

  1. Öffnen Sie das Dialogfeld Versatz-Linie, indem Sie auf die Schaltfläche Offset des Dialogfelds Linienkonstruktion klicken.

Display Menu Roadmap
Wählen Sie die Schaltfläche Nennwerte b(erechnen). Der Versatzbereich des Dialogfelds kann nun bearbeitet werden.

  3. Klicken Sie in der Spalte Versatz auf den Wert "0,000000" (oder den aktuellen Wert), um ihn hervorzuheben.
  4. Klicken Sie erneut auf den Versatz.
  5. Geben Sie einen neuen Wert ein.
  6. Drücken Sie die EINGABETASTE.
  7. Klicken Sie auf Berechnen, um die Nennwerte basierend auf dem/den von Ihnen gewählten Versatzwert/en zu aktualisieren.
  8. Klicken Sie auf OK, um den Versatz zu speichern.


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruktion einer Versatzlinie - Beispiel zum Berechnen von Nennwerten

Beispiel zum Berechnen von Nennwerten

Mit der Schaltfläche Berechnen werden die X-, Y- und Z-Nennwerte auf Basis der neu eingegebenen Versatzwerten berechnet.

Angenommen, es wird eine Versatzlinie zwischen zwei Kreisen (KREIS1 und KREIS2) konstruiert. Nachdem Sie die Elemente ausgewählt und auf die Schaltfläche Offsets geklickt haben, erhalten Sie folgende X-, Y- und Z-Nennwerte:

X = 4,5040

Y = 3

Z = 0,1582

Wenn Sie die Versatzwerte für jeden Kreis um den Wert "Zwei" ändern, und dann auf die Schaltfläche Nennwerte berechnen klicken, werden die Werte von X, Y und Z folgendermaßen aktualisiert:

X = 4,5040

Y = 5

Z = 0,1582

Wenn Sie nun zur Konstruktion der Versatzlinie auf OK klicken, ist zu beobachten, daß die neu konstruierte Linie auf der Y-Achse zwei Einheiten höher liegt.

Linienversätze wirken sich nur auf die Y-Achse aus.


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruktion einer Versatzlinie - Ändern von Nennwerten zum Berechnen von Versatzwerten

Ändern von Nennwerten zum Berechnen von Versatzwerten

So geben Sie neue Versatzwerte ein:

  1. Öffnen Sie das Dialogfeld Versatz-Linie, indem Sie auf die Schaltfläche Offset des Dialogfelds Linienkonstruktion klicken.

Display Menu Roadmap
Wählen Sie die Schaltfläche Versätze ber(echnen). Der Nennwertbereich des Dialogfelds kann nun bearbeitet werden.

  3. Bearbeiten Sie die XYZ-, IJK-Werte oder IJK-Oberflächenwerte.
  4. Klicken Sie auf Berechnen, um die Versatzwerte auf Basis der von Ihnen geänderten Nennwerte zu aktualisieren.
  5. Klicken Sie auf OK, um den Versatz zu speichern.


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruktion einer Versatzlinie - Beispiel zum Berechnen von Versatzwerten

Beispiel zum Berechnen von Versatzwerten

Mit der Schaltfläche Versätze b(erechnen) werden die Versatzwerte berechnet, die bei der Änderung des Nennwertes in der Spalte Versatz erscheinen.

Angenommen, es wird eine Versatzlinie zwischen zwei Kreisen (KREIS1 und KREIS2) konstruiert. Nachdem Sie die Elemente ausgewählt und auf die Schaltfläche Offsets geklickt haben, erhalten Sie folgende X-, Y- und Z-Nennwerte:

X = 4,5040

Y = 3

Z = 0,1582

Wenn Sie die X-, Y- und Z-Nennwerte nun folgendermaßen ändern:

X = 4,5040

Y = 4,5

Z = 0,1582

und auf die Schaltfläche Versätze ber(echnen) klicken, werden die Versätze der beiden Kreise folgendermaßen aktualisiert:

1.500000KREIS1

1.500000KREIS2

Wenn Sie nun zur Konstruktion der Versatzlinie auf OK klicken, ist zu beobachten, daß die Linie auf der Y-Achse um 1,5 Einheiten höher konstruiert wird.


Konstruktion eines Kegelelements

Changing the Direction of a Cone Constructing a Cast Cone Constructing a Projected Cone Constructing a Best Fit or BF Recompensate Cone Auto Cone Construction In / Out Cone Close Create Clear Feature List Select Last # Search ID ID = Feature

Zur Konstruktion eines Kegels mit PC-DMIS stehen mehrere Methoden zur Auswahl. In der nachstehenden Tabelle werden die verschiedenen Arten konstruierter Kegel zusammen mit den erforderlichen Eingaben angeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen sechs oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, daß jedes beliebige Element als Eingabe für die Konstruktion in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

KONSTRUIERTES ELEMENT | SYMBOL IM BEARBEITUNGS-FENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Besteinpassungskegel | BE | Mind. sechs Eingaben | - | - | Konstruiert einen Besteinpassungskegel anhand der vorgegebenen Eingaben
Besteinpassung mit Kompensierungskegel | BEKO | Mind. sechs Eingaben (eine davon muß ein Punkt sein) | - | - | Konstruiert einen Besteinpassungskegel anhand der vorgegebenen Eingaben
Kegel am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Konstruiert einen Kegel im Flächenmittelpunkt des Eingabeelements
Projektionskegel | PROJ | 1 oder 2 | Beliebig | Ebene | Bei einem Eingabeelement wird der Kegel in die Arbeitsebene projiziert
Umkehrkegel | UMK | 1 | Kegel | - | Konstruiert den Kegel mit einem Umkehrvektor für die Achse

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

So konstruieren Sie einen Kegel:

  1. Öffnen Sie das Dialogfeld Kegelkonstruktion.

Display Menu Roadmap
Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Konstruktionsmethode aus. Die verfügbaren Optionen sind:
  • Besteinpassungs- oder Besteinpassungs-Kompensierungskegel
  • Kegel am Schwerpunkt
  • Projektionskegel
  • Kegel in Umkehrrichtung
  • Auto-Kegel
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
elementname=ELEM/KEGEL,TOG1,TOG4,WINK
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Winkel
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Winkel
KONST/TOG2,TOG3,......

elementname=ELEM/KEGEL,TOG1,TOG4,LÄNGE
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge,Durchm._1,Durchm._2
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge,Durchm._1,Durchm._2
KONST/TOG2,TOG3,......

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in Großbuchstaben.

TOG1= POLAR oder KART

TOG2 = KEGEL

TOG3 = BE / BEKO / SCHWERPKT / PROJ / UMK

TOG4 = INNEN / AUSSEN

TOG5 = WINK / LÄNGE

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen konstruierten Kegeln ähnlich. Die angezeigten theoretischen und tatsächlichen Werte variieren, je nachdem, ob das Element begrenzten oder unbegrenzt ist. Die vierte Zeile weicht je nach Typ des gerade konstruierten Elements geringfügig ab. Sie können zwischen den verschiedenen Kegeltypen hin- und herschalten, indem Sie den Cursor auf TOG setzen und die linke Maustaste klicken. Die Werte dieser Felder können auch über die Tastatur umgeschaltet werden (Siehe auch "Verwenden der Tastaturfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Meßvorgangs verbessert.

In den nachstehenden Abschnitten werden die zur Konstruktion eines Kegels verfügbaren Optionen beschrieben.

Siehe auch:

Innen-/Außenkegel

Varianten

Konstruieren eines Besteinpassungs- oder Besteinpassungs-Kompensierungskegels

Konstruktion eines Kegels am Schwerpunkt

Konstruktion eines Projektionskegels

Ändern der Richtung eines Kegels

Auto-Kegelkonstruktion


Innen-/Außenkegel

Über die Optionen Innen und Außen wird PC-DMIS angewiesen, den Kegel entweder als Innen- oder als Außenkegel zu konstruieren.

  • Wird Innen gewählt, konstruiert PC-DMIS den Kegel als internen Kegel.
  • Wird Außen gewählt, konstruiert PC-DMIS den Kegel als externen Kegel.


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruktion eines Kegelelements - Varianten

Varianten

Das erste nachstehende Beispiel zeigt, wie das Bearbeitungsfenster aussieht, wenn der Benutzer TOG5 auf WINK umschaltet. In diesem ersten Beispiel wird das Format für einen unbegrenzten Kegel illustriert. Das zweite Beispiel zeigt die Ansicht, wenn der Benutzer TOG5 auf LÄNGE umschaltet. Durchm._1 ist als Durchmesser der Höhe der ersten drei Meßpunkte definiert. Durchm._2 ist der Durchmesser des Punktes, der am weitesten vom ersten Durchmesser entfernt liegt. Länge ist der Abstand zwischen den beiden Durchmessern.

Das zweite Beispiel zeigt das Format für einen begrenzten Kegel.
elementname=ELEM/KEGEL,TOG1,TOG4,WINK
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Winkel
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Winkel
KONST/TOG2,TOG3,......

elementname=ELEM/KEGEL,TOG1,TOG4,LÄNGE
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge,Durchm._1,Durchm._2
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Länge,Durchm._1,Durchm._2
KONST/TOG2,TOG3,......


Konstruktion eines Besteinpassungs- oder Besteinpassungs-Kompensierungskegels

Ein Besteinpassungskegel kann aus sechs oder mehr Elementen konstruiert werden. Die ersten drei Eingaben müssen auf einem ungefähr planaren Querschnitt des Kegels liegen, der vertikal zur Kegelmittellinie verläuft. Die restlichen Punkte sollten entweder oberhalb oder unterhalb der durch die ersten drei Punkte definierten Ebene liegen, jedoch nicht an den beiden Seiten der Ebene. Mit dieser Meßmethode werden die besten Ergebnisse erzielt. Bei der Besteinpassungs-Konstruktionsmethode werden die tatsächlichen Meßpunkte verwendet und nicht (wie bei der Besteinpassungs-Kompensierung) die Kugeltastermitte. In beiden Fällen berechnet PC-DMIS den Kegel mit der Methode Kleinste Quadrate (Gauss) – dabei minimiert PC-DMIS den quadratischen Mittelwert des Abstands der Datenpunkte zum Kegel.

So konstruieren Sie einen Besteinpassungs- oder Besteinpassungs-Kompensierungskegel:

  1. Öffnen Sie das Dialogfeld Kegelkonstruktion.

Display Menu Roadmap
Wählen Sie entweder die Option Besteinpassung oder BE Neukomp.

  3. Geben Sie mindestens sechs Elemente ein.

Hinweis: Bei der Besteinpassungs-Kompensierung muß mindestens eines der Elemente ein Punkt sein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/KEGEL,BE,Element_1,Element_2,Element_3,Element_4,Element_5,Element_6
(Für die Konstruktion werden die tatsächlichen Meßpunkte verwendet.)
oder
KONST/KEGEL,BEKO,Element_1,Element_2,Element_3,Element_4,Element_5,Element_6
(Für die Messung wird der Tastermittelpunkt verwendet.)

Konstruktion eines Kegels aus sechs oder mehr Punkten


Konstruktion eines Kegels am Schwerpunkt

Sie können einen Kegel konstruieren, indem Sie ein beliebiges vorhandenes Element in einen Kegel umändern. PC-DMIS konstruiert den Kegel im Flächenmittelpunkt des Eingabeelements. Ist das Eingabeelement kein Kegel, verwendet PC-DMIS einen Standardwert für den eingeschlossenen Winkel. Ist das Eingabeelement kein Linienelement (Linie, Zylinder oder Langloch), verwendet PC-DMIS eine Standardlänge für die Achsenlänge.

Sie können den Kegeldurchmesser ändern und damit den Kegel von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn der Kegel dann ausgeführt wird, bedeutet dies, daß die Größe nicht in Abhängigkeit vom Eingabeelement geändert wird, sondern unabhängig vom Eingabeelement ist. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie die Kegelgröße in den Fällen kontrollieren, wo das Eingabeelement eigentlich keine Größe hat (wie beispielsweise ein Punkt). Das Feld abhängig/unabhängig ist ein Umschaltfeld, das durch Sie geändert werden kann.

PC-DMIS legt dann die neuen Attribute (z.B. bei Änderung des Halbwinkels) allen Berechnungen zugrunde und verwendet nicht die oben beschriebenen Standardwerte.

So konstruieren Sie einen Kegel am Schwerpunkt:

  1. Öffnen Sie das Dialogfeld Kegelkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie ein Element beliebigen Typs aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KEGEL,SCHWERPKT,Element_1, (ABHÄNGIG | UNABHÄNGIG)


Konstruktion eines Projektionskegels

Ein Kegel kann konstruiert werden, indem ein beliebiges Element in eine Ebene projiziert wird. Ist das projizierte Eingabeelement kein Kegel, verwendet PC-DMIS Standardwerte für den eingeschlossenen Winkel und die beiden Achsenlängen. Die erste Länge ist der Abstand zwischen der Kegelspitze und dem ersten Kreis. Die zweite Länge ist der Abstand zwischen den beiden Kreisen. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die aktuelle Arbeitsebene.

So konstruieren Sie einen Projektionskegel:

  1. Öffnen Sie das Dialogfeld Kegelkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Projektion.

  3. Wählen Sie entweder ein oder zwei Elemente aus. Wenn Sie nur ein Element wählen, kann dies beliebiger Art sein. Wenn Sie zwei Elemente wählen, kann das erste beliebiger Art sein. Bei dem zweiten Element muß es sich um eine Ebene handeln.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KEGEL,PROJ,Element_1,(Element_2)


Ändern der Richtung eines Kegels

Ein Kegel kann mit einem Umkehrvektor konstruiert werden.

So konstruieren Sie einen Umkehrkegel:

  1. Öffnen Sie das Dialogfeld Kegelkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muß es sich um einen Kegel handeln.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/KEGEL,UMK,Element_1


Automatische Kegelkonstruktion

Auto-Kegelkonstruktion

Aus der nachstehenden Tabelle geht hervor, welcher Kegeltyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und konstruiert den angegebenen Elementtyp nicht automatisch.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Konstruktionsmethode:

  1. Öffnen Sie das Dialogfeld Kegelkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.
Eingabeelement(e) | Konstruktion
Sechs oder mehr Elemente = | Besteinpassungskegel
Ebene + ein beliebiges Element = | Projektionskegel
Kegel = | Umkehrkegel
Ein beliebiges Element (außer Kegel/Satz) = | Kegel am Schwerpunkt
Ein beliebiger Satz = | Besteinpassungskegel


Konstruktion eines Zylinderelements

Close Create Clear Feature List Changing the Direction of a Cylinder Constructing a Cast Cylinder Constructing a Projected Cylinder Constructing a Best Fit or BF Recompensate Cylinder Auto Cylinder Construction In / Out Cylinder Select Last # Search ID ID = Feature

Zur Konstruktion eines Zylinders mit PC-DMIS stehen mehrere Methoden zur Auswahl. In der nachstehenden Tabelle werden die verschiedenen Arten konstruierter Zylinder zusammen mit der erforderlichen Eingabe angeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen sechs oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, daß jedes beliebige Element als Eingabe für die Konstruktion in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

KONSTRUIERTES ELEMENT | SYMBOL IM BEARBEITUNGS-FENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Besteinpassungszylinder | BE | Mind. sechs Eingaben (Siehe Hinweis unten) | - | - | Konstruiert einen Besteinpassungszylinder anhand der vorgegebenen Eingaben
Besteinpassungs-Kompensierungszylinder | BEKO | Mind. sechs Eingaben (eine davon muß ein Punkt sein - siehe Hinweis unten) | - | - | Konstruiert einen Besteinpassungszylinder anhand der vorgegebenen Eingaben
Zylinder am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | Konstruiert einen Zylinder im Flächenmittelpunkt des Eingabeelements
Projektionszylinder | PROJ | 1 oder 2 | Beliebig | Ebene | Bei Auswahl von nur einem Eingabeelement wird der Zylinder in die Arbeitsebene projiziert
Umkehrzylinder | UMK | 1 | Zylinder | - | Konstruiert einen Zylinder mit einem Umkehrvektor

Hinweis: Besteinpassungs- und Besteinpassungs-Kompensierungszylinder können jetzt aus zwei Kreisen konstruiert werden. Als Typ für die verwendeten Eingabekreise kommen nur "Konstruierte Besteinpassung (BE) / Besteinpassungs-Kompensierung (BEKO)" oder gemessene Kreise in Frage. Jeder Kreis muß insgesamt mindestens drei Meßpunkte enthalten.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

So konstruieren Sie einen Zylinder:

  1. Öffnen Sie das Dialogfeld Zylinderkonstruktion.

Display Menu Roadmap
Geben Sie die gewünschten Elemente ein.

  3. Wählen Sie die Konstruktionsmethode aus. Die verfügbaren Optionen sind:
  • Besteinpassungs- oder Besteinpassungs-Kompensierungszylinder
  • Zylinder am Schwerpunkt
  • Projektionszylinder
  • Umkehrzylinder
  • Auto-Zylinder
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Zylinderkonstruktion würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
elementname=ELEM/ZYLINDER,TOG1,TOG4,TOG5
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm, Länge
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Durchm, Länge
KONST/TOG2,TOG3,......

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in Großbuchstaben.

Das grundlegende Format für Zylinder lautet wie folgt:

TOG1= POLAR oder KART

TOG2 = ZYLINDER

TOG3 = BE / BEKO / SCHWERPKT / PROJ / UMK

TOG4 = INNEN / AUSSEN

TOG5 = GAUSS / PFERCHKREIS / HÜLLKREIS / TSCHEBYSCHEFF / FESTER_RAD (nur bei gemessenen, BE- und BEKO-Kreisen)

Die Länge wird zwischen dem ersten gemessenen Kreis (den ersten drei Meßpunkten) und dem Punkt gemessen, der am weitesten von den ersten drei Meßpunkten entfernt liegt.

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen konstruierten Zylindern gleich. Die vierte Zeile weicht je nach Typ des gerade konstruierten Elements geringfügig ab. Sie können zwischen den verschiedenen Zylindertypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Verwenden der Tastaturfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Meßvorgangs verbessert.

In den nachstehenden Abschnitten werden die zur Konstruktion eines Zylinders verfügbaren Optionen beschrieben.

Siehe auch:

Innen-/Außenzylinder

Konstruieren eines Besteinpassungs- oder Besteinpassungs-Kompensierungszylinders

Konstruktion eines Zylinders am Schwerpunkt

Konstruktion eines Projektionszylinders

Ändern der Richtung eines Zylinders

Auto-Zylinderkonstruktion


Innen-/Außenzylinder

Über die Optionen Innen und Außen wird PC-DMIS angewiesen, den Zylinder entweder als Innen- oder als Außenzylinder zu konstruieren.

  • Wird Innen gewählt, konstruiert PC-DMIS den Zylinder als internen Zylinder.
  • Wird Außen gewählt, konstruiert PC-DMIS den Zylinder als externen Zylinder.


Konstruieren eines Besteinpassungs- oder Besteinpassungs-Kompensierungszylinders

Ein Besteinpassungszylinder kann aus sechs oder mehr Elementen konstruiert werden. Die ersten drei Punkte müssen auf einem ungefähr planaren Querschnitt des Zylinders liegen, der vertikal zur Zylindermittellinie liegt. Die Besteinpassungs-Konstruktionsmethode verwendet die tatsächlichen Meßpunkte und nicht die Kugeltastermitte (wie die Besteinpassungs-Kompensierung). In beiden Fällen berechnet PC-DMIS den Zylinder mit der Methode Kleinste Quadrate (Gauss) – dabei minimiert PC-DMIS den quadratischen Mittelwert des Abstands der Datenpunkte zum Zylinder.

Hinweis: Bei bestimmten Punktmustern (d. h. zwei Reihen mit drei Punkten in identischem Abstand zueinander oder zwei Reihen mit vier Punkten in gleichem Abstand zueinander) gibt es mehrere Möglichkeiten, einen perfekten Zylinder zu konstruieren oder zu messen. Daher kann es vorkommen, daß der Besteinpassungsalgorithmus von PC-DMIS den Zylinder mit einer unerwarteten Lösung konstruiert oder mißt. Um die besten Ergebnisse zu erzielen, sollte gemessenen oder konstruierten Zylindern ein eindeutiges Punktemuster zugrunde liegen.

So konstruieren Sie einen Besteinpassungs- oder Besteinpassungs-Kompensierungszylinder:

  1. Öffnen Sie das Dialogfeld Zylinderkonstruktion.

Display Menu Roadmap
Wählen Sie entweder die Option Besteinpassung oder BE Neukomp.

  3. Geben Sie mindestens sechs Elemente ein. Bei der Besteinpassungs-Kompensierung muß mindestens eines der Elemente ein Punkt sein.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Hinweis: Besteinpassungs- und Besteinpassungs-Kompensierungszylinder können jetzt aus zwei Kreisen konstruiert werden. Als Typ für die verwendeten Eingabekreise kommen nur "Konstruierte Besteinpassung (BE) / Besteinpassungs-Kompensierung (BEKO)" oder gemessene Kreise in Frage. Jeder Kreis muß insgesamt mindestens drei Meßpunkte enthalten.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/ZYLINDER,BE,Element_1,Element_2,Element_3,Element_4,Element_5,Element_6
(Für die Konstruktion werden die tatsächlichen Meßpunkte verwendet.)
oder
KONST/ZYLINDER,BEKO,Element_1,Element_2,Element_3,Element_4,Element_5,...
(Für die Messung wird der Tastermittelpunkt verwendet.)

Konstruktion eines Zylinders aus sechs oder mehr Punkten

Siehe auch:

Besteinpassungstyp


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruieren eines Besteinpassungs- oder Besteinpassungs-Kompensierungszylinders - Besteinpassungstyp

Besteinpassungstyp

Die folgende Liste steht zur Auswahl zur Verfügung, wenn Sie bei der Zylinderkonstruktion die Optionen Besteinpassung oder BE Neukomp. auswählen. Damit können Sie den Typus der zu verwendenden Besteinpassungskonstruktion bestimmen. Zur Auswahl stehen:

  • GAUSS
  • PFERCHKREIS
  • HÜLLKREIS
  • TSCHEBYSCHEFF
  • FESTER_RAD

Diese Berechnungsarten wurden bereits im Abschnitt "Besteinpassungstyp" behandelt.


Konstruktion eines Zylinders am Schwerpunkt

Sie können einen Zylinder konstruieren, indem Sie ein beliebiges vorhandenes Element in einen Zylinder umändern. PC-DMIS konstruiert den Zylinder im Flächenmittelpunkt des Eingabeelements. Wird ein Blechelementpunkt verwendet, dann entspricht der Zylinderdurchmesser dem Tasterdurchmesser. Bei einigen Blechelementen (wie Langlöchern und Kerben) wird der Durchmesser durch die Breite bestimmt. Bei Elementen, die keinen Durchmesser haben (Linien, Punkten etc.), wird ein Vierfaches des Tasterdurchmessers als Wert verwendet.

Sie können die Zylindergröße ändern und den Zylinder damit von ABHÄNGIG auf UNABHÄNGIG umschalten. Wenn der Zylinder dann ausgeführt wird, bedeutet dies, daß Länge und Durchmesser nicht in Abhängigkeit vom Eingabeelement geändert werden, sondern unabhängig vom Eingabeelement ist. Position und Vektor sind dagegen nach wie vor abhängig vom Eingabeelement. Dadurch können Sie die Zylindergrößte in den Fällen kontrollieren, wo das Eingabeelement eigentlich keine Länge und keinen Durchmesser hat (wie beispielsweise ein Punkt). Das Feld abhängig/unabhängig ist ein Umschaltfeld, das durch Sie geändert werden kann.

PC-DMIS legt dann die neuen Attribute (z.B. bei Änderung des Durchmessers) allen Berechnungen zugrunde und verwendet nicht die im Vorstehenden beschriebenen Standardwerte.

So konstruieren Sie einen Zylinder am Schwerpunkt:

  1. Öffnen Sie das Dialogfeld Zylinderkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie ein Element aus. Das Element kann beliebiger Art sein.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/ZYLINDER,SCHWERPKT,Element_1 (ABHÄNGIG | UNABHÄNGIG)


Konstruktion eines Projektionszylinders

Ein Zylinder kann aus einem beliebigen Element und einer Ebene konstruiert werden. Der Durchmesser des projizierten Zylinders entspricht dem Durchmesser des ersten Eingabeelements (sofern kreisförmig) oder dem doppelten Tasterdurchmesser, wenn das Element nicht kreisförmig ist. Bei begrenzten Messungen müssen Sie die Länge und den Durchmesser eingeben. Wurde nur ein Eingabeelement ausgewählt, erfolgt die Projektion in die Arbeitsebene.

So konstruieren Sie einen Projektionszylinder:

  1. Öffnen Sie das Dialogfeld Zylinderkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Projektion.

  3. Wählen Sie entweder ein oder zwei Elemente aus. Wenn Sie nur ein Element wählen, kann dies beliebiger Art sein. Wenn Sie zwei Elemente wählen, kann das erste beliebiger Art sein. Bei dem zweiten Element muß es sich um eine Ebene handeln.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/ZYLINDER,PROJ,Element_1,(Element_2)


Ändern der Richtung eines Zylinders

Ein Zylinder kann mit einem Umkehrvektor konstruiert werden.

So konstruieren Sie einen Umkehrzylinder:

  1. Öffnen Sie das Dialogfeld Zylinderkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muß es sich um einen Zylinder handeln.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/ZYLINDER,UMK,Element_1


Automatische Zylinderkonstruktion

Auto-Zylinderkonstruktion

Aus der nachstehenden Tabelle geht hervor, welcher Zylindertyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der runde Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und konstruiert den angegebenen Elementtyp nicht automatisch.

Eingabeelement(e) | Konstruktion
Fünf oder mehr Elemente = | Besteinpassungszylinder
Ein beliebiges Element = (außer Zylinder/Satz) | Zylinder am Schwerpunkt
Ein beliebiger Satz = | Besteinpassungszylinder
Zylinder = | Umkehrzylinder
Ebene + ein beliebiges Element = | Projektionszylinder

Hinweis: Bei bestimmten Punktmustern (d. h. zwei Reihen mit drei Punkten in gleichem Abstand zueinander oder zwei Reihen mit vier Punkten in gleichem Abstand zueinander) gibt es mehrere Möglichkeiten, einen perfekten Zylinder zu konstruieren oder zu messen. Daher kann es vorkommen, daß der Besteinpassungsalgorithmus von PC-DMIS den Zylinder mit einer unerwarteten Lösung konstruiert oder mißt. Um die besten Ergebnisse zu erzielen, sollte gemessenen oder konstruierten Zylindern ein eindeutiges Punktemuster zugrunde liegen.

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Konstruktionsmethode:

  1. Öffnen Sie das Dialogfeld Zylinderkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.


Konstruktion eines Ebenenelements

Apply Gauss Filter / Cutoff Frequency Remove Outliers / Standard Deviation Multiple Auto Plane Construction Changing the Direction of a Plane Contructing a Perpendicular Plane Constructing a Parallel Plane Constructing an Offset Plane Constructing a Mid Plane Constructing a High Point Plane Constructing a Cast Plane Constructing a Best Fit or BF Recompensate Plane Constructing a Plane from an Alignment Close Create Clear Feature List Select Last # Search ID ID = Feature

PC-DMIS bietet dem Benutzer eine Reihe verschiedener Methoden zur Konstruktion einer Ebene. In der nachstehenden Tabelle werden die verschiedenen Arten konstruierter Ebenen zusammen mit den erforderlichen Eingaben aufgeführt. Bei einigen Elementen ist keine Eingabe erforderlich, während bei anderen drei oder mehr Werte eingegeben werden müssen. Der Begriff "Beliebig" in der folgenden Tabelle bedeutet, daß jedes beliebige Element als Eingabe für die Konstruktion in Frage kommt. Die Reihenfolge, in der die Elemente ausgewählt werden, spielt keine Rolle.

KONSTRUIERTES ELEMENT | SYMBOL IM BEARBEITUNGS-FENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ELEM 3: | ANMERKUNGEN
Ausrichtungsebene | AUSRICHTEN | 0 | - | - | - | Konstruiert eine Ebene am Ausrichtungsnullpunkt
Besteinpassungsebene | BE | Mind. drei Eingaben | - | - | - | Konstruiert eine Besteinpassungsebene anhand der vorgegebenen Eingaben
Besteinpassung mit Kompensierungsebene | BEKO | Mind. drei Eingaben (eine davon muß ein Punkt sein) | - | - | - | Konstruiert eine Besteinpassungsebene anhand der vorgegebenen Eingaben
Ebene am Schwerpunkt | SCHWERPKT | 1 | Beliebig | - | - | Konstruiert eine Ebene im Flächenmittelpunkt des Eingabeelements
Ebene an den Extrempunkten | EXTREMPKT | Entweder 1 Satz (mit mind. drei Elementen) oder 1 Scan | Ist die Eingabe ein Satz, verwenden Sie ein beliebiges, bei einem Scan verwenden Sie einen Flächenscan. |  |  | Konstruiert eine Ebene mit den höchsten verfügbaren Punkten
Symmetrieebene | MITTE | 2 | Beliebig | Beliebig | - | Konstruiert eine Symmetrieebene zwischen den Flächenmittelpunkten der Eingabeelemente
Versatzebene | VERSATZ | Mind. drei Eingaben | Beliebig | Beliebig | Beliebig | Konstruiert einen Ebenenversatz aus den einzelnen Eingabeelementen
Parallelebene | PLZU | 2 | Beliebig | Beliebig | - | Konstruiert eine Ebene parallel zum ersten Element, die durch das zweite Element verläuft.
Rechtwinklige Ebene | PRZU | 2 | Beliebig | Beliebig | - | Konstruiert eine Ebene rechtwinklig zum ersten Element, die durch das zweite Element verläuft.
Umkehrebene | UMK | 1 | Ebene | - | - | Konstruiert eine Ebene mit einem umgekehrten Vektor, die durch das Eingabeelement verläuft.

So konstruieren Sie eine Ebene:

  1. Wählen Sie in der Menüleiste Konstruieren.

Display Menu Roadmap
Klicken Sie auf Ebene. Das Dialogfeld Ebenenkonstruktion erscheint.

  3. Geben Sie die gewünschten Elemente ein.
  4. Wählen Sie die Konstruktionsmethode aus. Die verfügbaren Optionen sind:
  • Ausrichtungsebene
  • Besteinpassungs- oder Besteinpassungs-Kompensierungsebene
  • Ebene am Schwerpunkt
  • Ebene am Extrempunkt
  • Mittelebene
  • Offsetebene
  • Parallelebene
  • Rechtwinklige Ebene
  • Umkehrebene
  • Auto-Ebene
  5. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Ebenenkonstruktion würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
elementname=ELEM/EBENE,TOG1
THEO/x-Koord,y-Koord,z-Koord,i-Vek,j-Vek,k-Vek
IST/x-Kord,y-Kord,z-Koord,i-Vek,j-Vek,k-Vek
KONST/TOG2,TOG3,......

Wenn TOG2 = EBENE und TOG3 = BE or BEKO, dann hat der Befehl folgendes Format:
elementname=ELEM/EBENE,TOG1
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek
KONST/EBENE,TOG3
AUSREISSER_ENTFERNEN/TOG5, Sigmafaktor
FILTER/TOG5, ABSTAND=Filter_Abstand

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in Großbuchstaben.

TOG1= POLAR oder KART

TOG2 = EBENE

TOG3 = AUSRICHTEN / BE / BEKO / SCHWERPKT / EXTREMPKT / SYMMETRIEPKT / VERSATZ / PLZU / PROJ / PRZU / UMK

TOG5 = EIN / AUS

Sigmafaktor = Anhand dieses Sigmafaktors wird ermittelt, ob ein Meßpunkt ein Ausreißer ist oder nicht. Wenn der Punkt weiter von der Ebene entfernt ist als die mit diesem Wert multiplizierte Standardabweichung, handelt es sich um einen Ausreißer, der entfernt wird, wenn Sie die Option Entferne Ausreißer aktiviert haben.

Filter Abstand = Dieser Wert steuert den Glättungsfaktor für die Datenmenge. Je größer der Abstand, desto höher ist der Glättungsfaktor.

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen konstruierten Ebenen gleich. Die vierte Zeile weicht je nach Typ des gerade konstruierten Elements geringfügig ab. Sie können zwischen den verschiedenen Ebenentypen hin- und herschalten, indem Sie den Cursor auf TOG3 setzen und F7 oder F8 drücken. (Siehe auch "Verwenden der Tastaturfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)

Bei zwei oder mehr Eingabeelementen bestimmt PC-DMIS automatisch die erforderliche Reihenfolge. Dadurch wird die Genauigkeit des Meßvorgangs verbessert.

In den nachstehenden Abschnitten werden die zur Konstruktion einer Ebene verfügbaren Optionen beschrieben.

Siehe auch:

Konstruktion einer Ebene am Ausrichtungsnullpunkt

Konstruieren einer Besteinpassungs- oder Besteinpassungs-Kompensierungsebene

Konstruktion einer Ebene am Schwerpunkt

Konstruktion einer Ebene an den Extrempunkt

Konstruktion einer Symmetrieebene

Konstruktion einer Versatzebene

Konstruktion einer Parallelebene

Konstruktion einer rechtwinkligen Ebene

Ändern der Richtung einer Ebene

Auto-Ebenenkonstruktion


Konstruktion einer Ebene am Ausrichtungsnullpunkt

Eine Ebene kann durch den aktuellen Nullpunkt und parallel zur aktuellen Arbeitsebene konstruiert werden. (Eingabeelemente sind nicht erforderlich.)

So konstruieren Sie eine Ausrichtungsebene:

  1. Öffnen Sie das Dialogfeld Ebenenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Ausrichtung.

  3. Wählen Sie keine Eingabeelemente aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/EBENE,AUSRICHTEN

Konstruktion einer Ebene am Ausrichtungsnullpunkt


Konstruktion einer Besteinpassungs- oder Besteinpassungs-Kompensierungsebene

Eine "Besteinpassungsebene" kann aus drei oder mehr Elementen konstruiert werden. Die Besteinpassungs-Konstruktionsmethode verwendet die tatsächlichen Meßpunkte und nicht die Kugeltastermitte (wie die Besteinpassungs-Kompensierung). In beiden Fällen berechnet PC-DMIS die Ebene mit der Methode Kleinste Quadrate (Gauss) – dabei minimiert PC-DMIS den quadratischen Mittelwert des rechtwinkligen Abstands der Datenpunkte zur Ebene.

So konstruieren Sie eine Besteinpassungs- oder Besteinpassung-Kompensierungsebene:

  1. Öffnen Sie das Dialogfeld Ebenenkonstruktion.

Display Menu Roadmap
Wählen Sie entweder die Option Besteinpassung oder BE Neukomp.

  3. Wählen Sie mindestens drei Elemente aus.

Hinweis: Bei der Besteinpassungs-Kompensierung muß mindestens eines der Elemente ein Punkt sein.

  4. Klicken Sie auf die Schaltfläche Erzeugen.

    Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:

    KONST/EBENE,BE,Element_1,Element_2, ...
AUSREISSER_ENTFERNEN/(AN | AUS), Sigmafaktor
FILTER/(AN | AUS),ABSTAND=Filter_Abstand

(Für die Konstruktion werden die tatsächlichen Meßpunkte verwendet.)
oder

KONST/EBENE,BEKO,Element_1,Element_2, …
AUSREISSER_ENTFERNEN/(AN | AUS), Sigmafaktor
FILTER/(AN | AUS),ABSTAND=Filter_Abstand

(Für die Messung wird der Tastermittelpunkt verwendet.)

Konstruktion einer Ebene aus drei oder mehr Punkten

Siehe auch:

Ausreißer entfernen/ Sigma Faktor

Gauss Filter / Filterabstand verwenden


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruieren einer Besteinpassungs- oder Besteinpassungs-Kompensierungsebene - Ausreißer entfernen/Sigmafaktor

Ausreißer entfernen/Sigmafaktor

Bei einer Besteinpassungs(BE)- oder Besteinpassung-Kompensierungsebene (BEKO) haben Sie die Möglichkeit, Ausreißer zu entfernen, die durch den Abstand zum Besteinpassungselement definiert werden. Dadurch können während des Meßvorgangs auftretende Anomalien beseitigt werden.

PC-DMIS paßt zuerst eine Ebene in die Daten ein und bestimmt dann auf Basis des Sigmafaktors , welche Punkte Ausreißer sind. Dann wird folgendermaßen verfahren:

  • PC-DMIS berechnet die Besteinpassungsebene nach dem Entfernen dieser Ausreißer.
  • Das Vorhandensein weiterer Ausreißer wird geprüft.
  • Die Besteinpassungsebene wird erneut berechnet.
  • Dieser Vorgang wird wiederholt, bis keine Ausreißer mehr zu finden sind oder PC-DMIS die Ebene nicht mehr berechnen kann. (PC-DMIS kann die Ebene nur mit mindestens drei Datenpunkten berechnen).


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruieren einer Besteinpassungs- oder Besteinpassungs-Kompensierungsebene - Gauss Filter/Filterabstand verwenden

Gauss Filter / Filterabstand verwenden

Ebenen, die mit den Funktionen Besteinpassung (BE) und Besteinpassung-Kompensierung (BEKO) konstruiert wurden, bieten optional die Möglichkeit, die Abweichungen der gemessenen Datenpunkte von der aus den Meßdaten berechneten Besteinpassungsebene zu filtern. Mit dem Kontrollkästchen Gauss Filter verwenden wird ein Gaußscher Filter mit einer als Wellenbewegung per Umdrehung (UPR) eingegebenen Filterfrequenz aktiviert. Allgemein werden durch eine niedrigere Filterfrequenz angeglichenere Filterdaten erzeugt. Wenn Sie das Kontrollkästchen Entferne Ausreißer markiert haben und die Daten filtern, werden die Ausreißerdaten vor der Filterung entfernt.


Konstruktion einer Ebene am Schwerpunkt

Sie können eine Ebene konstruieren, indem Sie ein beliebiges vorhandenes Element in eine Ebene umändern. PC-DMIS konstruiert die Ebene im Flächenmittelpunkt des Eingabeelements.

  1. Öffnen Sie das Dialogfeld Ebenenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Schwerpunkt.

  3. Wählen Sie ein Element beliebigen Typs aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/EBENE,SCHWERPKT,Element_1


Konstruieren einer Ebene an den Extrempunkten

Eine Extrempunkt-Ebene kann aus Elementen konstruiert werden, die eine Gruppe oder einen Flächenscan darstellen.

So konstruieren Sie eine Extrempunkt-Ebene:

  1. Öffnen Sie das Dialogfeld Ebenenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Extrempunkt.

  2. Wählen Sie drei oder mehr Elemente eines beliebigen Typs aus. Auch eine aus mindestens drei Elementen bestehende Gruppe oder ein Flächenscan können ausgewählt werden. Siehe auch "Konstruktion einer Elementreihe" oder "Durchführen eines fortgeschrittenen Scans für eine Teilfläche" im Abschnitt "Scannen Ihres Werkstücks".
  3. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS konstruiert zuerst eine Besteinpassungsebene aus den Eingabeelementen. Danach dreht es die Grafik in die Besteinpassungsebene. Dann werden (aus den ausgewählten Elementen) die drei höchsten Punkte auf dieser Ebene ermittelt, aus denen dann die Extrempunkt-Ebene erstellt wird.

Der Flächenmittelpunkt der Eingabeelemente, aus denen die Ebene an den Extrempunkten konstruiert wurde, definiert den Schwerpunkt. PC-DMIS erstellt automatisch eine zweite Ebene, wenn der Schwerpunkt nicht in der ersten Extrempunkt-Ebene enthalten ist.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/EBENE, EXTREMPKT, Element_1, Element_2, Element_3, …

Konstruieren einer Ebene an den Extrempunkten


Konstruktion einer Symmetrieebene

Eine Ebene kann aus zwei beliebigen Elementen konstruiert werden. Die resultierende Ebene (Symmetrieebene) liegt in gleich großem Abstand zu den Flächenmittelpunkten der beiden gewählten Eingabeelemente.

So konstruieren Sie eine Symmetrieebene:

  1. Öffnen Sie das Dialogfeld Ebenenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Mittelebene.

  3. Wählen Sie zwei Elemente beliebigen Typs aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet: KONST/EBENE,MITTE,Element_1,Element_2

Konstruktion einer Ebene aus zwei Ebenen

Die konstruierte Ebene und deren Vektor sind von den zugrundeliegenden Eingabeelemente abhängig.

  • Wenn Sie Ebenen für beide Eingabeelemente auswählen, dann liegt die Symmetrieebene dort, wo sie den kleineren zwischen den beiden Eingabeebenen eingeschlossenen Winkel halbiert.
  • Wird keine Ebene für beide Eingabeelemente ausgewählt, dann verläuft die konstruierte Symmetrieebene durch den Punkt in der Mitte zwischen den Flächenmittelpunkten der beiden Eingabeelemente. Der Vektor der konstruierten Ebene verläuft vom Flächenmittelpunkt des ersten Eingabeelements bis zum Mittelpunkt des zweiten Eingabeelements.


Konstruktion einer Versatzebene

Eine Ebene kann in einem benutzerdefinierten Abstand von den Eingabeelementen konstruiert werden.

So konstruieren Sie eine Versatzebene:

  1. Öffnen Sie das Dialogfeld Ebenenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Offset.

  3. Wählen Sie mindestens drei Elemente beliebiger Art aus.
  4. Klicken Sie auf die Schaltfläche Versätze. Das Dialogfeld Ebenenversätze erscheint.
  5. Klicken Sie auf die Option Nennwerte berechnen und geben Sie die Versatzwerte für die gewünschten Elemente im entsprechenden Feld ein. Sie können jedoch auch auf Versätze berechnen klicken und die Nennwerte ändern (siehe nachfolgende Anweisungen).
  6. Klicken Sie auf Berechnen, um entweder die Nennwerte oder die Versatzwerte zu berechnen.
  7. Klicken Sie auf die Schaltfläche OK. Das Dialogfeld Ebenenversätze wird geschlossen.
  8. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS iteriert und konstruiert eine Ebene so, daß der kürzeste Abstand von jedem Eingabeelement zur Ebene dem Versatzwert entspricht. Negative Versatzwerte werden in derselben generellen Richtung angewandt, in der die Punkte gemessen werden. Positive Versatzwerte werden entgegengesetzt zur Antastrichtung angewandt. Gibt es keine Antastrichtung (d. h., wenn die Eingabepunkte konstruiert wurden), legt PC-DMIS die aktuelle Arbeitsebene zugrunde, um die generelle Richtung zur Anwendung der Versatzwerte zu bestimmen. Positive Versatzwerte werden in der Plusrichtung der dritten Achse der aktuellen Arbeitsebene angewandt. Negative Versatzwerte werden in der Minusrichtung der dritten Achse der aktuellen Arbeitsebene angewandt.

Hinweis: Das Vorzeichen (positiv oder negativ) des Versatzwertes bestimmt, auf welcher Seite der Eingabeelemente die Ebene konstruiert wird. Sollte die Ebene nicht in die Richtung verlaufen, die Sie erwartet hatten, klicken Sie auf Abbrechen, und konstruieren Sie das Element neu, wobei Sie die Vorzeichen der eingegebenen Versatzwerte umkehren. Lauten die Versatzwerte beispielsweise 1,0 / 2,5 / 3,5, ändern Sie diese in -1,0 / -2,5 / -3,5 um.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/EBENE,VERSATZ
ID=ID1, ID2, ID3, …
VERSATZ=Wert1, Wert2, Wert3, …

Siehe auch:

Ändern von Versatzwerten zum Berechnen von Nennwerten

Beispiel zum Berechnen von Nennwerten

Ändern von Nennwerten zum Berechnen von Versatzwerten

Beispiel zum Berechnen von Versatzwerten


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruktion einer Versatzebene - Ändern von Versatzwerten zum Berechnen von Nennwerten

Ändern von Versatzwerten zum Berechnen von Nennwerten

So geben Sie neue Versatzwerte ein:

  1. Öffnen Sie das Dialogfeld Ebenenversätze, indem Sie auf die Schaltfläche Offsets des Dialogfelds Ebenenkonstruktion klicken.

Display Menu Roadmap
Klicken Sie in der Spalte Versatz auf den Wert "0,000000" (oder den aktuellen Wert), um ihn zu markieren.

  3. Klicken Sie erneut auf den Versatz.
  4. Geben Sie einen neuen Wert ein.
  5. Drücken Sie die EINGABETASTE.
  6. Klicken Sie auf Berechnen, um die Nennwerte basierend auf dem/den von Ihnen gewählten Versatzwert/en zu aktualisieren.
  7. Klicken Sie auf OK, um den Versatz zu speichern.


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruktion einer Versatzebene - Beispiel zum Berechnen von Nennwerten

Beispiel zum Berechnen von Nennwerten

Mit der Schaltfläche Nennwerte berechnen werden basierend auf den neu eingegebenen Versatzwerten die X-, Y- und Z-Nennwerte berechnet.

Angenommen, es wird eine Versatzebene zwischen drei Kreisen (KREIS1, KREIS2 und KREIS3) konstruiert. Nachdem Sie die Elemente ausgewählt und auf die Schaltfläche Offsets geklickt haben, erhalten Sie folgende X-, Y- und Z-Nennwerte:

X = 6

Y = 2

Z = 0,95

Wenn Sie die Versatzwerte für jeden Kreis um den Wert 3,0 ändern, und dann auf die Schaltfläche Nennwerte berechnen klicken, werden die Werte von X, Y und Z folgendermaßen aktualisiert:

X = 6

Y = 2

Z = 3,95

Wenn Sie nun zur Konstruktion der Versatzlinie auf OK klicken, werden Sie feststellen, daß die neu erstellte Linie auf der Z-Achse drei Einheiten höher liegt.

Ebenenversätze wirken sich nur auf die Z-Achse aus.


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruktion einer Versatzebene - Ändern von Nennwerten zum Berechnen von Versatzwerten

Ändern von Nennwerten zum Berechnen von Versatzwerten

So geben Sie neue Versatzwerte ein:

  1. Öffnen Sie das Dialogfeld Ebenenversätze, indem Sie auf die Schaltfläche Offsets des Dialogfelds Ebenenkonstruktion klicken.

Display Menu Roadmap
Wählen Sie die Schaltfläche Versätze berechnen. Der Nennwertbereich des Dialogfelds kann nun bearbeitet werden.

  3. Ändern Sie die XYZ- oder IJK-Werte.
  4. Klicken Sie auf Berechnen, um die Versatzwerte auf Basis der von Ihnen geänderten Nennwerte zu aktualisieren.
  5. Klicken Sie auf OK, um den Versatz zu speichern.


Konstruieren von neuen Elementen aus vorhandenen Elementen - Konstruktion einer Versatzebene - Beispiel zum Berechnen von Versatzwerten

Beispiel zum Berechnen von Versatzwerten

Mit der Schaltfläche Versätze berechnen werden die Versatzwerte berechnet, die bei der Änderung des Nennwertes in der Spalte Versatz erscheinen.

Angenommen, es wird eine Versatzebene zwischen drei Kreisen (KREIS1, KREIS2 und KREIS3) konstruiert. Nachdem Sie die Elemente ausgewählt und auf die Schaltfläche Offsets geklickt haben, erhalten Sie folgende X-, Y- und Z-Nennwerte:

X = 6

Y = 2

Z = 0,95

Wenn Sie die X-, Y- und Z-Nennwerte nun folgendermaßen ändern:

X = 6

Y = 2

Z = 3,95

und auf die Schaltfläche Versätze berechnen klicken, werden die Versätze der drei Kreise folgendermaßen aktualisiert:

3.000000KREIS1

3.000000KREIS2

3.000000KREIS3

Wenn Sie nun zur Konstruktion der Versatzlinie auf OK klicken, werden Sie feststellen, daß die Ebene auf der Z-Achse 3,0 Einheiten höher konstruiert wird.


Konstruktion einer Parallelebene

Eine Ebene kann parallel zu zwei beliebigen Elementen konstruiert werden. PC-DMIS erstellt eine Ebene, die parallel zum ersten Eingabeelement und durch den Flächenmittelpunkt des zweiten Eingabeelements verläuft.

So konstruieren Sie eine Parallelebene:

  1. Öffnen Sie das Dialogfeld Ebenenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Parallel.

  3. Wählen Sie zwei Elemente beliebigen Typs aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/EBENE,PLZU,Element_1,Element_2

Konstruktion einer Parallelebene aus zwei Ebenen

Konstruktion einer Parallelebene aus zwei Linien


Konstruktion einer rechtwinkligen Ebene

Eine Ebene kann zwischen zwei beliebigen Elementen konstruiert werden. PC-DMIS erstellt eine Ebene, die im rechten Winkel zum ersten Eingabeelement und durch den Flächenmittelpunkt des zweiten Eingabeelements verläuft.

So konstruieren Sie eine rechtwinklige Ebene:

  1. Öffnen Sie das Dialogfeld Ebenenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Rechtwinklig.

  3. Wählen Sie zwei Elemente beliebigen Typs aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
KONST/EBENE,PRZU,Element_1,Element_2

Konstruktion einer rechtwinkligen Ebene


Ändern der Richtung einer Ebene

Eine Ebene kann mit einem umgekehrten Vektor konstruiert werden.

So konstruieren Sie eine Umkehrebene:

  1. Öffnen Sie das Dialogfeld Ebenenkonstruktion.

Display Menu Roadmap
Klicken Sie auf die Option Umkehren.

  3. Wählen Sie ein Element aus. Hierbei muß es sich um eine Ebene handeln.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/EBENE,UMK,Element_1


Automatische Ebenenkonstruktion

Auto-Ebenenkonstruktion

So überlassen Sie PC-DMIS die Wahl der am besten geeigneten Konstruktionsmethode:

  1. Öffnen Sie das Dialogfeld Ebenenkonstruktion.

Display Menu Roadmap
Wählen Sie aus der Optionsliste die Option Auto aus.

  3. Wählen Sie das/die gewünschte/n Element/e auf Basis der folgenden Tabelle aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Die nachstehende Tabelle zeigt, welcher Ebenentyp erstellt wird, wenn die jeweils aufgeführten Eingabeelemente ausgewählt werden und der runde Optionsschalter AUTO markiert ist. Die Reihenfolge, in der die Auswahl getroffen wird, spielt hierbei keine Rolle. Bei Auswahl unzulässiger Eingabeelemente zeigt PC-DMIS eine Fehlermeldung an, und konstruiert den angegebenen Elementtyp nicht automatisch.

Eingabeelement(e) | Konstruktion
Drei oder mehr Elemente (nicht alle müssen gemessene Punkte sein) = | Besteinpassungsebene
Eine Ebene = | Umkehrebene
Ein beliebiges Element = (außer Kugel/Satz) | Ebene am Schwerpunkt
Ein beliebiger Satz = | Besteinpassungsebene
Alles gemessene Punkte = | Besteinpassungs-Kompensierungsebene


Konstruktion eines Langlochelements

In / Out Slot Close Create Clear Feature List Select Last # Search ID ID = Feature

PC-DMIS bietet nur eine Methode zur Konstruktion eines Langlochs. Ein Langloch wird durch zwei Kreise definiert. Aus der nachstehenden Tabelle gehen die Eingaben für das Langloch und die Definitionen im Bearbeitungsfenster hervor.

KONSTRUIERTES ELEMENT | SYMBOL IM BEARBEITUNGS-FENSTER | ANZAHL VON EINGABE-ELEMENTEN | ELEM 1: | ELEM 2: | ANMERKUNGEN
Langloch | Langloch | 2 | Kreis | Kreis | Konstruiert ein Langloch in der Ebene des ersten Kreises von Mittelpunkt zu Mittelpunkt.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

Das aus zwei Kreisen konstruierte Langloch wird hauptsächlich durch den zuerst ausgewählten Kreis definiert. Es wird in derselben Ebene wie der erste Kreis konstruiert. Die Breite des Langlochs wird zudem durch den Durchmesser des ersten Kreises bestimmt. Anhand des zweiten Kreises wird lediglich die Länge des Langlochs bestimmt. Die Länge entspricht dem Abstand vom Mittelpunkt des ersten Kreises zum Mittelpunkt des zweiten plus dem Durchmesser des ersten Kreises.

Sind die beiden Eingabekreise nicht coplanar, wird der Mittelpunkt des zweiten Kreises rechtwinklig in die Ebene des ersten Kreises projiziert. Der Abstand wird dann vom Mittelpunkt des ersten Kreises zum projizierten Mittelpunkt des zweiten Kreises berechnet.

So konstruieren Sie ein Langloch:

  1. Öffnen Sie das Dialogfeld Langlochkonstruktion.

Display Menu Roadmap
Wählen Sie die beiden Elemente aus. Es muß sich dabei um den Elementtyp "Kreis" handeln.

  3. Klicken Sie auf die Schaltfläche Erzeugen.

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel-Langloch lautet wie folgt:
KONST/LANGLOCH, LANGLOCH,Element_1,Element_2

Hinweis: Langloch ist die einzige verfügbare Konstruktionsmethode.

Für eine Beispiel-Langlochkonstruktion würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
elementname=ELEM/LANGLOCH,TOG1,TOG2
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Breite,Länge
ACTL/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,Breite,Länge
KONST/TOG3,LANGLOCH,

Hinweis: Das angezeigte Protokoll erscheint vollständig in Großbuchstaben.

TOG1= POLAR oder KART

TOG2=AUSSEN oder INNEN

TOG3=LANGLOCH

Siehe auch:

Innen-/Außenlangloch


Innen-/Außenlangloch

Über die Optionen Innen und Außen wird PC-DMIS angewiesen, das Langloch entweder als internes oder als externes Langloch zu konstruieren.

  • Wird Innen gewählt, konstruiert PC-DMIS das Langloch als internes Langloch.
  • Wird Außen gewählt, konstruiert PC-DMIS das Langloch als externes Langloch.


Konstruktion eines Kurvenelements

Control Point List Edit Control Point Thinning Tolerance Close Create Clear Feature List Select Last # Search ID ID = Feature

In PC-DMIS stehen zwei Arten von konstruierten Kurven (unabhängige Kurven und abhängige Kurven) zur Auswahl. Aus der nachstehenden Tabelle gehen die beiden Kurventypen sowie die erforderlichen Eingaben hervor. Bei allen Kurven ist als Eingabe ein Satz erforderlich. Bei einem Satz kann es sich um einen gemessenen Satz, einen konstruierten Satz oder einen Scan handeln. Der Eingabesatz muß mindestens vier Elemente (oder im Falle eines Scans Eingabepunkte) enthalten.

KONSTRUIERTES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL DER EINGABESÄTZE | EINGABE 1: | ANMERKUNGEN
Abhängige Kurve | ABHÄNGIG | 1 | Satz mit mind. vier Eingaben | Kurve wird bei Änderung der Eingabeelemente aktualisiert Hinweis: Durch die Bearbeitung wird eine abhängige Kurve zu einer unabhängigen Kurve .
Unabhängige Kurve | UNABHÄNGIG | 1 | Satz mit mind. vier Eingaben | Eingabeelement dient nur Konstruktionszwecken. Benutzer kann Paßpunkte der Kurve manuell bearbeiten.

Für eine Beispiel-Kurvenkonstruktion auf Basis eines abhängigen Kurventyps würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:

elementname

=ELEM/KURVE, ABHÄNGIG, Anzahl_Paßpunkte, Anzahl_Eingabeelemente, Berechnungstoleranz

KONST/KURVE,EINGABETYP, Eingabe-ID

Bei einem unabhängigen Kurventyp würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:

elementname

=ELEM/KURVE, UNABHÄNGIG, Anzahl_Paßpunkte, Anzahl_Eingabeelemente, Berechnungstoleranz

KONST/KURVE,

Anzahl_Paßpunkte = Dies ist die Anzahl der die Kurve definierenden Paßpunkte. Durch Angabe weiterer Paßpunkte ist es möglich, die Kurve enger durch die Elemente verlaufen zu lassen. Zu viele Paßpunkte können jedoch auch zu unerwartetem Verhalten führen.

Anzahl_Eingabeelemente = Dies ist die Anzahl der Elemente, in die eine Einpassung der Kurve versucht wird.

Hinweis: Diese beiden Parameter können nicht im Bearbeitungsfenster geändert werden.

Eingabe-ID = Dies ist die ID des Satzes mit den einzupassenden Elementen.

Berechnungstoleranz = Hierauf wird unter dem Thema "Berechnungstoleranz" eingegangen.

Hinweis: Das angezeigte Protokoll erscheint vollständig in Großbuchstaben.

Siehe auch:

Konstruktion einer Abhängigen/Unabhängigen Kurve


Konstruktion einer abhängigen/unabhängigen Kurve

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

So konstruieren Sie eine Kurve:

  1. Öffnen Sie das Dialogfeld Kurvenkonstruktion.

Display Menu Roadmap
Geben Sie den gewünschten Satz ein.

  3. Legen Sie den Wert im Feld Ausdünnen-Toleranz fest.
  4. Bearbeiten Sie ggf. die Paßpunkte.
  5. Klicken Sie auf die Schaltfläche Erzeugen.

Alle konstruierten Kurven sind anfänglich ABHÄNGIGE Kurven und müssen aus nur einer Eingabe, und zwar einem Satz, erstellt werden. Die folgenden drei Satztypen sind zulässig:

  1. Eine gemessene Gruppe
  2. Ein konstruierter Satz
  3. Ein Scan mit einer einzelnen Punktreihe (Siehe auch "Konstruktion eines Elementreihe".)

Der Eingabesatz muß mindestens vier Elemente oder (im Falle eines Scans) Punkte enthalten.

Hinweis: Der Verlauf der resultierenden Kurve hängt davon ab, in welcher Reihenfolge die Elemente zum Satz hinzugefügt werden (erstes bis letztes).

Eine Kurve kann auch einfach durch Auswahl mehrerer Elemente aus dem Elementlistenfeld anstatt durch Auswahl eines konstruierten Satzes aus der Liste konstruiert werden. In diesem Fall ist das Feld EINGABETYP des Befehls leer, wenn er im Bearbeitungsfenster angezeigt wird.

In den nachstehenden Abschnitten werden die zur Konstruktion einer Kurve verfügbaren Optionen beschrieben.

Siehe auch:

Berechnungstoleranz

Paßpunkt bearbeiten

Paßpunktliste


Berechnungstoleranz

Über die Berechnungstoleranz wird die Enge (oder Genauigkeit) der Kurveneinpassung gesteuert.

  • Geringe Toleranz: Bei einem kleinen Berechnungstoleranzwert versucht der Algorithmus die Kurve so anzupassen, daß sie durch alle Flächenmittelpunkte der Mitglieder des Eingabesatzes verläuft. Dadurch verläuft die Kurve näher an den Flächenmittelpunkten der im Eingabesatz enthaltenen Elemente.
  • Große Toleranz: Bei einem großen Berechnungstoleranzwert verläuft die Kurve nicht unbedingt durch alle Mitglieder des Eingabesatzes. Eine größere Toleranz bedeutet, daß die Kurve glatter verläuft (dafür jedoch nicht in der Nähe der Elemente des Eingabesatzes liegt). Um das zu veranschaulichen, konstruieren Sie eine Kurve und ändern Sie dann die Eingabetoleranz, um zu sehen, wie sich der Kurvenverlauf ändert.

Gültige Berechnungstoleranzen liegen in einem Bereich von 0,01 bis 5,0, wobei der Standardwert 0,01 ist.

So machen Sie aus einer ABHÄNGIGEN Kurve eine UNABHÄNGIGE Kurve (die nicht mehr mit dem Eingabesatz verknüpft ist):

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Markieren Sie das Kurvenelement, das Sie konstruiert haben.
  3. Navigieren Sie zum Feld ABHÄNGIG dieses Elements.
  4. Drücken Sie F7. Dadurch wird von ABHÄNGIG auf UNABHÄNGIG umgeschaltet.

Der Kurvenverlauf kann geändert werden, indem Sie ihre Paßpunkte bearbeiten.


Paßpunkt bearbeiten

Bei Auswahl einer bereits vorhandenen Kurve enthält das Dialogfeld eine Liste von Paßpunkten, die in der Paßpunktliste aufgeführt sind. Wenn Sie einen der Paßpunkte auswählen, setzt PC-DMIS die entsprechenden Werte in die Felder X, Y und Z, wo sie bearbeitet werden können.

So bearbeiten Sie diese Paßpunkte:

  1. Vergewissern Sie sich, daß bereits ein Kurvenelement vorhanden ist.
  2. Öffnen Sie das Bearbeitungsfenster.
  3. Markieren Sie die Kurve im Bearbeitungsfenster.
  4. Drücken Sie F9, um das Dialogfeld Kurve zu aktivieren.
  5. Markieren Sie den zu ändernden Paßpunkt in der Paßpunktliste.
  6. Bearbeiten Sie die einzelnen X-, Y-, und Z-Komponenten des Punktes.
  7. Klicken Sie auf die Schaltfläche OK.

Die Kurve wird nun so aktualisiert, daß sie die Änderungen wiedergibt.

Hinweis: Wenn die Paßpunkte einer abhängigen Kurve bearbeitet werden, wird sie automatisch zu einer unabhängigen Kurve, da sie nun nicht mehr auf dem Eingabesatz basiert.


Paßpunktliste

Die Paßpunktliste wird nur angezeigt, wenn eine vorhandene Kurve mit dem Dialogfeld verknüpft ist. Wenn eine Kurve vorhanden ist, deren Paßpunkte Sie bearbeiten möchten, werden alle Paßpunkte dieser Kurve in der Paßpunktliste angezeigt.


Konstruktion einer Oberfläche

Smooth Bad Data Create Corners Apply Tension Factor Optimize Surface Surface Grid Density Thinning Tol V Thinning Tol U Constructing a Dependent / Independent Surface Close Create Clear Select Last # Search ID Feature List ID = Feature

In PC-DMIS stehen zwei Arten konstruierter Oberflächen (unabhängige Oberflächen und abhängige Oberflächen) zur Auswahl. Aus der nachstehenden Tabelle gehen die beiden Oberflächentypen sowie die erforderlichen Eingaben hervor. Die einzige für die Oberfläche zulässige Eingabe ist ein Flächenscan. Der Scan muß mindestens zwei Reihen mit vier Punkten pro Reihe enthalten.

Hinweis: Zukünftige Programmversionen werden Punktwolken zur Konstruktion von Oberflächen unterstützen.

KONSTRUIERTES ELEMENT | SYMBOL IM BEARBEITUNGSFENSTER | ANZAHL DER EINGABESÄTZE | EINGABE 1: | ANMERKUNGEN
Abhängige Oberfläche | ABHÄNGIG | 1 | Flächenscan mit mind. 2 Reihen (4 Punkte/Reihe) | Oberfläche wird bei Änderung des Eingabeelements aktualisiert
Unabhängige Oberfläche | UNABHÄNGIG | 1 | Flächenscan mit mind. 2 Reihen (4 Punkte/Reihe) | Eingabeelement dient nur zu Konstruktionszwecken

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

So konstruieren Sie eine Oberfläche:

  1. Öffnen Sie das Dialogfeld Oberflächenkonstruktion.

Display Menu Roadmap
Geben Sie den gewünschten Flächenscan ein.

  3. Wählen Sie die verschiedenen Konstruktionsoptionen aus.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Für eine Beispiel-Oberflächenkonstruktion würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
elementname=ELEM/OBERFLÄCHE,TOG1,PASSPUNKTE U,
PASSPUNKTE V, ANZ PASSENDER PUNKTE,
BERECHNUNGSTOERLANZ U, BERECHNUNGSTOLERANZ V
KONST/OBERFLÄCHE, EINGABETYP, EINGABE-ID

Hinweis: Das angezeigte Bearbeitungsprotokoll erscheint vollständig in Großbuchstaben.

TOG1=Abhängig oder unabhängig

In den nachstehenden Abschnitten werden die zur Konstruktion einer Oberfläche verfügbaren Optionen beschrieben.

Siehe auch:

Konstruktion einer Abhängigen/Unabhängigen Oberfläche


Konstruktion einer abhängigen/unabhängigen Oberfläche

Alle konstruierten Oberflächen sind anfänglich abhängige Oberflächen und müssen aus nur einer Eingabe – einem Flächenscan – erstellt werden. Der Flächenscan muß mindestens zwei Reihen mit vier Punkten pro Reihe enthalten. Durch die Berechnungstoleranzen wird die Enge der Oberflächenpassung gesteuert.

  • Geringe Toleranzen: Bei kleinen Werten als Berechnungstoleranzen versucht der Algorithmus die Oberfläche so anzupassen, daß sie durch alle Flächenmittelpunkte der Mitglieder des Eingabesatzes verläuft.
  • Große Toleranzen: Bei großen Berechnungstoleranzwerten ist die Oberfläche eher eine Annäherung an den Scan. Um das zu veranschaulichen, konstruieren Sie eine Oberfläche und ändern Sie dann die Berechnungstoleranzwerte, um zu sehen, wie sich die Oberflächenform ändert.

Hinweis: Je kleiner die Berechnungstoleranz, desto länger dauert es, bis die Oberfläche erstellt ist. Bei geringen Toleranzwerten (0,01 - 0,05) kann es sehr lange dauern (bis zu einer Stunde), bis die Oberfläche erstellt ist, wenn der Eingabescan groß oder nicht einheitlich ist. Gültige Berechnungstoleranzen liegen in einem Bereich von 0,01 bis 5,0, wobei der Standardwert 0,5 ist.

Das Aussehen der Oberfläche kann durch die Werte der Flächenraster-Dichte gesteuert werden. Die Oberfläche wird als ein aus Polylinien bestehendes NxM-Netz dargestellt, wobei der Standardwert ein 5x5-Netz, der niedrigste Wert ein 2x2-Netz ist. Wenn Sie die abhängige Oberfläche unabhängig machen wollen, so daß sie nicht mehr mit dem Eingabe-Scan verknüpft ist, schalten Sie das Feld ABHÄNGIG im Bearbeitungsfenster um.

Hinweis: Die Form der Oberfläche kann nicht geändert werden.

So konstruieren Sie eine abhängige/unabhängige Oberfläche:

  1. Öffnen Sie das Dialogfeld Oberflächenkonstruktion.

Display Menu Roadmap
Legen Sie den Wert für das Feld Berechnungstoleranz U: fest.

  3. Legen Sie den Wert für das Feld Berechnungstoleranz V: fest. Dadurch wird ein Toleranzwert auf die V-Achse angewandt.
  4. Legen Sie die Werte für die Flächenraster-Dichte fest.
  5. Markieren Sie die gewünschten Konstruktionsoptionen. Dazu gehören:
  • Oberfläche optimieren
  • Spannungsfaktor anwenden
  • Ecken erstellen
  • Abw. Daten angleichen
  6. Wählen Sie die Elementreihe eines Flächenscans aus, der mindestens zwei Reihen mit vier Punkten pro Reihe enthalten muß.
  7. Klicken Sie auf die Schaltfläche Erzeugen.

Siehe auch:

Berechnungstoleranz U

Berechnungstoleranz V

Flächenraster-Dichte

Oberfläche optimieren

Spannungsfaktor anwenden

Ecken erstellen

Abw. Daten angleichen


Berechnungstoleranz U

In diesem Feld können Sie einen Toleranzwert festlegen, der auf die U-Achse der Oberfläche angewandt wird.


Berechnungstoleranz V

In diesem Feld können Sie einen Toleranzwert festlegen, der auf die V-Achse der Oberfläche angewandt wird.


Flächenraster-Dichte

In diesem Feld können Sie die Dichte des Oberflächen-Scans festlegen. Je höher die Werte, desto größer die Anzahl der Splines.


Oberfläche optimieren

Bei Auswahl dieses Kontrollkästchens wird versucht, die Knoten und Paßpunkte der Ausgangs-Splines, aus denen die Oberfläche konstruiert wird, zu optimieren.

Flächenraster mit Paßpunkten, Knoten und Splines.


Spannungsfaktor anwenden

Oberflächen, die mit dem aktivierten Kontrollkästchen Spannungsfaktor anw. erstellt wurden, sind tendenziell straffer und kürzer, können jedoch geringfügig von den Eingabedaten abweichen.


Ecken erstellen

Mit diesem Kontrollkästchen können an den Stellen, an denen die Daten eine jähe Richtungsänderung aufweisen, Ecken zur Oberfläche hinzugefügt werden.


Abw. Daten angleichen

Bei Aktivierung dieses Kontrollkästchens wird versucht, abweichende Daten zu eliminieren. Abweichende Daten sind Daten, die eine jähe Richtungsänderung aufweisen. Diese Option ist praktisch das Gegenteil der Option Ecken erstellen.


Konstruktion einer Elementreihe

Close Create Clear Feature List Select Last # Search ID ID = Feature

Mit dem Menübefehl Gruppen... können Sie eine Gruppe von Elementen konstruieren. Dies geschieht durch Auswahl (oder Eingabe) sämtlicher Elemente, die in der Gruppe verwendet werden sollen. Wenn Sie dann auf die Schaltfläche Erzeugen klicken, bildet PC-DMIS einen Durchschnittswert aller Eingabeflächenmittelpunkte und zeigt zusammen mit der neuen ID für die Gruppe eine Gruppenmarkierung an.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS in der Statusleiste folgende Meldung an: "Kann [Element] nicht konstruieren. Die Kombination von Eingabeelementen wird nicht unterstützt".

So konstruieren Sie eine Elementreihe:

  1. Öffnen Sie das Dialogfeld Konstruiere Elementreihe.

Display Menu Roadmap
Wählen Sie die Elemente aus, die Ihre Elementreihe enthalten soll.

  3. Klicken Sie auf die Schaltfläche Erzeugen. Die neue Elementreihe erhält eine Element-ID und wird in der Grafikanzeige plaziert.

Für eine Beispiel-Oberflächenkonstruktion würde die Befehlszeile im Bearbeitungsfenster wie folgt lauten:
elementname=ELEM/SATZ,TOG1,
THEO/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,
IST/x_Koord,y_Koord,z_Koord,i_Vek,j_Vek,k_Vek,
KONST/TOG2,Element_1, Element_2, Element_3...

TOG1= POLAR oder KART

TOG2 = GRUPPE

Die ersten drei im Bearbeitungsfenster angezeigten Zeilen sind bei allen konstruierten Gruppen gleich. Die vierte Zeile weicht je nach Anzahl der in der Gruppe enthaltenen Elemente geringfügig ab.

Für Gruppen gibt es in PC-DMIS für Windows derzeit zwei Verwendungsmöglichkeiten:

Siehe auch:

Profilfehler aus einer Gruppe

Durchschnittswerte aus einer Gruppe

Meßpunktreihe eines Scans als Eingabe verwenden


Profilfehler aus einer Gruppe

Bei Einsatz von CAD-Daten kann eine Gruppe aus den auf einer Oberfläche liegenden Meßpunkten konstruiert werden. Wenn der Benutzer dann das PROFIL der Elementgruppe abfragt, meldet PC-DMIS die Zone zwischen dem minimalen Fehler vertikal zur Oberfläche und dem maximalen Fehler vertikal zur Oberfläche zurück. (Weitere Informationen finden Sie unter "Merkmal von Profilen" im Abschnitt "Merkmale für Elemente erstellen".)


Durchschnittswerte aus einer Gruppe

Wenn ein Satz aus Eingabeelementen besteht, bildet PC-DMIS den Durchschnitt aus den X-, Y-, und Z-Werten der Eingabeelemente. Diese Gruppe kann beispielsweise dazu dienen, den Z-Durchschnittswert aus einer Reihe von Meßpunkten zu bilden.


Meßpunktreihen eines Scans als Eingaben verwenden

Meßpunktreihe eines Scans als Eingabe verwenden

In der Version 3.6 und höher können Sie die Meßpunktreihe eines vorhandenen Scans für Ihre Elementgruppeneingaben verwenden, anstatt Einzelelemente auszuwählen.

Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Konstruiere Elementreihe.
  2. Markieren Sie einen Scan, der als Eingabe verwendet werden soll.
  3. Klicken Sie auf OK. Der Befehl erscheint im Bearbeitungsfenster.
  4. Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.
  5. Gehen Sie zu dem Befehl "Elementgruppe" im Bearbeitungsfenster an.
  6. Wählen Sie die Scan-ID in der Befehlszeile KONST/GRUPPE aus.
  7. Ändern Sie die Scan-ID zur Aufnahme einer Meßpunktreihe, wobei Sie eine Syntax gemäß dem folgenden Beispiel verwenden:
    <ID>.MESSPKT[<STARTMESSPKT>..<ENDMESSPKT>]

    <ID> - Gibt die ID des Scans an.

    <STARTMESSPKT> - Wert, der den Startmeßpunkt in der Meßpunktreihe angibt.

    <ENDMESSPKT> - Wert, der den letzten Meßpunkt in der Meßpunktreihe angibt.

Der folgende Kode zeigt beispielsweise einen konstruierten Satz, der die Meßpunkte 1 bis 10 eines als SCN1 bezeichneten Scans für seine Eingabeelemente verwendet.

GRUPPE1 =ELEM/GRUPPE,KART
   THEO/2,2953,3,7467,0,95,0,0,1
   IST/2,2953,3,7467,0,95,0,0,1
   KONST/GRUPPE,BASIS,SCN1.MESSPKT[1..10],,

Sie können einen konkreten (mit dem Eingabekode vergleichbaren) Ausdruck verwenden, um einem Array die X-Werte der ersten fünf Elemente des konstruierten Satzes zuzuordnen. Mit dem folgenden Kode würden der Variablen V2 beispielsweise nur die ersten fünf Elemente zugewiesen werden. Die Werte werden dann in einem Bedienerkommentar angezeigt.

Zuweisen/V2 = GRUPPE1.MESSPKT[1..5].X
KOMMENTAR/BEDIENER,JA,V2 ist:
,V2

Weitere Informationen zur Verwendung von Ausdrücken, um eine Meßpunktreihe als Array wiederzugeben, finden Sie unter "Meßpunkt-Arrays" im Abschnitt "Verwenden von Ausdrücken und Variablen".


Konstruktion eines Filtersatzes

Standard Deviation Multiple Box Remove Outliers Check Box Smoothing Parameter Box Cutoff Frequency Box Cutoff Wavelength Box Filter Type List Search ID Close Create Clear Feature List Filter Width Box Polar Option Linear Option Select Last # ID = Feature

Mit diesem Befehl können Sie einen Filtersatz aus einem Scan, einigen konstruierten Elementen oder einem anderen Filtersatz konstruieren. Dies erfolgt über die Auswahl oder Eingabe des Eingabeelements, der Art des gewünschten Filters und der mit dem Filter anzuwendenden Parameter. Wenn Sie dann auf die Schaltfläche Erzeugen klicken, wendet PC-DMIS die Filterroutine auf die Daten im Eingabeelement an und zeigt dann, zusammen mit der neuen ID für die Gruppe, eine Gruppenmarkierung an.

Dieser Befehl wird in der Regel zur Angleichung der bei einem Scan in der Kugeltastermitte erfaßten Daten verwendet. PC-DMIS wendet einen Tiefpaßfilter Gaußscher oder anderer Art an, um die Daten zu glätten.

Hinweis: Bei Auswahl unzulässiger Elementtypen zeigt PC-DMIS folgende Fehlermeldung an: "Element kann nicht konstruiert werden."

So konstruieren Sie einen Filtersatz:

  1. Öffnen Sie das Dialogfeld Konstruiere Filterelement.

Display Menu Roadmap
Wählen Sie ein Scan-Element oder eine Elementgruppe als Eingabe für den Filtersatz aus.

  3. Wählen Sie entweder die Option Polar oder Linear, um kreisförmige beziehungsweise lineare Daten zu glätten.
  4. Wählen Sie die Art des Filters aus der Liste Filtertyp aus.
  5. Geben Sie die Werte für einen beliebigen der Filterparameter ein.
  6. Sollen vor der Filterung Ausreißer entfernt werden, aktivieren Sie die Kontrollkästchen Entferne Ausreißer und Sigmafaktor.
  7. Klicken Sie auf die Schaltfläche Erzeugen.

Die im Bearbeitungsfenster für diese Option angezeigte Befehlszeile lautet:
KONST/GRUPPE/FILTER,TOG1,TOG2,elem_1,
WERT1,WERT2,AUSREISSER_ENTFERNEN/TOG3,WERT3

Beispiel:

KONST/GRUPPE,FILTER,GAUSS,POLAR,SCN1,
BREITE=3,UPR=50,AUSREISSER_ENTFERNEN/AN,3

TOG1 = Gauss / Spline / Einheitlich / Dreieck / Zylindrisch

TOG2 = Polar / Linear

Elem_1 = Dies ist das Eingabeelement für diesen Filter.

WERT1 = Filterweite.

WERT2 = Filterfrequenz in Wellenbewegungen pro Umdrehung (UPR).

TOG3 =
Dieses Umschaltfeld kann zwischen EIN und AUS umgeschaltet werden. Hier wird festgelegt, ob Ausreißer vor der Filterung entfernt werden sollen.

WERT3 = Sigmafaktor. Wenn TOG3 EINgeschaltet ist, werden alle Punkte in der Eingabe, deren Wert die Standardabweichungen von dem nach der Methode Kleinste Quadrate (Gauss) berechneten Substitutionselement (z.B. Kreis oder Linie) überschreitet, vor der Filterung entfernt.

Die in diesem Dialogfeld verfügbaren Optionen werden nachstehend erläutert.

Siehe auch:

Option "Linear"

Option "Polar"

Liste "Filtertyp"

Feld "Filterweite"

Feld "Filterabstand"

Feld "Filterfrequenz"

Feld "Glättungsfaktor"

Feld "Entferne Ausreißer"

Feld "Sigmafaktor"


Option "Linear"

Mit der Option Linear können Sie die Daten eines nicht-kreisförmigen Scans filtern. Dieser Fall behandelt die Abweichungen, die rechtwinklig zur Arbeitsebene verlaufen.

Hinweis: Bei linearen Filtern darf die Anzahl der Punkte im Filtersatz niedriger als die Anzahl der Eingabepunkte sein. PC-DMIS entfernt Punkte an beiden Enden, für die (rechts oder links) nicht genügend Daten zur Verfügung stehen. Informationen zur Berechnung eines gültigen Ausgabepunkts finden Sie unter Feld "Filterweite".


Option "Polar"

Mit der Option Polar können Sie einen Filter auf die Daten eines kreisförmigen Scans anwenden. PC-DMIS geht davon aus, daß die Daten periodischer Natur sind (was bedeutet, daß ein vollständiger, geschlossener Kreis gebildet wird). Dieser Fall behandelt die radialen Abweichungen.


Liste "Filtertyp"

Sie können folgende Filtertypen aus der Liste Filtertyp auswählen.

Siehe auch:

Gauss

Spline

Einheitlich

Dreieck

Zylindrisch


Gauss

Mit der Option "Gauß-Filter" können Sie die Daten durch Anwendung eines linearen oder polaren Gaußschen Tiefpaßfilters gemäß ISO 11562 filtern. Die Glättungsmenge wird durch die Werte Filterabstand, Filterfrequenz oder Filterweite kontrolliert.

Bei der Option polarer Gauß -Filter sollte es sich bei den Daten um einen Kreis-Scan mit radialen Abweichungen handeln.

Bei der Option linearer Gauß -Filter sollten die Daten theoretisch in einer Ebene liegen und die Abweichungen rechtwinklig zur Ebene verlaufen.


Spline

Mit der Option Spline-Filter können Sie die Daten durch Einpassung auf einen glättenden Spline angleichen. Mit dem im Feld Glättungsfaktor eingegebenen Wert wird die Glättungsmenge kontrolliert. Wenn Sie allerdings den nach dem verallgemeinerten Kreuzvalidierungsverfahren (Generalized Cross-Validation - GCV) berechneten "optimalen" Wert verwenden wollen, sollten Sie diesen Wert auf "0" setzen. Die Option Spline-Filter ist eine 3D-Filteroption — die Abweichungen in allen rechtwinklig zur betreffenden Linie verlaufenden Richtungen betrifft.

Funktionsweise: Der Spline-Filter paßt eine Spline-Annäherung auf die Daten ein und erfaßt diese erneut. Auf diese Art werden die Daten in allen Richtungen geglättet, nicht nur radial oder rechtwinklig in Bezug auf die Arbeitsebene. Der eingepaßte Spline ist ein natürlicher glättender Spline. Er verfügt über einen Parameter, der zwischen der reinen Dateninterpolation — in der versucht wird, jeden Datenpunkt durchgehen zu lassen, wobei alle Schwankungen beibehalten werden würden — und der Annäherung der Daten mit einem in der Folge glatteren Spline in dem Sinne vermittelt, daß die Schwankungen gedämpft werden. In den zwei Extremen resultiert der Glättungsfaktors in einem Interpolator (mit allen ursprünglichen Schwankungen) und einer Geraden. Ein Wert "Null" für den Spline-Filter ergibt einen Spline, der die erwartete Standardabweichung zwischen dem Spline und der zugrundeliegenden unbekannten Kurve (asymptotisch) minimiert. In der Regel sollten Sie den Nullwert verwenden, da Störungen dadurch entfernt werden, die zugrundeliegende Form jedoch angemessen erhalten bleibt.

Informationen zur Mathematik: Da der relevante Bereich für den tatsächlichen (internen) Glättungsfaktor Lambda gewöhnlich kleine Werte beinhaltet, wird folgender Ausdruck im Dialogfeld Konstruiere Filterelement akzeptiert:

-log10(Lambda).

Anstelle von 1-e-6 wird einfach nur 6 eingegeben. Durch niedrigere Werte für den Glättungsfaktor wird einen größere Glättung erzielt. Wird beispielsweise eine Fünf für den Spline-Filter eingegeben, erhalten Sie eine stärkere Glättung als mit einem Wert Sechs.


Einheitlich

Mit der Filter-Option Einheitlich können die Daten gefiltert werden, indem der Durchschnitt aller Punkte in einem "Moving-Window" ermittelt wird. Die Fensterbreite kann entweder durch die Werte Glättungsfaktor oder Filterweite vorgegeben werden.

Wird der Wert Filterweite auf m gesetzt, dann hat das Fenster eine Breite von 2m?Delta, wobei Delta dem Punktabstand entspricht.


Dreieck

Mit der Filter-Option Dreieck werden die Daten anhand des gewichteten gleitenden Durchschnitts aller Punkte in einem Moving-Window gefiltert. Die Gewichtungen werden auf Basis einer Dreiecksfunktion, mit der Spitze in der Mitte des Fensters, ermittelt. Die Fensterbreite kann entweder durch die Werte Glättungsfaktor oder Filterweite vorgegeben werden.

Wird der Wert Filterweite auf m gesetzt, dann hat das Fenster eine Breite von 2m?Delta, wobei Delta dem Punktabstand entspricht.


Zylindrisch

Mit der Filter-Option Zylindrisch werden Daten in einem spiralförmigen oder kreisförmigen Scan, der sich mehr oder weniger über einen vollständigen Kreis erstreckt, gefiltert. In diesem Fall handelt es sich um radiale Abweichungen. Da PC-DMIS die Daten (die einen vollständigen geschlossenen Kreis bilden müßten) nicht als periodisch einstuft, ist eine der Filterweite entsprechende Anzahl von Punkten am Anfang und Ende des Scans nicht im Filtersatz enthalten.


Feld "Filterweite"

Der Wert Filterweite ist ein optionaler Glättungsparameter für alle Filtertypen mit Ausnahme des Spline-Filters. Der in diesem Feld eingegebene Wert gibt die Anzahl der Datenpunkte vor, die rechts und links von jedem geglätteten Datenpunkt zur Filterung verwendet werden. Wird der Wert Filterweite beispielsweise auf m gesetzt, dann hat das Fenster eine Breite von 2m?Delta, wobei Delta dem Punktabstand entspricht. Der Standardwert für diesen Parameter ist 3.

Der von Ihnen eingegebene Wert kann eine Null oder ein beliebiger positiver Wert sein.

  • Wird überhaupt kein Wert eingegeben (oder beträgt der Wert "Null"), dann wird der Filterfrequenz-Wert zur Bestimmung der Glättungsmenge zugrundegelegt.
  • Wenn der Filterfrequenz-Wert "Null" oder einen beliebigen positiven Wert beträgt, dann wird die Filterweite entsprechend der eingegebenen Filterfrequenz angezeigt.
  • Werden weder für die Filterweite noch für die Filterfrequenz Werte eingegeben (oder betragen beide "Null"), werden die Daten nicht gefiltert.

Mit dem Wert Filterweite wird auch die Anzahl der Punkte festgelegt, die im Falle einer linearen Filterung aus dem Filtersatz ausgeklammert sind. PC-DMIS entfernt die Punkte, die rechts oder links nicht genügend Daten aufweisen, um das Datenfenster auszufüllen.


Feld "Filterabstand"

Mit dem Wert Filterabstand wird die Wellenlänge der Datenschwingungen festgelegt. Unter diesem Wert werden die Schwingungsamplituden im Falle der Anwendung eines linearen Gauss-Filters reduziert.


Feld "Filterfrequenz"

Mit dem Wert Filterfrequenz wird die Anzahl der "Wellenbewegungen pro Umdrehung" (oder UPR) in den Kreisdaten festgelegt. Über diesem Wert werden die Schwingungsamplituden in den Daten im Falle der Anwendung eines polaren Gauss-Filters oder eines zylindrischen Filters reduziert.


Feld "Glättungsfaktor"

Mit dem Wert Glättungsfaktor wird der Glättungsgrad für die Filtertypen Spline, einheitlich und Dreieck festgelegt.

Im Falle des Spline -Filters wird der Wert am besten auf 0 gesetzt, um zu zeigen, daß der via GCV berechnete Wert verwendet werden soll. Die im Bearbeitungsfenster angezeigte Null wird dann durch den berechneten Wert ersetzt.

Im Falle der Filtertypen "einheitlich" und "Dreieck" stellt der Glättungsfaktor eine Hälfte der für den (gewichteten) gleitenden Durchschnitt verwendeten Fensterbreite dar.


Kontrollkästchen "Entferne Ausreißer"

Wird das Kontrollkästchen Entferne Ausreißer aktiviert, versucht PC-DMIS, alle Punkte mit einer bestimmten Anzahl von Standardabweichungen gegenüber dem Substitutionselement (in der Regel ein Kreis oder eine Linie) zu entfernen. Sie können die Anzahl der Standardabweichungen in dem Feld Sigmafaktor festlegen. Siehe auch Feld "Sigmafaktor".


Feld "Sigmafaktor"

Mit dem Wert Sigmafaktor wird die Anzahl der Standardabweichungen von dem (nach kleinsten Quadraten berechneten) Substitutionselement festgelegt. Im Falle einer Überschreitung dieses Werts werden die Punkte als Ausreißer identifiziert. Der Standardwert ist 3.


Ändern eines konstruierten Elements

Mit dem Menübefehl Elementtyp ändern können Sie den Typ des zuletzt konstruierten Elements ändern. Haben Sie beispielsweise zuletzt versucht, einen Kreis zu konstruieren und PC-DMIS hat dieses Element für eine Ebene gehalten, dann können Sie das Element mit dieser Option in den richtigen Typ umwandeln. Diese Option ist jedoch anzuwenden, bevor andere Elemente gemessen oder konstruiert werden.

Vorgehensweise:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor im Bearbeitungsfenster auf das Element, für das ein falscher Typ ausgewiesen wurde.
  3. Öffnen Sie das Untermenü Elementtyp ändern und starten Sie den Vorgang (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Wählen Sie den richtigen Elementtyp aus.

Sie können nun beobachten, wie die Elementänderungen im Bearbeitungsfenster vorgenommen werden.


Creating Generic Features

Befehlsformat für allgemeine Elemente

Erstellen eines allgemeinen Elements

Erstellen eines Lesepunkts an der Tasterposition


Erstellen von allgemeinen Elementen: Einführung

In diesem Abschnitt werden das Hinzufügen von allgemeinen Elementen zum Werkstückprogramm sowie das Erstellen von Punktelementen an der aktuellen Position des Tasters beschrieben.

Dieser Abschnitt umfaßt folgende Hauptthemen:

  • Befehlsformat für allgemeine Elemente
  • Erstellen eines allgemeinen Elements
  • Erstellen eines Lesepunkts an der Tasterposition

Siehe auch:

Beschreibung von allgemeinen Elementen

Sinn und Zweck von allgemeinen Elementen


Beschreibung zu allgemeinen Elementen

Beschreibung von allgemeinen Elementen

Beim Messen von Elementen Ihres Werkstücks erkennt PC-DMIS den richtigen Elementtyp normalerweise abhängig von der Anzahl der aufgenommenen Meßpunkte und des verfügbaren Elementtyps des importierten CAD-Modells selbst.

Allgemeine Elemente werden jedoch nicht von PC-DMIS erkannt, sondern vom Benutzer erstellt und eingefügt.


Sinn und Zweck von allgemeinen Elementen

Allgemeine Elemente dienen zur Zwischenspeicherung und Übertragung von Werten. Diese Werte können verwendet werden, um mit dem Befehl BERECHNEN neue konstruierte Elemente zu erstellen oder bestehende Elemente zu verändern.

Weitere Informationen zum Erstellen von neu konstruierten Elementen finden Sie unter "Konstruieren von neuen Elementen aus vorhandenen Elementen".


Befehlsformat für allgemeine Elemente

Alle allgemeinen Elemente haben XYZ- und IJK-Werte. Die Werte können je nach dem Typ, der dem Element zugewiesen wurde, WINKEL-, DURCHMESSER/RADIUS- oder ABSTANDS-Werte besitzen.

Das Umschaltfeld "Nennwerte/Meßwerte" gibt an, welche Werte für das allgemeine Element verwendet werden.

Befehlszeile im Bearbeitungsfenster (Darstellung eines Kegels):

elementname=GENERELL/TOG1,TOG2, TOG3, TOG4
NENNW/XYZ,x-Koord,y-Koord,z-Koord
MESS/XYZ,x-Koord,y-Koord,z-Koord
NENNW/IJK,i-Koord,j-Koord,k-Koord
MESS/IJK,i-Koord,j-Koord,k-Koord
[RADIUS/Radius] | [DURCHMESSER/Durchmesser]
[WINKEL/Wink]
[ABSTAND/Abstand]

TOG1 = PUNKT, EBENE, LINIE, KREIS, KUGEL, ZYLINDER, KEGEL, LANGLOCH oder KEINE

TOG2 = Gibt an, ob das allgemeine Element abhängig oder unabhängig von der Ausrichtung ist.

TOG3 = Gibt an, ob das Element polare oder kartesische Koordinaten verwendet.

TOG4 = Gibt an, ob das Element ein INNEN- (Loch) oder ein AUSSEN- (Bolzen) Element ist.

[ ] = Die in eckigen Klammern aufgeführten Optionen sind wahlfrei. Ihre Verfügbarkeit ist abhängig vom Typ, der dem Element durch TOG1 zugewiesen wird. RADIUS und DURCHMESSER sind einander ausschließende Darstellungen für den Wert, der den Radius oder Durchmesser repräsentiert.


Erstellen eines allgemeinen Elements

Sie können ein allgemeines Element erstellen, indem Sie im Befehlsmodus des Bearbeitungsfensters den Befehl ALLGEMEIN/ eingeben und die TAB-Taste drücken. PC-DMIS bietet jedoch eine noch einfachere Methode zum Erstellen neuer allgemeiner Elemente. Das Dialogfeld Allgemeines Element konstruieren bietet hierfür eine elegante Lösung.

Display Menu Roadmap
Siehe auch:

Hinzufügen eines allgemeinen Elements

Beschreibung des Dialogfelds "Allgemeines Element hinzufügen"


Hinzufügen eines allgemeinen Elements

So fügen Sie ein allgemeines Element hinzu:

  1. Setzen Sie den Cursor in eine neue Zeile des Bearbeitungsfensters.
  2. Mit einer der folgenden Methoden greifen Sie auf das Dialogfeld Allgemeines Element konstruieren zu:
    • Wählen Sie die Menüoption Allgemein.

Display Menu Roadmap
Geben Sie im Befehlsmodus des Bearbeitungsfensters den Befehl ALLGEMEIN/ ein.

  • Wählen Sie in der Liste, die nach Auswahl der Option Befehl hinzufügen im Übersichtsmodus angezeigt wird, den Eintrag Allgemeines Element aus.
  3. Nehmen Sie die gewünschten Änderungen vor.
  4. Klicken Sie auf OK, um das Element zu erstellen. PC-DMIS speichert das allgemeine Element und aktualisiert die Informationen zum Element im Bearbeitungs- und im Grafikfenster.


Beschreibung des Dialogfelds "Allgemeines Element konstruieren"

Verwenden Sie dieses Dialogfeld, um neue Elemente zu erstellen. Nach Auswahl der Menüoption Allgemein können Sie auf dieses Dialogfeld zugreifen. In den folgenden Themen werden die in diesem Dialogfeld verfügbaren Optionen beschrieben:

Display Menu Roadmap
Siehe auch:

Elementtyp

Datentyp

XYZ-Felder

IJK-Felder

Ausrichtungsabhängiges allgemeines Element

Ausrichtungsunabhängiges allgemeines Element

Polar/Kartesisch

Elementname

Radius / Durchmesser

Winkel

Abstand


Elementtyp

In diesem Bereich können Sie die folgenden allgemeinen Elementtypen erstellen:

  • Punkt
  • Ebene
  • Linie
  • Kreis
  • Kugel
  • Zylinder
  • Langloch
  • Rechteckloch
  • Kegel
  • Keine

In Abhängigkeit des gewählten Elementtyps werden weitere Bereiche dieses Dialogfelds aktiviert oder deaktiviert.


Datentyp

Im Bereich Datentyp können Sie festlegen, welche Werte des allgemeinen Elements von den im Dialogfeld vorgenommenen Änderungen betroffen sind. Die Optionen beinhalten Meßwerte und Nennwerte.


XYZ-Felder

In den Feldern X, Y und Z können Sie die X-, Y- und Z-Positionen für das allgemeine Element festlegen.


IJK-Felder

In den Feldern I, J und K können Sie den Vektor für das allgemeine Element festlegen.


Ausrichtungsabhängiges allgemeines Element

Einige Werte ausrichtungsabhängiger allgemeiner Elemente sind von der Ausrichtung abhängig, von der aus Bezug auf sie genommen wird. Sie ändern sich so, daß sie sich im Verhältnis zur aktuellen Ausrichtung befinden. Im 3D-Raum bleibt ihre Position unverändert.

Beispiel in 2D: Angenommen, 0,0 ist der Nullpunkt Ihrer Maschine. Es ist eine Ausrichtung eingerichtet, die den Nullpunkt bei 5,5 bestimmt. Nun wird nach der Ausrichtung mit den Werten 2 für x und 2 für y ein ausrichtungsabhängiges Element definiert. Im Verhältnis zur Ausrichtung lauten die Werte des Elements 2 und 2. Im Verhältnis zum Nullpunkt lauten diese Werte 7 und 7. Egal im Verhältnis zu welcher Ausrichtung die Zahlen angegeben werden, befindet sich der Punkt immer bei 7,7 im Verhältnis zum wahren Nullpunkt.


Ausrichtungsunabhängiges allgemeines Element

Unabhängige allgemeine Elemente verfügen über Werte, die unverändert bleiben, ungeachtet der Ausrichtung, von der auf sie Bezug genommen wurde (daher "unabhängig"). Ihre Position im 3D-Raum ändert sich in dem Maße, in dem sich die Ausrichtung ändert.

Beispiel in 2D: Beschäftigen wir uns nun noch einmal mit dem Beispiel 2,2 (siehe "Ausrichtungsabhängiges Beispiel"), diesmal jedoch bei einem ausrichtungsunabhängigen allgemeinen Element. Wenn Sie den x- und y-Wert im Verhältnis zur Ausrichtung ermitteln möchten, gibt das Objekt 2,2 zurück. Wenn Sie seinen Wert im Verhältnis zum Nullpunkt abfragen, gibt das Objekt ebenfalls 2,2 zurück. Der Satz 2,2 im Verhältnis zur Ausrichtung befindet sich bei 7,7 im Verhältnis zum wahren Nullpunkt. Der Satz 2,2 im Verhältnis zum Nullpunkt lautet genau: 2,2. Somit scheint sich der Punkt im 2D-Raum zu bewegen.

Hinweis: Die unabhängige Option wurde hinzugefügt, damit ein allgemeines Element mit der Bezeichnung X-ACHSE immer als Eingabeelement für eine Konstruktion oder als Bezugselement für eine Merkmal verwendet werden kann und immer die Werte 1,0,0 aufweist, unabhängig von der aktuellen Ausrichtung.


Polar/Kartesisch

Über diese Liste können Sie auswählen, welches Koordinatensystem für das allgemeine Element verwendet werden soll. Es stehen die Optionen POLAR oder KART zur Auswahl.


Erstellen von allgemeinen Elementen - Beschreibung des Dialogfelds "Allgemeines Element konstruieren" - Elementname

Elementname

In diesem Feld können Sie den Namen des Elements festlegen. Diese ID wird dann auf dem Element-ID-Etikett und im Bearbeitungsfenster angezeigt.


Radius/Durchmesser

Für ein Kreiselement können Sie entweder einen Radius oder einen Durchmesser definieren. Wählen Sie entweder die Option Radius oder die Option Durchmesser, und geben Sie einen Wert in das entsprechende Feld ein.


Winkel

Im Feld Winkel können Sie den Winkel eines Kegels definieren. Dieses Feld steht zur Verfügung, wenn Sie im Bereich Elementtyp die Option Keine gewählt haben.


Erstellen von allgemeinen Elementen - Beschreibung des Dialogfelds "Allgemeines Element konstruieren" - Abstand

Abstand

Mit dem Feld Abstand können Sie die Höhe oder Länge aller allgemeinen Elemente festlegen, die über diese Eigenschaften verfügen.


Erstellen eines Lesepunkts an der Tasterposition

Durch Wahl der Menüoption Lesepunkt wird PC-DMIS veranlaßt, die aktuelle Position des Tasters einzulesen und einen Punkt an der eingelesenen Position im Bearbeitungsfenster einzufügen.

Display Menu Roadmap
Die nachfolgende Syntax veranschaulicht, was in das Bearbeitungsfenster eingefügt wird.

M_ID= ELEM/ PUNKT, TOG1
THEO/ x, y, z, i, j, k
IST/ x, y, z, i, j, k
LESEPUNKT

E_ ID – Dies ist die Element-ID.

TOG1 – Mit diesem Feld können Sie zwischen den Koordinatensystemen POLR und KART hin- und herschalten.

X, Y, Z – Dies ist die X-, Y-, Z-Lage des konstruierten Punktes.

I, J, K – Dies ist der I-, J-, K-Antastvektor des Tasters.

LESEPUNKT – Identifiziert dieses Element als an der Tasterposition erstellten Lesepunkt.

Es folgt ein Beispiel für ein Lesepunkt-Element:
F7 =ELEM/PUNKT,KART
THEO/7,4982,2,0111,0,95,0,0,1
IST/7,4982,2,0111,0,95,0,0,1
LESEPUNKT/


Creating and Using Alignments

Befehlsformat für Ausrichtungen

Beschreibung zum Dialogfeld "Ausrichtungen"

Erstellen einer 3-2-1-Ausrichtung

Erstellen einer Besteinpassungs-Ausrichtung

Erstellen einer iterativen Ausrichtung

Speichern einer Ausrichtung

Aufrufen einer vorhandenen Ausrichtung

Arbeiten mit einer Ausrichtung in Schleifen

Angleichen einer Ausrichtung

Angleichen von CAD an gemessenen Werkstückdaten

Durchführen einer KMG-Verschiebung


Erstellen und Verwenden von Ausrichtungen: Einführung

Nachdem eine Tastspitze aktiviert und Elemente gemessen wurden, kann ein Koordinatensystem (oder eine Ausrichtung) erstellt werden. PC-DMIS bietet eine Vielzahl an Werkzeugen zur Erstellung und Verwaltung von Koordinatensystemen. Um auf die Werkzeuge zugreifen zu können, die beim Arbeiten mit Ausrichtungen erforderlich sind, wählen Sie die gewünschten Menüoptionen im Untermenü Ausrichtungen (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Die in diesem Abschnitt behandelten Themen beschreiben, wie Sie diese Werkzeuge effektiv einsetzen können, um Ausrichtungen in Ihrem Werkstückprogramm zu erstellen und zu verwalten. Dazu gehören:

  • Befehlsformat für Ausrichtungen
  • Beschreibung zum Dialogfeld "Ausrichtungen"
  • Erstellen einer 3-2-1-Ausrichtung
  • Erstellen einer Besteinpassungs-Ausrichtung
  • Erstellen einer iterativen Ausrichtung
  • Speichern einer Ausrichtung
  • Aufrufen einer vorhandenen Ausrichtung
  • Arbeiten mit einer Ausrichtung in Schleifen
  • Angleichen einer Ausrichtung
  • Angleichen von CAD an gemessenen Werkstückdaten
  • Durchführen einer KMG-Verschiebung


Befehlsformat für Ausrichtungen

Alle Ausrichtungen werden im Befehlsmodus des Bearbeitungsfensters im nachfolgend dargestellten Format angezeigt. Es gibt geringfügige Abweichungen, die in den folgenden Abschnitten genauer erläutert werden.

Beispiel:

A1=AUSRICHTUNG/ANFANG, AUFRUFEN:,LIST=JA/NEIN
AUSRICHTUNG/EBENE,'Elementname'
AUSRICHTUNG/DREHEN,XPLUS,BIS,Elementname,DREHEN UM,ZPLUS
AUSRICHTUNG/ÜBERTR,X-ACHSE,Elementname
AUSRICHTUNG/ÜBERTR,Y-ACHSE,Elementname
AUSRICHTUNG/ÜBERTR,Z-ACHSE,Elementname
AUSRICHTUNG/ENDE

Regeln zu Feldern finden Sie unter "Konventionen".

Beschreibungen zu den Ausrichtungsbefehlen finden Sie an diesen Stellen:

  • Befehl "Start": siehe Ausrichtung/Start (Befehl).
  • Befehl "Ende": siehe Ausrichtung/Ende (Befehl).
  • Befehl "Aufrufen": siehe Aufrufen.
  • Befehl "Raum": siehe Raum.
  • Befehl "Drehen": siehe Drehen.
  • Befehl "Übertragen": siehe Nullpunkt.

Siehe auch:

Befehl "Ausrichtung/Start"

Befehl "Ausrichtung/Ende"

Hinzufügen von Zeilen

Löschen von Zeilen

Konventionen


Befehl "Ausrichtung/Start"

Die Zeile zum Starten der Ausrichtung lautet:

AUSRICHTUNGS_ID=AUSRICHTUNG/ANFANG,AUFRUFEN:ID, LIST=JA/NEIN

Änderbare Felder:
"Ausrichtungs-ID"
Dies ist die ID, unter der die Ausrichtung gespeichert wird. Die ID wird vom Bediener zugewiesen. Wird keine ID angegeben, wird ein Standardname zugewiesen. Beispiel: A1.

"ID"
Die ID identifiziert eine vorherige interne Ausrichtung, die für den Start einer neuen Ausrichtung aufgerufen wird. Beachten Sie bitte, daß Sie in Version 3.6 und höher auch das Kennwort VERWENDE_AKTIVE_AUSRICHTUNG in dieses Feld eingeben können. Daraufhin verwendet PC-DMIS eine aktive Ausrichtung, statt eine gespeicherte Ausrichtung aufzurufen. Dies ist nur dann hilfreich, wenn Ausrichtungen mit Schleifen und bedingungsabhängigen Verzweigungen verwendet werden. Weitere Informationen hierzu finden Sie unter Arbeiten mit einer Ausrichtung in Schleifen.

"LIST"
Mit der Einstellung JA oder NEIN können Sie festlegen, ob PC-DMIS die Ausrichtungs-ID in der Liste Ausrichtungen auf der Symbolleiste Einstellungen anzeigen soll, so daß sie später in das Werkstückprogramm eingefügt werden kann. Die Standardeinstellung lautet JA. Die Einstellung NEIN ist dann sinnvoll, wenn Sie viele temporäre Ausrichtungen verwenden und nicht alle in der Liste Ausrichtungen auf der Symbolleiste Einstellungen angezeigt werden sollen (siehe auch "Liste aktiver Ausrichtungen)".


Ausrichtung/Ende (Befehl)

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/ENDE

In diesem Befehl gibt es keine änderbaren Felder: Dieser Befehl muß jedesmal in Verbindung mit dem Befehl AUSRICHTUNG/START verwendet werden.


Erstellen und Verwenden von Ausrichtungen - Befehlsformat für Ausrichtungen - Hinzufügen von Zeilen

Hinzufügen von Zeilen

Um eine Zeile hinzuzufügen, setzen Sie den Cursor an die gewünschte Stelle und drücken die EINGABETASTE. Beginnen Sie durch Eingabe des Wortes AUSRICHTUNG. Drücken Sie die TABULATORTASTE. PC-DMIS fügt die neue Zeile abhängig von der Cursorposition ein. Befindet sich der Cursor inmitten eines Befehls, wird eine neue Zeile unterhalb der aktuellen Zeile erstellt. Befindet sich der Cursor am Anfang einer Befehlszeile, wird die neue Zeile oberhalb der aktuellen Cursorposition positioniert.

Die erste neu erstellte Zeile zeigt immer den Nebenbefehl an: RAUM. Dies ist durch Eingabe eines neuen Befehls leicht änderbar. Die nach der ersten Zeile zusätzlich erstellten Zeilen zeigen den aktuellsten Befehl an.


Erstellen und Verwenden von Ausrichtungen - Befehlsformat für Ausrichtungen - Löschen von Zeilen

Löschen von Zeilen

Um eine Leerzeile zu löschen, drücken Sie die NACH-UNTEN-TASTE oder die EINGABETASTE. Die Zeile kann auch markiert und dann gelöscht werden (Siehe auch "Tastaturfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)


Erstellen und Verwenden von Ausrichtungen - Befehlsformat für Ausrichtungen - Konventionen

Konventionen

  • Alle Textbefehle zur Ausrichtung besitzen ein Makroformat und verfügen über einen Start- und einen Ende-Befehl.
  • Der Befehl AUSRICHTUNG/START ist immer die erste und der Befehl AUSRICHTUNG/ENDE die letzte Zeile der Ausrichtungsanweisung.
  • Alle Ausrichtungsfunktionen müssen sich innerhalb der Befehle "Start" und "Ende" befinden. Einzige Ausnahme ist der Befehl "AUSRICHTUNG/AUFRUFEN", bei dem die Befehle "Start" und "Ende" als ein Befehl ausgeführt werden.
  • Sie können bei jedem der Befehle (mit Ausnahme von "Start," "Ende" und "Aufrufen") im zweiten Feld zwischen Auswahloptionen umschalten. Alle anderen bedienerabhängigen Felder ändern sich dann entsprechend dem gegenwärtig aktiven Feld.


Beschreibung zum Dialogfeld "Ausrichtung"

Home Contents Previous Next

Beschreibung zum Dialogfeld "Ausrichtungen"

Rotate CAD Equals Part Recall X, Y, Z, and Auto Best Fit Iterative Active Alignment Level Origin Auto Align Cancel OK Delete Set Origin Offset Distance Rotate by an Offset Angle Drop Down Axes Alignment ID Clear Feature List Select Last # Search ID

Wenn Sie ein neues Werkstückprogramm erstellen, zeigt das Dialogfeld beim ersten Öffnen des Dialogfelds Ausrichtungen den START-Befehl an.

Display Menu Roadmap
Wenn sich der Cursor in der letzten Zeile des Bearbeitungsfensters befindet, wird die Ausrichtungs-ID eine neue Kennung und die aktuelle Ausrichtung anzeigen.

Im Befehlsmodus wird im Bearbeitungsfenster beispielsweise folgendes angezeigt:

    Ausrichtungs-ID=A5
Ausrichtungs-ID aufrufen=A4

Sie können jede im Auswahlfeld Aufrufen zur Verfügung stehende Ausrichtung abrufen. Es stehen nur solche Ausrichtungen zur Auswahl, die vor der aktuellen Cursorposition erstellt werden.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/START
AUSRICHTUNG/BF2D,'Element-ID'
AUSRICHTUNG/ENDE

Hinweis: Eine Ausrichtung gilt erst dann als abgeschlossen, wenn auf die Schaltfläche OK geklickt und die Liste aktiver Ausrichtungen aktualisiert wurde.

Nach abgeschlossener Ausrichtung gibt PC-DMIS die Rotation der Ausrichtung in der linken Ecke des Grafikfensters an. Bei der Größenanpassung der Werkstückgrafik an den Bildschirm wird der Ausrichtungsversatz berichtigt (sobald die Achsenangabe aus der Ecke des Fensters ausgeblendet wird).

Sind auf Ihrer erstellten Ausrichtung uneingeschränkte Achsen vorhanden, werden Sie von PC-DMIS gewarnt. Das rote X-, Y- und Z-Nullpunktsymbol wird dann im Grafikfenster kontinuierlich zwischen diesen Achsen hin und her bewegt.

Siehe auch:

Zugreifen auf das Dialogfeld

Ausrichtungs-ID

Liste aktueller Ausrichtungen

Auswahlliste "Achsen"

Raum

Drehen um einen Drehwinkel

Drehen

Festlegen des Nullpunktversatzes

Nullpunkt

Aufrufen

Iterativ

Besteinpassung

Auto-Ausrichten

CAD gleich Werkstück


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Ausrichtung Extras" - Zugreifen auf das Dialogfeld

Zugreifen auf das Dialogfeld

In PC-DMIS können Sie das Dialogfeld Ausrichtungen über das Bearbeitungsfenster aufrufen. Vorgehensweise:

  1. Öffnen Sie das Bearbeitungsfenster.

Display Menu Roadmap
Navigieren Sie im Bearbeitungsfenster zum Ausrichtungsblock.

  3. Setzen Sie den Cursor auf die erste Zeile.
  4. Drücken Sie den Tastaturbefehl F9. Das mit dem Ausrichtungsblock verknüpfte Dialogfeld erscheint.

Im Dialogfeld wird die Ausrichtung des aktuellen Elements angezeigt, an der Sie Änderungen vornehmen können.


Ausrichtungs-ID

In diesem Feld wird die ID der aktuellen Ausrichtung angezeigt.

So ändern Sie diesen Wert:

  1. Heben Sie den aktuellen Wert hervor.
  2. Geben Sie eine neue ID ein.
  3. Drücken Sie die TABULATORTASTE.


Liste aktiver Ausrichtungen

Dieses Listenfeld enthält die verschiedenen, für das aktuelle Werkstückprogramm erstellten Ausrichtungen. Es zeigt die Startausrichtung und andere erstellten Ausrichtungen, u. a. die aufgerufene Ausrichtung.

Während der Erstellung der Ausrichtungen werden in diesem Feld auch Informationen zu den Achsen angezeigt, die zum "Auf die eine Ebene bringen", "Drehen an" und "Übertragen [auf den Nullpunkt]" dienen.


Auswahllisten der Achsen

Mit Hilfe dieser Auswahllisten können Sie Achsen auswählen, die in verschiedenen Stadien der Erstellung einer neuen Ausrichtung verwendet werden. Folgende Achsen stehen in jeder Auswahlliste zur Verfügung :

  • XPLUS
  • XMINUS
  • YPLUS
  • YMINUS
  • ZPLUS
  • ZMINUS


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Ausrichtungen" - Raum

Raum

Mit der Schaltfläche Raum können Sie die Richtung der vertikalen Achse der aktuellen Arbeitsebene festlegen.

So wählen Sie ein Element zur "räumlichen" Ausrichtung:

  1. Geben Sie das zu verwendende Element im Feld Elementliste an.
  2. Klicken Sie auf die Option Raum.

Sie können die Achse, die zum Festlegen der Richtung dienen soll, auch in der Auswahlliste auswählen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/RAUM,ZPLUS,'Element-ID'

Änderbare Felder:
"ZPLUS"
Hierbei handelt es sich um ein Feld, mit dem Sie zwischen den Feldern ZPLUS, XPLUS, YPLUS, ZMINUS, XMINUS und YMINUS umschalten können. Dieses Feld gibt die Richtung der angegebenen Achse an, an der das Element räumlich ausgerichtet wird.

"Element-ID"
Die Ausrichtung wird auf das angegebene Element nivelliert.
Beispiel: EBENE1.


Drehen um einen Drehwinkel

Über das Feld Drehwinkel können Sie entlang einer bestimmten Achse um einen Drehwinkel drehen.

Vorgehensweise:

  1. Heben Sie den bisherigen Wert im Feld Drehwinkel hervor.
  2. Geben Sie den gewünschten Winkel ein.
  3. Drücken Sie die TABULATORTASTE.
  4. Klicken Sie auf die Schaltfläche Drehen.

Der neue Wert ersetzt den alten Rotationsversatz.


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Ausrichtungen" - Drehen

Drehen

Über die Schaltfläche Drehen können Sie die definierte Achse der Arbeitsebene zum Element hin oder parallel zum Element drehen. PC-DMIS dreht die definierte Achse um den Flächenmittelpunkt, der als Nullpunkt dient. Sie können definieren, welche Achse gedreht und um welche Achse gedreht werden soll.

So wählen Sie ein Element, in dessen Richtung gedreht werden soll:

  1. Wählen Sie das richtige Bezugselement aus dem Feld Elementliste aus.
  2. Klicken Sie auf die Schaltfläche Drehen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/DREHEN,XPLUS,BIS,'Element-ID',DREHEN UM,ZPLUS

Änderbare Felder:
"XPLUS","ZPLUS"
Dies ist ein Umschaltfeld, mit dem Sie zwischen folgenden Feldern im Bearbeitungsfeld umschalten können:

ZPLUS

XPLUS

YPLUS

ZMINUS

XMINUS

YMINUS

PC-DMIS legt diese Achse parallel zum eingegebenen Element fest. Es dreht dann um die zweite Achse.

"Element-ID"
Die Ausrichtung dreht sich parallel zum angegebenen Element. Beispiel: ZEILE1.

Siehe auch:

Drehen um einen Versatz

Drehen auf eine Linie zwischen zwei Kreisen


Drehen um einen Versatz

Wenn Sie um einen Versatz drehen möchten, wählen Sie die Option VERSATZ durch Eingabe des gewünschten Winkels im Feld Drehwinkel. Der neue Wert ersetzt den alten Rotationsversatz.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/VERSATZ_DREHEN,'numerischer_Wert'

Änderbares Feld: "numerischer_Wert"
Hierbei handelt es sich um den Wert, um den die Ausrichtung in Winkelgraden (zum Beispiel; -14,36) gedreht wird. Die Rotation erfolgt um die Achse, senkrecht zur aktiven Arbeitsebene. Die Rotation erfolgt bei einem negativen Winkel im Uhrzeigersinn und bei einem positiven Winkel gegen den Uhrzeigersinn.


Drehen auf eine Linie zwischen zwei Kreisen

Um auf eine Linie zwischen zwei Kreisen zu drehen, markieren Sie zwei Kreise im Feld Elementliste, und klicken Sie auf die Schaltfläche Drehen. Wie auch bei den anderen Rotationsarten wählen Sie die zu drehende Achse sowie die Achse, um die gedreht wird, und geben Sie (gegebenenfalls) den Versatzwert ein.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/KREIS_DREHEN,ID, ID

Änderbare Felder: "ID"

Hierbei handelt es sich um eine der beiden IDs, an die gedreht wird.


Festlegen des Nullpunktversatzes

Im Feld Versatz können Sie den Nullpunkt mit einem bestimmten Versatz festlegen.

Vorgehensweise:

  1. Klicken Sie auf das Feld Versatz.
  2. Geben Sie den gewünschten Wert für den Versatz ein.
  3. Drücken Sie die TABULATORTASTE.
  4. Klicken Sie auf die Schaltfläche Nullpunkt (setzen).


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Ausrichtungen" - Nullpunkt

Nullpunkt

Mit der Schaltfläche Nullpunkt können Sie den Nullpunkt des Werkstücks an eine bestimmte Position oder um einen bestimmten Versatzwert verschieben.

So verschieben Sie den Nullpunkt des Werkstücks:

  1. Aktivieren Sie zu verschiebenden Nullpunkt durch Auswahl des entsprechenden Kontrollkästchens (X, Y, Z oder AUTO).
  2. Klicken Sie auf die Schaltfläche Nullpunkt. Mit AUTO werden die zu verschiebenden Achsen basierend auf dem Elementtyp, der Ausrichtung dieses Elements und der Arbeitsebene gewählt.

Siehe auch:

Zu einem Element gehen

Um einen Versatz verschieben


Zu einem Element gehen

Um zu einem Element zu gehen, markieren Sie einfach das betreffende Element.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/ÜBERTR,ZAXIS,'Element-ID'

Änderbare Felder:
"ZAXIS"
Hierbei handelt es sich um ein Feld im Bearbeitungsfenster, mit dem Sie zwischen den Feldern ZAXIS, XAXIS und YAXIS umschalten können. Dieses Feld gibt die Achse an, an der der Nullpunkt bis zur Übereinstimmung mit der eingegebenen "Element-ID" verschoben wird.

"Element-ID"
Hierbei handelt es sich um das Element, auf das die Ausrichtung den Nullpunkt entlang der gegebenen Achse setzt. Beispiel: KREIS1.


Verschieben um einen Versatz

Wenn Sie um einen Versatz verschieben möchten, wählen Sie die Option VERSATZ durch Eingabe eines neuen Versatzwertes.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/ VERSATZÜBERTR,ZAXIS,'numerischer_Wert'

Änderbare Felder:
"ZAXIS"
Mit diesem Feld im Bearbeitungsfenster können Sie zwischen den Feldern ZAXIS, XAXIS und YAXIS umschalten. Diese Felder geben die Achse an, an der der Nullpunkt um den Eingabewert 'numerischer_Wert' verschoben wird.

"numerischer_Wert"
Hierbei handelt es sich um den Wert, um den die Ausrichtung versetzt wird (zum Beispiel: 5,12). Der positive Wert bewirkt eine Verschiebung in die positive Richtung, der negative Wert eine Verschiebung in die negative Richtung.


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Ausrichtungen" - Aufrufen

Aufrufen

Mit der Schaltfläche Aufrufen werden gespeicherte Ausrichtungen aufgerufen und im aktuellen Werkstückprogramm verwendet. Siehe auch "Aufrufen einer vorhandenen Ausrichtung".


Iterativ

Mit der Schaltfläche Iterativ wird das Dialogfeld Iterative Ausrichtung geöffnet. Verwenden Sie dieses Dialogfeld, um iterative Ausrichtungen zu erstellen. Siehe auch "Erstellen einer iterativen Ausrichtung".


Besteinpassung

Mit der Schaltfläche Besteinpassung wird das Dialogfeld Besteinpassung geöffnet. Verwenden Sie dieses Dialogfeld, um Besteinpassungs-Ausrichtungen zu erstellen. Siehe auch "Erstellen einer Besteinpassungs-Ausrichtung".


Auto-Ausrichten

Mit der Schaltfläche Auto Ausrichten können Sie drei Elemente wählen, aus denen PC-DMIS dann automatisch eine Ausrichtung erstellt. Die Reihenfolge, in der die Elemente gewählt werden, ist äußerst wichtig.

  1. Das erste der drei Elemente dient zum Festlegen der Richtung der Achse, die vertikal zur aktuellen Arbeitsebene steht.
  2. Die aktuelle Arbeitsebene wird dann zum zweiten Element hin gedreht.
  3. Zuletzt wird der Werkstücknullpunkt dem dritten Elementtyp entsprechend festgelegt.

Angenommen, Sie wählen eine:

Ebene, Linie und einen Punkt mit ZPLUS als Arbeitsebene:
Die Ebene legt dann die Richtung des Werkstücks in ZPLUS fest. Die gemessene Linie wird zur XPLUS-Hauptachse. Der Nullpunkt der Ebene wird dem Nullpunkt der Z-Achse gleichgesetzt. Das Y entspricht dem der Linie und das X dem des Punkts.

Ebene, Linie und einen gemessenen Kreis mit YMINUS als Arbeitsebene:
Die Ebene legt dann die Richtung des Werkstücks in YMINUS fest. Die gemessene Linie wird zur ZMINUS-Hauptachse. Der Nullpunkt der Ebene wird dem Nullpunkt der Y-Achse gleichgesetzt. Die X- und Z-Nullpunkte entsprechen dem Kreismittelpunkt.

Falls PC-DMIS nicht in der Lage ist, eine neue Ausrichtung anhand der drei gewählten Elemente zu erstellen, erscheint ein Popup-Fenster mit einer entsprechenden Fehlermeldung.


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Ausrichtungen" - CAD gleich Werkstück

CAD gleich Werkstück

Die Schaltfläche CAD gleich Werkstück ist hilfreich, wenn Sie CAD-Daten online benutzen.

So setzen Sie das CAD dem Werkstück gleich:

  1. Messen Sie Elemente am Werkstück oder an der Spannvorrichtung.
  2. Verwenden Sie zum Erstellen einer Ausrichtung die Ausrichtungsoptionen (EBENE, DREHEN und NULLPUNKT SETZEN).
  3. Klicken Sie auf die Schaltfläche CAD = Werkstück.

PC-DMIS bildet eine Brücke zwischen den CAD-Daten und den Meßdaten. Auf diese Weise können die Meßdaten über den CAD-Daten angezeigt werden. Die CAD-Daten werden außerdem zur maßlichen Prüfung des Werkstücks eingesetzt. Diese Option steht erst zur Auswahl, nachdem eine erstellte Ausrichtung den Nullpunkt/die Lage des Werkstücks an der gleichen Stelle wie den Nullpunkt/die Ausrichtung des CAD positioniert hat.

Nachdem für ein Werkstück auf die Schaltfläche CAD = Werkstück geklickt wurde, ist die gleichnamige Menüoption ausgewählt.


Erstellen einer 3-2-1-Ausrichtung

Nachfolgend werden die Schritte erläutert, die Sie zum Erstellen einer standardmäßigen 3-2-1-Ausrichtung durchführen müssen.

Hinweis: Klicken Sie auf dieses Symbol auf der Symbolleiste Zusätze
3-2-1 Ausrichtungs-Assistent,

um den PC-DMIS Assistenten für die 3-2-1-Ausrichtung aufzurufen. PC-DMIS muß dabei ausgeführt werden.

Siehe auch:

Schritt 1: Messen der Ausrichtungselemente

Schritt 2: Nivellieren, Drehen und Übertragen auf die Elemente

Schritt 3: Fertigstellen der Ausrichtung


Schritt 1: : Messen der Ausrichtungselemente

Zunächst müssen Sie die Elemente messen, die Sie für die 3-2-1-Ausrichtung verwenden. Es werden drei standardmäßige Elementtypen für die Erstellung einer 3-2-1-Ausrichtung verwendet. Die Zahlen 3, 2 und 1 verweisen auf die Mindestanzahl an Meßpunkten, die zum Messen dieser Elemente erforderlich sind.

  • Messen einer Ebene. Das erste Element ist das Ebenenelement, das eine aus drei Meßpunkten bestehende Ebene darstellen sollte. PC-DMIS nivelliert das Werkstück auf dieses Element. Hierbei werden der Nullpunkt und die Richtung der ersten Achse (normalerweise der Z-Achse) bestimmt.
  • Messen einer Linie. Das zweite Element ist das Drehelement, das eine aus zwei Meßpunkten bestehende Linie darstellen sollte. PC-DMIS dreht das Werkstück auf dieses Element, wobei die zweite Achse ausgerichtet wird. Der zweite Meßpunkt dieses Elements sollte relativ zu Ihrem ersten Meßpunkt in der positiven Richtung der Achse liegen. Dieses Element definiert die Richtung der zweiten Achse (normalerweise der X-Achse) und den Nullpunkt der dritten Achse (normalerweise der Y-Achse).
  • Messen eines Punktes. Das dritte und letzte Element ist das Nullpunktelement, das nur aus einem Meßpunkt besteht. Da PC-DMIS den Nullpunkt für diese Achse anhand der ersten beiden Elemente erstellt, wird mit dem dritten Punkt lediglich der Nullpunkt der gesamten Ausrichtung bestimmt. PC-DMIS überträgt das Werkstück auf dieses Element, wobei für das Nullpunktelement die Lage X=0, Y=0 und Z=0 eingestellt wird.

Wenn Sie die notwendigen Elemente gemessen haben, können Sie die Ausrichtung erstellen.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 2: : Nivellieren, Drehen und Übertragen auf die Elemente

In diesem Schritt wird das Dialogfeld Ausrichtungen zum Ebnen, Drehen und Übertragen des im vorangehenden Schritt gemessenen Werkstücks verwendet.

Klicken Sie hier, um die Beschreibung zum Dialogfeld "Ausrichtungen" anzuzeigen.

  1. Öffnen Sie das Dialogfeld Ausrichtungen. Beachten Sie, daß in der Elementliste alle möglichen Elemente angezeigt werden, die zum Ebnen, Drehen oder Übertragen des Werkstücks verwendet werden können.

Display Menu Roadmap
Klicken Sie in der Elementliste auf das Ebenenelement, das Sie im vorangehenden Schritt erstellt haben. Nachdem PC-DMIS das Element gewählt hat, wählen Sie die Achse, auf die PC-DMIS das Werkstück ebnen soll, und klicken Sie auf Raum. PC-DMIS zeigt im Dialogfeld Ausrichtungen eine Textzeile mit Informationen zum Element und zur Achse an, die für diesen Nivellierungsvorgang verwendet werden.

  3. Klicken Sie in der Elementliste auf das Linienelement, das Sie im vorangehenden Schritt erstellt haben. Nachdem PC-DMIS das Element gewählt hat, legen Sie fest, auf welche Achse und um welche Achse das Werkstück gedreht werden soll, und klicken Sie auf Drehen. PC-DMIS zeigt wiederum das Element und die Achse für diesen Rotationsvorgang an.
  4. Klicken Sie in der Elementliste auf das Punktelement, das Sie im vorangehenden Schritt erstellt haben. Nachdem PC-DMIS das Element gewählt hat, aktivieren Sie das entsprechende Kontrollkästchen für die Achse. Legen Sie fest, welche Achse (oder Achsen) auf dieses Nullpunktelement gestellt werden soll, und klicken Sie auf Nullpunkt.

Hinweis: Als Alternative können Sie auch alle drei Elemente aus der Elementliste auswählen und auf Auto Ausrichten klicken. PC-DMIS ebnet dann automatisch auf das erste gewählte Element, dreht auf das zweite gewählte Element und überträgt die Achsen auf das dritte gewählte Element.

Nun können Sie die Ausrichtung fertigstellen.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 3: : Fertigstellen der Ausrichtung

So stellen Sie die Ausrichtung fertig:

  1. Stellen Sie sicher, daß die Informationen im geöffneten Dialogfeld richtig sind.
  2. Klicken Sie auf OK, wenn Sie fertig sind. PC-DMIS schließt das Dialogfeld, fügt den Code für die Ausrichtung im Bearbeitungsfenster ein und zeigt die Ausrichtung grafisch auf dem CAD-Modell im Grafikfenster an.
  3. Sie können den Ausrichtungscode jederzeit bearbeiten. Anweisungen hierzu finden Sie unter "Verwenden des Bearbeitungsfensters".


Erstellen einer Besteinpassungs-Ausrichtung

Measured Theoretical Cancel OK Translate Only Rotate Only Rotate and Translate Min / Max Vector Least Squares Active Plane 2D Orientation 3D Orientation Enter New Value Rotate About Create Weights Edit Weights Input list Feature List

Display Menu Roadmap
Bei Klicken auf die Schaltfläche Besteinpassung im Dialogfeld Ausrichtungen öffnet PC-DMIS das Dialogfeld Besteinpassung. Über dieses Dialogfeld können Sie eine Besteinpassung der Meßdaten an die Nennpunkte vornehmen. Dieses Verfahren setzt die Messung von mindestens drei Elementen voraus.

Siehe auch:

Informationen zu Besteinpassungs-Ausrichtungen

So erstellen Sie eine Besteinpassungs-Ausrichtung

Beschreibung zum Dialogfeld "Besteinpassungs-Ausrichtung


Informationen zu Besteinpassungs-Ausrichtungen

Um die Besteinpassungs-Ausrichtung korrekt zu erstellen, beachten Sie bitte folgende Informationen.

Werden zwei Elementgruppen in PC-DMIS miteinander verglichen, wird die Differenz zwischen den tatsächlichen Elementpositionen und ihren entsprechenden theoretischen Positionen gemessen. Wird eine Punkreihe mit dem aus diesen Punkten berechneten Element verglichen, mißt PC-DMIS die Differenz zwischen den Punkten und ihrer orthogonalen Projektion auf das Element. Mit der Besteinpassung wird versucht, den allgemeinen Minimalwert für das Verfahren zu finden, mit dem der "Abstand" zwischen den Punkten und dem Element ermittelt wurde.

Die nachfolgenden Themen helfen zum Verständnis der wichtigen Aspekte der Besteinpassungs-Ausrichtunge.

Siehe auch:

Befehlszeilenformat für die 2D-Besteinpassung

Befehlszeilenformat für die 3D-Besteinpassung

2D- oder 3D-Besteinpassungs-Ausrichtungen

Verfügbare Besteinpassungs-Typen

Einschränkungen für 3D-Besteinpassungs-Ausrichtungen

Elementgewichtungen

Elementgruppen als Eingaben bei der Besteinpassungs-Ausrichtung

Scans als Eingaben bei der Besteinpassungs-Ausrichtung

Gekennzeichnete Elemente in einer Elementgruppe oder einem Scan

3D-Ausrichtung des Rotationszentrums


Befehlszeilenformat für die 2D-Besteinpassung

Die im Bearbeitungsfenster für die Option 2D-Besteinpassung angezeigte Befehlszeile lautet:

AUSRICHTUNG/BF2D,TOG1,TOG2,xy_Versatz,z_Rotation
ID=Element1,Element2,Element3...
TOLERANZ=x,y,z

Änderbare Felder:

"TOG1"
Mit diesem Feld können Sie zwischen den verfügbaren Arbeitsebenen umschalten. Die aktuelle Arbeitsebene sollte angezeigt werden.

"TOG2"
Mit diesem Feld können Sie zwischen den verfügbaren Besteinpassungs-Verfahren umschalten.

"Element-ID"
Hierbei handelt es sich um die Elemente, die zur Besteinpassung bei der zweidimensionalen Ausrichtung verwendet werden. Beispiel: GRUPPE1.


Befehlszeilenformat für die 3D-Besteinpassung

Die im Bearbeitungsfenster für die Option 3D-Besteinpassung 3D angezeigte Befehlszeile lautet:

AUSRICHTUNG/BF3D,TOG1,TOG2,xyz_Versatz, xyz_Rotation
ID=Element1,Element2,Element3...
TOLERANZ=x,y,z
CAD SUCHEN=J/N

Änderbare Felder:

"TOG1"
Mit diesem Feld können Sie zwischen den verfügbaren Besteinpassungsverfahren umschalten.

"TOG2"
Mit diesem Feld können Sie zwischen den verfügbaren Beschränkungsarten umschalten.

"Element-ID"
Hierbei handelt es sich um die Elemente, die zur Besteinpassung bei der dreidimensionalen Ausrichtung verwendet werden. Beispiel: GRUPPE1.

"xyz_Roation"
Das Feld xyz_Rotation bezieht sich auf den Rotationswinkel, um den die Ausrichtung um die dritte Achse einer bestimmten Arbeitsebene herum angepaßt wird. (X-Rotation bedeutet beispielsweise Rotation um die X-Achse in der YZ-Ebene.)


2D- oder 3D-Besteinpassungs-Ausrichtung

2D- oder 3D-Besteinpassungs-Ausrichtungen

Besteinpassungs-Ausrichtungen können entweder in zwei- oder dreidimensionaler Richtung erfolgen. Es gibt einen bedeutenden Unterschied zwischen einer 2D- und einer 3D-Besteinpassung.

  • Eine 2D-Besteinpassungs-Ausrichtung setzt eine Erstausrichtung voraus. Die Ausrichtung wird in der aktuell angegebenen Arbeitsebene erstellt und basiert auf der aktuellen Ausrichtung.
  • Bei einer 3D-Besteinpassungs-Ausrichtung werden die Rohdaten (Maschinendaten) verwendet und Korrelationen zu den theoretischen Werten hergestellt. Dabei wird KEINE vorherige Ausrichtung verwendet, sondern eine völlig neue erstellt.


Verfügbare Besteinpassungs-Typen

Beim Erstellen einer Besteinpassungs-Ausrichtung stehen mehrere Optionen zur Auswahl: Es gibt drei verschiedene Arten von Besteinpassungsoptionen:

  1. Kleinste Quadrate (Standard) – minimiert das quadrierte Fehlermittel der Anpassung von allen in die Besteinpassung einbezogenen Elementen. Dies ist der häufigste Besteinpassungstyp. Der Fehlerwert ist die Summe der quadrierten Abstände. Ausreißer haben keine Wirkung als Abweichung und die Richtung des Fehlers spielt keine Rolle bei diesem Besteinpassungstyp.
  2. Vektor – (auch bekannt als projizierte kleinste Quadrate) – minimiert auch das quadrierte Fehlermittel aller in die Anpassung einbezogenen Elemente. Bewirkt jedoch zuerst das Wiedereinrasten (oder die Projektion) der Punkte auf die Nennvektoren des Elements. Auf diese Weise befinden sich alle Fehler entlang der Vektoren. Der Fehlerwert ist die Summe der quadrierten projizierten Abstände. Dieser Besteinpassungstyp findet in der Regel dann Anwendung, wenn eine Punktreihe in Kurven und/oder Oberflächen eingepaßt wird. Mit diesem Besteinpassungstyp bietet PC-DMIS die Möglichkeit, Punkte entlang einer Oberfläche "gleiten" zu lassen. Dabei wird verhindert, daß sich die Punkte aus der Oberfläche zurückziehen.
    Beispiel: Ist der Nennpunkt: 1.1.1 mit dem Vektor: 0,0,1, und sind die Meßwerte 4,2,0,95, dann werden die Meßdaten auf 1,1,0,95 eingestellt und bei Vektor 0,0,1 eingerastet.
  3. Min/Max – minimiert den max. Fehler (den größten Abstand) unter den eingepaßten Elementen. Messungen mit starken Abweichungen haben eine drastische Wirkung auf diesen Fehlerwert. Dieser Ausrichtungstyp kann verwendet werden, um zu bestimmen, ob es eine Ausrichtung gibt, bei der alle für die Besteinpassungs-Ausrichtung vorzunehmenden Elementeingaben im vorgegebenen Toleranzbereich liegen. Dieser Besteinpassungstyp wird über Y14,5 vorgegeben.

Hinweis: Die Option Min/Max ist nur für 2D-Besteinpassungen verfügbar.


Einschränkungen für 3D-Besteinpassungs-Ausrichtungen

Auch 3D-Besteinpassungs-Ausrichtungen können Beschränkungen auferlegt werden. Die Beschränkungsoptionen lauten wie folgt:

  1. Drehen & Verschieben (Standard) – Damit erhält die Ausrichtung bei der Korrelation von Maschinendaten und theoretischen Werten uneingeschränkte Flexibilität.
  2. Nur drehen – Diese Option beschränkt die Ausrichtung auf Drehen und unterstützt keine Verschiebungen.
  3. Nur verschieben – Diese Option beschränkt die Ausrichtung auf Verschiebungen und unterstützt keine Drehungen.


Elementgewichtungen

Jedes als Eingabe verwendete Element besitzt eine zugehörige Gewichtung. Der Standardwert ist 1. Die Werte der Gewichtungen wirken sich auf die Ergebnisausrichtung aus. Je größer das Gewicht eines bestimmten Elements, desto genauer stimmt bei der Ergebnisausrichtung der Meßwert dieses Elements mit dem theoretischen Wert überein. Dies bietet Ihnen die Möglichkeit, den Elementen in der Ausrichtung Prioritäten zuzuweisen. Wenn die Gewichtungen aller Eingabeelemente identisch sind, dann werden die Elemente gleich behandelt, unabhängig vom Wert der Gewichtung.

Je nach zugehörigem Merkmal können jedem Element Gewichtungen zugewiesen werden. Gibt es kein entsprechendes Merkmal, wird dem Element eine Standardtoleranz zugewiesen. Die Gewichtungen werden durch Klicken auf die Schaltfläche Gewichtungen erstellen zugewiesen. Alle Gewichtungen können bearbeitet werden, indem das entsprechende Element in der Eingabeliste ausgewählt und auf Gewichtung bearbeiten geklickt wird. Dem Element wird dann die neue Gewichtung zugewiesen, die bei den Berechnungen zugrundegelegt wird.


Elementgruppen als Eingaben bei der Besteinpassungs-Ausrichtung

Bei Verwendung von Elementgruppen (konstruierten Sätzen oder Scans) als Eingaben bei der Besteinpassungs-Ausrichtung erscheint neben der Element-ID im Feld Eingabeliste ein Plus-Zeichen (+). Durch einmaliges Klicken auf das Plus-Zeichen (+) werden die Elemente, aus denen die Elementgruppe besteht, angezeigt. Anfänglich sind die Gewichtungen jedes Elements identisch mit denen des übergeordneten Elements (der Ausgangsgruppe). Die Gewichtung jedes untergeordneten Elements der Gruppe kann auf die gleiche Weise wie oben beschrieben bearbeitet werden. Um die Gewichtung aller Elemente in der Gruppe zu ändern, bearbeiten Sie einfach die Gewichtung der Elementgruppe an sich, und diese Gewichtung wird dann auf alle abhängigen Elemente übertragen.


Scans als Eingaben bei der Besteinpassungs-Ausrichtung

Beim Arbeiten mit einem Scan gibt es eine Komponente mehr als beim Arbeiten mit einem Element. Scans setzen sich aus Basis-Scans zusammen. Jeder Basis-Scan besteht aus einzelnen Punkten. Wenn Sie auf das Pluszeichen (+) neben einem Scan klicken, werden alle damit verknüpften Basis-Scans angezeigt. Ein Pluszeichen (+) erscheint neben jedem Basis-Scan. Wenn Sie auf das Pluszeichen (+) neben jedem Basis-Scan klicken, werden alle mit dem Basis-Scan verknüpften Einzelpunkte angezeigt. Die Gewichtung jedes Punkts, die Gewichtung des Basis-Scans (und aller seiner Punkte) oder die Gewichtung des Scans an sich können bearbeitet werden.


Gekennzeichnete Elemente in einer Elementgruppe oder einem Scan

Es können auch einzelne Elemente in einer Elementgruppe markiert werden, um ihre Verwendung auszuschließen. Um die Verwendung eines Element einer Gruppe bei der Besteinpassungs-Ausrichtung durch Kennzeichnung auszuschließen, doppelklicken Sie im Feld Eingabeliste auf das Element. Dadurch ändert sich der Eintrag "JA" in der Spalte Verwenden im Feld Eingabeliste zu "NEIN". Beim Doppelklicken auf einen Basis-Scan werden dieser und alle zugehörigen Punkte mit "NEIN" gekennzeichnet und nicht bei den Berechnungen verwendet.


3D-Ausrichtung des Rotationszentrums

Für bestimmte Besteinpassungs-Ausrichtungen kann ein Rotationszentrum vorgegeben werden. Hierfür gibt es zwei Möglichkeiten:

  1. Markieren Sie ein Element im Feld Eingabeliste. Klicken Sie danach auf die Schaltfläche Drehen. Die theoretischen und gemessenen Werte werden automatisch in die entsprechenden Felder im Bereich Drehen um eingegeben.
  2. Ist eine bestimmte Koordinate erwünscht, kann der Wert manuell durch Eingabe der XYZ-Koordinate in die Felder Theoretisch und Gemessen eingetragen werden. Gültige Eingaben für den Wert müssen durch Komma begrenzt sein, z.B. Xtheo, Ytheo, Ztheo.


So erstellen Sie eine Besteinpassungs-Ausrichtung

Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Ausrichtungen.

Display Menu Roadmap
Klicken Sie auf die Schaltfläche Besteinpassung. Das Dialogfeld Besteinpassungs-Ausrichtung wird angezeigt. Verwenden Sie dieses Dialogfeld, um die Besteinpassungs-Ausrichtung zu erstellen. Weitere Informationen zu diesem Dialogfeld finden Sie unter Beschreibung zum Dialogfeld "Besteinpassungs-Ausrichtung".

  3. Wählen Sie die zu verwendenden Elemente aus dem Feld Elementliste aus. Diese werden im Feld Eingabeliste angezeigt.
  4. Wählen Sie die Richtung der Ausrichtung (entweder 2D oder 3D) durch Auswahl der entsprechenden Option im Bereich Ausrichtung. Wählen Sie bei der 2D-Ausrichtung zudem die richtige aktive Ebene aus der Auswahlliste Aktive Ebene aus.
  5. Wählen Sie die beste Art der Einpassung, indem Sie im Bereich Besteinpassungsverfahren die entsprechende Option aktivieren. Wählen Sie bei der 3D-Ausrichtung außerdem die entsprechende Beschränkung im Bereich Besteinpassungsverfahren.
  6. Um die Gewichtungen der Elemente zu bearbeiten, klicken Sie auf die Schaltfläche Gewichtungen erstellen. Wählen Sie das Element, dessen Gewichtung geändert werden soll. Klicken Sie auf die Schaltfläche Gewichtung bearbeiten. Geben Sie die neue Gewichtung in das Feld Neuer Wert im Bereich Gewichtungs-Editor ein, und klicken Sie auf die Schaltfläche Eingabe.
  7. Um den Drehpunkt um ein bestimmtes Element festzulegen, wählen Sie das Element aus der Eingabeliste aus, und klicken Sie auf die Schaltfläche Drehen um. Sie können aber auch einen Wert in die Felder Theoretisch und Gemessen im Bereich Drehen um des Dialogfeldes eingeben.
  8. Klicken Sie auf die Schaltfläche OK.


Beschreibung zum Dialogfeld "Besteinpassungs-Ausrichtung"

In den folgenden Themen werden die einzelnen Einträge des Dialogfelds Besteinpassungs -Ausrichtung beschrieben.

Siehe auch:

Eingabeliste

Gewichtungen bearbeiten

Gewichtungen erstellen

Drehen um

Neuer Wert

Eingabe

Theoretisch

Gemessen

3D

2D

Aktive Ebene

Kleinste Quadrate

Vektor

Min./Max.

Drehen & Verschieben

Nur Drehen

Nur Verschieben


Eingabeliste

Das Feld Eingabeliste enthält die Elemente, die zur Erstellung der Besteinpassungs-Ausrichtung verwendet werden. Die Liste dient außerdem zur Bearbeitung der Elemente vor Erstellung der Ausrichtung.


Gewichtung bearbeiten

Gewichtungen bearbeiten

Mit der Schaltfläche Gewichtung bearbeiten wird die aktuelle Gewichtung des ausgewählten Elements in das Feld Neuer Wert des Bereichs Gewichtungs-Editor eingegeben, so daß sie geändert werden kann.


Gewichtungen erstellen

Mit der Schaltfläche Gewichtungen erstellen werden automatisch Gewichtungen für jedes Element im Feld Eingabeliste erstellt.


Drehen um

Beim Klicken auf die Schaltfläche Drehen um werden die theoretischen und gemessenen Werte des im Feld Eingabeliste markierten Element genommen und in die Felder Theoretisch und Gemessen des Bereichs Drehen um eingesetzt. Dieser Wert dient bei der Berechnung der Besteinpassungs-Ausrichtung als Rotationszentrum.


Neuer Wert

In das Feld Neuer Wert wird die neue Gewichtung eingegeben.


Eingabe

Beim Klicken auf die Schaltfläche Eingabe wird der Wert im Feld Neuer Wert übernommen und die Gewichtung des im Feld Eingabeliste markierten Elements entsprechend geändert.


Theoretisch

Dieses Feld enthält das theoretische Rotationszentrum für 3D-Besteinpassungs-Ausrichtungen.


Gemessen

Dieses Feld enthält den gemessenen Rotationsmittelpunkt für 3D-Besteinpassungs-Ausrichtungen.


3D

Ist die Option 3D markiert, erfolgt die Ergebnisausrichtung in 3D.


2D

Ist die Option 2D markiert, erfolgt die Ergebnisausrichtung in 2D.


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Besteinpassungs-Ausrichtung" - Aktive Ebene

Aktive Ebene

In der Auswahlliste Aktive Ebene wird die Ebene festgelegt, in der eine 2D-Ausrichtung berechnet werden soll.


Kleinste Quadrate

Ist die Option Kleinste Quadrate markiert, werden die quadrierten Fehlermittel für die eingegebenen Elemente in der Ausrichtung minimiert.


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Besteinpassungs-Ausrichtung" - Vektor

Vektor

Ist die Option Vektor markiert, werden die Ergebnispunkte in den Eingabeelementen auf den theoretischen Vektoren eingerastet, bevor das quadrierte Fehlermittel minimiert wird.


Min./Max.

Ist die Option Min/Max markiert, wird bei der Ausrichtung eine Lageanpassung des Werkstücks versucht, so daß PC-DMIS den maximalen Fehler in allen Eingabeelementen minimiert.

Hinweis: Dies gilt nur für 2D-Besteinpassungen.


Drehen & Verschieben

Mit der Option Drehen & Verschieben wird bei der Berechnung der Ausrichtung maximale Freiheit gelassen; so daß frei gedreht und verschoben werden kann.


Nur Drehen

Mit der Option Nur Drehen wird die Ausrichtung bei ihrer Berechnung auf die Drehung beschränkt.


Nur Verschieben

Mit der Option Nur Verschieben wird die Ausrichtung bei ihrer Berechnung auf das Verschieben beschränkt.


Erstellen einer iterativen Ausrichtung

Error Label Fixture Tolerance Start Label Point Target Radius Meas All Always Meas All Once Select Origin Rotate Level Cancel OK Clear Feature List Select Last # Search ID

Iterative Ausrichtung (Dialogfeld)

Display Menu Roadmap
Wird die Schaltfläche Iterativ im Dialogfeld Ausrichtungen angeklickt, zeigt PC-DMIS das Dialogfeld Iterative Ausrichtung an. Dieses Dialogfeld ermöglicht Ihnen die bestmögliche Anpassung der Meßdaten an die Nennpunkte (oder Oberflächen, falls vorhanden). Dieses Verfahren setzt die Messung von mindestens drei Elementen voraus. Bestimmte Elementtypen, wie beispielweise. Punkte und Linien, haben schlechte dreidimensionale Lagen. Wird einer dieser Elementtypen gewählt, sind zur Bereitstellung genauer Meßdaten zusätzliche Elemente erforderlich.

  • Die erste Elementgruppe legt die Ausrichtung der vertikalen Achse der aktuellen Arbeitsebene fest, indem eine Ebene durch die Flächenmittelpunkte des Elements hindurch eingepaßt wird. In diesem Profilschnitt (RAUM - 3 +) müssen mindestens drei Elemente verwendet werden.
  • Die nächste Elementgruppe dreht die für die Arbeitsebene definierte Achse zu den Elementen hin und paßt dabei eine Linie durch die Elemente hindurch ein. In diesem Profilschnitt (EBENE -2 +) müssen mindestens zwei Elemente verwendet werden.
    Falls keine Elemente markiert wurden, verwendet die Ausrichtung Elemente aus dem Profilschnitt RAUM. (Bei den beiden aus dem Profilschnitt RAUM verwendeten Elementen handelt es sich um das zweit- und drittletzte Element.)
  • Die letzte Elementgruppe verschiebt den Nullpunkt des Werkstücks an eine bestimmte Position (NULLPUNKT SETZEN – 1).
    Falls keine Elemente markiert wurden, verwendet die Ausrichtung das letzte Element aus dem Profilschnitt RAUM.

Siehe auch:

Informationen zu iterativen Ausrichtungen

So erstellen Sie eine iterative Ausrichtung

Beschreibung zum Dialogfeld "Iterative Ausrichtung


Informationen zu iterativen Ausrichtungen

Die hier angeführten Informationen sollen Sie beim Erstellen einer iterativen Ausrichtung unterstützen. Die folgenden Themen dienen zum besseren Verständnis einiger wichtiger Aspekte von iterativen Ausrichtungen.

Siehe auch:

Befehlsformat für iterative Ausrichtungen

Regeln der iterativen Ausrichtung


Befehlsformat für iterative Ausrichtungen

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
AUSRICHTUNG/WIEDERH,'Element-ID'
PKT_ZIELRADIUS=n, STARTMARKE=Sprungmarke, VORRICHTUNG_TOL= n, FEHLERSPRUNGMARKE=Sprungmarke
ALLE ELEM MESS=NEIN/IMMER/EINMAL,
RAUMACHSE=Achse, DREHACHSE=Achse, NULLPUNKTACHSE=Achse
RAUM = ID, ID, ID,…
DREHEN = ID, ID,…
NULLPUNKT = ID,…

Änderbares Feld: "Element-ID"
Hierbei handelt es sich um die Elemente, die zur Durchführung der iterativen Ausrichtung verwendet werden. Gegenwärtig müssen mindestens drei verschiedene Elemente für die Kalibrierung gewählt werden. Elemente, die in mehreren Richtungen liegende Bezugselement- Achsen bilden können, (wie z.B. ein Kreis oder Langloch) können auf mehr als einer Bezugselement-Achse vorgegeben werden. Beispielsweise kann ein Kreis sowohl zur Festlegung der Raumachse als auch der Drehachse verwendet werden. In der Regel kann anhand von Meßpunkten (einschließlich Vektor- und Oberflächenpunkten) nur eine Bezugselement-Achse festgelegt werden.

PKT_ZIELRADIUS = Diese Option gibt den Zielradius-Wert der bei der Ausrichtung verwendeten gemessenen Punktelemente an. Weitere Informationen finden Sie unter "Punkte-Zielradius".

STARTMARKE = PC-DMIS beginnt mit der Neubemessung der Ausrichtungselemente bei der hier angegebenen Sprungmarke. Dies funktioniert nur, wenn ALLE ELEM MESS auf IMMER eingestellt ist. Vollständige Informationen finden Sie unter Startsprungmarke.

VORRICHTUNG TOL = Unter Verwendung dieses Toleranzwertes vergleicht PC-DMIS gemessene Ausrichtungselemente mit deren theoretischen Werten. Vollständige Informationen finden Sie unter Vorrichtungs-Toleranz.

FEHLERSPRUNGMARKE = PC-DMIS geht zu dieser Sprungmarke, wenn der Toleranzwert für die Spannvorrichtung überschritten wird. Wenn Sie keine Sprungmarke definieren, gibt PC-DMIS eine Fehlermeldung aus, die den Fehlerwert der einzelnen Eingabeelemente anzeigt. Vollständige Informationen finden Sie unter Fehlersprungmarke.

RAUMACHSE = PC-DMIS legt die Ausrichtung und den Nullpunkt der hier angegebenen Achse unter Verwendung der Eingabeelemente für RAUM fest. Vollständige Informationen finden Sie unter Raum.

DREHACHSE = PC-DMIS legt die Drehung der hier angegebenen Achse um die Raumachse unter Verwendung der Eingabeelemente für DREHEN fest. Der Nullpunkt der hier angegebenen Achse wird ebenfalls unter Verwendung der Eingabeelemente für DREHEN festgelegt. Vollständige Informationen finden Sie unter Drehen.

NULLPUNKTACHSE = PC-DMIS legt den Nullpunkt der hier angegebenen Achse unter Verwendung der Eingabeelemente für NULLPUNKT fest. Vollständige Informationen finden Sie unter Nullpunkt.

ALLE ELEM MESS = Diese Option bestimmt, ob PC-DMIS die Eingabeelemente neu mißt oder automatisch einen Teil des Werkstückprogramms erneut im CNC-Modus ausführt. Für diese Option gibt es drei mögliche Einstellungen. Diese sind:

  • NEIN Vollständige Informationen finden Sie unter Punkte-Zielradius.
  • EINMAL Vollständige Informationen finden Sie unter Alle einmal messen.
  • IMMER Vollständige Informationen finden Sie unter Immer alle messen.


Regeln der iterativen Ausrichtung

Bei Durchführung einer iterativen Ausrichtung gelten einige allgemeine Regeln.

PC-DMIS benötigt für jedes der Elemente in den Gruppen die gemessenen und theoretischen Werte. Die vertikalen Vektoren der ersten Gruppe von Elementen müssen annähernd parallel sein. Die einzige Ausnahme dieser Regel gilt dann, wenn nur drei Elemente in der Gruppe verwendet werden.

Werden Meßpunkte (VEKTOR, KANTE oder OBERFLÄCHE) verwendet, so sind zur Definition der Ausrichtung alle drei Elementgruppen erforderlich (drei Elemente für "Raum", zwei Elemente für "Drehen" und ein Element für "Nullpunkt setzen"). Es kann jeder beliebige Elementtyp verwendet werden, dreidimensionale Elemente sind jedoch besser definiert und erhöhen somit die Genauigkeit. Zu den in Frage kommenden 3D-Elementen gehören Blechkreise, Langlöcher, Zylinder, Kugeln oder Eckpunkte.

Hinweis: Blechkreise, Langlöcher und Zylinder benötigen mindestens drei Stützpunkte.

Die Problematik bei Verwendung von Meßpunkten besteht in der Ungewißheit, an welcher Stelle die Messung nach vorgenommener Ausrichtung erfolgen soll. Dies stellt ein Problem dar, da die Punkte vor der Ausrichtung gemessen werden müssen. Bei den für diesen Zweck als dreidimensional bezeichneten Elementen handelt es sich um Elemente, die beim ersten Mal präzise gemessen werden können.

Bei Verwendung von Meßpunkten (VEKTOREN, KANTE oder OBERFLÄCHE) müssen außerdem die Elemente der Gruppe DREHEN über vertikale Vektoren verfügen, die annähernd senkrecht zu den Vektoren der Elemente der Gruppe RAUM stehen. Die Elemente der Gruppe NULLPUNKT müssen über einen vertikalen Vektor verfügen, der ungefähr senkrecht zu den Vektoren der Elemente der Gruppen RAUM und DREHEN verläuft.

Wenn Meßpunkte (VEKTOREN, KANTE oder OBERFLÄCHE) als Teil der Gruppe verwendet werden, fordert PC-DMIS eventuell zur erneuten Messung auf, wenn sie zu weit entfernt von der Nennposition aufgenommen wurden. Es erfolgt dann zunächst eine "Besteinpassung" der Meßdaten in die Nenndaten. Als nächstes überprüft PC-DMIS, wie weit jeder Meßpunkt entfernt ist. Überschreitet der Abstand den im Feld Punkte-Zielradius angegebenen Wert, fordert PC-DMIS zur erneuten Messung des Punktes auf. PC-DMIS setzt im Prinzip einen zylindrischen Toleranzbereich um die theoretische Position jeder Vektoroberfläche bzw. jedes Kantenpunkts. Der Radius dieses Toleranzbereichs entspricht der im Dialogfeld angegebenen Punkttoleranz. PC-DMIS setzt die erneute Messung der Punktelemente solange fort, bis alle Meßpunkte in den "Toleranzbereich" fallen. Der Toleranzbereich wirkt sich nur auf Meßpunkte aus.

Mit Hilfe einer Spezialfunktion von PC-DMIS können Sie den Mittelpunkt eines Langlochs entlang der Achse auf- und abschieben, falls dies erforderlich ist. Bei Verwendung eines Langlochs als Teil der Gruppe NULLPUNKT wird daher keine Konvergenz der iterativen Ausrichtung erzielt. Um ein Langloch dennoch als Teil der Gruppe NULLPUNKT zu verwenden, können Sie zuerst einen Punkt aus dem Langloch konstruieren und diesen konstruierten Punkt dann in der Gruppe NULLPUNKT verwenden.

Bei der iterativen Ausrichtung empfiehlt es sich nicht, ein Langloch als Teil der Gruppe NULLPUNKT zu verwenden.

Verwendeter Elementtyp: | Erforderliche Mindestanzahl von Elementen:
Kreis | 3 Kreise | Diese Methode verwendet 3 CNC-Kreise für die Ausrichtung.
Linie | Dieser Elementtyp wird nicht empfohlen.
Punkt | 6 Punkte: | Die Punkte dienen zur 3-2-1-Ausrichtung.
Langloch | Dieser Elementtyp wird nicht als Teil Gruppe NULLPUNKT empfohlen.
Kugel | 3 Kugeln | Diese Methode verwendet 3 Sätze an Kugeln zur Ausrichtung.


So erstellen Sie eine iterative Ausrichtung

Hinweis: Klicken Sie auf dieses Symbol in der Symbolleiste Zusätze,
um den PC-DMIS-Assistenten für die Iterative Ausrichtung zu öffnen. PC-DMIS muß dabei ausgeführt werden.

So erstellen Sie eine iterative Ausrichtung:

  1. Öffnen Sie das Dialogfeld Ausrichtungen.

Display Menu Roadmap
Klicken Sie auf die Schaltfläche Iterativ. Das Dialogfeld Iterative Ausrichtung wird angezeigt. Verwenden Sie dieses Dialogfeld, um die iterative Ausrichtung zu erstellen. Weitere Informationen zu diesen Dialogfeldern finden Sie unter Beschreibung zum Dialogfeld "Iterative Ausrichtung" oder unter Beschreibung zum Dialogfeld "Besteinpassungs-Ausrichtung".

  3. Markieren Sie im Feld Elementliste die erste Elementgruppe (mit mindestens drei Elementen), die zur Ausrichtung der vertikalen Achse auf der aktuellen Arbeitsebene dienen soll.
  4. Vergewissern Sie sich, daß die Option Raum markiert ist.
  5. Klicken Sie auf die Schaltfläche Auswählen.
  6. Markieren Sie mit der Maus die zweiten Elementgruppe (mit mindestens zwei Elementen), die beim Rotationsverfahren verwendet werden soll.
  7. Vergewissern Sie sich, daß die Option Drehen markiert ist.
  8. Klicken Sie auf die Schaltfläche Auswählen.
  9. Markieren Sie die letzte Elementgruppe (mit mindestens einem Element), welche die gewünschte Position des Werkstücknullpunkts angibt. (Dieselben Elemente können bei mehr als einem Vorgang verwendet werden.)
  10. Vergewissern Sie sich, daß die Option Nullpunkt markiert ist.
  11. Klicken Sie auf die Schaltfläche Auswählen.
  12. Klicken Sie auf die Schaltfläche OK. Das Dialogfeld Iterative Ausrichtung wird geschlossen.
  13. Klicken Sie im Dialogfeld Ausrichtungen auf OK, um die Ausrichtung abzuschließen.

Hinweis: Werden die Optionen Raum, Drehen oder Nullpunkt markiert, nachdem sie bereits bestimmten Elementen zugewiesen wurden, werden die für die betreffende Option angegebenen Eingabeelemente angezeigt.

Nachdem dieser Vorgang abgeschlossen ist, nimmt PC-DMIS die dreidimensionale "Besteinpassung" der Meßdaten vor und zeigt die neue Ausrichtung im Grafikfenster und im Bearbeitungsfenster an. Siehe auch "Befehlsformat für iterative Ausrichtungen".


Beschreibung zum Dialogfeld "Iterative Ausrichtung"

Nachfolgend werden die einzelnen Einträge des Dialogfelds Iterative Ausrichtung beschrieben.

Siehe auch:

Raum

Drehen

Nullpunkt

Auswählen

Iteriere einmal

Iteriere bis Abbruch

Punkte-Zielradius

Vorrichtungs-Toleranz

Startmarke

Fehlermarke


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Iterative Ausrichtung" - Raum

Raum

Die Option Raum- 3 wird in Verbindung mit mindestens drei der im Feld Elementliste markierten Elemente verwendet. Diese Elementgruppe legt die Ausrichtung der vertikalen Achse der aktuellen Arbeitsebene fest, indem eine Ebene durch die Flächenmittelpunkte des Elements hindurch eingepaßt wird.

Zur Anwendung der Option Raum müssen mindestens drei Elemente verwendet werden.


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Iterative Ausrichtung" - Drehen

Drehen

Die Option Ebene - 2 wird in Verbindung mit mindestens zwei der im Feld Elementliste markierten Elemente verwendet. Diese Elementgruppe dreht die für die Arbeitsebene definierte Achse zu den Elementen hin und paßt dabei eine Linie durch die Elemente hindurch ein.

Zum Drehen müssen mindestens zwei Elemente verwendet werden.

Hinweis: Falls keine Elemente markiert wurden, verwendet die Ausrichtung Elemente aus dem Profilschnitt RAUM. (Bei den beiden aus dem Profilschnitt RAUM verwendeten Elementen handelt es sich um das zweit- und drittletzte Element.)


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Iterative Ausrichtung" - Nullpunkt

Nullpunkt

Die Option Nullpunkt - 1 wird in Verbindung mit einem im Feld Elementliste markierten Element verwendet. Diese Elementgruppe verschiebt (oder bewegt) den Nullpunkt des Werkstücks an eine bestimmte Position.

Zum Setzen des Nullpunkts muß mindestens ein Element verwendet werden.

Hinweis: Falls keine Elemente markiert wurden, verwendet die Ausrichtung das letzte Element aus dem Profilschnitt RAUM.


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Iterative Ausrichtung" - Auswählen

Auswählen

Mit der Schaltfläche Auswählen können Sie die im Feld Elementliste hervorgehobenen Elemente auswählen und diese Elemente bei einer iterativen Ausrichtung zum Nivellieren, Drehen und Übertragen (oder Verschieben) des Nullpunkts einsetzen.


Alle einmal messen

Iteriere einmal

Wenn Sie das Kontrollkästchen Iteriere einmal aktivieren, geschieht folgendes:

  • PC-DMIS mißt alle Eingabeelemente mindestens einmal im CNC-Modus neu.
  • Die Reihenfolge, in der sie gemessen werden, wird durch den Befehl für eine iterative Ausrichtung im Bearbeitungsfenster festgelegt.
  • In einem Meldungsfeld wird angegeben, welches Element jeweils gemessen wird.
  • Bevor Sie die Bewegung akzeptieren, vergewissern Sie sich, daß der Taster das (die) angegebene(n) Element(e) erreichen kann, ohne mit dem Werkstück zu kollidieren.
  • Vor oder nach den einzelnen Elementen gefundene gespeicherte Bewegungen werden nicht ausgeführt.
  • Nachdem alle Elemente mindestens einmal gemessen wurden, wird die Neumessung der Elemente bei gemessenen Punkttypen von Elementen sowie bei Punkten fortgesetzt, die den angepeilten Punkte-Zielradius (siehe Punkte-Zielradius) verfehlt haben.

Hinweis: Kreise werden in diesem Modus nicht mehr als einmal gemessen, da sich ihre Lage nie ändert.


Immer alle messen

Iteriere bis Abbruch

Wenn Sie das Kontrollkästchen Iteriere bis Abbruch aktivieren, führt PC-DMIS einen Teil des aktuellen Werkstückprogramms mindestens einmal erneut im CNC-Modus aus. Welcher Teil erneut ausgeführt wird, wird durch die Startsprungmarke (siehe Startmarke) festgelegt.

Wenn Sie eine Startmarke angeben:

  • Führt PC-DMIS den Programmabschnitt ab der festgelegten Sprungmarke bis hin zu dem AUSRICHTUNG/START-Befehl erneut aus, der den derzeitigen Ausführungsbefehl für eine iterative Ausrichtung enthält.

Wenn Sie keine Sprungmarke angeben:

  • Beginnt PC-DMIS mit der erneuten Ausführung bei dem ersten gemessenen Element im Programm, von dem der Befehl für eine iterative Ausrichtung Gebrauch macht.
  • Sind im ersten Element voranliegende Bewegungspunkte gespeichert, dann werden diese ebenfalls ausgeführt.
  • Die erneute Ausführung wird bis zu dem zuletzt gemessenen Element, von dem der Befehl für eine iterative Ausrichtung Gebrauch macht, fortgesetzt.
  • Alle hinter diesem Befehl liegenden gespeicherten Bewegungen werden nicht ausgeführt.

Nach Beendigung der erneuten Ausführung berechnet PC-DMIS die Ausrichtung neu und testet, ob alle gemessenen Eingabepunkte innerhalb des unter Punkte-Zielradius angegebenen Toleranzradius liegen.

  • Liegen sie alle innerhalb des Zielbereichs, muß die erneute Ausführung nicht fortgesetzt werden. PC-DMIS sieht den Befehl für eine iterativen Ausrichtung als vollständig an.
  • Verfehlen irgendwelche Punkte den Zielbereich, dann wird derselbe Programmabschnitt wie oben beschrieben erneut ausgeführt.


Punkte-Zielradius

Im Feld Punkte-Zielradius können Sie die Zielradius-Toleranz für gemessene Punktelemente angeben, die als Eingaben bei der Ausrichtung dienen. Gemessene Eingabepunkten beinhalten:

  • MESS/PUNKT
  • AUTO/VEKTOR
  • AUTO/KANTE
  • AUTO/OBERFLÄCHE
  • AUTO/WINKEL

Während sich die zum Messen eines Kreises auf einem Werkstück gemessene Stelle leicht bestimmen läßt, ist es wesentlich schwieriger, die genaue Stelle zum Messen eines Punktes auf der Oberfläche zu finden. Wenn der zu messende Punkt nicht visuell ausgewiesen ist, ist es schwierig, den Punkt an der richtigen Stelle manuell zu messen. Mit dem Punkte-Zielradius ist es möglich, einen imaginären Toleranzbereich (oder Zielbereich) in der Größe eines bestimmten Radius um jeden Punkt anzugeben. Auf diese Weise ist eine Berührung an jeder beliebigen Stelle innerhalb des angegebenen Toleranzbereichs gültig. Wurde der Meßpunkt nicht innerhalb dieses Bereichs aufgenommen, mißt PC-DMIS den Punkt erneut im CNC-Modus.

PC-DMIS versucht, die Eingabeelemente basierend auf den im Dialogfeld Iterative Ausrichtung markierten Kontrollkästchen neu zu messen (siehe Iteriere einmal und Iteriere bis Abbruch).

Wenn Sie das Kontrollkästchen Iteriere bis Abbruch oder Iteriere einmal nicht markieren (oder manuell im Bearbeitungsfenster ALLE MERKM MESS=NEIN festlegen):

  • paßt PC-DMIS die Bezugselemente ein und überprüft, ob gemessenen Eingabepunkte ihr Ziel verfehlt haben. Wenn dies der Fall ist, werden nur diese Elemente erneut im CNC-Modus gemessen.
  • PC-DMIS zeigt in einem Dialogfeld das zu messende Element an. Auf diese Weise können Sie sich zuvor vergewissern, daß der Taster das angegebene Element erreichen kann, ohne mit dem Werkstück zu kollidieren.
  • Wenn alle Punktelemente im Zielbereich liegen, sieht PC-DMIS den Befehl für eine iterative Ausrichtung als abgeschlossen an.
  • Sind gemessene Punktelemente vorhanden, die ihren Zielbereich verfehlt haben, mißt PC-DMIS sie so lange neu, bis sie in den Zielbereich fallen.

Hinweis: Es ist wichtig, für den Punkte-Zielradius keinen zu kleinen Vektorwert festzulegen (z.B. 50 Mikron). Viele KMGs sind nicht in der Lage, den Taster so genau zu positionieren, daß jeder Meßpunkt in einem winzigen Zielbereich berührt wird. Ein Toleranzwert von etwa 0,5 mm wäre die bessere Wahl. Nimmt die Neubemessung kein Ende, sollten Sie diesen Wert erhöhen.


Vorrichtungs-Toleranz

Über das Feld Vorrichtungs-Toleranz können Sie einen Einpassungstoleranzwert eingeben, den PC-DMIS zum Vergleich der Elementkomponenten der iterativen Ausrichtung mit den theoretischen Werten heranzieht.

Weisen ein oder mehrere Elemente nach Einpassung der gemessenen Werte in die theoretischen Werte eine fehlerhafte Abweichung entlang ihrer zugewiesenen Bezugselement- Achse auf, die diesen Toleranzwert überschreitet, geht PC-DMIS automatisch zur Fehlersprungmarke (sofern eine vorhanden ist). Siehe Fehlersprungmarke

Wenn Sie keine Fehlersprungmarke angeben, zeigt PC-DMIS die Fehler entlang der einzelnen Bezugselemente in einer Fehlermeldung an. Sie können dann entscheiden, die Abweichungen des Bezugselements zu akzeptieren und das restliche Werkstückprogramm fortzusetzen oder die Ausführung des Werkstückprogramms abzubrechen.

PC-DMIS kann den Toleranzwert für die Spannvorrichtung nur dann zugrundelegen, wenn Sie zur Erstellung des Elements mehr Punkte als die erforderliche Mindestanzahl verwendet haben. Wenn Sie beispielsweise eine Ebene messen, wird hierfür in der Regel eine Mindestanzahl von drei Punkten benötigt. Wenn allerdings der Toleranzwert für die Spannvorrichtung zugrundegelegt werden soll, müssen mindestens vier Punkte gemessen werden. Werden nur drei Punkte verwendet, steht nur eine Lösung zu Auswahl und PC-DMIS kann keine Anpassung vornehmen oder erneut iterieren.


Startsprungmarke

In dem Feld Startmarke können Sie eine Sprungmarke festlegen, zu der PC-DMIS bei der erneuten Messung von Elementen für eine iterative Ausrichtunggeht, sofern das Kontrollkästchen Iteriere bis Abbruch aktiviert ist.

  • Die erneute Messung wird im CNC-Modus ab der festgelegten Sprungmarke durchgeführt und endet bei dem Befehl AUSRICHTUNG/START (der dem Befehl AUSRICHTUNG/WIEDERH vorausgeht). Dies ist die von PC-DMIS erwartete Funktionsweise diese Befehls.

Wenn Sie keine Startmarke festlegen:

  • geht PC-DMIS zum ersten Element der iterativen Ausrichtung und beginnt dort mit der CNC-Messung (hierbei werden alle diesem Element direkt vorausgehenden Bewegungen mitberücksichtigt).
  • Die Befehle des Werkstückprogramms werden der Reihe nach erneut ausgeführt, bis das letzte Element der iterativen Ausrichtung erreicht ist. Alle hinter diesem Endelement liegenden Bewegungen werden nicht ausgeführt.

Informationen zum Erstellen einer Sprungmarke finden Sie unter "Erstellen von Sprungmarken" im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".


Fehlersprungmarke

Im Feld Fehlermarke können Sie eine Sprungmarke festlegen, zu der PC-DMIS geht, wenn die fehlerhafte Abweichung entlang des Bezugselements der einzelnen Eingabeelemente den im Feld Vorrichtungs-Toleranz festgelegten Toleranzwert für die Spannvorrichtung überschreitet.

Hinweis: Wenn Sie die Mindestzahl von Eingaben für jede der Bezugselement-Achsen angeben (drei für das Bezugselement Raum, zwei für das Bezugselement Ebene und eine für das Bezugselement Nullpunkt), kann PC-DMIS den Meßwert des Eingabeelements fehlerlos in dessen theoretische Werte einpassen. In diesem Fall ist für PC-DMIS die Vorrichtungs-Toleranz nicht wirklich erforderlich. Wenn Sie für eines der festgelegten Bezugselemente mehr als die Mindestzahl von Eingaben angeben, können Werkstück- oder Spannsystemfehler verhindern, daß die Meßwerte mit einem geringeren Fehlerwert als die angegebene Vorrichtungs-Toleranz in die theoretischen Werte eingepaßt werden.

Wenn Sie keine Fehlermarke festlegen, zeigt PC-DMIS eine Fehlermeldung mit der fehlerhaften Abweichung der einzelnen Bezugselemente an. Sie können die Ausführung mit den abweichenden Bezugselementen fortsetzen oder sie ganz abbrechen.

Informationen zum Erstellen einer Sprungmarke finden Sie unter "Erstellen von Sprungmarken" im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".


Speichern einer Ausrichtung

Cancel OK Alignment Name Units Drives List Files of Type Directories File Name

Display Menu Roadmap
Über die Option Ausrichtung speichern wird die aktuelle Ausrichtung in einer externen Datei gespeichert, die dann von einem anderen Werkstückprogramm aufgerufen werden kann. In den hier angeführten Themen wird das Dialogfeld Ausrichtung speichern beschrieben. Außerdem erfahren Sie, wie eine Ausrichtung gespeichert wird, um sie später in anderen Werkstückprogrammen zu verwenden.

Siehe auch:

So speichern Sie eine Ausrichtung

Beschreibung zum Dialogfeld "Ausrichtung Speichern"


So speichern Sie eine Ausrichtung

Beachten Sie, daß Sie (bei Anwendung des folgenden Verfahrens) nur dann eine Ausrichtung speichern müssen, wenn diese in einem anderen Werkstückprogramm aufgerufen werden soll. Alle Ausrichtungen werden bei Verwendung in einem Werkstückprogramm automatisch gespeichert.

So speichern Sie eine Ausrichtung:

  1. Wählen Sie Speichern in der Menüleiste. Das Dialogfeld Ausrichtung speichern wird angezeigt.

Display Menu Roadmap
Geben Sie im Feld Dateiname einen Namen für die Ausrichtung ein (maximal zehn Zeichen).

  3. Je nachdem, ob die Ausrichtung in Zoll oder Millimeter gespeichert werden soll, klicken Sie entweder auf die Option Zoll oder Millimeter. Bei der Standardmaßeinheit jeder Ausrichtung handelt es sich um die gleiche Maßeinheit, die vom Programm verwendet wird, für das die Ausrichtung erstellt wurde. Wenn Sie eine Ausrichtung in einem anderen Werkstückprogramm verwenden möchten, müssen Sie die Maßeinheiten der Ausrichtung nicht in den Maßeinheiten des neuen Werkstückprogramms speichern. Die Ausrichtung wird automatisch in die Maßeinheiten des neuen Werkstückprogramms konvertiert (siehe auch "Aufrufen").
  4. Klicken Sie auf die Schaltfläche OK.

Wird kein Name für die Ausrichtungs-ID eingegeben, wird PC-DMIS den Dateinamen automatisch zu externen Speicherzwecken kopieren. Die Ausrichtung kann in jedem beliebigen Verzeichnis gespeichert werden. Damit die Ausrichtung jedoch auf dem Bildschirm angezeigt werden kann, muß sie im gleichen Verzeichnis wie das Werkstückprogramm gespeichert werden.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
SPEICHERN /AUSRICHTUNG,Name_der_Ausrichtung,Dateiname, TOG1

TOG1
Dieses Feld kann zwischen BEIDE und MASCHINE_IN_WERKST umgeschaltet werden. Wählen Sie BEIDE, um die Umwandlungsmatrizen von Maschinen- und CAD-in-Werkstückdaten zu speichern. Wählen Sie MASCHINE_IN_WERKST, wenn nur die Umwandlung der Maschinendaten in Werkstückdaten gespeichert werden soll.

Siehe auch:

Bearbeiten des Befehls SPEICHERN/AUSRICHTUNG


Bearbeiten des Befehls SPEICHERN/AUSRICHTUNG

Sie haben die Möglichkeit, die Befehlszeile mit einem weiteren Dialogfeld Ausrichtung speichern zu bearbeiten, indem Sie die Maus auf dem Befehl SPEICHERN/AUSRICHTUNG plazieren und die F9-Taste betätigen.

In diesem Dialogfeld Ausrichtung speichern können Sie neue Dateinamen für die gespeicherte Ausrichtung erstellen. Wählen Sie die Ausrichtung einfach aus der Liste aus, ändern Sie den Dateinamen im Feld Dateiname und klicken Sie auf OK. PC-DMIS erstellt auf Basis des alten Dateinamen einen neuen Dateinamen. Die Änderung erfolgt ebenfalls am Befehl SPEICHERN/AUSRICHTUNG im Bearbeitungsfenster.

In diesem Dialogfeld können die Kontrollkästchen Zeige Hauptverzeichnis und Zeige Arbeitsverzeichnis nicht aktiviert werden. Sie geben lediglich die Einstellungen im Dialogfeld Suchpfad zum Laden von Ausrichtungen wieder. Sie können diese Kontrollkästchen ändern, indem Sie die Anweisungen unter "Angeben externer Verzeichnisse für die Suche" im Abschnitt "Voreinstellungen" befolgen.

Ist das Kontrollkästchen Zeige Arbeitsverzeichnis aktiviert, werden alle .aln-Dateien des Arbeitsverzeichnisses folgendermaßen in der Ausrichtungsliste angezeigt:

ARBEITSVERZEICHNIS\dateiname1.aln

ARBEITSVERZEICHNIS\dateiname2.aln

ARBEITSVERZEICHNIS\dateiname3.aln

Ist das Kontrollkästchen Zeige Hauptverzeichnis aktiviert, werden alle .aln-Dateien des Stammverzeichnisses folgendermaßen in der Ausrichtungsliste angezeigt:

STAMMVERZEICHNIS\dateiname1.aln

STAMMVERZEICHNIS\dateiname2.aln

STAMMVERZEICHNIS\dateiname3.aln


Beschreibung zum Dialogfeld "Ausrichtung speichern"

Nachfolgend werden die einzelnen Bestandteile des Dialogfelds Ausrichtung speichern beschrieben.

Siehe auch:

Dateiname

Verzeichnisse

Dateitypen auflisten

Laufwerke

Name der Ausrichtung

Einheiten


Dateiname

Im Feld Dateiname können Sie die Datei der zu speichernden Ausrichtung benennen.


Verzeichnisse

Über die Verzeichnisstruktur können Sie das Verzeichnis ansteuern, in dem Sie die Ausrichtung speichern möchten.


Dateitypen auflisten

In der Auswahlliste Dateitypen werden alle im aktuellen Verzeichnis enthaltenen Dateien unter Berücksichtigung eines bestimmten Dateityps angezeigt. Der Standarddateityp lautet *.aln. Das bedeutet, daß nur die Dateien mit der Ausrichtungserweiterung (*.aln) im Fenster angezeigt werden.


Laufwerke

In der Auswahlliste Laufwerke können Sie festlegen, auf welcher Festplatte bzw. welchem Laufwerk die Ausrichtung gespeichert werden soll.


Name der Ausrichtung

Das Feld Name der Ausrichtung zeigt die Ausrichtungs-ID der zu speichernden Ausrichtung an.

Wird keine Ausrichtungs-ID eingegeben, fertigt PC-DMIS zu externen Speicherzwecken automatisch ein Duplikat des Dateinamens an. Die Ausrichtungs-ID kann in jedem beliebigen Verzeichnis gespeichert werden. Damit die Ausrichtung jedoch auf dem Bildschirm angezeigt werden kann, muß sie im gleichen Verzeichnis wie das Werkstückprogramm gespeichert werden.

Verwenden Sie diese Option nur, wenn die Ausrichtung in einem anderen Werkstückprogramm aufgerufen werden soll. Alle Ausrichtungen werden bei Verwendung in einem Werkstückprogramm automatisch gespeichert.


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Ausrichtung speichern" - Einheiten

Einheiten

Mit den Optionen Zoll und Millimeter im Bereich Einheiten können Sie bestimmen, in welcher Maßeinheit die Ausrichtung gespeichert wird: Zoll oder Millimeter.


Aufrufen einer vorhandenen Ausrichtung

Mit der Schaltfläche Aufrufen können Sie eine Ausrichtung, die zuvor im aktuellen Programm (interne Ausrichtung) erstellt oder von einem anderen Werkstückprogramm (externe Ausrichtung) gespeichert wurde, aufrufen.

Display Menu Roadmap
Dieser Befehl kann nur außerhalb von einem Ausrichtungsblock eingefügt werden.

Hinweis: Auch mit der Schaltfläche Aufrufen des Dialogfelds Ausrichtungen können Sie eine vorhandene Ausrichtung aufrufen. Es können aber nur Ausrichtungen aufgerufen werden, die zuvor in diesem Werkstückprogramm (interne Ausrichtung) erstellt wurden.

Eine Ausrichtung muß zuerst mit der Menüoption Speichern gespeichert werden, bevor sie in einem anderen Werkstückprogramm aufgerufen werden kann. Siehe auch "Speichern einer Ausrichtung".

Display Menu Roadmap
Wurde die aufgerufene Ausrichtung mit anderen Maßeinheiten als im aktuellen Werkstückprogramm gespeichert, werden die Ausrichtungseinheiten automatisch in die Maßeinheiten des aktuellen Werkstückprogramms konvertiert.

Siehe auch:

So rufen Sie eine Ausrichtung auf


So rufen Sie eine Ausrichtung auf

So rufen Sie eine Ausrichtung auf:

  1. Klicken Sie auf die Menüoption Aufrufen (oder öffnen Sie das Dialogfeld Ausrichtungen und klicken Sie auf Aufrufen). Das Auswahlfeld Wählt die Ausrichtung aus wird angezeigt.

Display Menu Roadmap
Geben Sie die maximal 15 Zeichen lange, gespeicherte Ausrichtungs-ID ein, oder wählen Sie die gewünschte Ausrichtung aus der Auswahlliste aus.

  3. Klicken Sie auf OK. PC-DMIS fügt den Befehl AUFRUFEN/AUSRICHTUNG in das Bearbeitungsfenster ein.

Siehe auch:

Befehlszeilenformat für das Aufrufen von Ausrichtungen


Befehlszeilenformat für das Aufrufen von Ausrichtungen

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

AUFRUFEN/AUSRICHTUNG, INTERN, 'Ausrichtungs_ID'
AUFRUFEN/AUSRICHTUNG, EXTERN, 'Ausrichtungs_ID',

DATEINAME:'Ausrichtungs_ID'

Code zum Aufrufen einer internen Ausrichtung…

AUFRUFEN/AUSRICHTUNG, INTERN, 'Ausrichtungs_ID'

Ausrichtungs-ID
Hierbei handelt es sich um die interne Ausrichtung, die direkt vom aktuellen Werkstückprogramms aus aufgerufen wird. Damit alle anderen Ausrichtungsbefehle funktionieren können, muß PC-DMIS zuerst die angegebene Ausrichtungs-ID (mit AUFRUFEN) aufrufen. Für diesen Befehl werden weder die Befehle AUSRICHTUNG/START noch AUSRICHTUNG/ENDE im Bearbeitungsfenster benötigt.

Code zum Aufrufen einer externen Ausrichtung…

AUFRUFEN/AUSRICHTUNG, EXTERN, 'Ausrichtungs_ID',DATEINAME: 'Ausrichtungs_ID'

Ausrichtungs-ID
Hierbei handelt es sich um die externe Ausrichtung, die von einem anderen als dem aktuellen Werkstückprogramm aufgerufen wird. Damit alle anderen Ausrichtungsbefehle funktionieren können, muß PC-DMIS zuerst die angegebene Ausrichtungs-ID mit AUFRUFEN aufrufen. Für diesen Befehl werden weder die Befehle AUSRICHTUNG/START noch AUSRICHTUNG/ENDE im Bearbeitungsfenster benötigt.

DATEINAME:
Hier handelt es sich um den Dateinamen mit der Erweiterung .aln für die gespeicherte externe Ausrichtung.


Arbeiten mit einer Ausrichtung in Schleifen

In der Version PC-DMIS 3.6 und höher wird das Ändern von Ausrichtungen innerhalb eines Werkstückprogramms, das Schleifen oder bedingte Verzweigungen verwendet, durch den Eingabe des Kennworts VERWENDE_AKTIVE_AUSRICHTUNG vereinfacht.

Mit einem Blick auf die Befehlszeile AUSRICHTUNG/START werden Sie feststellen, daß das Programm durch das direkt auf den Text AUFRUFEN: folgende Feld angewiesen wird, zuerst eine gespeicherte Anfangsausrichtung zu verwenden. Im folgenden Beispiel beginnt die Ausrichtung D_1 mit der Ausrichtung ab D_0 und vollführt dann eine 45-Grad-Drehung um ZPLUS.

D_1    AUSRICHTUNG/START, AUFRUFEN:D_0, LISTE= JA
AUSRICHTUNG/DREHEN_VERSATZ,45,0, UM, ZPLUS
AUSRICHTUNG/ENDE

Wird allerdings das Kennwort VERWENDE_AKTIVE_AUSRICHTUNG verwendet, können Sie veranlassen, daß PC-DMIS eine 45-Grad-Drehung von der aktiven Ausrichtung aus vollführt.

D_1    AUSRICHTUNG/START, AUFRUFEN:VERWENDE_AKTIVE_AUSRICHTUNG, LISTE= JA
AUSRICHTUNG/DREHEN_VERSATZ,45,0, UM, ZPLUS
AUSRICHTUNG/ENDE

Wenn Sie dieses Kennwort für eine Ausrichtung in einer Schleife verwenden:

  • wird die aktive Ausrichtung beim ersten Durchgang durch die Schleife die letzte ausgeführte Ausrichtung vor der Schleife sein.
  • Bei weiteren Durchgängen bleibt die aktive Ausrichtung wie sie ist und vollführt eine weitere 45-Grad-Drehung gegenüber dem ersten Durchgang durch die Schleife.

Wenn Sie das Kennwort VERWENDE_AKTIVE_AUSRICHTUNG verwenden, sollten Sie in jedem Fall die Auswahl des Kontrollkästchens Globale Einstellungen beim Verzweigen zurücksetzen aufheben und das Kontrollkästchen Behandle Theo-Werte als wären sie in den Teilekoordinaten gespeichert des Dialogfelds Setup-Optionen, auf der Registerkarte Allgemein markieren. Vollständige Informationen zum Bearbeiten der Einstellungen finden Sie im Abschnitt "Voreinstellungen".

Weitere Informationen zu Schleifen finden Sie unter "Erstellen allgemeiner Schleifen" unter "Verzweigen mit Hilfe der Ablaufsteuerung".

Display Menu Roadmap


Angleichen einer Ausrichtung

Cancel OK with Alignment Equate Alignment

Display Menu Roadmap
Die Option Ausrichtung angleichen gleicht zwei Ausrichtungen an. Diese Option ermöglicht folgendes:
  • Ändern der Position oder Ausrichtung eines Werkstücks, wobei jedoch die vorherigen Merkmalsdaten beibehalten werden.
  • Neuausrichten des Werkstücks und Speichern der zuvor gemessenen Daten, wenn das Werkstück während des Prüfverfahrens versehentlich angestoßen oder verschoben wurde.

Siehe auch:

So ändern Sie eine Werkstückposition und -ausrichtung

So führen Sie eine Wiederherstellung nach einem versehentlichen Verschieben eines Werkstücks durch

Beschreibung zum Dialogfeld "Ausrichtung angleichen"


So ändern Sie eine Werkstückposition und -ausrichtung

Gehen Sie beispielsweise wie folgt vor, um ein Merkmal zu messen, das auf Elemente an zwei Seiten des Werkstücks verweist, die von einer einzelnen Werkstückausrichtung aus nicht zugänglich sind.

  1. Messen Sie die Ausrichtungselemente auf der ersten Seite des Werkstücks.
  2. Erstellen Sie die ursprüngliche Ausrichtung.
  3. Messen Sie alle erforderlichen Elemente, die von der ersten Ausrichtung des Werkstücks erreichbar sind.
  4. Verschieben Sie das Werkstück an seine neue Position.
  5. Messen Sie die neuen Ausrichtungselemente. Die anzugleichenden Ausrichtungen müssen denselben Nullpunkt und die gleiche Achsenrichtung aufweisen. Dies ist am einfachsten verständlich, wenn Sie sich vorstellen, daß die Pfeile des ursprünglichen Nullpunkts und der ursprünglichen Achse vor dem Verschieben auf das Werkstück aufgeklebt wurden. Die neue Ausrichtung plaziert die Pfeile des Nullpunkts und der Achsen mit Bezug auf das Werkstück in die gleiche Position.
  6. Klicken Sie auf die Menüoption Angleichen. Das Dialogfeld Ausrichtung angleichen wird angezeigt.

Display Menu Roadmap
Wählen Sie die neue Ausrichtung in der Liste Original Ausrichtung angleichen aus.

  8. Wählen Sie die alte Ausrichtung in der Liste An neue Ausrichtung aus.
  9. Klicken Sie auf die Schaltfläche OK. Das CAD-Modell wird sich nicht relativ zu den Ausrichtungsachsen bewegen, wohingegen die gemessenen Werte verschoben werden, sobald PC-DMIS die Angleichung der Ausrichtung durchführt.


So führen Sie eine Wiederherstellung nach einem versehentlichen Verschieben eines Werkstücks durch

Wenn ein Werkstück versehentlich verschoben wurde, gehen Sie wie folgt vor:

  1. Klicken Sie auf die Menüoption Angleichen.

Display Menu Roadmap
Geben Sie die ID der neu zu messenden Ausrichtung als die erste und zweite Ausrichtungs-ID ein.

  3. Messen Sie die Ausrichtungselemente erneut. Nach abgeschlossener Messung werden alle Merkmals- und Elementsinformationen auf die neue Position des Werkstücks übertragen. Das CAD-Modell wird sich nicht relativ zu den Ausrichtungsachsen bewegen, wohingegen die gemessenen Werte verschoben werden, sobald PC-DMIS die Angleichung der Ausrichtung durchführt.

Wird dieser Befehl zur Gleichsetzung derselben Ausrichtung in einem Werkstückprogramm verwendet, zeigt PC-DMIS die Befehlszeile im Bearbeitungsfenster nicht an.

Im Bearbeitungsfenster erscheint nur dann eine Befehlszeile, wenn zwei verschiedene Ausrichtungen gewählt werden. Eine externe Ausrichtung kann verwendet werden, solange sie sich von der gleichgesetzten Ausrichtung unterscheidet. Die externe Ausrichtung muß mit dem Befehl AUFRUFEN/AUSRICHTUNG, EXTERN aufgerufen werden, bevor sie angezeigt wird.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
ANGLEICHEN/"Name"AN AUSRICHTUNG,"Name_der_Ausrichtung"


Beschreibung zum Dialogfeld "Ausrichtung angleichen"

Nachfolgend werden die einzelnen Einträge des Dialogfelds Ausrichtung angleichen beschrieben.

Siehe auch:

Ausrichtung angleichen

An Ausrichtung angleichen


Erstellen und Verwenden von Ausrichtungen - Beschreibung zum Dialogfeld "Ausrichtung angleichen" - Ausrichtung angleichen

Ausrichtung angleichen

In der Auswahlliste Ausrichtung angleichen können Sie die anzugleichende Ausrichtung auswählen. Hierbei handelt es sich um eine soeben erstellte Ausrichtung, die Sie an eine vorhandene Ausrichtung angleichen.


An Ausrichtung angleichen

In der Auswahlliste An Ausrichtung angleichen können Sie die Ausrichtung auswählen, an die angeglichen wird. Hierbei handelt es sich um eine frühere Ausrichtung an die Sie eine soeben erstellte Ausrichtung angleichen.


Angleichen von CAD an gemessene Werkstückdaten

Display Menu Roadmap
Mit der Menüoption CAD gleich Werkstück (oder der Schaltfläche CAD = Werkstück im Dialogfeld Ausrichtungen) können Sie CAD-Daten mit gemessenen Daten verbinden. Diese Option steht erst zur Auswahl, nachdem eine erstellte Ausrichtung den Nullpunkt/die Lage des Werkstücks an der gleichen Stelle wie den Nullpunkt/die Ausrichtung des CAD positioniert hat. PC-DMIS stellt die Option CAD GLEICH WERKSTÜCK in zwei Bereichen innerhalb der Option Ausrichtung zur Auswahl (siehe auch "CAD gleich Werkstück"). Bei Auswahl dieser Option zeigt PC-DMIS die Meßdaten über den CAD-Daten an. Die CAD-Daten werden damit zur Prüfung des Werkstücks eingesetzt.

Wurde die Option CAD gleich Werkstück in einem Werkstückprogramm verwendet, ist die Menüoption CAD gleich Werkstück markiert.


Durchführen einer KMG-Verschiebung

Results Reset Accept Measure Close Hits Measure 3

Dialogfeld "KMG-Verschiebung"

Über die Menüoption KMG-Verschiebung wird das Dialogfeld KMG-Verschiebung angezeigt.

Display Menu Roadmap
Mit Hilfe dieses Dialogfelds können Sie Ihr tragbares KMG verschieben und somit Werkstücke messen, die zu groß für das KMG sind. Bevor Sie dieses Verfahren anwenden, sollten Sie sich der beschränkten Genauigkeit der Maschine bewußt sein.

Die KMG-Verschiebung besteht im Grunde in der Messung einer Reihe von Elementen und – nach Verschiebung der Maschine – in einer erneuten Messung derselben Elemente in derselben Reihenfolge. Dies hat eine Umgestaltung zur Folge, und die Maschine verhält sich dabei, als ob es sich beim Koordinatensystem um dasselbe wie vor der Verschiebung handelt.

Die Umgestaltung erfolgt unabhängig von allen Werkstückprogrammen und wirkt sich auf die Art der Berichterstattung des KMG an PC-DMIS aus. Eine zuvor verwendete KMG-Verschiebung können Sie mit der Schaltfläche Rücksetzen im Dialogfeld entfernen.

Der Befehl zur KMG-Verschiebung wird durch Anklicken der Schaltfläche Akzeptieren in das Bearbeitungsfenster eingegeben.

Die Befehlszeile im Bearbeitungsfenster lautet:
KMG-VERSCHIEBUNG/TOG1, NUM, TOG2

TOG1:Der erste Parameter des KMG-Verschiebungsbefehls ist ein Umschaltfeld für die drei Typen, die im Bereich Messung 3 des Dialogfeldes verfügbar sind. Dazu gehören:

  1. KUGELN
  2. Punktsätze (werden im Befehl als PSÄTZE angegeben)
  3. PUNKTE

Für diesen Parameter gibt es auch den Wert AUS, der bewirkt, daß die anderen beiden Parameter nicht angezeigt werden. Durch den Wert AUS wird die KMG-Verschiebung deaktiviert.

ANZ:Dieser zweite Parameter im KMG-Verschiebungsbefehl gibt die Anzahl der aufzunehmenden Meßpunkte an. Er entspricht dem Feld Meßpunkte des Dialogfelds KMG-Verschiebung.

TOG2:Dieser letzte Parameter des KMG-Verschiebungsbefehls ist ein Umschaltfeld, über das zwischen einer VOLLSTÄNDIGEN oder PARTIELLEN KMG-Verschiebung umgeschaltet werden kann. Dieser Parameter entspricht den Optionen Vollständig und Teilw. im Dialogfeld. Wenn dieser Befehl ausgeführt wird, werden Sie zur Aufnahme der Meßpunkte aufgefordert. Die KMG-Verschiebung wird dann nach Aufnahme aller Meßpunkte wirksam.

Siehe auch:

Bereich "Messung 3"

Meßpunkte

Messen

Akzeptieren

Rücksetzen

Feld "Ergebnisse"


Bereich "Messung 3"

Im Bereich Messung 3 des Dialogfelds können Sie die Elemente auswählen, die PC-DMIS zum Vergleichen der Verschiebung verwendet.

Siehe auch:

Kugeln

Punktsätze

Punkte


Kugeln

Über die Option Kugeln wird PC-DMIS angewiesen, Kugeln als Elemente zum Vergleichen der Verschiebung zu verwenden. Bei dieser Methode wird der Mittelpunkt jeder gemessenen Kugel verwendet.


Punktsätze

Über die Option Punktsätze wird PC-DMIS angewiesen, den Flächenmittelpunkt eines Punktsatzes zu verwenden. Es empfiehlt sich, die Unterseite eines invertierten Kegels mit einem starren Taster zu verwenden. Diese Methode ist etwas genauer als die Methode mit Kugeln und viel schneller für den Bediener.


Erstellen und Verwenden von Ausrichtungen - Messung 3 (Bereich) - Punkte

Punkte

Über die Option Punkte wird PC-DMIS angewiesen, lediglich drei Punkte zu verwenden. Dies ist die ungenaueste der drei Methoden.


Erstellen und Verwenden von Ausrichtungen - Durchführen einer KMG-Verschiebung - Meßpunkte

Meßpunkte

Im Feld Meßpunkte können Sie die für jedes Element zu verwendende Anzahl von Meßpunkten angeben. Dies wird bei der Punktmethode natürlich nicht verwendet.


Erstellen und Verwenden von Ausrichtungen - Durchführen einer KMG-Verschiebung - Messen

Messen

Über die Schaltfläche Messen wird das Dialogfeld Ausführungsoptionen geöffnet. In diesem Dialogfeld werden Sie zuerst zur Messung der ersten drei Elemente und anschließend zur Verschiebung des KMGs aufgefordert. Nach der KMG-Verschieben werden Sie aufgefordert, dieselben Elemente in derselben Reihenfolge noch einmal zu messen.

Das Ergebnisfeld zeigt dann den vor und nach der Verschiebung des KMGs erfaßten 3D-Abstand zwischen den Elementen an. Wenn die Ergebnisse nicht zufriedenstellend sind, können Sie die letzten drei Elemente noch einmal messen, denn die Schaltfläche trägt jetzt die Bezeichnung: Neu messen.

Hinweis: Sind die Ergebnisse auch nach erneuter Messung nicht zufriedenstellend, so müssen Sie die KMG-Verschiebung rücksetzen und von vorne beginnen. Dies stellt bei allen Systemen mit KMG-Verschiebung ein Problem dar, dessen Sie sich bewußt sein sollten.


Akzeptieren

Nach beendeter KMG-Verschiebung müssen Sie auf die Schaltfläche Akzeptieren klicken, damit die aus der KMG-Verschiebung resultierende Umgestaltung verwendet wird. Bei Klicken auf die Schaltfläche wird der Befehl KMG-VERSCHIEBUNG zum Werkstückprogramm hinzugefügt. Wenn Sie zuerst auf die Schaltfläche Schließen klicken, bevor Sie auf Akzeptieren klicken, geht die konstruierte KMG-Verschiebung verloren.


Rücksetzen

Mit der Schaltfläche Rücksetzen wird dem Werkstückprogramm ein Befehl zum Entfernen der Verschiebung hinzugefügt.


Feld "Ergebnisse"

Im Feld Ergebnisse werden die Abweichungen zwischen der ersten Position und der/den nachfolgenden Position/en des KMGs aufgelistet.


Dimensioning Features

Befehlsformat für Merkmale

Ausdrucken von Merkmalen im Prüfprotokoll

Gemeinsame Optionen in den Merkmaldialogfeldern

Merkmal für Lage erstellen

Merkmal für Position erstellen

Merkmal für Abstand erstellen

Merkmal für Winkel erstellen

Merkmal für Konzentrizität erstellen

Merkmal für Koaxialität erstellen

Merkmal für Rundheit erstellen

Merkmal für Geradheit erstellen

Merkmal für Ebenheit erstellen

Merkmal für Rechtwinkligkeit erstellen

Merkmal für Parallelität erstellen

Merkmal für Rundlauf erstellen

Merkmal für Oberlächenprofil erstellen

Merkmal für Linienprofil erstellen

Merkmal für Neigung erstellen

Merkmal für Symmetrie erstellen

Merkmal mit Hilfe von Tastatureingaben erstellen


Merkmale für Elemente erstellen: Einführung

Wenn ein Element (oder mehrere Elemente) einmal gemessen bzw. konstruiert worden ist, kann ein Prüfprotokoll erstellt werden. Der erste Schritt bei der Erstellung eines Protokolls ist die Berechnung der Merkmale gemäß spezifischer Anforderungen. Die Merkmale können entweder direkt nach der erfolgten Messung oder zu einem späteren Zeitpunkt im Programmablauf berechnet werden. PC-DMIS zeigt das Ergebnis jeder Merkmalsoperation im Bearbeitungsfenster an.

PC-DMIS gestattet auch die Angabe von Nennwerten, die Modifizierung des Ausgabeformats und/oder den Ausdruck der errechneten Ergebnisse.

  1. Wenn Sie die Nenn- oder Toleranzwerte im Bearbeitungsfenster ändern wollen, klicken Sie auf den zu ändernden Wert und geben Sie einen neuen Wert ein.
  2. Wenn Sie die Nennwerte oder Toleranzfelder im Bearbeitungsfenster ein- oder ausblenden möchten, ändern Sie die ausgewählten Kontrollkästchen im Bereich Ausgabeformat Merkmal: der Registerkarte Merkmal im Dialogfeld Parameter. Siehe auch "Parametereinstellungen: Registerkarte "Merkmal"" im Abschnitt "Voreinstellungen".

Display Menu Roadmap
Weitere Hinweise zum Ändern der Meßwerte eines Elements (um beispielsweise den Radius eines Kreises auszudrucken), finden Sie unter "Ändern der Protokoll- und Bewegungsparameter" im Abschnitt "Voreinstellungen".

Um ein Merkmal für ein Element zu erstellen, wählen Sie in der Menüleiste das Untermenü Merkmal oder öffnen Sie die Symbolleiste Merkmal, und wählen Sie das gewünschte Merkmal aus. In diesem Abschnitt werden die Merkmale des Untermenüs Merkmal behandelt (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

In diesem Abschnitt werden folgende Themen behandelt:

  • Befehlsformat für Merkmale
  • Ausdrucken von Merkmalen im Prüfprotokoll
  • Gemeinsame Optionen in den Merkmaldialogfeldern
  • Merkmal für Lage erstellen
  • Merkmal für Position erstellen
  • Merkmal für Abstand erstellen
  • Merkmal für Winkel erstellen
  • Merkmal für Konzentrizität erstellen
  • Merkmal für Koaxialität erstellen
  • Merkmal für Rundheit erstellen
  • Merkmal für Geradheit erstellen
  • Merkmal für Ebenheit erstellen
  • Merkmal für Rechtwinkligkeit erstellen
  • Merkmal für Parallelität erstellen
  • Merkmal für Rundlauf erstellen
  • Merkmal für Profil erstellen
  • Merkmal für Neigung erstellen
  • Merkmal für Symmetrie erstellen
  • Merkmal mit Hilfe von Tastatureingaben erstellen


Befehlsformat für Merkmale

Alle bemaßten Elemente werden im folgenden Format angezeigt. Es gibt geringfügige Abweichungen, die in den folgenden Abschnitten genauer erläutert werden.

Im Bearbeitungsfenster werden Merkmale z.B. folgendermaßen angezeigt:
Merkmalname = ART DES MERKMALS, Elem_1 EINHEITEN=ZOLL ,$
GRAF=AUS TEXT=AUS MULT=1,00 AUSGABE=BEIDE

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
x | 8.0000 | 0.1000 | 0.1000 | 8.0000 | 8.5000 | 7.5000 | 0.0000 | 0.0000
y | 3.0000 | 0.1000 | 0.1000 | 3.0000 | 3.5000 | 2.5000 | 0.0000 | 0.0000
z | 0.4947 | 0.1000 | 0.1000 | 0.4947 | 0.1428 | 0.8466 | 0.0000 | 0.0000
d | 1.0000 | 0.1000 | 0.1000 | 1.0000 | 1.0000 | 1.0000 | 0.0000 | 0.0000
v | 0.0000 | 0.5938 | 0.8046 |  |  |  |  |

ENDE DES MERKMALS Merkmalname (nur für LAGE)

Regeln zu Feldern finden Sie unter "Konventionen".

ART DES MERKMALS: bezeichnet den Merkmaltyp. Dieses Feld kann nur durch Ändern des Elementnamens geändert werden.

Elem_1: Name des Elements, für das ein Merkmal erstellt werden soll. Dieses Feld kann vom Benutzer bearbeitet werden.

Alle Nenn- und Toleranzwerte in einem Merkmal können bearbeitet werden. Verfahren Sie dazu wie folgt:

  1. Rücken Sie den Cursor mit Hilfe der TABULATORTASTE in die gewünschte Zelle, oder doppelklicken Sie mit der linken Maustaste auf das Feld.
  2. Geben Sie den gewünschten Wert ein.
  3. Drücken Sie die TABULATORTASTE noch einmal, oder klicken Sie auf einen Bereich außerhalb des Merkmals.

Durch Drücken der EINGABETASTE wird eine Zeile hinzugefügt (Siehe auch "Merkmal einer Lage)".

Siehe auch:

Hinzufügen von Zeilen

Löschen von Zeilen

Bearbeiten von Zeilen

Konventionen

Zugreifen auf das Dialogfeld


Merkmale für Elemente erstellen - Befehlsformat für Merkmale - Hinzufügen von Zeilen

Hinzufügen von Zeilen

So erstellen Sie eine weitere Zeile innerhalb des Lagemerkmals:

  1. Setzen Sie den Cursor auf die gewünschte Position.
  2. Drücken Sie die EINGABETASTE.
  3. Geben Sie die gewünschte Achse (X, Y, Z, D, R, A, V, T, L, S, H, M, PR, PA, PD) ein.
  4. Drücken Sie die TABULATORTASTE oder EINGABETASTE.

PC-DMIS zeigt dann die Werte für die hinzugefügte Achse an. PC-DMIS fügt die neue Zeile abhängig von der Cursorposition ein. Befindet sich der Cursor inmitten eines Befehls, wird eine neue Zeile unterhalb der aktuellen Zeile erstellt. Wenn der Cursor am Anfang einer Befehlszeile steht, erstellt PC-DMIS die neue Zeile oberhalb der aktuellen Zeile.


Merkmale für Elemente erstellen - Befehlsformat für Merkmale - Löschen von Zeilen

Löschen von Zeilen

Wenn Sie eine einzelne Achse innerhalb eines Lagemerkmals löschen wollen, markieren Sie die gewünschte Achse, und drücken Sie die RÜCKTASTE oder ENTF. (Siehe auch "Tastaturfunktionen des Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".)


Bearbeiten von Linien

Bearbeiten von Zeilen

Wenn die Toleranzen eines Merkmals im Bearbeitungsfenster bearbeitet werden, erscheint ein Dialogfeld, in dem Sie angeben können, ob die geänderten Toleranzen auf andere Merkmale desselben Typs übertragen werden sollen. Wenn Sie mit Ja antworten, beginnt PC-DMIS an diesem Punkt im Werkstückprogramm eine Suche, bei der die Toleranzen in alle Merkmale kopiert werden, die denselben Typ und dieselben ursprünglichen Toleranzwerte aufweisen.

Wenn die Nennwerte eines Merkmals im Bearbeitungsfenster bearbeitet werden, erscheint ein Dialogfeld, in dem Sie angeben können, ob die geänderten Nennwerte zum Element zurückgeführt werden sollen. Wenn Sie mit Ja antworten, ändert PC-DMIS die Elementnennwerte in die neuen Nennwerte.


Merkmale für Elemente erstellen - Befehlsformat für Merkmale - Konventionen

Konventionen

Display Menu Roadmap
Auf der Registerkarte Merkmal im Dialogfeld Setup-Optionen können Sie Parameter für die angezeigten Merkmale definieren.

  • Alle Winkel können mit einer Genauigkeit von 1-5 Stellen nach dem Dezimalzeichen dargestellt werden. Wie viele Dezimalstellen angezeigt werden, richtet sich nach der Parametereinstellung auf der Registerkarte Merkmal.
  • Alle Längen, Abstände (x-Koord, y-Koord, z-Koord, Durchm., Höhe, Länge usw.) und Vektoren (i-Vekt, j-Vekt, k-Vekt) in den Merkmalen werden mit einer Genauigkeit von 1-5 Stellen hinter dem Dezimalzeichen angegeben. Der tatsächlich angezeigte Nennwert richtet sich nach der Parametereinstellung auf der Registerkarte Merkmal.

Weitere Informationen zur Registerkarte Merkmal finden Sie unter "Setup-Optionen: Registerkarte "Merkmal"" im Abschnitt "Voreinstellungen".


Merkmale für Elemente erstellen - Befehlsformat für Merkmale - Zugriff auf das Dialogfeld

Zugreifen auf das Dialogfeld

So rufen Sie das entsprechende Dialogfeld "Merkmal" auf, in dem das Merkmal des Bearbeitungsfensters erstellt wurde:

  1. Vergewissern Sie sich, daß das Bearbeitungsfenster geöffnet ist.

Display Menu Roadmap
Klicken Sie im Bearbeitungsfenster mit der Maus auf das Merkmal.

  3. Drücken Sie F9. Damit wird das Dialogfeld "Merkmal" aufgerufen.

Mit Hilfe dieses Dialogfelds können Sie alle gewünschten Änderungen an dem vorhandenen Merkmal vornehmen. Wenn Sie auf die Schaltfläche Erstellen klicken, werden die Änderungen auch auf den Merkmaltext im Bearbeitungsfenster angewandt.


Ausdrucken von Merkmalen im Prüfprotokoll

Sie können Merkmale einfach im Bearbeitungsfenster erzeugen, das diese Merkmale wiederum in Ihrem Prüfprotokoll generieren wird.

Siehe auch:

So erstellen Sie automatisch Merkmale im Bearbeitungsfenster

So ändern Sie das Merkmal vor dem Drucken

Merkmale in .rtf- und .pdf-Dateien anzeigen


So erstellen Sie automatisch Merkmale im Bearbeitungsfenster

Wenn PC-DMIS im Bearbeitungsfenster automatisch Merkmale erstellen soll, verfahren Sie wie folgt:

  1. Öffnen Sie das Bearbeitungsfenster.

Display Menu Roadmap
Setzen Sie den Cursor an die Stelle, an der die Merkmalangaben stehen sollen.

  3. Geben Sie das entsprechende Schlüsselwort ein.

OR

  1. wählen Sie die Menüoption Setup, um das Dialogfeld Setup-Optionen aufzurufen.

Display Menu Roadmap
Wählen Sie die Registerkarte Merkmal in diesem Dialogfeld.

  3. Wählen Sie die Option Auto-Merkmal erstellen.
  4. Wählen Sie gegebenenfalls weitere Optionen.
  5. Klicken Sie auf die Schaltfläche OK.

Beim nächsten Meßvorgang für ein Element wird ein automatisches Merkmal erstellt und in das Bearbeitungsfenster eingefügt.


So ändern Sie das Merkmal vor dem Drucken

In vielen Fällen müssen vor Ausdruck der Ergebnisse Nennwerte, Toleranzwerte oder das Ausgabeformat modifiziert werden.

So ändern Sie die Nenn- oder Toleranzwerte im Bearbeitungsfenster:

  1. Öffnen Sie das Bearbeitungsfenster und versetzen Sie es in den Befehlsmodus.

Display Menu Roadmap
Klicken Sie im Bearbeitungsfenster auf das Merkmal.

  3. Rücken Sie mit Hilfe der TABULATORTASTE zu dem Wert vor, der geändert werden soll.
  4. Geben Sie einen neuen Wert ein.

So ändern Sie die Nenn- oder Toleranzwerte mit Hilfe des Merkmal-Dialogfelds:

  1. Klicken Sie im Bearbeitungsfenster auf das Merkmal.
  2. Drücken Sie F9. Damit wird das zur Merkmal gehörige Dialogfeld aufgerufen.
  3. Ändern Sie die Werte, die geändert werden müssen.
  4. Klicken Sie auf die Schaltfläche Erzeugen.

Wenn Sie den Inhalt des Merkmalsprotokoll ändern möchten, klicken Sie im Dialogfeld Parametereinstellungen auf die Registerkarte Merkmal (siehe auch "Parametereinstellungen: Registerkarte "Merkmal"" im Abschnitt "Voreinstellungen"), und ändern Sie die Merkmalinformationen, die PC-DMIS anzeigen soll.

Hinweis: Im Bereich Analyse-Einstellungen des zum jeweiligen Merkmal gehörigen Dialogfelds können Sie die Druckausgabe in einem Format anzeigen, das für eine eingehendere Untersuchung geeignet ist.


So zeigen Sie Merkmale in RTF- und PDF-Dateien an

Merkmale in .rtf- und .pdf-Dateien anzeigen

Sie können das Prüfprotokoll mit den Merkmalen an eine externe RTF (Rich Text Format)-Datei oder PDF (Portable Document Format)-Datei senden, indem Sie eine der Ausgabeoptionen im Dialogfeld Druckoptionen im Bearbeitungsfenster wählen. Siehe auch "Drucken aus dem Bearbeitungsfenster" im Abschnitt "Verwenden von grundlegenden Dateioptionen".

Beachten Sie bitte, daß die Merkmale in den beiden Dateien aufgrund von eingeschränkten Formatierungsmöglichkeiten abweichend dargestellt werden.

  • In RTF-Dateien werden die Merkmale mit einem dünnen Rand um die Kopfzeile herum, einem blauen Hintergrund und dem Merkmalssymbol gedruckt.
  • In PDF-Dateien werden die Merkmale ohne Rahmen, ohne Hintergrundfarbe und ohne Merkmalssymbol gedruckt. Die Merkmale werden mit Ausrichtung am linken Seitenrand ausgedruckt.


Gemeinsame Optionen in den Merkmalsdialogfeldern

Viele der zu den jeweiligen Merkmalen gehörigen Dialogfelder enthalten die gleichen Optionen.

Siehe auch:

Materialbedingungen

Merkmal-Info einblenden

Standard-Merkmalinformationen bearbeiten

Einheiten

Analyse-Einstellungen

Ausgabe an


Materialbedingungen

Der Bereich Materialbedingungen umfaßt die folgenden Methoden zur Festlegung von Toleranzen:

Optionsschalter | Steht für | Beschreibung
M | MMC | Maximaler Materialwert, gilt entweder für ein Element oder ein Bezugselement.
R | RFS | Elementgrößenneutral, gilt entweder für ein Element oder ein Bezugselement.
L | LMC | Geringster Materialwert, gilt entweder für ein Element oder ein Bezugselement.

Derzeit können Materialbedingungs-Optionsschalter für die Merkmale Position, Parallelität und Rechtwinkligkeit ausgewählt werden.

Beachten Sie bitte, daß im Falle von Positionsmerkmalen die Ausrichtung der Bezugselemente für die XYZ-Ausgabewerte verwendet wird, wenn das Kontrollkästchen Verwende Bezüge markiert ist.

Siehe auch:

Schaltfläche "Standard holen"


Schaltfläche "Standard holen"

Die Schaltfläche Standard holen im Bereich Materialbedingungen ermöglicht die einfache Auswahl von Bezugselementen, die zuvor für ein ähnliches Merkmal verwendet wurden. Diese Schaltfläche steht erst dann zur Auswahl, wenn Sie aus der Liste Element ein Element für das Merkmal auswählen.

Gehen wir von einem Beispiel aus, in dem Sie vier Kreise als Bezugselement in einem früheren Positionsmerkmal verwendet haben. Sie können PC-DMIS anweisen, dieselben Kreise als Elemente zu verwenden, indem Sie in der Liste Element das Element für das zu erstellende Merkmal auswählen und die Schaltfläche Standard holen anklicken. PC-DMIS wählt die Bezugselemente aus der Elementliste aus.


Merkmal-Info einblenden

Über das Kontrollkästchen Anzeige wird im Bearbeitungsfenster der Befehl MERKMALINFO erstellt. Dieser Befehl wird nach dem Merkmal eingefügt und veranlaßt die Anzeige aller Merkmalinformationen in einem Grafikfenster neben dem im Feld Elementliste ausgewählten Element. Durch den Befehl MERKMALINFO werden auch dieselben Merkmalsachsen angezeigt, die im Bearbeitungsfenster für das betreffende Merkmal verfügbar sind.

So verwenden Sie die Anzeige-Option:

  1. Markieren Sie das Kontrollkästchen Anzeige.
  2. Wählen Sie das Element, für das ein Merkmal erstellt werden soll.
  3. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal-Infos erscheinen dann im Grafikfenster.


Standard-Merkmalinformationen bearbeiten

Beim Klicken auf die Schaltfläche Bearbeiten wird das Dialogfeld Standard-Merkmalinformationen bearbeiten aufgerufen.

Über die folgenden Kontrollkästchen können Sie festlegen, welche Informationen für die einzelnen Merkmale im Grafikfenster angezeigt werden sollen. Zur Auswahl stehen:

Auto | Bei markiertem Kontrollkästchen werden die folgenden Informationen automatisch angezeigt: Meßwert, Nennwert, Toleranzen, Abweichung, Min./Max. und Auß Tol.
Gemessen | Bei markiertem Kontrollkästchen werden die tatsächlich gemessenen Merkmale angezeigt.
Nennwert | Bei markiertem Kontrollkästchen werden die theoretischen Werte für das Merkmal angezeigt.
Toleranzen | Bei markiertem Kontrollkästchen werden die zulässigen Toleranzbereiche entweder größer oder kleiner als der Nennwert angezeigt.
Abweichung | Bei markiertem Kontrollkästchen wird die Abweichung des gemessenen Werts vom Nennwert angezeigt.
Min/Max | Bei markiertem Kontrollkästchen werden die maximalen und minimalen Werte der Merkmal angezeigt.
Außer Tol | Bei markiertem Kontrollkästchen wird angezeigt, wie weit der gemessene Wert außerhalb der Toleranz liegt bzw. vom Nennwert abweicht.
Mittelwert | Bei markiertem Kontrollkästchen wird der Durchschnitt aller Abweichungen für das Merkmal angezeigt.
Standard-abweichung | Bei markiertem Kontrollkästchen wird die Standardabweichung aller Abweichungen für das Merkmal angezeigt.
Anzahl Punkte | Bei markiertem Kontrollkästchen wird angezeigt, wie viele Punkte zum Messen des Elements dieses Merkmals verwendet werden.

Vollständige Informationen finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen". Die folgenden fünf Schaltflächen: OK, Abbrechen, Standard setzen, Standard holen und Rücksetzen sind alle im Dialogfeld Merkmal-Info einrichten zu finden.

Siehe auch:

Schaltfläche "Rücksetzen"


Merkmale für Elemente erstellen - Bearbeiten der Standard-Merkmalinformationens - Schaltfläche "Rücksetzen"

Schaltfläche "Rücksetzen"

Mit der Schaltfläche Rücksetzen werden alle Kontrollkästchen im Dialogfeld Standard-Merkmalinformationens bearbeiten deaktiviert, und das Kontrollkästchen Auto wird aktiviert.


Merkmale für Elemente erstellen- Gemeinsame Optionen in den Merkmalsdialogfeldern - Einheiten

Einheiten

Im Bereich Einheiten können Sie eine der folgenden beiden Optionen wählen:

  • Zoll = Zoll
  • mm = Millimeter

Die ausgewählte Einheit wird so lange für die Merkmalerstellung verwendet, wie das aktuelle Dialogfeld offen ist. Die Standardeinstellung ist die im aktuellen Werkstückprogramm gewählte Einstellung für die Maßeinheiten.


Analyse-Einstellungen

Im Bereich Analyse können Sie als Merkmalanalyse-Ausgabeformat Text, Grafik oder beides einstellen, um die Abweichungen des Merkmals anzuzeigen.

Nur bei Lage- und Positionsmerkmalen kann über den Bereich Analyse festgelegt werden, ob zusätzlich zur Lage eines Elements auch dessen Form analysiert werden soll.

Hinweis: Wenn die grafischen Daten eines Lage- oder Positionsmerkmals zusammen mit dessen integrierten Formmerkmal interpretiert werden, ist Vorsicht geboten. Sie werden feststellen, daß sich die Analysetoleranzlinien wahrscheinlich überlappen werden und nur schwer zu unterscheiden sind.

Siehe auch:

Text

Wechseln zwischen polaren und kartesischen Koordinaten für die Textanalyse

Graphisch

Multiplikator

Option "Beide" (bei Position und Lage)

Option "Form" (bei Position und Lage)


Merkmal für Elemente erstellen - Analyse-Einstellungen - Text

Text

Wenn das Kontrollkästchen Text aktiviert ist (bzw. die Option Ein bei Lage- und Positionsmerkmalen) druckt PC-DMIS im Protokollmodus folgende Informationen für jeden im Merkmal verwendeten Meßpunkt aus:

  • Gemessene Werte für X, Y und Z
  • Gemessene Werte für I, J und K
  • Abweichung jedes einzelnen Meßpunkts
  • "MAX"- oder "MIN"-Markierungen am Ende jeder Zeile, wenn der Meßpunkt entweder eine maximale oder minimale Abweichung erzeugt.

Sie können festlegen, ob in der Textanalyseanzeige ein polares oder kartesisches Koordinatensystem verwendet werden soll, indem Sie die Anweisungen unter "Wechseln zwischen Polar- und kartesischen Koordinaten für die Textanalyse" befolgen.


Wechseln zwischen polaren und kartesischen Koordinaten für die Textanalyse

Display Menu Roadmap
Mit der Menüoption Textanalyse ein/aus Polar/Kart. können Sie die Darstellung der Textanalyse eines Merkmals umschalten und bewirken, daß die Position eines oder mehrerer Meßpunkte entweder in kartesischen oder polaren Koordinaten angezeigt werden. Der Buchstabe "P" neben den numerischen Daten zeigt an, daß sich PC-DMIS im polaren Anzeigemodus befindet.

  • Die gesamte Textanalyse eines Merkmals wird eingeblendet, wenn der Cursor im Befehlsmodus über dem Merkmal oder im Protokollmodus über der Kopfzeile des Merkmals plaziert wird.
  • Befindet sich der Cursor über einer Zeile der Textanalyse, wenn diese Menüoption gewählt wird, wird die betreffende einzelne Textanalysezeile eines Merkmals umgeschaltet. Wenn ein einzelner Meßpunkt in der Textanalyse mit seinen polaren Koordinaten angezeigt wird, werden Radius, Winkel und Z-Werte in den Spalten X, Y bzw. Z angezeigt.

So ändern Sie das in der Textanalyseanzeige verwendete Koordinatensystem:

  1. Setzen Sie den Cursor im Protokollmodus auf die Kopfzeile des Merkmals oder auf einen einzelnen Meßpunkt.
  2. Wählen Sie die Menüoption Textanalyse ein/aus Polar/Kart. Der Buchstabe "P" wird in die Zeilen der Textanalyse gesetzt, um anzugeben, welche der Meßpunkte in polaren Koordinaten angezeigt werden.


Merkmal für Elemente erstellen - Analyse-Einstellungen - Grafik

Grafisch

Wenn Sie das Kontrollkästchen Grafisch markieren (oder die Option Ein bei Lage- und Positionsmerkmalen), können Sie die Ausgabe des Merkmalprotokolls in einem für eine eingehendere Untersuchung geeigneten Format gestalten.

Ist es markiert, stellt PC-DMIS die Abweichung jedes einzelnen Meßpunkts, der für das Merkmale des Werkstücks verwendet wurde, im Grafikfenster grafisch dar. Das Programm zeigt den Fehler für jeden Meßpunkt in Form einzelner Pfeile an. Aus den Pfeilen gehen anhand ihrer Farben und Ausrichtungen die relative Größe sowie die Richtung des Fehlers hervor.

Befehlszeile im Bearbeitungsfenster:
...GRAF=EIN TEXT=AUS MULT=1,00

Sehen Sie sich das folgenden Beispiel an:

Beispiel eines Rundheitsmerkmals mit der Grafikanalyse unter Zugrundelegung eines Multiplikators von zehn (links) und eins (rechts).

Das oben angeführte Beispiel zeigt unterschiedlich gefärbte Linien, Pfeile und Kreise. In der folgenden Tabelle werden die farbigen Elemente des Beispiels beschrieben und ihre Bedeutung erläutert:

Farbiges Element | Beschreibung
Schwarzer Kreis | Zeigt den Nennkreis.
Roter Kreis | Zeigt den gemessenen Kreis, der außerhalb des Toleranzbereichs liegt.
Blaue Kreise | Zeigen die Toleranzbänder.
Farbige Linien | Zeigen die Linien zwischen gemessenen Meßpunkten.
Farbige Pfeile | Zeigen die Meßpunkte selbst (die Spitze des Pfeiles), die relative Größe der Abweichung für jeden Meßpunkt (durch den farbigen Pfeil) und die Richtung der Abweichung (die Richtung, in die der Pfeil zeigt).

Die in diesem Beispiel verwendeten Farben sind die standardmäßigen Merkmalfarben. Sie können diese Farben gegebenenfalls problemlos ändern. Die Farben entsprechen den Farben der Grafikleiste in den Merkmal- und Punkt-Infofeldern. Siehe auch "Merkmalfarben bearbeiten" im Abschnitt "Bearbeiten der CAD-Anzeige".


Merkmal für Elemente erstellen - Analyse-Einstellungen - Multiplikator

Multiplikator

Das Kontrollkästchen Multiplikator aktiviert einen Skalierungsfaktor, mit dem die Abweichungspfeile und Toleranzbereiche im Grafikanalysemodus vergrößert werden. Wird hier ein Wert von 2,0 eingegeben, skaliert PC-DMIS die Pfeile so, daß sie doppelt so groß sind wie die errechnete Abweichung für jeden Meßpunkt am Element.

Das Kontrollkästchen Multiplikator ist nur für die Anzeige relevant und erscheint nicht im ausgedruckten Protokolltext.


Option "Beide" (bei Position und Lage)

  • Text: Wird Beide gewählt, werden im Protokollmodus des Bearbeitungsfensters sowohl Abweichungen für die Lage- als auch für die Form achse angezeigt.
  • Grafisch: Wird Beide gewählt, werden sowohl Toleranzauswahllinien für das Lagemerkmal eines Elements als auch das integrierte Formmerkmal angezeigt, die sich möglicherweise überlappen können.


Option "Form" (bei Position und Lage)

Mit der Option Form ist es möglich, Merkmal-Infos für die Lage eines Elements und für die Form eines Elements gleichzeitig zu analysieren (bei Versionen vor Version 3.25 war ein separates Merkmal für die Form eines Elements erforderlich).

Nicht vergessen: Damit der Bereich Analyse zur Protokollierung der Form eines Elements verwendet werden kann, muß das Kontrollkästchen Form im Bereich "Achsen" des Dialogfelds markiert werden. Weitere Informationen finden Sie unter Standardachsen für Lagemerkmale.

Wenn Sie die Option Form aktivieren, hat dies dieselbe Wirkung, als wäre automatisch auch die Option Beide aktiviert worden, da sowohl eine grafische als auch eine textliche Analyse erstellt werden.


Ausgabe an

Die Ausgabe des Merkmals kann entweder in das Prüfprotokoll oder in Statistikdateien für die Statistiksoftware übertragen werden. Es können auch beide Optionen oder überhaupt keine gewählt werden. Dies wird im Dialogfeld im Bereich Ausgabe an bestimmt, in dem sich die folgenden Optionen befinden:

  • Statistik – leitet die Ausgabe in statistische Dateien
  • Protokoll – leitet die Ausgabe in das Prüfprotokoll
  • Beide – leitet die Ausgabe in das Prüfprotokoll und in Statistikdateien
  • Keine – leitet die Merkmalausgabe nirgendwo hin

Bei Ausführung des Merkmals wird die Ausgabe in das Prüfprotokoll, in die Statistikdatei, in beide oder nirgendwo hin geleitet.

Beachten Sie bitte, daß im Bearbeitungsfenster ein vorangehender Befehl STAT/EIN vorhanden sein, wenn die Option Statistik oder Beide gewählt wird, damit dieses Merkmal in die Statistikdatei geleitet werden kann.


Merkmal für Lage erstellen

Clear Analysis Settings Output To Units Close Create ISO Limits and Fits Tolerances for Location Dimensions Location Options Sheet Metal Axes Default Axes for Location Dimensions Edit Default Dimension Info Display Dimension Info Feature List Select Last # Search ID ID = Feature

Display Menu Roadmap
Mit der Menüoption Lage können Sie den Abstand des Elements zu den X-, Y- und Z-Nullpunkten, parallel zur jeweiligen Achse berechnen. Durchmesser, Winkel und Vektor des Elements werden ebenfalls in der Berechnung berücksichtigt. Dieser Abschnitt bezieht sich nur auf "Lage"-Merkmale. (Merkmal für Position erstellen wird gesondert behandelt.)

Die Lage kann unter Zugrundelegung der kartesischen oder polaren Koordinaten, der Position oder der Kästchentoleranzauswahl berechnet werden.

  • Wenn Sie zwischen kartesischen und polaren Koordinaten hin- und herschalten möchten, wählen Sie PWin bzw. PRad im Dialogfeld Lage.
  • Wenn Sie zwischen den Toleranzauswahlmethoden POSITION und KART hin- und herwechseln wollen, finden Sie weitere Informationen hierzu unter Merkmal für Position erstellen.

Siehe auch:

So erstellen Sie das Merkmal eines Elements mit der Option LAGE:

Standardachsen für Lagemerkmale

Blechachsen

Lageoptionen

Toleranzen für Lagemerkmale

ISO-Toleranzen


So erstellen Sie das Merkmal für ein Element mit der Option LAGE :

So bestimmen Sie das Merkmal eines Elements mit der Option LAGE

  1. Wählen Sie im Untermenü die Option Lage. Das Dialogfeld Lage wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Wählen Sie die gewünschten Achsen aus. Das Kontrollkästchen Auto ist markiert (Standardeinstellung).

Wenn das Kontrollkästchen Auto markiert ist, bestimmt PC-DMIS automatisch die Standardachsen, die in dem Merkmal angezeigt werden sollen. Die Standardachsen richten sich nach dem Elementtyp (vgl. hierzu die nachstehende Tabelle).

Das Standard-Ausgabeformat für die folgenden Elemente lautet:

KREIS | X, Y, D (basierend auf der Arbeitsebene)
KEGEL | X, Y, Z, A
ZYLINDER | X, Y, Z, D, L (basierend auf der Arbeitsebene)
LINIE | Basierend auf der Achse, die rechtwinklig zu der Achse verläuft, die am nächsten zur Arbeitsebene (und der damit verbundenen Achse) liegt, in der die Linie gemessen wird.
EBENE | Basierend auf der Achse, die am engsten mit der Ebene verbunden ist.
PUNKT | X, Y, Z, T
LANGLOCH | X, Y, D, R, L (basierend auf der Arbeitsebene)
KUGEL | X, Y, Z, D

  4. Wählen Sie in der Auswahlliste Achsen die Achsen, für die Plus- und Minustoleranzen gelten sollen.
  5. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  6. Geben Sie einen Minustoleranzwert in das Feld Minus ein.
  7. Geben Sie einen Wert für die Nenngröße in das Feld Nenngröße ein.
  8. Wählen Sie in der Auswahlliste Toleranzklasse eine Toleranzklasse.
  9. Wählen Sie in der Auswahlliste Toleranzgrad einen Toleranzgrad.
  10. Kreuzen Sie wahlweise das Kontrollkästchen Anzeige unter Merkmal-Info an, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  11. Wählen Sie im Bereich Einheiten des Dialogfelds entweder die Option Zoll oder mm.
  12. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  13. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch auswählen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  14. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  15. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalname = ART DES MERKMALS, Elem_1 EINHEITEN=ZOLL ,$
GRAF=AUS TEXT=AUS MULT=1,00 AUSGABE=BEIDE

 | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
x | 8.0000 | 0.1000 | 0.1000 | 8.0000 | 8.5000 | 7.5000 | 0.0000 | 0.0000
y | 3.0000 | 0.1000 | 0.1000 | 3.0000 | 3.5000 | 2.5000 | 0.0000 | 0.0000
z | 0.4947 | 0.1000 | 0.1000 | 0.4947 | 0.1428 | 0.8466 | 0.0000 | 0.0000
d | 1.0000 | 0.1000 | 0.1000 | 1.0000 | 1.0000 | 1.0000 | 0.0000 | 0.0000
v | 0.0000 | 0.5938 | 0.8046 |  |  |  |  |

ENDE DES MERKMALS Merkmalname (nur für LAGE)


Standardachsen für Lagemerkmale

Über das Kontrollkästchen Standard können Sie das Format der Standardausgabe ändern. Wenn das Kontrollkästchen Auto markiert ist, werden die im Merkmal angezeigten Achsen entsprechend der Standardachsen des Elementtyps ausgewählt. In manchen Situationen könnte es jedoch erforderlich sein, die Standardeinstellung zu übersteuern. So ändern Sie die Standardausgabe:

  1. Markieren Sie die entsprechenden Kontrollkästchen.

    X = druckt den Wert für die X-Achse
    Y = druckt den Wert für die Y-Achse
    Z = druckt den Wert für die Z-Achse
    Prad = druckt den Polarradius
    Pwink = druckt den Polarwinkel
    D = druckt den Wert des Durchmessers
    R = druckt den Wert des Radius (die Hälfte des Durchmessers)
    A = druckt den Wert des Winkels (bei Kegeln)
    L = druckt die Länge (bei Zylindern und Langlöchern)
    H = druckt den Wert für die Höhe (in der Regel ist dies die Höhe bei Langlöchern, kann aber auch die Länge bei Kegeln, Zylindern und Ellipsen sein)
    V = druckt die Vektorlage
    Form = druckt das integrierte Formmerkmal des Elements zusammen mit dem Lagemerkmal aus

  • Bei einem Kreis- oder Zylinderelement handelt es sich hierbei um das Rundheits- (RN) Merkmal.
  • Bei einem Ebenenelement handelt es sich hierbei um das Ebenheits- (FL) Merkmal.
  • Bei einem Linienelement handelt es sich hierbei um ein Geradheits- (ST) Merkmal.
  2. Aktivieren Sie das Kontrollkästchen Standard.

Wenn die Ausgabewerte von den Standardwerten abweichen, verwendet PC-DMIS die neuen Einstellungen für alle nachfolgenden Merkmale. Wenn PC-DMIS dann wieder die ursprünglichen Standardachsen verwenden soll, müssen Sie das Format auf die Standardeinstellungen zurücksetzen.

Verfahren Sie dazu wie folgt:

  1. Markieren Sie das Kontrollkästchen Auto.
  2. Aktivieren Sie das Kontrollkästchen Standard.
  3. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS setzt das Merkmal automatisch zurück, so daß die Standardachsen dem Elementtyp entsprechend gedruckt werden.


Blechachsen

Die Kontrollkästchen im Bereich Blechachsen stehen nur dann zur Auswahl, wenn Merkmale für Blechelemente erstellt werden.

T = druckt den Fehler entlang dem Antastvektor (für Punkte auf gekrümmten Oberflächen)
S = druckt die Abweichung entlang dem Oberflächenvektor
RT = druckt die Abweichung entlang dem Protokollvektor
RS = druckt die Abweichung entlang dem Oberflächenprotokoll
PD = druckt den Durchmesser eines Kreises (im rechten Winkel zum Stiftvektor)

Wird eine T-, RT-, S- oder RS-Achse verwendet, wird keines der anderen Lagemerkmale für die (grafische oder textliche) Analyse verwendet.

Das Standard-Ausgabeformat für folgende Blechelemente lautet:

VEKTORPUNKT: RT
OBERFLÄCHE: RT
KANTE: X,Y,Z und T
KREIS: PD


Lage-Optionen

PC-DMIS gestattet auch den Ausdruck von zwei Sonderachsen.

  • Nur Bund
  • Nur Spalt

Jede dieser beiden Optionen kann im Bereich Lage-Optionen des Dialogfelds Lage ausgewählt werden. Alle zukünftigen Lagen von Vektor-, Oberflächen- oder Kantenpunkten im Werkstückprogramm werden dann so lange unter Zugrundelegung der entsprechenden Sonderachsen gedruckt, bis die Option wieder AUSgeschaltet wird.

Siehe auch:

Nur Bund für Lagemerkmale

Nur Spalt für Lagemerkmale


Nur Bund für Lagemerkmale

Display Menu Roadmap
Dieses Kontrollkästchen ist bei der Merkmalerstellung von Vektor- und Oberflächenpunkten verfügbar. Wenn die Option Nur Bund für gültige Punkte gewählt worden ist, werden die Lageachsen wie folgt berechnet:

  • Durch das Aufsuchen der größten Komponente des theoretischen vertikalen Oberflächenvektors (größte Komponente in x-, y- bzw. z-Richtung).
  • Durch die Projektion des gemessenen Punktes auf diesen größten Komponentenvektor, so daß die Projektion im rechten Winkel zum ursprünglichen theoretischen vertikalen Oberflächenvektor verläuft.

Die Lageachsen werden dann auf Basis dieses neuen, projizierten Punktes berechnet.


Nur Spalt für Lagemerkmale

Display Menu Roadmap
Das Kontrollkästchen Nur Spalt ist bei der Merkmalerstellung von Kantenpunkten verfügbar. Wenn das Kontrollkästchen Nur Spalt markiert und ein Kantenpunkt gemessen wird, werden die Lageachsen wie folgt berechnet:

  • Durch Projektion des gemessenen Punktes (1) auf die theoretische Oberfläche.
  • Durch Projektion dieses neuen Punktes auf den theoretischen Antastvektor.

Die Lageachsen werden dann auf Basis dieses neuen Punktes berechnet.


Toleranzen für Lagemerkmale

Minus Tolerances Plus Tolerances Axes list

Im Bereich Toleranzen können Sie Plus- und Minustoleranzen für jede der folgenden in der Auswahlliste vorgefundenen Achsen eingeben.

Vorgehensweise:

  1. Wählen Sie in der Auswahlliste Achsen die Achse, für die Sie die Toleranzen festlegen möchten.
  2. Geben Sie in das Feld Plus die Plustoleranz für diese Achse ein.
  3. Geben Sie in das Feld Minus die Minustoleranz für diese Achse ein.

PC-DMIS läßt positiv-niedrigere Toleranzen (oder eine positive Toleranz im negativen Bereich) zu. Setzen Sie dazu ein negatives Vorzeichen vor den Wert im Feld Minus.

PC-DMIS läßt auch negative Toleranzen im positiven Bereich zu. Setzen Sie dazu ein negatives Vorzeichen vor den Wert im Feld Plus.

Beispiel: Werden ein Nennwert von 1,000, eine Plustoleranz von 0,003 und eine Minustoleranz von 0,001 eingegeben, würden diese Eingaben als 1,000 + 0,003 / –0,001 interpretiert. Um den niedrigeren Toleranzwert auf +0,001 zu bringen (Änderung des Vorzeichens), geben Sie einfach 1,000 (Nennwert) ein, 0,003 (Plustoleranz) und –0,001 (Minustoleranz). Damit erhalten Sie einen Toleranzbereich von 1,000 + 0,003 / + 0,001.

Hinweis: Negative Toleranzen im positiven Bereich werden unter Umständen mit einem Minuszeichen angezeigt, wenn die Option Minus-Tol. negativ anzeigen markiert wurde. Siehe auch "Minus-Tol. negativ anzeigen" im Abschnitt "Voreinstellungen".

Siehe auch:

Auswahlliste "Achsen"

Plustoleranzen

Minustoleranzen


Auswahlliste "Achsen"

In der Auswahlliste Achsen finden Sie eine Auflistung aller verfügbaren Achsen, auf die Sie Plus- bzw. Minustoleranzen anwenden können. Die Liste enthält folgendes:

ALLE | Anzeige aller Achsen und Optionen in der Auswahlliste
X | X-Achsen-Wert
Y | Y-Achsen-Wert
Z | Z-Achsen-Wert
D | Durchmesser
R | Radius (Hälfte des Durchmessers)
A | Winkel (für Kegel)
L | Länge (für Zylinder, Langlöcher, Kegel und Ellipsen)
H | Höhe
PR | Polarradius
PA | Polarwinkel
T | Fehler entlang dem Antastvektor (für Punkte auf gekrümmten Oberflächen)
RT | Abweichung entlang dem Protokollvektor
S | Abweichung entlang dem Oberflächenvektor
RS | Abweichung entlang dem Oberflächenprotokoll
PD | Durchmesser eines Kreises (im rechten Winkel zum Stiftvektor)
FORM | Integriertes Formmerkmal des Elements. Bei einem Kreis- oder Zylinderelement handelt es sich hierbei um das Rundheits- (RN) Merkmal. Bei einem Ebenenelement handelt es sich hierbei um das Ebenheits- (FL) Merkmal. Bei einem Linienelement handelt es sich hierbei um ein Geradheits- (ST) Merkmal.


Plustoleranzen

In das Feld Plus können Sie die positiven Toleranzwerte für die in der Auswahlliste Achsen gewählte Achse oder Achsen eingeben.


Minustoleranzen

In das Feld Minus können Sie die negativen Toleranzwerte für die in der Auswahlliste Achsen gewählte Achse oder Achsen eingeben.


ISO-Toleranzen

Im Bereich ISO-Toleranzen des Dialogfelds können Sie nach ISO normierte Toleranzen auf den Durchmesser kreisförmiger Elemente anwenden. Wenn eine Toleranzklasse und ein Toleranzgrad gewählt worden sind, ermittelt PC-DMIS die entsprechenden Toleranzen für den Durchmesser eines Zylinders oder Kreises aus den ISO-Tabellen für Grenzwerte und Einpassungen. (Die ISO oder International Organization for Standardization ist das internationale Normungsgremium.) In diesen Tabellen werden die Toleranzwerte für verschiedene Design-Klassen und Durchmessergrade definiert. PC-DMIS gestattet zwar die Berechnung von ISO-Toleranzen im englischen Maßsystem (Zoll) und im metrischen System (mm), aber die Werte sind von der ISO nur zur Anwendung mit metrischen (mm) Maßeinheiten definiert. Da diese Tabellen verschiedene Durchmesserklassen und -grade verwenden, sind Zylinder und Kreise die einzigen Elemente, die für diese Option geeignet sind. Wenn kein anderslautender Nenndurchmesser angegeben wird, verwendet PC-DMIS den Nenndurchmesser des Elements für die Berechnung der Toleranzen.

Siehe auch:

Nenngröße

Toleranzklasse

Toleranzgrad


Nenngröße

Im Feld Nenngröße können Sie den Nenndurchmesser des gewählten Elements angeben.


Toleranzklasse

In der Auswahlliste Toleranzklasse können Sie eine der folgenden ISO-Toleranzklassen wählen:

A

B

C

KE

D

E

EF

F

FG

G

 H

J

JS

K

M

N

P

R

S

 T

U

V

X

Y

Z

ZA

ZB

ZC


Toleranzgrad

In der Auswahlliste Toleranzgrad können Sie eine der folgenden ISO-Toleranzgrade wählen:

IT1 | IT7 | IT13
IT2 | IT8 | IT14
IT3 | IT9 | IT15
IT4 | IT10 | IT16
IT5 | IT11 | IT17
IT6 | IT12 | IT18


Merkmal für Position erstellen

Deviation Edit Default Dimension Info Analysis Settings Display Dimension Info Units Output To Close Create Tolerances Axial Features Material Conditions Default Axes Clear Feature List Select Last # Search ID ID = Feature

Display Menu Roadmap
Mit der Menüoption Position können Sie den Abstand des Elements von den X-, Y- und Z-Nullpunkten parallel zur jeweiligen Achse berechnen. Durchmesser, Winkel und Vektor des Elements werden ebenfalls in der Berechnung berücksichtigt.

Dieser Abschnitt bezieht sich nur auf Positionsmerkmale. Lagemerkmale werden im Abschnitt Merkmal einer Lage behandelt.

Wichtig: Bei der Verwendung von Bezugselementen werden die gemessenen und abweichenden XYZ-Werte relativ zur Ausrichtung der Bezugselemente berechnet; sie werden jedoch mit der aktuellen Ausrichtung angezeigt, um die Werte zu interpretieren. Das heißt, ein Element, daß mit einer Positionsabmessung protokolliert wurde, kann andere gemessene und abweichende Werte aufweisen als eine andere Positionsabmessung, wenn für die Merkmale unterschiedliche oder gar keine Bezugselemente definiert wurden, selbst wenn sie die gleichen Nominalwerte aufweisen.

Siehe auch:

So erstellen Sie ein Merkmal für ein Element mit der Option POSITION:

So wenden Sie die Funktion "Position" auf eine Gruppe von Kreisen und Zylindern an

Verwenden von Bezugselementen

Standardachsen für Positionsmerkmale

Abweichung

Axialelemente

Toleranzen für Positionsmerkmale


So erstellen Sie das Merkmal eines Elements mit der Option POSITION :

So bestimmen Sie das Merkmal eines Elements mit der Option POSITION

  1. Wählen Sie im Untermenü die Option Position. Das Dialogfeld Position wird eingeblendet.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, das/die abgemessen werden soll/en.

  3. Wird ein Bezugselement gewünscht, aktivieren Sie das Kontrollkästchen Verwende Bezüge. Wird dieses Kontrollkästchen aktiviert, wird das Merkmal unter Berücksichtigung der Bezugselemente berechnet. Die XYZ-Ausgabewerte werden jedoch relativ zur aktuellen Ausrichtung im Werkstückprogramm angezeigt.
  4. Markieren Sie die gewünschten Elemente im Feld Elementliste.
  5. Legen Sie dann die Materialbedingungen für das Element und das Bezugselement bzw. die Elemente und die Bezugselemente fest, indem Sie die entsprechenden Optionen im Bereich Materialbedingungen auswählen.
  6. Aktivieren Sie die gewünschten Kontrollkästchen im Bereich Abweichung.
  7. Geben Sie beim Messen eines Axialelements (wie beispielsweise eines Zylinders) im Feld Bezugslänge einen Wert ein, und wählen Sie die passende Option im Bereich Für Axialelemente aus.
  8. Wählen Sie die gewünschten Achsen aus. Das Kontrollkästchen Auto ist markiert (Standardeinstellung).
  9. Wählen Sie die Achsen, auf die Sie Plus- und Minustoleranzen anwenden wollen.
  10. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  11. Geben Sie einen Minustoleranzwert in das Feld Minus ein.
  12. Wählen Sie die Option Zoll oder mm im Bereich Einheiten.
  13. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  14. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  15. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  16. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = POSITION VON ELEMENT-ID, EINHEITEN = ZOLL / MM,
GRAF=EIN/AUS, TEXT=EIN/AUS, MULT=n, AUSGABE=PROTOKOLL/STAT/BEIDE/KEINE, ABW
RECHTW ZUR MITTELLINIE=EIN/AUS, ANZEIGE=DURCHM./RADIUS

ACH | NENNW | MESS | OTOL | UTOL | BON | ABW | ABWWINKEL | AUSSER_TOL
X | 0.7500 | .07500 | 0.0000 |  |  | 0.0000 |  |
Y | 3.0000 | 3.0000 | 0.0000 |  |  | 0.0000 |  |
DM | 1.0000 | 1.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000 |  | 0.0000
D1 D2 D3 TP | 1.0000 1.0000 MMC | 1.0000 1.0000 1.0000 | 0.0000 0.0000 0.0000 | 0.0000 0.0000 | 0.0000 0.0000 0.0000 | EBENE KREIS KREIS 0.0000 | P1 BEI RFS C1 BEI MMC C2 BEI MMC 0.000 | 0.0000

ENDE Merkmalsname


So wenden Sie die Funktion "Position" auf eine Gruppe von Kreisen und Zylindern an

  1. Erstellen Sie über die Menüoption Einrichten eine Elementgruppe der Bohrungen (siehe auch "Konstruktion einer Elementgruppe" im Abschnitt "Konstruieren von neuen Elementen aus vorhandenen Elementen").

Display Menu Roadmap
Wählen Sie die Menüoption Position. Das Dialogfeld Position wird angezeigt.

  3. Wählen Sie im Dialogfeld Position die erstellte Elementgruppe als Eingabeelement aus sowie weitere Optionen für das Merkmal, falls erforderlich.
  4. Kreuzen Sie im Analyse-Bereich das Kontrollkästchen Text an.
  5. Wählen Sie in der Symbolleiste des Bearbeitungsfensters das Symbol Protokollmodus. Jetzt können Sie die Abweichung jedes einzelnen Elements erkennen und die Verschiebung und Drehung ermitteln, die erforderlich sind, um die Elemente in den Toleranzbereich zu bringen. Ergebnisse werden stets elementsgrößenneutral (RFS) auf dem Bezugselement angezeigt, damit die maximale Abweichung ersichtlich ist.


Verwenden von Bezugselementen

Als Bezugselemente für Positionsmerkmale kommen zwar viele verschiedene Elementkombinationen in Frage, bei der Auswahl der Bezugselemente sind jedoch einige allgemeine Richtlinien zu beachten.

Eine geläufige Situation, in der Positionsmerkmale zur Anwendung kommen, ist die Verwendung eines Kreises oder Zylinders als einziges Bezugselement.

Ein weiteres akzeptiertes Verfahren ist die Auswahl einer Gruppe von Bezugselementen, für die die 3-2-1-Ausrichtungsrichtlinien gelten. (Zur Erinnerung: Die Mindestdefinition für ein Bezugselement sind 3 Bezugselementpunkte zur Beschreibung des ersten Bezugselements, 2 Bezugselementpunkte zur Beschreibung des zweiten Bezugselements und 1 Bezugselementpunkt zur Beschreibung des dritten Bezugselements.) Die ausgewählten Elemente wären also eine Ebene, eine Linie und dann ein einzelner Punkt.

3-2-1-Ausrichtungsrichtlinien können auch auf die Kombinationen Ebene/Linie/Linie, Ebene/Linie/Kreis, Ebene/Zylinder/Zylinder und viele andere Kombinatinonen angewandt werden.

Wenn mehrere kreisförmige Elemente mit dem maximalen Materialwert (MMC) oder dem geringsten Materialwert (LMC) verwendet wurden:

  • Die Bonustoleranz von der TP- Achse ist wahrscheinlich keine einfache Addition anderer Bonustoleranzen, da eine Besteinpassungs-Berechnung zur Bestimmung der korrekten Bonustoleranz erfolgt.
  • Alle kreisförmigen oder Langloch-Elemente können unter Verwendung des MMC oder LMC gemessen werden.
  • Alle nicht kreisförmigen Elemente werden elementsgrößenneutral (RFS) gemessen.

Hinweis: Wurden Bezugselemente ausgewählt, werden die gemessenen und abgeleiteten Positionen der XYZ-, PA- und PR-Achsen relativ zur Ausrichtung der Bezugselemente berechnet; sie werden jedoch mit der aktuellen Ausrichtung angezeigt, um die Werte zu interpretieren. Die Bezugselemente müssen unter Verwendung der allgemeinen hier besprochenen Verfahren ausgewählt werden, da das Merkmal andernfalls unerwartete Ergebnisse erzielen könnte.

Siehe auch:

Verwenden der gleichen Bezugselemente beim Wiederholen von Merkmalen


Verwenden der gleichen Bezugselemente beim Wiederholen von Merkmalen

Wenn Sie die gleichen Bezugselemente eines früheren Positionsmerkmals verwenden möchten, wählen Sie das Element aus, für das ein Merkmal erstellt werden soll, und klicken Sie im Bereich Materialbedingungen auf die Schaltfläche Standard holen. Siehe auch Schaltfläche "Standard holen".


Standardachsen für Positionsmerkmale

Über das Kontrollkästchen Standard können Sie das Format der Standardausgabe ändern. Wenn das Kontrollkästchen Auto markiert ist, werden die im Merkmal angezeigten Achsen entsprechend der Standardachsen des Elementtyps ausgewählt. In manchen Situationen könnte es jedoch erforderlich sein, die Standardeinstellung zu übersteuern. Wenn Sie die Standardausgabe ändern wollen, markieren Sie einfach die entsprechenden Kontrollkästchen.

X = druckt den Wert für die X-Achse
Y = druckt den Wert für die Y-Achse
Z = druckt den Wert für die Z-Achse
PA = druckt den Wert für den Polarwinkel
PR = druckt den Wert für den Polarradius
D1 = druckt den Wert für den Durchmesser/die Breite des ersten Bezugselements.
D2 = druckt den Wert für den Durchmesser/die Breite des zweiten Bezugselements.
D3 = druckt den Wert für den Durchmesser/die Breite des dritten Bezugselements.
DF = druckt den Wert für den Durchmesser des Elements.
LF = druckt den Wert für die Länge des Elements, wenn dieses Element ein Langloch ist.
WF = druckt den Wert für die Breite des Elements, wenn es sich bei dem Element um ein Langloch handelt.
LD = druckt den Wert für die Länge des Bezugselements, wenn es sich dabei um ein Langloch handelt.
WD = druckt den Wert für die Breite des Bezugselements, wenn es sich dabei um ein Langloch handelt.
TP = druckt die Positionstoleranz und die dazugehörige Abweichung.
Form = druckt das integrierte Formmerkmal des Elements.
Bei einem Kreis- oder Zylinderelement handelt es sich hierbei um das Rundheits- (RN) Merkmal.
Bei einem Ebenenelement handelt es sich hierbei um das Ebenheits- (FL) Merkmal.
Bei einem Linienelement handelt es sich hierbei um ein Geradheits- (ST) Merkmal.

Wenn die Ausgabewerte abweichend von den Standardwerten geändert wurden, verwendet PC-DMIS die neuen Einstellungen für alle nachfolgenden Merkmale. Wenn PC-DMIS dann wieder die ursprünglichen Standardachsen verwenden soll, müssen Sie das Format auf die Standardeinstellungen zurücksetzen.

Verfahren Sie dazu wie folgt:

  1. Markieren Sie das Kontrollkästchen Auto.
  2. Kreuzen Sie das Kontrollkästchen Standard (setzen) an.
  3. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS setzt das Merkmal automatisch zurück, so daß die Standardachsen dem Elementtyp entsprechend gedruckt werden.

Hinweis: Wenn das Kontrollkästchen Auto markiert ist, bestimmt PC-DMIS die zu druckenden Standardachsen automatisch. Das Standardausgabeformat richtet sich nach dem Elementtyp. PC-DMIS bestimmt automatisch die Position des ausgewählten Elements anhand des dokumentierten Achsenformats (siehe Kästchen weiter oben).


Merkmal für Elemente erstellen - Merkmal für Position erstellen - Abweichung

Abweichung

Im Bereich Abweich.(ung) können Sie Optionen auswählen, die festlegen, auf welche Weise Abweichungen durchgeführt und im Bearbeitungsfenster angezeigt werden.

Siehe auch:

Rechtwinklig zur Mittellinie verlaufende Abweichung

Als Radius anzeigen


Rechtwinklig zur Mittellinie verlaufende Abweichung

Über das Kontrollkästchen Rechtwinklig zur Mittellinie können Sie bestimmen, ob PC-DMIS die Abweichung rechtwinklig zur theoretischen Mittellinie des Elements berechnen soll oder ob sie rechtwinklig zu den direkten X-, Y- und Z-Werten berechnet wird.

  • Ist es ausgewählt, berechnet PC-DMIS die Abweichung rechtwinklig zur theoretischen Mittellinie des Elements, wobei jegliche Abweichung in Richtung der Mittellinie ignoriert wird.
  • Ist es nicht ausgewählt, berechnet PC-DMIS die Abweichung rechtwinklig zu den X-, Y- und Z-Werten des Elements.

Dieses Kontrollkästchen ist insbesondere bei Blechelementpunkten hilfreich, bei denen die Antastvektoren möglicherweise nicht entlang der X-, Y- oder Z-Achse ausgerichtet sind. Mit Hilfe dieses Kontrollkästchens ist es möglich, die Abweichung rechtwinklig zum Antastvektor ausfindig zu machen.


Als Radius anzeigen

Das Kontrollkästchen Als Radius anzeigen bestimmt, ob PC-DMIS anstelle der Durchmesser die Radii der Elemente und Bezugselemente anzeigt.

  • Wird dieses Kontrollkästchen aktiviert, zeigt PC-DMIS die Radii in den DE-, D1-, D2-, D3- und TP-Zeilen an und fügt Text in das Merkmalsfeld des Bearbeitungsfensters ein, wobei angegeben wird, ob das Merkmal den Radius oder den Durchmesser des Elements darstellt.
  • Wird das Kontrollkästchen deaktiviert, zeigt PC-DMIS die üblichen Durchmesser an.

Wichtig: Beachten Sie bitte, daß die Aktivierung dieses Kontrollkästchens nicht konform mit den ISO-Normen ist.


Axialelemente

Bei Axialelementen, wie beispielsweise Zylindern, können Sie bestimmen, an welcher Stelle der Achse das Positionsmerkmal durch PC-DMIS erzeugt werden soll. Sie können PC-DMIS anweisen, das Merkmal am Achsenschwerpunkt (oder Mittelpunkt), am Achsenanfangspunkt, am Achsenendpunkt, am schlechtesten Achsenende (dem Ende mit der größten Abweichung) oder an beiden Achsenenden zu erzeugen. Außerdem können Sie ein Merkmal in einer durch eine bestimmte Bezugslänge vorgegebenen Entfernung vom ausgewählten Punkt auf der Achse erstellen.

So arbeiten Sie mit der Bezugslänge:

  1. Geben Sie den gewünschten Wert in das Feld Bezugslänge ein.
  2. Wählen Sie einen der Optionsschalter aus (Vom Achsenschwerpunkt, Vom Achsenanfangspunkt, Vom Achsenendpunkt, Vom schlechtesten Achsenendpunkt oder Von beiden Achsenenden).
  3. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS lokalisiert den ausgewählten Punkt (oder die Punkte, wenn Sie die Option Von beiden Achsenenden gewählt haben) und bewegt sich über die durch die Bezugslänge vorgegebene Entfernung entlang der Achse, um dann dort das/die Merkmal/e zu erzeugen.
Option | Beschreibung
Bezugslänge | Der Wert in diesem Feld gibt die Entfernung von dem ausgewählten Punkt oder Achsenende an, an dem PC-DMIS das Positionsmerkmal erstellt.
Vom Achsenschwerpunkt | Über diese Option wird PC-DMIS angewiesen, das Merkmal für das Axialelement vom Achsenschwerpunkt (oder -mittelpunkt) aus zu erstellen.
Vom Achsenanfangspunkt | Über diese Option wird PC-DMIS angewiesen, das Merkmal für das Axialelement vom Achsenanfangspunkt aus zu erstellen.
Vom Achsenendpunkt | Über diese Option wird PC-DMIS angewiesen, das Merkmal für das Axialelement vom Achsenendpunkt aus zu erstellen.
Vom schlechtesten Achsenendpunkt | Über diese Option wird PC-DMIS angewiesen, das Merkmal für das Axialelement vom dem Achsenanfangs- oder Achsenendpunkt aus zu erzeugen, der das ungünstigste Szenario der Messung darstellt. PC-DMIS erstellt das Merkmal an dem Achsenende, das am stärksten von Nennwert abweicht. Wenn das Werkstück beispielsweise einen schräg verlaufenden Zylinder enthält, ist das Ende der Zylinderachse, das am stärksten vom Nennwert abweicht, der Punkt, bei dem das ungünstigste Szenario erzielt wird.
Von beiden Achsenenden | Über diese Option wird PC-DMIS angewiesen, das Merkmal für das Axialelement sowohl vom Anfangs- als auch vom Endpunkt der ausgewählten Achse aus zu erstellen. PC-DMIS erstellt ein Merkmal an beiden Achsenenden.


Toleranzen für Positionsmerkmale

tptol Minus Plus Axes Im Bereich Toleranzen können Sie Plus- und Minustoleranzen für jede der Achsen in der Auswahlliste Achsen eingeben und bestimmte Materialwerte definieren.

So geben Sie Achsentoleranzen ein:

  1. Wählen Sie die Achse, für die Sie den Toleranzwert eingeben wollen.
  2. Geben Sie in das Feld Plus die Plustoleranz für diese Achse ein.
  3. Geben Sie in das Feld Minus die Minustoleranz für diese Achse ein.
  4. Wählen Sie die Materialwerte in der Auswahlliste Materialbedingungen.

Siehe auch:

Achsen

Plus

Minus


Achsen

In der Auswahlliste Achsen finden Sie eine Auflistung aller verfügbaren Achsen, auf die Sie Plus- bzw. Minustoleranzen anwenden können. Die Liste enthält folgendes:

ALLE | Anzeige aller Achsen und Optionen in der Auswahlliste
D1 | Durchmesser/Breite des ersten Bezugselements
D2 | Durchmesser/Breite des zweiten Bezugselements
D3 | Durchmesser/Breite des dritten Bezugselements
DF | Durchmesser/Breite des Elements
LF | Länge des Elements, wenn es sich bei dem Element um ein Langloch handelt
WF | Breite des Elements, wenn es sich bei dem Element um ein Langloch handelt
LD | Länge des Bezugselements, wenn es sich bei dem Bezugselement um ein Langloch handelt
WD | Breite des Bezugselements, wenn es sich bei dem Bezugselement um ein Langloch handelt
TP | Positionstoleranz und dazugehörige Abweichung
FORM | Das integrierte Formmerkmal des Elements. Bei einem Kreis- oder Zylinderelement handelt es sich hierbei um das Rundheits- (RN) Merkmal. Bei einem Ebenenelement handelt es sich hierbei um das Ebenheits- (FL) Merkmal. Bei einem Linienelement handelt es sich hierbei um das Geradheits- (ST) Merkmal.


Plus

In das Feld Plus können Sie die positiven Toleranzwerte für die in der Auswahlliste Achsen gewählte Achse oder Achsen eingeben.


Minus

In das Feld Minus können Sie die negativen Toleranzwerte für die in der Auswahlliste Achsen gewählte Achse oder Achsen eingeben.


Merkmal für Abstand erstellen

Distance Type Tolerances Close Create Analysis Settings Circle Options Edit Default Dimension Info Display Dimension Info Orientation Relationship Output To Units Clear Last Two Feature List Search ID ID = Feature

Display Menu Roadmap
Mit der Menüoption Abstand können Sie den Abstand zwischen zwei Elementen berechnen. Sie können ein drittes Element oder eine Achse für die in der Berechnung zu verwendende Richtung auswählen.

Die Berechnung des Abstands ist vom Konzept her etwas schwieriger als die meisten anderen Merkmalsberechnungen. Zur Berechnung des Abstands zwischen zwei Elementen wird entweder die Standardmethode oder die Geraden-Methode verwendet. Zweidimensionale Abstände, für die eine Gerade verwendet wurde, verlaufen parallel zur Arbeitsebene. Dreidimensionale Abstände, für die eine Gerade verwendet wurde, verlaufen von Flächenmittelpunkt zu Flächenmittelpunkt.

Siehe auch:

So erstellen Sie das Merkmal eines Abstands mit der Option ABSTAND:

Toleranzen für Abstandsmerkmale

Allgemeine Regeln für 2D- und 3D-Abstandsmerkmale

Relationen für Abstandsmerkmale

Ausrichtung für Abstandsmerkmale

Kreisoptionen


So bestimmen Sie das Merkmal eines Abstands mit der Option ABSTAND

  1. Wählen Sie im Untermenü die Option Abstand. Das Dialogfeld Abstand wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Geben Sie einen Minustoleranzwert in das Feld Minus ein.
  5. Bestimmen Sie den Abstandstyp durch Auswahl der Option 2-dimensional bzw. 3-dimensional.
  6. Wählen Sie Zoll oder mm im Bereich Einheiten.
  7. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  8. Bestimmen Sie die Relation, durch die der Abstand definiert wird, durch die Auswahl der entsprechenden Option: Zum Element, Zur X-Achse, Zur Y-Achse bzw. Zur Z-Achse.
  9. Wählen Sie dann den Optionsschalter Rechtw. zu oder Parallel zu.
  10. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  11. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  17. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  18. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = 2D_ABSTAND,VON elem_1,ZU elem_2,TOG1, Arbeitsebene ,TOG2

oder

Merkmalsname = 3D_ABSTAND,VON elem_1,ZU elem_2,TOG1, Arbeitsebene ,TOG2

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

TOG1= PARALLELzu / RECHTWINKLIGzu

Arbeitsebene = der Inhalt dieses Felds kann geändert werden und jedes beliebige Element enthalten. Die Standardeinstellung ist die aktuelle Arbeitsebene.

TOG2= KEIN_RADIUS / RADIUS_ADDIEREN / RADIUS_SUBTRAHIEREN


Toleranzen für Abstandsmerkmale

Im Bereich Toleranzen können Sie Plus- und Minustoleranzen für Abstände entlang der Plus- und Minus-Richtungen angeben.

Siehe auch:

Plustoleranzen

Minustoleranzen

Nennwert für Abstand


Merkmal für Elemente erstellen - Toleranzen für Abstandsmerkmale - Plustoleranz

Plustoleranz

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß alle Abstände, deren gemessener Wert größer als der Nenn- oder theoretische Abstand ist, gültige Abstände sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Merkmal für Elemente erstellen - Toleranzen für das Abstandsmerkmale - Minustoleranz

Minustoleranz

In das Feld Minus können Sie einen Toleranzwert für die Minus-Richtung eingeben. Das bedeutet, daß alle Abstände, deren gemessener Wert kleiner als der Nenn- oder theoretische Abstand ist, gültige Abstände sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Nennwert für Abstand

Die Nennwerte für den Abstand zwischen Elementen basieren nicht immer auf CAD-Daten oder gemessenen Daten. Häufig erhalten Sie diese ausgedruckt auf Papier. Sie können dann das Feld Nominal: verwenden, um den auf der Papiervorlage angegebenen Nennwert für den Abstand einzugeben.


Allgemeine Regeln für 2D- und 3D-Abstandsmerkmale

Bei 2D- oder 3D-Abstandsmerkmalen kommen je nach zugehörigen Elementen folgende Regeln zur Anwendung:

Behandlung der Elemente

  • Kugeln, Punkte und Gruppen werden als Punkte behandelt.
  • Langlöcher, Zylinder, Kegel, Linien und Kreise werden als Linien behandelt.
  • Ebenen werden normal, d.h. als Ebenen behandelt.

Weitere Regeln

  • Wenn es sich bei beiden Elementen um Punkte gemäß der obigen Definition handelt, gibt PC-DMIS den kürzesten Punkt-zu-Punkt-Abstand aus.
  • Wenn eines der Elemente eine Linie gemäß der obigen Definition darstellt und das andere einen Punkt, gibt PC-DMIS den kürzesten Abstand zwischen der Linie (oder Mittellinie) und dem Punkt aus.
  • Wenn es sich bei beiden Elementen um Linien handelt, gibt PC-DMIS den kürzesten Abstand zwischen dem Flächenmittelpunkt der zweiten Linie und der ersten Linie aus.
  • Wenn eines der Elemente eine Ebene und das andere eine Linie ist, gibt PC-DMIS den kürzesten Abstand zwischen dem Flächenmittelpunkt der Linie und der Ebene aus.
  • Wenn eines der Elemente eine Ebene und das andere ein Punkt ist, gibt PC-DMIS den kürzesten Abstand zwischen dem Punkt und der Ebene aus.
  • Wenn es sich bei beiden Elementen um Ebenen handelt, gibt PC-DMIS den kürzesten Abstand zwischen dem Flächenmittelpunkt der zweiten Ebene und der ersten Ebene aus.

Siehe auch:

2D-Abstand

3D-Abstand


2D-Abstand

Mit der Option 2-dimensional wird die Berechnung des zweidimensionalen Abstands zwischen einzelnen Elementen veranlaßt. Alle Elemente, die zur Berechnung des 2D-Abstands verwendet werden, werden vor Berechnung des Abstands in die aktuelle Arbeitsebene projiziert. PC-DMIS berechnet den größten, kleinsten und durchschnittlichen Abstand zwischen den beiden Elementen. Wenn der Abstand zwischen zwei Linien oder Ebenen liegt, werden Maximum, Minimum und Durchschnitt auf Basis der Meßpunktdaten berechnet. (Vergewissern Sie sich, daß der Abstandstyp auf 2-dimensional eingestellt ist.)

Zweidimensionale Abstände, die unter Verwendung von drei Elementen berechnet werden, verlaufen entweder parallel oder im rechten Winkel zu einem Bezugselement. Das Bezugselement kann ein beliebiges, bereits gemessenes oder konstruiertes Element sein.

So berechnen Sie den Abstand auf Basis von drei Elementen:

  1. Wählen Sie zwei der Elemente, die zur Berechnung des Abstands verwendet werden sollen.
  2. Wählen Sie das dritte (Bezugs-) Element. (Sie erzielen die besten Ergebnisse, wenn Sie als drittes Element eine Linie wählen.)
  3. Vergewissern Sie sich, daß die richtige Ausrichtung markiert ist.
  4. Kreuzen Sie das Kontrollkästchen Zum Element an.
  5. Klicken Sie auf die Schaltfläche Erzeugen.

PC-DMIS berechnet den Abstand zwischen den ersten beiden Elementen parallel oder im rechten Winkel zum dritten (Bezugs-) Element oder der Achse.

Hinweis: Wird die Schaltfläche Schließen gewählt, schließt PC-DMIS das Dialogfeld Abstand, ohne ein weiteres Merkmal zu erstellen.


3D-Abstand

Mit der Option 3-dimensional wird die Berechnung des dreidimensionalen Abstands zwischen zwei Elementen veranlaßt.

  • Wenn eines der Eingabeelemente eine Linie, Mittellinie oder Ebene ist, berechnet PC-DMIS den 3D-Abstand vertikal zu diesem Element.
  • Wenn beide Elemente Linien, Mittellinien oder Ebenen sind, wird das zweite Element als Bezugselement verwendet.
  • Wenn keines der Eingabeelemente eine Linie, Mittellinie oder Ebene ist, berechnet PC-DMIS den kürzesten Abstand zwischen den beiden Elementen. (Vergewissern Sie sich, daß 3-dimensional eingestellt ist.)


Relationen für Abstandsmerkmale

To Z Axis To Y Axis To X Axis To Feature

Mit Hilfe der Kontrollkästchen in dem Bereich Relation des Dialogfelds können Sie bestimmen, ob der zwischen zwei Elementen gemessene Abstand im rechten Winkel oder parallel zu einer bestimmten Achse verläuft, oder ob er rechtwinklig oder parallel zu einem ausgewählten Element verläuft.

Siehe auch:

Kontrollkästchen "Zum Element"

Kontrollkästchen "Zur X-Achse"

Kontrollkästchen "Zur Y-Achse"

Kontrollkästchen "Zur Z-Achse"


Kontrollkästchen "Zum Element"

Wenn Sie das Kontrollkästchen Zum Element aktivieren, werden die Optionen Rechtw. zu und Parallel zu im Bereich Richtung zur Auswahl verfügbar. Über diese Optionen wird PC-DMIS angewiesen, den Abstand zwischen dem ersten ausgewählten Element und dem zweiten ausgewählten Element parallel oder rechtwinklig zu einem bestimmten Element zu messen.

Wenn nur zwei Elemente aus der Liste ausgewählt wurden, berechnet PC-DMIS den Abstand zwischen Element 1 und Element 2 parallel oder rechtwinklig zu Element 2.

Wenn drei Elemente aus der Liste ausgewählt wurden, berechnet PC-DMIS den Abstand zwischen Element 1 und Element 2 parallel oder rechtwinklig zu Element 3.

Das Element, das zur Bildung der Relation verwendet wird, sollte ein lineares Element sein.


Kontrollkästchen "Zur X-Achse"

Wählen Sie das Kontrollkästchen Zur X-Achse, wenn Sie den Abstand vom ersten ausgewählten Element zum zweiten ausgewählten Element parallel oder rechtwinklig zu dessen X-Achse messen wollen.


Kontrollkästchen "Zur Y-Achse"

Wählen Sie das Kontrollkästchen Zur Y-Achse, wenn Sie den Abstand vom ersten ausgewählten Element zum zweiten ausgewählten Element parallel oder rechtwinklig zu dessen Y-Achse messen wollen.


Kontrollkästchen "Zur Z-Achse"

Wählen Sie das Kontrollkästchen Zur Z-Achse, wenn Sie den Abstand vom ersten ausgewählten Element zum zweiten ausgewählten Element parallel oder rechtwinklig zu dessen Z-Achse messen wollen.


Ausrichtung für Abstandsmerkmale

Parallel To Perpendicular To

Bei der Messung des Abstands zwischen zwei Elementen können Sie mit Hilfe der folgenden beiden Optionen bestimmen, wie der Abstand gemessen werden soll.
  • Der Abstand kann entweder parallel oder rechtwinklig zwischen dem ersten ausgewählten und dem zweiten Element oder einem anderen ausgewählten gemessen werden.
  • Der Abstand zwischen dem ersten und dem zweiten ausgewählten Element kann parallel oder im rechten Winkel zu einer bestimmten Achse gemessen werden.

Mit Hilfe der Optionen Rechtw. zu bzw. Parallel zu können Sie die Ausrichtung der Elemente bestimmen.

Siehe auch:

Rechtwinklig zu

Parallel zu


Rechtwinklig zu

Markieren Sie die Option Rechtw. zu, wenn der Abstand zwischen den beiden Elementen entweder im rechten Winkel zum zweiten Element oder im rechten Winkel zu einer bestimmten Achse verläuft.


Parallel zu

Markieren Sie die Option Parallel zu, wenn der Abstand zwischen den beiden Elementen entweder parallel zum zweiten Element oder parallel zu einer bestimmten Achse verläuft.


Kreisoptionen

Mit der Option Radius add. bzw. Radius subtr. im Bereich Kreisoptionen können Sie PC-DMIS anweisen, den Radius des gemessenen Elements zum Gesamtabstand hinzuzuaddieren bzw. von diesem zu subtrahieren. Der addierte bzw. subtrahierte Betrag verläuft stets entlang desselben Vektors, mit dem der Abstand berechnet wird. Es steht nur jeweils eine der Optionen zur Verfügung.

Bei Verwendung der Option Kein Radius wird der Radius des Elements nicht auf den gemessenen Abstand angewendet.


Merkmal für Winkel erstellen

Angle Type Tolerances Close Create Analysis Settings Relationship Edit Default Dimension Info Display Dimension Info Output To Clear Last Two Feature List Search ID ID = Feature

Display Menu Roadmap
Mit der Menüoption Winkel können Sie den Winkel zwischen zwei ausgewählten Elementen berechnen. (Stellen Sie sicher, daß die Option Zum Element ausgewählt ist.) Wird nur ein Element angegeben, wird der Winkel zwischen der Hauptachse der aktuellen Arbeitsebene (X ist die Standardachse) und dem ausgewählten Element berechnet. Wenn der von PC-DMIS zurückgegebene Winkel nicht im richtigen Quadranten liegt (0,0 und nicht 180,0), geben Sie einfach den richtigen Nennwinkel in das Bearbeitungsfenster ein. PC-DMIS wandelt den Quadranten automatisch um, so daß dieser dem Nennwinkel entspricht.

Die Richtung der Linien bestimmt den Winkel, der gemessen wird.

Mit dem Winkelmerkmal wird der Winkel zwischen den angegebenen Elementen berechnet und geprüft, ob sich der Winkel innerhalb der Toleranzen befindet. Das Toleranzband des Winkelmerkmals ist in Radianten oder Grad definiert und bildet einen Winkel.

Der gemessene Wert ist ein Winkel (blau). Das Toleranzband des Winkels ist ein anderer Winkel (schwarz).

Siehe auch:

So erstellen Sie das Merkmal des Winkels zwischen zwei Elementen:

Toleranzen für Winkelmerkmale

Winkelart

Relationen für Zwischenwinkelmerkmale


So erstellen Sie das Merkmal des Winkels zwischen zwei Elementen :

So bestimmen Sie das Merkmal des Winkels zwischen zwei Elementen

  1. Wählen Sie Winkel aus dem Untermenü. Das Dialogfeld Winkel wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Geben Sie einen Minustoleranzwert in das Feld Minus ein.
  5. Bestimmen Sie den Winkeltyp durch Wahl der Option 2-dimensional oder 3-dimensional.
  6. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  7. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  8. Bestimmen Sie die Relation, durch die der Winkel definiert wird, durch Wahl der entsprechenden Option: Zum Element, Zur X-Achse, Zur Y-Achse bzw. Zur Z-Achse.
  9. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  10. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  11. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = 2D_ABSTANDTOG1,VON elem_1,ZU elem_2,TOG2, Arbeitsebene
oder
Merkmalsname = 3D_ABSTANDTOG1,VON elem_1,ZU elem_2,TOG2, Arbeitsebene

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
A | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

TOG1= WAHR / KOMPLEMENT Anhand dieses Felds kann überprüft bzw. geändert werden, ob die Winkelabmessung den wahren Winkel oder eine Ergänzung des wahren Winkels zwischen den beiden Elementen ermittelt.

TOG2= PARALLELzu / RECHTWINKLIGzu

Arbeitsebene = dieses Felds kann geändert werden und jedes beliebige Element enthalten. Die Standardeinstellung ist die aktuelle Arbeitsebene.


Toleranzen für Winkelmerkmale

Im Bereich Toleranzen können Sie Plus- und Minustoleranzen entlang der Plus- und Minus-Richtungen angeben.

Siehe auch:

Plustoleranz

Minustoleranz

Nennwert für Zwischenwinkel


Merkmal für Elemente erstellen - Toleranzen für Winkelmerkmale - Plustoleranz

Plustoleranz

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß alle Winkel, deren gemessener Wert größer als der Nenn- oder theoretische Winkel ist, gültige Winkel sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Merkmal für Elemente erstellen - Toleranzen für das Winkelmerkmale - Minustoleranz

Minustoleranz

In das Feld Minus können Sie einen Toleranzwert für die Minus-Richtung eingeben. Das bedeutet, daß alle Winkel, deren gemessener Wert kleiner als der Nenn- oder theoretische Winkel ist, gültige Winkel sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Nennwert für Zwischenwinkel

Die Nennwerte für Winkelmerkmale basieren nicht immer auf CAD-Daten oder gemessenen Daten. Häufig erhalten Sie diese ausgedruckt auf Papier. Sie können dann das Feld Nominal: verwenden, um den auf der Papiervorlage angegebenen Nennwert für den Abstand einzugeben.


Winkeltyp

Im Bereich Winkeltyp wird angegeben, ob der Winkel zwei- oder dreidimensional ist.

Siehe auch:

2-dimensionaler Winkeltyp

3-dimensionaler Winkeltyp


Zweidimensionaler Winkeltyp

Mit der Option 2-dimensional wird die Berechnung des zweidimensionalen Abstands zwischen einzelnen Elementen veranlaßt.


Dreidimensionaler Winkeltyp

Mit der Option 3-dimensional wird die Berechnung des dreidimensionalen Winkels zwischen einzelnen Elementen veranlaßt. Ist nur ein Element ausgewählt, wird der Winkel zwischen der aktuellen Arbeitsebene und dem ausgewählten Element berechnet. Hinweise zur Umwandlung des Quadranten des zurückgegebenen Winkels finden Sie unter Merkmal für Winkel erstellen.


Relation für Zwischenwinkelmerkmale

To Z Axis To Y Axis To X Axis To Feature

Mit den Kontrollkästchen in dem Bereich Relation des Dialogfelds können Sie bestimmen, ob das Winkelmerkmal den Winkel zwischen zwei Elementen oder zwischen dem Element und einer bestimmten Achse: X-Achse, Y-Achse und Z-Achse berechnet.

Siehe auch:

Zum Element

Zur X-Achse

Zur Y-Achse

Zur Z-Achse


Zum Element

Wählen Sie das Kontrollkästchen Zum Element, wenn Sie den Winkel zwischen zwei Elementen messen wollen.

Das zweite Element ist dann das Bezugselement.


Zur X-Achse

Markieren Sie das Kontrollkästchen Zur X-Achse, wenn Sie den Winkel zwischen einem Element und der X-Achse messen wollen.


Zur Y-Achse

Markieren Sie das Kontrollkästchen Zur Y-Achse, wenn Sie den Winkel zwischen einem Element und der Y-Achse messen wollen.


Zur Z-Achse

Markieren Sie das Kontrollkästchen Zur Z-Achse, wenn Sie den Winkel zwischen einem Element und der Z-Achse messen wollen.


Merkmal für Konzentrizität erstellen

Edit Default Dimension Info Display Dimension Info Tolerance Analysis Settings Close Create Output To Units Clear Last Two Feature List Search ID ID = Feature

Display Menu Roadmap
Mit der Menüoption Konzentrizität können Sie die Konzentrizität von zwei Kreisen oder Zylindern, Kegeln oder Kugeln berechnen. Das zweite Element, das eingegeben wird, ist stets das Bezugselement. Ist nur ein Element ausgewählt, wird die aktuelle Arbeitsebene zum Bezugselement. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So erstellen Sie ein Merkmal für ein Element mit der Option KONZENTRIZITÄT:

Toleranzen für Konzentrizitätsmerkmale


So erstellen Sie das Merkmal eines Elements mit der Option KONZENTRIZITÄT: :

So bestimmen Sie das Merkmal eines Elements mit der Option KONZENTRIZITÄT:

  1. Wählen Sie im Untermenü die Option Konzentrizität. Das Dialogfeld Konzentrizität wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Wählen Sie Zoll oder mm im Bereich Einheiten.
  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  9. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = KONZENTRIZITÄT,VON elem_1, zu elem_2

oder

Merkmalsname = KONZENTRIZITÄT,VON elem_1, ZUM NULLPUNKT

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Toleranz für Konzentrizitätsmerkmale

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß eine Konzentrizität, deren gemessener Wert größer als die Nenn- oder theoretische Konzentrizität ist, nach wie vor eine gültige Konzentrizität sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Merkmal für Koaxialität erstellen

Analysis Settings Close Create Edit Default Dimension Info Display Dimension Info Clear Output To Units Last Two Feature List Search ID ID = Feature Projected Distance Tolerance

Display Menu Roadmap
Mit der Menüoption Koaxialität wird die Koaxialität eines Zylinders, Kegels oder einer Linie mit einem Bezugselement berechnet. Als zweites Element wird stets das Bezugselement eingegeben. Dies kann ein Zylinder, Kegel, eine Linie oder ein Kreis sein. Wenn nur ein Element ausgewählt wurde und Sie auf Erzeugen klicken, wird PC-DMIS in Inhalte des Listenfelds löschen und Ihnen in einer eingeblendeten Meldung mitteilen, daß ein zweites Element benötigt wird.

Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So bestimmen Sie das Merkmal eines Elements mit der Option KOAXIALITÄT:

Plustoleranz für Koaxialitätsmerkmale

Projizierter Abstand für die Koaxialität


So erstellen Sie das Merkmal eines Elements mit der Option KOAXIALITÄT: :

So bestimmen Sie das Merkmal eines Elements mit der Option KOAXIALITÄT

  1. Wählen Sie im Untermenü die Option Koaxialität. Das Dialogfeld Koaxialität wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Wählen Sie Zoll oder mm im Bereich Einheiten.
  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie eines der Kontrollkästchen oder beide markieren. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  9. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = KOAXIALITÄT, VON elem_1, ZU elem_2
oder
Merkmalsname = KOAXIALITÄT, VON elem_1, ZUM NULLPUNKT

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Hinweis: Das Dialogfeld bleibt offen, nachdem das Merkmal erstellt worden ist. Bei Bedarf können Sie jetzt auf die Schaltfläche Bearbeiten klicken und Aspekte Ihrer Merkmalsinformationen bearbeiten (siehe Standard-Merkmalinformationen bearbeiten).


Plustoleranz für Koaxialmerkmale

In dieses Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß eine Koaxialität, deren gemessener Wert größer als die Nenn- oder theoretische Koaxialität ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Projizierter Abstand für die Koaxialität

PC-DMIS gestattet auch die Projektion eines Bezugsabstands. Diese Option ist nützlich, wenn die Punkte entlang der Elementachse zur Berechnung der Koaxialität verwendet werden sollen. Wenn dieser Abstand gleich Null ist, werden die beiden Endpunkte der Elementachse als Berechnungspunkte verwendet. Wenn dieser Abstand ungleich Null ist, werden als Berechnungspunkte der Anfangspunkt der Achse sowie der Abstand vom Anfangspunkt entlang des Achsenvektors verwendet.

Der Fehler wird durch eine Erhöhung des projizierten Abstands vergrößert. Eine Verringerung des Abstands reduziert den Fehler. Angenommen, es liegen zwei Zahnstocher in einer Linie aufgereiht auf dem Tisch, die einander an einem Ende berühren. Am anderen Ende des Zahnstochers, etwa 5 cm weiter, könnte die Abweichung von ihren Mittellinien 0,012 cm betragen. Nehmen wir nun an, daß diese Zahnstocher 50 cm lang wären, sich immer noch an einem Ende berühren würden und die Abweichung über einen Abstand von 5 cm 0,012 cm betragen würde. In 50 cm Entfernung vom ersten Ende könnten die Zahnstocher jedoch einen Fehler von 0,12 cm aufweisen.

Mit dem Wert, den Sie in das Feld Abstand eingeben, wird die Gesamtlänge des Elements angegeben.


Merkmal für Rundheit erstellen

Output To Plus Tolerance Close Create Analysis Settings Display Dimension Info Edit Default Dimension Info Units Clear Last Feature List Search ID ID= Feature

Display Menu Roadmap
Mit der Menüoption Rundheit können Sie die Rundheit eines Kreises, die Zylindrizität (Walzenförmigkeit) eines Zylinders, die Sphärizität (Kugelförmigkeit) einer Kugel und die Konizität (Kegelförmigkeit) eines Kegels ermitteln. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So erstellen Sie ein Merkmal für ein Element mit der Option RUNDHEIT:

Plustoleranz für Rundheitsmerkmale


So erstellen Sie das Merkmal eines Elements mit der Option RUNDHEIT :

So bestimmen Sie das Merkmal eines Elements mit der Option RUNDHEIT

  1. Wählen Sie im Untermenü die Option Rundheit. Das Dialogfeld Rundheit wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Wählen Sie Zoll oder mm im Bereich Einheiten.
  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  9. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = RUNDHEIT,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Plustoleranz für Rundheitsmerkmale

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß eine Rundheit, deren gemessener Wert größer als die Nenn- oder theoretische Rundheit ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Merkmal für Geradheit erstellen

Last Clear Close Create Analysis Settings Output To Units Edit Default Dimension Info Display Dimension Info Feature List Search ID ID = Feature Plus Tolerance

Display Menu Roadmap
Mit der Option Geradheit wird die Geradheit einer Linie berechnet. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So erstellen Sie das Merkmal eines Elements mit der Option GERADHEIT:

Plustoleranz für Geradheitsmerkmale


So erstellen Sie das Merkmal eines Elements mit der Option GERADHEIT

  1. Wählen Sie im Untermenü die Option Geradheit. Das Dialogfeld Geradheit wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Wählen Sie Zoll oder mm im Bereich Einheiten.
  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  9. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = GERADHEIT,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Plustoleranz für Geradheitsmerkmale

In dieses Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß eine Geradheit, deren gemessener Wert größer als die Nenn- oder theoretische Geradheit ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Merkmal für Ebenheit erstellen

Close Create Plus Tolerance Analysis Settings Output To Units Edit Default Dimension Info Display Dimension Info Clear Last Feature List Search ID ID = Feature

Display Menu Roadmap
Mit Menüoption Ebenheit können Sie die Ebenheit einer Ebene ermitteln. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So erstellen Sie ein Merkmal für ein Element mit der Option EBENHEIT:

Plustoleranz für Ebenheitsmerkmale


So erstellen Sie das Merkmal eines Elements mit der Option EBENHEIT

  1. Wählen Sie im Untermenü die Option Ebenheit. Das Dialogfeld Ebenheit wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Wählen Sie Zoll oder mm im Bereich Einheiten.
  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  9. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = EBENHEIT,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Plustoleranz für Ebenheit

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß eine Ebenheit, deren gemessener Wert größer als die Nenn- oder theoretische Ebenheit ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Merkmal für Rechtwinkligkeit erstellen

Material Conditions Close Create Analysis Settings Edit Default Dimension Info Display Dimension Info Output To Units Projected Distance Plus Tolerance Clear Last Two Feature List Search ID ID = Feature

Display Menu Roadmap
Mit der Menüoption Rechtwinkligkeit können Sie die Rechtwinkligkeit zwischen zwei Elementen messen. Das zweite Element ist stets das Bezugselement. Ist nur ein Element ausgewählt, wird die aktuelle Arbeitsebene zum Bezugselement. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So erstellen Sie das Merkmal eines Elements mit der Option RECHTWINKLIGKEIT:

Plustoleranz für Rechtwinkligkeitsmerkmale

Projizierter Abstand für die Rechtwinkligkeit


So erstellen Sie das Merkmal eines Elements mit der Option RECHTWINKLIGKEIT :

So bestimmen Sie das Merkmal eines Elements mit der Option RECHTWINKLIGKEIT

  1. Wählen Sie im Untermenü die Option Rechtwinkligkeit. Das Dialogfeld Rechtwinkligkeit wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Wählen Sie die entsprechenden Optionen für Materialbedingung für das/die Element/e und das Bezugselement aus.
  4. Wird ein Bezugselement gewünscht, aktivieren Sie das Kontrollkästchen Verwende Bezüge und wählen Sie ein weiteres Element im Feld Elementliste aus.
  5. Wählen Sie die entsprechenden Optionen für Materialbedingung für das Element (bzw. die Elemente) und das Bezugselement aus.
  6. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  7. Geben Sie den projizierten Abstand in das Feld Abstand ein.
  8. Wählen Sie Zoll oder mm im Bereich Einheiten.
  9. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  10. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  11. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  12. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  13. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = RECHTWINKLIGKEIT,VON elem_1, ZU elem_2

oder

Merkmalsname = RECHTWINKLIGKEIT, VON elem_1, ZUR Arbeitsebene

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Plustoleranz für Rechtwinkligkeitsmerkmale

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß eine Rechtwinkligkeit, deren gemessener Wert größer als die Nenn- oder theoretische Rechtwinkligkeit ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Projizierter Abstand für Rechtwinkligkeitsmerkmale

PC-DMIS gestattet auch die Eingabe eines Bezugsabstands in das Feld Abstand. Diese Option ist nützlich, wenn sich das Element nicht nur im rechten Winkel zum Bezugselement befinden, sondern auch in einem bestimmten Abstand vom Bezugselement berechnet werden muß.


Merkmal für Parallelität erstellen

Close Create Analysis Settings Edit Default Dimension Info Display Dimension Info Output To Units Material Conditions Projected Distance Plus Tolerance Clear Last Two Feature List Search ID ID = Feature

Display Menu Roadmap
Mit der Menüoption Parallelität können Sie die Parallelität zwischen zwei Elementen messen. Das zweite Element ist stets das Bezugselement. Ist nur ein Element ausgewählt, wird die aktuelle Arbeitsebene zum Bezugselement. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

So erstellen Sie ein Merkmal mit der Option PARALLELITÄT:

Plustoleranz für Parallelitätsmerkmale

Projizierter Abstand für Parallelitätsmerkmale


So erstellen Sie ein Merkmal mit der Option PARALLELITÄT

  1. Wählen Sie im Untermenü die Option Parallelität. Das Dialogfeld Parallelität wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Wird ein Bezugselement gewünscht, markieren Sie das Kontrollkästchen Verwende Bezüge
  4. und wählen Sie im Feld Elementliste ein weiteres Element aus.
  5. Wählen Sie die entsprechenden Optionen für Materialbedingung für das Element (bzw. die Elemente) und das Bezugselement aus.
  6. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  7. Geben Sie unter Projektion den Abstand in das Feld Abstand ein.
  8. Wählen Sie die Option Zoll oder mm im Bereich Einheiten.
  9. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  10. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  11. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  12. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  13. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = PARALLELITÄT,VON elem_1,TOG1,ZU elem_2,TOG1
oder
Merkmalsname = PARALLELITÄT,VON elem_1,TOG1,ZUR Arbeitsebene
ACH | NENNW | OTOL | UTOL | BON | MESS | MAX | ABW | AUSSER_TOL
DE D1 M | 1.0000 0.0000 0.0000 | 0.0100 0.0100 0.0100 | 0.0100 0.0100 0.0100 | 0.0000 0.0000 0.0000 | 1.0000 0.0000 0.0000 | 0.0000 | 0.0000 0.0000 0.0000 | 0.0000 0.0000 0.0000

TOG1= MMC / RFS / LMC


Plustoleranz für Parallelitätsmerkmale

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß eine Parallelität, deren gemessener Wert größer als die Nenn- oder theoretische Parallelität ist, nach wie vor eine gültige Messung sein kann, sofern sie innerhalb des angegebenen Toleranzbereichs liegt.


Projizierter Abstand für Parallelitätsmerkmale

PC-DMIS gestattet die Eingabe eines Bezugsabstands in das Feld Abstand. PC-DMIS legt diesen Wert bei der Berechnung des Parallelitätsmerkmals bei Zylinder-, Kegel- und Linienelementen zugrunde.

Bei diesen Elementen handelt es sich bei den für die Parallelitätsberechnung verwendeten Punkten um den Endpunkt der Achse und einen von diesem Endpunkt entlang der Elementachse projizierten Punkt.

Der Abstand zwischen diesen beiden Punkten ist der Abstand, auf den Bezug genommen wird. Bei anderen Elementen wirkt sich dieser Abstand nicht auf das Merkmal aus. Diese Option ist nützlich, wenn das Merkmal in einem bestimmten Abstand entlang des Elements berechnet werden muß.

Hinweise zum Projektionsabstand bei der Parallelität

In der Regel verwendet das Parallelitätsmerkmal den Linienvektor eines Bezugselements und prüft die Endpunkte des Elements, für das das Merkmal erstellt wird, daraufhin, ob sie innerhalb der angezeigten Toleranz liegen:

In einigen Fällen kann jedoch nicht immer ganz bis zur Linienkante gemessen werden. In diesen Fällen müssen Sie die Linie um einen bestimmten Abstand verlängern.

Da Extremabweichungen gewöhnlich an den Linienenden auftreten, werden Sie in der Regel größere Abweichungen erhalten, wenn Sie die Linie um mehr als die tatsächliche Linienlänge verlängern. Es besteht auch die Möglichkeit, die der Linie gegenüberliegende Richtung zu verlängern, indem eine negative Bezugslänge verwendet wird.

Eine verlängerte Linie könnte etwa folgendermaßen aussehen:

Sie können auch über das Feld Abstand eine Bezugslänge eingeben, um beispielsweise eine Zylinderachse zu prüfen.


Merkmal für Rundlauf erstellen

Close Create Analysis Settings Edit Default Dimension Info Display Dimension Info Output To Units Plus Tolerance Clear Last Feature Search ID ID = Feature

Display Menu Roadmap
Mit der Menüoption Rundlauf können Sie den Umlauf des ersten Elements in bezug auf das zweite Element ermitteln (d.h., das zweite Element wird zum Bezugselement). Ist nur ein Element ausgewählt, werden der Nullpunkt und die aktuelle Arbeitsebene zum Bezugselement. In diesem Fall verwendet PC-DMIS die Position des Nullpunkts und der Richtung der Arbeitsebene für das Bezugselement. Der im Bearbeitungsfenster für das Bezugselement angezeigte Text lautet "DER NULLPUNKT".

Diese Option kann in Verbindung mit Kreisen, Kegeln, Zylindern, Kugeln und Ebenen eingesetzt werden. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.

Siehe auch:

Informationen zur Funktion Rundlauf

So erstellen Sie ein Merkmal für ein Element mit der Option RUNDLAUF:

Plustoleranz für Rundlaufmerkmale


Informationen zur Funktion Rundlauf

Ein Rundlaufmerkmal findet allgemein Anwendung für Operationen in Verbindung mit Nockenwellen. Eine Nockenwelle ist zur Rotation um eine Mittellinie konzipiert. Aufgrund der Tatsache, daß die einzelnen Zylinder der Nockenwelle alle auf derselben Mittellinie liegen, ist nicht nur sicherzustellen, daß die Mittellinie parallel ist, sondern auch, daß die Zylinder koaxial (oder konzentrisch) sind.

Beispiel für eine Nockenwelle

Außerdem sollten Sie sich vergewissern, daß die Zylinderoberfläche rund und gerade ist (das heißt, gerade im Vergleich mit einer separaten Bezugs-Achse, nicht nur mit der eigenen Achse).

Der Hauptunterschied zwischen "Rundlauf" und "Parallelität" besteht darin, daß das Rundlaufmerkmal die Punkte auf der Oberfläche eines Zylinders prüft und nicht nur die Achse des Zylinders. Das Rundlaufmerkmal unterscheidet sich auch von dem Geradheitsmerkmal eines Zylinders, da es dich Zylinderoberfläche mit einer Bezugsachse und nicht nur mit der eigenen Achse vergleicht. Ein Rundlaufmerkmal prüft diese Bedingungen.

Siehe auch:

Wie der Rundlauf gemessen wird

Zwei Rundlaufkategorien: Kreisförmig oder Gesamt

Rundlauf zur Prüfung eines Zylinderendes verwenden


Wie Rundlauf gemessenen wird

Das übliche Verfahren zur Messung eines Rundlaufs ohne ein KMG ist, eine kleine Meßuhr auf die Oberfläche eines Zylinders zu setzen, die Uhr zu nullen und den Zylinder dann zu drehen. Während der Zylinderdrehung, mißt die Meßuhr alle Differenzen entlang des Kreises.

Runout with a Dial Indicator

Ein KMG wendet im Grunde dasselbe Verfahren an. Allerdings dreht sich der KMG-Taster um den Zylinder und nimmt eine bestimmte Anzahl von Meßpunkten auf, statt daß der Zylinder gedreht wird.

Das Toleranzband für den Rundlauf würde etwa folgendermaßen aussehen:

Beispiel Toleranzband für Rundlauf (gestrichelte Linien)

Das Toleranzband hat folgende Eigenschaften:

  • Die Breite entspricht dem Wert der Plustoleranz.
  • Es verläuft parallel zum Bezugsvektor (etwa der Achse einer anderen Linie oder eines Zylinders).
  • Es ist in einem bestimmten Radius von der Zylinderachse fixiert.


Zwei Rundlaufkategorien: : Kreisförmig oder Gesamt

Es gibt zwei Kategorien für Rundlauf:

  • Der kreisförmige Rundlauf mißt nur einen Kreis — oder eine Reihe von Meßpunkten — um den Zylinder herum.
  • Der Gesamtrundlauf mißt mehrere Kreis in Aufwärts- und Abwärtsrichtung entlang der gesamten Zylinderoberfläche mit mehreren Meßpunktreihen.

Offensichtlich unterliegt die Verwendung eines KMGs für den Gesamtrundlauf Beschränkungen, da Sie kaum 100 Meßpunktreihen um den Zylinder aufnehmen werden. Wenn aber beispielsweise nur drei Meßpunktreihen aufgenommen werden, wird dies kaum zur Bestimmung des Gesamtrundlaufs ausreichen.

Dennoch bietet PC-DMIS die Möglichkeit, sowohl den kreisförmigen als auch den gesamten Rundlauf zu bemaßen. Sie selbst können bestimmen, ob genug Reihen für den Zylinder gemessen wurden oder nicht.


Rundlauf zur Prüfung eines Zylinderendes verwenden

PC-DMIS bietet Ihnen außerdem die Möglichkeit, noch ein anderes Rundlaufmerkmal zu prüfen, als das im Standard vorgegebene: die Ebenenprüfung für eines der Zylinderenden. Die Toleranz für diesen Rundlauftyp liegt auf einer festen Ausrichtung im rechten Winkel zur Bezugs-Achse.

Beispiel-Rundlauf eines Zylinderendes


So erstellen Sie das Merkmal eines Elements mit der Option RUNDLAUF :

So bestimmen Sie das Merkmal eines Elements mit der Option RUNDLAUF:

  1. Wählen Sie im Untermenü die Option Rundlauf. Das Dialogfeld Rundlauf wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Wählen Sie Zoll oder mm im Bereich Einheiten.
  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  9. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:
Merkmalsname = RUNDLAUF,VON elem_1, ZU elem_2

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Plustoleranz für Rundlaufmerkmale

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß jeder Rundlauf, dessen gemessener Wert größer als der Nenn- oder theoretische Auslauf ist, nach wie vor eine gültige Messung sein kann, sofern er innerhalb des angegebenen Toleranzbereichs liegt.


Merkmal für Oberflächenprofil erstellen

Best Fit Options Control Options for Surface Profile Dimensions Close Create Analysis Settings Edit Default Dimension Info Display Dimension Info Output To Units Tolerances for Surface Profile Dimensions Clear Last Feature List Search ID ID = Feature

Mit der Menüoption Oberflächen-Profil wird der dreidimensionale Profilfehler einer Oberfläche oder eines Kurvenelements berechnet.

Display Menu Roadmap
Hinweis: Die Option für das Profilmerkmal wurde gegenüber PC-DMIS 3.0 und früheren Versionen geändert. In der aktuellen Version kann jetzt jedes beliebige Element für einen Profil-Scan verwendet werden.

Siehe auch:

So erstellen Sie ein Merkmal für ein Element mit der Option OBERFLÄCHENPROFIL:

Toleranzen für Oberflächenprofilmerkmale

Steuerungsoptionen für Oberflächenprofilmerkmale

Besteinpassungsoptionen für Oberflächenprofilmerkmale


So erstellen Sie das Merkmal eines Elements mit Option Oberflächenprofil

  1. Wählen Sie im Untermenü die Option Oberfläche. Das Dialogfeld Oberflächen profil wird angezeigt.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll. Wird auch ein Bezugselement ausgewählt, muß es sich dabei um eine Ebene handeln.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Geben Sie einen Minustoleranzwert in das Feld Minus ein.
  5. Wählen Sie Zoll oder mm im Bereich Einheiten.
  6. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  7. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  8. Wählen Sie im Bereich Steuerungsoptionen des Dialogfelds die Option Nur Form oder Form und Lage.
  9. Wenn Sie Nur Form gewählt haben, aktivieren Sie das Kontrollkästchen Verwende BF (Besteinpassung). Dadurch wird veranlaßt, daß das Merkmal die Funktion der internen Besteinpassungsausrichtung nutzt, so daß die Form solange gedreht und verschoben wird, bis die Besteinpassung für das Element gefunden wurde.
  10. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  11. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
    • Wenn Sie zuvor die Option Form und Lage ausgewählt haben, vergewissern Sie sich, daß Sie das Kontrollkästchen Min./Max. im Bereich Merkmallayout des Dialogfelds Merkmal-Info bearbeiten markiert haben.
    • Wenn Sie zuvor die Option Nur Form ausgewählt haben, vergewissern Sie sich, daß Sie das Kontrollkästchen Meßwert im Bereich Merkmallayout des Dialogfelds Merkmal-Info bearbeiten aktiviert haben.
  12. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = PROFILE,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Siehe auch:

Anzeigen von Profilkonturzeichnungen


Merkmale für Elemente erstellen - So erstellen Sie das Merkmal eines Elements mit Option Oberflächenprofil : - Anzeigen von Profilkonturzeichnungen

Anzeigen von Profilkonturzeichnungen

PC-DMIS bietet Ihnen die Möglichkeit, eine farbige Konturzeichnung anzeigen zu lassen, die im Grafikfenster auf der Oberfläche des CAD-Modells verbleibt, wenn Sie Teilflächen-Scans zur Erstellung eines Profilmerkmals verwenden.

Vorgehensweise:

  1. Importieren Sie ein CAD-Schattenmodell.
  2. Öffnen Sie das Dialogfeld Ansicht einrichten.
  3. Aktivieren Sie für eine Ihrer Ansichten das Kontrollkästchen Schattiert.
  4. Versetzen Sie PC-DMIS in den Oberflächenmodus.
  5. Erstellen Sie einen Teilflächen-Scan (siehe "Durchführen eines fortgeschrittenen Scans für eine Teilfläche" im Abschnitt "Scannen Ihres Werkstücks").
  6. Öffnen Sie das Dialogfeld Optionen für Merkmalsanalyse.
  7. Wählen Sie die Option Konturzeichnung einblenden.
  8. Öffnen Sie das Dialogfeld Profil.
  9. Wählen Sie den Teilflächen-Scan im Feld Elementliste aus.
  10. Aktivieren Sie im Bereich Analyse das Kontrollkästchen Grafisch.
  11. Nehmen Sie im Dialogfeld Profil die übrigen gewünschten Änderungen vor.
  12. Klicken Sie auf Erzeugen, um das Merkmal zu erzeugen.

Sie werden feststellen, daß PC-DMIS eine farbige Konturzeichnung direkt auf der Modelloberfläche, auf der sich der Scan befand, plaziert.


Toleranzen für Oberflächenprofilmerkmale

Dieser Merkmalstyp gilt entweder als einseitig, d.h., es gilt ein einziger positiver Toleranzwert, oder als zweiseitig, d.h., es gelten obere und untere Toleranzwerte.

  • Wenn die Option Nur Form markiert wurde, kann nur eine Plustoleranz angewandt werden.
  • Wenn die Option Form und Lage markiert wurde, kann das Profilmerkmal ein- oder zweiseitig sein.

Siehe auch:

Plustoleranz

Minustoleranz


Merkmal für Elemente erstellen - Toleranzen für Oberflächenprofilmerkmale - Plustoleranz

Plustoleranz

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß alle Profile, deren gemessener Wert größer als das Nenn- oder theoretische Profil ist, nach wie vor gültige Messungen sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.

PC-DMIS läßt auch negative Toleranzen im positiven Bereich zu. Setzen Sie dazu ein negatives Vorzeichen vor den Wert im Feld Plus.


Merkmal für Elemente erstellen - Toleranzen für Oberflächenprofilmerkmale - Minustoleranz

Minustoleranz

In das Feld Minus können Sie einen Toleranzwert für die Minus-Richtung eingeben. Das bedeutet, daß alle Profile, deren gemessener Wert kleiner als das Nenn- oder theoretische Profil ist, nach wie vor gültige Messungen sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.

PC-DMIS läßt positiv-niedrigere Toleranzen (oder eine positive Toleranz im negativen Bereich) zu. Setzen Sie dazu ein negatives Vorzeichen vor den Wert im Feld Minus.


Steuerungsoptionen für Oberflächenprofilmerkmale

Mit den Optionen in diesem Bereich können Sie bestimmen, ob ein Profil dieselbe Form bzw. Form und Lage wie der entsprechende Nennwert aufweist.

Siehe auch:

Nur Form

Form und Lage


Merkmal für Elemente erstellen - Steuerungsoptionen für Oberflächenprofilmerkmale - Nur Form

Nur Form

Wenn Sie ein Merkmal für ein Profil erstellen, können Sie PC-DMIS anweisen, nur zu ermitteln, ob ein bestimmtes Profil mit der Form seines Nennwerts übereinstimmt. Bei dieser Option wird die Lage des Profils ignoriert, d.h., es kann außerhalb der akzeptablen Toleranzen liegen.

Achten Sie bei einem Nur Form-Merkmal auf die Gemessenen Werte des erzeugten Merkmals.


Merkmal für Elemente erstellen - Steuerungsoptionen für Oberflächenprofilmerkmale -Form und Lage

Form und Lage

Wenn Sie ein Merkmal für ein Profil erstellen, können Sie mit Hilfe der Option Form und Lage ermitteln, ob ein bestimmtes Profil in seiner Form und Lage mit seinem Nennwert übereinstimmt. Diese Option unterscheidet sich darin von Nur Form, daß auch die Lage des Profils innerhalb der akzeptablen Toleranzen liegen muß.

Achten Sie bei einem Form und Lage-Merkmal auf die Min.- und Max.-Werte des erzeugten Merkmals.


Besteinpassungsoptionen für Oberflächenprofilmerkmale

Der Bereich Besteinpassungs-Optionen (BF Optionen) enthält ein Kontrollkästchen, und zwar das Kontrollkästchen Verwende BF. Damit können Sie festlegen, ob PC-DMIS Besteinpassungs-Algorithmen bei der Berechnung des Oberflächenprofils zugrundelegen soll oder nicht.

Wenn Sie dieses Kontrollkästchen markieren, erzeugt das Merkmal eine interne Ausrichtung des ausgewählten Elements auf Basis der Kleinsten Quadrate-Besteinpassung und findet eine Position mit minimalsten Abweichungen heraus. Auf diese Weise kann die Lage des Elements bei der Option Nur Form ignoriert und gleichzeitig geprüft werden, daß die Kurve so genau wie möglich ihrer theoretischen Form entspricht.

Hinweis: Soll ein anderer Besteinpassungstyp verwendet werden, heben Sie die Auswahl dieses Kontrollkästchens auf und erzeugen Sie eine separate Besteinpassungsausrichtung vor der Erstellung des Profilmerkmals.

Wenn Sie das Oberflächenprofilmerkmal verwenden, erzeugt PC-DMIS eine interne dreidimensionale Ausrichtung, die in alle Richtungen gedreht und verschoben wird, um Abweichungen von Einzelpunkten zu minimieren.

Siehe auch "Erstellen einer Besteinpassungs-Ausrichtung" unter "Erstellen und Verwenden von Ausrichtungen".


Merkmal für Linienprofil erstellen

Best Fit Options for Line Profile Dimensions Control Options for Line Profile Dimensions Close Create Analysis Settings Edit Default Dimension Info Display Dimension Info Output To Units Tolerances Clear Last Feature List Search ID ID = Feature

Mit der Menüoption Linien-Profil wird der zweidimensionale Profilfehler einer Kurve berechnet.

Display Menu Roadmap
Hinweis: Die Option für das Profilmerkmal wurde gegenüber PC-DMIS 3.0 und früheren Versionen geändert. In der aktuellen Version kann jetzt jedes beliebige Element für einen Profil-Scan verwendet werden.

Siehe auch:

So erstellen Sie ein Merkmal für ein Element mit der Option Linienprofil:

Toleranzen für Linienprofilmerkmale

Steuerungsoptionen für Linienprofilmerkmale

Besteinpassungsoptionen für Linienprofilmerkmale


So erstellen Sie das Merkmal für ein lineares Element mit Option LinienPROFIL :

So erstellen Sie das Merkmal für ein lineares Element mit der Option LinienPROFIL

  1. Wählen Sie im Untermenü die Option Linie. Das Dialogfeld Linienprofil wird angezeigt.

S Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll. Wird auch ein Bezugselement ausgewählt, muß es sich dabei um eine Ebene handeln.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Geben Sie einen Minustoleranzwert in das Feld Minus ein.
  5. Wählen Sie Zoll oder mm im Bereich Einheiten.
  6. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  7. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  8. Wählen Sie im Bereich Steuerungsoptionen des Dialogfelds die Option Nur Form oder Form und Lage.
  9. Wenn Sie Nur Form gewählt haben, aktivieren Sie das Kontrollkästchen Verwende BF (Besteinpassung). Dadurch wird veranlaßt, daß das Merkmal die Funktion der internen Besteinpassungsausrichtung nutzt, so daß die Form solange gedreht und verschoben wird, bis die Besteinpassung für das Element gefunden wurde.
  10. Wenn Sie Verwende BF markiert haben, wählen Sie die gewünschte Arbeitsebene für die Rotation und Verschiebung aus. Durch die Verwendung einer Arbeitsebene wird die Ausrichtung auf eine zweidimensionale Ausrichtung beschränkt.
  11. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  12. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
    • Wenn Sie zuvor die Option Form und Lage ausgewählt haben, vergewissern Sie sich, daß Sie das Kontrollkästchen Min./Max. im Bereich Merkmallayout des Dialogfelds Merkmal-Info bearbeiten markiert haben.
    • Wenn Sie zuvor die Option Nur Form ausgewählt haben, vergewissern Sie sich, daß Sie das Kontrollkästchen Meßwert im Bereich Merkmallayout des Dialogfelds Merkmal-Info bearbeiten aktiviert haben.
  13. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = PROFILE,VON elem_1

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Siehe auch:

Anzeigen von Profilkonturzeichnungen


Merkmal für Elemente erstellen - So erstellen Sie das Merkmal für ein lineares Element mit Option LinienPROFIL : - Anzeigen von Profilkonturzeichnungen

Anzeigen von Profilkonturzeichnungen

PC-DMIS bietet Ihnen die Möglichkeit, eine farbige Konturzeichnung anzeigen zu lassen, die im Grafikfenster auf der Oberfläche des CAD-Modells verbleibt, wenn Sie Teilflächen-Scans zur Erstellung eines Profilmerkmals verwenden.

Vorgehensweise:

  1. Importieren Sie ein CAD-Schattenmodell.
  2. Öffnen Sie das Dialogfeld Ansicht einrichten.

Display Menu Roadmap
Aktivieren Sie für eine Ihrer Ansichten das Kontrollkästchen Schattiert.

  4. Versetzen Sie PC-DMIS in den Oberflächenmodus.
  5. Erstellen Sie einen Teilflächen-Scan (siehe "Durchführen eines fortgeschrittenen Scans für eine Teilfläche" im Abschnitt "Scannen Ihres Werkstücks").
  6. Öffnen Sie das Dialogfeld Optionen für Merkmalsanalyse.

Display Menu Roadmap
Wählen Sie die Option Konturzeichnung einblenden.

  8. Öffnen Sie das entsprechende Dialogfeld Profilmerkmal.

Display Menu Roadmap
Wählen Sie den Teilflächen-Scan im Feld Elementliste aus.

  10. Aktivieren Sie im Bereich Analyse das Kontrollkästchen Grafisch.
  11. Nehmen Sie im Dialogfeld Profil die übrigen gewünschten Änderungen vor.
  12. Klicken Sie auf Erzeugen, um das Merkmal zu erzeugen.

Sie werden feststellen, daß PC-DMIS eine farbige Konturzeichnung direkt auf der Modelloberfläche, auf der sich der Scan befand, plaziert.


Toleranzen für Linienprofilmerkmale

Dieser Merkmalstyp gilt entweder als einseitig, d.h., es gilt ein einziger positiver Toleranzwert, oder als zweiseitig, d.h., es gelten obere und untere Toleranzwerte.

  • Wenn die Option Nur Form markiert wurde, kann nur eine Plustoleranz angewandt werden.
  • Wenn die Option Form und Lage markiert wurde, kann das Profilmerkmal ein- oder zweiseitig sein.

Siehe auch:

Plustoleranz

Minustoleranz


Merkmal für Elemente erstellen - Toleranzen für Linienprofilmerkmale - Plustoleranz

Plustoleranz

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß alle Profile, deren gemessener Wert größer als das Nenn- oder theoretische Profil ist, nach wie vor gültige Messungen sein können, sofern es innerhalb des angegebenen Toleranzbereichs liegen.

PC-DMIS läßt auch negative Toleranzen im positiven Bereich zu. Setzen Sie dazu ein negatives Vorzeichen vor den Wert im Feld Plus.


Merkmal für Elemente erstellen - Toleranzen für Linenprofilmerkmale - Minustoleranz

Minustoleranz

In das Feld Minus können Sie einen Toleranzwert für die Minus-Richtung eingeben. Das bedeutet, daß alle Profile, deren gemessener Wert kleiner als das Nenn- oder theoretische Profil ist, nach wie vor gültige Messungen sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.

PC-DMIS läßt positiv-niedrigere Toleranzen (oder eine positive Toleranz im negativen Bereich) zu. Setzen Sie dazu ein negatives Vorzeichen vor den Wert im Feld Minus.


Steuerungsoptionen für Linienprofilmerkmale

Mit den Optionen in diesem Bereich können Sie bestimmen, ob ein Profil dieselbe Form bzw. Form und Lage wie der entsprechende Nennwert aufweist.

Siehe auch:

Nur Form

Form und Lage


Merkmal für Elemente erstellen - Steuerungsoptionen für Linienprofilmerkmale - Nur Form

Nur Form

Wenn Sie ein Merkmal für ein Profil erstellen, können Sie PC-DMIS anweisen, nur zu ermitteln, ob ein bestimmtes Profil mit der Form seines Nennwerts übereinstimmt. Bei dieser Option wird die Lage des Profils ignoriert, d.h., es kann außerhalb der akzeptablen Toleranzen liegen.

Achten Sie bei einem Nur Form-Merkmal auf die Gemessenen Werte des erzeugten Merkmals.


Merkmal für Elemente erstellen - Steuerungsoptionen für Linienprofilmerkmale -Form und Lage

Form und Lage

Wenn Sie ein Merkmal für ein Profil erstellen, können Sie mit Hilfe der Option Form und Lage ermitteln, ob ein bestimmtes Profil in seiner Form und Lage mit seinem Nennwert übereinstimmt. Diese Option unterscheidet sich darin von Nur Form, daß auch die Lage des Profils innerhalb der akzeptablen Toleranzen liegen muß.

Achten Sie bei einem Form und Lage-Merkmal auf die Min.- und Max.-Werte des erzeugten Merkmals.


Besteinpassungsoptionen für Linienprofilmerkmale

Wenn Sie dieses Kontrollkästchen markieren, erzeugt das Merkmal eine interne Ausrichtung des ausgewählten Elements auf Basis der Kleinsten Quadrate-Besteinpassung und findet eine Position mit minimalsten Abweichungen heraus. Auf diese Weise kann die Lage des Elements bei der Option Nur Form ignoriert und gleichzeitig geprüft werden, daß die Kurve so genau wie möglich ihrer theoretischen Form entspricht.

Hinweis: Soll ein anderer Besteinpassungstyp verwendet werden, heben Sie die Auswahl dieses Kontrollkästchens auf und erzeugen Sie eine separate Besteinpassungsausrichtung vor der Erstellung des Profilmerkmals.

Wenn Sie das Linienprofilmerkmal verwenden, erzeugt PC-DMIS eine interne zweidimensionale Ausrichtung, die innerhalb der ausgewählten Arbeitsebene in alle Richtungen gedreht und verschoben wird, um die Abweichungen von Einzelpunkten zu minimieren.

Wird eine Arbeitsebene in Abweichung von der zweidimensionalen Kurvenprojektion ausgewählt, ergibt sich eine falsche Berechnung.

Siehe auch "Erstellen einer Besteinpassungs-Ausrichtung" unter "Erstellen und Verwenden von Ausrichtungen".


Merkmal für Neigung erstellen

Close Create Analysis Settings Edit Default Dimension Info Display Dimension Info Output To Units Projected Distance Plus Tolerance Reference Angle Clear Last Two Feature List Search ID ID = Feature

Display Menu Roadmap
Mit der Menüoption Neigung können Sie den Neigungsfehler einer Ebene oder Linie relativ zu einer Bezugsebene oder –linie berechnen. (Wird nur ein Element ausgewählt oder eingegeben, verwendet PC-DMIS die aktuelle Arbeitsebene als Bezugselement.)

Ähnlich wie bei den Merkmalen Rechtwinkligkeit oder Parallelität können Sie für das Neigungsmerkmal einen Winkel vorgeben, der nicht 90 Grad (Rechtwinkligkeit) oder 0 Grad (Parallelität) beträgt. Wenn Sie beispielsweise einen Winkel von 45 Grad vorgeben, erzeugt PC-DMIS bei 45 Grad ein Toleranzband und überprüft, daß die Meßpunkte innerhalb dieses Toleranzbands liegen.

Der gemessene Wert ist ein Winkel (blau). Das Toleranzband des Neigungsmerkmals sind zwei parallele Linien oder Ebenen (schwarz), die nie zusammentreffen.

Siehe auch:

So berechnen Sie den Neigungsfehler mit der Option NEIGUNG:

Bezugswinkel

Plustoleranz für Neigungsmerkmale

Projizierter Abstand für Neigungsmerkmale


So berechnen Sie den Neigungsfehler mit der Option NEIGUNG

  1. Wählen Sie im Untermenü die Option Neigung. Das Dialogfeld Neigung wird angezeigt.

Display Menu Roadmap
Geben Sie den Winkelnennwert vom Bezugselement in das Feld Winkel ein.

  3. Wählen Sie die Ebene/Linie, das Element und das Bezugselement, bzw. machen Sie die entsprechenden Eingaben.
  4. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  5. Geben Sie unter Projektion den Abstand in das Feld Abstand ein.
  6. Wählen Sie Zoll oder mm im Bereich Einheiten.
  7. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  8. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  9. Wählen Sie im Bereich Steuerungsoptionen des Dialogfelds die Option Nur Form oder Form und Lage.
  10. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie das Kontrollkästchen Text bzw. Grafisch ankreuzen. Wenn Sie das Kontrollkästchen Grafisch markiert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  11. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  12. Klicken Sie auf die Schaltfläche Erzeugen.

Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:
Merkmalsname = NEIGUNG,VON elem_1, ZU elem_2, Abstand

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 0.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Merkm_2: LINIE oder EBENE.

PC-DMIS berechnet dann den Neigungsfehler und zeigt ihn im aktuellen Merkmalfenster an.


Bezugswinkel

In das Feld Winkel können Sie den Nennwinkel (gegenüber dem Bezugselement) angeben. Dies ist der Winkel zwischen den beiden Elementen. PC-DMIS berechnet anschließend die Abweichung des einen Elements vom Winkel.

Wenn Sie auf Theo. Winkel suchen klicken, wird aus den theoretischen Werten der ausgewählten Elementen der Nennbezugswinkel berechnet, den Sie verwenden sollten. Auf diese Weise müssen Sie den Winkel nicht im Bearbeitungsfenster nachsehen.


Plustoleranz für Neigungsmerkmale

In das Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß ein Neigungsfehler, der vom Nenn- oder theoretischen Neigungsfehler abweicht, eine gültige Messung sein kann, sofern er innerhalb des angegebenen Toleranzbereichs liegt.


Projizierter Abstand für Neigungsmerkmale

PC-DMIS gestattet auch die Projektion eines Bezugsabstands. Diese Option kommt bei Linienelementen zur Berechnung des Neigungsmerkmals zum Einsatz.

Bei diesen Elementen werden der Endpunkt der Achse und ein von diesem Endpunkt entlang der Elementachse projizierter Punkt als Punkte für die Berechnung der Neigung zugrundegelegt.

Der Abstand zwischen diesen beiden Punkten ist der Abstand, auf den Bezug genommen wird. Bei anderen Elementen wirkt sich dieser Abstand nicht auf das Merkmal aus. Diese Option ist nützlich, wenn das Merkmal in einem bestimmten Abstand entlang des Elements berechnet werden muß.


Merkmal für Symmetrie erstellen

Close Create Analysis Settings Edit Default Dimension Info Display Dimension Info Output To Units Plus Tolerance Clear Last Two Feature List Search ID ID = Feature

Display Menu Roadmap
Mit der Menüoption Symmetrie wird die Symmetrie eines Punktesatzes mit einem Bezugselement oder von zwei gegenüberliegenden Linien mit einem Bezugselement berechnet.
  • Handelt es sich beim ersten Element um eine Gruppe, ist das zweite eingegebene Element das Bezugselement und muß entweder eine Ebene oder eine Linie sein.
  • Handelt es sich beim ersten Element um eine Linie, muß das zweite Element ebenfalls eine Linie sein. Das dritte eingegebene Element ist das Bezugselement und muß in diesem Fall eine Ebene oder eine Linie sein. Dieser Merkmalstyp gilt als einseitig, d.h., es gilt ein einziger positiver Toleranzwert.
  • Handelt es sich beim dritten Element um eine Ebene, versucht der Symmetrie-Algorithmus eine Linie auf der Ebene zu finden, die das Bezugselement darstellt. Die Arbeitsebene wird durch die ausgewählte Ebene geschnitten (oder gekreuzt), um die korrekte Linie zu finden. Aus diesem Grund sollten Sie sicherstellen, daß die richtige Arbeitsebene verwendet wird.

In Übereinstimmung mit dem geometrischen Merkmals- und Toleranzstandard wird in der folgenden Grafik dargestellt, wie ein Symmetriemerkmal interpretiert und angezeigt wird.

So interpretiert PC-DMIS Symmetriemerkmale

Aufgrund der Art und Weise, wie Symmetrien definiert werden, begrenzt PC-DMIS die Anzahl der Elemente, die für ein Symmetriemerkmal verwendet werden können. Da die Punkte auf dem Bezugselement gleichmäßig angeordnet sein müssen, so daß zwischen Ihnen Mittelpunkte gefunden werden können, müssen Sie entweder eine Elementgruppe mit wechselnden Punkten oder zwei gegenüberliegende Linien mit derselben Anzahl an Punkten auswählen.

Siehe auch:

So erstellen Sie ein Merkmal für ein Element mit der Option SYMMETRIE:

Plustoleranz für Symmetrie


So erstellen Sie das Merkmal eines Elements mit der Option SYMMETRIE :

So bestimmen Sie das Merkmal eines Elements mit der Option SYMMETRIE

  1. Wählen Sie im Untermenü die Option Symmetrie. Das Dialogfeld Symmetrie wird geöffnet.

Display Menu Roadmap
Wählen Sie im Feld Elementliste das/die Element/e, für das/die ein Merkmal erstellt werden soll.

  3. Geben Sie einen Plustoleranzwert in das Feld Plus ein.
  4. Wählen Sie Zoll oder mm im Bereich Einheiten.
  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  6. Aktivieren Sie das optionale Kontrollkästchen Anzeige unter Merkmal-Info, wenn die Merkmalinformationen im Grafikfenster angezeigt werden sollen.
  7. Bestimmen Sie die gewünschten Analyse-Optionen, indem Sie eines der Kontrollkästchen oder beide aktivieren. Wenn Sie das Kontrollkästchen Grafisch aktiviert haben, geben Sie einen Wert in das Feld Multiplikator ein.
  8. Aktivieren Sie auf Wunsch das Kontrollkästchen Anzeige im Bereich Merkmal-Info, und klicken Sie auf Bearbeiten, um das Format auszuwählen, in dem die Merkmal-Infos im Grafikfenster angezeigt werden sollen.
  9. Klicken Sie auf die Schaltfläche Erzeugen.

Die Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:

Merkmalsname = SYMMETRIE,VON Element_1 BIS Element_2
oder
Merkmalsname = SYMMETRIE,VON Element_1 UND Element 2 BIS Element 3

ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 0.0000 | 0.0100 | 0.0100 | 2.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000

Hinweis: Das Dialogfeld bleibt offen, nachdem das Merkmal erstellt worden ist. Bei Bedarf können Sie jetzt auf die Schaltfläche Bearbeiten klicken und Aspekte Ihrer Merkmalsinformationen bearbeiten (siehe Standard-Merkmalinformationen bearbeiten).


Plustoleranz für Symmetrie

In dieses Feld Plus können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß eine Symmetrie, deren gemessener Wert größer als die Nenn- oder theoretische Symmetrie ist, eine gültige Messung sein kann, solange sie innerhalb des angegebenen Toleranzbereichs liegt.


Merkmal mit Hilfe von Tastatureingaben erstellen

Plus and Minus Tolerances Output To Close Create Actual Nominal ID = Feature

Display Menu Roadmap
Mit der Menüoption Eingabe können Sie Daten, die nicht vom KMG gemessen wurden, über die Tastatur erfassen und "eingeben" (beispielsweise können Sie ein mit einer Schieblehre erfaßtes Merkmal hinzufügen). Mit dieser Option können Sie alle Prüfergebnisse im Prüfprotokoll ausdrucken (und nicht nur die Elemente, die vom KMG gemessen wurden). Diese Option ist auch bei der Erfassung von Daten für die statistische Analyse von Nutzen.

Siehe auch:

So fügen Sie Merkmale mit der Option EINGABE hinzu:

Nennwert

Istwert

Toleranzen für mit der Tastatur erstellte Merkmale


So fügen Sie Merkmale mit der Option EINGABE hinzu

  1. Wählen Sie im Untermenü die Option Eingabe. Das Dialogfeld Maßeingabe wird angezeigt.

Display Menu Roadmap
Geben Sie die ID für das Merkmal in das Feld ID = ein.

  3. Geben Sie den Nennwert in das Feld Nennwert ein.
  4. Geben Sie den Istwert in das Feld Istwert ein.
  5. Bestimmen Sie, wohin die Merkmalinformationen ausgegeben werden sollen. Wählen Sie eine der Optionen Statistik, Protokoll, Beide oder Keine.
  6. Klicken Sie auf die Schaltfläche Erzeugen. Das Merkmal erscheint mit folgenden Informationen im Bearbeitungsfenster:
Merkmalsname = EINGABEWERT,elem_1
ACH | NENNW | OTOL | UTOL | MESS | MAX | MIN | ABW | AUSSER_TOL
M | 5.0000 | 0.0100 | 0.0100 | 5.0000 | 0.0000 | 0.0000 | 0.0000 | 0.0000


Nennwert

In das Feld Nennwert können Sie den Nenn- (theoretisch perfekten) Meßwert für ein Element eingeben.


Istwert

In das Feld Istwert können Sie den tatsächlichen Meßwert für ein Element eingeben.


Toleranzen für mit der Tastatur erstellte Merkmale

Sie können Toleranzen entlang der Plus- und Minus-Richtungen des soeben erzeugten Merkmals eingeben.

Siehe auch:

Plustoleranz

Minustoleranz


Merkmal für Elemente erstellen - Toleranzen für mit der Tastatur erstellte Merkmale - Plustoleranz

Plustoleranz

In das Feld Plus-Toler. können Sie einen Toleranzwert für die Plus-Richtung eingeben. Das bedeutet, daß alle Messungen, deren gemessener Wert größer als der Nenn- oder theoretische Meßwert ist, nach wie vor gültige Messungen sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Merkmal für Elemente erstellen - Toleranzen für mit der Tastatur erstellte Merkmale - Minustoleranz

Minustoleranz

In das Feld Minus-Toler. können Sie einen Toleranzwert für die Minus-Richtung eingeben. Das bedeutet, daß alle Messungen, deren gemessener Wert kleiner als der Nenn- oder theoretische Meßwert ist, nach wie vor gültige Messungen sein können, sofern sie innerhalb des angegebenen Toleranzbereichs liegen.


Scanning Your Part

Einführung zum Durchführen von Basis-Scans

Allgemeine Funktionen des Dialogfelds "Basis-Scan"

Durchführen eines Basis-Scans für ein Kreiselement

Durchführen eines Basis-Scans für ein Zylinderelement

Durchführen eines Basis-Scans für eine Achse

Durchführen eines Basis-Scans des Typs "Mitte"

Durchführen eines Basis-Scans für ein Linienelement

Einführung zum Durchführen von fortgeschrittenen Scans

Allgemeine Funktionen des Dialogfelds "Scannen"

Durchführen eines fortgeschrittenen Scans für eine offene Linie

Durchführen eines fortgeschrittenen Scans für eine geschlossene Linie

Durchführen eines fortgeschrittenen Scans für eine Fläche

Durchführen eines fortgeschrittenen Scans für einen Profilschnitt

Durchführen eines fortgeschrittenen Scans für einen Umfang

Durchführen eines fortgeschrittenen Scans für eine Drehung

Durchführen eines fortgeschrittenen UV Scan s

Einführung zu manuell durchgeführten Scans

Manuell durchgeführte Scans mit einem starren Taster

Manuell durchgeführte Scans mit einem schaltenden Taster


Scannen Ihres Werkstücks: Einführung

Mit PC-DMIS können Sie eine Punktmessung definieren, indem Sie die Oberfläche des Werkstücks in bestimmten Inkrementen scannen. Diese Meßfunktion ist besonders nützlich, wenn präzise gesteuerte KMG-Meßpunkte erforderlich sind. Zum gegenwärtigen Zeitpunkt unterstützt PC-DMIS CNC-Scans mit schaltenden und analogen Tastern sowie manuelle Scans mit schaltenden oder starren Tastern. Sowohl für manuelle als auch für CNC-Scans kann der Scan mit Hilfe verschiedener Verfahren ausgeführt werden. Diese Verfahren werden im folgenden erläutert.

Für einen streifenweises Abtasten im CNC-Modus (CNC-Stitch-Scan) wird der schaltende Taster verwendet. Dieser Taster wird von PC-DMIS und der Steuereinheit des KMG (KMG = Koordinatenmeßgerät) gesteuert. Das CNC-Scanverfahren beruht auf einem intelligenten, selbstanpassenden Algorithmus, der die vertikalen Oberflächenvektoren berechnet und somit eine genaue Tasterkompensation gewährleistet. PC-DMIS kann auch mit einem schaltenden Taster (manchmal auch als TTP oder Touch Trigger Probe bezeichnet) verwendet werden und ist daher besonders für die automatische Punkt-zu-Punkt-Digitalisierung eines Profils auf der Oberfläche geeignet. Geben Sie einfach die erforderlichen Parameter für den CNC-Scan ein, klicken Sie auf die Schaltfläche Messen, und der Scan-Algorithmus von PC-DMIS übernimmt die Steuerung des Meßverfahrens.

PC-DMIS-Scans können jedoch auch mit einem analogen Tastsystem ausgeführt werden, um ein kontinuierliches Kontaktscannen zu ermöglichen. Zuerst übermittelt PC-DMIS die Scanparameter an die Steuereinheit. Die Steuereinheit scannt das Werkstück und meldet die Scanpunkte an PC-DMIS zurück.

Fortgeschrittene PC-DMIS-Scans setzen sich aus Basis-Scans zusammen. Beispielsweise besteht ein FLÄCHEN-Scan (siehe Durchführen eines fortgeschrittenen Scans für eine Fläche) besteht eigentlich aus Datenreihen, wobei jede Datenreihe ein Basis-Scan ist. Die Basis-Scans sind die Bausteine für übergeordnete Scans wie FLÄCHEN-Scans.

In den Hauptthemen dieses Abschnitts werden die im Untermenü Einfügen | Scan verfügbaren Optionen behandelt:

  • Einführung zum Durchführen von Basis-Scans
  • Allgemeine Funktionen des Dialogfelds "Basis-Scan"
  • Durchführen eines Basis-Scans für ein Kreiselement
  • Durchführen eines Basis-Scans für ein Zylinderelement
  • Durchführen eines Basis-Scans für eine Achse
  • Durchführen eines Basis-Scans des Typs "Mitte"
  • Durchführen eines Basis-Scans für ein Linienelement
  • Einführung zum Durchführen von fortgeschrittenen Scans
  • Allgemeine Funktionen des Dialogfelds "Scannen"
  • Durchführen eines fortgeschrittenen Scans für eine offene Linie
  • Durchführen eines fortgeschrittenen Scans für eine geschlossene Linie
  • Durchführen eines fortgeschrittenen Scans für eine Fläche
  • Durchführen eines fortgeschrittenen Scans für einen Profilschnitt
  • Durchführen eines fortgeschrittenen Scans für einen Umfang
  • Durchführen eines fortgeschrittenen Scans für eine Drehung
  • Einführung zu manuell durchgeführten Scans
  • Manuell durchgeführte Scans mit einem starren Taster
  • Manuell durchgeführte Scans mit einem schaltenden Taster


Einführung zum Durchführen von Basis-Scans

PC-DMIS bietet nun Unterstützung für Scans, die unter einem neuen Scantyp mit der Bezeichnung "Basis-Scan" klassifiziert werden. Bei diesen neuen Scans handelt es sich um Scans auf Elementbasis (d.h., Sie könnten ein zu messendes Element wie einen Kreis oder einen Zylinder sowie die dazugehörigen Parameter definieren, und PC-DMIS würde einen Scan ausführen, der die entsprechenden Basis-Scan-Funktionen nutzt).

Die folgenden Basis-Scans sind im Untermenü Scan verfügbar, sofern sich der TTP oder der analoge Taster im CNC-Modus befinden:

  • Kreis-Scan
  • Zylinder-Scan
  • Achsen-Scan
  • Mitten-Scan
  • Linien-Scan

Hinweis: Die Menüoption Mitten-Scan kann nur verwendet werden, wenn Sie einen analogen Tasterkopf ausgewählt haben.

Die fortgeschritteneren Scans in PC-DMIS bestehen aus Basis-Scans. Sie können in PC-DMIS keine Basis-Scans aus einer Liste auswählen und fortgeschrittene Scans daraus erstellen. Es ist jedoch möglich, Basis-Scans zu kopieren und sie in bereits erstellte, fortgeschrittene Scans einzufügen.

Dieses Thema behandelt zunächst die allgemeinen Funktionen des Dialogfelds Basis-Scan und anschließend das Durchführen der verschiedenen verfügbaren Basis-Scans.


Allgemeine Funktionen des Dialogfelds "Basis-Scan"

Viele der im folgenden beschriebenen Funktionen gelten für alle Basis-Scans. Einige dieser Optionen sind dieselben Optionen wie für die normalen Scans. (Weitere Einzelheiten hierzu finden Sie unter Allgemeine Funktionen des Dialogfelds "Scannen"). Auf Optionen, die sich insbesondere auf einen Scan-Modus beziehen, wird entsprechend hingewiesen.

Die folgenden Optionen befinden sich auf der ersten Registerkarte jedes Basis-Scans.

Oberfl.stärke: In diesem Feld können Sie die Stärke des Werkstücks festlegen. Bei Verwendung der CAD-Oberflächendaten wendet PC-DMIS diese Materialstärke automatisch an. Diese Stärke wird entlang dem vertikalen Oberflächenvektor angewandt, wenn der Modus NW-SUCHE aktiv ist, und PC-DMIS die CAD-Oberflächen durchstößt, um die Nennwerte zu ermitteln.

Siehe auch:

Registerkarte "Filter"

Registerkarte "Meßpunkttyp"

Registerkarte "Bereichsgrenze"

Registerkarte "Ausführen"

Registerkarte "Nennwertmodus"

Registerkarte "Allgemein"


Registerkarte "Filter"

Folgende Optionen stehen für die Registerkarte Filter zur Verfügung:

  • Abstandsfilter – Siehe Linienmethode für Offene Linie
  • Variablenfilter – Siehe Linienmethode für Offene Linie Diese Scanmethode ist nur für Linien-Scans verfügbar.
  • Nullfilter – siehe Nullfilter.


Registerkarte "Meßpunkttyp"

Folgende Optionen stehen für die Registerkarte Meßpunkttyp zur Verfügung:

  • VEKTOR
  • OBERFLÄCHE (nur verfügbar für Linien-Scans)

Der Meßpunkttyp entspricht dem Meßpunkttyp in bereits zuvor definierten Scans (siehe Meßpunkttyp).


Registerkarte "Bereichsgrenze"

Für einige der Basis-Scans, wie z. B. Kreis, Zylinder, Achse und Mitte ist keine Grenzbedingung erforderlich, da diese Scans von der Steuereinheit ausgeführt werden. Folgende Optionen stehen für die Bereichsgrenze zur Verfügung:

  • Ebene
  • Kugel
  • Zylinder
  • Kegel

Weitere Einzelheiten finden Sie unter Verwenden der Schaltfläche "Bereichsgrenze".


Registerkarte "Ausführen"

Folgende Ausführungsmodi stehen in der Registerkarte Ausführen zur Auswahl (Näheres finden Sie unter Ausführmodus).

  • NORMAL – entspricht dem im Abschnitt "Ausführmodus" beschriebenen Normalmodus.
  • NEULERNEN – entspricht dem im Abschnitt "Ausführmodus" beschriebenen Modus "Neu Lernen".
  • GEREGELT – entspricht dem im Abschnitt "Ausführmodus" beschriebenen Modus "Geregelt".
  • ELEMENT – Dieser Ausführmodus ist nur verfügbar, wenn analoge Tastköpfe verwendet werden. Wenn diese Option gewählt ist, verwendet PC-DMIS die integrierte Hochgeschwindigkeits-Scanfunktion der Steuereinheit zur Ausführung des Scans.

    Beispiel: Wenn Sie einen Kreis-Scan gewählt haben, verwendet PC-DMIS einen entsprechenden Kreis-Scanbefehl in der Steuereinheit und übergibt die Parameter zur Ausführung an die Steuereinheit. In diesem Fall wird die Ausführung des Scans nicht durch PC-DMIS gesteuert.

    Im Ausführmodus ELEMENT können Sie auch die folgenden Kontrollkästchen nutzen, um die Art und Weise, wie PC-DMIS die Scans in diesem Modus ausführt, Ihren Wünschen entsprechend anzupassen:

    Verwende HSSDAT – Ist dieses Kontrollkästchen markiert, überträgt PC-DMIS einen gesonderten Punktesatz zur Meßstreckendefinition für das Element an die Steuerung. Wenn Sie dieses Kontrollkästchen nicht aktivieren, überträgt PC-DMIS die elementspezifischen Parameter an die Steuerung.

    Verwende Start/Ende Verzögerungspunkte – Vor der Anwendung dieser Funktion muß das Kontrollkästchen Verwende HSSDAT markiert worden sein. Bei der Auswahl dieses Kontrollkästchens nimmt PC-DMIs die an die Steuerung gesendeten Punkt und verwirft jene Punkte des Scans, die während der Zu- bzw. Abnahme der Tastergeschwindigkeit aufgenommen wurden. Dadurch wird die Genauigkeit des Meßvorgangs verbessert.

    Hinweis: Dieses Kontrollkästchen steht nur dann zur Auswahl, wenn Steuerungen mit Leitz-Schnittstellen verwendet werden.


Registerkarte "Nennwertmodus"

Folgende Nennwertmodi stehen zur Auswahl (Näheres finden Sie unter Nennwertmodus).

  • MASTER – entspricht dem im Abschnitt "Nennwertmodus" beschriebenen Master-Modus.
  • NENNWSUCHE – entspricht dem im Abschnitt "Nennwertmodus" beschriebenen Modus "Nennwertsuche". Sie können eine NENNWSUCHE-Toleranz für die Ne(Oberflächen für NW-Suche)nnwertsuche eingeben, die für die Suche nach Nennwerten für einen Basis-Scan gelten kann.

Verwende Best Fit – Durch die Auswahl dieses Kontrollkästchen wird PC-DMIS angewiesen, Besteinpassungs-Algorithmen auf die bei der ursprünglichen NENNWERTSUCHE vorgefundenen Daten anzuwenden und anschließend das NENNWERTSUCHverfahren zu wiederholen. Dadurch werden die Nenndaten in Fällen, wo das eigentliche Werkstück zahlreiche Fehler gegenüber den CAD-Daten aufweist, mit einer größeren Genauigkeit gesucht. (Siehe auch Nennwertmodus)

Nur Ausgewählte (Oberflächen für NW-Suche) - Durch die Aktivierung des Kontrollkästchens wird PC-DMIS aufgefordert, die Nennwerte für die Meßpunkte eines Scans nur auf einem ausgewählten Satz von Oberflächen zu suchen.

Hinweis: Für die Basis-Scantypen Kreis, Zylinder und Achse ist es nicht erforderlich, Nennwerte mit Hilfe von CAD-Daten zu suchen. PC-DMIS bezieht die Nennwerte aus den von Ihnen bereitgestellten Nenndaten, um den Basis-Scan auszuführen.

Wenn Sie beispielsweise Nenndaten wie den Mittelpunkt oder Durchmesser für die Ausführung eines Kreis-Scans eingeben, wird anhand dieser Daten nach den Nennwerten für den Kreis-Scan gesucht.


Registerkarte "Allgemein"

Die Optionen in diesem Dialogfeld wurden bereits unter Allgemeine Funktionen des Dialogfelds "Scannen" beschrieben.


Durchführen eines Basis-Scans für ein Kreiselement

Display Menu Roadmap
Mit der Menüoption Kreis können Sie ein Kreiselement scannen. Hierdurch werden Parameter wie Kreismittelpunkt, Kreisdurchmesser usw. ermittelt, damit das KMG den Scan ausführen kann. Bei dieser Methode kann nur der Abstandsfilter verwendet werden. Des weiteren ist nur der Vektormeßpunkttyp zulässig, eine Grenzbedingung ist nicht erforderlich. Die Ausführung des Scans wird durch folgende Parameter gesteuert:

Flächenmittelpunkt: Dieser Punkt (in der ersten Liste in der Spalte "Nr.") ist der Mittelpunkt des Kreises. Der Kreismittelpunkt kann direkt eingegeben oder aber vom KMG oder aus den CAD-Daten übernommen werden.

Die im Bearbeitungsfenster erscheinende Befehlszeile für den Basis-Scan "Kreis" lautet:
ID=BASIS-SCAN/KREIS,MEßPUNKTE_EINBLENDEN=JA,ALLE_PARAMETER_EINBLENDEN=JA
MittelpunktX,MittelpunktY,MittelpunktZ,Schnittebenenvektor=i,j,k,Typ
Erstpunktvektor=i,j,k, Durchmesser,Winkel,Tiefe,Stärke

Siehe auch:

Eingabemethode

Meßpunktmethode

Arbeiten mit Oberflächendaten auf dem Bildschirm

Arbeiten mit Drahtmodelldaten auf dem Bildschirm

Kreis: CAD-Datenmethode


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Kreiselement - Eingabemethode

Eingabemethode

Mit dieser Methode können Sie die Werte X, Y und Z des Flächenmittelpunkts und der Kreisvektoren eingeben.

  1. Wählen Sie in der Liste den gewünschten Flächenmittelpunkt des Kreises aus.
  2. Doppelklicken Sie auf die Spalte Flächenmittelpunkt. Daraufhin wird das Dialogfeld Scanelement bearbeiten für den Flächenmittelpunkt angezeigt. In der Titelleiste des Dialogfelds erscheint die ID der spezifischen Parameter zur Bearbeitung.
  3. Bearbeiten Sie die X-, Y- oder Z-Felder manuell.
  4. Klicken Sie auf OK, um die Änderungen anzuwenden.

Bei Wahl der Schaltfläche Abbrechen werden alle vorgenommenen Änderungen verworfen, und das Dialogfeld wird wieder geschlossen.

Sie sollten auch den Schnittebenenvektor und den Erstpunktvektor des Kreises bearbeiten. Verwenden Sie dazu dasselbe Verfahren.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Kreiselement - Meßpunktmethode

Meßpunktmethode

So können Sie den Kreis ohne Zuhilfenahme von CAD-Daten erstellen:

  1. Nehmen Sie drei Meßpunkte auf der Oberfläche auf, um die Ebene zu ermitteln, auf der der Kreis liegt.
  2. Nehmen Sie drei weitere Meßpunkte in der Bohrung (oder am Bolzen) auf. PC-DMIS berechnet den Kreis unter Verwendung aller drei Meßpunkte.

Weitere Meßpunkte können aufgenommen werden. PC-DMIS verwendet die Daten aller gemessenen Punkte. Der angezeigte Flächenmittelpunkt ist der errechnete Mittelpunkt der Bohrung (oder des Bolzens). Der Schnittebenenvektor ist die Kreisachse, und der Erstpunktvektor des Kreises wird auf der Basis des ersten der drei zuletzt aufgenommenen Meßpunkte berechnet, anhand derer der Kreis errechnet wurde. Der Winkel wird als Winkel des Bogens vom ersten Meßpunkt zum letzten Meßpunkt berechnet.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Kreiselement -Arbeiten mit Oberflächendaten auf dem Bildschirm

Arbeiten mit Oberflächendaten auf dem Bildschirm

So erzeugen Sie einen Kreis aus Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den Cursor an eine Stelle innerhalb oder außerhalb des gewünschten Kreises.
  3. Klicken Sie auf drei Stellen um den Kreis herum. Sie müssen auf mindestens drei Stellen klicken, damit PC-DMIS die benötigten Daten für X, Y, Z und I, J, K berechnen kann.

Wenn der dritte Punkt angegeben worden ist, werden Mittelpunkt und Durchmesser aus den CAD-Daten des ausgewählten Blechkreises im Dialogfeld angezeigt.

Werden weitere Mausklicks festgestellt, sucht PC-DMIS nach dem besten Kreis in der Nähe aller Meßpunkte. Der Schnittebenenvektor ist die Kreisachse, und der Erstpunktvektor des Kreises wird auf der Basis des ersten Klicks berechnet. Der Winkel wird als Winkel des Bogens vom ersten zum letzten Klick berechnet.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Kreiselement - Arbeiten mit Drahtmodelldaten auf dem Bildschirm

Arbeiten mit Drahtmodelldaten auf dem Bildschirm

Sie können auch CAD-Drahtmodelldaten zur Erzeugung eines kreisförmigen Scans verwenden:

So wird der Kreis generiert:

  1. Klicken Sie in der Nähe des gewünschten Drahts auf den Kreis. PC-DMIS markiert den ausgewählten Draht.
  2. Vergewissern Sie sich, daß das richtige Element ausgewählt wurde.

Wenn der Draht ausgewählt worden ist, werden die Werte für Mittelpunkt und Durchmesser des ausgewählten Kreises im Dialogfeld angezeigt.

Hinweis: Wenn das zugrundeliegende CAD-Element kein Kreis oder Bogen ist, sind ggf. weitere Mausklicks zur Identifizierung des Elements erforderlich. Wenn PC-DMIS nicht das richtige Element hervorhebt, klicken Sie mindestens zwei weitere Stellen des Kreises an.

  • Schnittebenenvektor: Dieser Vektor ist die Kreisachse und die Ebene, in der der Scan durchgeführt wird.
  • Erstpunktvektor: Dieser Vektor gibt die Richtung an, in welcher der Taster beim Start des Scans den ersten Meßpunkt aufnimmt. Dieser Vektor wird gemäß dem Dateneingabemodus berechnet. Dieser Vektor und der Schnittebenenvektor verlaufen vertikal zueinander.


Kreis: CAD-Datenmethode

Der Erstpunktvektor des Kreises wird auf der Basis des ersten Klicks berechnet, der für die Berechnung des Kreises mit dieser Methode verwendet wird.

Typ:

Folgende Kreistypen sind zulässig:

  1. INNEN: Eine Bohrung

  2. AUSSEN: Stiftbolzen

  3. EBENE: Ein Ebenenkreis, der auf der Ebene ausgeführt wird, auf der der Kreis liegt.

Winkel:

Dies ist der Winkel ab dem Startpunkt (die Gradangabe bezeichnet den zu scannenden Bereich). Sowohl positive als auch negative Winkel sind zulässig. Positive Winkel werden gegen den Uhrzeigersinn gemessen, negative im Uhrzeigersinn. Der Schnittebenenvektor gilt als die Achse, um die sich der Winkel dreht.

Durchmesser:

Dies ist der Durchmesser des Kreises.

Tiefe:

Dies ist die Tiefe, die gegenüber der Richtung des Schnittebenenvektors angewandt wird. Sowohl positive als auch negative Werte sind zulässig.

Beispiel: Bei einem Kreis mit einem Mittelpunkt von 1,1,3, einem Schnittebenenvektor von 0,0,1 und einer Tiefe von 0,5 wird der Kreismittelpunkt während der Ausführung auf 1, 1, 2,5 gesetzt. Bei einer Tiefeneinstellung von –0,5 für denselben Kreis würde der Flächenmittelpunkt während der Ausführung auf 1, 1, 3,5 verlagert.


Durchführen eines Basis-Scans für ein Zylinderelement

Display Menu Roadmap
Mit der Menüoption Zylinder können Sie ein Zylinderelement scannen. Hierdurch werden Parameter wie Durchmesser und Steigung des Zylinders ermittelt, damit die Steuereinheit den Scan ausführen kann. Bei der Zylindermethode können die Option Abstand der Registerkarte Filter und der Vektormeßpunkttyp verwendet werden. Eine Grenzbedingung ist nicht erforderlich. Die Ausführung des Scans wird durch folgende Parameter gesteuert:

Flächenmittelpunkt: Dieser Punkt ist der Mittelpunkt des Zylinders, an dem die Ausführung beginnt. Der Zylindermittelpunkt kann direkt eingegeben oder aber vom KMG oder aus den CAD-Daten übernommen werden.

Die im Bearbeitungsfenster erscheinende Befehlszeile für den Basis-Scan "Zylinder" lautet:
ID=BASIS-SCAN/ZYLINDER,MEßPUNKTE_EINBLENDEN=JA,ALLE_PARAMETER_EINBLENDEN=JA
MittelpunktX,MittelpunktY,MittelpunktZ,Schnittebenenvektor=i,j,k,Typ
Erstpunktvektor=i,j,k, Durchmesser,Winkel,Steigung,Tiefe,Stärke

Siehe auch:

Eingabemethode

Meßpunktmethode

Arbeiten mit Oberflächendaten auf dem Bildschirm

Arbeiten mit Drahtmodelldaten auf dem Bildschirm

Zylinder: CAD-Datenmethode


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Zylinderelement - Eingabemethode

Eingabemethode

Mit dieser Methode können Sie die X-, Y- und Z-Werte des Flächenmittelpunkts und der Zylindervektoren eingeben.

  1. Doppelklicken Sie im Listenfeld auf den Flächenmittelpunkt in der Spalte "Nr.". Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt. In der Titelleiste des Dialogfelds erscheint die ID der spezifischen Parameter zur Bearbeitung.
  2. Bearbeiten Sie den X-, Y- oder Z-Wert manuell.
  3. Klicken Sie auf OK, um die Änderungen anzuwenden.

Bei Wahl der Schaltfläche Abbrechen werden alle vorgenommenen Änderungen verworfen, und das Dialogfeld wird wieder geschlossen.

Sie sollten auch den Schnittebenenvektor und den Erstpunktvektor des Zylinders eingeben. Verwenden Sie dazu dasselbe Verfahren.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Zylinderelement - Meßpunktmethode

Meßpunktmethode

So generieren Sie einen Zylinder, ohne CAD-Daten zu verwenden:

  1. Nehmen Sie drei Meßpunkte auf der Oberfläche auf, um den Achsenvektor des Zylinders zu ermitteln.
  2. Nehmen Sie drei weitere Meßpunkte in der Bohrung (oder am Bolzen) auf. PC-DMIS berechnet den Durchmesser des Zylinders unter Verwendung aller drei Meßpunkte.

Weitere Meßpunkte können aufgenommen werden. PC-DMIS verwendet die Daten aller gemessenen Punkte. Der angezeigte Flächenmittelpunkt ist der errechnete Mittelpunkt der Bohrung (oder des Bolzens). Der Schnittebenenvektor ist die Zylinderachse, und der Erstpunktvektor des Zylinders wird auf der Basis des ersten der drei zuletzt aufgenommenen Meßpunkte berechnet, anhand derer der Zylinderdurchmesser errechnet wurde. Der Winkel wird als Winkel des Bogens vom ersten für die Berechnung des Zylinderdurchmessers verwendeten Meßpunkts zum letzten Klick berechnet.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Zylinderelement - Arbeiten mit Oberflächendaten auf dem Bildschirm

Arbeiten mit Oberflächendaten auf dem Bildschirm

So generieren Sie einen Zylinder mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den Cursor an eine Stelle innerhalb oder außerhalb des gewünschten Zylinders.
  3. Klicken Sie auf drei Stellen um den Zylinder herum. Sie müssen auf mindestens drei Stellen klicken, damit PC-DMIS die benötigten Daten für X, Y, Z und I, J, K berechnen kann.

Wenn der dritte Punkt angegeben worden ist, werden Mittelpunkt und Durchmesser aus den CAD-Daten des ausgewählten Blechzylinders im Dialogfeld angezeigt.

Werden weitere Mausklicks festgestellt, sucht PC-DMIS nach dem besten Zylinder in der Nähe aller Meßpunkte. Der Schnittebenenvektor ist die Kreisachse, und der Erstpunktvektor des Kreises wird auf der Basis des ersten Klicks berechnet. Der Winkel wird als Winkel des Bogens vom ersten zum letzten Klick berechnet.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Zylinderelement - Arbeiten mit Drahtmodelldaten auf dem Bildschirm

Arbeiten mit Drahtmodelldaten auf dem Bildschirm

Sie können auch CAD-Drahtmodelldaten zur Erzeugung eines zylindrischen Scans verwenden:

So wird der Zylinder generiert:

  1. Klicken Sie in der Nähe des gewünschten Drahts auf den Zylinder. PC-DMIS markiert den ausgewählten Draht.
  2. Vergewissern Sie sich, daß das richtige Element ausgewählt wurde.

Mittelpunkt und Durchmesser des ausgewählten Zylinders werden im Dialogfeld angezeigt, sobald der Draht bestimmt worden ist.

Hinweis: Wenn das zugrundeliegende CAD-Element kein Zylinder oder Bogen ist, sind ggf. weitere Klicks zur Identifizierung des Elements erforderlich. Wenn PC-DMIS nicht das richtige Element hervorhebt, klicken Sie auf mindestens zwei weitere Stellen des Zylinders.

  • Schnittebenenvektor: Dieser Vektor ist die Zylinderachse und die Ebene, in der der Scan durchgeführt wird.
  • Erstpunktvektor: Dieser Vektor gibt die Richtung an, in welcher der Taster beim Start des Scans den ersten Meßpunkt aufnimmt. Dieser Vektor wird gemäß dem Dateneingabemodus berechnet. Dieser Vektor und der Schnittebenenvektor verlaufen vertikal zueinander.


Zylinder: CAD-Datenmethode

Der Erstpunktvektor des Zylinders wird auf der Basis des ersten Klicks berechnet, der für die Berechnung des Zylinders mit dieser Methode verwendet wird.

Typ:

In der Auswahlliste Typ steht folgendes zur Auswahl:

  1. INNEN: Eine Bohrung
  2. AUSSEN: Ein Stiftbolzen

Winkel:

Das Feld Winkel zeigt den Winkel ab dem Startpunkt (die Gradangabe bezeichnet den zu scannenden Bereich). Sowohl positive als auch negative Winkel sind zulässig. Positive Winkel werden gegen den Uhrzeigersinn gemessen, negative im Uhrzeigersinn. Der Schnittebenenvektor gilt als die Achse, um die sich der Winkel dreht. Der Winkel kann größer als 360 Grad sein. In diesem Fall geht der Scan über mehr als eine Drehung.

Beispiel: Bei einer Winkelangabe von 720 Grad würde der Scan über zwei Drehungen gehen.

Durchmesser:

Das Feld Durchmesser zeigt den Durchmesser des Zylinders.

Tiefe:

Das Feld Tiefe zeigt den Wert der Tiefe, die gegenüber der Richtung des Schnittebenenvektors angewandt wird.

Beispiel: Bei einem Zylinder mit einem Mittelpunkt von 1,1,3, einem Schnittebenenvektor von 0,0,1 und einer Tiefe von 0,5 wird der Zylindermittelpunkt während der Ausführung auf 2,5 gesetzt.

Steigung:

Das Feld Steigung zeigt den Abstand auf dem Schnittebenenvektor zwischen Anfang und Ende des Scans bei einer kompletten Drehung von 360 Grad. Die Steigung des Zylinders kann einen positiven oder negativen Wert haben. Wenn sie mit Schnittebenenvektor und Winkel kombiniert wird, steuert sie die Auf- und Abwärtsrichtung des Scans entlang der Zylinderachse.

Beispiel: Wenn der Zylinder einen Schnittebenenvektor von 0,0,1, einen Steigungswert von 1,0 und einen positiven Winkel von 720 hätte, dann würde der Scan zwei volle Umdrehungen ausführen und sich, vom Startpunkt aus gerechnet, um zwei Maßeinheiten auf der Zylinderachse aufwärts bewegen. Wird für denselben Zylinder eine negative Steigung eingegeben, dann bewegt sich der Scan um zwei Maßeinheiten auf der Zylinderachse abwärts.


Durchführen eines Basis-Scans für eine Achse

Display Menu Roadmap
Mit der Menüoption Achse können Sie ein Geradenelement (eine gerade Linie) scannen. Hierdurch werden der Startpunkt und Endpunkt der Geraden ermittelt, damit Sie den Scan ausführen können.

Die Achsenmethode:

  • Ermöglicht die Auswahl der Option Abstand auf der Registerkarte Filter.
  • Ermöglicht die Auswahl des Vektormeßpunkttyps auf der Registerkarte Meßpunkttyp.
  • Erfordert keine Grenzbedingung.

Die Ausführung des Scans wird durch die beiden folgenden Parameter gesteuert:

  • Startpunkt: Dieser Punkt ist der Startpunkt, an dem die Ausführung beginnt.
  • Endpunkt: Dieser Punkt ist der Endpunkt, an dem die Ausführung endet.

Die Punkte können direkt eingegeben oder aber vom KMG oder aus den CAD-Daten übernommen werden.

Die im Bearbeitungsfenster erscheinende Befehlszeile für den Basis-Scan "Achse" lautet:
ID=BASIS-SCAN/ACHSE,MEßPUNKTE_EINBLENDEN=JA,ALLE_PARAMETER_EINBLENDEN=JA
Startpunktx, Startpunkty, Startpunktz,Endpunktx,Endpunkty,Endpunktz
Schnittebenenvektor=i,j,k,Stärke

Siehe auch:

Eingabemethode

Meßpunktmethode

Arbeiten mit Oberflächendaten auf dem Bildschirm

Arbeiten mit Drahtmodelldaten auf dem Bildschirm


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für eine Achse - Eingabemethode

Eingabemethode

Mit dieser Methode können Sie die X-, Y- und Z-Werte der Start- und Endpunkte eingeben.

  1. Klicken Sie im Listenfeld in der Spalte "Nr." auf den gewünschten Punkt. Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt. In der Titelleiste des Dialogfelds erscheint die ID der spezifischen Parameter zur Bearbeitung.
  2. Bearbeiten Sie den X-, Y- oder Z-Wert manuell.
  3. Klicken Sie auf OK, um die Änderungen anzuwenden.

Bei Wahl der Schaltfläche Abbrechen werden alle vorgenommenen Änderungen verworfen, und das Dialogfeld wird wieder geschlossen.

Sie sollten auch den Wert für den Schnittebenenvektor und den Erstpunktvektor der Achse eingeben. Verwenden Sie dazu dasselbe Verfahren.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für eine Achse - Meßpunktmethode

Meßpunktmethode

So können Sie eine Gerade ohne Zuhilfenahme von CAD-Daten erstellen:

  1. Wählen Sie den gewünschten Punkt in der Liste aus.
  2. Nehmen Sie einen Meßpunkt am Werkstück auf. Dadurch werden die Werte für diesen Punkt eingetragen.

Der Schnittebenenvektor ist der vertikale Vektor der Ebene, in der die Gerade liegt.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für eine Achse - Arbeiten mit Oberflächendaten auf dem Bildschirm

Arbeiten mit Oberflächendaten auf dem Bildschirm

So generieren Sie eine Gerade aus Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Wählen Sie den gewünschten Punkt in der Liste aus.
  3. Klicken Sie auf eine Stelle im Grafikfenster. PC-DMIS zeigt die erforderlichen Werte im Listenfeld an.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für eine Achse - Arbeiten mit Drahtmodelldaten auf dem Bildschirm

Arbeiten mit Drahtmodelldaten auf dem Bildschirm

Punkte für eine Gerade können ebenfalls mit Drahtmodell-CAD-Daten erzeugt werden. Klicken Sie in der Nähe des gewünschten Drahts auf die Achse. PC-DMIS markiert den ausgewählten Draht. Es trägt auch die beiden Punkte von den Anfangs- und Endpunkten der Kurve ein.

Schnittebenenvektor: Dieser Vektor ist der normale Vektor der Ebene, in der sich die Gerade befindet.


Durchführen eines Basis-Scans des Typs "Mitte"

Display Menu Roadmap
Mit der Menüoption Mitte können Sie in einem Bereich einen Tief-/Hochpunkt ermitteln. Diese Menüoption steht nur dann zur Auswahl zur Verfügung, wenn Sie einen analogen Taster (wie beispielsweise den SP600) verwenden. Hierdurch werden werden der Startpunkt und der Endpunkt des Scans aufgenommen, damit die Steuereinheit den Scan ausführen kann. Die Ausgabe dieses Scans ist ein Einzelpunkt.

Die Mittenmethode:

  • Bei dieser Methode kann nur die Option Abstand der Registerkarte Filter verwendet werden.
  • Bei dieser Methode kann nur die Option Vektor der Registerkarte Meßpunkttyp verwendet werden.
  • Erfordert keine Grenzbedingung.

Die Ausführung des Scans wird durch die beiden folgenden Parameter gesteuert:

  • Startpunkt: Dieser Punkt ist der Startpunkt, an dem die Ausführung beginnt.
  • Endpunkt: Dieser Punkt ist der Endpunkt, an dem die Ausführung endet.

Die Punkte können direkt eingegeben oder aber vom KMG oder aus den CAD-Daten übernommen werden.

Die im Bearbeitungsfenster erscheinende Befehlszeile für den Basis-Scan "Mitte" lautet:
ID=BASIS-SCAN/MITTE,MEßPUNKTE_EINBLENDEN=JA,ALLE_PARAMETER_EINBLENDEN=JA
Startpunktx,Startpunkty,Startpunktz,Endpunktx,Endpunkty,Endpunktz,Schnittebenenvektor=i,j,k,Typ
Erstpunktvektor=i,j,k,Richtung,Stärke

Siehe auch:

Beispiel für einen Mitten-Scan

Eingabemethode

Meßpunktmethode

Arbeiten mit Oberflächendaten auf dem Bildschirm

Arbeiten mit Drahtmodelldaten auf dem Bildschirm


Beispiel für einen Mitten-Scan

Nehmen wir einmal an, Sie haben ein "V"-förmiges Werkstück, wobei sich das "V" auf der Y-Achse der Maschine und der Apex des "V" in der Richtung Y+ des Werkstückkoordinatensystems befindet (siehe folgende Abbildung).

Ansicht von oben nach unten (Z+) für einen V-förmigen Block mit dem "V"-Apex in der Richtung Y+

Gehen Sie folgendermaßen vor, um den "V"-Apex mit Hilfe des Basic-Mitten-Scans zu ermitteln:

  1. Nehmen Sie einen Meßpunkt dort am Werkstück auf, an dem der Scan beginnen soll (auf einer der beiden Seiten des "V"). PC-DMIS zeigt im Dialogfeld Scan die X-, Y- und Z-Punktinformationen an.
  2. Stellen Sie für den Startpunkt und den Endpunkt dieselben X-, Y- und Z-Werte ein.
  3. Stellen Sie sicher, daß Erstpunktvektor auf 0,-1,0 eingestellt ist.
  4. Stellen Sie sicher, daß Schnittebenenvektor auf 0,0,1 eingestellt ist.
  5. Wählen Sie im Bereich Richtung die Option In Tasterrichtung aus.
  6. Klicken Sie auf OK, um das Dialogfeld Scanelement bearbeiten zu schließen.
  7. Wählen Sie aus der Liste Typ die Option EBENE aus.
  8. Klicken Sie auf Erzeugen. PC-DMIS scannt das "V" in Abwärtsrichtung ab und ermittelt den Apex, indem es den niedrigsten Punkt entlang des Erstpunktvektors sucht.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans des Typs "Mitte" - Eingabemethode

Eingabemethode

Mit dieser Methode können Sie die X-, Y- und Z-Werte der Start- und Endpunkte eingeben.

  1. Doppelklicken Sie im Listenfeld in der Spalte "Nr." auf den gewünschten Punkt. Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt. In der Titelleiste des Dialogfelds erscheint die ID der spezifischen Parameter zur Bearbeitung.
  2. Bearbeiten Sie den X-, Y- oder Z-Wert manuell.
  3. Klicken Sie auf OK, um die Änderungen anzuwenden.

Bei Wahl der Schaltfläche Abbrechen werden alle vorgenommenen Änderungen verworfen, und das Dialogfeld wird wieder geschlossen.

Sie sollten auch den Schnittebenenvektor und den Erstpunktvektor der Mitte eingeben. Verwenden Sie dazu dasselbe Verfahren.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans des Typs "Mitte" - Meßpunktmethode

Meßpunktmethode

So können Sie den Mitten-Scan ohne Zuhilfenahme von CAD-Daten erstellen:

  1. Wählen Sie den gewünschten Punkt in der Liste aus.
  2. Nehmen Sie einen Meßpunkt am Werkstück auf. Dadurch werden die Werte für diesen Punkt eingetragen.

Der Schnittebenenvektor ist der vertikale Vektor der Ebene. Der Taster bleibt frei in dieser Ebene, während die Steuereinheit die Zentrierung vornimmt. Der Erstpunktvektor ist der erste Antastvektor am Startpunkt.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans des Typs "Mitte" - Arbeiten mit Oberflächendaten auf dem Bildschirm

Arbeiten mit Oberflächendaten auf dem Bildschirm

So generieren Sie einen Mitten-Scan aus Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Wählen Sie den gewünschten Punkt in der Liste aus.
  3. Klicken Sie auf eine Stelle im Grafikfenster. PC-DMIS zeigt die erforderlichen Werte in der Liste an.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans des Typs "Mitte" - Arbeiten mit Drahtmodelldaten auf dem Bildschirm

Arbeiten mit Drahtmodelldaten auf dem Bildschirm

So generieren Sie mit Hilfe von Drahtmodell-CAD-Daten Punkte für einen Mitten-Scan.

Klicken Sie in der Nähe des gewünschten Drahts. PC-DMIS markiert den ausgewählten Draht. Es ermittelt den Punkt auf dem Draht, der der angeklickten Stelle am nächsten liegt, und zeigt die Werte in der Liste an.

  • Schnittebenenvektor: Dieser Vektor ist der vertikale Vektor der Ebene. Der Taster bleibt frei in dieser Ebene, während die Zentrierung vorgenommen wird.
  • Erstpunktvektor: Dieser Vektor ist der Antastvektor des Tasters am Startpunkt.

Typ:

Folgende Zentrierungsmethoden sind zulässig:

  1. Achse: Der Startpunkt (S) wird auf die definierte Achse (A) projiziert. Daraus ergibt sich Punkt (SP). Der Erstpunktvektor wird in die Ebene projiziert, die durch den projizierten Punkt (SP) und die Axialrichtung (A) definiert wird. Die auf diese Weise definierte Richtung (N) verläuft vertikal zur Axialrichtung. Anschließend, wenn die Zentrierung erfolgt, bleibt der Mittelpunkt des Tasters in der durch die Axialrichtung und (SP) definierten Ebene. Die Eingabe der Zentrierung erfolgt in/gegen Richtung (N), und die Tastspitze ist frei beweglich in der Richtung, die durch die Kreuzung der Axialrichtung (A) und Richtung (N) definiert wird.

    S = Startpunkt
    A = definierte Achse / Axialrichtung
    SP = projizierter Startpunkt
    N = die vertikal zur Axialrichtung verlaufende Richtung
  2. Ebene: Nach Abtasten des durch den Startpunkt definierten Punktes wird das KMG in/gegen die Tasterrichtung zentriert, bleibt jedoch frei in der durch den Schnittebenenvektor definierten Ebene.

Richtung:

Sie können folgende Filtertypen aus der Liste Filtertyp auswählen.

  • In Tasterrichtung: Die Zentrierung des Tasters verläuft in Richtung der Tasterachse.
  • Gegen Tasterrichtung: Die Zentrierung des Tasters verläuft in die der Tasterachse entgegengesetzte Richtung.


Durchführen eines Basis-Scans für ein Linienelement

Display Menu Roadmap
Bei Auswahl der Menüoption Linie wird die Oberfläche entlang einer Linie gescannt. Bei diesem Verfahren werden der Anfangs- und Endpunkt für die Linie sowie ein Richtungspunkt zur Berechnung der Schnittebene verwendet. Der Taster verbleibt während der Ausführung des Scans stets in der Schnittebene.

Die im folgenden erläuterten Filtertypen (Registerkarte Filter) sind zulässig.

Siehe auch:

Abstand

Hauptachse

Variable

Max. Inkrement

Punkte

Vektoren

Meßpunkttyp

Bereichsgrenze


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Linienelement - Abstand

Abstand

PC-DMIS bestimmt jeden Meßpunkt auf Basis des eingestellten Inkrements und der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster verbleibt auf der Schnittebene. PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Meßpunkte auf, bis der Endpunkt erreicht wird.


Hauptachse

PC-DMIS nimmt im Koordinatensystem des aktuellen Werkstücks Meßpunkte auf, wobei die Abtastung im eingestellten Inkrement erfolgt. Der Vorlauf des Tasters verläuft senkrecht zur angegebenen Achse. Der Taster verbleibt auf der Schnittebene. Der Antastvektor verläuft auf der Schnittebene, vertikal zur ausgewählten Achse. Die Methode HAUPT-ACHSE verwendet denselben Ansatz zur Aufnahme jedes Meßpunkts (im Gegensatz zur Methode LINIE, die den Vorlauf vertikal zur Linie zwischen den beiden letzten Meßpunkten ansetzt).


Variable

Bei der Methode VARIABLE können Sie spezifische Höchst- und Mindestwinkel und Inkrementwerte einstellen, aufgrund derer die Stellen, an denen PC-DMIS einen Meßpunkt aufnimmt, bestimmt werden. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten.

Geben Sie die Maximal- und Minimalwerte ein, die zur Bestimmung der Inkremente zwischen den Meßpunkten verwendet werden sollen. Sie müssen auch die gewünschten Werte für die Winkel (MAX und MIN) eingeben. PC-DMIS nimmt auf Basis des Mindestinkrements drei Meßpunkte auf. Dann mißt es den Winkel zwischen Meßpunkten 1-2 und 2-3.

  • Wenn der gemessene Winkel zwischen den definierten Maximal- und Minimalwerten liegt, nimmt PC-DMIS weitere Meßpunkte im aktuellen Inkrement.
  • Ist der Winkel größer als der Maximaltwert, löscht PC-DMIS den letzten Meßpunkt und mißt ihn von neuem, wobei ein Viertel des aktuellen Inkrementwerts zugrundegelegt wird.
  • Ist der Winkel kleiner als das Mindestinkrement, nimmt PC-DMIS den Meßpunkt mit dem Wert des Mindestinkrements auf.

PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Es löscht so lange den letzten Meßpunkt und verringert den Inkrementwert auf ein Viertel des Inkrements, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Mindestwert des Inkrements erreicht ist.

Ist der gemessene Winkel kleiner als der Mindestwinkel, verdoppelt PC-DMIS das Inkrement für den nächsten Meßpunkt. (Ist er größer als der Maximalwert für das Inkrement, nimmt es den Meßpunkt mit dem Maximalinkrement auf.) PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Diese Verdoppelung des Inkrementwerts wird so lange wiederholt, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Maximalwert des Inkrements erreicht ist.

Wenn WINKEL > MAX WINKEL, dann INKR = INKR / 4 bis MIN INKR
Wenn WINKEL < MIN WINKEL, dann INKR = INKR · 2 bis MAX INKR


Max. Inkrement

Im Feld Max. Inkrement der Registerkarte Filter können Sie den Inkrementalabstand zwischen den Meßpunkten eines Scans einstellen. Wenn Sie hier beispielsweise 0,5 eingeben, tastet der Scan das Werkstück in Inkrementen von 0,5 ab.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Linienelement - Punkte

Punkte

Für einen LINIEN-Scan sind ein Startpunkt, ein Richtungspunkt und ein Endpunkt erforderlich.

  • Startpunkt: Der Startpunkt des Scans.
  • R: Der Richtungspunkt, der für den Start des Scans verwendet wird.
  • Endpunkt: Der Endpunkt, an dem der Scan beendet wird.


Vektoren

Linien-Scans verwenden folgende Vektoren zur Ausführung:

  • Schnittebenenvektor: Der Schnittebenenvektor ist das Produkt aus dem Erstpunktvektor und der Linie zwischen Anfangs- und Endpunkt. Der Taster verbleibt während des Scannens in dieser Ebene.
  • Erstpunktvektor: Dies ist der Erstpunktvektor, an dem der Scan beginnt.
  • Endvektor: Der Endvektor dient am Endpunkt des Scans als Antastvektor.
  • Richtungsvektor: Der Richtungsvektor wird beim Start des Scanvorgangs verwendet und bezeichnet den Vektor vom Startpunkt zum Richtungspunkt.

Der Schnittebenenvektor ist das Produkt aus dem Erstpunktvektor und der Linie zwischen dem Anfangs- und dem Endpunkt.


Scannen Ihres Werkstücks - Durchführen eines Basis-Scans für ein Linienelement - Meßpunkttyp

Meßpunkttyp

LINIEN-Scans können mit Vektor- oder Oberflächenmeßpunkten durchgeführt werden. Weitere Informationen finden Sie unter Meßpunkttyp.


Bereichsgrenze

LINIEN-Scans können für eine der folgenden Grenzbedingungen durchgeführt werden:

  • Ebene
  • Kugel
  • Zylinder
  • Kegel
  • OldStyle

Weitere Einzelheiten finden Sie unter Verwenden der Schaltfläche "Bereichsgrenze".

Die im Bearbeitungsfenster erscheinende Befehlszeile für den Basis-Scan "Linie" lautet:
ID=BASIS-SCAN/LINIE,MEßPUNKTE_EINBLENDEN=JA,ALLE_PARAMETER_EINBLENDEN=JA
StartpunktX,StartpunktY,StartpunktZ,EndpunktX,EndpunktY,EndpunktZ,Schnittebenenvektor=i,j,k, Richtungsvektor=i,j,k
Erstpunktvektor=i,j,k, Endvektor=i,j,k, Stärke


Einführung zum Durchführen von fortgeschrittenen Scans

Fortgeschrittene Scans sind CNC-Stitch-Scans (Stitch-Verfahren = streifenweises Abtasten), die mit einem schaltenden Tastsystem (TTP) vorgenommen werden. Diese Scans werden von PC-DMIS und der KMG-Steuereinheit durchgeführt. Das CNC-Scanverfahren beruht auf einem intelligenten, selbstanpassenden Algorithmus, der die vertikalen Oberflächenvektoren berechnet und somit eine genaue Tasterkompensation gewährleistet.

Diese fortgeschrittenen Scans verwenden ein schaltendes Tastsystem, das besonders für die automatische punktweise Digitalisierung von Profilen auf Oberflächen geeignet ist. Geben Sie einfach die erforderlichen Parameter für den CNC-Scan ein, klicken Sie auf die Schaltfläche Messen, und der Scan-Algorithmus von PC-DMIS übernimmt die Steuerung des Meßverfahrens.

PC-DMIS unterstützt folgenden fortgeschrittene Scanmethoden:

  • Offene Linie
  • Geschlossene Linie
  • Flächenscan
  • Umfang-Scan
  • Profilschnitt-Scan
  • Rotations-Scan
  • UV-Scan

In diesem Thema werden zunächst die allgemeinen Funktionen des Dialogfelds Scannen behandelt, das zum Durchführen dieser Scans verwendet wird. Anschließend wird erläutert, wie die verschiedenen fortgeschrittenen Scans durchgeführt werden.


Allgemeine Funktionen des Dialogfelds "Scannen"

Viele der im folgenden beschriebenen Funktionen gelten sowohl für CNC- als auch für manuelle Scans. Auf Optionen, die sich insbesondere auf einen Scan-Modus beziehen, wird entsprechend hingewiesen.

Siehe auch:

Begrenzungspunkte

Meßpunkttyp

Erstpunktvektoren

Optionen

CAD Elemente

Einzelpunkte

Nennwerte abrufen

Berechnen

Rückgängig

Paßpunkte

Einstellungen


Scannen Ihres Werkstücks - Allgemeine Funktionen des Dialogfelds "Scannen" - Begrenzungspunkte

Home Contents Previous Next

Begrenzungspunkte

Um den Grenzbereich eines Scans zu definieren, können in PC-DMIS Begrenzungspunkte eingegeben, gemessen oder CAD-Daten verwendet werden.

Using the Boundary button Adding and Deleting Boundary Points Editing Boundary Points

Diese Option ist nur für CNC -Scans verfügbar.

Hinweis: Die Schaltfläche Bereichsgrenze in diesem Bereich des Dialogfelds ist nur im CNC-Modus und nur für Offene Linien-, Geschlossene Linien-, Flächen-, Profilschnitt und Rotations-Scans verfügbar. Sie ist nicht für Umfang-Scans verfügbar.

Siehe auch:

Einstellen von Begrenzungspunkten mit der Eingabemethode

Einstellen von Begrenzungspunkten mit der Meßpunktmethode

Einstellen von Begrenzungspunkten mit der CAD-Datenmethode

Verwenden der Schaltfläche "Bereichsgrenze"

Hinzufügen und Löschen von Begrenzungspunkten

Bearbeiten von Begrenzungspunkten

Entfernen von Begrenzungspunkten


Einstellen von Begrenzungspunkten mit der Eingabemethode

So bestimmen Sie die Bereichsgrenze für einen Scan mit Hilfe der Eingabemethode:

  1. Doppelklicken Sie auf den gewünschten Begrenzungspunkt in der Spalte "Nr.". Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt.
  2. Bearbeiten Sie den X-, Y- oder Z-Wert manuell.
  3. Klicken Sie auf OK, um die Änderungen anzuwenden.

Bei Wahl der Schaltfläche Abbrechen werden alle vorgenommenen Änderungen verworfen, und das Dialogfeld wird wieder geschlossen.

Bei Wahl der Schaltfläche Nächster werden die Änderungen übernommen und zur Bearbeitung auf den nächsten Begrenzungspunkt angewandt.


Einstellen von Begrenzungspunkten mit der Meßpunktmethode

Wenn Sie die Bereichsgrenze für den Scan mit Hilfe von Meßpunkten festlegen wollen, berühren Sie das Werkstück mit dem Taster. Damit wird der Wert des aktuell in der Liste ausgewählten Begrenzungspunkts automatisch aktualisiert. Der Fokus rückt dann zum nächsten Begrenzungspunkt weiter (sofern weitere Begrenzungspunkte in der Liste enthalten sind). Bei einem FLÄCHEN-Scan wird automatisch ein zusätzlicher Begrenzungspunkt hinzugefügt, wenn der aktuelle Begrenzungspunkt der letzte Punkt in der Liste ist. Der FLÄCHEN-Scan zeigt dann den letzten Punkt an (welcher derselbe Punkt wie vorhergehende ist). PC-DMIS löscht diesen letzten Punkt, wenn Sie im Dialogfeld auf OK klicken.


Einstellen von Begrenzungspunkten mit der CAD-Datenmethode

Mit PC-DMIS können Sie Begrenzungspunkte sowohl mit Hilfe von Drahtmodell- als auch mit Hilfe von Oberflächendaten auswählen.

Bei der Verwendung von CAD-Oberflächendaten:

  1. Stellen Sie sicher, daß Sie schattierte CAD-Daten importiert haben.
  2. Vergewissern Sie sich, daß das Symbol Oberflächen zeichnen ein/aus markiert wurde.
  3. Wählen Sie einen Begrenzungspunkt, indem Sie im Grafikfenster auf die gewünschte Stelle klicken.

Die ausgewählte Oberfläche wird hervorgehoben. PC-DMIS aktualisiert den Wert des aktuell in der Liste ausgewählten Begrenzungspunkts automatisch. Der Fokus rückt dann zum nächsten Begrenzungspunkt weiter (sofern weitere Begrenzungspunkte verfügbar sind). Bei einem FLÄCHEN-Scan wird automatisch ein zusätzlicher Begrenzungspunkt hinzugefügt, wenn der aktuelle Begrenzungspunkt der letzte Punkt in der Liste ist.

Bei der Verwendung von CAD-Drahtmodelldaten gibt es zwei Modi zur Auswahl von KurvenElementen:

Drahtmodelldaten - Modus 1
Tiefenkurve

Bei der Nennwertsuche verwendet PC-DMIS eine Tiefenkurve, um mit Hilfe von zwei Kurven eine Ebene zu bilden. Im Idealfall verläuft die Tiefenkurve vertikal zur anderen ausgewählten Kurve, so daß PC-DMIS die beiden Vektoren (den Vektor der Tiefenkurve und den Vektor einer beliebigen anderen, ausgewählten Kurve) überschneiden und eine Ebene bilden kann, von der aus Nennwerte gesucht werden können.

Um eine Tiefenkurve anzugeben, aktivieren Sie das Kontrollkästchen Tiefe, und wählen Sie dann eine Kurve. Es kann nur jeweils eine Tiefenkurve gewählt werden. Daher sollten Sie die Tiefenkurve erst wählen, wenn die anderen Kurven bereits ausgewählt worden sind.

  1. Vergewissern Sie sich, daß das Symbol Kurvenmodus markiert wurde.
  2. Kreuzen Sie das Kontrollkästchen Auswählen an.
  3. Kreuzen Sie das Kontrollkästchen Tiefe an.
  4. Wählen Sie eine Kurve aus.
  5. Geben Sie die beiden CAD-Kanten an, die vertikal zueinander verlaufen.
  6. Deaktivieren Sie das Kontrollkästchen.
  7. Klicken Sie auf das Werkstück.

Wenn eine Tiefenkurve zur Verfügung steht, bildet PC-DMIS eine Ebene, indem es den Vektor jeder Kante mit dem Vektor der Tiefenkurve überschneidet und diese Ebene dann durchstößt, um einen Punkt zu erstellen.

Drahtmodelldaten - Modus 2
Tiefenkurve

  1. Aktivieren Sie das Kontrollkästchen Auswählen.
  2. Geben Sie die beiden CAD-Kanten an, die vertikal zueinander verlaufen.
  3. Deaktivieren Sie das Kontrollkästchen.
  4. Klicken Sie auf das Werkstück.

Wenn keine Tiefenkurve gewählt ist, setzt PC-DMIS den ausgewählten Punkt einfach auf die Kurve.

Hinweis: Drahtmodelldaten können nur in Verbindung mit OFFENE_LINIEN-, GESCHLOSSENE_LINIEN- und FLÄCHEN-Scans eingesetzt werden.


Verwenden der Schaltfläche "Bereichsgrenze"

Über die Schaltfläche “Bereichsgrenze“ wird das Dialogfeld Bereichsgrenzen aufgerufen. Die Grenzbedingungen dienen zur Beendigung des Scans am Endpunkt. Im Dialogfeld Bereichsgrenzen können Sie im Auswahllistenfeld Art der Bereichsbegrenzung folgende Grenztypen auswählen:

  • Ebene
  • Kugel
  • Zylinder
  • Kegel
  • OldStyle

Die Grenzbedingung "OldStyle" wird beibehalten, um eine Abwärtskompatibilität mit früheren Versionen von PC-DMIS zu gewährleisten.

Jede der obigen Grenzbedingungen (außer "OldStyle") hat ein Feld für die Anzahl der Grenzüberschreitungen, das die Bedingungen für die Beendigung des Scans festlegt. Wenn Sie beispielsweise diesen Wert auf Zwei (2) einstellen, wird der Scan beendet, wenn die Kugelmitte des Tasters die gegebene Oberflächenbedingung (eben, rund, zylindrisch, konisch usw.) zweimal überquert hat. Geben Sie einfach den Wert für die gewünschte Anzahl der Grenzüberschreitungen ein.

Die Grenzbedingung wird am Endpunkt verwendet und ist sowohl mit einer Lage als auch mit dem unter Anzahl der Grenzüberschreitungen angegebenen Wert verknüpft. Alle Grenzüberschreitungen werden berechnet, wenn die Kugelmitte die Oberfläche überquert.

Ebene

  • Anzahl der Grenzüberschreitungen: Der Scan wird beendet, wenn der Taster die Ebene x-mal überquert hat (wobei x die Anzahl der Überschreitungen ist).
  • Ebenenvektor: Dieser Vektor definiert den vertikalen Vektor der Ebene am Endpunkt.
  • Endvektor: Der Antastvektor am Endpunkt.

Die Befehlszeile im Bearbeitungsfenster lautet für den Grenztyp "Ebene":
BEREICHSGRENZE/EBENE, x,y,z,Ebenenvektor=i,j,k, Endvektor=i,j,k,Überschreitungen

Kugel

  • Anzahl der Grenzüberschreitungen: Der Scan wird beendet, wenn der Taster die Kugel x-mal überquert (durchbrochen) hat (wobei x die Anzahl der Überschreitungen ist).
  • Radius: Der Kugelradius.
  • Endvektor: Der Antastvektor am Endpunkt.

Die Kugel liegt am Endpunkt, ist aber um einen Tasterradius entlang dem Antastvektor von der Oberfläche versetzt, so daß die Mitte des (kugelförmigen) Tasters durch die Kugel geführt werden kann.

Die Befehlszeile im Bearbeitungsfenster lautet für den Grenztyp "Kugel":
BEREICHSGRENZE/KUGEL, x,y,z,Endvektor=i,j,k,Radius,Überschreitungen

Zylinder

  • Anzahl der Grenzüberschreitungen: Der Scan wird beendet, wenn der Taster den Zylinder x-mal überquert (durchbrochen) hat (wobei x die Anzahl der Überschreitungen ist). Der Zylinder ist unbegrenzt (d. h. er gilt als unendlich lang).
  • Radius: Der Zylinderradius.
  • Achsenvektor: Dieser Vektor definiert die Zylinderachse am Endpunkt.
  • Endvektor: Der Antastvektor am Endpunkt.

Der Zylinder liegt am Endpunkt, ist aber um einen Tasterradius entlang dem Antastvektor von der Oberfläche versetzt, so daß die Mitte des kugelförmigen Tasters durch den Zylinder geführt werden kann.

Die Befehlszeile im Bearbeitungsfenster lautet für den Grenztyp "Zylinder":
BEREICHSGRENZE/ZYLINDER, x,y,z, Achse=i,j,k, Endvektor=i,j,k,Radius,Überschreitungen

Kegel

  • Anzahl der Grenzüberschreitungen: Der Scan wird beendet, wenn der Taster den Kegel x-mal überquert hat (wobei x die Anzahl der Überschreitungen ist). Der Kegel ist unbegrenzt (d. h. er gilt als unendlich lang).
  • Winkel: Der halbe Kegelwinkel.
  • Achsenvektor: Dieser Vektor definiert die Kegelachse an der Spitze.
  • Endvektor: Der Antastvektor am Endpunkt.

Die Kegelspitze liegt am Endpunkt des Scans.

Die Befehlszeile im Bearbeitungsfenster lautet für den Grenztyp "Kegel":
BEREICHSGRENZE/KEGEL, x,y,z, Achse=i,j,k, Endvektor=i,j,k,Halbwinkel,Überschreitungen

OldStyle

Diese Grenzbedingung wird beibehalten, um die Abwärtskompatibilität mit früheren Programmversionen zu gewährleisten. Frühere Versionen von PC-DMIS beendeten einen Scan auf Basis einer Kombination aus der Anzahl der Grenzüberschreitungen und der Scan-Inkremente. OldStyle ist eigentlich keine durch Sie wählbare Option. Es handelt sich um eine interne Einstellung für Scans, die mit frühreren PC-DMIS-Versionen erstellt wurden.

Wenn Scans aus der PC-DMIS-Version 2.3 in Version 3.0 oder höher eingelesen werden, werden sie konvertiert und die zugehörigen Grenzbedingungen als “OldType“ gekennzeichnet.

  • Ebenenvektor: Dieser Vektor definiert den vertikalen Vektor der Ebene am Endpunkt.
  • Endvektor: Der Antastvektor am Endpunkt.

Die Befehlszeile im Bearbeitungsfenster lautet für den Grenztyp "OldStyle":
BEREICHSGRENZE/OLDSTYLE, x,y,z,Ebenenvektor=i,j,k, Endvektor=i,j,k

Hinweis: Die Grenzbedingung für einen Scan kann jederzeit geändert werden. Wird eine neue Grenzbedingung für einen CNC-Scan gewählt, gilt die neue Bedingung für alle Basis-Scans, aus denen der CNC-Scan besteht. Wenn Sie jedoch nur einen bestimmten Wert in einer Grenzbedingung verändern, wie beispielsweise den Radius bei einer Sphärischen Bereichsgrenze, dann wird diese Änderung NICHT an die Basis-Scans weitergegeben. Sie müßten diesen Wert dann selbst in jedem Basis-Scan ändern.


Hinzufügen und Löschen von Begrenzungspunkten

Mit den Schaltflächen Hinzufügen und Löschen können Sie Begrenzungspunkte zur Liste der Begrenzungspunkte hinzufügen bzw. daraus löschen. Die einzelnen Scantypen unterliegen jedoch alle bestimmten Einschränkungen. So kann z. B. für einen GESCHLOSSENE_LINIEN-Scan nur ein Anfangs- und Richtungspunkt angegeben werden. Bei diesem Scantyp können Sie weder weitere Punkte hinzufügen noch diese beiden Punkte löschen. Die spezifischen Einschränkungen finden Sie unter dem jeweiligen Scantyp.


Bearbeiten von Begrenzungspunkten

Sie können Begrenzungspunkte bearbeiten, indem Sie auf die Nummer des gewünschten Punkts in der Spalte "Nr." doppelklicken.

Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt, in dem Sie die X-, Y- und Z-Werte bearbeiten können.

Die Breite der Spalten in der Liste Begrenzungspunkte kann bei Bedarf angepaßt werden. Ändern Sie einfach die Breite des Spaltenkopfes der Liste. Wählen Sie mit Hilfe der linken Maustaste den rechten oder linken Rand eines Spaltenkopfes, und ziehen Sie den Rand bis auf die gewünschte Größe. Die Breite der einzelnen Listenanzeigen wird vom Benutzer individuell eingestellt. Diese Informationen werden in der INI-Datei gespeichert und verwendet, wenn die Felder verändert werden.

Umkehren:

Die Schaltfläche Umk. (Umkehren) ist nur beim Editieren eines Vektors verfügbar. Durch Klicken auf diese Schaltfläche wird der ausgewählte Vektor umgekehrt.

Punkt bei Bohrung:

Das Kontrollkästchen Punkt bei Bohrung ist nur beim Arbeiten mit Profilschnitt-Scans verfügbar. Mit ihm läßt sich aus einem bohrungsfernen Punkt einen Bohrungspunkt machen.

Der Bohrungspunkt definiert die Stelle, an der ein linearer Profilschnitt-Scan eine in seinem Weg befindliche Bohrung überspringt. Nachdem auf die Schaltfläche CAD ausschneiden geklickt wurde, plaziert PC-DMIS Bohrungspunkte auf beiden Seiten der Bohrungen, die den Profilschnitt-Scan unterbrechen.

Bohrungspunkte werden durch den Buchstaben "H" gefolgt von der Punktnummer ausgewiesen (z. B. 1H, 2H, 3H etc.). Diese Punkte werden genauso wie andere Begrenzungspunkte sowohl zur Liste Begrenzungspunkte, als auch zum Werkstückmodell im Grafikfenster hinzugefügt.

Hinweis: Das Kontrollkästchen Punkt bei Bohrung ist nur bei bohrungsfernen Punkten verfügbar, die in Bohrungspunkte geändert werden müssen. Wenn Sie einen Bohrungspunkt haben, aus dem ein bohrungsferner Punkt gemacht werden muß, löschen Sie den Bohrungspunkt und erstellen Sie einen neuen bohrungsfernen Punkt.


Entfernen von Begrenzungspunkten

Sie können die Liste mit den Begrenzungspunkten jedes Scantyps problemlos löschen, indem Sie mit der rechten Maustaste doppelklicken, während sich der Cursor in der Liste Begrenzungspunkte befindet. Die Schaltfläche Begrenzungspunkte zurücksetzen wird eingeblendet. Klicken Sie auf Ja, um alle Begrenzungspunkte auf Null zurückzusetzen, wobei die Anzahl an Begrenzungspunkten auf das für jeden Scantyp erforderliche Minimum reduziert wird.

Hinweis: PC-DMIS läßt kein Löschen von Endpunkte zu, wenn Sie die Schaltfläche CAD ausschneiden verwenden, die für Profilschnitt-Scans verfügbar ist. In diesem Fall müssen Sie auf Bereichsgrenze einblenden klicken, um die Begrenzungspunkte erneut anzuzeigen, bevor Sie diese entfernen können.


Scannen Ihres Werkstücks - Allgemeine Funktionen des Dialogfelds "Scannen" - Meßpunkttyp

Meßpunkttyp

In der Liste Meßpunkttyp können Sie den Typ des aufzunehmenden Meßpunkts bestimmen. Wenn Sie Vektormeßpunkte aufnehmen möchten, wählen Sie "Vektor" in der Liste Meßpunkttyp. Oberflächen- oder Kantenmeßpunkte werden auf die gleiche Art ausgewählt. Wenn Oberflächen- oder Kantenmeßpunkte verwendet werden, müssen für Sonderparameter wie Stützpunkte, ständige Meßpunkte, Abstand, Tiefe und Einzug Werte eingegeben werden. Nicht alle Scans unterstützen alle vier Meßpunkttypen. Beispielsweise unterstützen Flächenscans nur Vektor- und Oberflächenmeßpunkte. Weitere Einzelheiten finden Sie unter dem jeweiligen Scantyp.


Scannen Ihres Werkstücks - Allgemeine Funktionen des Dialogfelds "Scannen" - Erstpunktvektoren

Erstpunktvektoren

Im Bereich Erstpunktvektoren werden die Vektoren angezeigt, die zum Starten bzw. Beenden eines Scans verwendet werden sollen. Einige der im folgenden aufgeführten Vektoren sind gegebenenfalls nicht in der Liste für einen bestimmten Scan enthalten. Das bedeutet, daß sie nicht in Verbindung mit dem betreffenden Scan verfügbar sind. Weitere Einzelheiten finden Sie unter dem jeweiligen Scantyp. Sie können jeden dieser Vektoren bearbeiten, indem Sie in der Spalte Vektor auf den Vektor doppelklicken, den Sie bearbeiten wollen.

Daraufhin wird das Dialogfeld Scanelement bearbeiten angezeigt.

In den einzelnen Feldern können Sie die Werte für I, J und K bearbeiten.

  1. Wenn Sie im Dialogfeld Scanelement bearbeiten auf OK klicken, werden die im Dialogfeld vorgenommenen Änderungen wirksam.
  2. Wenn Sie auf Abbrechen klicken, wird das Dialogfeld Scanelement bearbeiten geschlossen, alle vorgenommenen Änderungen werden verworfen.
  3. Wenn Sie auf die Schaltfläche Nächster klicken, können Sie die verfügbaren Vektoren in der Liste Erstpunktvektoren nacheinander durchsehen. Einige der Erstpunktvektoren können auch umgekehrt werden. In einem solchen Fall ist die Schaltfläche Umkehren im Dialogfeld Scanelement bearbeiten verfügbar.
  4. Durch Klicken auf die Schaltfläche Umkehren können Sie die Richtung des ausgewählten Vektors umkehren.

Siehe auch:

Grafische Darstellung von Vektoren

Erstpunktvektor (Anfangsvektor)

Schnittebenenvektor

Endpunktvektor (Endvektor)

Grenzebenenvektor (Ebenenvektor)

Oberflächenvektor

Ausgangsrichtungsvektor (Richtungsvektor)

Zeile "Vektor1"

Zeile "Vektor1"


Grafische Darstellung von Vektoren

Beim Einstellen der Start-, Richtungs- und Endpunkte eines Scans erhalten Sie in PC-DMIS eine grafische Darstellung des Erstpunktvektors, Richtungsvektors und des vertikal zur Grenzebene verlaufenden Vektors, bei dem der Scan anhält.

Diese Vektoren werden im Grafikfensterbereich für Ihr Werkstück als blaue, grüne und orange Pfeile dargestellt.

Farbige Pfeile, die Vektoren darstellen

Vektor | Grafische Darstellung
Erstpunkt | Blauer Pfeil
Richtung | Grüner Pfeil
Grenzebene | Oranger Pfeil


Erstpunktvektor (Anfangsvektor)

Die Werte, die in der Zeile Erstpunktvektor angezeigt werden, geben den Vektor an, den PC-DMIS als Startpunkt für den Scanvorgang verwendet.

So bearbeiten Sie den Erstpunktvektor I, J bzw. K:

  1. Doppelklicken Sie auf "Erstpunktvektor" in der Spalte "Vektor". Das Dialogfeld Scanelement bearbeiten wird angezeigt.
  2. Ändern Sie die Werte.
  3. Klicken Sie auf die Schaltfläche OK. Das Dialogfeld wird geschlossen.


Schnittebenenvektor

Schnittebenen werden intern für CNC-Scanberechnungen verwendet. Die Schnittebene wird vom Erstpunktvektor und vom Vektor zwischen den Anfangs- und Endpunkten für den CNC-Scan OFFENE_LINIEN abgeleitet. Weitere Einzelheiten dazu, wie der Schnittebenenvektor abgeleitet wird, finden Sie unter dem jeweiligen Scantyp.


Endpunktvektor (Endvektor)

Der Endpunktvektor ist der Antastvektor des Scans am Ende der Reihe. Er dient nur zum Anhalten des Scans oder (bei Flächenscans) zum Übergang in die nächste Reihe.


Grenzebenenvektor (Ebenenvektor)

Der Grenzebenenvektor und der Endpunktvektor werden in Verbindung mit einer bestimmten Grenzbedingung eingesetzt, um den Scan anzuhalten. Der Grenzebenenvektor hat, je nach gewählter Grenzbedingung, unterschiedliche Einsatzzwecke:

Ebene

Im Verbund mit der Grenzbedingung Ebene stellt er den vertikalen Vektor der Ebene dar.

Kugel

Wird nicht in Verbindung mit der Grenzbedingung Kugel eingesetzt.

Zylinder

Im Verbund mit der Grenzbedingung Zylinder stellt er die Zylinderachse dar.

Kegel

In Verbindung mit der Grenzbedingung Kegel stellt er die Kegelachse dar.


Oberflächenvektor

Der Oberflächenvektor wird für Scans verwendet, die Kantenmeßpunkte einsetzen. Bei diesem Vektor handelt es sich um den Vektor der ersten, obersten Kantenoberfläche. Er dient als Startpunkt für den Scan.


Ausgangsrichtungsvektor (Richtungsvektor)

Der Ausgangsrichtungsvektor wird nur für manuelle Scans verwendet. Er stellt die Richtung dar, in der der Scan begonnen wird, und wird im Verbund mit dem Erstpunktvektor zur Ableitung des Schnittebenenvektors eingesetzt.


Zeile "Vektor1"

Diese Zeile gibt den vertikalen Oberflächenvektor der ersten für Winkelmeßpunkte ausgewählten Oberfläche an. Er wird bei "Offene Linien"- und "Geschlossene Linien"-Scans mit dem Meßpunkttyp "Winkelmeßpunkt" verwendet. Dies entspricht den Werten für den Oberfl. 1-Vektor auf der Registerkarte Winkelpunkt beim Erstellen automatischer Elemente. Siehe auch "Erstellen eines Auto-Winkelpunkts" im Abschnitt "Erstellen von automatischen Elementen".


Zeile "Vektor2"

Diese Zeile gibt den vertikalen Oberflächenvektor der zweiten für Winkelmeßpunkte ausgewählten Oberfläche an. Er wird bei "Offene Linien"- und "Geschlossene Linien"-Scans mit dem Meßpunkttyp "Winkelmeßpunkt" verwendet. Dies entspricht den Werten für den Oberfl. 2-Vektor auf der Registerkarte Winkelpunkt beim Erstellen automatischer Elemente. Siehe auch "Erstellen eines Auto-Winkelpunkts" im Abschnitt "Erstellen von automatischen Elementen".


Scannen Ihres Werkstücks - Allgemeine Funktionen des Dialogfelds "Scannen" - Optionen

Home Contents Previous Next

Optionen

Auto Move Inner Bound Show All Show Hits Single Point Mode Clear Plane ID Thickness Execute Mode Nominals Mode

Die folgenden Funktionen sind im Bereich Optionen des Dialogfelds zu finden. Optionen, die sich spezifisch auf einen Scan-Modus beziehen, sind entsprechend gekennzeichnet.

Siehe auch:

Nennwertmodus

Ausführmodus

Stärke

ID

Auto-Bewegung

Innen begrenzt

Sicherheitsebene

Einzelpunktmodus

Zeige Meßpunkte

Alles einblenden

Tasterkompensation

Messen


Nennwertmodus

Über die Listenauswahl Nennwerte können Sie bestimmen, auf welche Art und Weise die Nennwerte für die gemessenen Daten von PC-DMIS erfaßt werden. Auf diese Option kann auch direkt vom Bearbeitungsfenster aus zugegriffen werden. Gehen Sie einfach in die Befehlszeile und wechseln Sie vor Ausführung des Scans in den gewünschten Modus. Der Nennwertmodus kann zusammen mit dem unter Ausführmodus beschriebenen Modus "Neu lernen" eingesetzt werden.

Master-Scan

Wird MASTER aus der Nennwerteliste ausgewählt, betrachtet PC-DMIS die Meßdaten, die während des erstmaligen Scanvorgangs erfaßt ("erlernt") werden, als Nenndaten. Die weiteren Durchläufe dieses Scans werden mit diesen Meßdaten verglichen. Wenn MASTER in Zusammenhang mit einem CNC-Scan verwendet wird und der Nennwertmodus in der Liste Ausführen ausgewählt ist, führt PC-DMIS einen Stitch-Scan auf Basis der Meßdaten durch.

Nennwertsuche

Wird die Option NENNWERTSUCHE gewählt, durchstößt PC-DMIS das CAD-Modell, um die dem Meßpunkt am nächsten liegende Position auf einer CAD-Oberfläche zu finden. Die Nennwerte werden dann entsprechend der CAD-Oberfläche vorgefundenen Position eingestellt.

Hinweis: Für die Basis-Scantypen Kreis, Zylinder und Achse ist es nicht erforderlich, Nennwerte mit Hilfe von CAD-Daten zu suchen. PC-DMIS bezieht die Nennwerte aus den von Ihnen bereitgestellten Nenndaten, um den Basis-Scan auszuführen. Weitere Einzelheiten finden Sie unter Registerkarte "Nennwertmodus".

Wenn keine ordnungsgemäßen Nennwerte gefunden werden, fordert PC-DMIS Sie zunächst auf, eine neue Toleranz für die Nennwertsuche anzugeben

(siehe hierzu Toleranz für Nennwertsuche).

Sie können eine neue Toleranz eingeben und diese nur auf den aktuellen Scan oder aber auf das gesamte Werkstückprogramm anwenden.

  • Wenn Sie Ja wählen, wird der neue Toleranzwert für die Nennwertsuche verwendet.
  • Wenn Sie Nein wählen, verfährt PC-DMIS wie folgt:

Wenn auch nach der Eingabe neuer Toleranzen für keinen der Meßpunkte ordnungsgemäße Nennwerte gefunden werden können, wird PC-DMIS Sie fragen, ob die Meßpunkte gelöscht werden können.

  • Wenn die Antwort Ja lautet, werden die Meßpunkte gelöscht.
  • Wenn Sie Nein wählen, verbleiben die Meßpunkte im Scan.

Nennwerte

Ist in der Liste Nennwerte die Option NENNWERTE ausgewählt, verwendet PC-DMIS die gemessenen Daten als Nennwerte, die beim ersten Scanvorgang erfaßt werden. Mit dieser Option kann der Scan neu berechnet werden, ohne die Nennwerte neu berechnen zu müssen. Der wichtigste Unterschied zwischen NENNWERTE und MASTER ist, daß die Option NENNWERTE aus den Nennwertdaten eine Nennwertkurve konstruiert. PC-DMIS vergleicht dann vorangehende Scanvorgänge mit dieser Kurve (auf Basis des Werts im Feld Tol. für NWsuche).

Hinweis: Wenn Sie im Bearbeitungsfenster aus einem anderen Modus in den Modus NENNWERTE wechseln, wird die Nennwertkurve automatisch anhand der aktuellen theoretischen Daten erstellt. In Abhängigkeit von der Datenmenge kann dies einen gewissen Zeitaufwand bedeuten. Ist im Bearbeitungsfenster bereits NENNWERTE eingestellt, und Sie wechseln von dieser Option in einen anderen Modus, wird die Nennwertkurve gelöscht.


Ausführmodus

Über die Liste Ausführen können Sie bestimmen, wie PC-DMIS einen Scan ausführt, nachdem dieser erfaßt ("erlernt") worden ist. Der Ausführmodus kann auch vom Bearbeitungsfenster aus aufgerufen werden.

So rufen Sie diese Option aus dem Bearbeitungsfenster heraus auf:

  1. Setzen Sie den Cursor auf die Befehlszeile für den Scan.
  2. Drücken Sie die Tabulatortaste, um zur Befehlszeile "Ausführen" zu gelangen.
  3. Schalten Sie mit der Taste F7 zwischen den verfügbaren Modi hin und her.

Normaler Modus

Wird NORMAL gewählt, führt PC-DMIS den Scan auf "normale" Art und Weise durch. Es wird ein Meßpunkt aufgenommen, sobald der Taster das Werkstück berührt.

Beispiel: Wird ein CNC-Scan ausgeführt, nimmt PC-DMIS die Meßpunkte an jeder der erlernten Stellen im Stitch-Scanmodus auf und speichert die neu gemessenen Daten. Die angezeigten Nennwerte sind dieselben Werte wie die Werte bei der ersten Erfassung des Scans (beim "Lernen"). Sie können nicht mit einem anderen Nennwertmodus neu berechnet werden.

Modus "Neu lernen"

Wenn die Option NEULERNEN gewählt ist, führt PC-DMIS den Scan so aus, als würde dieser erlernt werden. Alle erlernten Meßdaten ersetzen die neu gemessenen Daten. Der Nennwert wird je nach Nennwertmodus neu berechnet (siehe auch Nennwertmodus).

Beispiel: Wenn ein CNC-Scan "neu erlernt" wird, berechnet PC-DMIS den Scan von Anfang an neu, anstatt Meßpunkte an den erlernten Stellen aufzunehmen (was im Modus NORMAL getan werden würde).

Gesteuerter Modus

Die Option GESTEUERT ist nur verfügbar, wenn analoge Tasterköpfe verwendet werden, die kontinuierlich scannen können. Wenn GESTEUERT gewählt ist, gestattet PC-DMIS der Steuereinheit, einen Scan zu "definieren". PC-DMIS erfaßt die Lage aller Meßpunkte vom Editor aus und gibt sie zum Scannen an die Steuereinheit weiter. Die Steuereinheit paßt den Pfad so an, daß der Taster alle Punkte durchläuft. Die Daten werden dann entsprechend dem angegebenen Inkrement reduziert, und alle alten Meßdaten werden durch die neuen Daten ersetzt.

Wenn diese Option aktiviert wird, nachdem der Scan offline erstellt wurde, werden die aus dem CAD-Modell ermittelten Lagen der Nennwerte jedes Mal zur Steuerung des KMGs verwendet.


Scannen Ihres Werkstücks - Optionen - Stärke

Stärke

Im Feld Stärke können Sie die Werkstückstärke festlegen. Dieser Wert wird vornehmlich für dünne Werkstücke (Kunststoff oder Blech) verwendet, wo die CAD-Daten nur eine Seite beschreiben. Bei dünnwandigen Werkstücken zeichnet der CAD-Techniker oft nur eine Seite des Werkstücks und gibt dann die Materialstärke an. PC-DMIS berücksichtigt diese Materialstärke automatisch bei Verwendung der CAD-Oberflächendaten.

So ändern Sie die aktuelle Stärke:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein. Positive und negative Werte sind zulässig.

Diese Stärke gilt entlang dem vertikalen Oberflächenvektor, wenn der NENNWSUCH-Modus aktiv ist und PC-DMIS die CAD-Oberflächen durchstößt, um die Nennwerte zu ermitteln, auch in Fällen, wo Kantenmeßpunkte verwendet werden.


Scannen Ihres Werkstücks - Optionen - ID

ID

Das Feld ID zeigt die ID des zu erstellenden Scans an.


Auto Bewegung

Mit dem Kontrollkästchen Auto Bew. (Auto Bewegung) können Sie für jeden Scan automatische Bewegungen einstellen. Nachdem Sie das Kontrollkästchen aktiviert haben, können Sie den Abstand für die Bewegung im Feld Auto Bew. eingeben.

OFFENE LINIE, GESCHLOSSENE LINIE, FLÄCHE, PROFILSCHNITT, UMFANG und BASIS-SCAN-ACHSE

Für diese Scantypen führt PC-DMIS folgende Schritte durch:

  • Es wird eine automatische Bewegung in dem vorgegebenen Abstand über dem Startpunkt generiert.
  • Der Scan wird ausgeführt.
  • Eine weitere automatische Bewegung in dem vorgegebenen Abstand wird über dem letzten Scanpunkt generiert.

BASIS-SCANS KREIS, ZYLINDER und MITTE

Für diese Scantypen führt PC-DMIS folgende Schritte durch:

  • Bevor der Scanvorgang beginnt, wird eine automatische Bewegung in dem vorgegebenen Abstand über dem Flächenmittelpunkt des Elements generiert.
  • Der Scan wird ausgeführt.
  • Nach Beenden des Scans wird eine weitere automatische Bewegung in dem vorgegebenen Abstand über dem Flächenmittelpunkt des Elements generiert.


Innen begrenzt

Mit dem Kontrollkästchen Innen Begrenzt können Sie bestimmen, ob PC-DMIS einen Umfang-Scan für den Innen- oder Außenumfang durchführen soll.

  • Aktivieren Sie das Kontrollkästchen, scannt PC-DMIS den Innenumfang.
  • Deaktivieren Sie das Kontrollkästchen, scannt PC-DMIS den Außenumfang.

Weitere Einzelheiten zu Innen- und Außenumfang-Scans finden Sie unter Durchführen eines fortgeschrittenen Umfang-Scans.


Sicherheitsebene

Über das Kontrollkästchen Sicherheitsebene wird eine SICHERHEITSEBENENBEWEGUNG eingefügt, d.h. ein vorbestimmter Abstand relativ zum aktuellen Koordinatensystem und zum Nullpunkt des Werkstücks, bevor der erste Meßpunkt aufgenommen wird. Nachdem der letzte Punkt im Scan gemessen worden ist, verbleibt der Taster auf der Meßtiefe, bis er den Befehl zum Messen des nächsten Elements erhält. Die Verwendung von Sicherheitsebenen reduziert die Programmierzeit, da weniger Zwischenbewegungen definiert werden müssen (Siehe auch "Parametereinstellungen: Registerkarte "Sicherheitsebene" im Abschnitt "Voreinstellungen".)


Einzelpunktmodus

Wenn das Kontrollkästchen Einzelpunktmodus aktiv ist, wird jeder Meßpunkt als einzelner, gemessener Punkt behandelt. Wenn diese Option aktiviert ist, macht PC-DMIS jeden Scanpunkt zu einem gemessenen Punkt und fügt ihn in das Werkstückprogramm ein. Diese Sequenz wird nach der Reduzierung des manuellen Scans durchgeführt. Bei einem Scan im CNC-Modus wird sie nach dem "Erlernen" des Scans durchgeführt.


Zeige Meßpunkte

PC-DMIS zeigt jeden Scan im Bearbeitungsfenster als einen Satz gemessener Punkte an, eingeklammert von einem Scan-Objekt und dem ENDEMESS-Objekt (das das Ende des gemessenen Elements angibt). Bei der Wahl dieser Option werden alle Meßpunkte im Bearbeitungsfenster angezeigt. Ist die Option nicht ausgewählt, werden die Meßpunkte nicht angezeigt.


Alles einblenden

Bei Auswahl dieser Option zeigt PC-DMIS alle Scan-Parameter im Bearbeitungsfenster an:

  • Schnittebenen
  • Begrenzungspunkte
  • Richtungsvektor I
  • Antastvektor

Ist diese Option nicht gewählt, werden nur die folgenden Datentypen im Bearbeitungsfenster angezeigt:

  • Inkremente
  • Methoden
  • Meßpunkttypen


Scannen Ihres Werkstücks - Optionen - Tasterkompensation

Tasterkompensation

Mit dem Kontrollkästchen Taster kompensation können Sie bestimmen, ob PC-DMIS die Tasterkompensation für diesen bestimmten Scan einschaltet.

In den meisten Fällen dürfte die Kompensation nicht durchgeführt werden müssen, da die NENNWERTSUCH-Funktion des Scans automatisch diese Funktion übernimmt. Falls jedoch kein CAD vorhanden ist und Sie ein Werkstück (über Reverse-Engineering) zurückführen möchten, sollten Sie dieses Kontrollkästchen markieren.


Scannen Ihres Werkstücks - Optionen - Messen

Messen

Wenn das Kontrollkästchen Messen aktiviert ist und die Schaltfläche Erzeugen gewählt wird, beginnt PC-DMIS sofort mit der Messung des Scans. Ist das Kontrollkästchen Messen nicht aktiviert, wenn die Schaltfläche Erzeugen gewählt wird, fügt PC-DMIS ein Scan-Objekt, das später gemessen werden kann, in das Bearbeitungsfenster ein. Auf diese Weise können Sie eine Reihe von Scans einrichten, die dann in das Bearbeitungsfenster eingefügt und später gemessen werden können.

Hinweis: Dieses Kontrollkästchen ist nur verfügbar, wenn PC-DMIS ONLINE ist.


CAD-Elemente

Use BestFit Only Selected Deselect All Depth Find Noms Tol Deselect Select

Im Bereich CAD-Element können Sie die CAD-Oberflächen- bzw. Drahtmodellelemente bestimmen, die bei der Suche nach Nennwerten verwendet werden sollen. In einigen Fällen könnte ein Scan über einer bestimmten Oberfläche beginnen und über viele weitere Oberflächen geführt werden, bevor er abgeschlossen ist. In solchen Fällen erkennt PC-DMIS nicht, welche CAD-Elemente bei der Suche nach Nennwerten verwendet werden sollen. Es muß daher jede Oberfläche im CAD-Modell durchsucht werden. Bei einem CAD-Modell mit vielen Oberflächen kann es einige Zeit dauern, bevor der Befehl NENNWERTE SUCHEN erfolgreich abgearbeitet wird.

Sie können eine solche Verzögerung wie folgt vermeiden:

  1. Kreuzen Sie das Kontrollkästchen Auswählen an.
  2. Klicken Sie auf die entsprechende Oberfläche. Wenn eine CAD-Oberfläche ausgewählt worden ist, wird sie im Grafikfenster hervorgehoben. In der Statusleiste wird die Anzahl der gewählten Oberflächen angezeigt.

Bei Auswahl der falschen Oberfläche klicken Sie ein zweites Mal auf diese Oberfläche. Dadurch wird die Auswahl aufgehoben. Mit jedem Klick auf die Schaltfläche Auswahl aufheben wird nacheinander die Auswahl einzelner Oberflächen in einer Gruppe hervorgehobener Oberflächen aufgehoben, bis keine mehr ausgewählt sind. Wenn Sie auf die Schaltfläche Ges. Auswahl aufheben klicken, wird die Auswahl aller markierten Oberflächen auf einmal aufgehoben.

Wenn das Kontrollkästchen Auswählen nicht aktiviert ist, betrachtet PC-DMIS alle Klicks auf der Oberfläche als Begrenzungspunkte.

Bei der Verwendung von CAD-Drahtmodelldaten sucht PC-DMIS jeweils paarweise nach den Drahtmodelldaten.

Beispiel: Für jede Oberfläche, über die der Scan geführt werden soll, müssen zwei vertikalzueinander verlaufende Kanten gewählt werden. Wenn der Scan also über drei Oberflächen geführt wird, müssen sechs Kanten (welche die drei Oberflächen repräsentieren) in der richtigen Reihenfolge gewählt werden. Die erste und die zweite Kante geben die erste Oberfläche an. Die dritte und die vierte Kante geben die zweite Oberfläche an. Die fünfte und sechste Kante geben die dritte Oberfläche an usw.

Siehe auch:

Auswählen

Tiefe

Auswahl aufheben

Ges. Auswahl aufheben

Kontrollkästchen "Vektor1"

Kontrollkästchen "Vektor2"

Toleranz für Nennwertsuche

Nur Ausgewählte

Verwende Best Fit


Scannen Ihres Werkstücks - CAD-Elemente - Auswählen

Auswählen

Über das Kontrollkästchen Auswählen können Sie die CAD-Oberflächen- bzw. Drahtmodellelemente bestimmen, die bei der Suche nach Nennwerten verwendet werden sollen.


Tiefe

Das Kontrollkästchen Tiefe kommt nur bei der Auswahl von Kurvenelementen zum Einsatz. Damit können Sie ein bestimmtes CAD-Kurvenelement als Tiefenelement ausweisen.

So arbeiten Sie mit dem Kontrollkästchen Tiefe:

  1. Wählen Sie zunächst alle anderen CAD-Elemente.
  2. Kreuzen Sie das Kontrollkästchen Tiefe an.
  3. Wählen Sie ein CAD-Element.

Die Tiefenkurve wird für die Funktionen der Nennwertsuche verwendet. Wenn PC-DMIS Nennwerte aus Kurvenelementen ermitteln muß, nimmt es den Vektor des CAD-Tiefenelements und überschneidet diesen mit dem Vektor der anderen CAD-Elemente, um eine Ebene zu bilden. Dann wird die Ebene durchstoßen, um den korrekten Nennwert zu ermitteln. Wenn viele CAD-Elemente ausgewählt sind, wird der nächstgelegene Durchstoßpunkt als Nominalpunkt verwendet.


Scannen Ihres Werkstücks - CAD-Elemente - Auswahl aufheben

Auswahl aufheben

Mit der Schaltfläche Auswahl aufheben wird ein hervorgehobenes CAD-Elemente nacheinander aus einer Gruppe von CAD-Elementen entfernt, die mit Hilfe des Kontrollkästchens Auswählen erstellt werden.


Ges. Auswahl aufheben

Bei Auswahl der Schaltfläche Ges. Auswahl aufheben wird die Auswahl aller mit Hilfe des Kontrollkästchens Auswählen markierten CAD-Elemente wieder rückgängig gemacht.


Kontrollkästchen "Vektor1"

Das Kontrollkästchen Vektor1 ist nur dann verfügbar, wenn aus der Liste Meßpunkt typ der Eintrag Winkel ausgewählt wurde und Sie Oberflächendaten verwenden. Damit können Sie CAD-Oberflächen für die Nennwertsuche in PC-DMIS auswählen. Sie können dieses Kästchen markieren und die CAD-Oberflächen aus dem Grafikfenster auswählen, die PC-DMIS bei der Suche nach dem Oberfl. 1-Vektor des Winkelmeßpunkts berücksichtigen soll.


Kontrollkästchen "Vektor2"

Das Kontrollkästchen Vektor2 ist nur dann verfügbar, wenn aus der Liste Meßpunkt typ der Eintrag Winkel ausgewählt wurde und Sie Oberflächendaten verwenden. Damit können Sie CAD-Oberflächen für die Nennwertsuche in PC-DMIS auswählen. Sie können dieses Kästchen markieren und die CAD-Oberflächen aus dem Grafikfenster auswählen, die PC-DMIS bei der Suche nach dem Oberfl. 2-Vektor des Winkelmeßpunkts berücksichtigen soll.


Toleranz für Nennwertsuche

Mit Hilfe des Felds Tol. für NWsuche können Sie einen neuen Toleranzwert für Nennwertsuchen eingeben, wenn bei Auswahl der Option Nennwerte suchen in der Auswahlliste Nennwerte keine ordnungsgemäßen Nennwerte gefunden wurden (siehe Nennwertmodus).

Geben Sie im Feld Tol. für NWsuche einen Toleranzwert ein, der mindestens den Radius des Tasters kompensiert. Wenn dieser Wert zu niedrig ist, zeigt PC-DMIS möglicherweise eine Fehlermeldung, daß das Werkstück bei der Berechnung des Scans nicht gefunden werden kann.


Nur Ausgewählte

Wenn Sie in Ihrem Werkstückprogramm einen Scan ausführen und nach den Nennwerten für die Meßpunkte des Scans suchen, aktivieren Sie das Kontrollkästchen Nur Ausgewählte, um PC-DMIS aufzufordern, nur die Nennwerte auf dem derzeit ausgewählten Satz von Oberflächen zu suchen.

Hinweis: Sind einige der von Ihnen ausgewählten Oberflächen bereits als Prioritätsoberflächen im Dialogfeld CAD- Elemente bearbeiten definiert, bewahrt PC-DMIS deren Priorität gegenüber anderen ausgewählten Oberflächen dieser Gruppe (siehe auch "Bearbeiten von CAD" im Abschnitt "Bearbeiten der CAD-Anzeige").


Verwende Best Fit

Durch Aktivieren des Kontrollkästchens Verwende Best Fit wird PC-DMIS angewiesen, das Besteinpassungsverfahren zu verwenden, wenn nach der Methode NENNWERTSUCHE aus der Nennwerteliste vorgegangen wird (siehe Nennwertmodus).


Einzelpunkte

Über die Schaltfläche Einzelpunkte wird ein Verfahren aufgerufen, mit dem die einzelnen Punkte, aus denen der gescannte Satz besteht, nach der Ausführung in Einzelpunkte umgewandelt werden können. Der gescannte Satz wird anschließend gelöscht.

Beispiel:

  1. Setzen Sie Ihren Cursor im Bearbeitungsfenster auf einen Scan mit Meßpunktdaten.
  2. Drücken Sie F9. Das Dialogfeld Scannen wird eingeblendet.
  3. Wählen Sie die Schaltfläche Einzelpunkte.

PC-DMIS konvertiert alle Meßpunktdaten in Einzelpunkte und löscht den Scan aus dem Bearbeitungsfenster.

Hinweis: Dasselbe wird erreicht, wenn Sie das Kontrollkästchen Einzelpunkt ankreuzen, die Schaltfläche OK anklicken und den Scan aus dem Bearbeitungsfenster heraus ausführen. PC-DMIS führt den Scan aus und wandelt dann die Meßpunktdaten in Einzelpunkte um.


Nennwerte abrufen

Mit der Schaltfläche Nennwerte abrufen können Sie den Nennwert ermitteln, nachdem ein Scan erlernt oder ausgeführt worden ist. Sie können diese Option auch in der Scan-Befehlszeile des Bearbeitungsfensters aktivieren, indem Sie die Taste F9 drücken.

PC-DMIS sucht in den verfügbaren CAD-Daten nach den Nennwerten für den Scan.


Berechnen

Die Schaltfläche Berechnen ist nur bei CNC-Scans verfügbar, die CAD-Daten verwenden. Die Schaltfläche Berechnen ersetzt die frühere Funktionalität des Offline-Scannens, als der Scan den Taster auf dem Bildschirm animierte.

Wenn die Bereichsgrenze für einen Scan definiert worden ist, klicken Sie auf die Schaltfläche Berechnen. PC-DMIS blendet das Dialogfeld aus, und Sie können auf dem Bildschirm mitverfolgen, wie der Scan berechnet wird. Wenn der Scan abgeschlossen ist, zeigt PC-DMIS wieder das Dialogfeld an. Wird dann die Schaltfläche Erzeugen betätigt, wird ein Scan mit nominellen Meßpunktdaten in das Werkstückprogramm eingefügt.

Zur Erzeugung von Nennwertdaten für Scans und bei der Suche nach Nennwerten für einen erlernten Scan verwendet PC-DMIS stets den Wert, der unter Tol. für NWsuche im Dialogfeld Setup-Optionen des Registers Allgemein angegeben wurde.


Scannen Ihres Werkstücks - Allgemeine Funktionen des Dialogfelds "Scannen" - Rückgängig

Rückgängig

Die Schaltfläche Rückgängig ist nur bei CNC-Scans verfügbar, die Oberflächendaten verwenden. Mit dieser Schaltfläche können Sie die über die Schaltfläche Berechnen generierten Meßpunkte wieder löschen (siehe Berechnen).


Paßpunkte

Über die Schaltfläche Paßpunkte können Sie dem Scan Paßpunkte hinzufügen. Paßpunkte unterbrechen die normalen Scan-Funktionen und ermöglichen die Festlegung bestimmter Punkte auf dem Scan, an denen die Scangeschwindigkeit, Punktdichte oder beides geändert wird. Um gute Scans zu erzielen, sind oft verschiedene Scangeschwindigkeiten/und oder Punktdichten für einzelne Scan-Abschnitte erforderlich.

Bei folgenden Scantypen besteht nun die Möglichkeit, Paßpunkte hinzuzufügen:

  • Offene Linie
  • Geschlossene Linie
  • Fläche
  • Profilschnitt
  • Linie (Basis-Scan)

Hinweis: Paßpunkte funktionieren nur auf Geräten, die einen analogen Tastkopf für kontinuierliches Scannen verwenden.

Siehe auch:

Paßpunkttypen

Hinzufügen und verwenden von Paßpunkten

Scannen nach dem Hinzufügen von Paßpunkten

Nullfilter


Paßpunkttypen

Es gibt vier verschiedene Arten von Paßpunkten (diese sind den entsprechenden Arten von Halte-Begrenzungspunkten sehr ähnlich):

  1. Ebene
    EBENE, X, Y, Z, I, J, K, Anzahl der Überschreitungen, Scangeschwindigkeit, Punktdichte
  2. Kugel
    KUGEL, X, Y, Z, I, J, K, Anzahl der Überschreitungen, Scangeschwindigkeit, Punktdichte, Durchmesser
  3. Kegel
    KEGEL, X, Y, Z, I, J, K, Anzahl der Überschreitungen, Scangeschwindigkeit, Punktdichte, Winkel
  4. Zylinder
    ZYLINDER, X, Y, Z, I, J, K, Anzahl der Überschreitungen, Scangeschwindigkeit, Punktdichte, Durchmesser

Anzahl der Überschreitungen: Gibt an, wie oft der Taster die Bereichsgrenze der Haltepunkte überschreiten muß, bevor die angegebenen Parameter angepaßt werden.

Beispiel: Bei einer Kugel würde eine einmalige Überschreitung eine Änderung der Parameter bewirken, wenn die Kugeloberfläche beim Eindringen des Tasters in die Kugel überquert wurde. Zwei Überschreitungen würden erst dann eine Änderung der Parameter auslösen, wenn die Kugeloberfläche beim Herausbewegen des Tasters erneut überquert wird.

Scangeschwindigkeit: Die Geschwindigkeit, mit der sich die scannende Maschine auf der Werkstückoberfläche entlang bewegt.

Punktdichte: Die Dichte der Punkte, die beim kontinuierlichen Scannen in die Scandaten eingelesen werden. Die Dichte wird als Anzahl der Punkte/mm angegeben.

Durchmesser: Durchmesser der Kugel oder des Zylinders, durch den der Haltepunkt dargestellt wird.

Winkel: Der Winkel, der den Bereich des Haltepunkts Kegel beschreibt.


Hinzufügen und Verwenden von Paßpunkten

  1. Öffnen Sie das Dialogfeld Scannen.
  2. Definieren Sie den Scan. Je nach Art des durchgeführten Scans wird die Mindestanzahl der Begrenzungspunkte bei folgenden Scantypen automatisch definiert:

    Ebene
    Kugel
    Kegel
    Zylinder

    Nun wird die Schaltfläche Paßpunkte zur Auswahl verfügbar.
  3. Klicken Sie auf die Schaltfläche Paßpunkte. Das Dialogfeld Paßpunkte wird angezeigt. Die Optionen in diesem Dialogfeld stehen nur dann zur Verfügung, wenn Sie einen Paßpunkt anhand einer der im nächsten Schritt beschriebenen Methoden hinzugefügt haben.
  4. Positionen für Haltepunkte können anhand einer der folgenden drei Methoden hinzugefügt werden:
  • Methode 1: Eingabe der Punktpositionen. Klicken Sie auf die Schaltfläche Hinzufügen und geben Sie dann die erforderlichen Werte für jeden Punkt ein.
  • Methode 2: Berühren Sie mit der Maschine die Stellen auf dem Werkstück, an denen Paßpunkte hinzugefügt werden sollen. PC-DMIS zeigt die Informationen im Dialogfeld Paßpunkte an.
  • Methode 3: Geben Sie die Positionen über das CAD-Bild auf dem Bildschirm an. Klicken Sie im Grafikfenster mit der linken Maustaste auf die Positionen, an denen die Paßpunkte eingefügt werden sollen. PC-DMIS zeigt die Informationen im Dialogfeld Paßpunkte an.

Bei Methode 2 und 3 rastet PC-DMIS die ausgewählten Punkte bei allen Arten von Scans außer Flächenscan automatisch auf die Schnittebene des Scans ein.

  5. Führen Sie die im Schritt 4 beschriebenen Methoden so oft durch, bis alle gewünschten Paßpunkte definiert sind.
  6. Nachdem Sie alle Paßpunkte definiert haben, klicken Sie auf OK. Das Dialogfeld Paßpunkte wird geschlossen, und es erscheint wieder das Dialogfeld Scannen.
  7. Wenn Sie Paßpunkte bearbeiten, löschen oder neue hinzufügen möchten, können Sie jederzeit auf die Schaltfläche Paßpunkte klicken, um das Dialogfeld Paßpunkte erneut anzuzeigen.


Scannen nach dem Hinzufügen von Paßpunkten

Nachdem alle gewünschten Paßpunkte definiert wurden, können Sie jetzt den Scan erstellen.

Klicken Sie einfach auf die Schaltfläche Erzeugen, um fortzufahren.

  1. Der Scan wird mit der global festgelegten Scangeschwindigkeit und Punktdichte ausgeführt.
  2. Während der Scan entlang des Pfads verläuft und es innerhalb der durch die Paßpunkte festgelegten Parameter zu Überschreitungen kommt, ändert sich das Scanverhalten auf die durch die Paßpunkte definierte Weise.
  3. Wenn der Scan abgeschlossen ist, werden die Scangeschwindigkeit und die Scandichte wieder auf die global geltenden Werte zurückgesetzt.


Nullfilter

Bei Anwendung der Scanmethode Nullfilter werden die Daten nicht gefiltert. Die Daten, die PC-DMIS von der Steuereinheit der Maschine erhält, werden direkt an Sie weitergeleitet. Auch wenn die Tasterkompensation und Nennwertsuche weiterhin angewendet werden, findet keine Datenreduzierung statt.

Hinweis: Die Scanmethode Nullfilter steht nur dann in der Liste Richtung 1 als Option zur Verfügung, wenn ein analoger Taster (z.B. SP600) definiert ist.


Einstellungen

Die Schaltfläche Einstellungen ist nur bei Scans mit einem analogen Tastkopf verfügbar. Über diese Schaltfläche wird das Dialogfeld Parameter aufgerufen, mit der Registerkarte Bewegung oder Analoge Taster im Vordergrund.

Anhand dieser Registerkarten können Sie bestimmte Scanparameter ändern, wie beispielsweise die Scanpunktdichte, ohne das Dialogfeld Scannen schließen zu müssen. Wenn Sie ein Scan-Inkrement angeben, das kleiner ist als die in der INI-Datei festgelegte Punktdichte, teilt PC-DMIS in einer Warnmeldung mit, daß das Scan-Inkrement unter der für Scans zulässigen Punktdichte liegt. Sie werden dazu aufgefordert, die Inkrementeinstellungen im Dialogfeld zu überprüfen.

Sie können dann die Schaltfläche Einstellungen anklicken und den Wert für die Scanpunktdichte wie erforderlich abändern.

Bei Scans im Modus GESTEUERT (siehe Ausführmodus) hat die Scangeschwindigkeit einen entscheidenden Einfluß darauf, ob die Daten in den von Ihnen festgelegten Inkrementen zurückgemeldet werden. Wenn Sie eine sehr hohe Scangeschwindigkeit angeben, wird das KMG den Scan u.U. mit der angegebenen Geschwindigkeit ausführen, aber die vom KMG zurückgemeldeten Daten können evtl. nicht in den von Ihnen festgelegten Inkrementen angeordnet werden.

Beispiel: Angenommen, das KMG erfaßt Daten im Modus GESTEUERT mit einer Geschwindigkeit von einem Meßpunkt/20 Millisekunden. Wenn Sie als Inkrement (Mindestabstand zwischen Meßpunkten) 0,5 mm und als Scangeschwindigkeit 75 mm/s festlegen, würde das KMG alle 1,5 mm Punkte zurückmelden. Um dies zu vermeiden, könnten Sie die Scangeschwindigkeit auf 15 mm/s oder 20 mm/s reduzieren, was Ihren Anforderungen mit einer Übertragungsrate von 1 Meßpunkt/20 ms entsprechen würde.

PC-DMIS teilt Ihnen in solchen Fällen in einer entsprechenden Warnmeldung mit, daß das angegebene Inkrement nicht mit der vorgegebenen Scangeschwindigkeit gemessen werden konnte. Sie müssen dann entweder die Scangeschwindigkeit reduzieren oder das Inkrement erhöhen.

Sie können dazu die Einstellung Scangeschwindigkeit wählen und auf einen angemessenen Wert ändern.


Durchführen eines fortgeschrittenen Scans für eine offene Linie

UV UV Rotary Control Points Help Settings Close Create Undo Generate Get Nominals To Points CAD Elements Options Initial Vectors Hit Type Boundary Points Perimeter Section Patch Linear Close Direction 1 Technique

Display Menu Roadmap
Bei Auswahl der Methode Offene Linie wird die Oberfläche entlang einer Linie gescannt. Bei diesem Verfahren werden der Anfangs- und Endpunkt für die Linie sowie ein Richtungspunkt zur Berechnung der Schnittebene verwendet. Der Taster verbleibt während der Ausführung des Scans stets in der Schnittebene. Für die Einstellung der Richtung bei Scans des Typs OFFENE LINIE stehen drei verschiedene Typen zur Auswahl, die unter Methode "Richtung 1" erläutert werden.

Siehe auch:

So erstellen Sie einen Scan für eine offene Linie

Methode "Richtung 1"

Begrenzungspunkte

Meßpunkttyp

Erstpunktvektoren


So erstellen Sie einen Scan für eine offene Linie

  1. Stellen Sie sicher, daß Sie den TTP oder analogen Taster aktiviert haben.
  2. Versetzen Sie PC-DMIS in den CNC-Modus.

Display Menu Roadmap
Wählen Sie im Untermenü die Option Offene Linie. Das Dialogfeld Scannen wird angezeigt, und die Registerkarte OFFENE LINIE ist bereits ausgewählt.

  4. Wählen Sie aus der Liste Richtung 1 den richtigen Typ für OFFENE LINIE aus.
  5. In Abhängigkeit des Scantyps für OFFENE LINIE geben Sie die entsprechenden Werte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Winkel und Min. Winkel ein.
  6. Wenn der Scanvorgang mehrere Oberflächen umfaßt, wählen Sie die Oberflächen wie unter CAD-Elemente beschrieben aus.
  7. Fügen Sie dem Scanvorgang den 1-Punkt (Startpunkt), den R-Punkt (Scanrichtung) und den 2-Punkt (Endpunkt) hinzu, indem Sie die entsprechenden Anweisungen unter Begrenzungspunkte befolgen.
  8. Wählen Sie aus der Liste Meßpunkt typ den passenden Meßpunkttyp aus.
  9. Nehmen Sie in der Liste Erstpunktvektoren die erforderlichen Einstellungen für die Vektoren vor. Doppelklicken Sie hierfür auf den Vektor und nehmen Sie die Änderungen im Dialogfeld Scanelement bearbeiten vor. Klicken Sie auf OK, um zum Dialogfeld Scannen zurückzukehren.
  10. Wählen Sie den erforderlichen Nennwertmodus aus der Liste Nennwerte aus.
  11. Geben Sie im Feld Tol. für NWsuche einen Toleranzwert ein, der mindestens den Radius des Tasters kompensieren sollte.
  12. Wählen Sie den erforderlichen Ausführmodus aus der Liste Ausführen aus.
  13. Bei einem dünnen Werkstück geben Sie dessen Stärke im Feld Stärke ein.
  14. Geben Sie den Namen des Scans im Feld ID ein.
  15. Aktivieren Sie gegebenenfalls eines oder mehrere der nachfolgenden Kontrollkästchen: Auto Bew., Innen begrenzt, Sicherheitsebene, Einzelpunktmodus, Meßpunkte einblenden, Alles einblenden und Messen.
  16. Wenn Sie einen analogen Taster verwenden, sollten Sie die Option Paßpunkte nutzen, um Ihren Scan optimal durchzuführen.
  17. Klicken Sie auf Berechnen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. Wenn Sie den Scan berechnen lassen, beginnt PC-DMIS den Scanvorgang am Startpunkt und folgt der vorgegebenen Richtung, bis der Endpunkt erreicht wird.
  18. Nehmen Sie bei Bedarf weitere Änderungen an Ihrem Scan vor.
  19. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine offene Linie - Methode "Richtung 1"

Methode "Richtung 1"

In der Liste Richtung 1 stehen diese Scanmethoden für OFFENE LINIE zur Auswahl. Wählen Sie die gewünschte Methode, und PC-DMIS zeigt automatisch die erforderlichen Felder für die Einstellungen an.

Siehe auch:

Linienmethode für Offene Linie

Achsenmethode für Offene Linie

Variablenmethode für Offene Linie

NULLFILTER-Methode für Offene Linie

Felder "Max / Min" für Offene Linie


Linienmethode für Offene Linie

PC-DMIS bestimmt jeden Meßpunkt auf Basis des eingestellten Inkrements und der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster verbleibt auf der Schnittebene. PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Meßpunkte auf, bis der Endpunkt erreicht wird.


Achsenmethode für Offene Linie

PC-DMIS nimmt in den eingestellen Schrittweiten Meßpunkte im Koordinatensystem des aktuellen Werkstücks auf. Der Vorlauf des Tasters verläuft senkrecht zur angegebenen Achse. Der Taster verbleibt auf der Schnittebene. Der Antastvektor verläuft auf der Schnittebene, vertikal zur ausgewählten Achse. Die Methode HAUPTACHSE verwendet denselben Ansatz zur Aufnahme jedes Meßpunkts (im Gegensatz zur LINIENmethode, die den Vorlauf vertikal zur Linie zwischen den beiden letzten Meßpunkten ansetzt).


Variablenmethode für Offene Linie

Bei der Methode VARIABLE können Sie bestimmte Maximal- und Mindestwinkel sowie Inkrementwerte einstellen, die dazu dienen, die Stellen, an denen PC-DMIS einen Meßpunkt aufnimmt, zu bestimmen. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten.

Geben Sie die Maximal- und Mindestwerte ein, die zur Festlegung der Inkremente zwischen den Meßpunkten verwendet werden sollen. Sie müssen auch die gewünschten Werte für die Winkel (MAX und MIN) eingeben. PC-DMIS nimmt auf Basis des Mindestinkrements drei Meßpunkte auf. Dann mißt es den Winkel zwischen Meßpunkten 1-2 und 2-3.

  • Wenn der gemessene Winkel zwischen den definierten Maximal- und Minimalwerten liegt, nimmt PC-DMIS weitere Meßpunkte im aktuellen Inkrement auf.
  • Ist der Winkel größer als der Höchstwert, löscht PC-DMIS den letzten Meßpunkt und mißt ihn von neuem, wobei ein Viertel des aktuellen Inkrementwerts zugrundegelegt wird.
  • Ist der Winkel kleiner als das Mindestinkrement, nimmt PC-DMIS den Meßpunkt mit dem Wert des Mindestinkrements auf.

PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Es löscht so lange den letzten Meßpunkt und verringert den Inkrementwert auf ein Viertel des Inkrements, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Mindestwert des Inkrements erreicht ist.

Ist der gemessene Winkel kleiner als der Mindestwinkel, verdoppelt PC-DMIS das Inkrement für den nächsten Meßpunkt. (Ist er größer als der Maximalwert für das Inkrement, nimmt es den Meßpunkt mit dem Maximalinkrement auf.) PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Diese Verdoppelung des Inkrementwerts wird so lange wiederholt, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Maximalwert des Inkrements erreicht ist.

Wenn WINKEL > MAX WINKEL, dann INKR = INKR / 4 bis MIN INKR
Wenn WINKEL < MIN WINKEL, dann INKR = INKR · 2 bis MAX INKR


NULLFILTER-Methode für Offene Linie

Mit der NULLFILTER-Methode können Sie den Inkrementwert der Meßpunkte mit Hilfe des Befehls OPTIONSTASTER steuern, der die Punktinkremente während des Scans einstellt. Siehe auch "Parametereinstellungen: Registerkarte "Analoger Taster"" im Abschnitt "Systemoptionen".

PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Meßpunkte auf, bis der letzte Begrenzungspunkt erreicht wird.

HINWEIS: Die NULLFILTER-Methode steht nur dann in der Liste Richtung 1 zur Verfügung, wenn ein analoger Tasterkopf (wie beispielsweise der SP600) definiert ist.


Felder "Max / Min" für Offene Linie

Die nachfolgend beschriebenen Felder "Max / Min Inkrement" und "Max / Min Winkel" sind verfügbar, wenn die VARIABLEN-Methode verwendet wird (siehe auch Variablenmethode für Offene Linie). Nur das Feld Max. Inkr. ist bei allen Scanmethoden verfügbar.

Max. Inkrement

Im Feld Max. Inkr. können Sie den maximalen Inkrementabstand festlegen. Die Inkremente können bei der Variablenmethode zwar größer werden, aber sie sind niemals größer als der hier eingegebene Abstand.

Min. Inkr.

Im Feld Min. Inkr. können Sie den minimalen Inkrementabstand festlegen. Die Inkremente können bei der Variablenmethode zwar kleiner werden, aber sie sind niemals kleiner als der hier eingegebene Abstand.

Max. Winkel

Im Feld Max. Winkel können Sie den maximalen Winkel festlegen. Die gemessenen Winkel können bei der Variablenmethode zwar größer werden, aber sie sind niemals größer als der hier eingegebene Wert.

Min. Winkel

Im Feld Min. Winkel können Sie den Mindestwinkel festlegen. Die gemessenen Winkel können bei der Variablenmethode zwar kleiner werden, aber sie sind niemals kleiner als der hier eingegebene Wert.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine offene Linie - Begrenzungspunkte

Begrenzungspunkte

OFFENE_LINIE-Scans können auch ohne einen Endpunkt gemessen werden. Wenn Sie den Endpunkt löschen, mißt PC-DMIS den Scan so lange weiter, bis Sie ihn manuell stoppen. Der Startpunkt und der Richtungspunkt können jedoch nicht gelöscht werden.

Näheres finden Sie unter Begrenzungspunkte.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine offene Linie - Meßpunkttyp

Meßpunkttyp

Die verfügbaren Meßpunkttypen sind:

  • VEKTOR
  • OBERFLÄCHE
  • KANTE
  • WINKEL

Es wird immer ein Stitch-Scan durchgeführt, unabhängig vom Typ des verwendeten Tastkopfes. Wenn Kantenmeßpunkte verwendet werden und CAD-Daten verfügbar sind, läßt PC-DMIS auch die Eingabe einer Kantenstärke für die Nennwerte zu. Diese Stärke wird bei der Ermittlung der Nennwerte für den Scan vertikal zum Kanten-Antastvektor angewandt. (Im Gegensatz zur regulären Stärke, die entlang der Oberflächennormalen gilt.)

Siehe auch:

Anfangsmeßpunkt für Offene Linie

Ständige Meßpunkte für Offene Linie

Abstand für Offene Linie

Tiefe für Offene Linie

Einzug für Offene Linie

Einzug1 für Offene Linie

Einzug2 für Offene Linie

Bündigkeit für Offene Linie


Anfangsmeßpunkt für Offene Linie

Im Feld Anfangs können Sie festlegen, wie viele Stützpunkte aufgenommen werden sollen, bevor jeder tatsächliche Punkt gemessen wird. Diese Stützpunkte werden nur aufgenommen, wenn der Scan zum ersten Mal ausgeführt wird. Diese Option ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option OBERFLÄCHE oder KANTE ausgewählt ist.


Ständige Meßpunkte für Offene Linie

Im Feld Ständig können Sie festlegen, wie viele Stützpunkte aufgenommen werden sollen, bevor jeder tatsächliche Punkt gemessen wird. Diese Stützpunkte werden jedes Mal aufgenommen, wenn der Scan ausgeführt wird. Diese Option ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option OBERFLÄCHE, KANTE oder WINKEL ausgewählt ist.


Abstand für Offene Linie

Im Feld Abstand können Sie den Abstand zwischen den Stützpunkten festlegen. Dieses Feld ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option OBERFLÄCHE, KANTE oder WINKEL ausgewählt ist.


Tiefe für Offene Linie

Im Feld Tiefe können Sie bestimmen, in welcher Tiefe von der Kante die Stützpunkte aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option KANTE ausgewählt ist.


Einzug für Offene Linie

Im Feld Einzug können Sie bestimmen, in welchem Abstand von der Kante ("Einzug") die Stützpunkte auf der Oberfläche aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option KANTE ausgewählt ist.


Einzug1 für Offene Linie

Im Feld Einzug1 können Sie bestimmen, in welchem Abstand von der Kante ("Einzug") die Stützpunkte auf der Oberfläche aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option WINKEL ausgewählt ist.


Einzug2 für Offene Linie

Im Feld Einzug2 können Sie bestimmen, in welchem Abstand von der Kante ("Einzug") die Stützpunkte auf der Oberfläche aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option WINKEL ausgewählt ist.


Bündigkeit für Offene Linie

Im Feld Bund können Sie eine Kantenstärke für die Nennwerte festlegen, wenn Kantenmeßpunkte verwendet werden und CAD-Daten verfügbar sind. Diese Stärke wird bei der Ermittlung der Nennwerte für den Scan vertikal zum Kanten-Antastvektor angewandt. (Im Unterschied zur regulären Stärke, die entlang der Oberflächennormalen gilt.)


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine offene Linie - Erstpunktvektoren

Ausgangsvektoren

Zu den verwendeten Vektoren gehören:

  • Schnittebenenvektor
  • Erstpunktvektor (Ausgangsvektor)
  • Grenzebenenvektor (Ebenenvektor)
  • Endpunktvektor (Endvektor)

Weitere Einzelheiten finden Sie unter Erstpunktvektoren im Abschnitt "Gemeinsame Funktionen der Scan-Dialogfelder".

Wenn der verwendete Meßpunkttyp "Kante" ist, wird der Schnittebenenvektor durch den Oberflächenvektor ersetzt.

Hinweis: Der Schnittebenenvektor ist das Produkt aus dem Erstpunktvektor und der Linie zwischen dem Anfangs- und dem Endpunkt. Ist kein Endpunkt vorhanden, wird die Linie zwischen dem Startpunkt und dem Richtungspunkt verwendet.


Durchführen eines fortgeschrittenen Scans für eine geschlossene Linie

UV UV Rotary Help Settings Close Create Undo Generate Control Points Get Nominals To Points CAD Elements Options Initial Vectors Hit Type Boundary Points Perimeter Section Patch Direction 1 Technique Linear Open

Display Menu Roadmap
Mit der Methode Geschlossene Linie wird die Oberfläche ab dem vorgegebenen STARTPUNKT gescannt und am selben Punkt wieder beendet. Für dieses Verfahren müssen die Lage des Startpunkts und des Richtungspunkts definiert sein. Der Inkrementalwert für die Aufnahme von Meßpunkten wird benutzerseitig festgelegt.

PC-DMIS scannt die Oberfläche wie im folgenden definiert.

Siehe auch:

So erstellen Sie einen Scan für eine geschlossene Linie

Methode "Richtung 1"

Begrenzungspunkte

Meßpunkttyp

Erstpunktvektoren


So erstellen Sie einen Scan des Typs "Geschlossene Linie"

  1. Stellen Sie sicher, daß Sie den TTP oder analogen Taster aktiviert haben.
  2. Versetzen Sie PC-DMIS in den CNC-Modus.
  3. Wählen Sie im Untermenü die Option Geschlossene Linie. Das Dialogfeld Scannen wird angezeigt und die Registerkarte GESCHLOSSENE LINIE ist bereits ausgewählt.

Display Menu Roadmap
Wählen Sie aus der Liste Richtung 1 den richtigen Typ für "GESCHLOSSENE LINIE" aus.

  5. In Abhängigkeit des Scantyps für GESCHLOSSENE LINIE geben Sie die entsprechenden Werte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Winkel und Min. Winkel ein.
  6. Wenn der Scanvorgang mehrere Oberflächen umfaßt, wählen Sie die Oberflächen wie unter CAD-Elemente beschrieben aus.
  7. Fügen Sie dem Scanvorgang den 1-Punkt (Startpunkt), den R-Punkt (Scanrichtung) hinzu, indem Sie die entsprechenden Anweisungen unter Begrenzungspunkte befolgen.
  8. Wählen Sie aus der Liste Meßpunkt typ den passenden Meßpunkttyp aus.
  9. Nehmen Sie in der Liste Ausgangsvektoren die erforderlichen Einstellungen für die Vektoren vor. Doppelklicken Sie hierfür auf den Vektor und nehmen Sie die Änderungen im Dialogfeld Scanelement bearbeiten vor. Klicken Sie auf OK, um zum Dialogfeld Scannen zurückzukehren.
  10. Wählen Sie den erforderlichen Nennwertmodus aus der Liste Nennwerte aus.
  11. Geben Sie im Feld Tol. für NWsuche einen Toleranzwert ein, der mindestens den Radius des Tasters kompensieren sollte.
  12. Wählen Sie den erforderlichen Ausführmodus aus der Liste Ausführen aus.
  13. Bei einem dünnen Werkstück geben Sie dessen Stärke im Feld Stärke ein.
  14. Geben Sie den Namen des Scans im Feld ID ein.
  15. Aktivieren Sie gegebenenfalls eines oder mehrere der nachfolgenden Kontrollkästchen: Auto Bew., Innen begrenzt, Sicherheitsebene, Einzelpunktmodus, Meßpunkte einblenden, Alles einblenden und Messen.
  16. Wenn Sie einen analogen Taster verwenden, sollten Sie die Option Paßpunkte nutzen, um Ihren Scan optimal durchzuführen.
  17. Klicken Sie auf Berechnen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. PC-DMIS startet den Scan am Startpunkt und folgt der vorgegebenen Richtung um das Werkstück herum, bis wieder der Startpunkt erreicht wird.
  18. Nehmen Sie bei Bedarf weitere Änderungen an Ihrem Scan vor.
  19. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine geschlossene Linie - Richtung 1

Methode "Richtung 1"

In dieser Auswahlliste stehen die beiden Scanmethoden für GESCHLOSSENE_LINIE zur Auswahl:

  • LINIE
  • VARIABLE

Wählen Sie die gewünschte Methode. PC-DMIS zeigt automatisch die erforderlichen Felder für die Einstellungen an.

Siehe auch:

Linienmethode für Geschlossene Linie

Variablenmethode für Geschlossene Linie

NULLFILTER-Methode für Geschlossene Linie

Felder "Max / Min" für Geschlossene Linie


Linienmethode für Geschlossene Linie

PC-DMIS bestimmt jeden Meßpunkt auf der Basis der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster verbleibt auf der Schnittebene. Bei dieser Scanmethode fordert PC-DMIS Sie nicht zur Eingabe eines Endpunkts auf. Der Scan wird beendet, wenn der Taster wieder den Startpunkt erreicht hat.


Variablenmethode für Geschlossene Linie

Bei der Methode VARIABLE können Sie bestimmte Maximal- und Mindestwinkel sowie Inkrementwerte einstellen, die dazu dienen, die Stellen, an denen PC-DMIS einen Meßpunkt aufnimmt, zu bestimmen. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten.

Geben Sie die Maximal- und Mindestwerte ein, die zur Festlegung der Inkremente zwischen den Meßpunkten verwendet werden sollen. Sie müssen auch die gewünschten Werte für die Winkel (MAX und MIN) eingeben. PC-DMIS nimmt auf Basis des Mindestinkrements drei Meßpunkte auf. Dann mißt es den Winkel zwischen Meßpunkten 1-2 und 2-3.

  • Wenn der gemessene Winkel zwischen den definierten Maximal- und Minimalwerten liegt, nimmt PC-DMIS weitere Meßpunkte im aktuellen Inkrement auf.
  • Ist der Winkel größer als der Höchstwert, löscht PC-DMIS den letzten Meßpunkt und mißt ihn von neuem, wobei ein Viertel des aktuellen Inkrementwerts zugrundegelegt wird.
  • Ist der gemessene Winkel kleiner als das Mindestinkrement, nimmt PC-DMIS den Meßpunkt mit dem Wert des Mindestinkrements auf.

PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Es löscht so lange den letzten Meßpunkt und verringert den Inkrementwert auf ein Viertel des Inkrements, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Mindestwert des Inkrements erreicht ist.

  • Ist der gemessene Winkel kleiner als der Mindestwinkel, verdoppelt PC-DMIS das Inkrement für den nächsten Meßpunkt.
  • Ist der gemessene Winkel größer als der Maximalwert für das Inkrement, nimmt es den Meßpunkt mit dem Maximalinkrement auf.

PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Diese Verdoppelung des Inkrementwerts wird so lange wiederholt, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Maximalwert des Inkrements erreicht ist.

Wenn WINKEL > MAX WINKEL, dann INKR = INKR / 4 bis MIN INKR
Wenn WINKEL < MIN WINKEL, dann INKR = INKR · 2 bis MAX INKR


NULLFILTER-Methode für Geschlossene Linie

Hierbei handelt es sich um dieselbe Methode wie unter NULLFILTER-Methode für Offene Linie beschrieben.


Felder "Max / Min" für Geschlossene Linie

Die nachfolgend beschriebenen Felder "Max / Min Inkrement" und "Max / Min Winkel" sind verfügbar, wenn die VARIABLEN-Methode verwendet wird (siehe auch Variablenmethode für Geschlossene Linie). Nur das Feld Max. Inkr. ist bei allen Scanmethoden verfügbar.

Max. Inkrement

Im Feld Max. Inkr. können Sie den maximalen Inkrementabstand festlegen. Die Inkremente können bei der Variablenmethode zwar größer werden, aber sie sind niemals größer als der hier eingegebene Abstand.

Min. Inkr.

Im Feld Min. Inkr. können Sie den minimalen Inkrementabstand festlegen. Die Inkremente können bei der Variablenmethode zwar kleiner werden, aber sie sind niemals kleiner als der hier eingegebene Abstand.

Max. Winkel

Im Feld Max. Winkel können Sie den maximalen Winkel festlegen. Die gemessenen Winkel können bei der Variablenmethode zwar größer werden, aber sie sind niemals größer als der hier eingegebene Wert.

Min. Winkel

Im Feld Min. Winkel können Sie den Mindestwinkel festlegen. Die gemessenen Winkel können bei der Variablenmethode zwar kleiner werden, aber sie sind niemals kleiner als der hier eingegebene Wert.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine geschlossene Linie - Begrenzungspunkte

Begrenzungspunkte

Für GESCHLOSSENE_LINIE-Scans sind Anfangs- und Richtungspunkte erforderlich. Diese Punkte können weder gelöscht werden noch können weitere Begrenzungspunkte hinzugefügt werden.

Näheres finden Sie unter Begrenzungspunkte.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine geschlossene Linie - Meßpunkttyp

Meßpunkttyp

Die verfügbaren Meßpunkttypen sind:

  • VEKTOR
  • OBERFLÄCHE
  • KANTE
  • WINKEL

Es wird immer ein Stitch-Scan durchgeführt, unabhängig vom Typ des verwendeten Tastkopfes. Wenn Kantenmeßpunkte verwendet werden und CAD-Daten verfügbar sind, läßt PC-DMIS auch die Eingabe einer Kantenstärke für die Nennwerte zu. Diese Stärke wird bei der Ermittlung der Nennwerte für den Scan vertikal zum Kanten-Antastvektor angewandt. (Im Gegensatz zur regulären Stärke, die entlang der Oberflächennormalen gilt.)

Siehe auch:

Anfangsmeßpunkt für Geschlossene Linie

Ständige Meßpunkte für Geschlossene Linie

Abstand für Geschlossene Linie

Tiefe für Geschlossene Linie

Einzug für Geschlossene Linie

Einzug1 für Geschlossene Linie

Einzug2 für Geschlossene Linie

Bündigkeit für Geschlossene Linie


Anfangsmeßpunkte für Geschlossene Linie

Im Feld Anfangs können Sie festlegen, wie viele Stützpunkte aufgenommen werden sollen, bevor jeder tatsächliche Punkt gemessen wird. Diese Stützpunkte werden nur aufgenommen, wenn der Scan zum ersten Mal ausgeführt wird. Dieses Feld ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option "Oberfläche" oder "Kante" ausgewählt ist.


Ständige Meßpunkte für Geschlossene Linie

Im Feld Ständig können Sie festlegen, wie viele Stützpunkte aufgenommen werden sollen, bevor jeder tatsächliche Punkt gemessen wird. Diese Stützpunkte werden jedes Mal aufgenommen, wenn der Scan ausgeführt wird. Dieses Feld ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option OBERFLÄCHE, KANTE oder WINKEL ausgewählt ist.


Abstand für Geschlossene Linie

Im Feld Abstand können Sie den Abstand zwischen den Stützpunkten festlegen. Dieses Feld ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option OBERFLÄCHE, KANTE oder WINKEL ausgewählt ist.


Tiefe für Geschlossene Linie

Im Feld Tiefe können Sie bestimmen, in welcher Tiefe von der Kante die Stützpunkte aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option KANTE ausgewählt ist.


Einzug für Geschlossene Linie

Im Feld Einzug können Sie bestimmen, in welchem Abstand von der Kante ("Einzug") die Stützpunkte auf der Oberfläche aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option KANTE ausgewählt ist.


Einzug1 für Geschlossene Linie

Im Feld Einzug1 können Sie bestimmen, in welchem Abstand von der Kante ("Einzug") die Stützpunkte auf der Oberfläche aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option WINKEL ausgewählt ist.


Einzug2 für Geschlossene Linie

Im Feld Einzug2 können Sie bestimmen, in welchem Abstand von der Kante ("Einzug") die Stützpunkte auf der Oberfläche aufgenommen werden sollen. Diese Option ist nur verfügbar, wenn in der Liste Meßpunkttyp die Option WINKEL ausgewählt ist.


Bündigkeit für Geschlossene Linie

Im Feld Bund können Sie eine Kantenstärke für die Nennwerte festlegen, wenn Kantenmeßpunkte verwendet werden und CAD-Daten verfügbar sind. Diese Stärke wird bei der Ermittlung der Nennwerte für den Scan vertikal zum Kanten-Antastvektor angewandt. (Im Unterschied zur regulären Stärke, die entlang der Oberflächennormalen gilt.)


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine geschlossene Linie - Ausgangsvektoren

Ausgangsvektoren

Zu den verwendeten Vektoren gehören:

  • Schnittebenenvektor
  • Erstpunktvektor (Ausgangsvektor)
  • Grenzebenenvektor (Ebenenvektor)
  • Endpunktvektor (Endvektor)

Wenn der verwendete Meßpunkttyp "Kante" ist, wird der Schnittebenenvektor durch den Oberflächenvektor ersetzt. Ist kein Endpunkt vorhanden, wird die Linie zwischen dem Startpunkt und dem Richtungspunkt verwendet.

Hinweis: Der Schnittebenenvektor ist das Produkt aus dem Erstpunktvektor und der Linie zwischen dem Anfangs- und dem Endpunkt.


Durchführen eines fortgeschrittenen Scans für eine Fläche

Home Contents Previous Next

Durchführen eines fortgeschrittenen Flächenscans

UV UV Rotary Help Settings Close Create Undo Generate Control Points Get Nominals To Points CAD Elements Options Initial Vectors Direction 2 Technique Hit Type Boundary Points Direction 1 Technique Perimeter Section LinearClose LinearOpen

Dialogfeld Scannen — Registerkarte Fläche

Bei Auswahl der Methode Fläche wird die Oberfläche unter Verwendung der für Richtung 1 bzw. Richtung 2 gewählten Methode gescannt. Der Taster verbleibt während der Ausführung des Scans stets in der Schnittebene. Methode "Richtung 1" gibt die Richtung zwischen dem ersten und zweiten Begrenzungspunkt an. Methode "Richtung 2" gibt die Richtung zwischen dem zweiten und dritten Begrenzungspunkt an. PC-DMIS scannt das Werkstück auf der Oberfläche, die durch die Werte für Richtung 1 angegeben wird. Wenn es auf den zweiten Begrenzungspunkt stößt, geht PC-DMIS automatisch zur nächsten Reihe, die durch die Werte für Richtung 2 angegeben wird, über.

Hinweis: Wenn für die erste Richtung die Methode HAUPTACHSE gewählt wurde, muß diese Methode auch für die zweite Richtung gewählt werden.

Siehe auch:

So erstellen Sie einen Flächenscan

Methode "Richtung 1"

Methode "Richtung 2"

Begrenzungspunkte

Meßpunkttyp

Ausgangsvektoren


So erstellen Sie einen Flächenscan

  1. Stellen Sie sicher, daß Sie den TTP oder analogen Taster aktiviert haben.
  2. Versetzen Sie PC-DMIS in den CNC-Modus.
  3. Wählen Sie im Untermenü die Option Fläche. Das Dialogfeld Scannen wird angezeigt und die Registerkarte FLÄCHE ist bereits ausgewählt.

Display Menu Roadmap
Wählen Sie in der Liste Richtung 1 den passenden FLÄCHEN-Typ für die erste Richtung aus. In Abhängigkeit der gewählten Scanmethode geben Sie die entsprechenden Werte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Winkel und Min. Winkel ein.

  5. Wählen Sie in der Liste Richtung 2 den passenden FLÄCHEN-Typ für die zweite Richtung aus. In Abhängigkeit der gewählten Scanmethode geben Sie die entsprechenden Werte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Winkel und Min. Winkel ein.
  6. Wenn der Scanvorgang mehrere Oberflächen umfaßt, wählen Sie die Oberflächen wie unter CAD-Elemente beschrieben aus.
  7. Fügen Sie dem Scanvorgang den 1-Punkt (Startpunkt), den R-Punkt (Scanrichtung), den 2-Punkt (Endpunkt der ersten Linie), den 3-Punkt (zum Erzeugen eines Mindestbereichs) und bei Bedarf den 4-Punkt (für einen quadratischen oder rechteckigen Bereich) hinzu. Auf diese Weise wird der gewünschte Scanbereich ausgewählt. Wählen Sie diese Punkte, indem Sie die unter Begrenzungspunkte beschriebenen Anweisungen befolgen.
  8. Wählen Sie aus der Liste Meßpunkt typ den passenden Meßpunkttyp aus. Bei Flächenscans können nur Vektor-Meßpunkte aufgenommen werden.
  9. Nehmen Sie in der Liste Ausgangsvektoren die erforderlichen Einstellungen für die Vektoren vor. Doppelklicken Sie hierfür auf den Vektor und nehmen Sie die Änderungen im Dialogfeld Scanelement bearbeiten vor. Klicken Sie auf OK, um zum Dialogfeld Scannen zurückzukehren.
  10. Wählen Sie den erforderlichen Nennwertmodus aus der Liste Nennwerte aus.
  11. Geben Sie im Feld Tol. für NWsuche einen Toleranzwert ein, der mindestens den Radius des Tasters kompensieren sollte.
  12. Wählen Sie den erforderlichen Ausführmodus aus der Liste Ausführen aus.
  13. Bei einem dünnen Werkstück geben Sie dessen Stärke im Feld Stärke ein.
  14. Geben Sie den Namen des Scans im Feld ID ein.
  15. Aktivieren Sie gegebenenfalls eines oder mehrere der nachfolgenden Kontrollkästchen: Auto Bew., Innen begrenzt, Sicherheitsebene, Einzelpunktmodus, Meßpunkte einblenden, Alles einblenden und Messen.
  16. Wenn Sie einen analogen Taster verwenden, sollten Sie die Option Paßpunkte nutzen, um Ihren Scan optimal durchzuführen.
  17. Klicken Sie auf Berechnen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. Beim Erzeugen des Scans startet PC-DMIS den Scan am Startpunkt und folgt der vorgegebenen Richtung, bis der Begrenzungspunkt erreicht wird. Dann verläuft der Scan vorwärts und rückwärts in Reihen entlang des ausgewählten Bereichs. Der Scan wird mit dem angegebenen Inkrementwert entlang dieser Reihen durchgeführt, bis der Vorgang abgeschlossen ist.
  18. Nehmen Sie bei Bedarf weitere Änderungen an Ihrem Scan vor.
  19. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.


Richtung 1

Methode "Richtung 1"

In der Liste Richtung 1 stehen die drei Scanmethoden für Flächenscans in der ersten Richtung zur Auswahl:

  1. LINIE
  2. HAUPTACHSE
  3. VARIABLE

Aus den angezeigten Werten geht hervor, wie die Meßpunkte in den einzelnen Reihen aufgenommen werden. Die Richtung der Reihen wird durch die Begrenzungspunkte bestimmt. PC-DMIS scannt in den angegebenen Inkrementen (definiert unter dem ersten Inkrement) entlang der Schnittebene. Die Scan-Reihe ist beendet, wenn die Scan-Linie eine Grenzlinie schneidet. Wählen Sie die gewünschte Methode, und PC-DMIS zeigt automatisch die erforderlichen Bearbeitungsfelder an.

Siehe auch:

Linienmethode für Richtung 1 des Flächenscans

Achsenmethode für Richtung 1 des Flächenscans

Variablenmethode für Richtung 1 des Flächenscans

NULLFILTER-Methode für Fläche

Felder "Max / Min" für Flächenscans


Linienmethode für Richtung 1 des Flächenscans

PC-DMIS bestimmt jeden Meßpunkt auf Basis des eingestellten Inkrements und der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster verbleibt auf der Schnittebene. PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Meßpunkte auf, bis der letzte Begrenzungspunkt erreicht wird.


Achsenmethode für Richtung 1 des Flächenscans

PC-DMIS nimmt in den eingestellen Schrittweiten Meßpunkte im Koordinatensystem des aktuellen Werkstücks auf. Der Vorlauf des Tasters verläuft senkrecht zur angegebenen Achse. Der Taster verbleibt auf der Schnittebene. Der Antastvektor verläuft auf der Schnittebene, vertikal zur ausgewählten Achse. Die Methode HAUPTACHSE verwendet denselben Ansatz zur Aufnahme jedes Meßpunkts (im Gegensatz zur Methode LINIE, die den Vorlauf vertikal zur Linie zwischen den beiden letzten Meßpunkten ansetzt).


Variablenmethode für Richtung 1 des Flächenscans

Bei der Methode VARIABLE können Sie bestimmte Maximal- und Mindestwinkel sowie Inkrementwerte einstellen, die dazu dienen, die Stellen, an denen PC-DMIS einen Meßpunkt aufnimmt, zu ermitteln. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten.

Geben Sie die Maximal- und Mindestwerte ein, die zur Festlegung der Inkremente zwischen den Meßpunkten verwendet werden sollen. Sie müssen auch die gewünschten Werte für die Winkel (MAX und MIN) eingeben. PC-DMIS nimmt auf Basis des Mindestinkrements drei Meßpunkte auf. Dann mißt es den Winkel zwischen Meßpunkten 1-2 und 2-3.

  • Wenn der gemessene Winkel zwischen den definierten Maximal- und Minimalwerten liegt, nimmt PC-DMIS weitere Meßpunkte im aktuellen Inkrement auf.
  • Ist der Winkel größer als der Höchstwert, löscht PC-DMIS den letzten Meßpunkt und mißt ihn von neuem, wobei ein Viertel des aktuellen Inkrementwerts zugrundegelegt wird.
  • Ist der Winkel kleiner als das Mindestinkrement, nimmt PC-DMIS den Meßpunkt mit dem Wert des Mindestinkrements auf.

PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Es löscht so lange den letzten Meßpunkt und verringert den Inkrementwert auf ein Viertel des Inkrements, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Mindestwert des Inkrements erreicht ist.

  • Ist der gemessene Winkel kleiner als der Mindestwinkel, verdoppelt PC-DMIS das Inkrement für den nächsten Meßpunkt.
  • Ist er größer als der Maximalwert für das Inkrement, nimmt es den Meßpunkt mit dem Maximalinkrement auf.

PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Diese Verdoppelung des Inkrementwerts wird so lange wiederholt, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Maximalwert des Inkrements erreicht ist.

Wenn WINKEL > MAX WINK, dann INKR = INKR / 4 bis MIN INKR
Wenn WINKEL < MIN WINK, dann INKR = INKR · 2 bis MAX INKR

Hinweis: Standardmäßig startet PC-DMIS bei einem FLÄCHEN-Scan jede neue Scanzeile stets mit dem Mindestinkrement. Wenn Sie bevorzugen, daß jede neue Zeile mit dem Inkrementwert der zuvor gescannten Zeile startet, können Sie das Kontrollkästchen Flächenscans behalten das letzte Inkrement bei auf der Registerkarte Allgemein im Dialogfeld Setup-Optionen aktivieren (siehe auch "Flächenscans behalten das letzte Inkrement bei" im Abschnitt "Setup-Optionen").


NULLFILTER-Methode für Fläche

Hierbei handelt es sich um dieselbe Methode wie unter NULLFILTER-Methode für Offene Linie beschrieben.


Felder "Max / Min" für Flächenscans

Die nachfolgend beschriebenen Felder "Max / Min Inkrement" und "Max / Min Winkel" sind verfügbar, wenn die VARIABLEN-Methode verwendet wird (siehe auch Variablenmethode für Richtung 1 des Flächenscans). Nur das Feld Max. Inkr. ist bei allen Scanmethoden verfügbar.

Max. Inkrement

Im Feld Max. Inkr. können Sie den maximalen Inkrementabstand festlegen. Die Inkremente können bei der Variablenmethode zwar größer werden, aber sie sind niemals größer als der hier eingegebene Abstand.

Min. Inkr.

Im Feld Min. Inkr. können Sie den minimalen Inkrementabstand festlegen. Die Inkremente können bei der Variablenmethode zwar kleiner werden, aber sie sind niemals kleiner als der hier eingegebene Abstand.

Max. Winkel

Im Feld Max. Winkel können Sie den Höchstwinkel festlegen. Die gemessenen Winkel können bei der Variablenmethode zwar größer werden, aber sie sind niemals größer als der hier eingegebene Wert.

Min. Winkel

Im Feld Min. Winkel können Sie den Mindestwinkel festlegen. Die gemessenen Winkel können bei der Variablenmethode zwar kleiner werden, aber sie sind niemals kleiner als der hier eingegebene Wert.


Methode "Richtung 2"

In der Liste Richtung 2 stehen die beiden Scanmethoden für Flächenscans in der zweiten Richtung zur Auswahl: Aus den angezeigten Werten geht das Inkrementalverfahren hervor, das zwischen den einzelnen Reihen angewandt wird. PC-DMIS nimmt den Schnitt, der parallel zur vorherigen Reihe verläuft. Das Inkrement dieses Schnitts wird bestimmt durch den Wert, der für das zweite Inkrement angegeben wurde. Der Scanvorgang ist abgeschlossen, wenn innerhalb der Grenzlinien keine neue Reihe begonnen werden kann. Wählen Sie das gewünschte Verfahren, und PC-DMIS zeigt automatisch die erforderlichen Bearbeitungsfelder an.

Siehe auch:

Linienmethode für Richtung 2 des Flächenscans

Achsenmethode für Richtung 2 des Flächenscans

Inkrement


Linienmethode für Richtung 2 des Flächenscans

PC-DMIS bestimmt jeden Meßpunkt auf Basis des eingestellten Inkrements und der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster verbleibt auf der Schnittebene. PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Meßpunkte auf, bis der letzte Begrenzungspunkt erreicht wird.


Achsenmethode für Richtung 2 des Flächenscans

PC-DMIS nimmt in den eingestellen Schrittweiten Meßpunkte im Koordinatensystem des aktuellen Werkstücks auf. Der Vorlauf des Tasters verläuft senkrecht zur angegebenen Achse. Der Taster verbleibt auf der Schnittebene. Der Antastvektor verläuft auf der Schnittebene, vertikal zur ausgewählten Achse. Die Methode HAUPTACHSE verwendet denselben Ansatz zur Aufnahme jedes Meßpunkts (im Gegensatz zur Methode LINIE, die den Vorlauf vertikal zur Linie zwischen den beiden letzten Meßpunkten ansetzt).

Hinweis: Wenn die Methode HAUPTACHSE für die erste Richtung gewählt wurde, muß sie auch für die zweite Richtung ausgewählt werden.


Scannen Ihres Werkstücks - Richtung 2 - Inkrement

Inkrement

In diesem Feld können Sie den Inkrementalabstand zwischen zwei Reihen eines Scans einstellen. Wenn Sie hier beispielsweise 0,5 eingeben, stellt der Scan die Reihen in Inkrementen von 0,5 ein.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine Fläche - Begrenzungspunkte

Begrenzungspunkte

Für FLÄCHEN-Scans sind mindestens drei Begrenzungspunkte erforderlich, so daß eine dreieckige Fläche für die Bearbeitung erstellt wird. Sie können weitere Begrenzungspunkte mit Hilfe der Schaltflächen Hinzufügen und Löschen im Begrenzungspunktbereich hinzufügen bzw. löschen. Näheres finden Sie unter Begrenzungspunkte.

Siehe auch:

Scan für geschlossene Körper


Scan für geschloss. Körper

Scan für geschlossene Körper

Über das Kontrollkästchen Scan für geschloss. Körper können Sie angeben, daß ein geschlossenes Element wie ein Zylinder, Kegel, Langloch usw. gescannt werden soll. Wenn dieses Kontrollkästchen aktiviert ist, reduziert PC-DMIS die Anzahl der Begrenzungspunkte, die zur Definition des Scanbereichs erforderlich sind. Sie brauchen dann nur die Anfangs- und Richtungspunkte sowie einen Endpunkt einzugeben. Der Endpunkt gibt an, wie weit der Scan am Element in Auf-/Abwärtsrichtung ausgeführt werden soll. Startpunkt und Richtungspunkt definieren in Verbindung mit dem Ausgangsvektor den Schnittebenenvektor. Normalerweise verläuft der Schnittebenenvektor parallel zur Achse des Elements, das gemessen wird.

Hinweis: Es wird empfohlen, für diesen Scan die Grenzbedingung Ebene zu verwenden und die Anzahl der Grenzüberschreitungen auf "2" einzustellen.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine Fläche - Meßpunkttyp

Meßpunkttyp

Die verfügbaren Meßpunkttypen sind:

  • VEKTOR
  • OBERFLÄCHE

Siehe auch:

Anfangsmeßpunkt für Flächenscan

Ständige Meßpunkte für Flächenscan

Abstand für Flächenscan


Anfangsmeßpunkte für Flächenscans

Im Feld Anfangs können Sie die Anzahl der Stützpunkte festlegen, die aufgenommen werden sollen, bevor jeder tatsächliche Punkt gemessen wird. Diese Stützpunkte werden nur aufgenommen, wenn der Scan zum ersten Mal ausgeführt wird. Dieses Feld ist nur verfügbar, wenn in der Liste Meßpunkttyp "Oberfläche" ausgewählt ist.


Ständige Meßpunkte für Flächenscans

Im Feld Ständig können Sie festlegen, wie viele Stützpunkte permanent aufgenommen werden sollen, bevor jeder tatsächliche Punkt gemessen wird. Diese Stützpunkte werden jedes Mal aufgenommen, wenn der Scan ausgeführt wird. Dieses Feld ist nur verfügbar, wenn in der Liste Meßpunkttyp "Oberfläche" ausgewählt ist.


Abstand für Flächenscans

Im Feld Abstand können Sie den Abstand zwischen den Stützpunkten festlegen. Dieses Feld ist nur verfügbar, wenn in der Auswahlliste Meßpunkttyp "Oberfläche" gewählt ist.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für eine Fläche - Ausgangsvektoren

Ausgangsvektoren

Zu den verwendeten Vektoren gehören:

  • Schnittebenenvektor
  • Erstpunktvektor (Ausgangsvektor)
  • Grenzebenenvektor (Ebenenvektor)
  • Endpunktvektor (Endvektor)

Der Schnittebenenvektor wird abgeleitet aus der Überschneidung des Erstpunktvektors und der Linie zwischen dem ersten und zweiten Punkt. Der Schnittebenenvektor wird dann mit Hilfe der Linie zwischen dem zweiten und dritten Punkt auf die korrekte Richtung eingestellt. Der Endpunktvektor (Endvektor) ist der Vektor, der zur Aufnahme des zweiten Begrenzungspunkts und zum Sprung in die zweite Reihe verwendet wird, nachdem der Scan der ersten Reihe abgeschlossen ist.


Durchführen eines fortgeschrittenen Scans für einen Profilschnitt

UV UV Rotary Help Settings Close Create Undo Generate Control Points Get Nominals To Points CAD Elements Options Section Location Intial Vectors Hit Type Boundary Points Direction 1 Technique Perimeter Patch LinearClose LinearOpen

Display Menu Roadmap
Der Profilschnitt-Scan weist große Ähnlichkeiten mit Offene Linien-Scans auf. Hier wird die entlang einer Linie verlaufende Oberfläche eines Werkstücks gescannt. Dieser Scantyp ist nur verfügbar, wenn CAD-Oberflächendaten zur Verfügung stehen. Bei diesem Verfahren werden der Anfangs- und Endpunkt für die Linie sowie ein Richtungspunkt für die Berechnung verwendet. Der Taster verbleibt während der Ausführung des Scans stets in der Schnittebene.

Profilschnitt-Scans können Bohrungen feststellen und überspringen, während sie ein Werkstück scannen. Mit diesem Scantyp können Sie die vom CAD-Techniker gezeichneten 'Profilschnittlinien' auf dem Bildschirm auswählen und den Scan dann fortsetzen.

Einer der Vorteile eines PROFILSCHNITT-Scans ist die Möglichkeit, mehrfache Scans entlang einer feststehenden Achse durchzuführen.

Beispiel: Sie möchten ein Werkstück entlang der X-Achse scannen und dabei einen bestimmten Abstand einhalten.
X = 5,0
X = 5,5
X = 6,0
Richten Sie den Profilschnitt-Scan so ein, daß die X-Achse die Profilschnittachse und "0,5" das Profilschnittinkrement ist. Sie sollten noch weitere Parameter einstellen (siehe Durchführen eines fortgeschrittenen Scans für eine offene Linie). Wenn der Scan gemessen worden ist, zeigt PC-DMIS das Dialogfeld Scannen erneut an, wobei alle Begrenzungspunkte in den nächsten Profilschnitt verlagert worden sind.

Wenn CAD-Oberflächendaten verwendet werden, erkennt PC-DMIS einen Startpunkt und einen Endpunkt im Profilschnitt.

Für die Richtung von Profilschnitt-Scans stehen drei Methoden zur Auswahl.

Siehe auch:

So erstellen Sie einen Profilschnitt-Scan

Methode "Richtung 1"

Profilschnittposition

Begrenzungspunkte

Meßpunkttyp

Ausgangsvektoren


So erstellen Sie einen Profilschnitt-Scan

  1. Stellen Sie sicher, daß Sie den TTP oder analogen Taster aktiviert haben.
  2. Versetzen Sie PC-DMIS in den CNC-Modus.
  3. Wählen Sie im Untermenü die Option Profilschnitt. Das Dialogfeld Scannen wird angezeigt und die Registerkarte PROFILSCHNITT ist bereits ausgewählt.

Display Menu Roadmap
Wählen Sie in der Liste Richtung 1 den passenden PROFILSCHNITT-Typ für die erste Richtung aus. In Abhängigkeit der gewählten Scanmethode geben Sie die entsprechenden Werte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Winkel und Min. Winkel ein.

  5. Wenn der Scanvorgang mehrere Oberflächen umfaßt, wählen Sie die Oberflächen wie unter CAD-Elemente beschrieben aus.
  6. Fügen Sie dem Profilschnitt-Scan den 1-Punkt (Startpunkt), den R-Punkt (Scanrichtung) und den 2-Punkt (Endpunkt) hinzu. Auf diese Weise wird die gewünschte Scanzeile ausgewählt. Wählen Sie diese Punkte, indem Sie die unter Begrenzungspunkte beschriebenen Anweisungen befolgen.
  7. Klicken Sie auf CAD ausschneiden. Hiermit wird der Scan in Unterabschnitte geteilt. Es werden die Bereiche angezeigt, die PC-DMIS auf Grund von Hindernissen in der Oberfläche (z.B. Bohrungen) überspringt. Sie können die Schaltfläche Bereichsgrenze einblenden anklicken, um zur vorangehenden Ansicht zurückzukehren.
  8. Führen Sie im Bereich Profilschnittposition die folgenden Schritte durch:
    • Wählen Sie aus der Liste Achse die Achse aus, an der die nachfolgenden Profilschnitt-Scans inkrementiert werden sollen.
    • Geben Sie für diese Achse den Positionswert ein, den Sie für alle Begrenzungspunkte einstellen möchten.
    • Geben Sie den Wert im Feld Inkrement ein. Hierbei handelt es sich um den Wert, um den PC-DMIS den Scan verschieben wird, nachdem Sie die Schaltfläche Erzeugen angeklickt haben.
    • Legen Sie im Feld Toleranz einen Toleranzwert für eine Lochposition fest.
  9. Wählen Sie aus der Liste Meßpunkt typ den passenden Meßpunkttyp aus. Bei Profilschnitt-Scans können nur Vektor-Meßpunkte aufgenommen werden.
  10. Nehmen Sie in der Liste Ausgangsvektoren die erforderlichen Einstellungen für die Vektoren vor. Doppelklicken Sie hierfür auf den Vektor und nehmen Sie die Änderungen im Dialogfeld Scanelement bearbeiten vor. Klicken Sie auf OK, um zum Dialogfeld Scannen zurückzukehren.
  11. Wählen Sie den erforderlichen Nennwertmodus aus der Liste Nennwerte aus.
  12. Geben Sie im Feld Tol. für NWsuche einen Toleranzwert ein, der mindestens den Radius des Tasters kompensieren sollte.
  13. Wählen Sie den erforderlichen Ausführmodus aus der Liste Ausführen aus.
  14. Bei einem dünnen Werkstück geben Sie dessen Stärke im Feld Stärke ein.
  15. Geben Sie den Namen des Scans im Feld ID ein.
  16. Aktivieren Sie gegebenenfalls eines oder mehrere der nachfolgenden Kontrollkästchen: Auto Bew., Innen begrenzt, Sicherheitsebene, Einzelpunktmodus, Meßpunkte einblenden, Alles einblenden und Messen.
  17. Wenn Sie einen analogen Taster verwenden, sollten Sie die Option Paßpunkte nutzen, um Ihren Scan optimal durchzuführen.
  18. Klicken Sie auf Berechnen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. Beim Erzeugen des Scans startet PC-DMIS den Scan am Startpunkt und folgt der vorgegebenen Richtung, bis der Begrenzungspunkt erreicht wird. Dann verläuft der Scan vorwärts und rückwärts in Reihen entlang des ausgewählten Bereichs. Der Scan wird mit dem angegebenen Inkrementwert entlang dieser Reihen durchgeführt, bis der Vorgang abgeschlossen ist.
  19. Nehmen Sie bei Bedarf weitere Änderungen an Ihrem Scan vor.
  20. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für einen Profilschnitt - Richtung 1

Methode "Richtung 1"

In der Liste Richtung 1 stehen die beiden Scanmethoden für Profilschnitt-Scans zur Auswahl.

  1. LINIE
  2. VARIABLE

Wählen Sie die gewünschte Methode, und PC-DMIS zeigt automatisch zusätzliche Auswahlfelder an.

Siehe auch:

Linienmethode für Profilschnitt-Scan

Variablenmethode für Profilschnitt-Scan

NULLFILTER-Methode für Profilschnitt

Felder "Max / Min" für Profilschnitt-Scans


Linienmethode für Profilschnitt-Scans

PC-DMIS bestimmt jeden Meßpunkt auf Basis des eingestellten Inkrements und der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster verbleibt auf der Schnittebene. PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Meßpunkte auf, bis der letzte Begrenzungspunkt erreicht wird.


Variablenmethode für Profilschnitt-Scans

Bei der Methode VARIABLE können Sie bestimmte Maximal- und Mindestwinkel sowie Inkrementwerte einstellen, die dazu dienen, die Stellen, an denen PC-DMIS einen Meßpunkt aufnimmt, zu bestimmen. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten.

Geben Sie die Maximal- und Minimalwerte ein, die zur Bestimmung der Inkremente zwischen den Meßpunkten verwendet werden sollen. Sie müssen auch die gewünschten Werte für die Winkel (MAX und MIN) eingeben. PC-DMIS nimmt auf Basis des Mindestinkrements drei Meßpunkte auf. Dann mißt es den Winkel zwischen Meßpunkten 1-2 und 2-3.

  • Wenn der gemessene Winkel zwischen den definierten Maximal- und Minimalwerten liegt, nimmt PC-DMIS weitere Meßpunkte im aktuellen Inkrement auf.
  • Ist der Winkel größer als der Höchstwert, löscht PC-DMIS den letzten Meßpunkt und mißt ihn von neuem, wobei ein Viertel des aktuellen Inkrementwerts zugrundegelegt wird.
  • Ist der Winkel kleiner als das Mindestinkrement, nimmt PC-DMIS den Meßpunkt mit dem Wert des Mindestinkrements auf.

PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Es löscht so lange den letzten Meßpunkt und verringert den Inkrementwert auf ein Viertel des Inkrements, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Mindestwert des Inkrements erreicht ist.

  • Ist der gemessene Winkel kleiner als der Mindestwinkel, verdoppelt PC-DMIS das Inkrement für den nächsten Meßpunkt.
  • Ist der Winkel größer als der Maximalwert für das Inkrement, nimmt es den Meßpunkt mit dem Maximalinkrement auf.

PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Diese Verdoppelung des Inkrementwerts wird so lange wiederholt, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Maximalwert des Inkrements erreicht ist.

Wenn WINKEL > MAX WINKEL, dann INKR = INKR / 4 bis MIN INKR
Wenn WINKEL < MIN WINKEL, dann INKR = INKR · 2 bis MAX INKR


NULLFILTER-Methode für Profilschnitt

Hierbei handelt es sich um dieselbe Methode wie unter NULLFILTER-Methode für Offene Linie beschrieben.


Felder "Max / Min" für Profilschnitt-Scans

Die nachfolgend beschriebenen Felder Max. Inkr. und Min. Inkr. sind verfügbar, wenn die VARIABLEN-Methode verwendet wird (siehe auch Variablenmethode für Profilschnitt-Scans). Nur das Feld Max. Inkr. ist bei allen Scanmethoden verfügbar.

Max. Inkrement

Im Feld Max. Inkr. können Sie den maximalen Inkrementabstand festlegen. Die Inkremente können bei der Variablenmethode zwar größer werden, aber sie sind niemals größer als der hier eingegebene Abstand.

Min. Inkr.

Im Feld Min. Inkr. können Sie den minimalen Inkrementabstand festlegen. Die Inkremente können bei der Variablenmethode zwar kleiner werden, aber sie sind niemals kleiner als der hier eingegebene Abstand.

Max. Winkel

Im Feld Max. Winkel können Sie den maximalen Winkel festlegen. Die gemessenen Winkel können bei der Variablenmethode zwar größer werden, aber sie sind niemals größer als der hier eingegebene Wert.

Min. Winkel

Im Feld Min. Winkel können Sie den Mindestwinkel festlegen. Die gemessenen Winkel können bei der Variablenmethode zwar kleiner werden, aber sie sind niemals kleiner als der hier eingegebene Wert.


Profilschnittposition

Das Feld im Bereich Profilschnittposition gibt die Ausgangsposition für den Scan an. Wenn Sie beispielsweise eine Reihe von Profilschnitten mit X = 5, X=5,5, X = 6 usw. scannen wollen, müssen Sie erst "5,0" als Ausgangsposition für den Profilschnitt angeben. Nach jedem Scan geht PC-DMIS automatisch zum nächsten Profilschnitt (5,5 usw.) über. Dieser Wert kann direkt bearbeitet oder unter Zuhilfenahme des ersten Begrenzungspunkts eingestellt werden. Der Koordinatenwert des ersten Begrenzungspunkts, der der Schnittachse entspricht, ist die Profilschnittposition. Wird der erste Begrenzungspunkt definiert, indem entweder ein Meßpunkt aufgenommen, CAD-Daten ausgewählt oder Werte eingegeben werden, wird der Koordinatenwert für die Schnittachse verwendet.

Beispiel: Wenn der erste Begrenzungspunkt auf 45, 37, 100 eingestellt und Y die Schnittachse ist, liegt die Profilschnittposition bei 37. Wenn X die Schnittachse ist, liegt die Profilschnittposition bei 45.

Siehe auch:

Achse

Inkrement

Toleranz


Scannen Ihres Werkstücks - Profilschnittposition - Achse

Achse

In der Liste Achse können Sie die Achse (X, Y oder Z) bestimmen, auf der Sie mehrere Profilschnitte wünschen. Auch die Option Keine ist verfügbar. Damit können Sie eine "Profilschnittlinie" auf dem Bildschirm auswählen. Normalerweise ist es bei Scans nicht zulässig, daß die Benutzer mit Kurvendaten arbeiten. Wenn Sie jedoch Keine wählen, können Sie bei einem Profilschnittscan eine grafisch dargestellte Profilschnittlinie auswählen, die dann zur Definition der Schnittebene und der Bahn für den Scan verwendet wird.


Scannen Ihres Werkstücks - Profilschnittposition - Inkrement

Inkrement

Im Feld Inkrement wird der Sprungabstand entlang der Profilschnittachse, um den der Taster nach Abschluß jedes Scans weiterrückt, angegeben.


Toleranz

Der in das Feld Toleranz eingegebene Toleranzwert dient bei der Erkennung von Bohrungen in den CAD-Daten zur Bestimmung der Positionen dieser Löcher.

  • Wenn der Abstand zwischen zwei beliebigen Begrenzungspunkten auf der Oberfläche kleiner als der Toleranzabstand ist, betrachtet PC-DMIS die Oberfläche als durchgehend und scannt in das Loch hinein.
  • Ist der Abstand größer als der Toleranzwert, geht PC-DMIS davon aus, daß zwischen den beiden Oberflächen eine Bohrung liegt und überspringt dieses Loch während des Lernprozesses.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für einen Profilschnitt - Begrenzungspunkte

Begrenzungspunkte

Im Bereich Begrenzungspunkte des Dialogfelds können Sie die Begrenzungspunkte für den PROFILSCHNITT-Scan angeben. Dort können Sie auch Bohrungen, die in den CAD-Daten definiert sind, ermitteln und zwischen der Anzeige der Lochdaten und der Anzeige der Begrenzungspunktdaten hin- und herschalten. (Näheres finden Sie unter Begrenzungspunkte.)

Siehe auch:

CAD ausschneiden

Ausschnitt einblenden


CAD ausschneiden

Nachdem eine Bereichsgrenze definiert worden ist, klicken Sie auf die Schaltfläche CAD ausschneiden. Diese Schaltfläche dient ausschließlich dazu, Bohrungen aufzufinden, die in den CAD-Daten definiert sind. Die Begrenzungspunkte können auf dieselbe Art und Weise gewählt werden wie für OFFENE_LINIE-Scans.

PC-DMIS durchsucht die CAD-Daten automatisch nach Löchern, die auf der Bahn des Scans liegen. Alle Lochkanten entlang der Scan-Bahn werden durch eine Ganzzahl für den betreffenden Punkt, gefolgt von einem "H"), angezeigt (also 2H , 3H etc.). Die Lochkantenpunkte werden auf einen Standardabstand von 2,0 mm vom theoretischen Lochrand eingestellt.

Profilschnitt-Scans können so erstellt werden, daß das CAD-Modell von bestimmten, benutzerseitig ausgewählten Oberflächen geschnitten wird.

Vorgehensweise:

  1. Wählen Sie die Begrenzungspunkte.
  2. Kreuzen Sie das Kästchen Auswählen an.
  3. Wählen Sie die gewünschten Oberflächen aus.
  4. Klicken Sie auf die Schaltfläche CAD ausschneiden, ohne jedoch die Auswahl des Feldes Auswählen aufzuheben.

PC-DMIS schneidet dann nur die ausgewählten Oberflächen aus, um das Loch (die Löcher) zu ermitteln.

Es ist nicht erforderlich, die Schaltfläche CAD ausschneiden zu betätigen, wenn keine Bohrungen in CAD definiert sind. Wird die Schaltfläche nicht betätigt, scannt PC-DMIS das Werkstück unter Verwendung der angegebenen Anfangs- und End-Begrenzungspunkte.

Beim Ausschneiden von Oberflächen verwendet PC-DMIS nur die in der ersten Anzeige (die "Blaue Ansicht") angezeigten Oberflächen. Informationen hierzu finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige". Wenn Sie mit einer komplexen CAD-Zeichnung mit mehreren Oberflächen arbeiten, können Sie Oberflächengruppen in CAD-Layern zusammenfassen (Siehe auch "Anzeigen, Erstellen und Bearbeiten von Layern" im Abschnitt "Bearbeiten der CAD-Anzeige"). Auf diese Weise können Sie das Ausschneiden von CAD-Elementen im Profilschnitt auf bestimmte Teilbereiche des CAD-Modells einschränken.


Ausschnitt einblenden

Mit der Schaltfläche Ausschnitt einblenden können Sie zwischen der Anzeige von Bereichsgrenzen- und Bohrungsdaten hin- und herschalten. Wenn eine Bereichsgrenze definiert und die Schaltfläche CAD ausschneiden gewählt worden ist, können Sie die jeweils gewünschte Anzeige mit Ausschnitt einblenden aufrufen.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für einen Profilschnitt - Meßpunkttyp

Meßpunkttyp

Die verfügbaren Meßpunkttypen sind:

  • VEKTOR
  • OBERFLÄCHE

Siehe auch:

Anfangsmeßpunkt für Profilschnitt-Scan

Ständige Meßpunkte für Profilschnitt-Scans

Abstand für Profilschnitt-Scans


Anfangsmeßpunkte für Profilschnitt-Scans

Im Feld Anfangs können Sie festlegen, wie viele Stützpunkte aufgenommen werden sollen, bevor jeder tatsächliche Punkt gemessen wird. Diese Stützpunkte werden nur aufgenommen, wenn der Scan zum ersten Mal ausgeführt wird. Dieses Feld ist nur verfügbar, wenn in der Liste Meßpunkttyp "Oberfläche" ausgewählt ist.


Ständige Meßpunkte für Profilschnitt-Scans

Im Feld Ständig können Sie festlegen, wie viele Stützpunkte aufgenommen werden sollen, bevor jeder tatsächliche Punkt gemessen wird. Diese Stützpunkte werden jedes Mal aufgenommen, wenn der Scan ausgeführt wird. Dieses Feld ist nur verfügbar, wenn in der Liste Meßpunkttyp "Oberfläche" ausgewählt ist.


Abstand für Profilschnitt-Scans

Im Feld Abstand können Sie den Abstand zwischen den Stützpunkten festlegen. Dieses Feld ist nur verfügbar, wenn in der Liste Meßpunkttyp "Oberfläche" ausgewählt ist.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für einen Profilschnitt - Ausgangsvektoren

Ausgangsvektoren

Zu den verwendeten Vektoren gehören:

  • Schnittebenenvektor
  • Erstpunktvektor (Ausgangsvektor)
  • Grenzebenenvektor (Ebenenvektor)

Die Schnittebenen- und Erstpunktvektoren dienen zur Messung des Scans. Der Schnittebenenvektor ist das Produkt aus dem Erstpunktvektor und der Linie zwischen dem Anfangs- und dem Endpunkt. Ist kein Endpunkt vorhanden, wird die Linie zwischen dem Startpunkt und dem Richtungspunkt verwendet.


Durchführen eines fortgeschrittenen Scans für einen Umfang

UV UV Rotary Help Settings Close Create Undo Generate Control Points Get Nominals To Points CAD Elements Options Theoretical Scan Points Theoretical Vector Hit Type Boundary Points Scan Construction Section Patch LinearClose LinearOpen

Display Menu Roadmap
Umfang-Scans unterscheiden sich insofern von linearen Scans, als sie vor der Ausführung vollständig aus CAD-Daten erstellt werden. Dieser Scantyp ist nur verfügbar, wenn CAD-Oberflächendaten zur Verfügung stehen. Bei diesem Scantyp weiß PC-DMIS bereits vor Beginn des Scans genau, wo die Bahn verläuft (ein geringfügiger Fehler ist allerdings nicht auszuschließen).

Zwei verschiedene Typen von Umfang-Scans stehen zur Auswahl, und zwar Außenumfang und Innenumfang.

  1. Ein AußenUmfang-Scan folgt der Außenfläche der Grenzebene/n, die Sie gewählt haben. Ein solcher Scan kann mehrere Oberflächengrenzen durchqueren, um einen einzigen Scan zu erstellen.
  2. Ein Innenumfang-Scan folgt der Grenzkurve innerhalb einer Oberfläche. Kurven dieser Art definieren im allgemeinen Elemente wie Bohrungen, Langlöcher oder Bolzen. Im Gegensatz zu Außenumfang-Scans sind Innenumfang-Scans auf eine einzelne Oberfläche beschränkt.

Im folgenden wird das Verfahren zur Erstellung eines Außen- oder Innenumfang-Scans erläutert:

Siehe auch:

Erstellen eines Umfang-Scans

Scan-Erstellung

Theoretische Scanpunkte

Theoretischer Vektor

Meßpunkttyp


Erstellen eines Umfang-Scans

So erstellen Sie einen Umfang-Scan:

  1. Öffnen Sie das Dialogfeld Scannen.

Display Menu Roadmap
Wenn Sie einen InnenUmfang-Scan erstellen wollen, aktivieren Sie das Kontrollkästchen Innen Begrenzt auf der Registerkarte Umfang. Weitere Einzelheiten zu Scans von Innen- und Außenumfang finden Sie unter "Durchführen eines fortgeschrittenen Umfang-Scans".

  3. Wählen Sie die Oberfläche(n), die zur Definition der Bereichsgrenze herangezogen werden soll(en). Wenn Sie mehrere Oberflächen wählen, sollten Sie diese in derselben Reihenfolge auswählen, in der sie vom Scan durchquert werden. So wählen Sie die erforderliche(n) Oberfläche(n):
  • Vergewissern Sie sich, daß das Kontrollkästchen Auswählen aktiviert ist. Die jeweils gewählten Oberflächen werden hervorgehoben.
  • Wenn alle gewünschten Oberflächen ausgewählt sind, deaktivieren Sie das Kontrollkästchen Auswählen.
  4. Klicken Sie eine Stelle auf der Oberfläche in der Nähe der Bereichsgrenze an, wo der Scan beginnen soll. Dies ist der Startpunkt.
  5. Klicken Sie ein zweites Mal auf dieselbe Oberfläche, und zwar in die Richtung, in der der Scan ausgeführt werden soll. Dies ist der Richtungspunkt.
  6. Klicken Sie auf den Punkt, an dem der Scan enden soll. Die Angabe dieses Punkts ist optional. Wird kein Endpunkt angegeben, endet der Scan am Startpunkt.

Hinweis: PC-DMIS gibt automatisch einen Endpunkt an. Wenn dieser Endpunkt nicht verwendet werden soll, löschen Sie ihn. Markieren Sie die Nummer (die Standardeinstellung ist 2) im Listenfeld Begrenzungspunkte, und klicken Sie auf die Schaltfläche Löschen.

  7. Geben Sie die entsprechenden Werte im Bereich Scan-Erstellung ein. Dieser Bereich umfaßt folgende Felder:
    · Feld Inkrement
    ·     Feld CAD-Tol.
    ·     Feld Versatz
    ·     Feld Versatz-Tol. (+/-).
  8. Wählen Sie die Schaltfläche Bereichsgrenze berechnen. Damit wird die Bereichsgrenze berechnet, auf deren Grundlage der Scan erstellt wird. Die roten Punkte auf der Bereichsgrenze zeigen an, wo die Meßpunkte während des Umfang-Scans aufgenommen werden.

Hinweis: Die Berechnung der Bereichsgrenze sollte relativ schnell vonstatten gehen.

Wenn die Bereichsgrenze nicht richtig aussieht, klicken Sie auf die Schaltfläche Löschen. Damit wird die Bereichsgrenze gelöscht, und Sie können eine neue erstellen.

Wenn die Bereichsgrenze nicht richtig aussieht, bedeutet das im allgemeinen, daß der CAD-Toleranzwert erhöht werden muß.

Wenn Sie den CAD-Toleranzwert geändert haben, wählen Sie wieder die Schaltfläche Bereichsgrenze berechnen, so daß diese neu berechnet werden kann.

Vergewissern Sie sich, daß die Bereichsgrenze stimmt, bevor ein Umfang-Scan berechnet wird. Es dauert wesentlich länger, die Bahn für den Scan zu berechnen, als die Bereichsgrenze neu zu berechnen.

  9. Prüfen Sie, ob der Versatzwert stimmt.
  10. Klicken Sie auf die Schaltfläche Berechnen. PC-DMIS berechnet dann die theoretischen Werte, die zur Ausführung des Scans verwendet werden. Hierfür wird ein sehr zeitaufwendiger Algorithmus eingesetzt. Je nach der Komplexität der gewählten Oberflächen und der Anzahl der Punkte, die berechnet werden müssen, kann es einige Zeit dauern, die Bahn für den Scan zu berechnen. (Fünf Minuten sind nicht ungewöhnlich.) Wenn der Scan nicht korrekt aussieht, können Sie den Bahnentwurf mit Hilfe der Schaltfläche Rückgängig löschen. Gegebenenfalls können auch die Versatztoleranz geändert und der Scan neu berechnet werden.
  11. Klicken Sie auf Erzeugen. Damit wird der Umfang-Scan im Bearbeitungsfenster gespeichert. Er wird wie alle anderen Scans ausgeführt.

Scan 1

Scan 2

Die obigen Abbildungen (Scan 1 und Scan 2) veranschaulichen die beiden Arten von Umfang-Scans. Für Scan 1 wurden vier Oberflächen ausgewählt. Jede der Oberflächen grenzt an eine der anderen Oberflächen an, aber die Außengrenze (die durchgehende rote äußere Linie) wird aus den Außenseiten aller Oberflächen gebildet. Der Versatzabstand ist der Wert, um den der Scan von der Außengrenze nach innen versetzt ist (dargestellt durch die gestrichelte rote Linie). Bei Scan 2 wird die Bereichsgrenze einer Bohrung verwendet, um eine Bahn für einen Innenumfang-Scan festzulegen.


Scan-Erstellung

Delete Calculate Boundary Offset Tolerance (+ / -) Offset CAD Tolerance Increment

Im Bereich Scan-Erstellung des Dialogfelds können Sie eine Reihe von Optionen für die Erstellung eines Umfang-Scans einstellen. Dazu gehören:
  • Inkrement
  • CAD-Tol.
  • Versatz
  • Versatz-Tol. (+/-)
  • Bereichsgrenze berechnen
  • Löschen

Siehe auch:

Inkrement

CAD-Toleranz

Versatz

Versatz +/-

Bereichsgrenze berechnen

Löschen


Scannen Ihres Werkstücks- Scan-Erstellung - Inkrement

Inkrement

Aus dem Feld Inkrement geht der Abstand zwischen den einzelnen Meßpunkten des Scans hervor.


CAD-Tol.

CAD-Toleranz

Mit Hilfe des Felds CAD-Tol können Sie angrenzende Oberflächen ermitteln. Je größer der Toleranzwert, desto weiter können die CAD-Oberflächen auseinander liegen und dennoch als angrenzende Oberflächen erkannt werden.


Versatz

Im Feld Versatz wird der Abstand (gerechnet ab der äußeren Begrenzungslinie) festgelegt, in dem der Scan erstellt und ausgeführt werden soll.


Versatz-Tol. + / -

Versatz-Toleranz + / -

Im Feld Versatz-Tol (+/-) wird die zulässige Abweichung vom Versatzwert angegeben. Dieser Wert wird vom Benutzer festgelegt.


Bereichsgrenze berechnen

Über die Schaltfläche Bereichsgrenze berechnen wird die Bereichsgrenze, die sich aus den Eingabe-Oberflächen zusammensetzt, bestimmt. Die berechnete Bereichsgrenze wird im Grafikfenster als punktierte rote Linie angezeigt.


Scannen Ihres Werkstücks- Scan-Erstellung - Löschen

Löschen

Mit der Schaltfläche Löschen können Sie die zuvor erstellte Bereichsgrenze wieder löschen.


Theoretische Scanpunkte

Im Bereich Berechne Scanpunkte wird eine Liste der Punkte angezeigt, die aus den CAD-Daten berechnet wurden. Das KMG verwendet diese Punkte bei der Ausführung des Scans. Diese Punkte können benutzerseitig bearbeitet werden.

So bearbeiten Sie die Werte dieser Punkte:

  1. Doppelklicken Sie auf die Nummer des gewünschten Punkts in der Spalte Punkt-Nr. Das Dialogfeld Scanelement bearbeiten wird angezeigt.
  2. Ändern Sie die Werte wie erwünscht bzw. erforderlich in den Feldern X, Y und Z.
  3. Klicken Sie auf OK. Die Liste Berechne Scanpunkte gibt die vorgenommenen Änderungen wieder.

Wenn Sie im Dialogfeld Scanelement bearbeiten auf die Schaltfläche Nächster klicken, können Sie die Punkte in der Liste Berechne Scanpunkte nacheinander bearbeiten.


Theoretischer Vektor

Im Bereich Theoretischer Vektor können Sie die Vektoren der Punkte bearbeiten, die in der Liste Berechne Scanpunkte aufgeführt sind. Es wird jeweils der Vektor angezeigt, der mit dem in der Liste Berechne Scanpunkte ausgewählten Punkt verknüpft ist.

Siehe auch:

Vektor umkehren

Punkt-Nr.


Vektor umkehren

Durch Wahl der Schaltfläche Vektor umk. können Sie die Antastvektoren des in der Liste Berechne Scanpunkte ausgewählten theoretischen Scanpunkts umkehren. Sie können einzelne Vektoren oder alle Vektoren umkehren.

Wenn ein Punkt in der Liste ausgewählt ist und die Schaltfläche Vektor umk. gewählt wird, fordert PC-DMIS Sie auf, anzugeben, ob alle Vektoren, die auf diesen Punkt folgen, umgekehrt werden sollen.

  • Wenn Sie Ja wählen, wird die Richtung aller auf den angegebenen Punkt folgenden Vektoren, einschließlich der des angegebenen Punktes, umgekehrt.
  • Wenn Sie Nein wählen, wird nur der angegebene Vektor umgekehrt.


Punkt-Nr.

In den Feldern IJK werden die I-, J- und K-Vektoren des in der Liste Berechne Scanpunkte hervorgehobenen theoretischen Scanpunkts angezeigt.

So können Sie die I-, J- und K-Vektoren eines theoretischen Scanpunkts ändern:

  1. Wählen Sie den gewünschten Punkt in der Liste Berechne Scanpunkte. Die Kennziffer dieses Punkts erscheint neben dem Titel Punkt-Nr.
  2. Markieren Sie den vorhergehenden I-, J- bzw. K-Wert, der geändert werden soll.
  3. Geben Sie einen neuen Wert ein.

PC-DMIS berechnet einen neuen Antastvektor, der auf dem eingegebenen Wert beruht.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Scans für einen Umfang - Meßpunkttyp

Meßpunkttyp

Die Liste Meßpunkttyp zeigt alle verfügbaren Meßpunkttypen an.

  • VEKTOR


Durchführen eines fortgeschrittenen Rotationsscans

Home Contents Previous Next

Durchführen eines fortgeschrittenen Rotations-Scans

Axis Center Point and Radius Select Center Initial Vectors Boundary Points UV UV Perimeter Section Patch LinearClose LinearOpen Help Settings Close Create Undo Generate Control Points Get Nominals To Points CAD Elements Options Hit Type Direction 1 Technique

Display Menu Roadmap
Mit der Rotations-Methode wird die Oberfläche um einen bestimmten Punkt herum mit einem für diesen Punkt festgelegten Radius gescannt. Der Radius wird ohne Berücksichtigung von Veränderungen an der Oberfläche beibehalten. Bei diesem Verfahren werden der Anfangs- und der Endpunkt für den Meßbogen sowie ein Richtungspunkt verwendet, um die Richtung von Anfang bis Ende zu definieren.

Siehe auch:

So erstellen Sie einen Rotations-Scan

Mittelpunkt und Radius

Achse

Mittelpunkt auswählen

Methode "Richtung 1"

Begrenzungspunkte

Meßpunkttyp

Ausgangsvektoren


So erstellen Sie einen Rotations-Scan

  1. Stellen Sie sicher, daß Sie den TTP oder analogen Taster aktiviert haben.
  2. Versetzen Sie PC-DMIS in den CNC-Modus.
  3. Wählen Sie im Untermenü die Option Drehtisch. Das Dialogfeld Scannen wird angezeigt und die Registerkarte Drehtisch ist bereits ausgewählt.

Display Menu Roadmap
Aktivieren Sie entweder das Kontrollkästchen Wähle Mitte und klicken Sie auf das Werkstück um einen X-, Y- und Z-Mittelpunkt für den Rotations-Scan auszuwählen oder geben Sie die entsprechenden Werte in den Bereichen Mitte und Achse ein.

  5. Geben Sie für den Rotations-Scan einen Radius im Feld R ein. Nachdem Sie einen Radius eingegeben haben, zeichnet PC-DMIS im Grafikfenster die Scanposition auf dem Werkstückmodell.
  6. Überprüfen Sie, ob die Bereiche Mitte und Achse die richtigen Informationen enthalten.
  7. Deaktivieren Sie das Kontrollkästchen Wähle Mitte.
  8. Wählen Sie in der Liste Richtung 1 das geeignete Verfahren aus. In Abhängigkeit der gewählten Scanmethode geben Sie die entsprechenden Werte in die verfügbaren Felder Max. Inkr., Min. Inkr., Max. Winkel und Min. Winkel ein.
  9. Wenn der Scanvorgang mehrere Oberflächen überquert, wählen Sie die Oberflächen wie unter CAD-Elemente beschrieben aus.
  10. Fügen Sie dem Rotations-Scan den 1-Punkt (Startpunkt), den R-Punkt (Scanrichtung) und den 2-Punkt (Endpunkt) hinzu. Auf diese Weise wird eine Scankurve ausgewählt. Möchten Sie den gesamten Umfang scannen, löschen Sie den 2-Punkt. Wählen Sie diese Begrenzungspunkte, indem Sie die unter Begrenzungspunkte beschriebenen Anweisungen befolgen.
  11. Wählen Sie aus der Liste Meßpunkt typ den passenden Meßpunkttyp aus. Bei Rotations-Scans können nur Vektor-Meßpunkte aufgenommen werden.
  12. Nehmen Sie in der Liste Ausgangsvektoren die erforderlichen Einstellungen für die Vektoren vor. Doppelklicken Sie hierfür auf den Vektor und nehmen Sie die Änderungen im Dialogfeld Scanelement bearbeiten vor. Klicken Sie auf OK, um zum Dialogfeld Scannen zurückzukehren.
  13. Wählen Sie den erforderlichen Nennwertmodus aus der Liste Nennwerte aus.
  14. Geben Sie im Feld Tol. für NWsuche einen Toleranzwert ein, der mindestens den Radius des Tasters kompensieren sollte. Wenn dieser Wert zu niedrig ist, zeigt PC-DMIS eine Fehlermeldung, daß das Werkstück bei der Berechnung des Scans nicht gefunden werden kann.
  15. Wählen Sie den erforderlichen Ausführmodus aus der Liste Ausführen aus.
  16. Bei einem dünnen Werkstück geben Sie dessen Stärke im Feld Stärke ein.
  17. Geben Sie den Namen des Scans im Feld ID ein.
  18. Aktivieren Sie gegebenenfalls eines oder mehrere der nachfolgenden Kontrollkästchen: Auto Bew., Innen begrenzt, Sicherheitsebene, Einzelpunktmodus, Meßpunkte einblenden, Alles einblenden und Messen.
  19. Wenn Sie einen analogen Taster verwenden, sollten Sie die Option Paßpunkte nutzen, um Ihren Scan optimal durchzuführen.
  20. Klicken Sie auf Berechnen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. Beim Erzeugen des Scans startet PC-DMIS den Scan am Startpunkt und folgt der vorgegebenen Richtung, bis der Begrenzungspunkt erreicht wird. Dann verläuft der Scan vorwärts und rückwärts in Reihen entlang des ausgewählten Bereichs. Der Scan wird mit dem angegebenen Inkrementwert entlang dieser Reihen durchgeführt, bis der Vorgang abgeschlossen ist.
  21. Nehmen Sie bei Bedarf weitere Änderungen an Ihrem Scan vor.
  22. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein.


Mittelpunkt und Radius

Die X-, Y- und Z-Werte von Mitte definieren den Mittelpunkt des ROTATIONS-SCANS.

Sie können die Mittelpunktwerte X, Y und Z direkt eingeben oder Sie aktivieren das Kontrollkästchen Wähle Mitte und klicken auf die CAD-Zeichnung, um den markierten Punkt zum Mittelpunkt zu machen (siehe auch Mitte auswählen).

R definiert den Radius. PC-DMIS dreht den Scan um den Mittelpunkt, wobei der Abstand stets eingehalten wird, während sich der Scan vom Start- bis zum Endpunkt bewegt.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Rotations-Scans - Achse

Achse

Der Bereich Achse enthält die I-, J- und K-Werte, die den vertikal zur Ebene verlaufenden Vektor bestimmen, auf dem sich der Radius (relativ zum Mittelpunkt) befindet. Beim Scannen folgt PC-DMIS diesem Vektor.


Mitte auswählen

Nach Aktivieren des Kontrollkästchens Wähle Mitte können Sie auf das CAD-Modell klicken, um den Mittelpunkt anzugeben. Es kann ein Oberflächenpunkt oder ein Drahtgestellpunkt ausgewählt werden. Beachten Sie, daß beim Aktivieren dieses Kontrollkästchens die Begrenzungspunkte des Scans nicht aktualisiert werden. PC-DMIS aktualisiert die Begrenzungspunkte nur, wenn dieses Kontrollkästchen deaktiviert ist.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Rotations-Scans - Richtung 1

Methode "Richtung 1"

In der Liste Richtung 1 stehen die drei Scanmethoden für den ROTATIONS-SCAN zur Auswahl. Wählen Sie die gewünschte Methode, und PC-DMIS zeigt automatisch die erforderlichen Felder für die Einstellungen an.

Siehe auch:

Linienmethode für ROTATIONS-Scan

Achsenmethode für ROTATIONS-Scan

Variablenmethode für ROTATIONS-Scan

NULLFILTER-Methode für ROTATIONS-Scan

Felder "Max / Min" für ROTATIONS-Scans


Linienmethode für ROTATIONS-SCAN

PC-DMIS bestimmt jeden Meßpunkt auf Basis des eingestellten Inkrements und der letzten beiden gemessenen Punkte. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten. Der Taster behält immer den vorgegebenen Radiusabstand zur Mitte bei, und zwar im rechten Winkel zum Mittelpunktvektor. PC-DMIS startet am ersten Begrenzungspunkt und nimmt so lange im eingestellten Inkrement Meßpunkte auf, bis der letzte Begrenzungspunkt erreicht wird.


Achsenmethode für ROTATIONS-SCAN

PC-DMIS nimmt in den eingestellten Schrittweiten Meßpunkte im Koordinatensystem des aktuellen Werkstücks auf. Der Vorlauf des Tasters verläuft senkrecht zur angegebenen Achse. Der Taster behält immer den vorgegebenen Radiusabstand zur Mitte bei, und zwar im rechten Winkel zum Mittelpunktvektor. Der Antastvektor verläuft vertikal zur ausgewählten Achse. Die Methode HAUPTACHSE verwendet denselben Ansatz zur Aufnahme jedes Meßpunkts (im Gegensatz zur LINIEN-Methode, die den Vorlauf vertikal zur Linie zwischen den beiden letzten Meßpunkten ansetzt).


Variablenmethode für ROTATIONS-SCAN

Bei der Methode VARIABLE können Sie bestimmte Maximal- und Mindestwinkel sowie Inkrementwerte einstellen, die dazu dienen, die Stellen, an denen PC-DMIS einen Meßpunkt aufnimmt, zu bestimmen. Der Vorlauf des Tasters verläuft senkrecht zur Linie zwischen den letzten beiden gemessenen Punkten.

Geben Sie die Maximal- und Mindestwerte ein, die zur Festlegung der Inkremente zwischen den Meßpunkten verwendet werden sollen. Sie müssen auch die gewünschten Werte für die Winkel (MAX und MIN) eingeben. PC-DMIS nimmt auf Basis des Mindestinkrements drei Meßpunkte auf. Dann mißt es den Winkel zwischen Meßpunkten 1-2 und 2-3.

  • Wenn der gemessene Winkel zwischen den definierten Maximal- und Minimalwerten liegt, nimmt PC-DMIS weitere Meßpunkte im aktuellen Inkrement auf.
  • Ist der Winkel größer als der Höchstwert, löscht PC-DMIS den letzten Meßpunkt und mißt ihn von neuem, wobei ein Viertel des aktuellen Inkrementwerts zugrundegelegt wird.
  • Ist der Winkel kleiner als das Mindestinkrement, nimmt PC-DMIS den Meßpunkt mit dem Wert des Mindestinkrements auf.

PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Es löscht so lange den letzten Meßpunkt und verringert den Inkrementwert auf ein Viertel des Inkrements, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Mindestwert des Inkrements erreicht ist.

Ist der gemessene Winkel kleiner als der Mindestwinkel, verdoppelt PC-DMIS das Inkrement für den nächsten Meßpunkt. (Ist er größer als der Maximalwert für das Inkrement, wird der Meßpunkt mit dem Maximalinkrement aufgenommen.) PC-DMIS mißt dann noch einmal den Winkel zwischen dem neuesten Meßpunkt und den beiden vorhergehenden Meßpunkten. Diese Verdoppelung des Inkrementwerts wird so lange wiederholt, bis der gemessene Winkel innerhalb des definierten Bereichs liegt, oder bis der Maximalwert des Inkrements erreicht ist.

Wenn WINKEL > MAX WINKEL, dann INKR = INKR / 4 bis MIN INKR
Wenn WINKEL < MIN WINKEL, dann INKR = INKR · 2 bis MAX INKR


NULLFILTER-Methode für ROTATIONS-SCAN

Hierbei handelt es sich um dieselbe Methode wie unter NULLFILTER-Methode für Offene Linie beschrieben. Beachten Sie jedoch, daß der Taster stets den vorgegebenen Radiusabstand zur Mitte beibehält, und zwar im rechten Winkel zum Mittelpunktvektor.


Felder "Max / Min" für ROTATIONS-SCAN

Die nachfolgend beschriebenen Felder "Max / Min Inkrement" und "Max / Min Winkel" sind verfügbar, wenn die VARIABLEN-Methode verwendet wird (siehe auch Variablenmethode für ROTATIONS-SCAN). Nur das Feld Max. Inkr. ist bei allen Scanmethoden verfügbar.

Max. Inkrement

Im Feld Max. Inkr. können Sie den maximalen Inkrementabstand festlegen. Die Inkremente können mit der Option VARIABLE zwar größer werden, aber sie sind niemals größer als der hier eingegebene Abstand.

Min. Inkr.

Im Feld Min. Inkr. können Sie den minimalen Inkrementabstand festlegen. Die Inkremente können mit der Option VARIABLE zwar kleiner werden, aber sie sind niemals kleiner als der Abstand, der hier angegeben wird.

Max. Winkel

Im Feld Max. Winkel können Sie den maximalen Winkel festlegen. Die gemessenen Winkel können mit der Option VARIABLE zwar größer werden, aber sie sind niemals größer als der Wert, der hier angegeben wird.

Min. Winkel

Im Feld Min. Winkel können Sie den Mindestwinkel festlegen. Die gemessenen Winkel können mit der Option VARIABLE zwar kleiner werden, aber sie sind niemals kleiner als der Wert, der hier angegeben wird.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Rotations-Scans - Begrenzungspunkte

Begrenzungspunkte

Zum Durchführen eines ROTATIONS-SCANS benötigen Sie mindestens einen Startpunkt und einen Richtungspunkt (in der Liste Begrenzungspunkte und in der CAD-Anzeige als 1 und R dargestellt).

  • Wenn Sie keinen Endpunkt (als 2 dargestellt) haben, fährt PC-DMIS mit dem Scan entlang der angegebenen Richtung fort, bis wieder der Startpunkt erreicht wurde.
  • Wenn Sie einen Start- und einen Endpunkt haben, scannt PC-DMIS entlang der angegebenen Richtung, bis der Endpunkt erreicht wird.

PC-DMIS zeigt im Bereich Begrenzungspunkte standardmäßig einen Start-, Richtungs- und Endpunkt an. Sie können den Endpunkt löschen – nicht jedoch den Start- oder Richtungspunkt.

Wenn Sie die einzelnen Begrenzungspunkte definieren (entweder, indem Sie auf das CAD-Modell klicken oder die Werte eingeben), setzt PC-DMIS automatisch jeden Punkt auf denselben Radiusabstand zum Mittelpunkt, es sei denn, Sie haben keinen Radius definiert. In diesem Fall definiert der erste von Ihnen angegebene Begrenzungspunkt den Radius.

Näheres finden Sie unter Begrenzungspunkte.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Rotations-Scans - Meßpunkttyp

Meßpunkttyp

Für ROTATIONS-SCANS ist nur ein Meßpunkttyp verfügbar:

  • VEKTOR


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen Rotations-Scans - Ausgangsvektoren

Ausgangsvektoren

Die folgenden Vektoren werden in einem ROTATIONS-SCAN verwendet:

  • Erstpunktvektor (Ausgangsvektor)
  • Grenzebenenvektor (Ebenenvektor)
  • Endpunktvektor (Endvektor)

Weitere Einzelheiten finden Sie unter Erstpunktvektoren im Abschnitt "Gemeinsame Funktionen der Scan-Dialogfelder".


Durchführen eines fortgeschrittenen UV-Scans

Help Settings Close Create Undo Generate Get Nominals To Points CAD Elements Options Hits area Hit Type UV Scan Settings LinearOpen Rotary Perimeter Section Patch LinearClose

Display Menu Roadmap
Mit der Registerkarte UV-Scan können Sie auf einfache Weise Punktezeilen auf jeder beliebigen Oberfläche eines CAD-Modells scannen (ähnlich wie beim Flächenscan). Bei diesem Scan sind nur wenige Einstellungen erforderlich, da der UV-Bereich gemäß Definition durch das CAD-Modell verwendet wird.

Hinweis: Wenn der UV-Scan anhand dieses Dialogfelds eingerichtet wird, erhält PC-DMIS alle hierfür erforderlichen Punkte aus dem CAD-Modell und verwendet die Nenndaten für jeden Punkt. Während der Ausführung steht die Option NW-SUCHE aus der Liste Nennwerte jedoch nicht zur Auswahl, es ist nur die Option MASTER verfügbar.

Siehe auch:

So erstellen Sie einen UV-Scan

UV-Scan-Einstellungen

Meßpunkttyp

Bereich "Meßpunkte"


So erstellen Sie einen UV-Scan

  1. Aktivieren Sie den TTP -Taster.
  2. Versetzen Sie Ihr CAD-Modell in den schattierten Modus.
  3. Versetzen Sie PC-DMIS in den CNC-Modus.
  4. Öffnen Sie das Dialogfeld Scannen. Klicken Sie auf die Registerkarte UV-Scan.

Display Menu Roadmap
Lassen Sie das Dialogfeld geöffnet und klicken Sie auf das CAD-Modell, um die Oberfläche für den Scan auszuwählen. PC-DMIS markiert diese Oberfläche und zeigt auf dem CAD-Modell ein U und ein V an, um für jede Achse die Richtung anzugeben. Der Punkt, an dem Sie auf die Oberfläche klicken, stellt außerdem den Startpunkt für den UV-Scan dar.

  6. Geben Sie im Registerbereich UV-Scan-Einstellungen die Anzahl an Meßpunkten in den Richtungen U und V ein.
  7. Geben Sie die Start- und Endposition für den Scan ein. Beachten Sie, daß im UV-Bereich die Zahlen zwischen 0,0 und 1,0 die gesamte Oberfläche darstellen. Das heißt, daß sich 0,0, 0,0 und 1,0, 1,0 in diagonal gegenüberliegenden Ecken befinden. Sie können die Scan-Richtung ändern, indem Sie die Start- und Endwerte in den Zeilen U und V tauschen.
  8. Wählen Sie aus der Liste Meßpunkt typ den Meßpunkttyp aus, der beim Scannen erzeugt werden soll. Wählen Sie entweder Vektor oder Oberfläche.
  9. Bearbeiten Sie je nach Bedarf weitere Optionen. Nur MASTER kann aus der Liste Nennwerte ausgewählt werden.
  10. Klicken Sie auf Berechnen, um eine Vorschau des Scans auf dem CAD-Modell im Grafikfenster anzeigen zu lassen. PC-DMIS zeigt auf dem CAD-Modell an, an welchen Positionen die Punkte erzeugt werden sollten. Beim UV-Scan werden Hindernisse auf der Oberfläche (z.B. Bohrungen) automatisch übersprungen.
  11. Nehmen Sie bei Bedarf weitere Änderungen an Ihrem Scan vor.
  12. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS fügt den Scan in das Bearbeitungsfenster ein und zeigt den Scanverlauf des Tasters auf der Oberfläche des Modells im Grafikfenster an.


UV-Scan-Einstellungen

Im Bereich UV-Scan-Einstellungen können Sie Ihren UV-Scan definieren. Der Bereich enthält die Felder U und V. Sie können hier folgende Steuerungen definieren:

  • Mit den im Feld Meßpunkte eingegebenen Werten können Sie angeben, wie viele Meßpunkte der Scan auf der Oberfläche in der U- oder V-Richtung aufnimmt.
  • Mit den in den Feldern Start und Ende eingegebenen Werten positionieren Sie die Meßpunktmatrix auf der zu scannenden Oberfläche. Diese Werte können Sie sowohl für die U- als auch für die V-Zeilen einstellen, so daß der Scan entlang der U- und V-Achse verläuft. Beachten Sie, daß im UV-Bereich die Zahlen zwischen 0,0 und 1,0 die gesamte Oberfläche darstellen. Das heißt, daß sich 0,0, 0,0 und 1,0, 1,0 in diagonal gegenüberliegenden Ecken befinden.
  • Die Positionsfelder können nicht bearbeitet werden. Sie geben die aktuelle Position des Tasters entlang der U- und V-Achsen an.


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen UV-Scans - Meßpunkttyp

Meßpunkttyp

Für einen UV-Scan stehen folgende Meßpunkttypen zur Verfügung:

  • VEKTOR
  • OBERFLÄCHE


Scannen Ihres Werkstücks - Durchführen eines fortgeschrittenen UV-Scans - Bereich "Meßpunke"

Bereich "Meßpunkte"

Im Bereich Meßpunkte können Sie die XYZ- und IJK-Werte für jeden Meßpunkt in einem erzeugten UV-Scan ansehen, Vektoren umkehren oder einen Meßpunkt komplett löschen.

  • Um einen Vektor umzukehren, wählen Sie den Meßpunkt einfach aus der Liste aus und klicken sie auf die Schaltfläche Umk.
  • Um alle Vektoren umzukehren, Klicken Sie auf die Schaltfläche Alle Umk.
  • Um einen Meßpunkt aus diesem Bereich zu löschen, klicken Sie auf Löschen.

Klicken Sie auf OK, um Ihre Änderungen zu akzeptieren und im Dialogfeld zu übernehmen. Klicken Sie auf Erzeugen, um die endgültigen Änderungen zu akzeptieren.


Einführung zu manuell durchgeführten Scans

Hotspot 12 Hotspot 11 Hotspot 10 Hotspot 12 Hotspot 15 Hotspot 16 Hotspot 15 Hotspot 14 Hotspot 13 Hotspot 12 Hotspot 11 Hotspot 1

Mit der Manuellen TTP-Scanmethode können Sie eine Punktmessung definieren, indem die Werkstückoberfläche manuell gescannt wird. Dies ist besonders nützlich, wenn durch den Benutzer gesteuerte KMG-Meßpunkte erwünscht sind. Um manuelle Scans durchzuführen, versetzen Sie PC-DMIS in den manuellen Modus und wählen die gewünschten Optionen aus dem Untermenü Scannen aus. Das Dialogfeld Scannen wird zum Erstellen von manuellen Scans verwendet. Weitere Einzelheiten zum Dialogfeld Scannen finden Sie unter Allgemeine Funktionen des Dialogfelds "Scannen".

Siehe auch:

Regeln für manuelles Scannen

Weitere Optionen für manuelle Scans


Regeln für manuelles Scannen

Die folgenden Themen behandeln allgemeine Regeln für das manuelle Scannen und Regeln für standardisierte Horizontal-KMGs sowie Brücken- und Messarm-KMGs.

Siehe auch:

Allgemeine Regeln für manuelles Scannen

Regeln für den Einsatz von standardmäßigen Horizontal- und Brücken-KMGs

Regeln für den Einsatz von Messarm-KMGs (Gage 2000A, Faro, Romer)


Allgemeine Regeln für manuelles Scannen

Manuelle Scans sollten entlang der Maschinenachse (der X-, Y- oder Z-Achse) ausgeführt werden.

Gesetzt den Fall, eine Kugeloberfläche muß für das Werkstück gescannt werden. Gehen Sie wie folgt vor:

  1. Sperren Sie die Y-Achse. Dies geschieht mit einem Verrieglungsschalter am KMG. Der Schalter kann EIN- bzw. AUSgeschaltet werden, um eine Bewegung entlang einer bestimmten Achse zu unterbinden bzw. zuzulassen.
  2. Beginnen Sie, in der +X-Richtung zu scannen.
  3. Gehen Sie dann zur nächsten Reihe entlang +Y oder -Y über.
  4. Scannen Sie in umgekehrter Richtung zurück.

Wenn der manuelle Scan mehrere Reihen umfaßt, empfehlen wir, jede zweite Scan-Reihe in umgekehrter Richtung zu sannen.

Ein Beispiel (Scan einer Kugel wie oben erläutert):

  1. Beginnen Sie den Scan entlang der Oberfläche in der +X-Richtung.
  2. Gehen Sie dann zur nächsten Reihe entlang der -X-Achse über.
  3. Kehren Sie die Richtung des Scans wie erforderlich weiterhin um. Diese Gleichförmigkeit ist für die internen Algorithmen erforderlich. Eine Nichteinhaltung dieses Schemas könnte die erzielten Ergebnisse beeinträchtigen.

Erstpunktvektor

Für manuelle Scans ist für die internen Berechnungen ein Erstpunktvektor in Maschinenkoordinaten erforderlich.

Ausgangsrichtungsvektor

Für manuelle Scans ist für die internen Berechnungen ein Ausgangsrichtungsvektor in Maschinenkoordinaten erforderlich.

Beispiel: Wenn Sie einen +X-Scan ausführen wollen, sperren Sie die Y- und Z-Maschinenachsen, und geben Sie einen Wert von 0, 0, 1 für den Ausgangsrichtungsvektor ein. Wenn der Scan an der -X-Achse beginnen soll, geben Sie 0, 0, -1 ein.


Regeln für den Einsatz von standardmäßigen Horizontal- und Brücken-KMGs

Regeln für ein Einsatz von standardmäßigen Horizontal- und Brücken-KMGs

Die folgende Beschreibung zeigt die Regeln auf, die einzuhalten sind, wenn beim manuellen Scannen mit Horizontal- und Brücken-KMGs eine ausreichende Kompensierung und eine größere Geschwindigkeit erzielt werden sollen.

Feste Abstand-Scans, Feste Zeitinterval-Scans und Feste Zeit / Fester Abstand Scan

  1. Eine Achse des KMGs muß während des Scanvorgangs gesperrt werden, damit PC-DMIS den Scan auf einer Ebene senkrecht zur gesperrten Achse ausführt.
  2. Für jeden dieser drei Scantypen müssen Sie den Erstpunktvektor und den Ausgangsrichtungsvektor in das Maschinen-Koordinatensystem eingeben. Dies ist erforderlich, da eine der Maschinenachsen gesperrt wird.

Hauptachsen-Scans

  1. Während des Scans darf keine Achse gesperrt werden. PC-DMIS führt den Scan aus, indem es den Taster über die zuvor eingegebene Lage der Hauptachse führt. Jedesmal, wenn der Taster die angegebene Ebene überquert, nimmt das KMG eine Ablesung vor und gibt diese an PC-DMIS weiter.
  2. Für diesen Scantyp müssen Sie die Werte des Startpunkt- und des Ausgangsrichtungsvektors in das Koordinatensystem des Werkstücks eingeben. Dies ist erforderlich, damit der Taster über die angegebene Lage der Hauptachse geführt werden kann.
  3. Vergessen Sie nicht, die Hauptachse in das Werkstück-Koordinatensystem einzugeben.


Regeln für den Einsatz von Messarm-KMGs (Gage 2000A, Faro, Romer)

Die folgende Beschreibung zeigt die Regeln auf, die einzuhalten sind, wenn beim manuellen Scannen mit Messarm-KMGs eine ausreichende Kompensierung und eine größere Geschwindigkeit erzielt werden sollen.

Alle manuelle Scantypen

  1. Während des Scans darf keine Achse gesperrt werden. PC-DMIS führt den Scan aus, indem es den Taster über die zuvor eingegebene Lage der Hauptachse führt. Jedesmal, wenn der Taster die angegebene Ebene überquert, nimmt das KMG eine Ablesung vor und gibt diese an PC-DMIS weiter.
  2. Für diesen Scantyp müssen Sie die Werte des Startpunkt- und des Ausgangsrichtungsvektors in das Werkstück-Koordinatensystem eingeben. Dies ist erforderlich, damit der Taster über die angegebene Lage der Hauptachse geführt werden kann.
  3. Vergessen Sie nicht, die Hauptachse in das Werkstück-Koordinatensystem einzugeben.


Weitere Optionen für manuelle Scans

PC-DMIS bietet eine Reihe weiterer Optionen für manuelle Scans.

Siehe auch:

Neue Reihe

Scan fertig

Kontrollkästchen "3D"


Neue Reihe

Mit der Befehlsschaltfläche Neue Reihe können Sie eine neue Reihe für den Scan beginnen. Diese Schaltfläche steht nur zur Verfügung, wenn ein manueller Scan erlernt wird. Die Schaltfläche befindet sich im Dialogfeld Ausführungsoptionen.

So arbeiten Sie mit der Befehlsschaltfläche Neue Reihe:

  1. Klicken Sie auf Anhalten, um den Scan anzuhalten.
  2. Wählen Sie die Schaltfläche Neue Reihe. Damit wird angegeben, daß eine neue Reihe gescannt werden soll.

oder

  1. Wählen Sie die Schaltfläche Neue Reihe zuerst. PC-DMIS hält den Scan automatisch an.
  2. Bewegen Sie den Taster in die nächste Reihe.
  3. Klicken Sie auf die Schaltfläche Fortfahren.

PC-DMIS beginnt mit dem Scan der neuen Reihe.


Scan fertig

Über die Befehlsschaltfläche Scan fertig teilen Sie PC-DMIS mit, daß der Scan vollständig ist. Diese Schaltfläche steht nur zur Verfügung, wenn ein manueller Scan ausgeführt (erlernt) wird. Die Schaltfläche befindet sich im Dialogfeld Ausführungsoptionen. Während der Ausführung des Scans erfaßt PC-DMIS Daten vom KMG. Gleichzeitig filtert (reduziert) PC-DMIS die Daten nach der von Ihnen angegebenen Methode (Festes Zeitinterval, Fester Abstand, Feste Zeit/ Fester Abstand.). Die Daten, die den Kriterien (wie beispielsweise Feste Zeit- oder Abstandsintervalle) nicht entsprechen, werden ausgeschlossen; die Daten, die den Kriterien entsprechen, werden behalten.

Die Vorgängerversionen des Programms verfügten über eine Schaltfläche Reduzieren, die in dieser Version jedoch nicht verwendet wird. Wenn Sie die Befehlsschaltfläche Scan fertig wählen, hält PC-DMIS die Erfassung der Daten an und verarbeitet sie, um Nennwerte, Vektorkompensation usw. zu ermitteln.


Kontrollkästchen "3D"

Mit dem Kontrollkästchen "3D" können Sie in jeder Richtung manuelle Meßpunkte dreidimensional aufnehmen. Diese Option ist sehr hilfreich, wenn Sie ein Messgerät mit nicht verriegelbaren Achsen einsetzen.

Bei einem normalen Scanvorgang fordert PC-DMIS, daß Sie die manuellen Meßpunkte zuerst in Richtung des Ausgangsvektors im Bereich Erstpunktvektoren aufnehmen, um eine genaue Tasterkompensation zu erhalten. Im Falle von frei beweglichen KMGs (wie beispielsweise Faro, SMX, GOM etc.) kann es jedoch schwierig sein, Meßpunkte in einer "geraden" Linie aufzunehmen.

Durch Auswahl dieses Kontrollkästchens können Sie den Taster jedoch in jede beliebige Richtung bewegen. PC-DMIS wird jedesmal dann einen Punkt aufnehmen, wenn Sie den Inkrementabstand zwischen dem vorherigen Punkt und dem aktuellen Punkt erreicht haben.

Einschränkungen bei der Tasterkompensation:

Wenn Sie dieses Kontrollkästchen aktiviert haben und den Taster in jede beliebige Richtung bewegen können, ist PC-DMIS nicht in der Lage, die richtige Tasterkompensation (oder die Eingabe- und Richtungsvektoren) aus den gemessenen Daten zu ermitteln.

Es gibt zwei verschiedene Lösungen für Kompensationseinschränkungen:

  • Ist eine CAD-Oberfläche vorhanden, wählen Sie NW-SUCHE aus der Liste N Nennwerte aus. PC-DMIS wird versuchen, die Nennwerte für jeden im Scan gemessenen Punkt zu finden. Werden die Nennwertdaten gefunden, wird der Punkt entlang des gefundenen Vektors kompensiert, so daß eine genaue Tasterkompensation möglich wird. Anderenfalls verbleibt er in der Kugelmitte.
  • Sind keine CAD-Oberflächen vorhanden, findet auch keine Tasterkompensation statt. Alle Daten verbleiben in der Kugelmitte, ohne daß eine Tasterkompensation erfolgt.


Manuell durchgeführte Scans mit einem starren Taster

Display Menu Roadmap
Beim manuellen Scannen stehen Ihnen vier verschiedene Meßmethoden zur Auswahl. Alle vier Methoden können mit starren Tastern durchgeführt werden. PC-DMIS erfaßt die gemessenen Punkte, sobald sie während des Scanvorgangs von der Steuereinheit gelesen worden sind. Wenn der Scan abgeschlossen ist, gibt PC-DMIS Ihnen die Möglichkeit, die erfaßten Daten auf der Basis der ausgewählten Scanmethode zu reduzieren.

Die vier Meßmethoden für Scans mit einem starren Taster werden nachfolgend erläutert.

Hinweis: Wird ein schaltendes Tastsystem verwendet, müssen an jeder Stelle einzelne Meßpunkte liegen. PC-DMIS wird in einem solchen Fall nicht die vier hier beschriebenen Meßmethoden für Scans mit starren Tastern anbieten.

Siehe auch:

Manuelle Durchführung eines Fester Abstand Scans

Manuelle Durchführung eines Feste Zeit / Fester Abstand Scans

Manuelle Durchführung eines Feste Zeit Scans

Manuelle Durchführung eines Hauptachsen-Scans

Manuelle Durchführung eines Mehrfacher Schnitt-Scans


Manuelle Durchführung eines Fester Abstand Scans

Display Menu Roadmap
Mit der Scanmethode Fester Abstand können Sie die gemessen Daten durch die Festlegung eines Abstandswerts im Feld Abstand zw. Meßpunkten reduzieren. PC-DMIS beginnt mit dem ersten Meßpunkt und reduziert den Scan, indem es die Meßpunkte löscht, die näher liegen als der vorgegebene Abstand. Die Reduzierung der Meßpunkte erfolgt, während die Daten von der Maschine eingehen. PC-DMIS behält nur die Punkte, zwischen denen ein größerer Zwischenraum als der angegebene Inkrementalabstand liegt.

Beispiel: Wenn Sie ein Inkrement von 0,5 festgelegt haben, behält PC-DMIS nur die Meßpunkte, die mindestens 0,5 Maßeinheiten voneinander entfernt liegen. Die restlichen von der Steuereinheit zurückgemeldeten Meßpunkte werden verworfen.

(Weitere Einzelheiten hierzu finden Sie unter Allgemeine Funktionen des Dialogfelds "Scannen").


Manuelle Durchführung eines Feste Zeit / Fester Abstand Scans

Display Menu Roadmap
Mit der Scanmethode Feste Zeit / Fester Abstand können Sie die Anzahl der in einem Scan aufgenommenen Meßpunkte reduzieren, indem Sie sowohl den vom Taster zurückzulegenden Abstand als auch die Zeit, die vergehen muß, bevor PC-DMIS weitere Meßpunkte von der Steuereinheit akzeptieren kann, festlegen.

(Weitere Einzelheiten hierzu finden Sie unter Allgemeine Funktionen des Dialogfelds "Scannen").

Siehe auch:

Abstand zwischen Meßpunkten

Ablese-Intervall


Abstand zw. Meßpunkten

Über das Kontrollkästchen Abstand zw. Meßpunkten können die gemessenen Daten reduziert werden, indem die Meßpunkte gelöscht werden, die näher liegen als vorgegebene Abstand. Die Reduzierung der Meßpunkte erfolgt, während die Daten von der Maschine eingehen. PC-DMIS behält nur die Punkte, zwischen denen ein größerer Zwischenraum als der angegebene Inkrementalabstand liegt.


Ablese-Intervall

Im Feld Ablese-Intervall können Sie das Zeitinkrement (in Sekunden) einstellen, um zu bestimmen, welche Meßpunkte schneller eingelesen werden als im Feld Feste Zeit angegeben.


Manuelle Durchführung eines Feste Zeit Scans

Display Menu Roadmap
Mit der Scanmethode Feste Zeit können Sie die Scan-Daten durch die Festlegung eines Zeitintervalls im Feld Ablese-Intervall reduzieren. PC-DMIS beginnt mit dem ersten Meßpunkt und reduziert den Scan, indem es die Punkte löscht, die schneller als in der vorgegebenen Zeit eingelesen werden.

Beispiel: Wenn Sie ein Zeitinkrement von 0,05 Sekunden angeben, behält PC-DMIS nur die von der Steuereinheit eingelesenen Punkte, die in einem Intervall von mindestens 0,05 Sekunden gemessen wurden. Die anderen Punkte werden vom Scan ausgeschlossen.

(Weitere Einzelheiten zu den anderen Steuerfunktionen dieser Registerkarte finden Sie unter Allgemeine Funktionen des Dialogfelds "Scannen").


Manuelle Durchführung eines Hauptachsen-Scans

Display Menu Roadmap
Mit dieser Scanmethode Haupt achse können Sie ein Werkstück scannen, indem Sie eine Schnittebene auf einer bestimmten Achse angeben und den Taster über die Schnittebene ziehen. Während das Werkstück gescannt wird, sollten Sie den Scan so steuern, daß der Taster so oft wie erwünscht kreuz und quer über die Schnittebene geführt wird. PC-DMIS verfährt dann folgendermaßen:

  1. PC-DMIS erhält Daten von der Steuereinheit und sucht nach den beiden Datenpunkten, die der Schnittebene auf beiden Seiten am nächsten gelegen sind, während der Taster hin- und hergeführt wird.
  2. PC-DMIS bildet dann zwischen den beiden Meßpunkten eine Linie, welche die Schnittebene durchstößt.
  3. Der Durchstoßpunkt wird zu einem Meßpunkt auf der Schnittebene.

Diese Operation wird jedes Mal durchgeführt, wenn die Schnittebene überquert wird, so daß Sie letzten Endes viele Meßpunkte auf der Schnittebene erhalten.

Sie können diese Methode zur Prüfung mehrerer Scan-Reihen (FLÄCHEN) einsetzen, indem Sie ein Inkrement für die Lage der Schnittebene eingeben. Wenn die erste Reihe gescannt wurde, setzt PC-DMIS die Schnittebene an die nächste Stelle, indem die aktuelle Position zum Inkrement hinzuaddiert wird. Sie können dann die nächste Reihe in der neuen Lage der Schnittebene scannen.

(Weitere Einzelheiten zu den anderen Steuerfunktionen dieser Registerkarte finden Sie unter Allgemeine Funktionen des Dialogfelds "Scannen").

Siehe auch:

Achse

Lage

Inkrement


Scannen Ihres Werkstücks - Manuelle Durchführung eines Hauptachsen-Scans - Achse

Achse

In der Liste Achse können Sie die Achse wählen, auf der die Schnittebene liegt. Die verfügbaren Achsen sind X, Y und Z.


Lage

Im Feld Lage können Sie die Lage der Schnittebene angeben.


Scannen Ihres Werkstücks - Manuelle Durchführung eines Hauptachsen-Scans - Inkrement

Inkrement

Im Feld Inkrement können Sie den Abstand zwischen den einzelnen Scan-Reihen eingeben.


Manuelle Durchführung eines Mehrfacher Schnitt-Scans

Display Menu Roadmap
Die Scanmethode Mehrfacher Schnitt ist im Prinzip stark mit der manuellen Scanmethode Hauptachse vergleichbar, abgesehen von den folgenden Unterschieden:

  1. Mehrfache Schnitte können durchquert werden.
  2. Die Bewegung muß nicht parallel zur X-, Y- oder Z-Achse verlaufen.

Weitere Informationen zum Hauptachsen-Scan finden Sie unter Manuelle Durchführung eines Hauptachsen-Scans.

(Weitere Einzelheiten zu den anderen Steuerfunktionen dieser Registerkarte finden Sie unter Allgemeine Funktionen des Dialogfelds "Scannen").

Siehe auch:

Schnittart

Anzahl der Schnitte

Inkrement für Mehrfacher Schnitt-Scan

Startpunkt für Mehrfacher Schnitt-Scan


Schnittart

Mit dieser Liste können Sie die Art der für den Scan zu verwendenden Profilschnitte festlegen. Verfügbare Optionen sind:

Parallele Ebenen – Diese Profilschnitte sind durch das Werkstück verlaufende Ebenen. Jedesmal, wenn der Taster eine Ebene überquert, nimmt PC-DMIS einen Punkt auf. Die Ebenen verlaufen relativ zum Startpunkt und dem Richtungsvektor.

Radiale Ebenen – Diese Profilschnitte sind Ebenen, die radial vom Startpunkt aus und durch das Werkstück verlaufen. Jedesmal, wenn der Taster eine Ebene überquert, nimmt PC-DMIS einen Punkt auf. (Zum Zeitpunkt des Drucks der vorliegenden Dokumentation war dieser Profilschnittyp noch nicht implementiert.)

Konzentrische Kreise – Diese Profilschnitt sind Kreise mit wachsenden um den Startpunkt zentrierten Durchmessern. Jedesmal, wenn der Taster einen Kreis überquert, nimmt PC-DMIS einen Punkt auf. (Zum Zeitpunkt des Drucks der vorliegenden Dokumentation war dieser Profilschnittyp noch nicht implementiert.)


Anzahl der Profilschnitte

Anzahl der Schnitte

Im Feld Anzahl der Schnitte können Sie die Anzahl der von PC-DMIS in einem Scan zu verwendenden Schnitte bestimmen. PC-DMIS verteilt die Schnitte automatisch auf dem Werkstück.


Inkremente für Mehrfacher Schnitt-Scans

Im Feld Inkrement können Sie den Abstand oder Winkel zwischen den mehrfachen Schnitten bestimmen (wenn nur ein Profilschnitt vorhanden ist, ignoriert PC-DMIS diesen Wert).

Bei den Scanmethoden Parallele Ebenen und Konzentrischer Kreis entspricht dies dem Abstand zwischen jedem Profilschnitt.

Bei den Scanmethoden Radiale Ebenen entspricht dies dem in Grad gemessenen Winkel zwischen jedem Profilschnitt.


Startpunkt für Mehrfacher Schnitt-Scans

In den Startpunktfeldern können Sie X-, Y- und Z-Anfangslage des ersten Profilschnitts bestimmen. Wenn Sie weitere Profilschnitte festlegen, werden diese von diesem Punkt ausgehend berechnet und versetzt.


Manuell durchgeführte Scans mit einem schaltenden Tastsystem

Manuell durchgeführte Scans mit einem schaltenden Meßtaster

Manuelle Scans können auch mit einem schaltenden Meßtaster durchgeführt werden.

Vorgehensweise:

  1. Versetzen Sie PC-DMIS in den manuellen Modus.
  2. Öffnen Sie das Dialogfeld Scannen.

Display Menu Roadmap
Definieren Sie die erforderlichen Parameter.

  4. Klicken Sie auf die Schaltfläche Erzeugen. PC-DMIS zeigt das Dialogfeld Ausführungsoptionen an und fordert Sie auf, einen Meßpunkt aufzunehmen.
  5. Wenn der Scan ausgeführt worden ist, klicken Sie im Dialogfeld Ausführungsoptionen auf Scan fertig. PC-DMIS wird den Scan daraufhin anhalten.

Hinweis: Einige Scanmethoden stehen nicht zur Auswahl, wenn mit einem schaltenden Taster gearbeitet wird..


Inserting Move Commands

Einfügen eines Bewegungspunktbefehls

Einfügen eines Bewegungsinkrementbefehls

Einfügen einer Sicherheitsebene

Einfügen eines Sicherheitsebenenbewegungsbefehls

Einfügen eines Kreisbewegungsbefehls

Einfügen eines Bewegungs-Sync-Befehls

Einfügen eines Fünfachsenbewegungsbefehls

Einfügen des Befehls "Bewegen aller Achsen"

Einfügen eines Drehtischbewegungsbefehls

Einfügen eines Sicherheitszonenbefehls


Einfügen von Bewegungsbefehlen: Einführung

In diesem Abschnitt werden die verschiedenen Bewegungsbefehle beschrieben, die in ein Werkstückprogramm eingefügt werden können. Mit den Bewegungsbefehlen können Sie die Bewegungen des Tasters zwischen den Meßpunkten ändern.

Die Hauptthemen in diesem Abschnitt behandeln die Bewegungsbefehle, die Sie über das Untermenü Einfügen | Bewegen einfügen können, sowie alle anderen Bewegungsbefehle. Dazu gehören:

  • Einfügen eines Bewegungspunktbefehls
  • Einfügen eines Bewegungsinkrementbefehls
  • Einfügen einer Sicherheitsebene
  • Einfügen eines Sicherheitsebenenbewegungsbefehls
  • Einfügen eines Kreisbewegungsbefehls
  • Einfügen eines Bewegungs-Sync-Befehls
  • Einfügen eines Fünfachsenbewegungsbefehls
  • Einfügen des Befehls "Bewegen aller Achsen"
  • Einfügen eines Drehtischbewegungsbefehls
  • Einfügen eines Sicherheitszonenbefehls


Einfügen eines Bewegungspunktbefehls

Mit dem Befehl Bewegungspunkt können Sie einen Bewegungspunkt in das Werkstückprogramm einfügen.

Display Menu Roadmap
Wählen Sie hierfür die Menüoption Bewegungspunkt. Nach Auswahl dieses Befehls fügt PC-DMIS einen Bewegungspunkt an der aktuellen Tasterposition ein.

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Bewegungspunkt lautet wie folgt:
BEWEGUNG/PUNKT,x,y,z

Um die angezeigten Werte im Bearbeitungsfenster zu ändern, wählen Sie den zu ändernden Wert aus und geben Sie einen neuen Wert ein. Sie können auch F9 drücken, um das Dialogfeld Auto Bewegungspunkt zu öffnen.

Wenn Sie in der Version 3.5 und höher einen BEWEGUNG/PUNKT-Befehl einfügen, markiert PC-DMIS diesen automatisch zur Ausführung.

Verwenden von Bewegungspunkten während der Animation

Wird diese Menüoption während der Tasterbahnanimation mit dem KMG ausgewählt, fragt PC-DMIS stets zurück, ob die Bewegung vor oder hinter der aktuellen Position eingefügt werden soll. Die aktuelle Position ist aus der Statusleiste zu ersehen.

Einfügen von Bewegungspunkten über die Statusleiste

Auf die Option zum Einfügen eines Bewegungspunkts können Sie auch zugreifen, während das System im Programmodus arbeitet. Setzen Sie den Cursor auf die Statusleiste über der Ergebnisanzeige, und drücken Sie die linke Maustaste.

Einfügen von Bewegungspunkten über das Bedienelement

Wenn Sie die Taste DRUCKEN auf dem Bedienelement (bei Systemen des Typs Sharpe32) drücken, während der Lernmodus aktiv ist, wird automatisch eine Bewegung in das Werkstückprogramm eingefügt. Der Registrierungseintrag PrintButton (Drucktaste) muß auf TRUE (WAHR) eingestellt sein, damit diese Funktion verfügbar ist.

Hinweis: Durch Auswahl der Menüoption Bewegen nach wird das Dialogfeld Auto Bewegungspunkt angezeigt, statt daß automatisch ein Bewegungspunkt in das Werkstückprogramm eingefügt wird. Dadurch können Sie die XYZ-Position angeben, zu der sich der Taster bewegen soll.

Display Menu Roadmap


Inserting a Move Increment Command

Home Contents Previous Next

Einfügen eines Bewegungsinkrementbefehls

Display Menu Roadmap
Ähnlich wie der Befehl Bewegungspunkt können Sie über die Menüoption Inkrementalbewegung einen BEWEGEN/INKREMENT-Befehl im Bearbeitungsfenster einfügen. Jedesmal, wenn PC-DMIS auf diesen Bewegungsinkrementbefehl trifft, wird der Taster um das X-,Y-, und Z-Inkrement von der aktuellen Position wegbewegt.

Über die Menüoption Inkrementalbewegung wird zuerst das Dialogfeld Auto Bewegungspunkt geöffnet. Darin können Sie den Bewegungsinkrementbefehl definieren, bevor Sie ihn in das Werkstückprogramm einfügen.

Learn During Execution Read Pos Cancel OK Increment Move OK to Move Store Move XYZ Move boxes

In diesem Dialogfeld können Sie auch die Nennposition für den Bewegungspunkt- oder den Bewegungsinkrementbefehl eingeben.

Siehe auch:

XYZ-Bewegung

Bewegung speichern

Bewegung ausführen

Inkrementalbewegung

Lernen während der Ausführung

Schaltfläche "Lesen" für Bewegungspunkt


XYZ-Bewegung

Diese XYZ-Bewegungsfelder zeigen die Nennwerte X, Y und Z für die Position des Bewegungspunkts an.

So ändern Sie die Werte X, Y oder Z:

  1. Wählen Sie das zu ändernde Feld.
  2. Geben Sie einen neuen Wert ein.

Nach Eingabe eines neuen Werts zeichnet PC-DMIS den animierten Taster an der neuen Position. Dadurch wird die Position der gespeicherten Bewegung ausgewiesen. Wenn Sie dann auf die Schaltfläche OK klicken, setzt PC-DMIS das KMG auf die angegebene Position.


Bewegung speichern

Wenn das Kontrollkästchen Bewegung speichern markiert ist, wird ein Bewegungspunkt für die angegebenen Werte X, Y, Z in das Programm eingefügt.


Bewegung ausführen

Wenn das Kontrollkästchen Bewegung ausführen markiert ist, rückt PC-DMIS den Taster an die X, Y, Z-Position. Damit können Sie das KMG positionieren, ohne die Bewegung zu speichern. Diese Option setzt die aktuelle Tasterposition in die Werte X, Y, Z ein.


Inkrementalbewegung

Wenn das Kontrollkästchen Inkrementalbewegung markiert ist, fügt PC-DMIS eine Inkrementalbewegung ein. Der Taster wird dabei um die angegebenen XYZ-Entfernungen weiterbewegt, statt an die XYZ-Position gesetzt zu werden (was bei einer XYZ-Bewegung der Fall wäre).

Das Kontrollkästchen Bewegung speichern muß ebenfalls markiert sein.

Die im Bearbeitungsfenster für eine Inkrementalbewegung angezeigte Befehlszeile lautet:
BEWEGEN/ INKREMENT, x, y, z


Lernen während der Ausführung

Wenn das Kontrollkästchen Lernen während der Ausführung markiert ist, bewegt sich PC-DMIS auf die im Dialogfeld angezeigte XYZ-Punktposition und erlernt diese neu, während das Werkstückprogramm ausgeführt wird. Das Kontrollkästchen Bewegung speichern muß ebenfalls markiert sein, damit dieser Befehl funktioniert.

Die im Bearbeitungsfenster angezeigte Befehlszeile für einen Bewegungspunkt, den PC-DMIS während der Programmausführung erlernen soll, lautet:
BEWEGEN/PUNKT, NEULERNEN


Position lesen für Auto Bewegungspunkt

Schaltfläche "Lesen" für Auto Bewegungspunkt

Klicken Sie auf die Schaltfläche Lesen, um die aktuelle Position des Tasters anzuzeigen und die Werte X, Y und Z im Dialogfeld Auto Bewegungspunkt einzufügen. Diese können dann im Bearbeitungsfenster eingefügt werden, indem Sie das Kontrollkästchen Bewegung speichern markieren und auf OK klicken.


Einfügen einer Sicherheitsebene

Display Menu Roadmap
Mit dem Befehl SICHEBENE können Sie einen Sicherheitsebenenwert für die aktuelle Arbeitsebene definieren. Durch Sicherheitsebenen wird eine Art "Schutzhülle" um das Werkstück gebildet, in der sich der Taster immer bewegt, wenn er von einem Element zum anderen vorrückt.

Auf der Registerkarte Sicherheitsebene im Dialogfeld Parameter können Sie die Sicherheitsebenen global aktivieren. (Informationen hierzu finden Sie unter "Sicherheitsebene" im Abschnitt "Voreinstellungen".) Die Option SICHEBENE definiert nur die Sicherheitsebene für den ersten Meßpunkt eines Elements. Um weitere Sicherheitsebenen für ein Element einzurichten, öffnen Sie an der gewünschten Position eine neue Zeile und geben den folgenden Befehl ein: SICHEBENE.


Einfügen eines Sicherheitsebenenbewegungsbefehls

Display Menu Roadmap
Mit dem Befehl Sicherheitsebenenbewegung einfügen können Sie die Befehle BEWEGEN/SICHERHEITSEBENE zwischen einzelne Blocks und innerhalb von Elementen einfügen.

Dieser Befehl wird in Verbindung mit dem Befehl SICHEBENE / eingesetzt. Jedesmal, wenn dieser Befehl während der Ausführung auftritt, wird der Taster durch den Befehl in die Sicherheitsebene bewegt, die durch den Befehl SICHEBENE/ festgelegt wurde. Der Taster verbleibt in der Sicherheitsebene, bis ein Befehl ausgeführt wird, der den Taster von der Sicherheitsebene wegführt – wie beispielsweise MESS, MESSPKT oder BEWEGEN/PUNKT. Wenn Sie möchten, daß sich der Taster vor jedem Meßpunkt eines gemessenen Kreises in die Sicherheitsebene bewegt, dann muß unmittelbar vor jedem MESSPKT/-Befehl ein BEWEGEN/SICHEBENE-Befehl eingefügt werden.

PC-DMIS sucht nach der Definition der Sicherheitsebene. Dieser Befehl funktioniert nur, wenn die Parameter bereits eingestellt wurden.

So stellen Sie die Parameter für einen Sicherheitsebenen-Befehl ein:

  1. Öffnen Sie das Dialogfeld Parametereinstellungen.

Display Menu Roadmap
Klicken Sie auf die Registerkarte Sicherheitsebene.

  3. Geben Sie die Entfernung für das Feld Wert im Bereich Aktive Ebene ein.
  4. Geben Sie die Entfernung für die Sicherheitsebene in das Feld Wert im Bereich Durchgangsebene ein.
  5. Markieren Sie das Kontrollkästchen Sicherheitsebenen aktiv.
  6. Klicken Sie auf die Schaltfläche OK.

Wenn die Parameter nicht eingestellt wurden, zeigt PC-DMIS eine Fehlermeldung an.

Die im Bearbeitungsfenster für eine Beispiel-Sicherheitsebenenbewegung angezeigte Befehlszeile lautet:
BEWEGEN/SICHERHEITSEBENE


Einfügen eines Kreisbewegungsbefehls

Die Option Kreisbewegung ermöglicht das Einfügen eines BEWEGEN/KREISFÖRMIG-Befehls an der Cursorposition im Bearbeitungsfenster.

Display Menu Roadmap
Wenn PC-DMIS auf diesen Befehl trifft, folgt der Taster einer Kreisbewegung, um den nächsten Meßpunkt aufzunehmen. Die Bewegung erfolgt von einem Punkt zum nächsten auf einer kreisförmigen Linie, basierend auf dem Radius des gemessenen Elements.

Durch die Kreisbewegung wird vermieden, daß der Taster möglicherweise auf Hindernisse trifft, welche die geradlinige Bahn sonst blockieren würden. Bei einer Messung für ein Loch mit innenliegendem rechteckigen Stift kann es beispielsweise sein, daß die Tasterbahn durch diesen Stift blockiert werden könnte, wenn nicht die Kreisbewegung verwendet wird.

Dieser Befehl ist eigentlich für ganz spezielle Einsatzzwecke gedacht, kann aber bei der Messung von Stiften zu gewissen Zeitersparnissen führen, da der Taster näher am letzten Meßpunkt geführt wird.


Einfügen eines Bewegungs-Sync-Befehls

Werkstückprogramme für den Mehrarm-Betrieb enthalten Befehle zur Steuerung mehrerer Meßarme. Jedes Meßgerät führt diese Befehle separat aus, wobei beide Arme in Bewegung bleiben.

Die Menüoption Bewegungs-Sync ermöglicht das Einfügen eines BEWEGEN/SYNC-Befehls in das Bearbeitungsfenster.

Display Menu Roadmap
Dieser Befehl ermöglicht die Synchronisierung der Meßarme bei Doppelarm-Meßgeräten. Der Arm, der zuerst auf den Befehl BEWEGEN/SYNC im Werkstückprogramm trifft, hält an und wartet, bis der andere Arm ebenfalls angekommen ist, bevor beide das restliche Werkstückprogramm fortsetzen.


Einfügen eines Fünfachsenbewegungsbefehls

Display Menu Roadmap
Mit der Menüoption Fünfachsenbewegung wird folgender Durchlaufblock in das Bearbeitungsfenster eingefügt:

DURCHLAUFSTART/
DURCHLAUFENDE/

Die zwischen "Durchlaufstart" und "Durchlaufende" eingefügten BEWEGEN/DURCHLAUF-Befehle bewirken, daß sich der Taster in allen fünf Achsen gleichzeitig bewegt. Drei dieser Achsen sind die X-, Y- und Z-Achsen, die zur Bewegung des Messgeräts selbst verwendet werden. Die beiden anderen Achsen beziehen sich auf die AB-Winkelbewegung des Tasters, wenn ein Sharpe32Z-Steuerelement mit einem PHS-Dreh-/Schwenkkopf verwendet wird.

Hinweis: Dieser Befehl funktioniert nur mit kontinuierlichen Dreh-/Schwenkköpfen (CW43, CW43Light oder PHS) und nur mit einem Lasersensor des Typs Renishaw SP600 oder Wolf & Beck OTM3 (möglicherweise auch mit Tastsystemen wie beispielsweise von Perceptron oder Metris). Da Lasersensoren des Typs SP600 in der Regel jedoch nicht mit stufenlos verstellbaren Dreh-/Schwenkvorrichtungen verkauft werden, ist diese Funktion stark auf den Lasersensoren des Typs OTM3 beschränkt.

Die Bewegung findet auf allen fünf Achsen gleichzeitig statt. Bei dem PH9-Wrist dagegen muß sich das Gerät zuerst entlang der X, Y und Z-Achsen bewegen. Dann, wenn das Meßgerät anhält, bewegt sich die Tasterausrichtung (AB-Winkel).

Beispiel: Angenommen, die aktuelle KMG-Position ist 10, 10, 10 (in den X, Y und Z-Achsen) und die Wrist-Ausrichtung (AB-Position) 0, 0. Wenn Sie die Position des KMGs auf 20, 20, 20 und die Ausrichtung des Tasters auf 0, 180 verändern möchten, können Sie beide Bewegungen gleichzeitig mit einem PHS-Wrist ausführen, wenn Sie Fünfachsenbewegungsbefehle einsetzen. Bei einem PH9-Wrist wird dagegen zuerst die KMG-Bewegung und anschließend die Wrist-Ausrichtung durchgeführt.

Vergleich:

  • Ein PH9-Wrist kann auf der A-Achse Bewegungen zwischen 0º und 110º und auf der B-Achse Bewegungen zwischen +180º und -180º durchführen.
  • Ein PHS-Wrist kann auf A und B-Achse Bewegungen zwischen –180º und +180º in Schrittweiten von 0,1 Grad durchführen.

Die Befehle zur Fünfachsenbewegung bieten folgende Vorteile:

  • Flüssigere Bewegung, mit der schwer zugängliche Elemente gemessen werden können.
  • Zeitersparnis: Sie brauchen nicht mehr zu warten, bis sich die Pinole und Arm des KMG an die X-, Y- und Z-Position bewegt haben, bevor Tasterausrichtung geändert wird.
  • Geringere Vibrationen verbessern etwas die Genauigkeit.

Hinweis: In PC-DMIS müssen mindestens drei BEWEGEN/DURCHLAUF-Befehle zwischen den Befehlsblock DURCHLAUFSTART/DURCHLAUFENDE eingefügt werden. Diese Bewegungsbefehle sind für die Erzeugung elliptischer Bewegungsbahnen unbedingt erforderlich.


Einfügen des Befehls "Bewegen aller Achsen"

Display Menu Roadmap
Die Menüoption Bewegen aller Achsen ermöglicht das Einfügen eines BEWEGEN/ALLE Befehls in das Bearbeitungsfenster.

Ein BEWEGEN/ALLE-Befehl ist dasselbe wie ein BEWEGUNGSPUNKT-Befehl in Verbindung mit einem TASTERSPITZE/-Befehl. Der Vorteil dieses Befehls ist, daß sich der Tastkopf zusammen mit der Meßgerätbewegung dreht.

Wird ein Dreh-/Schwenkkopf (PHS, CW43L oder CW43) eingesetzt, wird diese Bewegung so synchronisiert, daß die AB-Wrist-Bewegung gleichzeitig mit dem Start und der Beendigung der XYZ-Bewegung des Messgeräts beginnt und endet.

Wird dieser Befehl in Verbindung mit einem indexierbaren Dreh-/Schwenkkopf, wie beispielsweise dem PH10M, verwendet, ist diese Bewegung nicht synchronisierbar und erfolgt zu einem unbestimmten Zeitpunkt während der Meßgerätbewegung (abhängig von den zeitlichen Verzögerungen bei der Signalverarbeitung durch die Elektronik-Hardware). Deshalb ist die AB-Wrist-Bewegung möglicherweise nicht immer gleichzeitig mit der vollständigen Ausführung der X-,Y- und Z-Bewegung durch das Meßgerät abgeschlossen.

Im Bearbeitungsfenster sieht der BEWEGEN/ALLE-Befehl folgendermaßen aus:

BEWEGEN/ALLE, X,Y,Z,TASTERSPITZE/T1A0B0, SCHAFTIJK=0, 0, 1, WINKEL=0
  • Mit X,Y,Z werden die X-, Y- und Z-Koordinaten festgelegt, auf die sich der Taster bewegen soll.
  • TASTERSPITZE =T1A0B0 gibt die auszuführende AB-Wrist-Bewegung an.
  • SHANKIJK = IJK dient zur Vorgabe des Schaftvektors.
  • WINKEL=0, gibt den theoretischen Winkel an.

Beachten Sie bitte, daß es sich bei dem Tastkopfwinkel in der Regel um eine vordefinierte TASTSPITZEnposition handeln wird.


Einfügen eines Drehtischbewegungsbefehls

Display Menu Roadmap
Über die Menüoption Drehtischbewegung können Sie an der aktuellen Cursor-Position einen BEWEGEN/DREHTISCH-Befehl einfügen. Die vollständige Befehlszeile im Bearbeitungsfenster sieht folgendermaßen aus:

Befehlszeile im Bearbeitungsfenster:
BEWEGEN/DREHTISCH,Winkel,RICHTUNG

Richtung = bestimmt die Richtung der Tischdrehung. Zur Auswahl stehen folgende Optionen:

Nach rechts: | Dreht den Tisch nach rechts, bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.
Nach links: | Dreht den Tisch nach links, bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.
Kürzest(e Drehung): | Damit wird der Tisch nach rechts oder links gedreht (je nachdem, welche Entfernung kürzer ist), bis der im Feld Drehtischwinkel angegebene Winkel erreicht ist.

Wenn dieser Befehl auftritt, dreht PC-DMIS den Tisch in die Position, die durch den derzeit aktiven BEWEGEN/DREHTISCH-Befehl festgelegt wurde.

Beispiel: Angenommen, ein Werkstückprogramm enthält mehrere verschiedene BEWEGEN/DREHTISCH-Befehle. Wenn Sie nun auf einen bestimmten Programmabschnitt klicken und die Menüoption Drehtischbewegung wählen, dreht PC-DMIS den Tisch an die Position, die durch den an diesem Punkt im Werkstückprogramm aktiven BEWEGEN/DREHTISCH-Befehl festgelegt wird.

Diese Menüoption ist nur verfügbar, wenn Ihre Anschlußsperre für Drehtische konfiguriert ist.


Einfügen eines Sicherheitszonenbefehls

Display Menu Roadmap
Mit der Menüoption Sicherheitszone können Sie eine Sicherheitszone einfügen, so daß Kollisionen zwischen den beiden Armen eines Doppelarmsystems verhindert werden.

Durch Auswahl dieser Option wird das Dialogfeld Sicherheitszone verfügbar.

Über dieses Dialogfeld können Sie den Befehl BEWEGEN/SICHERHEITSZONE in das Bearbeitungsfenster einfügen.

Der Befel BEWEGEN/SICHERHEITSZONE gilt entweder für den Master- oder den Slave-Arm.

Vor Ausführung dieses Befehls stellt PC-DMIS sicher, daß der dem Befehl zugewiesene Arm nicht bereits eine exklusive Bewegungszone angefordert hat, die sich mit der neuen Anforderung überschneidet.

Sollte ein Bewegungskonflikt vorliegen, bewirkt der Befehl BEWEGEN/SICHERHEITSZONE folgendes:

  • Es wird gewartet, bis der dem Befehl zugewiesene Arm das angeforderte Volumen freigegeben hat.
  • Es wird mit der Ausführung der nach dem Befehl BEWEGEN/SICHERHEITSZONE aufgeführten Befehle fortgefahren.

Siehe auch:

Definieren der Sicherheitszone


Definieren der Sicherheitszone

Bei der Definition einer Sicherheitszone sind einige Dinge zu berücksichtigen:

  1. Im Werkstückprogramm muß vor jedem Abschnitt mit Bewegungsbefehlen, die einen der beiden Arme in den überlappenden Bereich des Doppelarmvolumens schicken, der Befehl BEWEGEN/SICHERHEITSZONE stehen. Der Befehl BEWEGEN/SICHERHEITSZONE sollte ein 3D-Feld um alle Bewegungen herum definieren, die diesem Befehl in dem sich überlappenden Bereich des Doppelarm-KMGs unterstehen.
  2. Nachdem der Taster aus dem sich überlappenden Bereich des Doppelarm-KMGs zurückgezogen wurde, muß der Befehl BEWEGEN/SICHERHEITSZONE=AUS gegeben werden.

Wenn Sie beispielsweise möchten, daß jeder Arm eine Kugel im gemeinsamen Bereich mit Auto-Kugelbefehlen überprüft, sollten Sie das Werkstückprogramm folgendermaßen einrichten:

BEWEGEN/SICHERHEITSZONE=EIN (für Arm 1)
AUTO/KUGEL (für Arm 1)
BEWEGEN/SICHERHEITSZONE=AUS (für Arm 1)
BEWEGEN/SICHERHEITSZONE=EIN (für Arm 2)
AUTO/KUGEL (für Arm 2)
BEWEGEN/SICHERHEITSZONE=AUS (für Arm 2)

Zum Definieren der Sicherheitszone gehen Sie vor wie folgt:

Siehe auch:

Schritt 1: Sicherheitszone aktivieren

Schritt 2: Eckpunktwerte eingeben

Schritt 3: Auf OK klicken


Schritt 1: Sicherheitszone aktivieren

Markieren Sie das Kontrollkästchen Sicherheitszone aktivieren. Jetzt können Sie die Werte X, Y und Z unter Eckpunkt 1 und Eckpunkt 2 bearbeiten.

Sie können auch im Bearbeitungsfenster auf einen bereits eingefügten BEWEGEN/SICHERHEITSZONE-Befehl klicken und dann die F9-Taste drücken. Das Dialogfeld Sicherheitszone wird geöffnet, und Sie können das Kontrollkästchen markieren oder die Markierung rückgängig machen.

  • Wenn dieses Kontrollkästchen markiert ist, und Sie auf die Schaltfläche OK klicken, zeigt PC-DMIS im Bearbeitungsfenster folgenden Befehl an:
    BEWEGEN/SICHERHEITSZONE=EIN, ECKE1=x,y,z,ECKE2=x,y,z
  • Wenn dieses Kontrollkästchen nicht markiert ist und Sie auf die Schaltfläche OK klicken, zeigt PC-DMIS im Bearbeitungsfenster folgenden Befehl an:
    BEWEGEN/SICHERHEITSZONE=AUS


Schritt 2: Eckpunktwerte eingeben

Geben Sie die X-, Y- und Z-Werte für Ecke 1 und Ecke 2 an. Sie können den aktuellen Wert des Tasters in den gewählten Eckpunkt einlesen, wenn Sie auf die Schaltfläche Lesen klicken.

Die Sicherheitszone wird durch Definition von zwei Ecken festgelegt. Achten Sie darauf, Eckpunkte zu wählen, durch die die Zone korrekt festgelegt wird. Die beiden Punkte (Ecke 1 und Ecke 2) stellen diagonal zueinander liegende Ecken dar.

Eine rechtwinklige Zone kann in einem dreidimensionalen Raum aus zwei Punkten erstellt werden, wenn Sie das aktuelle Koordinatensystem zur Erstellung der Seiten benutzen. Die für einen rechtwinkligen Bereich benötigten acht Punkte können aus den verschiedenen Teilen der beiden angegebenen Eckpunkte abgeleitet werden.

Beispiel:

Erste Ecke = X1, Y1, Z1
Zweite Ecke = X2, Y2, Z2
Dritte Ecke = X1, Y1, Z2
Vierte Ecke = X1, Y2, Z1
Fünfte Ecke = X1, Y2, Z2
Sechste Ecke = X2, Y1, Z1
Siebte Ecke = X2, Y1, Z2
Achte Ecke = X2, Y2, Z1


Schritt 3: Auf OK klicken

Schließen Sie die Definition der Sicherheitszone ab, indem Sie auf OK klicken. PC-DMIS leitet die Informationen an das Bearbeitungsfenster weiter, das dann wie folgt aussieht:
BEWEGEN/SICHERHEITSZONE=TOG1,ECKE1=X,Y,Z,ECKE2=X,Y,Z

TOG1:
 Legt fest, ob die Sicherheitszone aktiv ist. In diesem Feld kann zwischen EIN und AUS umgeschaltet werden.
X,Y,Z
 Diese Koordinaten definieren die Eckpunkte zur Bildung der Sicherheitszone.

Durch Klicken auf die Schaltfläche Abbrechen wird das Dialogfeld geschlossen, ohne daß Änderungen am Werkstückprogramm vorgenommen werden.


Branching by Using Flow Control

Verwenden von Steuerpaaren

Erstellen allgemeiner Schleifen

Beenden allgemeiner Schleifen

Erstellen von Sprungmarken

Springen zu einer Sprungmarke

Springen zu einer Sprungmarke auf Basis bestimmter Bedingungen

Verzweigung bei einem KMG-Fehler

Verzweigung bei Unterprogrammen


Verzweigen mit Hilfe der Ablaufsteuerung: Einführung

Angenommen, Sie haben ein Werkstück mit vielen Elementen, möchten jedoch nur einige der Elemente wiederholt messen, um umfangreiche statistische Daten für diese Elemente zu sammeln. Außerdem möchten Sie abhängig von Benutzereingaben zu einem bestimmten Werkstück im Werkstückprogramm springen. Diese und viele ähnliche Aufgaben können Sie mit Hilfe der Ablaufsteuerungsbefehle ausführen. Durch das Festlegen von Bedingungen für bestimmte Befehle können Sie den Ablauf des Werkstückprogramms steuern.

In diesem Abschnitt erhalten Sie die erforderlichen Informationen für die Ausführung solcher Aufgaben. Es werden syntaxbedingte Anweisungen, Schleifen und Unterprogramme erklärt. Außerdem enthält dieser Abschnitt viele Codebeispiele.

Hinweis: Schleifendurchläufe oder Verzweigungen wurden in den Codebeispielen eingerückt, damit ersichtlich ist, welche Anweisungen mit einer bestimmten Bedingung verknüpft sind. In der tatsächlichen Ansicht des Bearbeitungsfensters ist der Code nicht eingerückt.

Hauptthemen in diesem Abschnitt:

  • Verwenden von Steuerpaaren
  • Erstellen allgemeiner Schleifen
  • Beenden allgemeiner Schleifen
  • Erstellen von Sprungmarken
  • Springen zu einer Sprungmarke
  • Springen zu einer Sprungmarke auf Basis bestimmter Bedingungen
  • Verzweigung bei einem KMG-Fehler
  • Verzweigung bei Unterprogrammen


Verwenden von Steuerpaaren

Display Menu Roadmap

Das Untermenü Steuerpaare enthält verschiedene Befehlspaare, die im Bearbeitungsfenster zur Regelung bzw. "Steuerung" des ordnungsgemäßen Werkstückprogrammablaufs dienen. Um im Bearbeitungsfenster einen Steuerpaarbefehl einzufügen, geben Sie einfach den Befehl ein oder wählen Sie einen Befehl in diesem Untermenü aus.

Wichtig: Wird eine bedingte Verzweigungsanweisung zur Wertigkeitsprüfung eines JA/NEIN-Kommentars verwendet, beachten Sie bitte, daß bei dieser Prüfung ein "JA"- oder "NEIN"-Wert in Großbuchstaben gesucht werden sollte. Ein "Ja" oder "Nein" in Kleinbuchstaben wird nicht funktionieren. (Weitere Informationen hierzu finden Sie unter "Einfügen von Programmiererkommentaren" im Abschnitt "Einfügen von Protokollbefehlen".)

Siehe auch:

If / End If

Else If / End Else If

Else / End Else

While / End While

Do / Until

Select / End Select

Case / End Case

Default Case / End Default Case


If / End If

Display Menu Roadmap

Über die Menüoption If / End If können Sie dem Werkstückprogramm einen Bedingungsblock hinzufügen. Die zwischen den Befehlen IF und END IF stehenden Elemente werden nur dann ausgeführt, wenn der Ausdruck für den Befehl IF als wahr (nicht Null) ausgewertet wird. Andernfalls springt der Ausführungsablauf zum ersten Befehl nach dem END/IF-Befehl.

Die im Bearbeitungsfenster für eine IF / END IF-Anweisung angezeigte Befehlszeile lautet:
IF/Ausdruck
END_IF/

So fügen Sie die Befehle If / End If ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster.
  2. Wählen Sie If / End If in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung IF / END IF.

Siehe auch:

Codebeispiel für If / End If


Codebeispiel für If / End If

Sehen Sie sich das folgende Beispiel an. Darin wird der Benutzer gefragt, ob er ein Punktelement messen möchte.

C1=    KOMMENTAR/JANEIN,Möchten Sie das Punktelement PKT1 messen?
IF/C1.EINGABE=="JA"
PKT2=ELEM/PUNKT,KART
…
…
ENDEMESS/
END_IF/

Erläuterung des Beispielcodes

C1=KOMMENTAR/JANEIN
Diese Zeile nimmt und speichert die Eingabe JA oder NEIN des Benutzers.

IF/C1.EINGABE=="JA"
Diese Zeile ist der Ausdruck. Er testet, ob die Eingabe von Kommentar 1 ein JA ist. Lautet die Eingabe JA, dann ist die IF-Anweisung WAHR, und es werden die auf die IF-Anweisung folgenden Anweisungen ausgeführt. In diesem Fall wird das Element PKT1 gemessen. Lautet die Eingabe NEIN, springt das Programm zur END_IF-Anweisung.

END_IF
Diese Zeile beendet die Ausführung von Befehlen innerhalb des IF / END IF-Codeblocks. Wenn der Benutzer auf den Kommentar mit Nein antwortet, springt PC-DMIS zum nächsten Befehl.


Else If / End Else If

Display Menu Roadmap

Über die Menüoption Else If / End Else If können Sie dem Werkstückprogramm einen Bedingungsblock hinzufügen. Die zwischen den Befehlen ELSE IF und END ELSE IF stehenden Elemente werden nur dann ausgeführt, wenn der Ausdruck für den Befehl ELSE IF als wahr (nicht Null) ausgewertet wird. Der Block ELSE IF / END ELSE IF muß direkt nach einem IF / END IF-Block oder einem anderen ELSE IF / END ELSE IF-Block eingefügt werden. Wenn alle IF / ELSE IF-Ausdrücke oberhalb des aktuellen Blocks als falsch ausgewertet werden, dann wird der Ausdruck ausgewertet. Wird der Ausdruck als falsch (Null) ausgewertet, springt die Ausführung zum nächsten Befehl nach dem END ELSE IF-Befehl. Wenn einer der IF /ELSE IF-Ausdrücke oberhalb des aktuellen Blocks als wahr ausgewertet wird, werden alle nachfolgenden else if / end else if-Blöcke dieser Folge übersprungen.

Die im Bearbeitungsfenster für eine ELSE IF / END ELSE IF-Anweisung angezeigte Befehlszeile lautet:
ELSE_IF/Ausdruck
END_ELSE_IF/

So fügen Sie die Befehle else if / end else if ein:

  1. Plazieren Sie den Cursor an der gewünschten Stelle im Bearbeitungsfenster, nach einer vorhandenen IF/END IF-Anweisung oder einer ELSE IF/END ELSE IF-Anweisung.
  2. Wählen Sie Else If / End Else If in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung ELSE IF / end else if.

Hinweis: Diese Art von Block ist nur gültig, wenn sie nach einem IF / END IF- oder ELSE IF / END ELSE IF-Block positioniert wird. Falsch positionierte Steuerpaare werden im Bearbeitungsfenster rot angezeigt.

Siehe auch:

Codebeispiel für Else If / End Else If


Codebeispiel für Else If / End Else If

Sehen Sie sich das folgende Beispiel an. Darin wird der Benutzer durch eine Meldung informiert, wenn einer der X-, Y-, oder Z-Werte des Meßpunkts außerhalb der definierten Toleranzbereiche liegt:

PKT2=ELEM/PUNKT,KART
…
…
ENDEMESS/
IF/PKT2.X<6,9 ODER PKT2.X>7,1
KOMMENTAR/BEDIENER,"Der gemessene X-Wert von PKT2: " + PKT2.X + " liegt außerhalb des Toleranzbereichs."
END_IF/
ELSE_IF/PKT2.Y<3,3 ODER PKT2.Y>3,5
KOMMENTAR/BEDIENER,"Der gemessene Y-Wert von PKT2: " + PKT2.Y + " liegt außerhalb des Toleranzbereichs."
END_ELSEIF/
ELSE_IF/PKT2.Z<,9 ODER PKT2.Z>1,1
KOMMENTAR/BEDIENER,"Der gemessene Z-Wert von PKT2: " + PKT2.Z + " liegt außerhalb des Toleranzbereichs."
END_ELSEIF/

Erläuterung des Beispielcodes

Der Code testet zuerst den X-Wert des Punkts. Wenn die Bedingung nicht erfüllt (falsch) ist, testet der Code den Y-Wert. Wenn die Bedingung für den Y-Wert nicht erfüllt (falsch) ist, wird der Z-Wert getestet.

Wenn eine der Bedingungen erfüllt (wahr) ist, zeigt PC-DMIS den entsprechenden Kommentar an und überspringt die restlichen bedingten Anweisungen.

IF/PKT2.X<6,9 ODER PKT2.X>7,1
Diese Zeile ist der Ausdruck. Er testet, ob der gemessene X-Wert kleiner als 6,9 oder größer als 7,1 ist. Wenn der Wert außerhalb dieses Bereichs liegt, wird der erste Kommentar ausgeführt.

END_IF
Diese Zeile beendet die Ausführung von Befehlen innerhalb des IF / END IF-Codeblocks. Wenn die IF THEN-Bedingung nicht erfüllt (falsch) ist, springt PC-DMIS zum nächsten Befehl.

ELSE_IF/PKT2.Y<3,3 or PKT 2.Y>3,5
Diese Zeile ist der Ausdruck für den ersten ELSE_IF-Befehl. Er wird nur ausgeführt, wenn der vorherige IF / END IF-Block als falsch ausgewertet wurde. Er testet, ob der gemessene Y-Wert kleiner als 3,3 oder größer als 3,5 ist. Wenn der Wert außerhalb dieses Bereichs liegt, wird der zweite Kommentar ausgeführt.

END_ELSEIF/
Diese Zeile beendet die Ausführung von Befehlen innerhalb des ersten ELSE IF / END ELSE IF-Codeblocks.

ELSE_IF/PKT2.Z<,9 ODER PKT2.Z>1,1
Diese Zeile ist der Ausdruck für den zweiten ELSE IF-Befehl. Er wird nur ausgeführt, wenn der vorherige ELSE IF / END ELSE IF-Block als falsch ausgewertet wurde. Er testet, ob der gemessene Z-Wert kleiner als 0,9 oder größer als 1,1 ist. Wenn der Wert außerhalb dieses Bereichs liegt, wird der zweite Kommentar ausgeführt.

END_ELSEIF/
Diese Zeile beendet die Ausführung von Befehlen innerhalb des zweiten ELSE IF / END ELSE IF-Codeblocks.


Else / End Else

Display Menu Roadmap

Über die Menüoption Else / End Else können Sie dem Werkstückprogramm einen Bedingungsblock hinzufügen. Die zwischen den Befehlen ELSE und END ELSE stehenden Elemente werden nur ausgeführt, wenn alle anderen If / End If- und Else If / End Else If-Blöcke oberhalb des Else-Blockes fehlgeschlagen sind (alle mit Null ausgewertet wurden). Die Blöcke ELSE /END ELSE sind nur dann gültig, wenn sie sich am Ende eines Satzes von IF / END IF- oder ELSE IF / END ELSE IF-Blöcken befinden.

Die im Bearbeitungsfenster für eine ELSE / END ELSE-Anweisung angezeigte Befehlszeile lautet:
ELSE/
END_ELSE/

So fügen Sie die Befehle Else /End Else ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster. Beachten Sie, daß Else / END ELSE-Blöcke nach einem IF / END IF- oder ELSE IF / END ELSE IF-Block positioniert werden müssen.
  2. Wählen Sie Else / End Else in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung ELSE / end else.

Siehe auch:

Codebeispiel für Else / End Else


Codebeispiel für Else / End Else

Sehen Sie sich das folgende Beispiel an. Darin wird der Benutzer gefragt, ob er ein Punktelement messen möchte.

C1=    KOMMENTAR/JANEIN,Möchten Sie das Punktelement PKT1 messen? Durch Klicken auf 'Nein' wird das nächste Element gemessen.
IF/C1.EINGABE=="JA"
PKT1=ELEM/PUNKT,KART
…
…
ENDEMESS/
END_IF/
ELSE
PKT2=ELEM/PUNKT,KART
…
…
ENDEMESS/
ENDELSE

Erläuterung des Beispielcodes

C1=KOMMENTAR/JANEIN
Diese Zeile nimmt und speichert die Eingabe JA oder NEIN des Benutzers.

IF/C1.EINGABE=="JA"
Diese Zeile ist der Ausdruck. Er testet, ob die Eingabe von Kommentar 1 ein JA ist. Lautet die Eingabe JA, dann ist die IF-Anweisung WAHR, und es werden die auf die IF-Anweisung folgenden Anweisungen ausgeführt. In diesem Fall wird das Element PKT1 gemessen. Lautet die Eingabe NEIN, springt das Programm zur END_IF-Anweisung.

END_IF
Diese Zeile beendet die Ausführung von Befehlen innerhalb des IF / END IF-Codeblocks. Wenn der Benutzer auf den Kommentar mit Nein antwortet, springt PC-DMIS zum nächsten Befehl.

ELSE
Wenn der obige IF / END IF-Block als falsch ausgewertet wird, werden die Befehlszeilen, die zwischen dieser Zeile und der ENDELSE-Zeile liegen, ausgeführt. In diesem Fall wird PKT2 ausgeführt.

ENDELSE
Diese Zeile beendet die Ausführung der Befehle innerhalb des ELSE / ENDELSE-Codeblocks.


While / End While

Display Menu Roadmap

Über die Menüoption While / End While können Sie dem Werkstückprogramm eine bedingte Schleife hinzufügen. Die zwischen den Befehlen WHILE und END WHILE stehenden Elemente werden solange in einem Schleifendurchlauf ausgeführt, bis die Bedingung (oder der Ausdruck), die (der) die Schleife aktiviert hält, nicht mehr erfüllt wird; d. h. der Ausdruck für die While-Schleife wird als FALSCH ausgewertet (d.h. Null). Der Befehl WHILE kann an einer beliebigen Stelle im Werkstückprogramm eingefügt werden. Der Ausdruck wird zu Beginn jeder Schleife geprüft.

Die im Bearbeitungsfenster für eine WHILE / END WHILE-Anweisung angezeigte Befehlszeile lautet:
WHILE/Ausdruck
END_WHILE/

So fügen Sie eine While / End While-Option ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster.
  2. Wählen Sie While / End While in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung while / end while.

Siehe auch:

Codebeispiel für While / End While


Codebeispiel für While / End While

Sehen Sie sich das folgende Beispiel an. Darin wird ein Element so oft gemessen, wie vom Benutzer des Werkstückprogramms vorgegeben:

C1=KOMMENTAR/EINGABE,Wie oft soll PKT1 gemessen werden? Geben Sie nur eine Ganzzahl ein.
ZUWEISEN/ZÄHLER = 0
WHILE/ZÄHLER < C1.EINGABE
PKT2=ELEM/PUNKT,KART
…
…
…
ENDEMESS/
ZUWEISEN/ZÄHLER = ZÄHLER + 1
KOMMENTAR/BEDIENER,"Messung " + ZÄHLER + " von " + C1.EINGABE + " abgeschlossen."
END_WHILE/

Erläuterung des Beispielcodes

C1=KOMMENTAR/EINGABE
Diese Zeile nimmt und speichert die vom Benutzer eingegebene Ganzzahl in der Variable C1.EINGABE.

ZUWEISEN/ZÄHLER = 0
Diese Zeile initialisiert ZÄHLER, eine benutzerdefinierte Variable, und weist ihr den Ausgangswert 0 zu. Der Code verwendet diese Variable, um zu zählen, wie oft PC-DMIS das Element innerhalb der Schleife mißt.

WHILE/ZÄHLER < C1.EINGABE
Diese Zeile ist der Ausdruck. Er testet, ob der Wert von ZÄHLER (hatte den Ausgangswert 0) kleiner als die vom Benutzer eingegebene Ganzzahl ist. Wird der Test als wahr ausgewertet, werden die Anweisungen zwischen WHILE/ und END_WHILE/ ausgeführt.

ZUWEISEN/ZÄHLER = ZÄHLER + 1
Diese Zeile erhöht den Wert der Variable ZÄHLER um 1. Wenn die Bedingung nicht mehr erfüllt ist, wird die Schleife schließlich beendet.

KOMMENTAR/BEDIENER,"Messung " + ZÄHLER + " von " + C1.EINGABE + " abgeschlossen."
Diese Zeile zeigt eine Nachricht an, in der angegeben wird, wie oft die Schleife bisher ausgeführt wurde.

END_WHILE
Diese Zeile beendet die Ausführung von Befehlen innerhalb des WHILE / END WHILE-Codeblocks, wenn die Bedingung nicht erfüllt (falsch) ist. Ansonsten springt PC-DMIS bei Antreffen dieses Befehls zur WHILE-Anweisung zurück.


Do / Until

Display Menu Roadmap

Über die Menüoption Do / Until können Sie dem Werkstückprogramm eine bedingte Schleife hinzufügen. Die zwischen den Befehlen DO und UNTIL stehenden Elemente werden solange in einem Schleifendurchlauf ausgeführt, bis der Ausdruck des Befehls UNTIL als WAHR (nicht Null) ausgewertet wird. Der Befehl DO/ UNTIL kann an einer beliebigen Stelle im Werkstückprogramm eingefügt werden. Der Ausdruck wird am Ende jeder Schleife geprüft.

Die im Bearbeitungsfenster für eine DO / UNTIL-Anweisung angezeigte Befehlszeile lautet:
DO/
UNTIL/ Ausdruck

So fügen Sie DO /UNTIL-Befehle ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster.
  2. Wählen Sie Do / Until in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung DO / until.

Siehe auch:

Codebeispiel für Do / Until


Codebeispiel für Do / Until

Sehen Sie sich das folgende Beispiel an. Darin wird ein Element so oft gemessen, wie vom Benutzer des Werkstückprogramms vorgegeben: Dieses Beispiel ist jenem für While / End While ähnlich. Der einzige Unterschied liegt darin, daß PC-DMIS die Bedingung hier am Ende der Schleife testet anstatt am Anfang.

C1=    KOMMENTAR/EINGABE,Geben Sie ein, wie oft PC-DMIS das Element PKT1 messen soll: (Nur Ganzzahl eingeben!)
ZUWEISEN/ZÄHLER = 0
DO/
PKT1=ELEM/PUNKT,KART
…
…
ENDEMESS/
ZUWEISEN/ZÄHLER = ZÄHLER + 1
KOMMENTAR/BEDIENER,"Messung " + ZÄHLER + " von " + C1.EINGABE + " abgeschlossen."
UNTIL/ZÄHLER == C1.EINGABE

Erläuterung des Beispielcodes

C1=KOMMENTAR/EINGABE
Diese Zeile nimmt und speichert die vom Benutzer eingegebene Ganzzahl in der Variable C1.EINGABE.

ZUWEISEN/ZÄHLER = 0
Diese Zeile initialisiert ZÄHLER, eine benutzerdefinierte Variable, und weist ihr den Ausgangswert 0 zu. Der Code verwendet diese Variable, um zu zählen, wie oft PC-DMIS das Element innerhalb der Schleife mißt.

DO/
Beginnt die DO / UNTIL-Schleife. Alle Anweisungen werden mindestens einmal ausgeführt. Die Schleife wird erst beendet, wenn der Ausdruck als falsch ausgewertet wird.

ZUWEISEN/ZÄHLER = ZÄHLER + 1
Diese Zeile erhöht den Wert der Variable ZÄHLER um 1. Wenn die Bedingung nicht mehr erfüllt ist, wird die Schleife schließlich beendet.

KOMMENTAR/BEDIENER,"Messung " + ZÄHLER + " von " + C1.EINGABE + " abgeschlossen."
Diese Zeile zeigt eine Nachricht an, in der angegeben wird, wie oft die Schleife bisher ausgeführt wurde.

UNTIL/COUNT (ANZAHL) == C1.EINGABE
Diese Zeile beendet die Ausführung des Befehls innerhalb der DO / UNTIL-Schleife, wenn die Bedingung nicht erfüllt (falsch) ist. Andernfalls springt PC-DMIS bei Antreffen dieses Befehls zur DO-Anweisung zurück.


Select / End Select

Display Menu Roadmap

Mit der Menüoption Select / End Select können Sie einen Bedingungsblock hinzufügen, der in Verbindung mit den Steuerpaaren Case / End Case und Default Case / End Default Case verwendet wird. Der Ausdruck für den Befehl "Auswählen" (Select) enthält Daten, die mit dem Ausdruck in den Case-Anweisungen verglichen werden. Wenn die beiden Ausdrücke dasselbe Ergebnis haben, werden die Anweisungen im Case / End Case-Block ausgeführt. Der SELECT / END SELECT-Block umklammert die Sätze mit den CASE / END CASE- und DEFAULT CASE / END DEFAULT CASE-Blöcken.

Die im Bearbeitungsfenster für eine SELECT / END SELECT-Anweisung angezeigte Befehlszeile lautet:
SELECT/Ausdruck
END_SELECT/

So fügen Sie die Befehle Select / End Select ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster.
  2. Wählen Sie Select / End Select in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung SELECT / end select.

Siehe auch:

Codebeispiel für Select / End Select


Codebeispiel für Select / End Select

Die Steuerpaare SELECT / END_SELECT, CASE / END_CASE und DEFAULT_CASE / END_DEFAULTCASE können gemeinsam eingesetzt werden, um mehrere Bedingungen auszuwerten. Dadurch ergibt sich eine ganze Reihe von Alternativen.

Angenommen, Sie haben fünf Kreise (KREIS1 bis KREIS5) und möchten, daß der Bediener mit einem einfachen Tastendruck auf der Tastatur einen Kreis messen kann. Verwenden Sie hierfür diesen oder einen ähnlichen Code:

Vollständiger Code

DO/
C1=KOMMENTAR/EINGABE,Geben Sie eine Zahl für den zu messenden Kreis ein:
,Für KREIS1 - Drücken Sie 1.
,Für KREIS2 - Drücken Sie 2.
,Für KREIS3 - Drücken Sie 3.
,Für KREIS4 - Drücken Sie 4.
,Für KREIS5 - Drücken Sie 5.
,Jede andere Taste beendet die Schleife.
SELECT/C1.EINGABE
CASE/1
KREIS1=ELEM/KREIS
…
…
ENDEMESS/
END_CASE
CASE/2
KREIS2=ELEM/KREIS
…
…
ENDEMESS/
END_CASE
CASE/3
KREIS3=ELEM/KREIS
…
…
ENDEMESS/
END_CASE
CASE/4
KREIS4=ELEM/KREIS
…
…
ENDEMESS/
END_CASE
CASE/5
KREIS5=ELEM/KREIS
…
…
ENDEMESS/
END_CASE
DEFAULT_CASE
KOMMENTAR/BEDIENER,Schleife wird beendet.
END_DEFAULTCASE
END_SELECT
UNTIL C1.EINGABE < 1 ODER C1.EINGABE > 5

Erläuterung des Beispielcodes

SELECT/C1.INPUT
Diese Codezeile nimmt eine Zahl oder einen Wert an (in diesem Fall eine Zahl), die der Benutzer eingibt, und bestimmt anhand der Eingabe, welcher CASE/END_CASE-Block ausgeführt wird. Beachten Sie, daß das Steuerpaar SELECT / END_SELECT die gesamte Codeliste umschließt. Alle CASE / END_CASE- und DEFAULT_CASE / END_DEFAULTCASE-Steuerpaare müssen innerhalb dieser beiden Zeilen liegen.

END_SELECT
Diese Zeile kennzeichnet das Ende des Codes innerhalb des SELECT / END_SELECT-Steuerpaars.

CASE1 bis CASE5
Je nach Wert von C1.EINGABE wird einer der CASE-Codeblöcke ausgeführt. Wenn C1.EINGABE beispielsweise als 1 ausgewertet wird, wird der Codeblock CASE 1 ausgeführt und KREIS1 gemessen. Wenn die Auswertung 2 ergibt, wird der Codeblock CASE 2 ausgeführt und KREIS2 gemessen usw.

END_CASE
Diese Zeilen beenden die einzelnen CASE-Codeblocks.

DEFAULT_CASE
Wenn der Wert von C1.EINGABE mit keiner der definierten CASE-Anweisungen übereinstimmt (wenn der Wert keine Zahl zwischen 1 und 5 ist), wird der Codeblock DEFAULT_CASE ausgeführt. In diesem Fall werden Sie in einer Meldung darüber informiert, daß die Schleife beendet wird.

Beachten Sie, daß die DO / UNTIL-Schleife den gesamten Beispielcode umschließt. Dadurch kann der Benutzer im Menü, das durch die Zeile KOMMENTAR/EINGABE erstellt wird, immer wieder eine Auswahl vornehmen, bis er ein Zeichen eingibt, das von den CASE-Anweisungen nicht erkannt wird.


Case / End Case

Display Menu Roadmap

Über die Menüoption Case / End Case können Sie dem Werkstückprogramm einen Bedingungsblock hinzufügen. Die zwischen den Befehlen CASE und END CASE stehenden Elemente werden ausgeführt, wenn die Auswertung des Ausdrucks für die CASE-Anweisung einen Wert ergibt, der dem Ausdruck des entsprechenden SELECT-Befehls entspricht. Andernfalls werden die im Block enthaltenen Anweisungen übersprungen. Der Block mit den Anweisungen CASE / END CASE muß direkt nach einem SELECT- oder einem END CASE-Befehl eines vorhergehenden CASE / END CASE-Blocks stehen. Außerdem kann PC-DMIS nicht mehrere Ausdrücke in einer CASE-Anweisung vergleichen.

Die im Bearbeitungsfenster für eine CASE / END CASE-Anweisung angezeigte Befehlszeile lautet:
CASE/Ausdruck
END_CASE/

So fügen Sie die Option Case / End Case ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster. Beachten Sie die oben beschriebenen Positionierungsvoraussetzungen.
  2. Wählen Sie Case / End Case in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung CASE / end case.

Ein Codebeispiel finden Sie unter "Codebeispiel für Select / End Select".


Default Case / End Default Case

Display Menu Roadmap

Über die Menüoption Default Case / End Default Case können Sie dem Werkstückprogramm einen Bedingungsblock hinzufügen. Die zwischen den Befehlen DEFAULT CASE und END DEFAULT CASE stehenden Elemente werden ausgeführt, wenn alle anderen Ausdrücke in vorhergehenden CASE / END CASE-Blöcken innerhalb des entsprechenden SELECT / END SELECT-Blocks als falsch ausgewertet werden. Innerhalb eines SELECT/ END SELECT-Blocks ist nur ein DEFAULT CASE / END DEFAULT CASE-Block zulässig. Der Block DEFAULT CASE / END DEFAULT CASE muß nach sämtlichen CASE / END CASE-Blöcken innerhalb des Blocks SELECT / END SELECT stehen.

Die im Bearbeitungsfenster für eine DEFAULT CASE / END DEFAULT CASE-Anweisung angezeigte Befehlszeile lautet:
DEFAULT_CASE/
END_DEFAULTCASE/

So fügen Sie DEFAULT CASE/END DEFAULT CASE-Befehle ein:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster, und beachten Sie dabei die oben beschriebenen Einschränkungen in bezug auf die Positionierung.
  2. Wählen Sie Default Case / End Default Case in der Menüleiste aus. Im Bearbeitungsfenster erscheint die Anweisung DEFAULT CASE / end default case.

Ein Codebeispiel finden Sie unter "Codebeispiel für Select / End Select".


Erstellen allgemeiner Schleifen

Variable ID Loop IDs End Loop Cancel OK Axes and Angle Offset Skip Number Start Number End Number

Display Menu Roadmap
Über die Menüoption Schleifen... können Sie das Werkstückprogramm (oder Teile davon) mit oder ohne Versatz wiederholen. Der Befehl SCHLEIFE kann an jeder beliebigen Stelle im Werkstückprogramm eingefügt werden. Diese Funktion erweist sich jedoch am Anfang und Ende des Programms am hilfreichsten.

Siehe auch:

Verwendungszwecke für Schleifen

So führen Sie einen Schleifendurchlauf aus:

Endnummer

Startnummer

Nummer überspringen

Achsen- und Winkelversatz

Schleifen-IDs

Variablen-ID

Schleife beenden


Verwendungszwecke für den Schleifendurchlauf

Verwendungszwecke für Schleifen

Es gibt drei Hauptverwendungszwecke für die Option Schleifen:

  1. Sie besitzen eine aus mehreren Teilen bestehende Spannvorrichtung, die ein Raster von Werkstücken hält. Die Spannvorrichtung sollte einen gleichmäßigen Abstand zwischen den Reihen aufweisen. Mit Hilfe der Verschiebungs-/Rotationsversätze können Sie im Werkstückraster von einem Werkstück zum nächsten voranrasten.
  2. Sie besitzen eine Spannvorrichtung, die ein Werkstück hält, und Sie möchten vor jeder Programmschleife zu einem neuen Werkstück wechseln. In diesem Fall können Sie einen KOMMENTAR-Befehl dazu verwenden, das KMG beim Wechsel zu einem neuen Werkstück anzuhalten. Der Befehl kann sowohl am Anfang als auch am Ende der Schleife stehen.
  3. Sie möchten das Werkstückprogramm mit Hilfe der Option SCHLEIFE drehen, um einen anderen Teil des gleichen Werkstücks zu messen. Sie könnten beispielsweise ein Werkstückprogramm zur Messung eines komplizierten Lochmusters, das sich zehn Mal auf dem Werkstück wiederholt, erstellen. Das Werkstückprogramm muß die Lochmuster dann nur einmal messen. Mit Hilfe der Option SCHLEIFE kann dieses Werkstückprogramm zur Messung der 9 anderen Lochmuster dann entsprechend versetzt werden.

Hinweis: Wenn Sie innerhalb einer Schleife mit einer Ausrichtung arbeiten, können Sie in Version PC-DMIS 3.6 und höher die in der Befehlszeile AUSRICHTUNG/ANFANG aktive Ausrichtung verwenden, statt immer eine zuvor gespeicherte Ausrichtung aufrufen zu müssen. Siehe auch Arbeiten mit einer Ausrichtung in Schleifen" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".


So führen Sie einen Schleifendurchlauf aus

  1. Wählen Sie Schleifen... in der Menüleiste aus. Das Dialogfeld Schleifen erscheint.

Display Menu Roadmap
Nehmen Sie in den Feldern die erforderlichen Änderungen vor.

  3. Geben Sie die jeweils erforderlichen Parameter an (z.B. Werkstückzahl, Startnummer, Überspringe Nummer, Versatz in XY oder Z, Winkel).
  4. Setzen Sie den Cursor im Bearbeitungsfenster an die Stelle, wo der Schleifendurchlauf beginnen soll.
  5. Klicken Sie auf die Schaltfläche OK.

Die im Bearbeitungsfenster für den Schleifendurchlauf angezeigte Befehlszeile lautet:
VARNAME = SCHLEIFE/START, ID = J/N, NUMMER = 0, START = 1, AUSLASSEN = ,
VERSATZ: X-ACHSE = 0, Y-ACHSE = 0, Z-ACHSE = 0, WINKEL = 0

Hinweis: Um den Schleifendurchlauf abzuschließen, benötigen Sie innerhalb des Bearbeitungsfensters den Befehl "Schleife beenden". PC-DMIS führt die Befehle im Bearbeitungsfenster in Schleifen aus, die zwischen den Befehlen SCHLEIFE/ANFANG und SCHLEIFE/ENDE stehen. Weitere Informationen hierzu finden Sie unter "Schleife beenden".


Endnummer

Über das Feld Endnummer wird PC-DMIS mitgeteilt, wie oft eine Schleife innerhalb des Werkstückprogramms zu wiederholen ist. Diese Zahl entspricht in der Regel der Anzahl der von der Spannvorrichtung gehaltenen Werkstücke (oder Werkstückmuster) in x- (y- oder z-) Richtung. PC-DMIS fordert außerdem zur Angabe der Startnummer des Werkstücks (Musters) auf.

Beispiel: Es liegen 10 Werkstücke in x- (y- oder z-) Richtung vor und Sie möchten mit der Position Nummer 5 beginnen. Geben Sie 10 (zehn) in das Feld Endnummer und 5 (fünf) in das Feld Startnummer ein.


Startnummer

Das Feld Startnummer teilt PC-DMIS die Startnummer innerhalb einer Reihe von Werkstücken mit.

Beispiel: Es liegen 10 Werkstücke vor und Sie möchten mit der Position Nummer 5 beginnen. Geben Sie dann 10 (zehn) für die Gesamtanzahl der Werkstücke und 5 (fünf) für die Startposition ein


Nummer überspringen

Mit dem Feld Überspringe Nummer wird ein Werkstückprogramm so oft wie angegeben wiederholt, wobei ein bestimmtes Inkrement der Schleife übersprungen werden kann.

Beispiel: Sie können den Parameter so einstellen, daß jedes dritte Inkrement der Schleife übersprungen wird. Wird der Wert "3" eingegeben, mißt PC-DMIS das erste und zweite Werkstück und überspringt das dritte, so daß es beim vierten angelangt.


Achsen- und Winkelversatz

Der Bereich Versatz enthält folgende Felder:

X-Achse, Y-Achse und Z-Achse. In diesen Feldern wird der x-(y- oder z-)Versatz zwischen Werkstücken oder Mustern auf demselben Werkstück festgelegt. Das Werkstück wird dann jedesmal bei einem Schleifendurchlauf um den eingegebenen Abstand versetzt. Der erste Versatz basiert auf dem Nullpunkt des Werkstücks.

Im Feld Winkel wird der Winkelversatz zwischen Werkstücken oder Werkstückmustern festgelegt. Der erste Versatz basiert auf dem Nullpunkt des Werkstücks. PC-DMIS versetzt das Werkstück dann jedesmal bei einem Schleifendurchlauf um den eingegebenen Winkel.

Siehe auch:

Versätze und Ausrichtungen in Schleifen ausführen


Versätze und Ausrichtungen in Schleifen ausführen

Wenn ein Ausrichtungsbefehl innerhalb einer Schleife vorliegt und in der Schleife mit Versätzen gearbeitet wird, müssen alle Achsen für diese Ausrichtung durch Sie definiert werden. Außerdem muß die Ausrichtung innerhalb der Schleife die in der Schleife gemessenen Elemente verwenden.


Schleifen-IDs

Wenn diese Option aktiviert ist, paßt PC-DMIS das Inkrement der Element-ID (innerhalb der Schleife) dem Schleifeninkrement an.

Beispiel: Bei der ersten Schleife wird KREIS1 zu KREIS1[1], bei der zweiten Schleife zu KREIS1[2] usw.

Siehe auch:

Element-IDs in Statistik-Datenbanken


Element-IDs in Statistik-Datenbanken

Wenn Sie das Kontrollkästchen Schleifen-IDs aktivieren und Statistikdaten an eine Datenbank übertragen, löscht PC-DMIS diese Schleifen-IDs in einigen Fällen aus der Datenbank.

Beachten Sie folgendes:

Wenn Sie einen STAT/EIN-Befehl und einen STAT/AKTUALISIEREN-Befehl innerhalb einer Programmschleife haben, werden keine Schleifen-IDs in der Datenbank angezeigt.

Wenn Sie einen STAT/EIN-Befehl außerhalb einer Programmschleife und einen STAT/AKTUALISIEREN-Befehl innerhalb einer Programmschleife haben, werden keine Schleifen-IDs in der Datenbank angezeigt.

Wenn Sie einen STAT/EIN-Befehl außerhalb einer Programmschleife und einen STAT/AKTUALISIEREN-Befehl außerhalb einer Programmschleife haben, werden die Schleifen-IDs in der Datenbank angezeigt.

Wenn Sie einen STAT/EIN-Befehl innerhalb einer Programmschleife und einen STAT/AKTUALISIEREN-Befehl außerhalb einer Programmschleife haben, werden die Schleifen-IDs in der Datenbank angezeigt.


Variablen-ID

Im Feld Variablen-ID können Sie den Variablennamen festlegen, unter dem die aktuelle Schleifenwiederholung (bzw. die aktuelle Schleife innerhalb der angegebenen Schleifenanzahl) verfolgt wird. Während der Ausführung des Werkstückprogramms entspricht diese Variable der aktuellen Iterationsnummer der Schleife.


Schleife beenden

Mit der Schaltfläche Schleife beenden wird der Schleifendurchlauf beendet. Auf den Befehl SCHLEIFE/ANFANG muß im Bearbeitungsfenster der Befehl SCHLEIFE/ENDE folgen.

Die im Bearbeitungsfenster für das Beenden einer Schleife angezeigte Befehlszeile lautet:
SCHLEIFE/ENDE


Beenden allgemeiner Schleifen

Display Menu Roadmap
Die Menüoption Schleife beenden ist in ihrer Funktion mit der Befehlsschaltfläche Schleife beenden im Dialogfeld Schleifen identisch. Sie fügt den Befehl SCHLEIFE/ENDE in das Bearbeitungsfenster ein, wodurch der Schleifendurchlauf beendet wird.


Erstellen von Sprungmarken

Display Menu Roadmap
Mit der Option Sprungmarke wird das Dialogfeld Sprungnamenmarken bearbeiten eingeblendet, in dem Sie eine Namenskennzeichnung erstellen können, die mit einer GEHEZU- oder IF-Anweisung verwendet werden kann.

Sie können in PC-DMIS eine ID mit bis zu fünfzehn Zeichen erstellen. Die gesamte ID wird in Großbuchstaben angezeigt.

Die im Bearbeitungsfenster für die Option Sprungmarke angezeigte Befehlszeile lautet:
ID = MARKE/

So erstellen Sie eine Sprungmarke:

  1. Markieren Sie die Stelle im Bearbeitungsfenster.
  2. Wählen Sie Sprungmarke in der Menüleiste aus.
  3. Geben Sie die ID für die Sprungmarke in das Feld Neuer Sprungmarkenname ein.
  4. Klicken Sie auf die Schaltfläche OK.
  5. Die ID der Sprungmarke erscheint an der nächstmöglichen Stelle im Bearbeitungsfenster.

Informationen zum Springen zu einer erstellten Sprungmarke finden Sie unter "Springen zu einer Sprungmarke".


Springen zu einer Sprungmarke

Cancel OK Current Labels Go To Label

Display Menu Roadmap
Über die Menüoption Goto wird das Dialogfeld Gehe zu eingeblendet, in dem Sie GOTO-Anweisungen innerhalb des Werkstückprogramms erstellen können. Trifft PC-DMIS bei Ausführung des Programms auf eine GOTO-Anweisung, rückt PC-DMIS zur Position der Sprungmarken-ID vor.

Die im Bearbeitungsfenster für die GEHEZU-Anweisung angezeigte Befehlszeile lautet:
GEHEZU/Sprungmarken_ID

So erstellen Sie eine GEHEZU-Anweisung im Bearbeitungsfenster:

  1. Wählen Sie im Untermenü Gehe zu aus.
  2. Wählen Sie die zu verwendende Sprungmarke aus dem Feld Aktuelle Sprungmarken aus.
  3. Klicken Sie auf die Schaltfläche OK.

Im Dialogfeld Gehe zu können Sie neue Sprungmarken-IDs erstellen und diese dann an eine GEHEZU-Anweisung anhängen. Vorgehensweise:

  1. Wählen Sie im Untermenü Gehe zu aus.
  2. Geben Sie den Namen der zu erstellenden Sprungmarke in das Feld Gehe zu Sprungmarke ein. Der Befehl GEHEZU/MARKE wird in das Bearbeitungsfenster eingefügt.

Hinweis: Wenn Sie eine Sprungmarke im Dialogfeld Gehe zu erstellen, müssen Sie zuerst die Sprungmarken-ID mit Hilfe der Menüoption Sprungmarke erstellen, bevor Sie das Werkstückprogramm ausführen.

Siehe auch:

Gehe zu Sprungmarke

Aktuelle Sprungmarken


Verzweigen mit Hilfe der Ablaufsteuerung - Springen zu einer Sprungmarke - Gehe zu Sprungmarke

Gehe zu Sprungmarke

Im Feld Gehe zu Sprungmarke können Sie eine bestehende Sprungmarke eingeben, zu der das Werkstückprogramm dann per GEHEZU-Anweisung geht.


Aktuelle Sprungmarken

Das Feld Aktuelle Sprungmarken enthält eine Liste bestehender Sprungmarken, die Sie mit der Maus auswählen können.


Springen zu einer Sprungmarke auf Basis bestimmter Bedingungen

Cancel OK Label Expression

Display Menu Roadmap
Mit der Menüoption If Goto können Sie innerhalb des Werkstückprogramms WENN_GEHEZU-Anweisungen erstellen. Trifft PC-DMIS bei Ausführung des Werkstückprogramms eine IF-Anweisung an und der angegebene Ausdruck ergibt bei der Auswertung nicht Null, so gelangt das Programm mit GEHEZU an die Position der Sprungmarken-ID. Informationen zum Erstellen von Ausdrücken finden Sie unter "Verwenden von Ausdrücken und Variablen".

Die im Bearbeitungsfenster für eine WENN_GEHEZU-Anweisung angezeigte Befehlszeile lautet:
WENN_GEHEZU/Ausdruck, GEHEZU=Sprungmarke

Siehe auch:

Ausdruck

Sprungmarke


Ausdruck

Die Schaltfläche Ausdruck blendet das Ausdruckerstellungsprogramm ein. Mit dem Ausdruckerstellungsprogramm können Sie eine Vielzahl verschiedener Ausdrücke erstellen und diese bei Bedarf im Werkstückprogramm verwenden. Informationen zum Verwenden von Ausdrücken finden Sie unter "Verwenden von Ausdrücken und Variablen".


Sprungmarke

Im Feld Sprungmarke können Sie die Sprungmarke eingeben, die PC-DMIS beim Befehl GEHEZU verwenden soll. Die Schaltfläche Sprungmarke blendet das Dialogfeld Gehe zu ein. In diesem Dialogfeld können Sie die zu verwendende Sprungmarke auswählen. Die Sprungmarke erscheint dann im Feld Sprungmarke. Weitere Informationen finden Sie unter "Springen zu einer Sprungmarke".


Verzweigung bei einem KMG-Fehler

Cancel OK Set Variable Goto Label Off Error Type

Display Menu Roadmap
Der Befehl Bei Fehler dient dazu, PC-DMIS anzuweisen, welche Maßnahme bei Auftreten eines KMG-Fehlers zu ergreifen ist.

PC-DMIS verfolgt zwei Arten von Fehlerbedingungen: "Unerwarteter Taster-Meßpunkt" und "Verfehlter Tastermeßpunkt". Bei beiden Fehlerbedingungen kann eine von drei Maßnahmen ergriffen werden:

  1. ein Sprung zu einer Sprungmarke
  2. das Setzen eines Variablennwerts auf Eins
  3. keine Aktion

Alle Werkstückprogramme beginnen standardmäßig mit der für beide Fehlerarten als dritte Option festgelegten Aktion (keine Aktion). Der Aktionsmodus für jeden Fehlertyp kann während des Programmablaufs geändert werden.

Beispiel: Trifft PC-DMIS bei Ausführung des Werkstückprogramms einen BEI FEHLER/ Unerwarteter Meßpunkt / Zu Sprungmarke springen-Befehl an, so haben alle nach dieser Programmstelle auftretenden unerwarteten Meßpunkte zur Folge, daß die Programmausführung zur angegebenen Sprungmarke springt. Die Aktion, mit welcher der Wert einer Variablen auf Eins gesetzt wird, hat zur Folge, daß die Variable sofort nach Auftreten des angegebenen Fehlertyps auf diesen Wert gesetzt wird. Dieser Variablenwert kann anhand einer IF-Anweisung geprüft werden, um bei der Ausführung einen Sprung zu einer neuen Stelle im Werkstückprogramm zu bewirken.

Die im Bearbeitungsfenster für die Option BEI FEHLER angezeigte Befehlszeile lautet:
BEI_FEHLER/UNERWARTETER_MESSPKT, Modus-ID
oder
BEI_FEHLER/TASTER_VERFEHLG, Modus-ID

So verwenden Sie den Befehl BEI_FEHLER:

  1. Wählen Sie die Menüoption Bei Fehler. Das Dialogfeld Bei Fehler erscheint.
  2. Wählen Sie entweder Unerwarteter Tastermeßpunkt oder Verfehlter Tastermeßpunkt aus der Auswahlliste Fehlertyp aus.
  3. Markieren Sie eine der folgenden Fehlermodus-Optionen, um die jeweils gewünschte Aktion festzulegen:
Aus | Keine Aktion
Gehe zu Sprungmarke | Sprung zu einer definierten Sprungmarke
Variable festlegen | Setzen des Werts einer Variablen auf Eins

  4. Klicken Sie auf die Schaltfläche OK, um die Option BEI_FEHLER anzuwenden. Mit der Schaltfläche Abbrechen wird das Dialogfeld Bei Fehler geschlossen, ohne daß Änderungen übernommen werden.

Siehe auch:

Fehlertyp

Aus

Gehe zu Sprungmarke

Variable festlegen

Unterstützte Schnittstellen


Fehlertyp

Aus der Auswahlliste Fehlertyp können Sie einen der folgenden Fehlertypen auswählen:

  • Unerwarteter Tastermeßpunkt
  • Verfehlter Tastermeßpunkt


Aus

Wenn am KMG ein Fehler auftritt, wird PC-DMIS durch Auswahl der Option Aus angewiesen, keine Maßnahme zu ergreifen.


Verzweigen mit Hilfe der Ablaufsteuerung - Verzweigung bei einem KMG-Fehler - Gehe zu Sprungmarke

Gehe zu Sprungmarke

Wenn am KMG ein Fehler auftritt, bewirkt das Markieren der Option Gehe zu Sprungmarke, daß das Werkstückprogramm zu einer definierten Sprungmarke springt.


Variable festlegen

Wenn am KMG ein Fehler auftritt, bewirkt das Markieren der Option Variable festlegen, daß das Werkstückprogramm den Wert einer Variablen auf Eins setzt.


Unterstützte Schnittstellen

Nicht alle Schnittstellen unterstützen den Befehl BEI_FEHLER. In der nachfolgenden Tabelle können Sie feststellen, ob Ihre Schnittstelle unterstützt wird.

  • Ist Ihre Schnittstelle aufgeführt, wird durch das "X" angezeigt, welcher Fehlertyp von dieser Schnittstelle unterstützt wird.
  • Ist Ihre Schnittstelle nicht aufgeführt, können Sie den Befehl BEI_FEHLER nicht verwenden.
Unterstützte Schnittstellen | Unerwarteter Tastermeßpunkt | Verfehlter Tastermeßpunkt
B&S Standard | X | X
Dea |  | X
Elm | X | X
Federal/Renault | X | X
Johansson | X | X
Leitz | X | X
LK Direct (auch bekannt unter LKRS232) | X | X
LK Driver | X | X
Metrolog | X | X
Mitutoyo Bright | X | X
Mitutoyo | X | X
Mora | X | X
Omnitech | X | X
Renishaw | X | X
Sharpe | X | X
Sheffield | X | X
Wenzel | X | X
Zeiss | X | X


Verzweigung bei Unterprogrammen

Display Menu Roadmap
Über die Menüoption Unterprogramm können Sie aus der aktuellen (oder externen) Datei heraus auf Werkstückprogramm-Befehle zugreifen und diese Befehle wiederholt verwenden. PC-DMIS ermöglicht Ihnen das Übergeben/Übernehmen von Argumenten an/aus ein(em) Unterprogramm. Die einzige Einschränkung in bezug auf die Anzahl von Argumenten und die verschachtelten Unterprogramme ist der jeweils verfügbare Speicher. Das externe Unterprogramm hat keinen Zugriff auf Elemente, Variablen oder Ausrichtungen des Haupt-Werkstückprogramms. Es ermöglicht Ihnen lediglich die Übergabe der erforderlichen Daten. Das Unterprogramm hat jedoch Zugriff auf Einträge innerhalb des Werkstückprogramms.

Die im Bearbeitungsfenster für ein Beispiel-Unterprogramm angezeigte Befehlszeile lautet:
UNTERPROGRAMM/Name,
S1 = Arg1 : Beschreibung

Name = der Name des Unterprogramms.
S1 = der lokale Variablenname, der im Unterprogramm verwendet wird. Auf diese Variable kann im allgemeinen nicht außerhalb des Unterprogramms zugegriffen werden.
Arg1 = der Standardwert für das erste Argument.
Beschreibung = die Beschreibung des Arguments im Unterprogramm.

ENDEUNTERPROG/ dient zur Beendigung der Unterprogrammdefinition.

Zu den Argumenttypen, die an ein Unterprogramm übergeben werden können, gehören numerische Werte, Variablen, Zeichenfolgen und Elementnamen.

Siehe auch:

Übergeben von numerischen Zeichen an ein Unterprogramm

Übergeben von Variablen an ein Unterprogramm

Übergeben von Zeichenfolgen an ein Unterprogramm

Übergeben von Elementnamen an ein Unterprogramm

Erstellen eines neuen Unterprogramms

Dialogfeld "Unterprogramm erstellen"

Bearbeiten eines vorhandenen Unterprogramms

Dialogfeld "Argument bearbeiten"

Beenden eines Unterprogramms

Aufrufen eines Unterprogramms

Dialogfeld "Unterprogramm aufrufen"

Codebeispiel für ein Unterprogramm


Übergeben von numerischen Zeichen an ein Unterprogramm

Um numerische Zeichen zu übergeben, geben Sie die Zahl einfach im Feld Wert des Dialogfelds Argument bearbeiten ein. Nähere Hinweise dazu finden Sie unter "Erstellen eines neuen Unterprogramms".


Übergeben von Variablen an ein Unterprogramm

Argumente, die Daten wieder zurückgeben können, werden als Variablen bezeichnet. Geben Sie die Variable im Feld Wert des Dialogfelds Argument bearbeiten ein. Nähere Hinweise dazu finden Sie unter "Erstellen eines neuen Unterprogramms".

Wird eine Variable als Argument zu einem Unterprogramm verwendet, werden sämtliche Änderungen, die an der entsprechenden Variablen des Unterprogramms auftreten, zurückgegeben und nehmen den Wert der an das Unterprogramm übergebenen Variablen an.

Beispiel: Das folgende Beispiel zeigt, wie der Wert einer Variablen, die als Argument an ein Unterprogramm übergeben wird, vom Unterprogramm zurückgegeben wird: Der Variablen V1 wird der Wert 6 zugewiesen: ZUWEISEN/ V1 = 6. Ein Unterprogrammaufruf übergibt V1 als erstes Argument: UNTERPROGAUFR; MeinUnterprogramm, V1. Das Unterprogramm wird wie folgt definiert: UNTERPROGRAMM/MeinUnterprogramm,A1 = 0. A1 ist der Name des ersten Arguments. D. h. wenn der Aufruf stattfindet, hat A1 denselben Wert wie V1 zum Zeitpunkt des Aufrufs (den Wert 6). Das Unterprogramm enthält eine Anweisung: ZUWEISEN/ A1 = A1 + 1. Hiermit wird der Wert von A1 auf 7 erhöht. Das Unterprogramm endet, ENDE /UNTERPROGRAMM. Das Programm kehrt in seinem Ablauf zu der Anweisung zurück, die direkt auf den Unterbefehl des Aufrufs folgt. Als Folge des Rücksprungs in der Programmausführung werden alle Variablen, die als Argumente dienten, in diesem Fall V1, auf den Wert der entsprechenden Variablen des Unterprogramms aktualisiert, in diesem Fall A1. Folglich besitzt V1 jetzt den Wert 7. Der Wert wurde vom Unterprogramm zurückgegeben.


Übergeben von Zeichenfolgen an ein Unterprogramm

Um eine Zeichenfolge zu übergeben, geben Sie den alphanumerischen Wert im Feld Wert des Dialogfelds Argument bearbeiten ein. Nähere Hinweise dazu finden Sie unter "Erstellen eines neuen Unterprogramms". Vergewissern Sie sich, daß die alphanumerischen Zeichen in doppelten Anführungszeichen stehen, z.B. "Diesen Text1 übergeben."


Übergeben von Elementnamen an ein Unterprogramm

Elementnamen werden in geschweiften Klammern übergeben. {F1} wird beispielsweise im Feld Wert des Dialogfelds Argument bearbeiten eingegeben, um das mit F1 bezeichnete Element im Bearbeitungsfenster aufzurufen.

Beim Übergeben des Elementnamens erhält das Unterprogramm außerdem uneingeschränkten Zugriff auf dieses Element. Das Unterprogramm kann jeden theoretischen Wert des Elements ändern. Beispiel: Beim Übergeben des Elements F1 verwenden Sie zum Festlegen der theoretischen X-Werte den Befehl ZUWEISEN/F1.TX = 5 im Bearbeitungsfenster.


Erstellen eines neuen Unterprogramms

So erstellen Sie ein neues Unterprogramm:

Display Menu Roadmap
Wählen Sie Unterprogramm im Untermenü aus. Das Dialogfeld Unterprogramm erstellen wird eingeblendet. Informationen zu diesem Dialogfeld finden Sie im Abschnitt "Das Dialogfeld 'Unterprogramm erstellen'".

  2. Geben Sie den Namen des Unterprogramms im Feld Name ein.
  3. Klicken Sie auf die Schaltfläche Arg. hinzufügen Das Dialogfeld Argument bearbeiten erscheint. Informationen zu diesem Dialogfeld finden Sie im Abschnitt "Dialogfeld 'Argument bearbeiten'".
  4. Geben Sie den Namen des Arguments im Feld Name ein.
  5. Klicken Sie in das Feld Wert.
  6. Geben Sie den Wert des Arguments im Feld Wert ein.
  7. Klicken Sie in das Feld Beschreibung.
  8. Geben Sie eine Beschreibung des Arguments im Feld Beschreibung ein. Diese Beschreibung wird im Bearbeitungsfenster neben dem Argument eingeblendet.

Mit der Schaltfläche Abbrechen werden alle an einem Argument vorgenommenen Änderungen gelöscht, und Sie kehren zum Dialogfeld Unterprogramm erstellen zurück

Hinweis: Sie können Argumente auch löschen, indem Sie im Dialogfeld Unterprogramm erstellen auf die Schaltfläche Arg. löschen klicken.


Dialogfeld "Unterprogramm erstellen"

Die folgenden Themen beschreiben die verschiedenen Optionen im Dialogfeld Unterprogramm erstellen.

Cancel OK Delete Argument from Subroutine Add Argument to Subroutine Arguments List Subroutine Name

Siehe auch:

Unterprogrammname

Listenfeld "Anz. Argumente"

Argument hinzufügen

Argument aus Unterprogramm löschen

Feld "Werte"

Argument löschen


Unterprogramm-Name

Geben Sie im Feld Name den Namen des zu erstellenden Unterprogramms ein.


Listenfeld "Anz. Argumente"

In der Liste Anz. Argumente werden die Argumente für das zu erstellende Unterprogramm angezeigt. Zur Bearbeitung des Arguments doppelklicken Sie einfach auf das Argument, das geändert werden soll. Das Dialogfeld Argument bearbeiten erscheint.


Arg. hinzufügen

Mit der Schaltfläche Arg. hinzufügen können Sie neue Argumente zum Unterprogramm hinzufügen. Klicken Sie hierzu einfach auf diese Schaltfläche, und das Dialogfeld Argument hinzufügen erscheint.


Löschen eines Arguments aus einem Unterprogramm

Mit der Schaltfläche Arg. löschen können Sie Argumente aus dem Unterprogramm löschen. Markieren Sie das Argument einfach in der Liste, und klicken Sie auf die Schaltfläche Arg. löschen.


Feld "Werte"

Das Feld Werte enthält eine Liste der Werte jedes Arguments, das mit dem Unterprogramm verknüpft ist. Um diese Werte zu ändern, doppelklicken Sie einfach auf den zu ändernden Wert. Daraufhin wird das Dialogfeld Argument bearbeiten eingeblendet.


Arg. löschen

Mit dieser Schaltfläche können Sie Argumente aus dem Feld Werte löschen. Markieren Sie einfach den angezeigten Wert, und klicken Sie auf die Schaltfläche Arg. löschen. Das mit diesem Wert verknüpfte Argument wird daraufhin gelöscht.


Bearbeiten eines vorhandenen Unterprogramms

So bearbeiten Sie ein vorhandenes Unterprogramm:

  1. Setzen Sie den Cursor auf das Unterprogramm im Bearbeitungsfenster.
  2. Drücken Sie F9. Das Dialogfeld Unterprogramm erstellen wird eingeblendet. Informationen zu diesem Dialogfeld finden Sie im Abschnitt "Dialogfeld 'Unterprogramm erstellen'".
  3. Heben Sie das Argument hervor, das im Feld Anz. Argumente geändert werden soll. Das Dialogfeld Argument bearbeiten erscheint. Informationen zu diesem Dialogfeld finden Sie im Abschnitt "Dialogfeld 'Argument bearbeiten'".
  4. Nehmen Sie erforderlichen Änderungen in den gewünschten Feldern vor.
  5. Klicken Sie auf OK, um das Dialogfeld Argument bearbeiten zu schließen und die Änderungen zu speichern. An dieser Stelle können Sie andere zu bearbeitende Argumente wählen.

Wenn Sie mit der Bearbeitung Ihres Unterprogramms fertig sind, klicken Sie auf die Schaltfläche OK, um die Änderungen zu speichern und zum PC-DMIS-Hauptfenster zurückzukehren.

Mit der Schaltfläche Abbrechen werden alle an einem Argument vorgenommenen Änderungen gelöscht, und Sie kehren zum Dialogfeld Unterprogramm erstellen zurück

Hinweis: Sie können Argumente auch löschen, indem Sie im Dialogfeld Unterprogramm erstellen auf die Schaltfläche Arg. löschen klicken.


Dialogfeld "Argument bearbeiten"

The following topics describe the various options available in the Argument Edit dialog box.

Cancel OK Argument Description Argument Value Argument Name

Siehe auch:

Argumentname

Argumentwert

Argumentbeschreibung


Argumentname

Geben Sie im Feld Name den Namen des zu erstellenden bzw. zu bearbeitenden Arguments ein.


Argumentwert

Geben Sie im Feld Wert den Wert des Arguments ein. Zu den gültigen Werten gehören:

  • Numerische Zeichen
  • Variablen
  • Zeichenfolgen


Argumentbeschreibung

Geben Sie im Feld Beschreibung eine Beschreibung des Arguments ein. Diese Beschreibung wird im Bearbeitungsfenster neben dem Argument eingeblendet.


Beenden eines Unterprogramms

Display Menu Roadmap
Die Menüoption Ende Unterprogramm beendet ein Unterprogramm, indem ein "ENDEUNTERPROG/"-Befehl in das Bearbeitungsfenster plaziert wird.

Vorgehensweise:

  1. Setzen Sie den Cursor an die gewünschte Stelle im Bearbeitungsfenster.
  2. Wählen Sie im Untermenü Ende Unterprogramm.

Im Bearbeitungsfenster erscheint der Befehl "ENDEUNTERPROG/".


Aufrufen eines Unterprogramms

Add Argument Cancel OK Delete Argument Argument Values Select Subroutine File Name

Display Menu Roadmap
Mit dem Menübefehl Unterprogr. aufrufen wird ein bereits vorhandenes Unterprogramm aus dem aktuellen Werkstückprogramm an einer anderen Stelle oder aus einem anderen Werkstückprogramm im aktuellen Werkstückprogramm aufgerufen.

So rufen Sie ein Unterprogramm auf:

  1. Wählen Sie im Untermenü die Option Unterprogr. aufrufen. Das Dialogfeld Unterprogramm aufrufen erscheint.
  2. Klicken Sie auf die Schaltfläche Wähle Unterprogramm. Das Dialogfeld Unterprogramm auswählen erscheint.
  3. Markieren Sie entweder das Kontrollkästchen Benutzerverzeichnis, das Kontrollkästchen Aktuelles Verzeichnis oder beide. Wenn das Werkstückprogramm, aus dem das Unterprogramm stammt, in dem nach Unterprogrammen zu durchzusuchenden Verzeichnis installiert ist, markieren Sie das Kontrollkästchen Benutzerverzeichnis. Wenn es aus dem aktuellen Verzeichnis stammt, markieren Sie das Kontrollkästchen Aktuelles Verzeichnis. PC-DMIS führt alle zur Auswahl stehenden Werkstückprogramme auf.
  4. Wählen Sie das Werkstückprogramm, in dem das gewünschte Unterprogramm enthalten ist. Im Feld Unterprogrammname werden alle mit dem gewählten Programm verknüpften Unterprogramme angezeigt.
  5. Klicken Sie auf das aufzurufende Unterprogramm.
  6. Klicken Sie auf die Schaltfläche OK. Die im Unterprogramm aufzurufenden Daten erscheinen anschließend im Dialogfeld Unterprogramm aufrufen.
  7. Klicken Sie noch einmal auf die Schaltfläche OK, damit das aufgerufene Unterprogramm an der markierten Stelle im Bearbeitungsfenster erscheint.

Die im Bearbeitungsfenster für ein aufgerufenes Beispiel-Unterprogramm angezeigte Befehlszeile lautet:

CS2    =UNTERPROGAUFR/Name, Datei\Prog:Arg1,…

CS2 = die für den Befehl "Unterprogaufr" erstellte Sprungmarke.
Name = der Optionsname des aufzurufenden Unterprogramms.
Datei = das Werkstückprogramm, welches das Unterprogramm enthält. (Wenn dieses Feld leer ist, sucht PC-DMIS im aufrufenden Werkstückprogramm nach dem Unterprogramm).
Prog = der Name des Werkstückprogramms, von dem aus das Unterprogramm aufgerufen wird
Arg1 = das an das Unterprogramm zu übergebende Argument. (Wenn dieses Feld leer ist, wird der Standardwert verwendet.).

Hinweis: In Ihrem UNTERPROGAUFR-Befehl sollten Sie einen Satz mit den Zeigern zu allen Objekten ablegen, die für das Unterprogramm erstellt wurden, so daß Sie mit Hilfe der Unterprogramm-ID später wieder darauf verweisen können. Weitere Informationen zu Zeigern finden Sie unter "Zeiger" im Abschnitt "Verwenden von Ausdrücken und Variablen".

Im Dialogfeld Unterprogramm aufrufen können Sie außerdem Argumente, die an das aufgerufene Unterprogramm übergeben werden sollen, hinzufügen, bearbeiten oder löschen.

Siehe auch:

So fügen Sie ein neues Argument mit Hilfe des Dialogfelds "Unterprogramm aufrufen" hinzu

So bearbeiten Sie vorhandene Argumente mit Hilfe des Dialogfelds "Unterprogramm aufrufen

So löschen Sie Argumente aus einem UNTERPROGAUFR-Befehl

So verwenden Sie UNTERPROGAUFR-Befehle im Mehrarm-Betrieb


So fügen Sie ein neues Argument mit Hilfe des Dialogfelds "Unterprogramm aufrufen" hinzu

  1. Klicken Sie auf die Schaltfläche Arg. hinzufügen Das Dialogfeld Argument bearbeiten erscheint.
  2. Klicken Sie in das Feld Wert.
  3. Geben Sie den Wert des Arguments im Feld Wert ein.
  4. Klicken Sie in das Feld Beschreibung.
  5. Geben Sie eine Beschreibung des Arguments im Feld Beschreibung ein. Diese Beschreibung wird im Bearbeitungsfenster neben dem Argument eingeblendet.


So bearbeiten Sie vorhandene Argumente mit Hilfe des Dialogfelds "Unterprogramm aufrufen"

  1. Doppelklicken Sie auf den Wert des zu ändernden Arguments. Es erscheint ein Feld mit dem Standardwert für das aufgerufene Unterprogramm.
  2. Geben Sie einen neuen Wert ein.
  3. Klicken Sie auf die Schaltfläche OK.

Weitere Hinweise zum Bearbeiten oder Erstellen neuer Argumente für ein Unterprogramm finden Sie unter "Erstellen eines neuen Unterprogramms" und "Bearbeiten eines vorhandenen Unterprogramms".


So löschen Sie Argumente aus einem UNTERPROGAUFR-Befehl:

  1. Setzen Sie den Cursor auf dem UNTERPROGAUFR-Befehl.
  2. Drücken Sie F9, um das Dialogfeld Unterprogramm aufrufen zu öffnen.
  3. Wählen Sie das/die gewünschte/n Argument/e in der Liste aus.
  4. Klicken Sie auf die Schaltfläche Arg. löschen.
  5. Klicken Sie auf OK.

Sie können Argumente auch direkt im Bearbeitungsfenster-Text löschen. Vorgehensweise:

  1. Versetzen Sie PC-DMIS in den Befehlsmodus.
  2. Setzen Sie den Cursor auf dem UNTERPROGAUFR-Befehl, und drücken Sie die Tabulatortaste, bis das gewünschte Argument markiert ist.
  3. Geben Sie die Buchstaben "lösch" ein. Dadurch wird das Argument gelöscht. Die Taste "Entf" oder die Rücktaste können nicht zum Löschen des Arguments verwendet werden. Sie verwandeln das Argument lediglich in ein leeres Argument.


Verwenden von UNTERPROGAUFR-Anweisungen im Mehrarm-Betrieb

Wenn Sie eine UNTERPROGAUFR-Anweisung als "Master Only" (Nur Master) markieren, werden alle Befehle im Unterprogramm beim Aufrufen des Unterprogramms als "Master Only" (Nur Master) markiert.

Wenn Sie eine UNTERPROGAUFR-Anweisung als "Slave Only" (Nur Slave) markieren, werden alle Befehle im Unterprogramm beim Aufrufen des Unterprogramms als "Slave Only" (Nur Slave) markiert.

Wenn Sie eine UNTERPROGAUFR-Anweisung für beide Arme markieren, läßt PC-DMIS die Markierungen des Unterprogramms so, wie sie ursprünglich eingerichtet wurden.

Wenn ein Unterprogramm einen BEWEGUNG/SYNC-Befehl enthält und Sie die UNTERPROGAUFR-Anweisung als "Master Only (Nur Master) oder "Slave Only" (Nur Slave) markieren, zeigt PC-DMIS bei der Ausführung eine Fehlermeldung an, die besagt, daß dies unzulässig ist, und das Unterprogramm wird nicht aufgerufen.

Informationen zum Zuweisen eines Ausführungsbefehls für einen bestimmten Arm finden Sie unter "Zuweisen eines Befehls zu einem Arm" im Abschnitt "Arbeiten im Mehrarmbetrieb".


Dialogfeld "Unterprogramm aufrufen"

Die folgenden Themen beschreiben die verschiedenen Optionen im Dialogfeld Unterprogramm aufrufen.

Siehe auch:

Feld "Name" im Dialogfeld "Unterprogramm aufrufen"

Feld "Datei" im Dialogfeld "Unterprogramm aufrufen"

Unterprogramm auswählen


Feld "Name" im Dialogfeld "Unterprogramm aufrufen"

Das Feld Name enthält den Namen des Unterprogramms, das Sie nach dem Klick auf die Schaltfläche Unterprogramm auswählen angegeben haben.


Feld "Datei" im Dialogfeld "Unterprogramm aufrufen"

Das Feld Datei enthält den Verzeichnispfad zur aufgerufenen Unterprogramm-Datei.


Unterprogramm auswählen

Die Schaltfläche Wähle Unterprogramm blendet das Dialogfeld Unterprogramm auswählen ein.

In diesem Dialogfeld können Sie zuvor erstellte Unterprogramme aufrufen, indem Sie im Benutzerverzeichnis oder im aktuellen Verzeichnis danach suchen.


Codebeispiel für ein Unterprogramm

Mit Hilfe des folgenden Codebeispiels kann der Bediener die theoretischen X-, Y- und Z-Werte eines Elements nach dessen Messung ändern. Alle nachfolgenden Messungen verwenden dann diese aktualisierten theoretischen Werte.

PKT1=ELEM/PUNKT,KART
…
…
ENDEMESS/
C1=KOMMENTAR/JANEIN,Möchten Sie die theoretischen Werte für PKT1 ändern?
IF/C1.EINGABE=="JA"
    CS1=UNTERPROGAUFR/THEOÄNDERN,:,
END_IF/
KOMMENTAR/BEDIENER,Die theoretischen XYZ-Werte und die XYZ-Istwerte für PKT1 sind:
,"TheoX= " + PKT1.TX
,"Theo Y= " + PKT1.TY
,"Theo Z= " + PKT1.TZ
,- - - - - - - - - - -
,"Ist X= " + PKT1.X
,"Ist Y= " + PKT1.Y
,"Ist Z= " + PKT1.Z
PROGRAMM/ENDE
UNTERPROGRAMM/THEOÄNDERN,
PUNKT1 = {PKT1} : ,
=

MERKMALINFO//;MERKMAL-ID, ELEMENT-ID;ÜBERSCHRIFTEN,GRAFIK ACHSE;MESS,NENNW,TOL,ABW,MAXMIN,AUSTOL, , ,

C2=KOMMENTAR/EINGABE,Geben Sie den neuen theor. X-Wert für PKT 1 ein.
,"Der aktelle Wert ist: " + PKT1.TX
ZUWEISEN/PKT1.TX = C2.EINGABE
C3=KOMMENTAR/EINGABE,Geben Sie den neuen theor. Y-Wert für PKT 1 ein.
,"Der aktelle Wert ist: " + PKT1.TY
ZUWEISEN/PKT1.TY = C3.EINGABE
C4=KOMMENTAR/EINGABE,Geben Sie den neuen theor. Z-Wert für PKT 1 ein.
,"Der aktuelle Wert ist: " + PKT1.TZ
ZUWEISEN/PKT1.TZ = C4.EINGABE
ENDEUNTERPROG/

Erläuterung des Beispielcodes

C1=KOMMENTAR/JANEIN
Diese Zeile nimmt und speichert die Eingabe JA oder NEIN des Benutzers.

IF/C1.EINGABE=="JA"
Diese Zeile ist der Ausdruck. Er testet, ob die Eingabe von Kommentar 1 ein JA ist. Lautet die Eingabe JA, dann ist die IF-Anweisung WAHR, und es werden die auf die IF-Anweisung folgenden Anweisungen ausgeführt. In diesem Fall wird das Element PKT1 gemessen. Lautet die Eingabe NEIN, springt das Programm zur END_IF-Anweisung.

CS1=UNTERPROGRAMM/THEOÄNDERN,:,
Diese Zeile ruft das Unterprogramm THEOÄNDERN auf. Der Werkstückprogrammablauf springt nun zur Zeile UNTERPROGRAMM/THEOÄNDERN.

UNTERPROGRAMM/THEOÄNDERN
Diese Zeile initialisiert das Unterprogramm THEOÄNDERN. Der Programmablauf fährt mit der Ausführung des Codes zwischen dieser Zeile und der ENDEUNTERPROG/-Zeile fort.

PUNKT1 = {PKT1} : ,
Dies ist das einzige Argument des Unterprogramms. Es ermöglicht dem Unterprogramm den Zugriff auf die Daten des Elements PKT1.

C2=KOMMENTAR/EINGABE, C3=KOMMENTAR/EINGABE, C4=KOMMENTAR/EINGABE
Diese Eingabekommentare nehmen die neuen durch den Benutzer eingegebenen theoretischen X-, Y- und Z-Werte und speichern sie unter C2.EINGABE, C3.EINGABE bzw. C4.EINGABE.

ZUWEISEN/PKT1.TX = C2.EINGABE
Diese Zeile nimmt den theoretischen X-Wert aus C2.EINGABE und weist ihn der Variable PKT1.TX zu. PKT1.TX ist eine PC-DMIS-Variable, die den theoretischen X-Wert (gekennzeichnet durch TX) für den Punkt mit der ID-Sprungmarke PKT1 enthält.

ZUWEISEN/PKT1.TY = C3.EINGABE
Diese Zeile nimmt den theoretischen Y-Wert aus C3.EINGABE und weist ihn der Variable PKT1.TY zu. PKT1.TY ist eine PC-DMIS-Variable, die den theoretischen Y-Wert (gekennzeichnet durch TY) für den Punkt mit der ID-Sprungmarke PKT1 enthält.

ZUWEISEN/PKT1.TZ = C4.EINGABE
Diese Zeile nimmt den theoretischen Z-Wert aus C4.EINGABE und weist ihn der Variable PKT1.TZ zu. PKT1.TZ ist eine PC-DMIS-Variable, die den theoretischen Z-Wert (gekennzeichnet durch TZ) für den Punkt mit der ID-Sprungmarke PKT1 enthält.

ENDEUNTERPROG/
Diese Zeile beendet das Unterprogramm, und der Programmablauf kehrt zu jener Zeile zurück, die direkt auf den Unterprogrammaufruf folgt. In diesem Fall ist es die Anweisung END_IF/.

Der Programmablauf fährt dann mit dem nächsten Bedienerkommentar fort, der die theoretischen X-, Y- und Z-Werte sowie die X-, Y- und Z-Istwerte anzeigt. Anschließend wird das Werkstückprogramm mit dem Befehl PROGRAMM/ENDE beendet.


Tracking Statistical Data

Verwenden der Überwachungsfelder

Senden der aktuellen Statistik an eine Datei

Verwenden des Dialogfelds "Statistikoptionen"


Nachverfolgen statistischer Daten: Einführung

In PC-DMIS können Sie statistische Daten für Ihre gemessenen Werkstücke sammeln und verwalten. Die Daten in einem Merkmals- oder Überwachungsfeld können durch Einfügen eines STAT-Befehls vor dem Merkmals- oder Überwachungsfeld an ein ausgewähltes Statistikprogramm gesendet werden.

Hauptthemen in diesem Abschnitt:

  • Verwenden der Überwachungsfelder
  • Verwenden des Dialogfelds "Statistikoptionen"


Verwenden der Überwachungsfelder

Display Menu Roadmap
Über die Menüoption Überwachungsfeld wird das Dialogfeld Überwachungsfeld eingeblendet. Mit diesem Dialogfeld können Sie Überwachungsfelder im Bearbeitungsfenster einrichten. Diese Daten werden in der STATISTIK-Datenbank verwendet (siehe Datei XSTATS11.TMP). Wenn das Überwachungsfeld im Bearbeitungsfenster angezeigt wird, können der Name und der aktuelle Wert dieses Felds geändert werden.

So ändern Sie die mit einem Überwachungsfeld verknüpften Felder:

  1. Setzen Sie den Cursor auf das Feld, dessen Eintrag geändert werden soll.
  2. Heben Sie den aktuellen Wert hervor.
  3. Geben Sie einen neuen Wert ein.

Wenn die Option Anzeige aktiviert ist, erscheint das Dialogfeld Überwachungsfeld jedesmal dann, wenn das Werkstückprogramm ausgeführt wird. Ist die Option Keine Anzeige markiert, erscheint das Dialogfeld nicht während der Ausführung.

Die im Bearbeitungsfenster für die Option Überwachungsfeld angezeigte Befehlszeile lautet:
ÜBERWACHUNGSFELD/ ANZEIGESTATUS ; Feldname : Wert

ANZEIGESTATUS = Dieses Umschaltfeld steuert, ob das Dialogfeld Überwachungsfeld während der Ausführung angezeigt wird oder nicht. Es ist zwischen ANZEIGE und KEINE ANZEIGE umschaltbar.

Feldname = Diese Zeichenfolge steht für den Namen des Überwachungsfeldes. Es sind maximal 15 Zeichen zulässig.

Wert = Dies zeigt den aktuellen Wert des Überwachungsfeldes an. Es sind maximal 15 Zeichen zulässig.

Wichtig: Der Befehl ÜBERWACHUNGSFELD sollte auf den Befehl STAT/EIN folgen.

Siehe auch:

Optionen


Nachverfolgen statistischer Daten - Verwenden der Überwachungsfelder - Optionen

Optionen

Im Bereich Optionen werden die Optionen des Überwachungsfeldes gesteuert:

  • Keine Anzeige
  • Anzeige
  • Wertgrenze

Siehe auch:

Keine Anzeige

Anzeige

Wertgrenze


Keine Anzeige

Durch Auswahl der Option Keine Anzeige wird darauf hingewiesen, daß bei der Ausführung des Überwachungsfelds kein Dialogfeld angezeigt werden soll. Auf diese Weise können Überwachungsfelder durch Variablen gesteuert werden, ohne daß Benutzereingaben erforderlich sind.


Anzeige

Durch Auswahl der Option Anzeige wird darauf hingewiesen, daß bei der Ausführung des Überwachungsfeldes ein Dialogfeld angezeigt werden soll. Dadurch werden Benutzereingaben während der Ausführung des Überwachungsfeldes gefordert.

Hinweis: Überwachungsfelder, die mit Hilfe von Logo.dat eingegeben werden, werden bei der Programmausführung nicht ausgedruckt. Sie werden jedoch trotzdem an die Statistikdatei gesendet.


Wertgrenze

Das Feld Wertgrenze bestimmt, wieviel Zeichen für den Wert im Überwachungsfeld maximal zulässig sind. Wenn Sie als Wertgrenze die Zahl 5 eingeben, können Sie daher nicht mehr als fünf Zeichen in das Feld Wert eingeben.


Senden der aktuellen Statistik an eine Datei

Display Menu Roadmap

Über die Menüoption Aktuelle Stat. an Datei senden können Sie Daten an eine Datenbank oder an die Datei XSTATS11.tmp senden, ohne das Werkstückprogramm ausführen zu müssen.

Bei Auswahl dieser Option werden alle Merkmals- und Überwachungsfelder, die auf einen STAT/EIN-Befehl folgen, an die ausgewählte Datenbank gesendet. Die statistischen Daten werden nur an eine Datenbank gesendet, wenn Sie über eine registrierte Datenbank verfügen und der Befehl STAT/EIN markiert ist. Andernfalls sendet PC-DMIS die statistischen Daten an die Datei XSTATS11.tmp.


Verwenden des Dialogfelds "Statistikoptionen"

Delete Current Stats File Database Options Cancel OK Update Database Now Memory Pages Write Lock Read Lock Do Control Calculations DataPage Variable Name Delete Directory from List Add Directory to List Database Directories Stats Options

Display Menu Roadmap
Die Menüoption Statistik dient zur Verwaltung von statistischen Daten, die sich aus der Messung eines Werkstücks ergeben. Hierzu wird vor ausgewählten Merkmals- oder Überwachungsfeld-Befehlen ein STAT-Befehl in ein Werkstückprogramm eingefügt. Die erfaßten Daten können dann an ein ausgewähltes Statistikprogramm gesendet werden.

Siehe auch:

Statistikoptionen

Datenbankoptionen

Datenbank jetzt aktualisieren


Statistikoptionen

Der Bereich Statistikoptionen ist im Dialogfeld Statistikoptionen immer verfügbar. Mit den Befehlen im Bereich Statistikoptionen können Sie:

  • die Statistik ausschalten (Aus)
  • die Statistik einschalten (Ein)
  • die Statistik in ein anderes Verzeichnis übertragen
  • die Statistik aktualisieren

Siehe auch:

Statistik "Aus"

Statistik "Ein"

Übertragen

Aktualisieren


Statistik deaktivieren

Statistik "Aus"

Wird die Option Aus für die Statistik gewählt, kann das Werkstückprogramm keine statistischen Daten mehr senden. Bei deaktivierter Statistik senden Merkmals- oder Überwachungsfeld-Befehle erst dann wieder statistische Daten zur Datenbank, wenn die Option Ein für die Statistik gewählt wird.

So deaktivieren Sie die Statistik:

  1. Klicken Sie auf die Option Aus.
  2. Klicken Sie auf die Schaltfläche OK.


Statistik aktiviert

Statistik "Ein"

Bei Wahl der Option Ein für die Statistik können statistische Daten vom Werkstückprogramm an die Datenbank übertragen werden. Bei aktivierter Statistik können Sie Daten zur Statistikdatei senden, die Daten in ein anderes Verzeichnis übertragen oder in einer Datenbankanwendung speichern.

Alle Merkmale, die zwischen einem STAT/EIN- und dem nächsten STAT/AUS-Befehl stehen, werden bei Ausführung des nächsten STAT/ÜBERTR-, STAT/AKTUALISIER-Befehls oder des letzten Befehls im Werkstückprogramm an die Statistikdatei oder -datenbank gesendet. Sie können die Ausgabedaten mit dem Befehl STAT/EIN an mehrere Datenbanken senden, sogar innerhalb desselben Werkstückprogramms.

Bei jeder Ausführung eines Werkstückprogramms mit mindestens einem STAT/EIN-Befehl fragt PC-DMIS an, ob die Ausgabedaten an statistische Datenbankverzeichnisse gesendet werden sollen. Sie können diese Eingabeaufforderung umgehen, indem Sie das Kontrollkästchen Datenbank IMMER aktualisieren aktivieren, das auf der Registerkarte Merkmal im Dialogfeld Setup-Optionen zur Auswahl steht. Informationen hierzu finden Sie unter "Setup-Optionen: Registerkarte 'Merkmal'" im Abschnitt "Voreinstellungen".

Hinweis: Wurde unter Datenbankoptionen DataPage ausgewählt, ruft PC-DMIS automatisch die ausführbare Datei DPUPDATE.exe auf, um die Daten in der Datei XSTATS11.tmp in die ausgewählten DataPage-Verzeichnisse einzufügen.

Das Aktivieren der Statistik innerhalb einer Schleife kann bei den Merkmals- und Element-IDs zu einer leicht veränderten Ausgabe in die Datei XSTATS11.tmp führen.

So aktivieren Sie die Statistik:

  1. Klicken Sie auf die Option Ein.
  2. Klicken Sie auf die Schaltfläche OK.

Die im Bearbeitungsfenster für die Anweisung STAT EIN angezeigte Befehlszeile lautet:
STAT/EIN,Datenbankoption;
Verzeichnis oder DSN
Benutzer-ID, Lesesperre, Schreibsperre, Speicherseiten, Benutzermodus, Variablenname

Datenbankoption = Dieses Umschaltfeld gibt den Datenbanktyp an, zu dem die Statistik gesendet wird. Dieses Feld kann DATAPAGE, DES oder SPC_DATENBANK lauten.

Verzeichnis oder DSN = Ist als Datenbankoption DATAPAGE oder DES festgelegt, gibt diese Zeichenfolge die Datenbankverzeichnisse an, zu denen die Statistik gesendet wird. Hierbei muß es sich um ein gültiges Datenbankverzeichnis handeln. Ist als Datenbankoption SPC_DATENBANK festgelegt, gibt diese Zeichenfolge den DSN-Namen der Datenbank an. Dieser DSN-Name kann unter den ODBC-Optionen in der Systemsteuerung des Computers erstellt werden. Dieser DSN-Name muß für eine Verknüpfung mit einer gültigen SPC-Datenbank erstellt werden.

Benutzer-ID = Diese aus neun Ziffern bestehende Zeichenfolge gibt die Seriennummer der Anschlußsperre an. Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.

Lesesperre = Dieses Feld gibt die maximale Anzahl von Sekunden an, die PC-DMIS beim Lesen auf den Datenbankzugriff wartet. Die Standardeinstellung lautet 10 Sekunden. Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.

Schreibsperre = Dieses Feld gibt an, wie viele Sekunden PC-DMIS beim Schreiben maximal auf Datenbankzugriff wartet. Die Standardeinstellung lautet 20 Sekunden. Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.

Speicherseiten = Dieses Feld gibt die Anzahl der 4K-Seiten an, die beim Öffnen der Datenbank für Datenbanktabellen reserviert werden. Diese Option wirkt sich auf die Leistung aus. Die zulässige Mindestanzahl beträgt 4 (gleichzeitig der Standard). Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.

Benutzermodus = Dieses Feld gibt die Benutzermoduseinstellung an. Der Einzelbenutzermodus gestattet nur einem einzelnen Benutzer Zugriff auf die Datenbank. Der Wert 0 (Null) zeigt an, daß der Einzelbenutzermodus eingestellt ist. Der Wert 1 (Eins) zeigt an, daß der Mehrbenutzermodus aktiviert ist. Durch den Einzelbenutzermodus wird die Leistung verbessert. Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.

Variablenname = Dieses Feld gibt den für die Variable festgelegten Namen an. Der Wert 0 (Null) gibt an, daß Merkmalnamen angezeigt werden. Der Wert 1 (Eins) gibt an, daß Element-IDs angezeigt werden. Dieses Feld findet nur bei der DataPage-Datenbankoption Verwendung.


Übertragen

Ist die Option Übertragen ausgewählt, dann können beim Ausführen des Befehls STAT/ÜBERTRAG statistische Daten aus einem Werkstückprogramm in ein angegebenes Verzeichnis übertragen werden.

Hinweis: Diese Option erweist sich insbesondere in Verbindung mit Option Auto aktualisieren von DataPage als nützlich.

So übertragen Sie die Statistik in ein anderes Verzeichnis:

  1. Klicken Sie auf die Option Übertragen.
  2. Geben Sie im Feld Übertragungsverzeichnis den Pfad zu dem Verzeichnis an, in das die Statistikdatei übertragen werden soll.


Aktualisieren

Die Option Aktualisieren erstellt einen STAT/AKTUALISIER-Befehl, durch den PC-DMIS angewiesen wird, die statistische Datenbank jedesmal bei Ausführung des Befehls zu aktualisieren. Das statistische Softwareprogramm muß installiert und aktiviert sein.

So können Sie festlegen, daß PC-DMIS die Datenbankanwendung inmitten eines Werkstückprogramms aktualisiert:

  1. Klicken Sie auf die Option Aktualisieren.
  2. Klicken Sie auf die Schaltfläche OK.

Hinweis: Durch Aktivieren des Kontrollkästchens Datenbank immer aktualisieren auf der Registerkarte Merkmal im Dialogfeld Setup-Optionen können Sie die Meldung "Datenbank jetzt aktualisieren?" umgehen, die nach Ausführung eines Werkstückprogramms, in dem ein STAT/EIN-Befehl enthalten ist, angezeigt wird. Informationen hierzu finden Sie unter "Setup-Optionen: Registerkarte 'Merkmal'" im Abschnitt "Voreinstellungen".


Datenbankoptionen

Durch Auswahl einer der folgenden Datenbankoptionen können Sie angeben, an welches Statistik-Softwareprogramm die Meßdaten gesendet werden sollen:

  • DataPage
  • DES
  • SPC-Datenbank

Das Dialogfeld Statistikoptionen ändert sich, wenn eine der Datenbankoptionen ausgewählt wird.

Siehe auch:

Option "DataPage"

Datenbankverzeichnisse

Verzeichnis zu Liste hinzufügen

Verzeichnis aus Liste löschen

Aktuelle Statistikdatei löschen

DataPage-Variablenname

Kontrollberechnungen durchführen

Lesesperre

Schreibsperre

Speicherseiten

Option "DES"

Option "SPC-Datenbank"

Datenquelle

Datenbank anzeigen/bearbeiten


Option "DataPage"

Bei Auswahl der Option "DataPage" wird das Dialogfeld Statistikoptionen um folgende Komponenten erweitert:

  • Liste "Datenbankverzeichnisse"
  • Schaltfläche "Verzeichnis zu Liste hinzufügen"
  • Schaltfläche "Verzeichnis aus Liste löschen"
  • Schaltfläche "Aktuelle Statistikdatei löschen
  • Bereich "DataPage-Variablenname"
  • Bereich "Kontrollberechnungen durchführen"
  • Feld "Lesesperre"
  • Feld "Schreibsperre"
  • Feld "Speicherseiten"


Datenbankverzeichnisse

Das Listenfeld Datenbankverzeichnisse zeigt die verschiedenen Verzeichnisse an, in denen eine Datenbankanwendung installiert werden könnte. Sie können Verzeichnisse zu dieser Liste hinzufügen bzw. sie daraus löschen. Pro STAT/EIN-Befehl können maximal zehn Verzeichnisse zur Übertragung von Statistikdaten ausgewählt werden.


Verzeichnis zu Liste hinzufügen

Wenn Sie ein neues Verzeichnis zum Listenfeld Datenbankverzeichnisse hinzufügen möchten, gehen Sie wie folgt vor:

  1. Klicken Sie auf die Schaltfläche Verzeichnis zu Liste hinzufügen. Daraufhin erscheint ein Feld, in das Sie den Verzeichnispfad eingeben können.
  2. Geben Sie den Verzeichnispfad für die Datenbank ein.
  3. Klicken Sie auf die Schaltfläche OK. Das Verzeichnis wird jetzt in der Liste angezeigt.


Verzeichnis aus Liste löschen

Wenn Sie ein Datenbankverzeichnis aus der Liste Datenbankverzeichnisse löschen möchten, gehen Sie wie folgt vor:

  1. Markieren Sie das zu löschende Verzeichnis in der Liste Datenbankverzeichnisse.
  2. Klicken Sie auf die Schaltfläche Verzeichnis aus Liste löschen. Das Verzeichnis wird aus der Liste gelöscht.


Aktuelle Statistikdatei löschen

Wenn Sie die Datei xstats11.tmp löschen möchten, klicken Sie auf die Schaltfläche Aktuelle Statistikdatei löschen.


DataPage-Variablenname

Die Optionen im Bereich DataPage-Variablenname geben an, ob die Einträge in DataPage anhand des Merkmal- oder Elementnamens identifiziert werden. Der Name darf maximal 10 Zeichen lang sein.

Um den Merkmal- oder Elementnamen auszuwählen, aktivieren Sie die Option Merkmalnamen verwenden oder die Option Elementnamen verwenden.


Kontrollberechnungen durchführen

Mit den Optionen im Bereich Kontrollberechnungen durchführen kann angegeben werden, ob die in DataPage durchgeführten Kontrollberechnungen verwendet werden sollen. Wird die Option Ein markiert, werden die "Außer Toleranz"-Kontrollberechnungen durchgeführt. Darüber hinaus wird das DataPage-Statistikaktualisierungsprogramm (DPUPDATE) angewiesen, die Kontrollberechnungen durchzuführen und die Kontrollanzeiger für Werkstück/Variable und innerhalb/außer Toleranz in der Datenbank zu setzen. Sie können diese Datenbank mit Hilfe des DataPage-Überwachungsmodus überprüfen, indem Sie die auf diesen Berechnungen basierenden Werkstück-/Variablenfarben (rot/gelb/grün) einschalten. Weitere Informationen entnehmen Sie bitte der Hilfedatei, die Sie zusammen mit der Anwendung "DataPage-Überwachungsmodus" erhalten haben.

Um die Kontrollberechnungen zu aktivieren bzw. zu deaktivieren, wählen Sie entweder die Option Ein oder die Option Aus. Die Standardeinstellung lautet Aus.


Lesesperre

Im Feld Lesesperre können Sie festlegen, wie viele Sekunden PC-DMIS beim Lesen maximal auf Datenbankzugriff wartet. Der Standardwert beträgt 10 Sekunden.

So ändern Sie die Anzahl von Sekunden, die PC-DMIS wartet:

  1. Markieren Sie den aktuellen Wert im Feld Lesesperre.
  2. Geben Sie einen neuen Wert ein.
  3. Drücken Sie die TABULATORTASTE.
  4. Klicken Sie auf OK.


Schreibsperre

Im Feld Schreibsperre können Sie festlegen, wie viele Sekunden PC-DMIS beim Schreiben maximal auf Datenbankzugriff wartet. Der Standardwert beträgt 20 Sekunden.

So ändern Sie die Anzahl von Sekunden, die PC-DMIS wartet:

  1. Markieren Sie den aktuellen Wert im Feld Schreibsperre.
  2. Geben Sie einen neuen Wert ein.
  3. Drücken Sie die TABULATORTASTE.
  4. Klicken Sie auf OK.


Speicherseiten

Im Feld Speicherseiten können Sie eingeben, wie viele 4K-Seiten beim Öffnen der Datenbank für Datenbanktabellen reserviert werden sollen. Die Mindestanzahl (und Standardeinstellung) von Seiten, die geöffnet sein muß, beträgt vier.

So ändern Sie die Anzahl der Speicherseiten:

  1. Markieren Sie den Wert im Feld Speicherseiten.
  2. Geben Sie einen neuen Wert ein.
  3. Drücken Sie die TABULATORTASTE.
  4. Klicken Sie auf OK.


Option "DES"

Die Option DES funktioniert nur mit bei dem statistischen Datenbankprogramm DES. Bei Auswahl der Option DES verändert sich das Dialogfeld Statistikoptionen, so daß nur die Bereiche Statistikoptionen und Datenbankoptionen sowie die Schaltflächen Datenbank jetzt aktualisieren, OK und Abbrechen zur Auswahl stehen.


Option "SPC-Datenbank"

Die Option SPC- Datenbank funktioniert nur mit PC-DMIS' internen statistischen Datenbankprogramm SPC. Bei Auswahl der Option SPC-Datenbank verändert sich das Dialogfeld Statistikoptionen und zeigt folgende Optionen:

  • Feld "Datenquelle"
  • Datenbank anzeigen/bearbeiten


Datenquelle

Aus der Liste Datenquelle können Sie einen Datenquellennamen (DSN = Data Source Name) auswählen. Ein DSN wird ursprünglich unter Verwendung der Open Database Connectivity(ODBC)-Optionen in der Systemsteuerung des Computers erstellt.

So erstellen Sie einen DSN:

  1. Wählen Sie Start | Einstellungen | Systemsteuerung.
  2. Doppelklicken Sie auf das Symbol ODBC-Datenquellen.
  3. Halten Sie sich zum Erstellen des DSN an die Anweisungen der Hilfedatei Ihres Betriebssystems.

Mit Hilfe der ODBC-Optionen kann PC-DMIS Daten direkt an die SPC-Datenbank weiterleiten, die dann in einem Statistikprogramm, daß die SPC-Datenbank unterstützt, angesehen werden können.


Datenbank anzeigen/bearbeiten

Display Menu Roadmap
Die Schaltfläche Datenbank anzeigen/bearbeiten steht nur dann zur Auswahl, wenn eine gültige Datenquelle aus dem Feld Datenquelle ausgewählt wurde. Wenn auf diese Schaltfläche geklickt wird, erscheint das Dialogfeld SPC-Datenbank, in dem die Daten in der SPC-Datenbank angezeigt und gelöscht werden können.

Die SPC-Datenbank kann innerhalb von PC-DMIS über die folgenden Registerkarten des Dialogfelds angezeigt werden:

  • Werkstückprogramme
  • Merkmale
  • Merkmalwerte
  • Überwachungen
  • Überwachungswerte

Sie können die Datenbanken auch über die Menüoption SPC-Datenbank anzeigen. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)


Datenbank jetzt aktualisieren

Mit der Schaltfläche Datenbank jetzt aktualisieren können Sie die Datenbankanwendung mit den aus dem aktuellen Werkstückprogramm gewonnenen statistischen Daten aktualisieren.

So aktualisieren Sie die Datenbank direkt:

  1. Klicken Sie auf die Schaltfläche Datenbank jetzt aktualisieren.
  2. Befolgen Sie die Bildschirmanweisungen.

Nachdem ein Werkstückprogramm erfolgreich ausgeführt wurde, werden ausgewählte Merkmal- und Überwachungsfeld-Informationen innerhalb einer Datei namens XSTATS11.tmp gespeichert, die sich in dem Installationsverzeichnis von PC-DMIS befindet (in der Regel das Verzeichnis C:\PCDMISW). Der Inhalt dieser Datei kann dann in ein anderes Verzeichnis übertragen, ausgedruckt oder an eine Datenbankanwendung gesendet werden.

Hinweis: Sollte keine Datenbankanwendung verfügbar sein, weist PC-DMIS in einer Meldung darauf hin, daß die Programmdatei für die Aktualisierung nicht gefunden wurde (bei der DataPage-Anwendung ist dies DPUPDATE.exe), mit der XSTATS11.tmp in die Datenbank geladen wird.


Inserting Report Commands

Einfügen von Befehlen für das Analysefenster

Einfügen von Merkmal-Infofeldern

Einfügen von Punkt-Infofeldern

Einbetten von HyperView-Protokollen

Einfügen von Programmiererkommentaren

Einfügen externer Objekte

Einfügen eines Druckbefehls

Einfügen eines Seitenvorschubbefehls

Definieren und Speichern eines Ansichtensatzes

Aufrufen eines gespeicherten Ansichtensatzes


Einfügen von Protokollbefehlen: Einführung

In PC-DMIS können Sie in das Bearbeitungsfenster eine Reihe von Befehlen einfügen, die bestimmen, welche Informationen im Protokollmodus des Bearbeitungsfensters auf welche Weise angezeigt werden. Mit Hilfe dieser Befehle, die durch Auswahl von Menüoptionen im Untermenü Protokollbefehl eingefügt werden, können Programmierer das Bearbeitungsfenster konfigurieren, anzeigen und drucken sowie dessen Aufbau anpassen. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)

In diesem Abschnitt werden folgende Themen behandelt:

  • Einfügen von Befehlen für das Analysefenster
  • Einfügen von Merkmal-Infofeldern
  • Einfügen von Punkt-Infofeldern
  • Einbetten von HyperView-Protokollen
  • Einfügen von Programmiererkommentaren
  • Einfügen externer Objekte
  • Einfügen eines Druckbefehls
  • Einfügen eines Seitenvorschubbefehls
  • Definieren und Speichern eines Ansichtensatzes
  • Aufrufen eines gespeicherten Ansichtensatzes


Einfügen von Befehlen für das Analysefenster

Close Clear Select All View Window Show All Arrows Analysis Dimension List Search ID

Display Menu Roadmap
Über den Menübefehl Analyse wird das Dialogfeld Analyse aufgerufen, in dem Sie die Ausgabe des Merkmalprotokoll-Ausdrucks in einem für eine nähere Untersuchung geeigneten Format gestalten können.

Ist das Dialogfeld Analyse geöffnet, können Sie die STRG-Taste drücken und mit der linken Maustaste auf ein Element im Grafikfenster klicken. Dadurch werden alle Merkmale, die das ausgewählte Element verwendet, im Feld Merkmale markiert.

Siehe auch:

Analyse

Alle Pfeile einblenden

Fenster anzeigen

Menü Datei

Menü Ansicht

Menü Einblenden

Menü Optionen


Einfügen von Protokollbefehlen - Einfügen von Befehlen für das Analysefenster - Analyse

Analyse

Im Bereich Analyse dieses Dialogfelds können Sie das/die ausgewählte/n Merkmal/e entweder als Grafik- oder als Textausgabe im Feld Merkmale auswählen.

Standardmäßig sind die Kontrollkästchen im Bereich Analyse nicht markiert. Bei Auswahl der Kontrollkästchen Text oder Grafisch und anschließendem Klicken auf Übernehmen zeigt PC-DMIS die ausgewählte Merkmale in einer grafischen oder textlichen Darstellung an. CAD-Daten werden jedoch nicht angezeigt.

Wenn Sie bei einem Element auf Schwierigkeiten stoßen und diesen auf den Grund gehen wollen, ist es nützlich, eine der beiden Analyse-Optionen, entweder die grafische oder die Textanalyse, einzuschalten.

Beispiel: Gesetzt den Fall, Sie prüfen eine Ebene auf Planheit und stellen fest, daß sie außerhalb der Toleranzwerte liegt. Mit der Grafikanalyse-Option können Sie die Ebene prüfen und feststellen, ob nur ein bestimmter Bereich den Toleranzwerten nicht entspricht, oder ob die gesamte Fläche betroffen ist.

So wählen Sie die grafische Analyse oder Textanalyse im Dialogfeld Merkmal aus:

  1. Wählen Sie in der Menüleiste Merkmal.
  2. Wählen Sie die Merkmalsoption, die Sie verwenden wollen, aus dem Menü aus. Damit wird das Dialogfeld "Merkmale" aufgerufen.
  3. Wählen Sie entweder die Option Grafisch oder Text.
  4. Beenden Sie das Merkmalsverfahren.

Siehe auch:

Grafisch

Textlich

Multiplikator


Einfügen von Protokollbefehlen - Analyse - Grafische

Grafisch

Wenn das Kontrollkästchen Grafisch markiert ist, speichert PC-DMIS die Merkmalinformationen in einem für die grafische Anzeige geeigneten Format.


Einfügen von Protokollbefehlen - Analyse - Textliche

Text

Wenn das Kontrollkästchen Text markiert ist, speichert PC-DMIS die Merkmalinformationen in einem für die Anzeige in Textform geeigneten Format.


Einfügen von Protokollbefehlen - Analyse - Multiplikator

Multiplikator

Bei dem für Multiplikator angegebenen Wert handelt es sich um einen Skalierungsfaktor, um den der Abweichungspfeil und Toleranzbereich im Grafikanalysemodus vergrößert werden. Wird hier beispielsweise ein Wert von 2,0 eingegeben, vergrößert PC-DMIS den Pfeil auf das Doppelte des Grafikbildes.

Diese Option ist nur zu Anzeigezwecken verfügbar und erscheint nicht im Textausdruck.


Alle Pfeile einblenden

Über die Schaltfläche Alle Pfeile einblenden werden die Pfeile angezeigt, mit denen Abweichungen in der Grafikanalyse gekennzeichnet werden. Diese Grafikanalysepfeile können einzeln ausgeblendet werden. Drücken Sie hierzu STRG+UMSCHALT, und klicken Sie auf die auszublendenden Pfeile. Durch Klicken auf die Schaltfläche Alle Pfeile einblenden lassen sich alle Pfeile wieder einblenden. Die Grafikanalysepfeile werden dann wieder für Anzeigezwecke zurückgesetzt.


Fenster anzeigen

Über die Schaltfläche Fenster anzeigen wird das Analysefenster aufgerufen. In diesem Fenster können die Merkmale in der am besten geeigneten Ansicht angezeigt werden.

So arbeiten Sie effektiv mit dem Analysefenster:

  1. Wählen Sie im Analysefenster das zu prüfende Merkmal.
  2. Geben Sie einen Wert für den Multiplikator ein (siehe hierzu Multiplikator).
  3. Klicken Sie auf die Schaltfläche Fenster anzeigen. PC-DMIS zeigt das Analysefenster an.

Mit den Optionen in der Menüleiste des Analysefensters können Sie die grafische Darstellung ändern, die aktuelle Grafikanzeige erfassen oder die ausgewählten Merkmalfarben bearbeiten.

Options Menu Show Menu View Menu File Menu

Um die anfängliche Ansicht der Grafikanalyse im Analysefenster zu bestimmen, verwendet PC-DMIS für gescannte Profilmerkmale den Scan-Schnittvektor oder für andere Merkmale die aktuelle Arbeitsebene. Diese Ansicht kann später geändert werden.


Einfügen von Protokollbefehlen - Einfügen von Befehlen für das Analysefenster - Menü "Datei"

Menü "Datei"

Mit den Befehlen im Menü Datei im Analysefenster können Sie den Inhalt des Grafikanalysefensters direkt an einen Drucker übertragen und ausdrucken.


Einfügen von Protokollbefehlen - Einfügen von Befehlen für das Analysefenster - Menü "Ansicht"

Menü "Ansicht"

Mit den Befehlen des Menüs Ansicht im Analysefenster können Sie die für das ausgewählte Merkmal angezeigte Grafik vorübergehend ändern. Durch Drehen, Anpassen der Größe oder Ändern der Ansicht können Sie leicht auf die erforderlichen Merkmale zugreifen.

Hinweis: Diese Option ist besonders nützlich bei Prüfung des Profilfehlers einer Punktreihe.

Siehe auch:

Ändern

Größe anpassen

Drehen


Ändern

Mit dem Menübefehl Ansicht | Ändern können Sie neue Ansichten aus einer CAD-Datei erstellen. Diese Funktion ist besonders nützlich, wenn Sie mit einer 2D IGES-Datei arbeiten, die mehrere Ansichten eines Werkstücks in einer Ebene enthält, und wenn die Ansichten im Grafikfenster mit der korrekten Ausrichtung verknüpft werden müssen. Weitere Informationen zum Bearbeiten der Ansichten finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige".


Einfügen von Protokollbefehlen - Menü "Ansicht" - Größe anpassen

Größe anpassen

Mit dem Menübefehl Ansicht | Größe anpassen wird die Darstellung des Werkstücks neu gezeichnet, so daß sie ganz in das Grafikfenster hineinpaßt. Diese Funktion ist immer dann nützlich, wenn ein Bild zu groß oder zu klein wird.


Einfügen von Protokollbefehlen - Menü "Ansicht" - Drehen

Drehen

Die Menüoption Ansicht | Drehen zeigt das Dialogfeld Drehen an, durch das Sie das Werkstückbild in drei Dimensionen drehen können.

Weitere Informationen hierzu finden Sie unter "Drehen der Zeichnung" im Abschnitt "Bearbeiten der CAD-Anzeige".


Menü "Einblenden"

show Default Cancel OK Show Max / Min Deviations Show Histogram Show Statistics Die Befehle Einblenden | Anzeigeoptionen des Analysefensters rufen das Dialogfeld Anzeigeoptionen auf. In diesem Dialogfeld können Sie bestimmen, was im Analysefenster angezeigt werden soll.

Die Befehle Einblenden | Merkmalsanzeige des Analysefensters rufen das Dialogfeld Merkmal-Info bearbeiten auf. In diesem Dialogfeld können Sie die hervorgehobene Merkmale eingehend bearbeiten. Weitere Informationen hierzu finden Sie unter "Gemeinsame Optionen in den Merkmalsdialogfeldern" im Abschnitt "Merkmale für Elemente erstellen" und unter "Einfügen von Merkmal-Infofeldern" in diesem Abschnitt.

Siehe auch:

Statistik einblenden

Histogramm einblenden

Min./Max. Abweichungen einblenden


Statistik einblenden

Über das Kontrollkästchen Statistik einblenden im Dialogfeld Anzeigeoptionen können Sie die Anzeige verschiedener Statistiken im Analysefenster veranlassen. Wenn Statistik einblenden nicht aktiviert ist, wird kein Merkmal-Informationstext angezeigt (für keines der Merkmale). Unter der Menüoption Merkmal-Info bearbeiten finden Sie Näheres darüber, wie das Format der im Analysefenster angezeigten Statistiken geändert wird.


Histogramm einblenden

Wenn das Kontrollkästchen Histogramm einblenden im Dialogfeld Anzeigeoptionen aktiviert ist, wird für jeden Punkt ein Histogramm der Abweichungen angezeigt. Histogramme können innerhalb des Analysefensters an eine andere Stelle verschoben werden.

Vorgehensweise:

  1. Klicken Sie auf das gewünschte Histogramm.
  2. Ziehen Sie den Cursor an die gewünschte Stelle.
  3. Lassen Sie die Maustaste wieder los.


Einfügen von Protokollbefehlen - Menü "Einblenden" - Min./Max. Abweichungen einblenden

Min./Max. Abweichungen einblenden

Wenn das Kontrollkästchen Min./Max. Abweichungen einblenden im Dialogfeld Anzeigeoptionen aktiviert ist, werden die Maximal- und Mindestabweichungen durch die Symbole "*+" bzw. "*-" gekennzeichnet.


Menü "Optionen"

Mit den Befehlen im Menü Optionen im Analysefenster können Sie einen Kopie des aktuellen Grafikbildschirms für spätere Zwecke speichern. Weiterhin können Sie über diese Menüoptionen das Dialogfeld Farbe bearbeiten aufrufen und die Größe des Analysefensters anpassen.

Siehe auch:

Grafiken in Protokoll speichern

Befehl für Analyseansicht erstellen

Merkmalfarben bearbeiten

Merkmalsoptionen

Größe einrichten


Grafiken in Protokoll speichern

Die Menüoption Optionen | Grafiken in Protokoll speichern im Analysefenster erfaßt das aktive Grafikfenster und kopiert es in einen ANZEIGE/METADATEI-Befehl, der dann im Protokollmodus des Bearbeitungsfensters angezeigt werden kann. Die Grafik kann dann im Prüfprotokoll verwendet werden. PC-DMIS bietet jedoch nicht die Möglichkeit, den kopierten Bildschirminhalt zu bearbeiten oder zu formatieren. Die Grafik wird an der Cursorposition angezeigt. Dieser ANZEIGE/METADATEI-Befehl unterscheidet sich von dem über das Hauptmenü aufgerufenen ANZEIGE/METADATEI-Befehl insofern, als er den Bildschirminhalt nur bei Erstellung des Befehls und nicht bei dessen Ausführung erfaßt. (Hinweise zum Erstellen einer Routine zur Erfassung des Bildschirminhalts, die sich bei der Ausführung automatisch aktualisiert, finden Sie unter "Befehl für Analyseansicht erstellen".)


Befehl für Analyseansicht erstellen

Über den Menüeintrag Optionen | Befehl für Analyseansicht erstellen im Analysefenster wird der Befehl ANALYSEANSICHT in das Bearbeitungsfenster eingefügt. Wenn dieser Befehl markiert und ausgeführt wird, zeigt PC-DMIS die Liste der Merkmale unter Angabe der Anzahl der zuvor gewählten Ansichten und Drehungen in einem separaten Fenster "Analyseebene" an. Es kopiert automatisch den Bildschirminhalt des Analyseebenenfensters mit den aufgeführten Merkmalen. Diese kopierten Bildschirminhalte stehen dann für die Anzeige und den Ausdruck im Prüfprotokoll zur Verfügung.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
ANALYSEANSICHT/D1,D2,D3,,

D1,D2,D3 = Liste der anzuzeigenden Merkmale

Sie können beliebig viele Merkmalparameter einsetzen.

Durch Eingabe von "ANALYSEANSICHT" im Bearbeitungsfenster wird auch ein ANALYSEANSICHT-Befehl erstellt. Alle für die Analyse ausgewählten Merkmale werden zu Parametern für diesen Befehl.


Merkmalfarben bearbeiten

Über den Menübefehl Optionen | Merkmalfarben bearbeiten im Analysefenster können Sie die Farben für einen bestimmten Toleranzbereich festlegen. Bei Wahl dieser Option wird das Dialogfeld Merkmalfarbe bearbeiten eingeblendet.

Anleitungen zum Ändern der Merkmalfarben für eine Toleranz in diesem Dialogfeld finden Sie unter dem Thema "Merkmalfarben bearbeiten" im Abschnitt "Grafikoptionen".


Einfügen von Protokollbefehlen - Menü "Optionen" - Merkmalsoptionen

Merkmalsoptionen

Im Dialogfeld Optionen für Merkmalsanalyse können Sie angeben, welche Informationen im Analysefenster angezeigt werden sollen.

So rufen Sie diese Option auf:

  1. Klicken Sie im Menü auf Analyse. Es erscheint das Dialogfeld Analyse.

Display Menu Roadmap
Wählen Sie das Merkmal im Listenfeld aus.

  3. Klicken Sie auf die Schaltfläche Fenster anzeigen. Das Analysefenster wird eingeblendet.
  4. Wählen Sie Optionen | Merkmalsoptionen im Analysefenster. Es erscheint das Dialogfeld Optionen für Merkmalsanalyse. Die meisten Optionen werden erst dann verfügbar, wenn ein Merkmal im Dialogfeld Analyse ausgewählt wird. Die entsprechenden Optionen stehen dann zur Auswahl.

In diesem Dialogfeld sind folgende Optionen verfügbar:

Pfeilspitzen einblenden | Mit dem Kontrollkästchen Pfeilspitzen einblenden können Sie die Pfeilspitzen der Abweichungslinien ein- bzw. ausblenden.
Linien zw. gemessenen Punkten einblenden | Mit dem Kontrollkästchen Linien zw. gemessenen Punkten einblenden können Sie die Linien zwischen gemessenen Punkten ein- bzw. ausblenden.
Linien zwischen Nennwerten einblenden | Mit dem Kontrollkästchen Linien zwischen Nennwerten einblenden können Sie die Linien zwischen Nennwerten ein- bzw. ausblenden.
Toleranzlinien einblenden | Über das Kontrollkästchen Toleranzlinien einblenden wird die Anzeige der akzeptablen Toleranzen für das Merkmal ein- bzw. ausgeschaltet.
Durchmesser einblenden | Mit dem Kontrollkästchen Durchmesser einblenden können Sie die Durchmesser von verfügbaren Positionsmerkmalen ein- bzw. ausblenden.
Besteinpassung , Pferchkreis- und Hüllkreis-Durchmesser einblenden | Mit diesem Kontrollkästchen können Sie die verschiedenen Durchmesser aktivieren bzw. deaktivieren, die u.U. mit dem Rundheitsmerkmal gezeichnet wurden. Diese Durchmesser stellen durchschnittliche, maximale und minimale Abweichungen für ein rundes Element dar.
Konturzeichnung einblenden | Die Option Konturzeichnung einblenden funktioniert nur bei Flächenscans und ist für Profil merkmale verfügbar. Die Konturzeichnung verwendet die Scanpunkte des Teilflächen-Scans zur Erstellung eines Maschengitters, wobei die Farben mit den Profilabweichungen jedes Meßpunkts verknüpft sind. In PC-DMIS können Sie die Konturzeichnung am CAD-Modell auch im Grafikfenster anzeigen. Informationen hierzu finden Sie unter "Anzeigen von Profilkonturzeichnungen" im Abschnitt "Merkmalsoptionen".
Farbinterpolation zwischen Meßpunkten einblenden | Die Option Farbinterpolation zw. Meßpkten einblenden ermöglicht das Einfügen von Farben zwischen Meßpunkten. Diese Option ist für Profilmerkmale verfügbar.
Pfeile einblenden | Mit der Option Pfeile einblenden können Sie die Pfeile der Abweichungslinien ein- bzw. ausblenden. Diese Option ist für Profilmerkmale verfügbar.


Größe einrichten

Mit Hilfe des Dialogfelds Anzeigeformat für die Analyse können Sie bestimmen, wie das Analysefenster angezeigt werden soll. Mit diesen Optionen können Sie auch den Befehl ANALYSEANSICHT einstellen, so daß PC-DMIS den Bildschirminhalt während der Ausführung in einem der ausgewählten Modi kopiert (siehe Befehl für Analyseansicht erstellen).

Folgende Optionen stehen zur Auswahl:

Hochformat | Über diese Option wird die Größe des Analysefensters so eingestellt, daß es dem Standard-Seitenformat "Hochformat" entspricht.
Querformat | Über diese Option wird die Größe des Analysefensters so eingestellt, daß es dem Standard-Seitenformat "Querformat" entspricht.
Größe an ganze Seite anpassen | Über diese Option wird das Fenster so angepaßt, daß es auf eine ganze gedruckte Seite paßt.


Einfügen von Merkmal-Infofeldern

Graphic Options OK Cancel Create Delete Infos True Position Axes Location Axes Graph Options Dimension Info Format Display Options Clear Select All Dimension List Search ID

Display Menu Roadmap
Die Menüoption Merkmal-Info bearbeiten blendet das Dialogfeld Merkmal-Info bearbeiten ein. Hier können Sie einen MERKMALINFO-Befehl erstellen, der ausgewählte Merkmalinformationen im Grafikfenster anzeigt. Informationen zum Bearbeiten eines MERKMALINFO-Befehls im Bearbeitungsfenster finden Sie unter "MERKMALINFO-Befehl".

Das Kontrollkästchen Auto (unter Merkmallayout in diesem Dialogfeld) dient zur automatischen Bestimmung des geeigneten Merkmalausgabeformats, basierend auf dem ausgewählten Merkmaltyp. Wenn Sie diese Option übergehen möchten, markieren Sie die/das gewünschte/n Kontrollkästchen unter Merkmallayout. PC-DMIS zeigt die Reihenfolge der Ausgabe durch Anzeige einer Zahl links neben dem Kontrollkästchen an. Dadurch können Sie die Reihenfolge des Formats Ihren individuellen Bedürfnisse nach entsprechend ändern. Sie können die Auswahl eines Kontrollkästchens aufheben, indem Sie es einfach nochmals anklicken.

Wenn diese Option angezeigt wird, können Sie die Taste STRG drücken und gedrückt halten und mit der linken Maustaste klicken, um im Grafikfenster ein Element auszuwählen. Alle Merkmale, die dieses ausgewählte Element verwenden, werden daraufhin im Listenfeld Merkmale angezeigt.

Im Dialogfeld Merkmal-Info bearbeiten können Sie die angezeigten Merkmalinformationen bearbeiten. Die folgenden Abschnitte beschreiben die in diesem Dialogfeld verfügbaren Befehle und Optionen.

Siehe auch:

Anzeigeoptionen

Anzeige im Grafikfenster

Grafikoptionen

Merkmal-Infoformat

Auswertung Lage

Auswertung Position

Angaben löschen

MERKMALINFO (Befehl)


Einfügen von Protokollbefehlen - Einfügen von Merkmal-Infofeldern - Anzeigeoptionen

Anzeigeoptionen

Im Bereich Anzeige ist es möglich, unterschiedliche Anzeigeformate für die einzelnen Merkmale im Grafikfenster festzulegen. Es sind die folgenden Optionen verfügbar:

Icon (Anzeige) | Mit diesem Kontrollkästchen wird die Anzeige des entsprechenden Merkmal-Symbols (Icons) im Überschriftenteil des Merkmal-Infofelds ein- bzw. ausgeschaltet.
Merkmal-ID (Anzeige) | Dieses Kontrollkästchen schaltet die Anzeige der ID für das Merkmal im Grafikfenster ein bzw. aus.
Element-ID (Anzeige) | Dieses Kontrollkästchen schaltet die Anzeige der ID für das Element, dessen Merkmale gerade gemessen werden, ein bzw. aus.
Überschriften (Anzeige) | Dieses Kontrollkästchen schaltet die Anzeige der Zeilen- und Spaltenüberschriften im Merkmal-Infofeld ein bzw. aus.
Vertikale Linien (Anzeige) | Dieses Kontrollkästchen schaltet die Anzeige der vertikalen Linien zwischen den Spalten im Merkmal-Infofeld ein bzw. aus.
Horizontale Linien (Anzeige) | Dieses Kontrollkästchen schaltet die Anzeige der horizontalen Linien zwischen den Reihen im Merkmal-Infofeld ein bzw. aus.


Anzeige im Grafikfenster

Im Bereich Anzeige im Grafikfenster läßt sich der Merkmalsprozentsatz des Feldes Merkmal-Info grafisch anzeigen.

Siehe auch:

Keine (Grafik)

Schlechteste Achse (Grafik)

Jede Achse (Grafik)


Keine (Grafik)

Wählen Sie diese Option, wenn keine Grafik im Merkmal-Infofeld angezeigt werden soll.


Schlechteste Achse (Grafik)

Wählen Sie diese Option, wenn eine Grafik im oberen Teil des Merkmal-Infofelds angezeigt werden soll. Nur der schlechteste Merkmalsprozentsatz wird in der Grafik dargestellt.


Jede Achse (Grafik)

Wählen Sie diese Option, um für jede Achse im Merkmal-Infofeld eine Grafik mit dem Merkmalsprozentsatz anzuzeigen.


Einfügen von Protokollbefehlen - Einfügen von Merkmal-Infofeldern - Anzeigeoptionen

Grafikoptionen

Unter Darstellung können Sie die Hintergrundfarbe und die Linienfarbe des im Grafikfensters aktuell angezeigten Merkmal-Infofelds festlegen. Außerdem können Sie festlegen, ob PC-DMIS den Rand des Merkmal-Infofelds schattiert anzeigen soll.

Um die Grafikoptionen für das Merkmal-Infofeld zu ändern, wählen Sie die gewünschte Option aus diesem Bereich aus und klicken auf Übernehmen oder OK.

Außerdem können Sie den Standard zur Darstellung neu erstellter Merkmal-Infofelder festlegen. Hierzu wählen Sie die gewünschten Optionen aus und klicken dann im Bereich Merkmallayout auf die Schaltfläche Standard setzen.


Merkmallayout

Mit den Optionsschaltern im Bereich Merkmallayout können Sie bestimmen, welche Informationen für jedes einzelne Merkmal im Grafikfenster angezeigt werden sollen. Wenn das Kontrollkästchen Anzeige in einem Merkmal-Dialogfeld ausgewählt wurde, zeigt PC-DMIS die Informationen im Grafikfenster an.

Im Dialogfeldbereich Merkmal Info sind die folgenden Kontrollkästchen verfügbar:

Auto | Bei markiertem Kontrollkästchen werden die folgenden Informationen automatisch angezeigt: Meßwert, Nennwert, Toleranzen, Abweichung, Min./Max. und Auß Tol.
Gemessen | Bei markiertem Kontrollkästchen werden die tatsächlich gemessenen Merkmale angezeigt.
Nennwert | Bei markiertem Kontrollkästchen werden die theoretischen Werte für das Merkmal angezeigt.
Toleranzen | Bei markiertem Kontrollkästchen werden die zulässigen Toleranzbereiche entweder größer oder kleiner als der Nennwert angezeigt.
Abweichung | Bei markiertem Kontrollkästchen wird die Abweichung des gemessenen Werts vom Nennwert angezeigt.
Min/Max | Bei markiertem Kontrollkästchen werden die maximalen und minimalen Werte des Merkmals angezeigt.
Außer Tol | Bei markiertem Kontrollkästchen wird angezeigt, wie weit der gemessene Wert außerhalb der Toleranz liegt bzw. vom Nennwert abweicht.
Mittelwert | Bei markiertem Kontrollkästchen wird der Durchschnitt aller Abweichungen für das Merkmal angezeigt.
StdAbw | Bei markiertem Kontrollkästchen wird die Standardabweichung aller Abweichungen für das Merkmal angezeigt.
Anzahl Punkte | Bei markiertem Kontrollkästchen wird angezeigt, wie viele Punkte verwendet werden, um das Element dieses Merkmals zu messen.

Siehe auch:

Schaltfläche "Rücksetzen"


Einfügen von Protokollbefehlen - Format der Merkmalsangaben - Schaltfläche "Rücksetzen"

Schaltfläche "Rücksetzen"

Mit der Schaltfläche Rücksetzen wird die Auswahl aller markierten Kontrollkästchen in diesem Abschnitt aufgehoben und das Kontrollkästchen Auto ausgewählt.


Lageachsen

Auswertung Lage

Diese Tabelle beschreibt die verschiedenen Lageachsen und deren Funktionen, die Ihnen bei der Bearbeitung von Merkmalsangaben zur Verfügung stehen.

Schlechteste | Bei dieser Option wird die Achse verwendet, die die schlechteste Außerhalb-Toleranz-Bedingung ergibt. PC-DMIS durchsucht die verfügbaren Achsen und wählt die aus, die das schlechteste Szenario für das Merkmal liefert.
Abm. Achse | Bei dieser Option werden einfach die Achsen verwendet, die zuvor im Merkmal-Dialogfeld definiert wurden.
X | Zeigt den X-Achsenwert an.
Y | Zeigt den Y-Achsenwert an.
Z | Zeigt den Z-Achsenwert an.
PRad | Prad steht für Polarradius. Mit dieser Option werden Polarkoordinaten ausgewählt.
PWink | PWin steht für Polarwinkel. Mit dieser Option werden kartesische Koordinaten ausgewählt.
D | Zeigt den Durchmesserwert an.
R | Zeigt den Radiuswert (die Hälfte des Durchmessers) an.
A | Zeigt den Winkelwert (für Kegel) an.
L | Zeigt die Länge (für Zylinder, Langlöcher, Kegel und Ellipsen) an.
H | Zeigt die Höhe an.
V | Zeigt die Vektorlage an.
T | Zeigt Fehler entlang des Vektors (für Punkte auf gekrümmten Oberflächen) an.
RT | Zeigt die Abweichung entlang des Protokollvektors an.
S | Zeigt die Abweichung entlang des Oberflächenvektors an.
RS | Zeigt die Abweichung entlang des Oberflächenprotokolls an.
PD | Zeigt den Durchmesser eines Kreises (rechtwinklig zum Stiftvektor) an.
Form | Zeigt das integrierte Formmerkmal des Elements an. Informationen hierzu finden Sie unter "Standardachsen für Lage-Merkmale" im Abschnitt "Merkmale für Elemente erstellen".


Auswertung Position

Diese Tabelle beschreibt die verschiedenen Positionsachsen und deren Funktionen, die bei der Bearbeitung von Merkmalsangaben zur Verfügung stehen.

Schlechteste | Bei dieser Option wird die Achse verwendet, die die schlechteste Außerhalb-Toleranz-Bedingung ergibt. PC-DMIS durchsucht die verfügbaren Achsen und wählt die aus, die das schlechteste Szenario für das Merkmal liefert.
Abm. Achse | Bei dieser Option werden einfach die Achsen verwendet, die zuvor im Merkmal-Dialogfeld definiert wurden.
X | Mit diesem Kontrollkästchen wird der Wert der X-Achse angezeigt.
Y | Mit diesem Kontrollkästchen wird der Wert der Y-Achse angezeigt.
Z | Mit diesem Kontrollkästchen wird der Wert der Z-Achse angezeigt.
PRad | Prad steht für Polarradius. Mit dieser Option werden Polarkoordinaten ausgewählt.
PWink | PWin steht für Polarwinkel. Mit dieser Option werden kartesische Koordinaten ausgewählt.
PA | Mit diesem Kontrollkästchen wird der Polarwinkelwert angezeigt.
PR | Mit diesem Kontrollkästchen wird der Polarradiuswert angezeigt.
DE | Mit diesem Kontrollkästchen wird der Durchmesser des Elements angezeigt.
TP | Mit diesem Kontrollkästchen wird die Positionstoleranz und die dazugehörige Abweichung angezeigt.
D1 | Mit diesem Kontrollkästchen wird der Durchmesser/Breite-Wert des ersten Bezugelements angezeigt.
D2 | Mit diesem Kontrollkästchen wird der Durchmesser/Breite-Wert des zweiten Bezugselements angezeigt.
D3 | Mit diesem Kontrollkästchen wird der Durchmesser/Breite-Wert des dritten Bezugselements angezeigt.
Form | Mit diesem Kontrollkästchen wird das integrierte Formmerkmal des Elements angezeigt. Weitere Informationen hierzu finden Sie unter "Standardachsen für Positionsmerkmale" im Abschnitt "Merkmalsoptionen".


Einfügen von Protokollbefehlen - Einfügen von Merkmal-Infofeldern - Angaben löschen

Angaben löschen

Die Schaltfläche Angaben löschen entfernt alle MERKMALINFO-Befehle aus dem Werkstückprogramm.


MERKMALINFO-Befehl

Der MERKMALINFO-Befehl wird im Dialogfeld Merkmal-Info bearbeiten erstellt.

Display Menu Roadmap
Nach Einfügen eines MERKMALINFO-Befehls im Werkstückprogramm werden die Merkmaldaten im Grafikfenster angezeigt. Der MERKMALINFO-Befehl kann im Bearbeitungsfenster geändert werden. Die Befehlszeile für diesen Befehl lautet:

MERKMALINFO/Merkm_ID; ICON, MERKMAL_ID,ELEMENT_ID; VERT, HORIZ, ÜBERSCHRIFTEN, "GRAFIKOPTION";"MERKMALSAUSGABE", ,$
  "ACHSENAUSGABE"

Merkm_ID = ID des zur Anzeige ausgewählten Merkmals.

ICON = Schalter mit zwei Zuständen: "ICON" entspricht dem EINgeschalteten Zustand, Leerstellen dem ausgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die MERKMALINFO die Merkmals- oder Element-ID zusammen mit dem entsprechenden Symbol an.

MERKM_ID = Schalter mit zwei Zuständen: "MERKM_ID" entspricht dem EINgeschalteten Zustand, Leerstellen dem ausgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die MERKMALINFO die Merkmals-ID zusammen mit den Informationen für das erstellte Merkmal an.

Element-ID = Schalter mit zwei Zuständen: "Element-ID" entspricht dem EINgeschalteten Zustand, Leerstellen dem ausgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die MERKMALINFO die ID des ersten Elements des Merkmals zusammen mit den Informationen für das erstellte Merkmal an.

VERT = Schalter mit zwei Zuständen: "VERT" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, werden die Spalten der MERKMALINFO mit vertikalen Linien dargestellt.

HORIZ = Schalter mit zwei Zuständen: "HORIZ" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, werden die Zeilen der MERKMALINFO mit horizontalen Linien dargestellt.

ÜBERSCHRIFTEN = Schalter mit zwei Zuständen: "ÜBERSCHRIFTEN" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Ist er EINgeschaltet, werden im Feld Merkmal Info Spalten- und Zeilenüberschriften angezeigt.

GRAFIKOPTION = Die Grafikoption für die grafische Darstellung des Merkmalsprozentsatzes im Feld Merkmal Info. Mögliche Umschaltwerte sind GRAFIK SCHLECHTESTE und GRAFIK ACHSE. Ist die Zeichenfolge auf eine Leerstelle umgeschaltet, wird im Feld keine Grafik angezeigt.

MERKMALSAUSGABE = Format der Merkmalsangaben, die basierend auf der Auswahlreihenfolge angezeigt werden. Verfügbare Ausgabeoptionen sind: MESS, NENNW, TOL, ABW, MAXMIN, AUSSER_TOL, MITTELW, STDABW und ANZPUNKTE. Optionen können nicht dupliziert werden.

ACHSENAUSGABE = Format der Merkmalsachsen, die basierend auf der Auswahlreihenfolge angezeigt werden. Die Verfügbarkeit von Achsen hängt vom Merkmalstyp ab und schließt alle Lage- und Positionsachsen mit ein. Wenn abm_achse in der ersten Achsenposition eingeschaltet ist, zeigt die MERKMALINFO die Achsen an, die in der Merkmal angegeben wurden. Wenn in einer beliebigen Achsenposition SCHLECHTESTE eingeschaltet ist, wird die Achse angezeigt, die den größten Außerhalb-Toleranz-Wert erzeugt. Diese Ausgabeoption steht nicht für Merkmale zur Verfügung, die weder Lage- noch Positionsmerkmale sind. Achsen können nicht dupliziert werden.


Einfügen von Punkt-Infofeldern

Graphic Options Delete Infos Create Cancel OK Clear Lists Filters Dimension List Feature List Hit List Point Info Format

Display Menu Roadmap
Über die Menüoption Bearbeite Punktangaben wird das Dialogfeld Punktangaben bearbeiten eingeblendet. Dieses Dialogfeld erstellt einen PUNKTINFO-Befehl, mit dem Sie im Grafikfenster in einem Punkt-Infofeld Informationen zu einzelnen Punkten anzeigen können. Informationen zum Bearbeiten eines PUNKTINFO-Befehls im Bearbeitungsfenster finden Sie unter "PUNKTINFO-Befehl".

So können Sie über das Dialogfeld Bearbeite Punktangaben Informationen zu einzelnen Punkten im Grafikfenster anzeigen lassen:

  1. Öffnen Sie das Dialogfeld Bearbeite Punktangaben, indem Sie im Hauptmenü Bearbeite Punktangaben wählen.
  2. Beachten Sie, daß die Elemente im Feld Elementliste und die Merkmale im Listenfeld Merkmale aufgeführt werden.
  3. Wählen Sie mindestens ein Element oder eine Merkmal aus. Die einzelnen mit diesem Element verknüpften Punkte erscheinen im Feld Meßpunktliste.
  4. Wählen Sie im Feld Meßpunktliste einen oder mehrere Punkte aus, die angezeigt werden sollen. Wenn Sie mehr als ein Merkmal oder ein Element ausgewählt haben, werden alle Punkte dieses Merkmals oder Elements im Punktangaben-Feld angezeigt.
  5. Stellen Sie sicher, daß das Kontrollkästchen Punktangaben einblenden markiert ist.
  6. Klicken Sie auf Übernehmen. Die Angaben zu dem bzw. den ausgewählten Meßpunkten werden daraufhin im Grafikfenster in einem Punkt-Infofeld angezeigt.

Jedes Punktangaben-Feld kann die Meßpunkt-Nr., die XYZ-Position, den IJK-Vektor und die Abweichung eines bestimmten Meßpunkts angeben.

Die Formate lassen sich auf ähnliche Weise wie die Formate des Merkmal-Infofelds ändern, speichern und verschieben.

Siehe auch:

Punktangaben-Format

Meßpunktliste

Bereich "Elementliste"

Bereich "Merkmale"

Angaben löschen

PUNKTINFO (Befehl)

Grafikoptionen

Filter


Punktangaben-Format

In diesem Bereich des Dialogfelds können Sie bestimmen, welche Art von Angaben im Grafikanzeigebereich neben einem Element oder Merkmal angezeigt werden. Die Kontrollkästchen in diesem Bereich müssen in Verbindung mit der Schaltfläche Erstellen (Übernehmen beim Bearbeiten) oder OK verwendet werden, um Angaben anzuzeigen bzw. von der Anzeige auszuschließen.

Siehe auch:

Auto

Punkt Nr.

Punkt

Vektor

Abweichung

Icon (einblenden)

ID einblenden

Typ einblenden

Überschriften (einblenden)

Grafik (einblenden)

Vertikale Linien (einblenden)

Horizontale Linien (einblenden)


Auto

Mit dem Kontrollkästchen Auto wird PC-DMIS so eingerichtet, daß das Programm automatisch die Meßpunkt-Nr, den Punkt, den Vektor und die Abweichung für die jeweiligen Punkte anzeigt, sobald das Kontrollkästchen Punkt Info einblenden markiert wird.


Punkt-Nr.

Über das Kontrollkästchen Punkt Nr. wird die Meßpunktreihenfolge eines Punkts auf einem Element angezeigt.

Beispiel: Wenn einer der Meßpunkte, der zum Messen eines Kreises (für den im allgemeinen 4 Meßpunkte aufgenommen) verwendetet wurde, ausgewählt wird, zeigt diese Option eine Zahl (von 1 bis 4) an, die angibt, wann dieser Meßpunkt innerhalb der Meßfolge aufgenommen wurde: 1. 2. 3. oder 4.


Punkt

Mit dem Kontrollkästchen Punkt können Sie die X-, Y- und Z-Punktlage des ausgewählten Meßpunkts anzeigen.


Einfügen von Protokollbefehlen - Punktangaben-Format - Vektor

Vektor

Mit dem Kontrollkästchen Vektor können Sie den IJK-Vektor des ausgewählten Meßpunkts anzeigen.


Einfügen von Protokollbefehlen - Punktangaben-Format - Abweichung

Abweichung

Mit dem Kontrollkästchen Abweichung können Sie die Abweichung des Punkts vom Nennpunkt anzeigen.

  • Bei Elementen ist die Punktabweichung der Abstand zwischen den gemessenen Punkten und den Ist-Punkten.
  • Bei Merkmalen ist die Punktabweichung vom Merkmaltyp abhängig und entspricht der für die einzelnen Punkte in der Textanalyse des Merkmals angezeigten Abweichung.


Icon (einblenden)

Das Kontrollkästchen Icon veranlaßt die Anzeige des Merkmal-Symbols im Überschriftenteil des Merkmal-Infofelds.


ID einblenden

Mit dem Kontrollkästchen ID einblenden können Sie die ID eines bestimmten Elements oder Merkmals anzeigen lassen.


Typ einblenden

Mit dem Kontrollkästchen Typ einblenden können Sie den Typ des angezeigten Elements oder Merkmals einblenden lassen.


Überschriften (einblenden)

Mit dem Kontrollkästchen Überschriften einblenden lassen sich im Punkt-Infofeld Zeilenüberschriften einblenden.


Grafik (einblenden)

Mit dem Kontrollkästchen Grafik einblenden läßt sich im Feld Punktangaben das Diagramm mit dem Merkmalsprozentsatz einblenden.


Vertikale Linien (einblenden)

Mit dem Kontrollkästchen Vertikale Linien läßt sich im Punkt-Infofeld das Diagramm mit dem Merkmalsprozentsatz einblenden.


Horizontale Linien (einblenden)

Mit dem Kontrollkästchen Horizontale Linien lassen sich horizontale Linien im Punkt-Infofeld das Diagramm ein- bzw. ausblenden.


Meßpunktliste

In diesem Bereich des Dialogfelds können Sie auswählen, welche einzelnen Meßpunkte eines Elements oder Merkmals angezeigt werden sollen.

Siehe auch:

Listenfeld


Listenfeld

Das Feld Meßpunktliste enthält eine Liste aller mit einem bestimmten Element oder Merkmal verknüpften Meßpunkte. Wählen Sie einfach die Meßpunkte aus, zu denen Sie Angaben sehen möchten.


Elementliste (Bereich)

In diesem Bereich des Dialogfelds können Sie ein einzelnes Element auswählen. Die mit diesem Element verknüpften Meßpunkte werden in der Meßpunktliste angezeigt.

Siehe auch:

Listenfeld


Einfügen von Protokollbefehlen - Bereich "Elementliste" - Listenfeld

Listenfeld

Das Feld Elementliste enthält eine Liste aller mit einem bestimmten Werkstückprogramm verknüpften Elemente. Wählen Sie einfach das Element aus, dessen Meßpunktangaben Sie sehen möchten.


Merkmale (Bereich)

Unter Merkmale können Sie einzelne Merkmale auswählen. Die mit diesem Merkmal verknüpften Meßpunkte werden in der Meßpunktliste angezeigt.

Siehe auch:

Listenfeld


Einfügen von Protokollbefehlen - Bereich "Merkmale" - Listenfeld

Listenfeld

Das Listenfeld Merkmale enthält eine Liste aller mit einem bestimmten Werkstückprogramm verknüpften Merkmale. Wählen Sie einfach das Merkmal aus, dessen Meßpunktangaben Sie sehen möchten.


Einfügen von Protokollbefehlen - Einfügen von Punktangaben-Feldern - Angaben löschen

Angaben löschen

Mit der Schaltfläche Angaben löschen können Sie alle PUNKTINFO-Befehle aus dem Werkstückprogramm entfernen.


PUNKTINFO (Befehl)

Der PUNKTINFO-Befehl wird im Dialogfeld Bearbeite Punktangaben erstellt.

Display Menu Roadmap
Nach Einfügen eines PUNKTINFO-Befehls im Werkstückprogramm wird im Grafikfenster ein Punktangaben-Feld eingeblendet. Sie können den PUNKTINFO-Befehl im Bearbeitungsfenster ändern. Die Befehlszeile für diesen Befehl lautet:

PUNKTINFO/Merkmal_ID oder Element_ID; FILTER FILTERTYP FILTERNR;ID,ICON, ID, TYP, VERT, HORIZ, ÜBERSCHRIFTEN, GRAFIK; "AUSGABEFORMAT" ,$
           "MESSPUNKTNUMMERN"

Merkmal-ID oder Element-ID = ID des anzuzeigenden Merkmals oder Elements.

FILTERTYP = Eine Zeichenkette, mit der eine der Filteroptionen OHNE, INTERVALL, SCHLECHTESTE, ABWEICHUNG oder AUSSER_TOL ausgewählt werden kann.

FILTERNR = Ein Nummernfeld, das bei der Filteroption INTERVALL, SCHLECHTESTE oder ABWEICHUNG verfügbar ist.

ICON = Schalter mit zwei Zuständen: "ICON" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die PUNKTINFO die Merkmals- oder Element-ID zusammen mit dem entsprechenden Symbol an.

ID = Schalter mit zwei Zuständen: "ID" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die PUNKTINFO die Merkmals- oder Element-ID zusammen mit den Punktangaben an.

TYP = Schalter mit zwei Zuständen: "TYP" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, zeigt die PUNKTINFO den Merkmals- oder Elementtyp (z.B. KREIS, PUNKT, RUNDHEIT, LAGE) zusammen mit den Punktangaben an.

VERT = Schalter mit zwei Zuständen: "VERT" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, werden die Spalten der PUNKTINFO mit vertikalen Linien dargestellt.

HORIZ = Schalter mit zwei Zuständen: "HORIZ" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Wenn der Schalter EINgeschaltet ist, werden die Zeilen der PUNKTINFO mit horizontalen Linien dargestellt.

ÜBERSCHRIFTEN = Schalter mit zwei Zuständen: "ÜBERSCHRIFTEN" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Ist er EINgeschaltet, werden im Feld Punkt Info Zeilenüberschriften angezeigt.

GRAF = Schalter mit zwei Zuständen: "GRAF" entspricht dem EINgeschalteten Zustand, Leerstellen dem AUSgeschalteten. Ist er EINgeschaltet, wird der Merkmalsprozentsatz im Feld Punkt Info grafisch dargestellt.

AUSGABEFORMAT = Format der Punktangaben, die basierend auf der Auswahlreihenfolge angezeigt werden. Verfügbare Ausgabeoptionen sind MESSPUNKT, PT, V und ABWEICHUNG. Optionen können nicht dupliziert werden.

MESSPUNKTNUMMERN = Die Meßpunkt-Nummern sind besonders numerierte Meßpunkte, die durch diesen bestimmten PUNKTINFO-Befehl gesteuert werden. Es können mehrere Meßpunkte mit einem einzigen PUNKTINFO-Befehl angezeigt werden. Jedes Feld in den Meßpunktnummern ist ein Umschaltfeld. Bei EINgeschaltetem Meßpunkt entspricht die numerierte Zeichenfolge der Meßpunkt-Nr. (1, 2, 3 usw.). Bei AUSgeschaltetem Meßpunkt besteht die Zeichenfolge aus Leerstellen.


Einfügen von Protokollbefehlen - Einfügen von Merkmal-Infofeldern - Darstellung

Darstellung

Unter Darstellung können Sie die Hintergrundfarbe und die Linienfarbe für das aktuelle Punkt-Infofeld festlegen. Außerdem können Sie festlegen, ob PC-DMIS den Rand des Punkt-Infofelds schattiert anzeigen soll.

Um die Grafikoptionen für das Punkt-Infofeld zu ändern, wählen Sie die gewünschte Option aus diesem Bereich aus und klicken auf Übernehmen oder OK.

Sie können die Standarddarstellung für neu erstellte Punkt-Infofelder festlegen, indem Sie einfach die gewünschten Optionen auswählen und dann im Bereich Punktangaben-Format auf die Schaltfläche Standard setzen klicken.


Filter

Im Bereich Filter können Sie die bei der Darstellung einzelner Punkte zu verwendenden Filteroptionen einstellen.

Siehe auch:

Filter: Ohne (Filter)

Filter: Messp. Intervall

Filter: Schlechteste

Filter: Abweich. über

Filter: Außer Toleranz


Filter: Ohne

Mit der Option Ohne wird PC-DMIS angewiesen, keine Filter für den PUNKTINFO-Befehl einzusetzen. Mit dem PUNKTINFO-Befehl werden alle gewählten Meßpunkte angezeigt.


Filter : Abstand zw. Meßpunkten

Filter: Meßpunkt Intervall

Durch Auswahl des Optionsschalters Meßp. Intervall werden der ganzzahlige Wert im Feld rechts daneben überprüft und nur das bestimmte Meßpunktintervall angezeigt, das mit dem PUNKTANGABEN-Befehl ausgewählt wurde. Wenn Sie beispielsweise 2 wählen, wird jeder zweite Meßpunkt angezeigt, bei 3 jeder dritte, bei 4 jeder vierte Meßpunkt, etc.


Filter: Schlechteste

Durch Auswahl des Optionsschalters Schlechteste werden der ganzzahlige Wert im Feld rechts daneben überprüft und nur die Meßpunkte angezeigt, welche die schlechtesten Abweichungen für das Merkmal ergeben. Wenn Sie beispielsweise 3 in das Feld eingeben, zeigt der PUNKTINFO-Befehl nur die drei schlechtesten Abweichungen an.


Filter: Abweichung über

Die Option Abweich. über überprüft den Zahlenwert im Feld rechts daneben und zeigt nur die Meßpunkte an, deren Abweichung größer ist als dieser Wert. Wenn Sie beispielsweise 0,01 in das Feld eingeben, werden Abweichungen von 0,013 oder -0,015 angezeigt, während Abweichungen von 0,003 oder -0,005 nicht angezeigt werden.


Filter: Außer Toleranz

Die Option Außer Toleranz zeigt nur die Meßpunkte an, die außerhalb des Toleranzbereichs liegen.

Meßpunkte, die sich auf Elemente (und nicht auf Merkmale) beziehen, werden nur angezeigt, wenn ihre Abweichungen größer sind als die, die unter Abweichungstoleranz einblenden auf der Registerkarte Allgemein des Dialogfelds Setup-Optionen aufgeführt sind. (Informationen hierzu finden Sie unter "Abweichungstoleranz einblenden" im Abschnitt "Voreinstellungen".)


Einbindung von HyperView-Protokollen

Einbetten von HyperView-Protokollen

So binden Sie ein HyperView-Protokoll in ein Werkstückprogramm ein:

  1. Öffnen Sie das Dialogfeld Hyperview-Protokoll. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".) Es erscheint das Dialogfeld HyperReport einfügen.

Display Menu Roadmap
Wählen Sie das HyperView-Protokoll aus, das in das Werkstückprogramm eingebunden werden soll.

  3. Klicken Sie auf die Schaltfläche Öffnen.

Das HyperView-Protokollbefehls-Objekt wird im Bearbeitungsfenster an der Cursor-Position eingefügt.

Weitere Informationen hierzu finden Sie unter "Einbetten von HyperView-Protokolls in Werkstückprogramme" im Abschnitt "Erstellen von HyperView-Protokollen".


Einfügen von Programmiererkommentaren

Cancel OK Comment Text Document Yes / No Report Input Operator

Display Menu Roadmap
Mit der Option Kommentar können Sie Anmerkungen oder Anweisungen für den Bediener in das Bearbeitungsfenster einfügen. Diese werden dann beim Ausführen des Werkstückprogramms oder beim Drucken des Prüfprotokolls im Feld Kommentartext angezeigt. Die Länge des Kommentars ist nicht begrenzt. Im Befehlsmodus passen jedoch nur maximal 255 Zeichen in eine Zeile. Wenn bei der Texteingabe im Bearbeitungsfenster der rechte Rand erreicht wird, drücken Sie die EINGABETASTE. (Auf diese Weise läßt sich der gesamte Text im Feld Kommentartext anzeigen.) Um eine neue Zeile zu erstellen, setzen Sie den Cursor an die gewünschte Stelle im Feld Kommentartext, und drücken Sie die EINGABETASTE.

Wählen Sie Kommentar im Menü aus, um das Dialogfeld Kommentar anzuzeigen.

Siehe auch:

Bediener

Protokoll

Eingabe

Dokumentation

Ja / Nein

Auslesen

Kommentartext


Einfügen von Protokollbefehlen - Einfügen von Programmiererkommentaren - Bediener

Bediener

Mit dieser Option können Sie Text während der Ausführung des Werkstückprogramms Text anzeigen lassen.

So verwenden Sie die Option Bediener:

  1. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet.

Display Menu Roadmap
Klicken Sie auf die Option Bediener.

  3. Geben Sie im Feld Kommentartext den gewünschten Text ein.
  4. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Während PC-DMIS das Werkstückprogramm ausführt, werden die den entsprechenden Kommentaren in einem Meldungsfeld angezeigt. (Sie können diese Kommentare nicht bearbeiten.) Klicken Sie auf die Schaltfläche OK, um das Meldungsfeld zu entfernen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/BEDIENER, TOG1, Kommentartext

TOG1 = Mit diesem JA/NEIN-Feld können Sie bestimmen, ob Kommentare im Prüfprotokoll angezeigt werden sollen oder nicht.


Einfügen von Protokollbefehlen - Einfügen von Programmiererkommentaren - Protokoll

Protokoll

Mit dieser Option können Sie Text an das Prüfprotokoll senden.

Vorgehensweise::

  1. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet.

Display Menu Roadmap
Klicken Sie auf die Option Protokoll.

  3. Geben Sie im Feld Kommentartext den gewünschten Text ein.
  4. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Wenn PC-DMIS das Werkstückprogramm ausführt, werden diese Meldungen nicht angezeigt. PC-DMIS sendet diese Kommentare jedoch an das Prüfprotokoll, wenn es gedruckt wird.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/PROTOKOLL,Kommentartext

Hinweis: Wenn unterhalb des Textes im Prüfprotokoll Gedankenstriche (oder andere Zeichen) eingefügt werden sollen, erstellen Sie zur Eingabe der zusätzlichen Zeichen eine zweite Kommentarzeile.
Beispiel:
KOMMENTAR/PROTOKOLL,Prüfprotokollkommentar
KOMMENTAR/PROTOKOLL,-----------------------------------

Durch diesen Satz von Befehlszeilen wird im Prüfprotokoll eine Prüfprotokoll-Kommentarzeile erstellt.


Einfügen von Protokollbefehlen - Einfügen von Programmiererkommentaren - Eingabe

Eingabe

Die Option Eingabe ist insofern mit der Option Bediener vergleichbar, als damit während der Ausführung eines Werkstückprogramms Text angezeigt werden kann. Neben dem Meldungsfeld, in dem der zuvor eingegebene Text angezeigt wird, wird durch diese Option ein Kommentarfeld eingeblendet. Auf diese Weise können Sie numerische Daten eingeben, die in das Prüfprotokoll geschrieben werden.

Diese Option erweist sich als äußerst nützlich, wenn Benutzer während der Ausführung des Werkstückprogramms eine Teile- oder Seriennummer eingeben möchten. Das Meldungsfeld blendet die Aufforderung zur Eingabe der erforderlichen Nummer (z.B. Seriennummer) ein, und anschließend erscheint diese Nummer auch im Prüfprotokoll.

So verwenden Sie die Option Eingabe:

  1. Setzen Sie den Cursor im Bearbeitungsfenster an die Stelle, an der diese Option eingefügt werden soll.
  2. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet.

Display Menu Roadmap
Klicken Sie auf die Option Eingabe.

  4. Geben Sie im Feld Kommentartext den gewünschten Text ein.
  5. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Die Eingabe wird außerdem der Variablen zugewiesen, die links neben dem Befehl vorgegeben wurde. Die Variable muß eine Zeichenfolge sein. Diese Variable kann dann an jeder Stelle, an der ein Ausdruck zulässig ist, verwendet werden.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
Kommentar-ID = KOMMENTAR/EINGABE, TOG1 Kommentartext

TOG1 = Mit diesem JA/NEIN-Feld können Sie bestimmen, ob Kommentare im Prüfprotokoll angezeigt werden sollen oder nicht.


Einfügen von Protokollbefehlen - Einfügen von Programmiererkommentaren - Dokumentation

Dokumentation

Mit dieser Option können Sie Text zum internen Programm hinzufügen. Ihr einziger Zweck besteht in der Dokumentation von Programmieranmerkungen. Dieser Text wird nicht an das Prüfprotokoll gesendet und auch nicht während der Programmausführung angezeigt. Sie haben lediglich die Möglichkeit, innerhalb des Bearbeitungsfensters Informationen zu dokumentieren.

So verwenden Sie die Option Dokumentation:

  1. Setzen Sie den Cursor im Bearbeitungsfenster an die Stelle, an der Text eingefügt werden soll.
  2. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet.

Display Menu Roadmap
Klicken Sie auf die Option Dokumentation.

  4. Geben Sie im Feld Kommentartext den gewünschten Text ein.
  5. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/DOKUMENTATION, TOG1, Kommentartext

TOG1 = Mit diesem JA/NEIN-Feld können Sie bestimmen, ob Kommentare im Prüfprotokoll angezeigt werden sollen oder nicht.


Einfügen von Protokollbefehlen - Einfügen von Programmiererkommentaren - Ja / Nein

Ja/Nein

Die Option Ja / Nein ist insofern mit der Option Bediener vergleichbar, als damit während der Ausführung eines Werkstückprogramms Text angezeigt werden kann. Zusätzlich zu einer Meldung mit zuvor eingegebenem Text werden die dem Benutzer zur Auswahl stehenden Schaltflächen Ja und Nein angezeigt. Sie können dem Benutzer damit einfache Fragen stellen, deren Antworten dann im Werkstückprogramm erscheinen und über die ID des Kommentars zugänglich sind. Besitzt der Kommentar z. B. die ID C1 und wird auf die Schaltfläche Ja geklickt, wird dem Ausdruck "C1.INPUT" der Wert 'JA' zugewiesen. Wird auf die Schaltfläche Nein geklickt, wird dem Ausdruck "C1.INPUT" der Wert 'NEIN' zugewiesen. Diese Option ist hilfreich für Benutzer, die eine Verzweigung oder Schleife über die Antwort "Ja" oder "Nein" erreichen möchten.

So verwenden Sie die Option Ja / Nein:

  1. Setzen Sie den Cursor im Bearbeitungsfenster an die Stelle, an der der Befehl KOMMENTAR/JANEIN eingefügt werden soll.
  2. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet.

Display Menu Roadmap
Klicken Sie auf die Option Ja / Nein.

  4. Geben Sie im Feld Kommentartext den gewünschten Text ein.
  5. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
Kommentar-ID = KOMMENTAR/JANEIN,TOG1, Kommentartext

TOG1 = Mit diesem JA/NEIN-Feld können Sie bestimmen, ob Kommentare im Prüfprotokoll angezeigt werden sollen oder nicht.

Wichtig: Wird eine bedingte Verzweigungsanweisung zur Wertigkeitsprüfung eines JA/NEIN-Kommentars verwendet, beachten Sie bitte, daß bei dieser Prüfung ein "JA"- oder "NEIN"-Wert in Großbuchstaben gesucht werden sollte. Ein "Ja" oder "Nein" in Kleinbuchstaben wird nicht funktionieren. (Informationen zum Verzweigen finden Sie im Abschnitt "Verzweigen mit Hilfe der Ablaufregelung".)


Einfügen von Protokollbefehlen - Einfügen von Programmiererkommentaren - Auslesen

Auslesen

Über die Option Auslesen wird der Kommentartext im unteren Teil des Taster-Anzeigefensters angezeigt. Hierzu müssen Sie das Kontrollkästchen Bildschirm zeigt Historie im Dialogfeld Taster-Anzeige einrichten aktiviert haben.

So verwenden Sie die Option Ja / Nein:

  1. Setzen Sie den Cursor im Bearbeitungsfenster an die Stelle, an der der Befehl KOMMENTAR/JANEIN eingefügt werden soll.
  2. Wählen Sie die Menüoption Kommentar aus. Das Dialogfeld Kommentar wird eingeblendet.

Display Menu Roadmap
Klicken Sie auf die Option Ja / Nein.

  4. Geben Sie im Feld Kommentartext den gewünschten Text ein.
  5. Wenn Sie mit der Kommentareingabe fertig sind, klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE), um das Dialogfeld zu schließen.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:
KOMMENTAR/AUSLESEN,TOG1,Kommentartext

TOG1 = Mit diesem JA/NEIN-Feld können Sie bestimmen, ob Kommentare im Prüfprotokoll angezeigt werden sollen oder nicht.

(Weitere Informationen zum Einrichten dieser Option finden Sie unter "Einrichten des Ergebnisanzeigefensters" im Abschnitt "Einfügen von Protokollbefehlen".)

Informationen zur Verwendung des Taster-Anzeigefensters finden Sie unter "Verwenden des Taster-Anzeigefensters" im Abschnitt "Arbeiten mit anderen Fenstern und Editoren".


Kommentartext

Das Feld Kommentartext enthält den Text, den Sie in Verbindung mit den unten angegebenen Kommentaroptionen anzeigen möchten:

Bediener

Protokoll

Eingabe

Dokumentation

Ja / Nein

Auslesen


Einfügen von Protokollbefehlen - Einfügen externer Objekte

Einfügen externer Objekte

Display Menu Roadmap
Um Ihrem Protokoll externe Objekte hinzuzufügen, wählen Sie den Menüeintrag Externe Objekte. Weitere Informationen finden Sie unter "Hinzufügen externer Elemente".


Einfügen eines Druckbefehls

In PC-DMIS können Sie in das Bearbeitungsfenster einen DRUCKEN/PROTOKOLL-Befehl einfügen, der bei Ausführung den Inhalt des Bearbeitungsfensters an das definierte Ausgabeziel (Drucker oder Datei) sendet.

So fügen Sie den Befehl DRUCKEN/PROTOKOLL in das Bearbeitungsfenster ein:

  1. Öffnen Sie das Bearbeitungsfenster.

Display Menu Roadmap
Klicken Sie auf das Symbol Befehlsmodus der Symbolleiste des Bearbeitungsfensters, um PC-DMIS in den Befehlsmodus zu versetzen.

  3. Wählen Sie die Menüoption Druckbefehl aus (oder geben Sie an der gewünschten Stelle DRUCKEN ein, und drücken Sie die TAB-Taste). PC-DMIS zeigt den Befehl DRUCKEN/PROTOKOLL und die verschiedenen konfigurierbaren Optionen an.

Display Menu Roadmap
Über den Befehl DRUCKEN/PROTOKOLL wird der Ausdruck von Bearbeitungsfensterprotokollen aus dem Werkstückprogramm heraus gesteuert. Erreicht PC-DMIS während der Ausführung des Werkstückprogramms diese Stelle, wird ein Protokoll erstellt und an das angegebene Ausgabeziel gesendet.

Hinweis: Alle Optionen, die über die Menüoption Druckereinrichtung im Bearbeitungsfenster verfügbar sind (mit Ausnahme der DMIS-Ausgabeoptionen), sind auch über diesen Befehl verfügbar.

Informationen zum Drucken des Bearbeitungsfensters finden Sie unter "Drucken des Bearbeitungsfensters" im Abschnitt "Verwenden von grundlegenden Dateioptionen".

Siehe auch:

Syntax für den DRUCKEN/PROTOKOLL-Befehl

Bearbeiten des Befehls DRUCKEN/PROTOKOLL


Syntax für den DRUCKEN/PROTOKOLL-Befehl

Die Syntax des Befehls lautet:

DRUCKEN/PROTOKOLL,ZU_DATEI=EIN,TOG1,$
   ZU_DRUCKER=AUS,ENTWURFMODUS=AUS,$
   VORHERIGE_AUSFÜHRUNGEN=TOG2

ZU_DATEI= Mit dieser Option können Sie angeben, ob das gedruckte Protokoll zu einer Datei gesendet werden soll (EIN) oder nicht (AUS).

TOG1: Dieses Umschaltfeld steuert, welche Maßnahme beim Drucken einer Datei ergriffen wird. Verfügbare Optionen sind ANHÄNGEN / AUTO / ÜBERSCHREIBEN / EINGABEAUFFORDERUNG. Je nach ausgewählter Option erscheinen rechts vom Feld TOG1 möglicherweise unterschiedliche Informationen.

ANHÄNGEN= Bei Wahl dieser Option werden die Protokollinformationen an den angegebenen Dateinamen angehängt. Hinter dem Schlüsselwort ANHÄNGEN steht ein Dateinamensfeld, z. B. ANHÄNGEN=D:\PROTOKOLLE\DATEI001.RTF. Beachten Sie, daß der vollständige Pfad angegeben werden muß. Andernfalls wird das Verzeichnis angenommen, in dem sich das Werkstückprogramm befindet. Sollte es die Datei noch nicht geben, wird sie bei Ausführen des Befehls DRUCKEN/PROTOKOLL angelegt.

AUTO= Wählen Sie diese Option, wenn PC-DMIS den Protokolldateinamen automatisch erstellen soll. Hinter dem Schlüsselwort AUTO steht ein numerisches Feld, z.B. AUTOM=10. Der erstellte Dateiname entspricht dem Namen des Werkstückprogramms mit angehängtem numerischen Index und angehängter .RTF-Erweiterung. Zudem befindet sich die erstellte Datei in demselben Verzeichnis wie das Werkstückprogramm. Sollte bereits eine Datei mit dem erstellten Dateinamen vorhanden sein, wird bei Wahl der Option AUTO der Index erhöht, bis ein eindeutiger Dateiname gefunden wird.

ÜBERSCHREIBEN= Wählen Sie diese Option, wenn die Protokollinformationen die Datei mit dem angegebenen Dateinamen überschreiben sollen. Hinter dem Schlüsselwort ÜBERSCHREIBEN steht ein Dateinamensfeld, z. B. ÜBERSCHREIBEN=D:\PROTOKOLLE\DATEI001.RTF. Es muß der vollständige Pfad angegebenen werden; andernfalls wird das Verzeichnis angenommen, in dem sich das Werkstückprogramm befindet. Sollte es die Datei noch nicht geben, wird sie bei Ausführen des Befehls DRUCKEN/PROTOKOLL angelegt.

EINGABEAUFFORDERUNG Wählen Sie diese Option, wenn PC-DMIS den Benutzer anhand des Dialogfelds Speichern unter zur Eingabe des Namens der Datei auffordern soll, in die die Protokollinformationen geschrieben werden sollen.

ZU_DRUCKER= Mit dieser Option können Sie angeben, ob das gedruckte Protokoll zum Drucker gesendet werden soll (EIN) oder nicht (AUS).

ENTWURFMODUS= Mit dieser Option können Sie das Drucken im Entwurfmodus ein- (ON) oder ausschalten (AUS).

VORHERIGE_AUSFÜHRUNGEN= Diese Option ist insbesondere von Nutzen, wenn der Befehl DRUCKEN/PROTOKOLL innerhalb einer Schleife ausgeführt wird. Wird ein Element bei einer einzelnen Ausführung mehr als einmal gemessen, werden vorherige Instanzen der Meßdaten dieses Elements gespeichert. Mit dem Umschaltfeld TOG2 können Sie bestimmen, ob die gespeicherten Meßdaten gelöscht (INSTANZEN_LÖSCHEN) oder beibehalten (INSTANZEN_BEIBEHALTEN) werden sollen.


Bearbeiten des DRUCKEN/PROTOKOLL-Befehls

So bearbeiten Sie diese Optionen im Dialogfeld Druckoptionen:

  1. Setzen Sie den Cursor auf die Befehlszeile DRUCKEN/PROTOKOLL.
  2. Drücken Sie F9.
  3. Nehmen Sie die gewünschten Änderungen vor.
  4. Klicken Sie auf OK.

PC-DMIS aktualisiert den Befehl nun so, daß er Ihren Änderungen entspricht. Dieser Vorgang unterscheidet sich von einem direkten Aufruf des Dialogfelds Druckoptionen über das Menü Protokoll des Bearbeitungsfensters. Wird das Dialogfeld direkt über das Menü Protokoll aufgerufen, wird der Befehl DRUCKEN/POROTOKOLL nicht in das Bearbeitungsfenster eingefügt.

Hinweis: Der Befehl DRUCKEN/PROTOKOLL kann im Werkstückprogramm mehrmals eingesetzt werden.

Hinweis: Der Befehl DRUCKEN/PROTOKOLL ist eine eindeutige Instanz der im Dialogfeld Druckoptionen enthaltenen Informationen. Deshalb sind Optionen, die ohne Verwendung des Befehls DRUCKEN/PROTOKOLL im Dialogfeld Druckoptionen gewählt werden, unabhängig von jedem DRUCKEN/PROTOKOLL-Befehl und wirken sich auf den Druckvorgang nach der Ausführung des Werkstückprogramms aus.


Einfügen eines Seitenvorschubbefehls

In PC-DMIS können Sie einen VORSCHUB-Befehl in das Bearbeitungsfenster einfügen. Dieser Befehl veranlaßt, daß die gedruckte Seite eines Protokolls aus dem Drucker ausgeworfen wird, wenn der VORSCHUB-Befehl markiert und ausgeführt wird. Der VORSCHUB-Befehl hat bei der Ausgabe in eine Datei keine Auswirkung.

So fügen Sie den Befehl VORSCHUB in das Bearbeitungsfenster ein:

  1. Öffnen Sie das Bearbeitungsfenster.

Display Menu Roadmap
Klicken Sie auf das Symbol Befehlsmodus der Symbolleiste des Bearbeitungsfensters, um PC-DMIS in den Befehlsmodus zu versetzen.

  3. Wählen Sie die Menüoption Seitenvorschub aus (oder geben Sie an der gewünschten Stelle VORSCHUB ein, und drücken Sie die TAB-Taste). PC-DMIS zeigt den VORSCHUB-Befehl an.

Display Menu Roadmap


Definieren und Speichern eines Ansichtensatzes

Sie können unterschiedliche Grafikfenster-Ansichten zur späteren Bezugnahme erstellen und speichern. Mit der Menüoption Ansicht erstellen können Sie unbegrenzt viele Ansichten speichern. Diese werden als Ansichtensätze bezeichnet.

Vorgehensweise:

  1. Wählen Sie die Menüoption Ansicht erstellen. Es erscheint ein Popup-Fenster mit der Eingabeaufforderung "Name der zu speichernden Ansicht eingeben".

Display Menu Roadmap
Geben Sie im Popup-Fenster den gewünschten Namen für die Ansicht ein (max. 19 Zeichen).

  3. Klicken Sie auf die Schaltfläche OK, oder drücken Sie die EINGABETASTE. PC-DMIS setzt den aktuellen Ansichtensatz mit dem von Ihnen ausgewählten Namen gleich, indem ein =VIEWSET-Befehl eingefügt wird.

Sie können den erstellten Ansichtensatz schnell aufrufen, indem Sie ihn in der Liste Ansichten der Symbolleiste Einstellungen auswählen oder die Menüoption Ansichtensatz aufrufen verwenden.

Hinweis: Wenn Sie nur den aktuellen Ansichtensatz ändern und dann speichern wollen, ohne einen neuen Ansichtensatz zu erstellen, wählen Sie statt dessen die Menüoption Ansicht speichern.


Aufrufen eines gespeicherten Ansichtensatzes

Display Menu Roadmap
Durch Auswahl der Menüoption Ansichtensatz aufrufen wird der Befehl AUFRUFEN/ANSICHTENSATZ in das Bearbeitungsfenster eingefügt. Wenn Sie diesen Befehl markieren und ausführen, zeigt PC-DMIS die gespeicherte Ansicht im Grafikfenster an.


Using File Input / Output

Grundlegende Datei-I/O-Konzepte

Öffnen einer Datei zum Lesen oder Schreiben

Schließen einer geöffneten Datei nach dem Lesen oder Schreiben

Lesen eines Zeichens aus einer Datei

Lesen einer Zeile aus einer Datei

Lesen eines Textblocks aus einer Datei

Lesen von Text bis zu einem Begrenzer

Schreiben eines Zeichens in eine Datei

Schreiben einer Zeile in eine Datei

Schreiben eines Textblocks in eine Datei

Positionieren eines Dateizeigers am Anfang einer Datei

Speichern der aktuellen Position eines Dateizeigers

Aufrufen der gespeicherten Position eines Dateizeigers

Kopieren einer Datei

Verschieben einer Datei

Löschen einer Datei

Prüfen des Vorhandenseins einer Datei

Anzeigen eines Dateidialogfelds

Prüfen auf das Ende einer Datei oder Ende einer Zeile


Verwenden der Datei-Eingabe/-Ausgabe: Einführung

In diesem Abschnitt wird beschrieben, wie Daten in Werkstückprogramme eingegeben und daraus ausgegeben werden. Die verfügbaren Menüoptionen ermöglichen das Öffnen von Dateien im Lese- oder Schreibmodus. Daten können dann entweder aus diesen Dateien gelesen oder in sie geschrieben werden. Mit den Datei I/O-Befehlen können Daten aus externen Dateien eingelesen und in einem Werkstückprogramm verwendet werden. Meß- und Toleranzdaten können mit diesen Befehlen auch wieder in externe Dateien geschrieben werden. Außerdem können mit Hilfe dieser Befehle weitere Dateivorgänge durchgeführt werden.

Hinweis: Schleifen oder Verzweigungen wurden in den Beispielcodeen eingerückt, damit ersichtlich ist, welche Anweisungen mit einer bestimmten Bedingung verknüpft sind. In der tatsächlichen Ansicht des Bearbeitungsfensters ist der Code nicht eingerückt.

Dieser Abschnitt enthält detaillierte Beschreibungen der I/O-Operationen sowie Anwendungsbeispiele für die einzelnen Operationen. Die Beispiele verwenden Elemente, die in den Abschnitten "Verzweigen mit Hilfe der Ablaufsteuerung" und "Verwenden von Ausdrücken und Variablen" beschrieben sind.

Dieser Abschnitt enthält die folgenden Hauptthemen:

  • Grundlegende Datei-I/O-Konzepte
  • Öffnen einer Datei zum Lesen oder Schreiben
  • Schließen einer geöffneten Datei nach dem Lesen oder Schreiben
  • Lesen eines Zeichens aus einer Datei
  • Lesen einer Zeile aus einer Datei
  • Lesen eines Textblocks aus einer Datei
  • Lesen von Text bis zu einem Begrenzer
  • Schreiben eines Zeichens in eine Datei
  • Schreiben einer Zeile in eine Datei
  • Schreiben eines Textblocks in eine Datei
  • Positionieren eines Dateizeigers am Anfang einer Datei
  • Speichern der aktuellen Position eines Dateizeigers
  • Aufrufen der gespeicherten Position eines Dateizeigers
  • Kopieren einer Datei
  • Verschieben einer Datei
  • Löschen einer Datei
  • Prüfen des Vorhandenseins einer Datei
  • Anzeigen eines Dateidialogfelds


Grundlegende Datei-I/O-Konzepte

Prüfen des Vorhandenseins einer Datei:
Bei allen Datei-I/O-Operationen ist es sinnvoll, zunächst das Vorhandensein der Datei zu überprüfen. Dies könnte in Form einer IF/THEN-Schleife erfolgen, so daß der Benutzer bei einem negativen Prüfungsergebnis benachrichtigt wird. Beim Schreiben in eine Datei muß die Datei zuerst in der Windows-Umgebung erstellt werden.

Weitere Informationen hierzu finden Sie unter "Prüfen des Vorhandenseins einer Datei".

Öffnen und Schließen von Dateien:
Bei Operationen, die aus einer Datei lesen oder in eine Datei schreiben, müssen Sie die Datei zuerst für die Systemprozesse öffnen. Hierfür weisen Sie der Datei eine Variable, den sogenannten Dateizeiger, zu. Beim Öffnen einer Datei können Sie angeben, ob die Datei zum Lesen oder Schreiben (Überschreiben) oder zum Anhängen geöffnet wird. Nachdem die Datei geöffnet wurde, ist das Lesen oder Schreiben möglich. Wenn Sie die Arbeit an der Datei beendet haben, sollten Sie den Dateizeiger schließen. Dadurch wird die Datei geschlossen, und sie kann von anderen Systemprozessen verwendet werden. Dateien, die bereits von einem anderen Prozeß geöffnet sind, können nicht geöffnet werden.

Weitere Informationen hierzu finden Sie unter "Öffnen einer Datei zum Lesen oder Schreiben" und unter "Schließen einer geöffneten Datei nach dem Lesen oder Schreiben".

Dateizeiger und Positionen:
Dateizeiger sind Variablen, die auf eine Datei verweisen. Sie speichern den Namen und den Speicherort einer geöffneten Datei und dienen zum Lesen aus oder Schreiben in dieser Datei. Sobald eine Datei geöffnet und auf einen Dateizeiger eingestellt ist, verhält sich der Zeiger wie ein Cursor in einem Textverarbeitungsprogramm. Er zeigt an, an welcher Position in der Datei Sie gerade lesen oder schreiben.

  • Wenn Sie Daten an eine Datei anhängen, sollte sich der Dateizeiger meist am Ende der Datei befinden.
  • Wenn Sie eine Datei lesen oder überschreiben, sollte sich der Dateizeiger am Anfang der Datei befinden.

Verwenden von Begrenzern beim Lesen oder Schreiben

Beim Schreiben von Daten sollten Sie Begrenzer verwenden, um Datenteile voneinander zu trennen. Dadurch wird es einfacher, die Daten wieder in ein Werkstückprogramm einzulesen. Ein Begrenzer kann jedes Zeichen oder eine Zeichenfolge sein. Angenommen, Sie haben einen Punkt namens PKT1 mit den gemessenen X-,Y- und Z-Werten 2.5, 4.3 und 6.1. Sie können diese Werte durch Kommata voneinander getrennt (der Begrenzer ist in diesem Fall ein Komma) in eine Datendatei schreiben. Ein Beispiel:

DATEI/ZEILE_SCHREIB,FPTR,PKT1.X + "," + PKT1.Y + "," + PKT1.Z

Beim Lesen von Daten können Sie die hereinkommenden Daten auf Basis eines festgelegten Begrenzers trennen und zur späteren Bearbeitung in Variablen einfügen. Angenommen, Sie möchten dieselben X-,Y- und Z-Werte wie oben aufgeführt einlesen. Die Werte sollten in einer einzelnen Textzeile stehen: 2.5,4.3,6.1. Sie können den Text bei an den Kommata trennen und die Werte mit Hilfe einer Codezeile in die entsprechenden Variablen einfügen. Ein Beispiel:

V1=DATEI/ZEILE_LESEN,FPTR,{WertX}+","+{WertY}+","+{WertZ}

Anschließend können Sie WertX, WertY und WertZ als normale Variablen in Ihrem Werkstückprogramm verwenden. WertX lautet dann 2.5, WertY 4.3 und WertZ 6.1.


Öffnen einer Datei zum Lesen oder Schreiben

Display Menu Roadmap
Mit der Menüoption Datei öffnen können Sie in das Bearbeitungsfenster einen Befehl eingeben, durch den während der Ausführung des Werkstückprogramms eine Datenträgerdatei geöffnet wird.

Dateien können geöffnet werden, um Daten einfach anzuzeigen, hinzuzufügen oder zu speichern.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Dateizeigername> =Datei/Öffnen,<Dateiname>,<Öffnen-Modus>
<Dateizeigername> | Die vom Benutzer gewählte ID des Dateizeigers, der zum Zugriff auf die geöffnete Datei verwendet wird. Diese ID dient zum Verweis auf die geöffnete Datei in anderen Datei I/O-Befehlen.
<Dateiname> | Der Dateiname der zu öffnenden Datenträgerdatei.
<Öffnen-Modus> | Der Modus, in dem die Datei geöffnet werden sollte. Dateien können in den folgenden Modi geöffnet werden: Lesen, Schreiben oder Anhängen.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Datei öffnen".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Datei öffnen"


Beispielcode für "Datei öffnen"

Dieser Code öffnet eine Datei namens TEST.TXT zum Lesen, Schreiben oder Anhängen von Dateien und speichert den Dateinamen in einem Dateizeiger namens FPTR.

FPTR=DATEI/ÖFFNEN,C:\PCDMIWS\TEST.TXT,LESEN
FPTR=DATEI/ÖFFNEN,C:\PCDMIWS\TEST.TXT,SCHREIBEN
FPTR=DATEI/ÖFFNEN,C:\PCDMIWS\TEST.TXT,ANHÄNGEN

Beachten Sie, daß Sie für die Eingabe des vollständigen Pfads einen Eingabekommentar verwenden und den Pfad dann in einen DATEI/ÖFFNEN-Befehl einsetzen können. Dasselbe ist auch bei einem DATEI/DIALOGFELD-Befehl möglich. Sehen Sie sich diese Beispiele an:

C1=KOMMENTAR/EINGABE,Geben Sie den vollständigen Pfad und den Namen der Datei ein.
V1=DATEI/DIALOGFELD, WÄHLEN SIE EINE DATEI ZUM ÖFFNEN AUS.
FPTR=DATEI/ÖFFNEN,C1.EINGABE,LESEN
FPTR=DATEI/ÖFFNEN,V1,LESEN

Weitere Informationen hierzu finden Sie unter "Anzeigen eines Dateidialogfelds".


Schließen einer geöffneten Datei nach dem Lesen oder Schreiben

Display Menu Roadmap
Mit der Menüoption Datei schließen können Sie einen Befehl in das Bearbeitungsfenster einfügen, durch den eine geöffnete Datei während der Ausführung des Werkstückprogramms geschlossen wird. Durch das Schließen von Dateien werden die von den geöffneten Dateien beanspruchten Ressourcen wieder freigegeben, und alle an der Datei vorgenommenen Änderungen müssen auf dem Datenträger gespeichert werden.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Schließen, <Dateizeigername>
<Dateizeigername> Die zur Kennung der Datei verwendete ID. Sie wird beim Öffnen der Datei erstellt.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Datei schließen".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Datei schließen"


Beispielcode für "Datei schließen"

Dieser Code schließt die Datei, die dem Dateizeiger FPTR zugewiesen ist.

DATEI/SCHLIESSEN,FPTR


Lesen eines Zeichens aus einer Datei

Display Menu Roadmap
Die Menüoption Zeichen lesen plaziert einen Befehl in das Bearbeitungsfenster, durch den ein Einzelzeichen aus der im Dateizeiger-Namensfeld (siehe Syntax unten) angegebenen Datei gelesen und der im Variablen-Namensfeld angegebenen Variablen zugewiesen wird.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname> = Datei/Zeichen_lesen,<Dateizeigername>
<Dateizeigername> | Die ID zum Öffnen der Datei.
<Variablenname> | Der Name der Variablen, die dieses Zeichen trägt

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Zeichen lesen".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Zeichen lesen"


Beispielcode für "Zeichen lesen"

Sehen Sie sich dieses Beispiel an, in dem aus einer Zeile einer Datendatei immer ein Zeichen gelesen wird, bis ein Leerzeichen vorkommt.

V1=DATEI/VORHANDEN,test.txt
IF/V1<>0
KOMMENTAR/BEDIENER,Lesen aus der Datei möglich. Zum Fortfahren auf 'OK' klicken.
ZUWEISEN/V3 = ""
FPTR=DATEI/ÖFFNEN,D:\Programme\pcdmis35\test.txt,LESEN
DO/
V2=DATEI/ZEICH_LESEN,FPTR
ZUWEISEN/V3 = V3+V2
UNTIL/V2 == " "
DATEI/SCHLIESSEN,FPTR
KOMMENTAR/BEDIENER,"Das erste Wort aus einer Textzeile der Datei lautet: " + V3
END_IF/
ELSE/
KOMMENTAR/BEDIENER,Lesen aus der Datei nicht möglich. Das Programm wird beendet.
GEHZU/ENDE
END_ELSE/
ENDE=MARKE/
PROGRAMM/ENDE

Erläuterung des Codes

V1=DATEI/VORHANDEN
Diese Zeile überprüft, ob die angegebene Datei vorhanden ist. Die Datei muß sich im Verzeichnis befinden, in dem PC-DMIS installiert ist, damit dieser Code funktioniert. Andernfalls muß die Zeile, welche die Datei enthält, auch den vollständigen Pfad der Datei enthalten. V1 erhält das Ergebnis der Dateiprüfung. Ist die Datei vorhanden, ist der Wert ungleich Null. Andernfalls lautet er 0.

IF/V1<>0
Diese Zeile nimmt den Wert von V1 und prüft, ob die Auswertung einen Wert ungleich Null ergibt. Ist dies der Fall, wird in einem Kommentar gemeldet, daß der Lesevorgang beginnen kann. Ist der Wert gleich Null, wird das Werkstückprogramm beendet.

ZUWEISEN/V3 = ""
Diese Zeile erstellt eine leere Zeichenfolge und weist diese V3 zu. Der Code verwendet diese Variable, um aus den einzeln eingelesenen Zeichen eine Zeichenfolge zu erstellen. Wenn Sie die leere Zeichenfolge nicht erstellen, weist V3 den Standardwert 0 auf.

FPTR=DATEI/ÖFFNEN
Diese Zeile öffnet die angegebene Datei zum Lesen und weist sie dem Standarddateizeiger FPTR zu.

DO
Diese Zeile beginnt eine DO / UNTIL-Schleife. Sie begrenzt den DATEI/ZEICH_LESEN-Code, so daß die Zeichen fortlaufend einzeln eingelesen werden. Die Schleife wird beendet, wenn ein Leerzeichen eingelesen wird.

V2=DATEI/ZEICH_LESEN,FPTR
Diese Zeile liest ein Zeichen aus der geöffneten Datei ein, die mit dem Dateizeiger FPTR verbunden ist. Das Zeichen wird in der Variable V2 gespeichert.

ZUWEISEN/V3 = V3+V2
Diese Zeile verwendet die leere Variable V3 und verkettet die Zeichenfolge von V3 mit V2. Anschließend weist sie den Wert wieder V3 zu. Auf diese Weise wird V3 bei jeder weiteren Ausführung der DO/UNTIL-Schleife ein weiteres Zeichen hinzugefügt.

UNTIL/V2 == " "
Diese Zeile beendet die DO/UNTIL-Schleife, sobald der DATEI/ZEICH_LESEN-Code ein Leerzeichen in der geöffneten Datei entdeckt.

DATEI/SCHLIESSEN,FPTR
Diese Zeile schließt die geöffnete Datendatei, wodurch andere Systemprozesse wieder auf die Datei zugreifen können. Der restliche Code wird beendet und zeigt das erste Wort aus der Datendatei in einem Bedienerkommentar an.


Lesen einer Zeile aus einer Datei

Display Menu Roadmap
Die Menüoption Zeile lesen plaziert einen Befehl in das Bearbeitungsfenster, durch den während der Programmausführung eine Zeile aus der angegebenen Datei gelesen wird. Dieser Befehl setzt die durch die Variablen-ID angegebene Variable auf 1 (wahr) oder 0 (falsch) und zeigt damit den Erfolg (wahr) bzw. das Fehlschlagen (falsch) des Aufrufs an. Der von diesem Befehl angeforderte Ausdruck kann verwendet werden, um die eingelesene Zeile zu begrenzen und um Variablen und Verweise automatisch durch die aus der Datei eingelesenen Daten aufzufüllen. Aus der Eingabedatei werden Daten bis zum nächsten Wagenrücklaufzeichen eingelesen.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname> = Datei/Zeile_lesen,<Dateizeigername>,<Ausdruck>
<Variablenname> | Der Name der Variablen, die als Ergebnis den Erfolg oder das Fehlschlagen des Befehls "Zeile lesen" anzeigt. Sie gibt "OK" oder "EOF" zurück.
<Dateizeigername> | Der beim Öffnen der Datei für den Dateizeiger angegebene Name.
<Ausdruck> | Die Zielvariable(n) der Eingabedaten. Eingabedaten können durch Text begrenzt werden und erlauben somit ein einfacheres Analysieren der eingehenden Datenzeilen. Variablen- und Elementverweise sollten in geschwungene Klammern gesetzt werden.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Zeile lesen".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Zeile lesen"


Beispielcode für "Zeile lesen"

Sehen Sie sich dieses Beispiel an, in dem aus einer Datendatei immer eine Zeile gelesen wird, bis der Befehl DATEI/ZEILE_LESEN eine leere Zeile vorfindet. Das Werkstückprogramm zeigt den gefundenen Textblock an und wird dann beendet.

V1=DATEI/VORHANDEN,test.txt
IF/V1<>0
KOMMENTAR/BEDIENER,Lesen aus der Datei möglich. Zum Fortfahren auf 'OK' klicken.
ZUWEISEN/V3 = ""
FPTR=DATEI/ÖFFNEN,D:\Programmdateien\pcdmis35\test.txt,LESEN
DO/
V2=DATEI/ZEILE_LESEN,FPTR,{ZEILE}
ZUWEISEN/V3 = V3 + ZEILE

KOMMENTAR/BEDIENER,"Der aktuelle Wert der Variable n V3 ist:

,V3
UNTIL/V2 == "EOF"
DATEI/SCHLIESSEN,FPTR
KOMMENTAR/BEDIENER,"Der Textblock lautet wie folgt: "
,V3
END_IF/
ELSE/
KOMMENTAR/BEDIENER,Lesen aus der Datei nicht möglich. Das Programm wird beendet.
GEHZU/ENDE
END_ELSE/
ENDE=MARKE/
PROGRAMM/ENDE

Erläuterung des Codes

Ein Großteil dieses Codes entspricht dem Code, der unter "Beispielcode für 'Zeichen lesen'" erläutert wird. Hier ist nur Code aufgelistet, der sich von diesem unterscheidet.

DO
Diese Zeile beginnt eine DO / UNTIL-Schleife. Sie begrenzt den DATEI/ZEILE_LESEN-Code, so daß die Zeilen fortlaufend einzeln eingelesen werden. Die Schleife wird beendet, das Ende der Datei erreicht wird.

V2=DATEI/ZEILE_LESEN,FPTR,{ZEILE}
Diese Zeile liest den gesamten Text ein, bis sie auf einen Zeilenumbruch stößt. Im Gegensatz zu DATEI/ZEICH_LESEN, wo der Text in V2 speichert wird, geht dieser Code anders vor.

  • V2 gibt in diesem Fall zwei Werte aus: entweder "OK" oder "EOF". "OK" wird angezeigt, wenn weitere Dateien eingelesen werden können, und "EOF", wenn das Ende der Datei erreicht ist.
  • Der Code {ZEILE} ist eine vom Benutzer eingegebene Variable, die den Text speichert. Die Variable steht in geschwungenen Klammern, um PC-DMIS mitzuteilen, daß es sich um eine Variable und nicht um einen Teil des begrenzenden Textes handelt. Ohne geschwungene Klammern würde PC-DMIS in der Datei "ZEILE" nach einer Zeichenfolge suchen und nur den Text nach "ZEILE" und vor dem Zeilenumbruch zurückgeben.

ZUWEISEN/V3 = V3+ZEILE
Diese Zeile verwendet die leere Variable V3 und verkettet die Zeichenfolge von V3 mit ZEILE. Anschließend weist sie den verketteten Wert V3 zu. Auf diese Weise wird V3 bei jeder weiteren Ausführung der DO/UNTIL-Schleife eine weitere Zeile hinzugefügt.

UNTIL/V2 == "EOF"
Diese Zeile testet die Bedingung für die DO/UNTIL-Schleife. Sobald der DATEI/ZEILE_LESEN-Code das Ende der Datei erreicht, wie die Schleife beendet. Wenn der Programmablauf die Schleife beendet hat, wird die Ausführung des restlichen Codes beendet und der gesamte Codeblock in einem Bedienerkommentar angezeigt.

Weitere Beispiele:
Die Befehlszeile:
Ergebnis = Datei/Zeile_lesen,F1, "Werkstück-ID:" + {V1} hat zur Folge, daß sämtlicher Text, der in der eingelesenen Zeile nach "Werkstück-ID:" steht, V1 zugewiesen wird. Die Zeile wird in diesem Fall aus der Datei eingelesen, die mit F1 als Dateizeigername geöffnet wurde. Das Ergebnis des Einlesens (Erfolg oder Fehlschlag) wird dann in der Variablen "Ergebnis" gespeichert.

Die Befehlszeilen:
DATEI/ZEILE_LESEN,F1, "Lage:"+{VARX}+ ","+{VARY}+ ","+{VARZ}+ ","+{VARI}+ ","+{VARJ}+ ","+{VARK}
ZUWEISEN/KREIS1.XYZ = MPUNKT(VARX, VARY, VARZ)
ZUWEISEN/KREIS1.IJK = MPUNKT(VARI, VARJ, VARK)
liest kommagetrennten Text nach der Zeichenfolge "Lage:" ein und speichert die Werte in den X-, Y-, Z- und I-, J-, K-Werten von KREIS1.

Die Befehlszeile:
Datei/Zeile_lesen,F1, "Wert Nr. " + Schleifenvar. + " : " + {Var2} bewirkt, daß Var2 mit dem nach dem Doppelpunkt erscheinenden Text ausgefüllt wird. Die in diesem Beispiel angegebene Variable "Schleifenvar." steht nicht in geschwungenen Klammern und trägt folglich zum begrenzenden Text bei.


Lesen eines Textblocks aus einer Datei

Display Menu Roadmap
Die Menüoption Block lesen plaziert einen Befehl in das Bearbeitungsfenster, durch den während der Programmausführung ein Zeichenblock aus einer geöffneten Datei gelesen wird. Die Anzahl der eingelesenen Zeichen wird durch den Parameter "Größe" angegeben.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname>=Datei/Block_lesen,<Dateizeigername>,<Größe>
<Variablenname> | Eine Variablen -ID der Variable, die den Wert erhält, der den Erfolg oder Fehlschlag des Block-Einlesevorgangs anzeigt.
<Dateizeigername> | Der beim Öffnen der Datei für den Dateizeiger angegebene Name.
<Größe> | Die Anzahl der zu lesenden Zeichen

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Block lesen".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Block lesen"


Beispielcode für "Block lesen"

Angenommen, Sie haben mehrere externe Datendateien, die verschiedene Werkstückdaten enthalten. Darin geben jeweils die ersten Zeichen an, wofür die Datei bestimmt ist. In diesem Fall können Sie den Befehl DATEI/BLOCK_LESEN verwenden, um nur die ersten Zeichen jeder Datei zu lesen, bevor Sie sich dazu entschließen, alle Zeilen einzulesen und zu verarbeiten. Sehen Sie sich den folgenden Code an:

C3=KOMMENTAR/EINGABE,Geben Sie den Namen des
,Dateicodes ein, nach dem gesucht werden soll.
ZUWEISEN/BLOCKSIZE (BLOCKGRÖSSE) = LEN(C3.EINGABE)
ZUWEISEN/FILECODE (DATEICODE) = C3.EINGABE
DO/
C1=KOMMENTAR/EINGABE,Geben Sie den vollständigen Pfad,
,den Dateinamen und die Erweiterung
,für die zu verarbeitende Datei ein.
,Drücken Sie [Q], um das Programm zu beenden.
IF/C1.EINGABE== "B" ODER C1.EINGABE=="b"
KOMMENTAT/BEDIENER,Sie haben sich für die Beendigung des Programms entschieden. Das Programm wird nun beendet.
GEHZU/ENDE
END_IF/
V1=DATEI/VORHANDEN,C1.EINGABE
IF/V1<>0
KOMMENTAR/BEDIENER,"Datendatei [" + C1.EINGABE + "] ist vorhanden. Zum Fortfahren auf 'OK' klicken."
FPTR=DATEI/ÖFFNEN,C1.EINGABE,LESEN
V2=DATEI/BLOCK_LESEN,FPTR,BLOCKSIZE (BLOCKGRÖSSE)
DATEI/SCHLIESSEN,FPTR
IF/V2<>FILECODE (DATEICODE)
KOMMENTAR/BEDIENER,"Der Dateicode von [" + V2 + "] stimmt nicht mit"
,"dem FILECODE (DATEICODE) von [" + FILECODE (DATEICODE) + "] überein."
END_IF/
UNTIL/V2==FILECODE (DATEICODE)
KOMMENTAR/BEDIENER,"Datei [" + C1.EINGABE + "] stimmt damit überein."
,"Der Dateicode von [" + V2 + "] stimmt mit"
,"dem FILECODE (DATEICODE) von [" + FILECODE (DATEICODE) + "] überein."
KOMMENTAR/BEDIENER,Das Programm verarbeitet dann die Datei.
END_IF/
ELSE/
KOMMENTAR/BEDIENER,"Datendatei [" + C1.EINGABE + "] ist nicht vorhanden. Versuchen Sie es erneut mit einer vorhandenen Datei."
GEHZU/ENDE
END_ELSE/
ENDE=MARKE/
PROGRAMM/ENDE

Erläuterung des Codes

Teilweise entspricht dieser Code dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Hier wird nur Code erläutert, der sich von diesem unterscheidet.

ZUWEISEN/BLOCKSIZE (BLOCKGRÖSSE) = LEN(C3.EINGABE)
Diese Zeile erstellt eine benutzerdefinierte Variable namens BLOCKSIZE (BLOCKGRÖSSE), die eine Ganzzahl enthält, die der Anzahl der gefundenen Zeichen in C3.EINGABE entspricht. Diese Variable wird als Größe für den Zeichenblock verwendet, der eingelesen werden soll.

ZUWEISEN/FILECODE (DATEICODE) = C3.EINGABE
Diese Zeile erstellt die Variable FILECODE (DATEICODE) und gibt ihr den Wert aus C3.EINGABE.

C1=KOMMENTAR/EINGABE
Dieser Kommentar speichert den vom Benutzer eingegebenen vollständigen Pfad in der Variable C1.EINGABE.

V1=DATEI/VORHANDEN,C1.EINGABE
Diese Zeile prüft das Vorhandensein der Datei, die im Kommentar C1 definiert wurde.

DO/
Diese Zeile beginnt eine DO/UNTIL-Schleife. Sie begrenzt den Codeblock, der dem Benutzer die Eingabe einer Datei zum Lesen ermöglicht. Die Schleife wird so lange fortgesetzt, bis der Text, welcher der Variable FILECODE (DATEICODE) zugewiesen wurde, dem ausgelesenen Text entspricht.

V2=DATEI/BLOCK_LESEN,FPTR,BLOCKSIZE (BLOCKGRÖSSE)
Diese Zeile liest jene Anzahl von Zeichen, die der Ganzzahl in der Variablen BLOCKSIZE (BLOCKGRÖSSE) entspricht. Der Text wird dann in der Variable V2 gespeichert.

IF/V2<>FILECODE (DATEICODE)
Diese Zeile beginnt einen IF/END IF-Codeblock, der testet, ob der Text in der Variable V2 dem in der Variable FILECODE (DATEICODE) gespeicherten Text entspricht. Stimmt er damit überein, wird die Programmausführung fortgesetzt. Andernfalls wird dem Benutzer in einer Meldung mitgeteilt, daß die beiden Codes nicht übereinstimmen.

UNTIL/V2==FILECODE (DATEICODE)
Diese Zeile prüft die Bedingung der DO/UNTIL-Schleife, um festzustellen, ob der Text in der Variable V2 mit jenem in der Variable FILECODE (DATEICODE) übereinstimmt. Wird die Anweisung als falsch ausgewertet, wird die DO-Schleife erneut ausgeführt, so daß der Benutzer einen anderen Dateinamen auswählen kann. Wird die Anweisung als wahr ausgewertet, wird die Schleife beendet, und das Programm meldet, daß die Codes übereinstimmen. PC-DMIS kann dann mit dem Lesen aller Datenzeilen der angegebenen Datei fortfahren.


Lesen von Text bis zu einem Begrenzer

Display Menu Roadmap
Die Menüoption Lesen bis zu plaziert einen Befehl in das Bearbeitungsfenster, durch den während der Programmausführung der gesamte Text "bis zu" einem der gegebenen Begrenzer aus der angegebenen Datei gelesen wird. Der gesamte durch diesen Befehl gelesene Text wird in der angegebenen Zielvariable plaziert. Der Befehl stellt den Textlesevorgang ein, wenn PC-DMIS folgendes antrifft:

  • Definierte Begrenzer
  • Wagenrückläufe
  • Zeilenvorschubzeichen

Bei Erreichen des Dateiendes wird die Zielvariable auf "EOF" (End of File, Dateiende) gesetzt.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname> = DATEI/LESEN_BIS_ZU,<Dateizeigername>,<Begrenzer>
<Variablenname>
 Dies ist der Name der Zielvariablen.
<Dateizeigername>
 Der beim Öffnen der Datei für den Dateizeiger angegebene Name.
<Begrenzer>
 Dies ist eine Zeichenfolge mit Null oder mehr Begrenzungszeichen.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster, indem Sie Bearbeitungsfenster wählen.
  2. Setzen Sie den Cursor auf den Befehl DATEI/LESEN.
  3. Drücken Sie F9. Das Dialogfeld Datei I/O wird geöffnet.

In dem nun eingeblendeten Dialogfeld:

  1. Geben Sie in das Feld Variablen-ID den Namen der Variablen ein, welche die eingelesenen Informationen aufnehmen wird.
  2. Geben Sie in das Feld Dateizeiger-ID den Namen des Dateizeigers ein.
  3. Geben Sie in das Feld Text den Begrenzer ein (der von Ihnen ausgewählte Begrenzer muß in Anführungszeichen gesetzt werden).
  4. Klicken Sie auf OK.

Siehe auch:

Beispielcode für "Lesen bis zu"


Beispielcode für "Lesen bis zu"

Beispiel: Angenommen, im Verzeichnis c:\temp befindet sich eine Textdatei namens "muster.txt", deren erste Zeile folgende Informationen enthält.

root:x:0:0:root:/root:/bin/bash

So verwenden Sie den Befehl "Lesen bis zu" bei dieser Datei:

  1. Fügen Sie in das Bearbeitungsfenster einen DATEI/ÖFFNEN-Befehl ein.
  2. Wählen Sie einen beliebigen Dateizeigernamen aus, um den Datei/Öffnen-Befehl zu benennen. In diesem Beispiel wird als Dateizeigername "Muster" verwendet.

Der Datei/Öffnen-Befehl sollte in etwa folgendermaßen aussehen:

MUSTER     =DATEI/ÖFFNEN,C:\TEMP\MUSTER.TXT,LESEN

Sie können nun mit den "Lesen bis zu"-Befehlen von PC-DMIS Variablen definieren, durch die unterschiedliche Datensegmente aufgerufen werden. Im folgenden Beispiel suchen folgende Variablen nach einem ":" als Begrenzer (ohne die Anführungszeichen).

BENUTZERNAME   =DATEI/LESEN_BIS_ZU,MUSTER,:
KENNWORT   =DATEI/LESEN_BIS_ZU,MUSTER,:
BENUTZER       =DATEI/LESEN_BIS_ZU,MUSTER,:

Wenn PC-DMIS diese Zeilen ausführt, wird folglich folgendes festgelegt:

Benutzername = root
Kennwort = x
Benutzer = 0

Über einen Bedienerkommentar wie im folgenden Beispiel können Sie veranlassen, daß diese Ergebnisse während der Ausführung auf dem Bildschirm angezeigt werden:

KOMMENTAR/BEDIENER,Aus Muster.txt wird folgender Text eingelesen
,Benutzername:
,BENUTZERNAME
,Kennwort:
,KENNWORT
,Benutzer:
,BENUTZER


Schreiben eines Zeichens in eine Datei

Display Menu Roadmap
Die Menüoption Zeichen schreiben fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung ein Einzelzeichen in eine Datenträgerdatei ausgegeben wird.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Zeichen_schreiben,<Dateizeigername>,<Ausdruck>
<Dateizeigername> | Der Name des Dateizeigers, der beim Öffnen der Datei angegeben wird.
<Ausdruck> | Das in die Datei zu schreibende Zeichen. Wenn die Auswertung des Ausdrucks mehr als ein Zeichen ergibt, wird lediglich das erste Zeichen geschrieben.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Zeichen schreiben".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Zeichen schreiben"


Beispielcode für "Zeichen schreiben"

Sehen Sie sich den folgenden Code an, der eine vom Benutzer vorgegebene Zeichenfolge jeweils pro Zeichen in eine Datendatei schreibt.

C1=KOMMENTAR/EINGABE,Geben Sie den Namen der Datei ein, in
,die geschrieben werden soll (einschl. des vollständigen Pfads).
FPTR=DATEI/ÖFFNEN,C1.EINGABE,SCHREIBEN
C2=KOMMENTAR/EINGABE,Geben Sie einen Text ein, der an die Datei gesendet werden soll.
,Dadurch wird die Zeichenfolge zeichenweise
,an die Datei gesendet.
ZUWEISEN/ZÄHLER = 0
ZUWEISEN/LÄNGE = LEN(C2.EINGABE)
DO/
ZUWEISEN/WRITETHIS = SYMMETRIEPKT(C2.EINGABE,ZÄHLER,1)
DATEI/ZEICH_SCHREIBEN,FPTR,WRITETHIS
ZUWEISEN/ZÄHLER = ZÄHLER + 1
UNTIL/ZÄHLER == LÄNGE

Erläuterung des Codes

Teilweise entspricht dieser Code dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Hier wird nur Code erläutert, der sich von diesem unterscheidet.

FPTR=DATEI/ÖFFNEN,C1.EINGABE,SCHREIBEN
Diese Zeile öffnet die im Kommentar C1 angegebene Datei zum Schreiben und weist sie dem Dateizeiger FTPR zu. Alle Daten in dieser Datei werden überschrieben, wenn der Dateizeiger auf den Anfang der Datei zeigt.

ZUWEISEN/ZÄHLER = 0
Diese Zeile weist der benutzerdefinierten Variable ZÄHLER den Wert 0 zu. Sie wird für die Schleifen verwendet, um die Zeichenfolge jeweils pro Zeichen auszugeben.

ZUWEISEN/LÄNGE = LEN(C2.EINGABE)
Diese Zeile verwendet die Funktion LÄNGE( ), um die Länge einer Zeichenfolge auszugeben. Diese Funktion verwendet einen Parameter, die Zeichenfolge. Sie zählt die Anzahl der Zeichen in der Zeichenfolge (einschl. Leerzeichen) und gibt diese Anzahl in Form eines Ganzzahlwerts aus. In diesem Fall enthält die benutzerdefinierte Variable LÄNGE diesen Wert.

DO/
Diese Zeile beginnt eine DO/UNTIL-Schleife. Der Code zwischen der DO- und der UNTIL-Anweisung wird ausgeführt, bis die Schleifenbedingung als wahr ausgewertet wird.

ZUWEISEN/WRITETHIS = SYMMETRIEPKT(C2.EINGABE,ZÄHLER,1)
Diese Zeile erstellt eine benutzerdefinierte Variable namens WRITETHIS und verwendet die Funktion SYMMETRIEPKT( ), um ein Zeichen der Zeichenfolge C2.EINGABE an WRITETHIS auszugeben. SYMMETRIEPKT( ) verwendet drei Parameter.

  • Parameter 1: Die Zeichenfolge, aus der Werte abgerufen werden. In diesem Fall wird C2.EINGABE verwendet.
  • Parameter 2: Die Position in der Zeichenkette, an der das Zeichen entnommen wird. Das erste Zeichen in einer Zeichenfolge befindet sich an Position 0, das zweite an Position 1, das dritte an Position 2 usw. In diesem Fall wird die Variable ZÄHLER verwendet.
  • Parameter 3: Die Anzahl der Zeichen ab der Position des zweiten Parameters, die übernommen werden sollen. In diesem Fall wird der Wert 1 verwendet. (Da das Beispiel immer nur ein Zeichen schreibt, gibt es keinen Grund, mehr Zeichen zu übernehmen.)

DATEI/ZEICH_SCHREIBEN,FPTR,WRITETHIS
Diese Zeile schreibt das in der Variable WRITETHIS gespeicherte Zeichen in die Datei, die durch den Dateizeiger FPTR angegeben wird.

ZUWEISEN/COUNT (ANZAHL) = COUNT (ANZAHL) + 1
Diese Zeile nimmt den aktuellen Wert aus ZÄHLER, erhöht ihn um 1 und plaziert dann den neuen Wert wieder in ZÄHLER.

UNTIL/ZÄHLER == LÄNGE
Diese Zeile testet die Bedingung der DO/UNTIL-Schleife. In diesem Fall erhöht die Schleife die Variable ZÄHLER so lange, bis diese denselben Wert aufweist wie die Variable LÄNGE. Dann werden die Schleife und das Programm beendet.


Schreiben einer Zeile in eine Datei

Display Menu Roadmap
Die Menüoption Zeile schreiben fügt einen Befehl in das Bearbeitungsfenster ein, durch den eine Textzeile während der Ausführung in eine Datenträgerdatei ausgegeben wird. Zur Ausgabe der Variablen und Werkstückprogramm-Daten in eine Datei sollten Sie die Ausdrucksyntax verwenden. An den in die Datei geschriebenen Text wird automatisch ein Wagenrücklauf angefügt.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Zeile_schreiben,<Dateizeigername>,<Ausdruck>
<Dateizeigername> | Der Name des Dateiverweises, der beim Öffnen der Datei angegeben wird.
<Ausdruck> | Der in die Datei zu schreibende Text. In diesem Feld können Ausdrücke verwendet werden.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Zeile schreiben".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Zeile schreiben"


Beispielcode für "Zeile schreiben"

Angenommen, Sie möchten einige gemessene XYZ-Werte in eine Datendatei exportieren. Der folgende Code ermöglicht Ihnen die Eingabe eines Elementetiketts und einer Datendatei und das anschließende Senden der X-,Y- und Z-Daten für dieses Element an eine Datendatei.

C1=KOMMENTAR/EINGABE,Geben Sie die Beschriftung des
,zu verwendenden Elements ein.
C2=KOMMENTAR/EINGABE,Geben Sie den Namen der Datei ein, in
,die geschrieben werden soll (einschl. des vollständigen Pfads).
FPTR=DATEI/ÖFFNEN,C2.EINGABE,ANHÄNGEN
ZUWEISEN/ELEMENTNAME = C1.EINGABE
ZUWEISEN/ALLVALS (ALLE_WERTE) = ELEMENTNAME.X + "," + ELEMENTNAME.Y + "," + ELEMENTNAME.Z
KOMMENTAR/BEDIENER,"Der zu schreibende Text lautet: " + ALLVALS (ALLE_WERTE)
DATEI/ZEILE_SCHREIB,FPTR,ALLVALS (ALLE_WERTE)
DATEI/SCHLIESSEN,FPTR

Erläuterung des Codes

Teilweise entspricht dieser Code dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Hier wird nur Code erläutert, der sich von diesem unterscheidet.

FPTR=DATEI/ÖFFNEN,C2.EINGABE,ANHÄNGEN
Diese Zeile öffnet die im Kommentar C2 angegebene Datei zum Anhängen und weist sie dem Dateizeiger FTPR zu. Wenn Sie ANHÄNGEN in SCHREIBEN ändern, wird der vorhandene Inhalt der Datendatei überschrieben.

ZUWEISEN/ELEMENTNAME = C1.EINGABE
Diese Zeile weist der benutzerdefinierten Variable ELEMENTNAME die Zeichenfolge des Elementetiketts aus C1.EINGABE zu.

ZUWEISEN/ALLVALS (ALLE_WERTE)=ELEMENTNAME.X+","+ELEMENTNAME.Y+","+ELEMENTNAME.Z
Diese Zeile gibt der benutzerdefinierten Variable ALLVALS (ALLE_WERTE) den Wert von ELEMENTNAME.X,ELEMENTNAME.Y,ELEMENTNAME.Z. Das heißt, sie enthält nun die X-, Y- und Z-Werte des Elementsprungmarke, das im Eingabekommentar C1 eingegeben wurde.

DATEI/ZEILE_SCHREIB,FPTR,ALLVALS (ALLE_WERTE)
Diese Zeile schreibt die Werte aus ALLVALS (ALLE_WERTE) in die vom Dateizeiger FTPR angegebene Datei.


Schreiben eines Textblocks in eine Datei

Display Menu Roadmap
Die Menüoption Block schreiben fügt einen Befehl in das Bearbeitungsfenster ein, durch den ein Textblock während der Ausführung in eine Datenträgerdatei ausgegeben wird. Zur Ausgabe der Variablen und Werkstückprogramm-Daten in eine Datei sollten Sie die Ausdrucksyntax verwenden. Im Gegensatz zum Befehl "Zeile schreiben" wird beim Befehl "Block schreiben" kein Wagenrücklauf am Ende angehängt.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Block_schreib,<Dateizeigername>,<Ausdruck>
<Dateizeigername> | Der Name des Dateiverweises, der beim Öffnen der Datei angegeben wird.
<Ausdruck> | Der in die Datei zu schreibende Text. In diesem Feld können Ausdrücke verwendet werden.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Block schreiben".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Block schreiben"


Beispielcode für "Block schreiben"

Der folgende Code schreibt jeden beliebigen Text, den der Benutzer eingibt, in einen Eingabekommentar und hängt dann einen Doppelpunkt als Begrenzer an.

C1=KOMMENTAR/EINGABE,Geben Sie eine Zeichenfolge ein. PC-DMIS hängt dann einen ,Doppelpunkt (als Begrenzer) an die Zeichenfolge an, und schreibt sie in ,eine Datei Ihrer Wahl.
C2=KOMMENTAR/EINGABE,Geben Sie den Namen der Datei ein, in
,die geschrieben werden soll (einschl. des vollständigen Pfads).
FPTR=DATEI/ÖFFNEN,C2.EINGABE,ANHÄNGEN
ZUWEISEN/WRITETHIS  = C1.EINGABE + ":"
KOMMENTAR/BEDIENER,"Der zu schreibende Text lautet: " + WRITETHIS
DATEI/ZEILE_SCHREIB,FPTR,WRITETHIS
DATEI/SCHLIESSEN,FPTR

Erläuterung des Codes

Teilweise entspricht dieser Code dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Hier wird nur Code erläutert, der sich von diesem unterscheidet.

FPTR=DATEI/ÖFFNEN,C2.EINGABE,ANHÄNGEN
Diese Zeile öffnet die im Kommentar C2 angegebene Datei zum Anhängen und weist sie dem Dateizeiger FTPR zu.

ZUWEISEN/WRITETHIS = C1.EINGABE + ":"
Diese Zeile hängt einen Doppelpunkt an den Text in C1.EINGABE an und weist die neue Zeichenfolge der benutzerdefinierten Variable WRITETHIS zu.

DATEI/ZEILE_SCHREIB,FPTR,WRITETHIS
Diese Zeile schreibt die Werte aus WRITETHIS in die vom Dateizeiger FTPR angegebene Datei. Später können Sie Text aus dieser Datei einlesen und dabei den Doppelpunkt als Begrenzer verwenden.


Positionieren eines Dateizeigers am Anfang einer Datei

Display Menu Roadmap
Die Menüoption Zum Start zurück fügt einen Befehl im Bearbeitungsfenster ein, der den Dateizeiger am Anfang des Dateistroms positioniert.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Rücklauf,<Dateizeigername>
<Dateizeigername> Der Name des Dateizeigers zur Neupositionierung am Anfang der Datei

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Zum Start zurück".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Zum Start zurück"


Beispielcode für "Zum Start zurück"

Sehen Sie sich dieses Beispiel an, das Daten aus einer externen Datei zeilenweise einliest. Nach jeder Zeile haben Sie die Möglichkeit, von vorne zu beginnen und den Anfang der Datei einzulesen. Das Beispiel beschreibt die Verwendung des Befehls DATEI/RÜCKLAUF.

C1=KOMMENTAR/EINGABE,Geben Sie eine Datei ein, aus der gelesen werden soll.
,(Vollständigen Pfad angeben.)
V1=DATEI/VORHANDEN,C1.EINGABE
IF/V1<>0
DO/
FPTR=DATEI/ÖFFNEN,C1.EINGABE,LESEN
C2=KOMMENTAR/JANEIN,Möchten Sie mit dem Einlesen am Dateianfang beginnen?
IF/C2.EINGABE == "JA"
DATEI/RÜCKLAUF,FPTR
END_IF/
V2=DATEI/ZEILE_LESEN,FPTR,{ZEILE}
KOMMENTAR/BEDIENER,"Die aktuelle Zeile lautet: " + ZEILE
UNTIL/V2=="EOF"
END_IF/
DATEI/SCHLIESSEN,FPTR
KOMMENTAR/BEDIENER,Das Programm wird beendet.

Erläuterung des Codes

Teilweise entspricht dieser Code dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Hier wird nur Code erläutert, der sich von diesem unterscheidet.

C2=KOMMENTAR/JANEIN
Diese Zeile fragt, ob Sie mit dem Lesen am Dateianfang beginnen möchten. Die JA/NEIN-Antwort wird in der Variable C2.EINGABE gespeichert.

IF/C2.EINGABE == "JA"
Diese Zeile beginnt einen IF/END IF-Block. Sie testet die Bedingung der Variable C2.EINGABE, die den Wert JA enthält. Ist die Bedingung wahr, führt PC-DMIS die Zeilen nach der IF-Anweisung aus. Ist die Bedingung falsch, führt PC-DMIS die Zeilen nach der END_IF-Anweisung aus.

DATEI/RÜCKLAUF,FPTR
Diese Zeile setzt den Dateizeiger wieder an den Anfang der Datei.

END_IF/
Diese Zeile beendet den IF/END IF-Codeblock.


Speichern der aktuellen Position eines Dateizeigers

Display Menu Roadmap
Die Menüoption Dateiposition speichern fügt einen Befehl im Bearbeitungsfenster ein, durch den die aktuelle Position eines Dateizeigers innerhalb des Dateistroms gespeichert wird. Die Speicherposition kann später über den Befehl "Dateiposition abrufen" erneut abgerufen werden.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Position_speichern,<Dateizeigername>
<Dateizeigername> Der Name des Dateizeigers, dessen Dateiposition gespeichert wird.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Dateiposition speichern".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Dateiposition speichern"


Beispielcode für "Dateiposition speichern"

Sehen Sie sich dieses Beispiel an, das Daten aus einer externen Datei zeilenweise einliest. Nach jeder Zeile haben Sie die Möglichkeit, die Dateiposition zu speichern und später wieder aufzurufen. Das Beispiel beschreibt die Verwendung des Befehls DATEI/POS_SPEICHERN.

C1=KOMMENTAR/EINGABE,Geben Sie eine Datei ein, aus der gelesen werden soll.
,(Vollständigen Pfad angeben.)
V1=DATEI/VORHANDEN,C1.EINGABE
IF/V1<>0
DO/
FPTR=DATEI/ÖFFNEN,C1.EINGABE,LESEN
C2=KOMMENTAR/JANEIN,Möchten Sie die Dateiposition speichern und später aufrufen? Die Schleife wird beendet.
IF/C2.EINGABE == "JA"
DATEI/POS_SPEICHERN,FPTR
GOTO/QUITLOOP (SCHLEIFE_BEENDEN)
END_IF/
V2=DATEI/ZEILE_LESEN,FPTR,{ZEILE}
KOMMENTAR/BEDIENER,"Die aktuelle Zeile lautet: " + ZEILE
UNTIL/V2=="EOF"
END_IF/
DATEI/SCHLIESSEN,FPTR
QUITLOOP (SCHLEIFE_BEENDEN)=MARKE/
KOMMENTAR/BEDIENER,Der Lesevorgang wurde beendet.
PROGRAMM/ENDE

Erläuterung des Codes

Dieser Code entspricht dem Code, der unter "Beispielcode für 'Zum Start zurück'" beschrieben wird.

Hier wird nur der Code erläutert, der sich von diesem unterscheidet.

C2=KOMMENTAR/JANEIN
Diese Zeile fragt, ob Sie die aktuelle Dateiposition speichern und die Schleife beenden möchten. Die JA/NEIN-Antwort wird in der Variablen C2.EINGABE gespeichert.

DATEI/POS_SPEICHERN,FPTR
Diese Zeile speichert die Position des Dateizeigers im Dateistrom.

Wenn Sie die Datei mit demselben Dateizeigernamen und im selben Werkstückprogramm wieder öffnen, können Sie eine gespeicherte Dateiposition aufrufen und von dort aus weiterlesen. Eine Fortsetzung dieses Beispiels finden Sie unter "Beispielcode für 'Dateiposition aufrufen'".


Aufrufen der gespeicherten Position eines Dateizeigers

Display Menu Roadmap
Die Menüoption Dateiposition abrufen fügt einen Befehl im Bearbeitungsfenster ein, durch den eine zuvor gespeicherte Dateiposition abgerufen wird. Verwenden Sie den Befehl Dateiposition speichern, um eine Position in einer geöffneten Datei zu speichern.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Position_abrufen, <Dateizeigername>
<Dateizeigername> Der Name des Dateizeigers, dessen Position abgerufen wird.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl Dateiposition abrufen.
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Dateiposition speichern"


Beispielcode für "Dateiposition abrufen"

In diesem Beispiel wird eine zuvor gespeicherte Datei geöffnet, ein vorhandener Dateizeiger verwendet und die gespeicherte Position des Dateizeigers abgerufen. Anschließend werden die Daten aus dieser Position eingelesen. Dieser Code beschreibt die Verwendung des Befehls DATEI/POS_AUFRUFEN und stellt eine Fortsetzung des Beispielcodes unter "Beispielcode für 'Dateiposition abrufen'" dar.

KOMMENTAR/BEDIENER,Das Programm ruft nun die gespeicherte Dateiposition auf.
FPTR=DATEI/ÖFFNEN,C1.EINGABE,LESEN
DATEI/RÜCKLAUF,FPTR
KOMMENTAR/BEDIENER,Die Datei wurde zum Testen zurückgespult.
,Zum Testen des Rücklaufs wird nun die erste Zeile eingelesen.
V3=DATEI/ZEILE_LESEN,FPTR,{ZEILE}
KOMMENTAR/BEDIENER,Die aktuelle Zeile lautet:
,ZEILE
DATEI/RÜCKLAUF,FPTR
DATEI/POS_AUFRUFEN,FPTR
KOMMENTAR/BEDIENER,Die zuvor gespeicherte Dateiposition wurde aufgerufen.
,Die Daten der Zeile an der gespeicherten Position werden nun ausgegeben.
V4=DATEI/ZEILE_LESEN,FPTR,{GESPEICHERT}
KOMMENTAR/BEDIENER,Der Text an der gespeicherten Position lautet:
,GESPEICHERT

Erläuterung des Codes

Dieser Code entspricht dem Code, der unter "Beispielcode für 'Zum Start zurück'" beschrieben wird.

Hier wird nur der Code erläutert, der sich von diesem unterscheidet.

DATEI/POS_AUFRUFEN,FPTR
Diese Zeile ruft die gespeicherte Dateizeigerposition im Dateistrom für den Dateizeiger FPTR auf.

V4=DATEI/ZEILE_LESEN,FPTR,{GESPEICHERT}
Diese Zeile liest die nächste Zeile nach der gespeicherten Dateizeigerposition ein und weist sie der benutzerdefinierten Variable GESPEICHERT zu. Die Variable wird dann im nächsten Bedienerkommentar ausgegeben.


Kopieren einer Datei

Display Menu Roadmap
Die Menüoption Datei kopieren fügt einen Befehl in das Bearbeitungsfenster ein, durch den ein Dateikopiervorgang während der Ausführung veranlaßt wird.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Kopieren,<Quelldateiname>,<Zieldateiname>,<Ersetzen-Modus>
<Quelldateiname> | Der Name der Quelldatei (Datei, aus der kopiert wird)
<Zieldateiname> | Der Name der Zieldatei (Datei, in die kopiert wird)
<Ersetzen-Modus> | Die zu treffende Maßnahme, wenn die Zieldatei bereits existiert. Wenn das Ziel bereits existiert, lauten die beiden Modi "Überschreiben" und "Fehler".

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Datei kopieren".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Datei kopieren"


Beispielcode für "Datei kopieren"

Der folgende Code fragt nach der zu kopierenden Datei sowie nach einem Zielverzeichnis und der Datei, in die kopiert werden soll.

C1=KOMMENTAR/EINGABE,Geben Sie die zu kopierende Datei ein.
,(Vollständigen Dateipfad angeben.)
C2=KOMMENTAR/EINGABE,Geben Sie einen Namen für die Zieldatei ein.
,(Vollständigen Dateipfad angeben.)
V1=DATEI/VORHANDEN,C1.EINGABE
IF/V1<>0
KOMMENTAR/BEDIENER,Die zu kopierende Datei ist vorhanden. Der Kopiervorgang beginnt.
DATEI/KOPIEREN,C1.EINGABE,C2.EINGABE,FEHLER_WENN_ZIEL_VORHANDEN
V2=DATEI/VORHANDEN,C2.EINGABE
IF/V2==0
KOMMENTAR/BEDIENER,"Die Datei ist nicht vorhanden in: " + C2.EINGABE
,Kopiervorgang beendet.
PROGRAMM/ENDE
END_IF/
ELSE/
KOMMENTAR/BEDIENER,Kopiervorgang abgeschlossen.
PROGRAMM/ENDE
END_ELSE/
END_IF/
KOMMENTAR/BEDIENER,Die zu kopierende Datei ist nicht vorhanden.

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Hier wird nur der Code erläutert, der sich von diesem unterscheidet.

C1=KOMMENTAR/EINGABE
Diese Zeile nimmt den vollständigen Pfad der zu kopierenden Datei und plaziert ihn in der Variable C1.EINGABE.

C2=KOMMENTAR/EINGABE
Diese Zeile nimmt den vollständigen Pfad der Zieldatei und plaziert ihn in der Variable C2.EINGABE.

DATEI/KOPIEREN,C1.EINGABE,C2.EINGABE,FEHLER_WENN_ZIEL_VORHANDEN
Diese Zeile kopiert die Originaldatei in eine Zieldatei. Dieser Befehl verwendet drei Parameter.

  • Parameter 1 ist C1.EINGABE. Dies ist der vollständige Pfad zur Datei, die kopiert werden soll.
  • Parameter 2 ist C2.EINGABE oder der vollständige Pfad zur Zieldatei.
  • Parameter 3 bricht in diesem Fall den DATEI/KOPIEREN-Vorgang ab, wenn bereits eine Datei mit demselben Zieldateinamen vorhanden ist. Sie können diesen Parameter so einstellen, daß eine vorhandene gleichnamige Datei überschrieben wird.


Verschieben einer Datei

Display Menu Roadmap
Die Menüoption Datei verschieben fügt einen Befehl in das Bearbeitungsfenster ein, durch den ein Dateiverschiebungsvorgang während der Ausführung veranlaßt wird.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Verschieben,<alterDateiname>,<neuerDateiname>
<alterDateiname> | Die Speicherposition und der Name der Datei
<neuerDateiname> | Die neue Speicherposition und der Name der Datei

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Datei verschieben".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Datei verschieben"


Beispielcode für "Datei verschieben"

Der folgende Code fragt nach der zu verschiebenden Datei, nach dem Zielverzeichnis und dem Namen der Zieldatei und führt dann die Dateiverschiebung durch.

C1=KOMMENTAR/EINGABE,Geben Sie die zu verschiebende Datei ein.
,(Vollständigen Dateipfad angeben.)
C2=KOMMENTAR/EINGABE,Geben Sie einen Namen für die Zieldatei ein.
,(Vollständigen Dateipfad angeben.)
V1=DATEI/VORHANDEN,C1.EINGABE
IF/V1<>0
KOMMENTAR/BEDIENER,Die zu verschiebende Datei ist vorhanden. Die Dateiverschiebung beginnt.
DATEI/VERSCHIEBEN,C1.EINGABE,C2.EINGABE
V2=DATEI/VORHANDEN,C2.EINGABE
IF/V2==0
KOMMENTAR/BEDIENER,"Die Datei ist nicht vorhanden in: " + C2.EINGABE
,Die Verschiebung wurde nicht ordnungsgemäß durchgeführt.
PROGRAMM/ENDE
END_IF/
ELSE/
KOMMENTAR/BEDIENER,Verschiebungsvorgang abgeschlossen.
PROGRAMM/ENDE
END_ELSE/
END_IF/
KOMMENTAR/BEDIENER,Die Originaldatei ist nicht vorhanden. Versuchen Sie es erneut.

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Datei kopieren'" erläutert wird.

Hier wird nur der Code erläutert, der sich von diesem unterscheidet.

DATEI/VESCHIEBEN,C1.EINGABE,C2.EINGABE
Diese Zeile kopiert die Originaldatei in eine Zieldatei. Dieser Befehl verwendet zwei Parameter.

  • Parameter 1 ist C1.EINGABE. Dies ist der vollständige Pfad zu der zu verschiebenden Datei.
  • Parameter 2 ist C2.EINGABE oder der vollständige Pfad zur Zieldatei.


Löschen einer Datei

Display Menu Roadmap
Die Menüoption Datei löschen fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung eine Datei gelöscht wird.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

Datei/Löschen,<Dateiname>
<Dateiname> Der Name der zu löschenden Datei.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Datei löschen".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Datei löschen"


Beispielcode für "Datei löschen"

Der folgenden Code fragt nach einem Dateinamen und löscht dann die Datei.

C1=KOMMENTAR/EINGABE,Geben Sie die zu löschende Datei ein.
,(Vollständigen Dateipfad angeben.)
V1=DATEI/VORHANDEN,C1.EINGABE
IF/V1<>0
KOMMENTAR/BEDIENER,Die Datei ist vorhanden. Bereit für den Löschvorgang.
DATEI/LÖSCHEN,C1.EINGABE
V2=DATEI/VORHANDEN,
IF/V2==0
KOMMENTAR/BEDIENER,Die Datei wurde gelöscht.
PROGRAMM/ENDE
END_IF/
ELSE/
KOMMENTAR/BEDIENER,Die Datei ist noch vorhanden.
PROGRAMM/ENDE
END_ELSE/
END_IF/
KOMMENTAR/BEDIENER,Die zu löschende Datei ist nicht vorhanden. Wählen Sie eine vorhandene Datei aus.

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Datei verschieben'" erläutert wird.

Hier wird nur der Code erläutert, der sich von diesem unterscheidet.

DATEI/LÖSCHEN,C1.EINGABE
Diese Zeile löscht die angegebene Datei. Dieser Befehl verwendet einen Parameter, den Namen der zu löschenden Datei. In diesem Fall ist dies C1.EINGABE.


Prüfen des Vorhandenseins einer Datei

Display Menu Roadmap
Die Menüoption Datei existiert fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung das Vorhandensein einer Datei überprüft und die angegebene Variable auf das Ergebnis gesetzt wird.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname> = Datei/Vorhanden,<Dateiname>
<Dateiname> | Der Name der Datei, die daraufhin überprüft wird, ob sie bereits auf dem Datenträger existiert
<Variablenname> | Der Name der Variablen, die auf das Ergebnis der durchgeführten Prüfung gesetzt wird. Die Variable wird auf den Wert 1 gesetzt, wenn die Datei existiert und auf 0, wenn sie nicht existiert.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl "Datei existiert".
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Datei existiert"


Beispielcode für "Datei existiert"

Der folgenden Code fragt nach einem Dateinamen und prüft dann, ob die Datei vorhanden ist.

C1=KOMMENTAR/EINGABE,Geben Sie die zu überprüfende Datei ein.
V1=DATEI/VORHANDEN,C1.EINGABE
IF/V1<>0
KOMMENTAR/BEDIENER,Die Datei ist vorhanden.
END_IF/
KOMMENTAR/BEDIENER,"Die Datei ist nicht vorhanden.

Erläuterung des Codes

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Hier wird nur der Code erläutert, der sich von diesem unterscheidet.

V1=DATEI/VORHANDEN,C1.EINGABE
Diese Zeile überprüft, ob die angegebene Datei vorhanden ist. Die Datei muß sich im Verzeichnis befinden, in dem PC-DMIS installiert ist, damit dieser Code funktioniert. Andernfalls muß die Zeile, welche die Datei enthält, auch den vollständigen Pfad der Datei enthalten. V1 erhält das Ergebnis der Dateiprüfung. Ist die Datei vorhanden, ist der Wert ungleich Null. Andernfalls lautet er 0.


Anzeigen eines Dateidialogfelds

Display Menu Roadmap
Die Menüoption Dateidialogfeld fügt einen Befehl in das Bearbeitungsfenster ein, bei dessen Ausführung ein Dateidialogfeld zur Kontrolle eingeblendet wird. In diesem Dateidialogfeld kann der Bediener des Werkstückprogramms einen Dateinamen während der Programmausführung auswählen. Der Name der gewählten Datei wird in der angegebenen Variable gespeichert.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

<Variablenname> = Datei/Dialogfeld,<Ausdruck>
<Variablenname> | Der Name der Variablen, die auf den Namen der Datei, die der Benutzer im Dateidialogfeld gewählt hat, gesetzt wird.
<Ausdruck> | Der Text, der in der Titelleiste des Dateidialogfelds erscheint.

So rufen Sie das mit diesem Datei I/O-Befehl verknüpfte Dialogfeld auf:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Setzen Sie den Cursor auf den Befehl Dateidialogfeld.
  3. Drücken Sie F9.

Siehe auch:

Beispielcode für "Dateidialogfeld"


Beispielcode für "Dateidialogfeld"

Der folgende Code zeigt ein Dialogfeld an, in dem Sie eine zu löschende Datei auswählen können.

V1=DATEI/DIALOGFELD,Zu löschende Datei auswählen
V2=DATEI/VORHANDEN,V1
IF/V2<>0
KOMMENTAR/BEDIENER,Die Datei ist vorhanden. Bereit für den Löschvorgang.
DATEI/LÖSCHEN,V1
V3=DATEI/VORHANDEN,
IF/V3==0
KOMMENTAR/BEDIENER,Die Datei wurde gelöscht.
PROGRAMM/ENDE
END_IF/
ELSE/
KOMMENTAR/BEDIENER,Die Datei ist noch vorhanden.
PROGRAMM/ENDE
END_ELSE/
END_IF/
KOMMENTAR/BEDIENER,Die zu löschende Datei ist nicht vorhanden. Wählen Sie eine vorhandene Datei aus.

Dieser Code entspricht weitgehend dem Code, der unter "Beispielcode für 'Zeichen lesen'" oder unter "Beispielcode für 'Zeile lesen'" erläutert wird.

Hier wird nur der Code erläutert, der sich von diesem unterscheidet.

V1=DATEI/DIALOGFELD,Zu löschende Datei auswählen
Diese Zeile zeigt ein Dialogfeld mit dem Titel "Zu löschende Datei auswählen" an. Darin können Sie nach einer Datei suchen, und wenn Sie auf Öffnen klicken, übergibt PC-DMIS den vollständigen Dateipfad der ausgewählten Datei an V1. Der Rest des Programms löscht die ausgewählte Datei.


Prüfen auf das Ende einer Datei oder Ende einer Zeile

In PC-DMIS können Sie das Ende einer Datei prüfen, indem Sie die Funktion EOF oder EOL in einer Bedingungsprüfung verwenden.

EOF steht für END OF FILE (ENDE DER DATEI). Diese Funktion verwendet einen Dateizeiger mit einer Zeichenfolge. Wird die Funktion richtig innerhalb der Bedingungsanweisung plaziert, prüft sie den Dateizeiger daraufhin, ob er das Ende der angegebenen Datei erreicht hat. In diesem Fall gibt die Funktion "wahr" wieder.

EOL steht für END OF LINE (ENDE DER ZEILE). Diese Funktion verwendet einen Dateizeiger mit einer Zeichenfolge. Wird die Funktion richtig innerhalb der Bedingungsanweisung plaziert, prüft sie den Dateizeiger daraufhin, ob er das Zeilenende in der angegebenen Datei erreicht hat. In diesem Fall gibt die Funktion "wahr" wieder. Diese Funktion eignet sich am besten für eine Schleife.

Die im Bearbeitungsfenster angezeigte Befehlssyntax lautet:

EOF(<Dateizeiger>) oder EOL(<Dateizeiger>)

<Dateizeiger> Der Name des Dateizeigers, der geprüft wird.

Siehe auch:

Beispielcode für "EOF" und "EOL"


Beispielcode für "EOF" und "EOL"

Der folgenden Code öffnet eine Datei namens test.txt und liest die Datei durch. Solange das Ende der Datei (das durch den Code WHILE/!EOF gekennzeichnet ist) nicht erreicht wurde, liest PC-DMIS die Datei zeichenweise durch, und weist V1 ein Zeichen zu.

Hat PC-DMIS das Ende einer Zeile in dieser Datei erreicht, wird das letzte Zeichen dieser Zeile angezeigt.

Dieser Vorgang wird solange wiederholt, bis PC-DMIS das Dateiende erreicht hat. PC-DMIS blendet dann den Text "Dateiende erreicht..." ein.

FPTR=DATEI/ÖFFNEN,C:\PCDMIWS\TEST.TXT,LESEN
WHILE/!EOF("FPTR")
V2=DATEI/ZEICH_LESEN,FPTR
IF/!EOF("FPTR")
KOMMENTAR/BEDIENER,"Zeilenende erreicht. Das letzte Zeichen lautet:"
,V1
END_IF/
END_WHILE/
KOMMENTAR/BEDIENER,"Dateiende erreicht..."


Using Expressions and Variables

Verwenden von Ausdrücken in einem Werkstückprogramm

Erstellen von Ausdrücken mit dem Ausdruckerstellungsprogramm

Verwenden von Variablen mit Ausdrücken

Ausdruckskomponenten


Verwenden von Ausdrücken und Variablen: Einführung

Ausdrücke spielen eine wichtige Rolle, wenn Sie bestimmte Aufgaben durch PC-DMIS ausführen lassen möchten. Durch die Verwendung von Ausdrücken in Verbindung mit Befehlen zur Programmablaufsteuerung können Sie die leistungsstarken Funktionen von PC-DMIS noch besser nutzen.

Dieser Abschnitt beschreibt, wie Sie Ausdrücke im Bearbeitungsfenster von PC-DMIS erstellen und verwenden können. Beim Arbeiten mit Ausdrücken sollten Sie das Bearbeitungsfenster von PC-DMIS in den Befehlsmodus versetzen. Dadurch können Sie den Code im Bearbeitungsfenster direkt einsehen.

Dieser Abschnitt umfaßt die folgenden Themen:

  • Verwenden von Ausdrücken in einem Werkstückprogramm
  • Erstellen von Ausdrücken mit dem Ausdruckerstellungsprogramm
  • Verwenden von Variablen mit Ausdrücken
  • Ausdruckskomponenten


Verwenden von Ausdrücken in einem Werkstückprogramm

Im Bearbeitungsfenster von PC-DMIS können in den meisten editierbaren Feldern Ausdrücke verwendet werden. Bei editierbaren Feldern handelt es sich in der Regel um die Felder, die gelb markiert werden, wenn Sie im Befehlsmodus des Bearbeitungsfensters die TAB-Taste drücken. In Feldern, die den Typ eines Elements ändern, sind keine Ausdrücke zulässig.

Beispiel: Im Feld eines Auto-Elements, das den Typ des automatischen Elements angibt (z.B. Oberflächenpunkt, Auto-Kreis, Auto-Langloch etc), sind keine Ausdrücke zulässig.

Die folgenden Unterthemen enthalten eine ausführliche Beschreibung der verfügbaren Ausdrücke.

Siehe auch:

Anzeigen von Ausdruckswerten

Nur Ausdruckswerte beibehalten

Verwenden von Ausdrücken mit Verzweigung

Verwenden von Ausdrücken bei Datei-Eingabe/Ausgabe


Anzeigen von Ausdruckswerten

Wenn Sie den Wert eines Ausdrucks sehen möchten, setzen Sie den Mauszeiger mindestens eine Sekunde lang über den Ausdruck. Der Ausdruck wird berechnet, und unmittelbar unterhalb des Mauszeigers wird ein Feld eingeblendet, das den Ausdruck und den ermittelten Wert anzeigt.


Nur Ausdruckswerte beibehalten

So lösen Sie einen Ausdruck im Bearbeitungsfenster sofort, so daß nur der Wert beibehalten wird:

  1. Markieren Sie den Ausdruckstext im Bearbeitungsfenster.
  2. Setzen Sie das Zeichen "`" (accent grave) vor den Ausdruckstext.

Beispiel: Sie geben den Ausdruck " `1/7 " in einem numerischen Feld ein. Der Ausdruck wird sofort gelöst, und nur der Wert (0,143) wird in das Feld übernommen.


Verwenden von Ausdrücken mit Verzweigung

Ablaufsteuerungsbefehle verwenden Ausdrücke, um den Ablauf eines Programms während der Ausführung zu bestimmen. Informationen dazu, wann ein Verzweigen möglich ist oder nicht, finden Sie im Abschnitt "Verzweigen mit Hilfe der Ablaufsteuerung".


Verwenden von Ausdrücken mit Datei-Eingabe/-Ausgabe

Beim Schreiben von Daten in eine externe Datendatei oder Lesen von Daten aus einer externen Datendatei werden häufig Variablen und andere Ausdrücke verwendet, um diese Daten effizient zu verwalten, zu speichern und anzuzeigen. Weitere Informationen hierzu finden Sie im Abschnitt "Verwenden der Datei-Eingabe/-Ausgabe".


Erstellen von Ausdrücken mit dem Ausdruckerstellungsprogramm

OK Cancel Description Area Edit Box Add Button Second Extension Extension ID Expression Element Type

In PC-DMIS können Sie im Bearbeitungsfenster über die Tastatur Ausdrücke erstellen, oder Sie können die komfortable Benutzeroberfläche des Dialogfelds Ausdruckerstellungsprogramm verwenden. Die Menüoption Ausdruck öffnet das Dialogfeld Ausdruckerstellungsprogramm. (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)

Display Menu Roadmap
In diesem Dialogfeld können Sie einen Ausdruck erstellen und in ein editierbares Feld einfügen. Das Dialogfeld Ausdruckerstellungsprogramm wird auch geöffnet, wenn der Cursor in einem Feld positioniert ist, in dem Ausdrücke zulässig sind, und Sie die Taste F2 drücken.

Dieses Dialogfeld enthält alle Operatoren und Funktionen, die in Ausdrücken zulässig sind.

Siehe auch:

Erstellen eines Ausdrucks über die Tastatur

Erstellen eines Ausdrucks mit dem Ausdruckerstellungsprogramm

Prüfen der Korrektheit des Ausdrucks

Typ des Ausdruckselements

ID

Erweiterung

Zweite Erweiterung

Schaltfläche "Hinzufügen"

Bearbeitungsfeld

Beschreibungsbereich


Erstellen eines Ausdrucks über die Tastatur

So erstellen Sie einen Ausdruck, indem Sie ihn über die Tastatur direkt in das Bearbeitungsfenster eingeben:

  1. Öffnen Sie das Bearbeitungsfenster.
  2. Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.
  3. Drücken Sie die TABULATORTASTE, um den Cursor in ein editierbares Feld zu setzen, in das Sie den Ausdruck einfügen möchten. Bei den editierbaren Feldern handelt es sich um die gelb markierten Felder.
  4. Geben Sie den Ausdruck ein.


Erstellen eines Ausdrucks mit dem Ausdruckerstellungsprogramm

So geben Sie mit dem Dialogfeld Ausdruckerstellungsprogramm einen Ausdruck ein:

  1. Öffnen Sie das Bearbeitungsfenster.
  5. Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.
  6. Setzen Sie den Cursor in ein editierbares Feld, in das Sie den Ausdruck einfügen möchten.
  7. Drücken Sie die Taste F2, wenn der Cursor in einem Feld positioniert ist, das Ausdrücke zuläßt. Es erscheint das Dialogfeld Ausdruckerstellungsprogramm. Dieses Dialogfeld enthält alle Typen von Operatoren, Operanden und Funktionen. Auf folgende Elemente kann über dieses Dialogfeld zugegriffen werden:
  • Verfügbare Ausdruckstypen
  • Variablen
  • Elemente
  • Merkmale
  • Ausrichtungen
  • Kommentare
  4. Wählen Sie den Typ des Ausdruckelements aus der ersten Auswahlliste aus. Je nach ausgewähltem Typ werden unterschiedliche Kombinationsfelder angezeigt.
  5. Wählen Sie aus der Auswahlliste ID die gewünschte ID aus.
  6. Wählen Sie aus der Auswahlliste Erweiterung eine Erweiterung aus.
  7. Wählen Sie aus der Auswahlliste Zweite Erweiterung eine weitere Erweiterung aus. Wenn der Ausdruck eingesetzt werden kann, wird die Schaltfläche Hinzufügen verfügbar.
  8. Klicken Sie auf die Schaltfläche Hinzufügen. Der Ausdruck wird in einem Bearbeitungsfeld angezeigt.
  9. Klicken Sie auf die Schaltfläche OK. Der Ausdruck wird jetzt an der aktuellen Cursorposition im Bearbeitungsfenster angezeigt.

Hinweis: Sie können das Dialogfeld Ausdruckerstellungsprogramm auch über die Menüleiste öffnen, indem Sie das Dialogfeld Wenn Gehe zu öffnen und darin die Schaltfläche Ausdruck anklicken. Sobald der Ausdruck erstellt wurde, fügt PC-DMIS ihn automatisch an der nächstmöglichen Position im Bearbeitungsfenster ein.


Prüfen der Korrektheit des Ausdrucks

Wenn der Cursor das Feld verläßt, in das ein Ausdruck eingegeben wurde, prüft PC-DMIS den Ausdruck auf Korrektheit. Wenn es im geprüften Ausdruck ein Problem gibt, wird eine Fehlermeldung mit dem Hinweis auf einen ungültigen Wert eingeblendet oder der Ausdruckstext wird rot angezeigt. Ausdrücke, die sich auf nicht existierende Objekte beziehen, werden ebenfalls rot angezeigt.

Da der Ausdruck beim Verlassen des Feldes auf seine Korrektheit geprüft wird, bleibt ein Feld, das aufgrund eines Bezugs auf ein nicht vorhandenes Objekt (z.B. KREIS1.X) rot dargestellt wurde, sogar dann noch rot, wenn das neue Objekt (z.B. KREIS1) hinzugefügt wird. Das Feld wird so lange rot angezeigt, bis der Ausdruck erneut auf Korrektheit geprüft wird.

So prüfen Sie die Korrektheit des Ausdrucks erneut:

  1. Bewegen Sie den Cursor in das Feld des Ausdrucks.
  2. Drücken Sie die Taste F2. Das Dialogfeld Ausdruckerstellungsprogramm wird erneut geöffnet. Die am Ausdruck vorgenommenen Änderungen werden im Bearbeitungsfeld angezeigt.
  3. Klicken Sie auf die EINGABETASTE, um das Dialogfeld zu schließen.


Typ des Ausdruckelements

In der Auswahlliste Typ des Ausdruckelements des Dialogfelds Ausdruckerstellungsprogramm werden die verschiedenen Typen von Ausdruckselementen (siehe auch "Elemente") aufgeführt, die in Ausdrücke eingefügt werden können. Dazu gehören:

  • Funktionen
  • Operatoren
  • Ausrichtungen
  • Kommentare
  • Merkmale
  • Elemente
  • Variablen


Verwenden von Ausdrücken und Variablen - Erstellen von Ausdrücken mit dem Ausdruckerstellungsprogramm - ID

ID

In der Auswahlliste ID des Dialogfelds Ausdruckerstellungsprogramm werden die Elemente aufgeführt, die für den in der Auswahlliste Typ des Ausdruckelements ausgewählten Typ von Ausdruckelement (siehe auch "Elemente") verfügbar sind.

Beispiel:

  • Wenn in der Auswahlliste Typ des Ausdruckelements der Eintrag Funktionen und Operatoren ausgewählt wurde, enthält die Auswahlliste ID eine Liste der verfügbaren Funktionen und Operatoren.
  • Wenn in der Auswahlliste Typ des Ausdruckelements der Eintrag Elemente ausgewählt wurde, enthält die Auswahlliste "ID" eine Liste der Elemente im Werkstückprogramm.


Erweiterung

Die Auswahlliste Erweiterung wird verfügbar, wenn dem in der Auswahlliste ID ausgewählten Element eine Erweiterung hinzugefügt werden muß, damit es als Ausdruckelement (siehe auch "Elemente") eingesetzt werden kann. In der Auswahlliste Erweiterung werden die Erweiterungen angezeigt, die für den in der Auswahlliste "ID" ausgewählten Eintrag verfügbar sind.

Beispiel: Sie haben in der Auswahlliste ID ein Element ausgewählt. Die Liste möglicher Erweiterungen, die zum Verweisen auf Daten dieses Elements eingesetzt werden können (z. B. "X", "Y", "Z", "Durchm", "Länge" etc.), werden daraufhin in der Auswahlliste Erweiterung aufgeführt.


Zweite Erweiterung

Die Auswahlliste Zweite Erweiterung wird verfügbar, wenn dem in der Auswahlliste ID ausgewählten Eintrag eine zweite Erweiterung hinzugefügt werden muß, damit er als Ausdruckelement (siehe auch "Elemente") verwendbar ist.

Beispiel: Sie verweisen auf den Nennwert der X-Achsenlage eines Merkmals namens "D1".

Setzen Sie folgendes Verfahren ein:
Wählen Sie D1 aus der Auswahlliste ID.
Wählen Sie X aus der Auswahlliste Erweiterung
Wählen Sie Nennw aus der Auswahlliste Zweite Erweiterung.


Schaltfläche "Hinzufügen"

Wenn Sie in den Auswahllisten ein verwendbares oder vollständiges Ausdruckelement (siehe auch "Elemente") wählen, wird die Schaltfläche Hinzufügen verfügbar. Wenn Sie auf diese Schaltfläche klicken, wird der Text angezeigt, der dem Ausdruck hinzugefügt werden soll.

Nehmen Sie beispielsweise an, daß folgende Elemente ausgewählt wurden:

  • Merkmale aus der Liste Typ des Ausdruckelements
  • D1 aus der Liste ID
  • X aus der Liste Erweiterung
  • Nennw aus der Liste Zweite Erweiterung

In diesem Fall wird die Schaltfläche Hinzufügen aktiviert und zeigt folgenden Text an: Hinzufügen D1.X.NENNW.

Wenn Sie auf die Schaltfläche Hinzufügen klicken, wird der Text dann im Bearbeitungsfeld unten im Dialogfeld eingeblendet.

Hinweis: Wenn Sie auf die Schaltfläche OK klicken, wird der Text aus dem Bearbeitungsfeld in das Bearbeitungsfenster übernommen (im Ausdrucksfeld an der aktuellen Cursorposition). Wenn Sie einen Eintrag aus dem Ausdrucksfeld des Bearbeitungsfensters auswählen und der hinzuzufügende Text Klammern enthält, wird das ausgewählte Element in die Klammern des hinzugefügten Texts gesetzt.


Bearbeitungsfeld

Unten im Dialogfeld Ausdruckerstellungsprogramm wird in einem Bearbeitungsfeld der aktuelle Ausdruck angezeigt. Der Ausdruck kann direkt in dieses Feld eingegeben werden, Sie können jedoch auch die Schaltfläche Hinzufügen verwenden.


Beschreibungsbereich

Das Dialogfeld Ausdruckerstellungsprogramm enthält auch einen Beschreibungsbereich. Hier werden Informationen zu den aus der Auswahlliste ausgewählten Einträgen angezeigt. Darüber hinaus wird in einem Feld neben der Schaltfläche Hinzufügen der aktuelle Wert des Ausdrucks angezeigt.

Hinweis: Ungültige Ausdrücke haben den Wert 0.


Verwenden von Variablen mit Ausdrücken

Variablen sind Objekte, die Werte enthalten. Variablen beziehen sich auf reelle, Ganzzahl-, Zeichenfolgen- oder Punkt-Operanden. Variablen sind bei der Verwendung von Ausdrücken äußerst wichtig. Eine Variable hat einen Namen und einen Wert. Der Name dient zum Zugriff auf den Wert der Variablen. Er bleibt unverändert, während sich der Wert ändern kann. Über den Befehl ZUWEISEN/ können Sie einer Variable einen Wert zuweisen.

Mit der Anweisung ZUWEISEN/V1 = 2 wird beispielsweise eine Variable namens V1 mit einem Wert von 2 erstellt. ZUWEISEN/V2 = V1 + 2 greift auf den Wert von V1 zu. Hätte V1 bei der Ausführung dieser Zuweisungsanweisung immer noch den Wert 2, dann würde V2 den Wert 4 haben.

Weitere Informationen zu Variablen finden Sie unter "Variablen".

Siehe auch:

Zuweisen von Werten zu Variablen mit Hilfe des Dialogfelds "Zuweisung"


Zuweisen von Werten zu Variablen mit Hilfe des Dialogfelds "Zuweisung"

Insert Cancel OK Assign From Assign To

Display Menu Roadmap
Die Menüoption Zuweisung blendet das Dialogfeld Zuweisung ein. Mit Hilfe dieses Dialogfelds können Sie einer Variablen oder einem Datenelement den Wert eines Werkstückprogramm-Elements, -Merkmals oder einer Werkstückprogramm-Ausrichtung zuweisen. Für die Verwendung des Befehls Zuweisung wird ein grundlegendes Verständnis von PC-DMIS-Ausdrücken vorausgesetzt.

Siehe auch:

Zuweisen zu

Zuweisen von

Einfügen


Zuweisen zu

Mit der Schaltfläche Zuweisen zu können Sie angeben, welche Variable den im Feld Zuweisen von errechneten Wert erhalten soll. Die mit der Schaltfläche Zuweisen zu ausgewählten Daten werden in das Feld Zuweisen zu gesetzt. Bei diesem Wert kann es sich um den Namen einer Variablen oder um einen Verweis auf ein Datenelement eines Elements, Merkmals oder einer Ausrichtung handeln.


Zuweisen von

Mit der Schaltfläche Zuweisen von können Sie den zuzuweisenden Wert in das Feld Zuweisen von plazieren. Enthält dieses Feld einen Ausdruck, so wird dieser bei der Programmausführung ausgewertet und das Ergebnis oder der Wert der Berechnung wird dem im Feld Zuweisen zu angegebenen Objekt zugewiesen.


Verwenden von Ausdrücken und Variablen - Zuweisen von Werten zu Variablen mit Hilfe des Dialogfelds "Zuweisung" - Einfügen

Einfügen

Die Schaltfläche Einfügen fügt einen Zuweisungsbefehl in das Werkstückprogramm ein, wobei das Dialogfeld Zuweisung geöffnet bleibt. Mit dieser Schaltfläche können Sie eine Reihe von Zuweisungsbefehlen einfügen, ohne dabei das Dialogfeld schließen zu müssen.


Ausdruckskomponenten

Ausdrücke haben folgende Arten von Operanden:

  • Ganzzahlen
  • Reelle Zahlen
  • Zeichenfolgen
  • Punkte
  • Elementzeiger
  • Arrays
  • Funktionen

Diese werden im folgenden näher beschrieben:

Siehe auch:

Arten von Operanden

Literale

Verweise

Variablen

Strukturen

Zeiger

Arrays

Funktionen

Erzwungene Umwandlung von Operanden

Operatoren und Funktionen

ID-Ausdrücke

Vorrang


Arten von Operanden

Die Operanden können vorliegen als:

  • Literale (siehe "Literale")
  • Verweise (siehe "Verweise")
  • Variablen (siehe "Variablen")
  • Strukturen (siehe "Strukturen")
  • Zeiger (siehe "Zeiger")


Literale

*Ganzzahlen: 1, -6, 209

Reelle Zahlen: 1, -6, 2.4, -0.1, 345.6789

Zeichenfolgen: "Hallo Welt", "47", "KREIS 1"

Punkte: Für Punkte ist keine Literaldarstellung verfügbar. Punkte können jedoch mit der Funktion MPUNKT aus anderen Literalen erstellt werden: MPUNKT (0,0,1), MPUNKT (2.2, 3.1, 4.0).

Zeiger: Name eines Elements in geschwungenen Klammern: {KREIS1}, {LINIE2}, {F3}

Arrays: Für Arrays ist keine Literaldarstellung verfügbar. Arrays können jedoch mit der Funktion ARRAY aus anderen Literalen erstellt werden: Beispiel: ARRAY(3, 5, 6), ARRAY("Hallo", 2.3, 9). Diese Funktionen erstellen 3 Element-Arrays mit den Ganzzahlelementen 3, 5 und 6 im ersten Beispiel und dem Zeichenfolgenelement "Hallo", dem Doppelelement 2.3 und dem Ganzzahlelement 9 im zweiten Beispiel.

Funktionen: Für Funktionen ist keine Literaldarstellung verfügbar. Funktionen werden mit dem Schlüsselwort FUNKTION definiert. Der Zugriff auf Funktionen erfolgt über Variablen-IDs. Ein Beispiel: ZUWEISEN/Add2 = FUNKTION((X), X+2) definiert eine Funktion, mit der einem Argument 2 hinzugefügt wird. Der Variablen Add2 wird die Funktion zugewiesen. Die Funktion kann mit der Variablen Add2 wie folgt aufgerufen werden. ZUWEISEN/Ergebnis = Add2(5). Dem Ergebnis wird der Wert 7 zugewiesen.

Hinweis: Numerische Literale werden als reelle Zahlen interpretiert, sofern der Operator bzw. die Funktion keine Ganzzahlen vorschreibt. Ein Beispiel: Der Ausdruck 10 / 8 wird auf 1,25 anstatt auf 1 ausgewertet. Beachten Sie außerdem, daß eine ganzzahlige Teilung auch über die Operanden-Umwandlungsoperatoren möglich ist. Der Ausdruck INT(10) / INT(8) ergibt den Wert 1.


Verweise

Verweise nehmen Bezug auf Datenelemente von anderen Objekten in einem Werkstückprogramm. Verweise basieren auf der ID eines Objekts im Werkstückprogramm, gefolgt von einem Punkt und einer Erweiterung, die auf das Datenelement des Objekts verweist.

Beispiel: Wenn KREIS1 der Name eines gemessenen Kreises im Werkstückprogramm ist, dann verweist KREIS1.X auf den gemessenen Wert der Komponente X von KREIS1. Alle Verweise werden in Werkstückkoordinaten relativ zur aktuellen Ausrichtung ermittelt.

Siehe auch:

Verweise vom Typ "Double"

Verweise vom Typ "Punkt"

Verweise vom Typ "Zeichenfolge"


Verweise vom Typ "Double"

Es sind die folgenden Verweisausdrücke verfügbar:

Beispiele für gültige Erweiterungen für Elementverweise vom Typ "Double"

Format: <Element-ID>.<Erweiterung> -> KREIS1.X

KREIS1.X gemessener X-Wert von KREIS1
KREIS1.Y gemessener Y-Wert von KREIS1
KREIS1.Z gemessener Z-Wert von KREIS1

KREIS1.TX theoretischer X-Wert (Nennwert) von KREIS1
KREIS1.TY theoretischer Y-Wert (Nennwert) von KREIS1
KREIS1.TZ theoretischer Z-Wert (Nennwert) von KREIS1

LINIE1.SX gemessener X-Wert des Startpunkts von LINIE1
LINIE1.SY
LINIE1.SZ

LINIE1.TSX theoretischer X-Wert des Startpunkts von LINIE1
LINIE1.TSY
LINIE1.TSZ

LINIE1.EX gemessener X-Wert des Endpunkts von LINIE1
LINIE1.EY
LINIE1.EZ

LINIE1.TEX theoretischer X-Wert des Endpunkts von LINIE1
LINIE1.TEY
LINIE1.TEZ

PUNKT.I gemessene I-Komponente des Vektors für PUNKT
PUNKT.J
PUNKT.K

PUNKT.TI theoretische I-Komponente des Vektors für PUNKT
PUNKT.TJ
PUNKT.TK

ELEMENT1.TYP Der Elementtyp (z.B. Kreis, Langloch, Kegel). Damit können Sie beispielsweise den Typ eines allgemeinen Elements ändern (Zuweisen/ Allg1.TYP = Elem1.TYP).

ELEM1.ALL nimmt auf alle Elemente des Elements Bezug. Dieser Art von Bezug eignet sich zum Kopieren von Informationen in ein allgemeines Element. (Zuweisen/ Allg1.ALL = Elem1.ALL)

Oberflächenvektor

KANTE.OBERFLI

KANTE.OBERFLJ

KANTE.OBERFLK

KANTE.TOBERFI

KANTE.TOBERFJ

KANTE.TOBERFK

Winkelvektor

KREIS.WINKI

KREIS.WINKJ

KREIS.WINKK

KREIS.TWINKI

KREIS.TWINKJ

KREIS.TWINKK

Radius

KREIS1.R

KREIS1.TR

KREIS1.RAD

KREIS1.TRAD

KREIS1.RADIUS

KREIS1.PR – Polarradius

KREIS1.TPR – Theoretischer Polarradius

KREIS1.TRADIUS (nur die ersten Zeichen, TRAD, sind von Bedeutung)

Durchmesser

KREIS1.D

KREIS1.TD

KREIS1.DURCHM

KREIS1.TDURCHM

KREIS1.DURCHMESSER

KREIS1.TDURCHMESSER (nur die ersten Zeichen, TDURCHM, sind von Bedeutung)

Winkel

KEGEL.A

KEGEL.TA

KEGEL.WINK

KEGEL.TWINK

KEGEL.WINKEL

KEGEL.TWINKEL

KEGEL.PA – Polarwinkel

KEGEL.TPA – Theoretischer Polarwinkel (nur die ersten Zeichen sind von Bedeutung)

Länge

LINIE.L

LINIE.TL

LINIE.LÄNG

LINIE.TLÄNG

LINIE.LÄNGE

LINIE.TLÄNGE (nur die ersten Zeichen, TLÄNG, sind von Bedeutung)

Höhe

ZYLINDER.PH – Polarhöhe

ZYLINDER.TPH – Theoretische Polarhöhe

Radius, Winkel, Höhe

PUNKT.RAH – Punkt mit gemessenem Radius, Winkel und Höhe

PUNKT.TRAH – Punkt mit theoretischem Radius, Winkel und Höhe

Bespiele für gültige Erweiterungen für Merkmalsverweise vom Typ "Double"

Format: <Merkmal-ID>.<ACHSE>.<Merkmalelement> -> MERKM1.X.NENNW

MERKM1.X.NENNW
 Nennwert für die X-Achsenlage von MERKM1
MERKM1.X.MESS
 Gemessener Wert für die X-Achsenlage von MERKM1
MERKM1.X.MAX
Maximale Abweichung für die X-Achsenlage von MERKM1
MERKM1.X.MIN
 Minimale Abweichung für die X-Achsenlage von MERKM1
MERKM1.X.PTOL
Plus-Toleranzwert für die X-Achsenlage von MERKM1
MERKM1.X.MTOL
Minus-Toleranzwert für die X-Achsenlage von MERKM1
MERKM1.X.ABW
Abweichung auf der X-Achsenlage von MERKM1
MERKM1.X.AUSSER_TOL
Außerhalb-Toleranz-Wert auf der X-Achsenlage von MERKM1
MERKM1.Y.NENNW
 Nennwert für die Y-Achsenlage von MERKM1
MERKM1.Z.ABW
Abweichung auf der Z-Achsenlage von MERKM1
MERKM3.PA.MESS
Gemessener Wert für die Polarwinkellage von MERKM3
MERKM4.M.PTOL
Plus-Toleranzwert für die M-Achsenlage von MERKM4
*MERKM4.PTOL
Plus-Toleranzwert für die M-Achsenlage von MERKM4 (siehe Hinweis unter "Gültige Achsen" unten).
MERKM5.BTOL
 Bonus-Toleranzwert, wobei MERKM5 eine Position ist.

Gültige Achsen:

X, Y, Z, D, R, A, T, V, L, PR, PA, M, PD, RS, RT, S, H, DD, DF, TP

Hinweis: * Bei Merkmalen, die per Definition nur eine Achse haben (z.B. Rundheit, Konzentrizität, usw.), kann der Achsenkennzeichner weggelassen werden. Wenn Sie den Achsenkennzeichner verwenden, sollten Sie beachten, daß alle Merkmaltypen (die nur eine Achse haben) den M-Achsenkennzeichner verwenden – ausgenommen davon sind 2D- und 3D-Winkelabmessungen, bei denen der A-Achsenkennzeichner verwendet wird.

Beispiele für gültige Erweiterungen für Ausrichtungsverweise vom Typ "Double"

Format: <Ausrichtungs-ID>.<Ausrichtungsachse oder Nullpunkt>.<Ausrichtungsachse- oder Nullpunkt-Komponente> -> A1.NULLPUNKT.X

A1.NULLPUNKT.X
 X-Ausrichtungskomponente des gemessenen Nullpunkts von A1
A2.NULLPUNKT.Y
 Y-Ausrichtungskomponente des gemessenen Nullpunkts von A2
A1.NULLPUNKT.X
 Z-Ausrichtungskomponente des gemessenen Nullpunkts von A1
A1.X-ACHSE.I
I-Ausrichtungskomponente der gemessenen X-Achse von A1
A1.Y-ACHSE.J
J-Ausrichtungskomponente der gemessenen Y-Achse von A1
A1.Z-ACHSE.K
 K-Ausrichtungskomponente der gemessenen Z-Achse von A1
A1.CNULLPUNKT.X
 X-Ausrichtungskomponente des Nullpunkts von A1 auf Basis der theoretischen Daten (C steht für CAD)
A1.CX-ACHSE.J
J-Ausrichtungskomponente der X-Achse von A1 auf Basis der theoretischen Daten (C steht für CAD)


Verweise vom Typ "Punkt"

Es sind die folgenden Verweisausdrücke verfügbar:

Beispiele für gültige Erweiterungen für Elementverweise vom Typ "Punkt"

Format: <Element-ID>.<Erweiterung> -> KREIS1.XYZ

KREIS1.XYZ
Gemessener Flächenmittelpunkt von KREIS1
KREIS1.TXYZ
 Theoretischer Flächenmittelpunkt von KREIS1
LINIE1.SXYZ
Gemessener Anfangspunkt von LINIE1
LINIE1.TSXYZ
Theoretischer Anfangspunkt von LINIE1
LINIE1.EXYZ
 Gemessener Endpunkt von LINIE1
LINIE1.TEXYZ
Theoretischer Endpunkt von LINIE1
KREIS1.IJK
 Gemessener Vektor von KREIS1
KREIS1.TIJK
Theoretischer Vektor von KREIS1
KANTE.OBERFLIJK
Gemessener Oberflächenvektor von KANTE
KANTE.TOBERFLIJK
Theoretischer Oberflächenvektor von KANTE
AUTOKREIS1.WINKIJK
Gemessener Winkelvektor von AUTOKREIS1
AUTOKREIS1.TANGIJK
Theoretischer Winkelvektor von AUTOKREIS1

Beispiele für gültige Erweiterungen für Ausrichtungsverweise vom Typ "Punkt"

Format: <Ausrichtungs-ID>.<Ausrichtungsachse oder Nullpunkt> -> A1.X-ACHSE

A1.NULLPUNKT
Gemessener Nullpunkt von Ausrichtung A1
A1.X-ACHSE
Gemessene X-Achse von Ausrichtung A1
A1.Y-ACHSE
Gemessene Y-Achse von Ausrichtung A1
A1.Z-ACHSE
Gemessene Z-Achse von Ausrichtung A1
A1.CNULLPUNKT
Theoretischer Nullpunkt von Ausrichtung A1
A1.CX-ACHSE
Theoretische X-Achse von Ausrichtung A1
A1.CY-ACHSE
Theoretische Y-Achse von Ausrichtung A1
A1.CZ-ACHSE
Theoretische Z-Achse von Ausrichtung A1


Verweise vom Typ "Zeichenfolge"

Verweise auf Kommentare sind die einzigen Objekte vom Typ "Zeichenfolge". Über Verweise kann nur auf EINGABE-Kommentare oder JA/NEIN-Kommentare Bezug genommen werden. Diese Kommentartypen verfügen über eine ID, über die sie identifiziert werden können.

Format: <Kommentar-ID>.EINGABE -> C1.EINGABE

C1.EINGABE – Der (vom Bediener eingegebene) Eingabewert für Kommentar C1.

Kommentare vom Typ JA/NEIN setzen die Eingabe unter Berücksichtigung der aktuellen Spracheinstellung von PC-DMIS auf die jeweilige "Ja"- bzw. "Nein"-Zeichenfolge. In der deutschen Ausgabe von PC-DMIS kann der Bediener die Zeichenfolge mit der Schaltfläche "JA" auf "JA" und mit der Schaltfläche "NEIN" auf "NEIN" setzen. Beachten Sie, daß bei Vergleichen mit diesen Zeichenfolgen zwischen Groß- und Kleinschreibung unterschieden wird. Wenn Sie daher die gesetzten Zeichenfolgen mit "ja" bzw. "nein" vergleichen, erhalten Sie immer ein falsches Ergebnis, selbst wenn der Kommentartyp auf "JA" bzw. "NEIN" gesetzt ist.


Variablen

Variablen können einen der sieben Operanden-Typen annehmen: Ganzzahl, reelle Zahl, Zeichenfolge, Punkt, Elementzeiger, Array oder Funktion. Variablen entstehen und erhalten ihren Wert und Typ, wenn eine ZUWEISEN-Anweisung ausgeführt wird. Die Variablen-ID kann aus einer beliebigen alphanumerischen Zeichenfolge bestehen, die nicht mit einem numerischen Zeichen beginnt. Variablen-IDs können auch Unterstriche enthalten, solange diese nicht am Anfang stehen.

Variablenwerte werden zwischen Ausführungsabläufen gespeichert. Das heißt, die Variablen haben am Ende der Programmausführung dieselben Werte wie am Anfang der erneuten Ausführung.

Hinweis: Wenn das Bearbeitungsfenster aktiviert ist, zeigt PC-DMIS den aktuellen Wert einer Variable an, sobald der Cursor in das entsprechende Feld gesetzt wird. Die Werte von Variablen ändern sich während der Ausführung je nach Ablauf des Programms. Positionieren Sie den Mauszeiger über einer beliebigen Variable, um den aktuellen Wert dieser Variable zu sehen.

ZUWEISEN/ V1 = 2.2+2
 Die Variable V1 ist eine reelle Zahl mit dem Wert 4.2.
ZUWEISEN/ VAR1 = KREIS1.X
 Die Variable VAR1 ist eine reelle Zahl, deren Wert dem zum Zeitpunkt der Zuweisung gemessenen Wert von KREIS1.X entspricht.
ZUWEISEN/ VAR2 = LINIE1.XYZ
 Die Variable VAR2 ist ein Punkt, dessen Wert dem zum Zeitpunkt der Zuweisung gemessenen Flächenmittelpunkt von LINIE1 entspricht.
ZUWEISEN/ SVAR = "Hallo Welt"
 Die Variable SVAR ist eine Zeichenfolge mit dem Wert "Hallo Welt".

In diesen Beispielen sind die Variablen zugewiesene Werte. Wenn einer Variable ein Wert zugewiesen wurde, kann sie in beliebigen Ausdrucksfeldern als Operand verwendet werden.

Beispiel: V1 in einem numerischen Feld
ZUWEISEN/V1 = 1/3
VORHALTEBREREICH / V1

Hier wird V1 als Vorhaltebereichswert für den Befehl VORHALTEBEREICH verwendet.

Hinweis: In den meisten editierbaren Feldern können Ausdrücke verwendet werden. Auch der folgende Ausdruck ist daher gültig und zeigt dieselbe Wirkung. VORHALTEBREICH / 1/3.

Auf Variablenkomponenten des Typs "Punkt" kann über die für Verweise verwendete Punkt-Erweiterung-Schreibweise einzeln Bezug genommen werden.

ZUWEISEN/ V1 = MPUNKT(3, 4, 5)
 Die Variable V1 ist vom Typ "Punkt" und hat einen Wert von 3, 4, 5.
ZUWEISEN/ XVAR = V1.X
 XVAR ist vom Typ "Double" und hat einen Wert von 3.
ZUWEISEN/ YVAR = V1.Y
 YVAR ist vom Typ "Double" und hat einen Wert von 4.
ZUWEISEN/ IVAR = V1.I
 IVAR ist vom Typ "Double" und hat einen Wert von 3.
ZUWEISEN/ REDUNVAR = V1.XYZ
 REDUNVAR ist vom Typ "Punkt" und hat einen Wert von 3, 4, 5.

Die folgenden Erweiterungen sind gleichwertig. Beide Beispiele dienen dazu, die Bedeutung von Ausdrücken in Werkstückprogrammen zu verdeutlichen.

Angenommen, V1 ist vom Typ "Punkt".

V1.X entspricht V1.I
V1.Y entspricht V1.J
V1.Z entspricht V1.K

V1.XYZ entspricht V1.IJK und V1 ohne Erweiterung.

Wenn einer Variable vom Typ "Zeichenfolge" ein Wert zugewiesen wurde, der dem Namen der ID eines Elements, Merkmals oder einer Ausrichtung entspricht, so kann diese Variable als Bezugsobjekt verwendet werden.

Beispiel:
ZUWEISEN/ V1 = "KREIS1"

Die folgenden Operanden sind möglich und gültig, vorausgesetzt, es ist ein Element mit dem Namen KREIS1 vorhanden.

V1.X - der gemessene X-Wert von KREIS1
V1.TX - der theoretische X-Wert von KREIS1
V1.Durchm (Durchmesser) - der gemessene Durchmesser von KREIS1
V1.Radius - der gemessene Radius von KREIS1

Diese Art eines bei Zeichenfolgen-Variablen möglichen Indirektverweises ist auf eine Ebene von Indirektverweisen beschränkt. Die folgende Kombination funktioniert nicht.

ZUWEISEN/ V1 = "KREIS1"
ZUWEISEN/ V2 = "V1"
V2.X - dies ergibt den Wert 0 und nicht den aktuell gemessenen Wert von KREIS1.X.

Hinweis: Der Verweis V2.X wird nicht als Fehler durch roten Text gekennzeichnet, obwohl ein darüber stehender Ausdruck seinen Typ auf "Zeichenfolge" setzt. V2.X kann nicht als Fehler markiert werden, da der Ablauf der Werkstückprogrammausführung erst zum Zeitpunkt der Ausführung bekannt wird.

Wenn Sie jedoch geschwungene Klammern verwenden, funktioniert es:

ZUWEISEN/ V1 = {KREIS1}
ZUWEISEN/ V2 = {V1}
V2.X - Dadurch erhalten Sie den Wert von KREIS1.X.

Sehen Sie sich das folgende Beispiel an:

    ZUWEISEN/ V1 = "KREIS1"
    ZUWEISEN/ V2 = "V1"
    IF / KREIS1.X > KREIS1.TX, GEHEZU, L2
L1 = MARKE /
    ZUWEISEN/ V3 = V2.X
    GEHEZU / MARKE, L3
L2 = MARKE /
    ZUWEISEN/ V2 = MPUNKT( 2, 5, 7)
    GEHEZU / MARKE, L1
L3 = MARKE /

Wenn während der Programmausführung der Wert von KREIS1.X größer ist als der Wert von KREIS1.TX, dann ist der Ausdruck V2.X gültig und ergibt einen Wert von 2. Wenn nicht, ergibt der Ausdruck V2.X den Wert 0, da der Wert von V2 zum Zeitpunkt der Zuweisung für V3 der Zeichenfolge "V1" entspricht. Der Programmierer des Werkstückprogramms muß dafür sorgen, daß die Ausdrücke in allen Fällen brauchbare Ergebnisse liefern.

Ergänzender Hinweis zur ZUWEISEN-Anweisung: Beinahe alle Elementverweise können auf der linken Seite der Zuweisungsanweisung (ZUWEISEN) verwendet werden, um einem gemessenen oder theoretischen Datenelement eines Elements einen Wert zuzuweisen. Die einzige Ausnahme bilden die einzelnen I-, J- und K-Komponenten von Vektoren. Um Vektoren Werte zuzuweisen, muß der gesamte Vektor als Einheit mit einem Ausdruck zugewiesen werden, der als Punkt ausgewertet wird. Vektordaten werden normalisiert, wenn sie in die Vektordatenelemente des Elements eingegeben werden.

Beispiel:

ZUWEISEN/ KREIS1.I = 2 - ungültig
ZUWEISEN/ KREIS1.IJK = MPUNKT(2, 0, 0) - gültig (Vektor ist normalisiert: 1, 0, 0)


Strukturen

In Version 3.5 und höher können Sie einen neuen Variablentyp namens Strukturen verwenden. Mit Hilfe von Strukturen können Sie Variablen mit Erweiterungen versehen, um ein Unterelement dieser Variable zu kennzeichnen. Sehen Sie sich das folgenden Beispiel an:

Beispiel:

ZUWEISEN/V1.HÖHE = 6
ZUWEISEN/V1.BREITE = 4.3
ZUWEISEN/V1.MODUS = "KREISFÖRMIG"
ZUWEISEN/V1.PUNKT = MPUNKT(100.3, 37.5, 63.1)

In diesem Beispiel gilt folgendes:

  • V1 ist die Struktur.
  • HÖHE, BREITE, MODUS und PUNKT sind Unterelemente der Struktur.

Siehe auch:

Regeln für Strukturen

Strukturen mit Variablen vom Typ "Punkt"


Regeln für Strukturen

  • Ebenso wie Variablen müssen auch Strukturen nicht deklariert werden.
  • Unterelemente einer Struktur können aus folgenden Variablentypen bestehen:
    • Integer (Ganzzahl)
    • Double (Verdoppelung)
    • Punkt
    • Elementzeiger
    • Funktion
    • Array
    • Struktur

So können Sie beispielsweise Strukturelemente haben, die Arrays sind, und Array-Elemente, die Strukturen sind. Dadurch erhalten die folgenden Beispielausdrücke Gültigkeit:

Beispiel

ZUWEISEN/PKW.LINKESEITE.TÜR[2].QUADRANT[3].VERBINDUNG[5].MESSPKT[4] = MPUNKT(558.89, 910.12, 42.45)

KOMMENTAR/BEDIENER,"Aktuelle Z-Position: " + PKW.LINKESEITE.TÜR[2].QUADRANT[3].VERBINDUNG[5].MESSPKT[4].Z

ZUWEISEN/AKTUELLEVERBINDUNG = LINKESEITE.TÜR[2].QUADRANT[3].VERBINDUNG[5]

KOMMENTAR/BEDIENER,"Nächster Meßpunkt: " + AKTUELLEVERBINDUNG.MESSPKT[4]


Strukturen mit Variablen vom Typ "Punkt"

Wenn eine Variable vom Typ "Punkt" ist, kann der Benutzer nach wie vor die Erweiterungen .X, .Y, .Z, .I, .J und .K verwenden, um einzelne Elemente des Punkts zu erhalten. Der Benutzer kann auch alle Erweiterungen aus diesem Beispiel in deren Strukturen einsetzen, ohne sie dabei als Punktelemente verwenden zu müssen.

Beispiel:

ZUWEISEN/V1.X = "Eine Zeichenfolge"
ZUWEISEN/V1.Y = ARRAY(1,3,5,9,7)
ZUWEISEN/V1.Z = MPUNKT(3,5,7)
KOMMENTAR/PROTOKOLL,V1.X | Die Ausgabe lautet "Eine Zeichenfolge".
KOMMENTAR/PROTOKOLL,V1.Y[2] | Die Ausgabe lautet "3", das zweite Element des Arrays.
KOMMENTAR/PROTOKOLL,V1.Z.Y
Die Ausgabe ist "5", der Y-Wert von MPUNKT.

Durch das Kombinieren von Strukturen mit den Funktionen der PC-DMIS-Ausdruckssprache sind dynamische Strukturverweise, wie sie hier gezeigt werden, möglich:

(Fortsetzung des Beispiels)

ZUWEISEN/DYNAMISCHESTRUKT = FUNKTION((X,Y), X.Y)
C1 =KOMMENTAR/EINGABE,Element eingeben
ZUWEISEN/TESTSTR = C1.EINGABE
ZUWEISEN/VORNE = LINKS(TESTZF, INDEX(TESTZF, ".")-1)
ZUWEISEN/HINTEN = SYMMETRIEPKT(TESTZF, INDEX(TESTZF, "."))
ZUWEISEN/ERGEBNIS = DYNAMISCHESTRUKT(VORNE, HINTEN)

In diesem Teil des Beispiels werden Sie aufgefordert, einen Variablenverweis einzugeben, dann wird der Verweis am ersten '.' geteilt und mit Hilfe der Funktion DYNAMISCHESTRUKT festgelegt, daß ERGEBNIS diesem Verweis entspricht.

Wenn Sie also beispielsweise V1.Y[4] für die Variable C1.EINGABE eingeben, erhält ERGEBNIS schließlich den Wert 9 (das vierte Element des Arrays, das V1.Y zugewiesen ist).

Die Lernzeitauswertung der Ausdrücke wurde dahingehend verbessert, daß nun alle Elemente einer Struktur oder eines Arrays genau angezeigt werden.


Zeiger

Mit Zeigern können Sie auf einfache Art über eine Variable auf ein Element verweisen oder Objekte mit dem Befehl "Unterprogramm aufrufen" übergeben. Zeiger funktionieren ähnlich wie ein Indirektverweis über Zeichenfolgenamen. Die Vorteile von Zeigern zeigen sich jedoch bei Unterprogrammen. Im Gegensatz zu Zeichenfolgen lassen Zeiger, die als Argument eines Unterprogramms übergeben werden, eine direkte Modifizierung des Objekts zu, auf das das Unterprogramm verweist. Zeiger werden nicht in komplexen Ausdrücken verwendet. Wird ein Zeiger in einem komplexen Ausdruck verwendet, ergibt er den Wert 0.

Sehen Sie sich folgende Beispiele an:

Beispiel: Zeigerverwendung

ZUWEISEN/ V1 = {KREIS1}
 V1 ist nun ein Zeiger, der auf KREIS1 zeigt.
ZUWEISEN/ ABST = DOUBLE(V1.XYZ)
 Abst = Abstand von KREIS1 zum Nullpunkt.

Sie können einen Ausdruck auch zwischen geschwungene Klammern setzen, um einen Elementzeiger zu erhalten. In den Versionen vor Version 3.5 war dies unzulässig. Nun sind alle folgenden Beispiele gültige Methoden, um den Zeiger auf das Element KREIS1 einzustellen:

ZUWEISEN/ELEMENTZÄHLER = 1

ZUWEISEN/V1={"KREIS" + ELEMENTZÄHLER}
Weist V1 den Ausdruck "KREIS1" zu.
ZUWEISEN/V2="KREIS1"

ZUWEISEN/V3={V2}
Weist Variable V3 den Ausdruck "KREIS1" aus Variable V2 zu.
C1=KOMMENTAR/EINGABE, Geben Sie einen Elementnamen ein.

ZUWEISEN/V4={C1.EINGABE}
Nimmt den Elementnamen aus C1.EINGABE und setzt ihn in Variable V4.

Beispiel: Unterprogramm
Im aufrufenden Programm:

CS1 = UNTERPROGAUFR/UNTERPRG,CHANGEX, {KREIS1}

Im aufgerufenen Unterprogramm:

GEN1 = GENERELL/Element
UNTERPROGRAMM/CHANGEX, ARG1 = {GEN1}

(Wenn KREIS1 übergeben wird, tritt KREIS1 an Stelle von GEN1)

ARG1.X = 5

(Setzt den gemessenen X-Wert von KREIS1 auf 5.)

ENDE/UNTERPROGRAMM

Beispiel: komplexer Ausdruck

ZUWEISEN/ V1 = {KREIS1} + 2
{KREIS1} ergibt 0, wodurch der gesamte Ausdruck 2 ergibt.


Arrays

Es gibt drei Arten von Arrays: Element-Arrays, Meßpunkt-Arrays und Variablen-Arrays.

Wichtig: Selbst wenn mehrdimensionale Arrays im Softwareprogramm mehrdimensional dargestellt werden, können diese erst als mehrdimensionale Arrays genutzt werden, wenn ihnen einen ARRAY-INDIZES-Befehl (siehe auch Array-Indexobjekt:) vorangestellt wird. Vorher sind sie nur eindimensional nutzbar.

Siehe auch:

Element-Arrays:

Array-Indexobjekt:

Meßpunkt-Arrays:

Variablen-Arrays:


Element-Arrays

Wird ein Element während einer Programmausführung mehrmals gemessen, wird automatisch ein Element-Array erstellt. Die Anzahl der Elemente in diesem Array entspricht dabei der Anzahl der Ausführungen dieses Elements.

Beispiel: Wenn beispielsweise ein gemessenes Kreisobjekt innerhalb einer WHILE-Schleife steht, die fünfmal ausgeführt wird, wird ein Array von fünf gemessenen Kreisen erzeugt. Lautet die ID des gemessenen Kreises "Kreis1", kann mit einem Array-Ausdruck auf die einzelnen Instanzen des gemessenen Kreisobjekts zugegriffen werden. Eckige Klammern dienen zur Angabe der gewünschten Instanz.

Zuweisen/V1 = Kreis1[3].x
 V1 wird der gemessene X-Wert der dritten Instanz von Kreis1 zugewiesen.

Hinweis: Wenn für ein bestimmtes Element ein Element-Array vorhanden ist, in einem Verweis auf dieses Element jedoch keine Array-Schreibweise verwendet wird, nimmt PC-DMIS die aktuellste Instanz. Im obigen Beispiel würde der Bezug Kreis1.x dem Bezug Kreis1[5].x entsprechen, da die fünfte Instanz die aktuellste Instanz des Objekts ist.

Ausdrücke können innerhalb der eckigen Klammern eines Array-Ausdrucks verwendet werden. Kreis1[3].x und Kreis[2+1].x sind demzufolge gültige gleichwertige Bezüge. Das folgende Beispiel verwendet eine Schleife, um den gemessenen Flächenmittelpunkt der fünf Kreise im obigen Beispiel auszudrucken.

Beispiel:
Zuweisen/V1 = 1
While/V1 < 6
Kommentar/Protokoll, "Flächenmittelpunkt von Instanz Nr." + V1 + " von Kreis1: " + Kreis1[V1].XYZ
Zuweisen/V1 = V1 + 1
End/While

Mögliche Ausgabe des obigen Beispiels:

Flächenmittelpunkt von Instanz Nr. 1 von Kreis1: 3.4, 2.6, 1.43

Flächenmittelpunkt von Instanz Nr. 2 von Kreis1: 4.4, 3.6, 2.43

Flächenmittelpunkt von Instanz Nr. 3 von Kreis1: 5.4, 4.6, 3.43

Flächenmittelpunkt von Instanz Nr. 4 von Kreis1: 6.4, 5.6, 4.43

Flächenmittelpunkt von Instanz Nr. 5 von Kreis1: 7.5, 6.6, 5.43

Arrays sind auch für Merkmale und Ausrichtungen vorhanden, die mehrmals während eines Programmablaufs ausgeführt wurden. Die Ausdrücke Elem1[2].Nom und Ausrich1[4].Nullpunkt sind gültig, sofern das Merkmal "Elem1" mindestens zweimal und die Ausrichtung "Ausrich1" mindestens viermal ausgeführt wurden.

Wenn ein Element-Array-Verweis außerhalb der Grenzen liegt (z.B. Kreis1[2.5] oder > Kreis1["Hallo Welt"]), wird das oberste bzw. das unterste Element zurückgegeben. Weist Kreis1 beispielsweise 3 Instanzen auf, gibt Kreis1[4] und höher Kreis1[3] zurück und Kreis[0] und tiefer würde Kreis1[1] zurückgeben. Alle Ausdrücke zwischen eckigen Klammern werden als Ganzzahlen interpretiert – 2.5 ergibt demzufolge 2, und "Hallo Welt" ergibt 0.


Array-Indexobjekt:

Display Menu Roadmap
Standardmäßig handelt es sich bei Element-Arrays stets um eindimensionale Arrays. Wenn die Behandlung eines Element-Arrays als mehrdimensionales Array vorteilhafter ist, können Sie zu diesem Zweck das Array-Index-Objekt einsetzen.

Das Array-Index-Objekt ermöglicht Ihnen die Angabe von Ober- und Untergrenzen, um mehrdimensionale Arrays zu erstellen.

  • Durch das Festlegen der Ober- und Untergrenze der ersten Dimension wird ein zweidimensionaler Array erstellt, bei dem die erste Dimension begrenzt und die zweite Dimension unbegrenzt ist.
  • Durch Einstellen der Ober- und Untergrenze der ersten zwei Dimensionen eines Arrays wird ein dreidimensionaler Array erstellt. Die letzte Dimension ist immer unbegrenzt.

Beispiel:

Das Element F1 befindet sich in einer verschachtelten WHILE-Schleife. Die innere WHILE-Schleife wird fünfmal ausgeführt, und die äußere WHILE-Schleife wird dreimal ausgeführt. Wenn die Ausführung abgeschlossen ist, wurde F1 15mal ausgeführt. Somit sind 15 Instanzen von F1 vorhanden.

Sehen Sie sich das Werkstückprogrammsegment im folgenden Beispiel an:

ARRAY-INDIZES/1..5,..
ZUWEISEN/V1 = 1
WHILE/V1<=3
ZUWEISEN/V2 = 1
WHILE/V2<=5
F1=ELEM/PUNKT,KART
THEO/V2,V1,0,0,0,1
IST/1,1,0,0,0,1
MESS/PUNKT,1
MESSPKT/BASIS,V2,V1,0,0,0,1,1,1,0
ENDEMESS/
ZUWEISEN/V2 = V2+1
KOMMENTAR/PROTOKOLL,"Lage von F1[" + V2 + "," + V1 + "] :" + F1[V2,V1].XYZ
END_WHILE/
ZUWEISEN/V1 = V1+1
END_WHILE/

Mit diesem Codesegment wird ein 3 x 5-Raster von 15 gemessenen Punkten erstellt.

Der ARRAY-INDIZES-Befehl hat für die erste Dimension des Elements einen Wertebereich von 1 bis einschließlich 5 festgelegt. Im Prüfprotokoll werden die Objekte deshalb nicht als F1[1] – F1[15] angezeigt, sondern als F1[1, 1] – F1[5, 3]. So wird eine bessere Übereinstimmung mit dem Layout der Elemente erzielt. Beachten Sie, daß auch der Kommentar auf das Element-Array mit einer Syntax für zweidimensionale Arrays verweist.

So fügen Sie ein ARRAY-INDIZES-Objekt in ein Werkstückprogramm ein:

  1. Geben Sie über die Tastatur "Array" in einer leeren Zeile im Bearbeitungsfenster ein.
  2. Drücken Sie die TABULATORTASTE.

Hinweis: Wenn das Kontrollkästchen Klammern für Element-Arrays anzeigen deaktiviert ist, wird das Element nicht mit dem Namen in Klammern angezeigt. Informationen hierzu finden Sie unter "Klammern für Funktions-Arrays anzeigen" im Abschnitt "Voreinstellungen".


Meßpunkt-Arrays:

Die Meßpunkte eines gegebenen Elements sind als Array verfügbar. Sie können auf diese Meßpunkte über Ausdrücke mit folgender Array-Syntax zugreifen: <Element-ID>.Hit[<Array-Ausdruck>].<Erweiterung> oder <element-ID>.RawHit[<Array-Ausdruck>].<Erweiterung>. Hit gibt tasterkompensierte Daten zurück, wenn die Tasterkompensation eingeschaltet ist. RawHit gibt immer Rohdaten (nicht kompensierte Daten) zurück. Gültige Erweiterungen sind X, Y, Z, I, J, K, TX, TY, TZ, TI, TJ, TK, XYZ, TXYZ, IJK und TIJK

Kreis1.Hit[1].XYZ
 Der gemessene (tasterkompensierte) Flächenmittelpunkt von Meßpunkt 1 von "Kreis1".
Kreis1.Hit[2].IJK
 Der gemessene Vektor von Meßpunkt 2 von "Kreis1".

Meßpunktdaten sind für alle Objekte verfügbar, die Meßpunkte haben, unabhängig davon, ob die tatsächlichen Meßpunkte im Bearbeitungsfenster angezeigt werden oder nicht. Meßpunkte können daher von Scans oder Auto-Elementen stammen.

In den folgenden Themen werden weitere Array-Funktionen behandelt, die zum Auffinden der minimalen oder maximalen Punkte in einem Scan hilfreich sind.

Zuweisen eines Meßpunktebereichs zu einem Array.

Mit Hilfe der folgenden Syntax können Sie einem Array einen Meßpunktebereich zuweisen:

<Element-ID>.<Meßpunkttyp>[<Startnum>..<Endnum>].<Erweiterung>

wobei:

<Element-Id> den Namen des Elements angibt.

<Meßpunkttyp> entweder das Wort "MESSPUNKT" für kompensierte Daten oder "RAWHIT" für unkompensierte Daten enthalten kann. Wird die Tasterkompensation ausgeschaltet, sind wiedergegebene Werte immer unkompensiert.

<Startnum> ist ein Ausdruck, der zur Erkennung des ersten Indexwerts des Meßpunktebereichs dient.

<Endnum> ist ein Ausdruck, der zur Erkennung des zweiten Indexwerts des Meßpunktebereichs dient.

<Erweiterung> dient zur Erkennung des Datentyps. Mögliche Erweiterungen beinhalten die folgenden gemessenen oder theoretischen Datentypen:

  • X – Die gemessenen X-Werte der Meßpunkte
  • Y – Die gemessenen Y-Werte der Meßpunkte
  • Z – Die gemessenen Z-Werte der Meßpunkte
  • XYZ – Die gemessenen XYZ-Werte der Meßpunkte
  • I – Die gemessenen I-Werte der Meßpunkte
  • J – Die gemessenen J-Werte der Meßpunkte
  • K – Die gemessenen K-Werte der Meßpunkte
  • IJK – Die gemessenen IJK-Werte der Meßpunkte
  • TX – Die theoretischen X-Werte der Meßpunkte
  • TY – Die theoretischen Y-Werte der Meßpunkte
  • TZ – Die theoretischen Z-Werte der Meßpunkte
  • TXYZ – Die gemessenen XYZ-Werte der Meßpunkte
  • TI – Die theoretischen I-Werte der Meßpunkte
  • TJ – Die theoretischen J-Werte der Meßpunkte
  • TK – Die theoretischen K-Werte der Meßpunkte
  • TIJK – Die theoretischen IJK-Werte der Meßpunkte

Beispiel:

ZUWEISEN/ V1 = SCAN1.HIT[1..10].X
 V1 wird einem Array aus 10 Werten zugewiesen, welche die gemessenen X-Werte aus den ersten 10 Meßpunkten von SCAN1 sind.
ZUWEISEN/V2 = SCAN1.HIT[1..SCAN1.NUMHITS].XYZ
 V2 wird einem Array aus Punkten aus jedem der Flächenmittelpunkte der Meßpunkte des Scans zugewiesen.

Arrays sortieren

Arrays können in PC-DMIS in auf- oder absteigender Reihenfolge sortiert werden. Die folgenden Ausdrücke nehmen einen Array und geben ihn als sortierten Array zurück:

Um in aufsteigender Reihenfolge zu sortieren, verwenden Sie:
SORTUP(<array>) 		Um in absteigender Reihenfolge zu sortieren, verwenden Sie:
SORTDOWN(<array>)

Beispiel:

ZUWEISEN/V1 = ARRAY(5,8,3,9,2,6,1,7)
 V1 ist dem Array "5,8,3,9,2,6,1,7" zugewiesen
Zuweisen/V2 = SORTUP(V1)
 V2 wird die Array-Werte in aufsteigender Reihenfolge enthalten: "1,2,3,5,6,7,8,9"
ZUWEISEN/V3 = SORTDOWN(V1)
 V3 wird die Array-Werte in absteigender Reihenfolge enthalten: "9,8,7,6,5,3,2,1"

Die größten oder kleinsten Indexwerte eines Arrays zurückgeben:

Sie können einen Array in eine Funktion eingeben und die Indexwerte des Elements, das den größten oder niedrigsten Wert aufweist, mit Hilfe folgender Funktionen zurückgeben:

Um den Indexwert des Elements mit dem größten Wert zurückzugeben, verwenden Sie:
MAXINDEX(<array>) 		Um den Indexwert des Elements mit dem kleinsten Wert zurückzugeben, verwenden Sie:
MININDEX(<array>)

Beispiel:

ZUWEISEN/V1 = ARRAY(5,8,3,9,2,6,1,7)
 V1 ist dem Array "5,8,3,9,2,6,1,7" zugewiesen
Zuweisen/V2 = MAXINDEX(V1)
 V2 wird den Indexwert 4 des Arrays halten. Der Der Istwert dieses Arrays lautet 9.
ZUWEISEN/V3 = MININDEX(V1)
 V2 wird den Indexwert 7 des Arrays halten. Der Der Istwert dieses Arrays lautet 1.

Sie können die zurückgegebenen Indexwerte zugrundelegen, um den Istwert des Array-Elements zu ermitteln.

Die größten oder kleinsten sortierten Indexwerte eines Arrays zurückgeben.

Sie können einen Array in eine Funktion eingeben, die Array-Werte in auf- oder absteigender Reihenfolge sortieren lassen und die Indexwerte dann mit Hilfe folgender Funktionen zurückgeben:

Um den Indexwert des Elements mit dem größten Wert zurückzugeben, verwenden Sie:
MAXINDEX(<array>) 		Um den Indexwert des Elements mit dem kleinsten Wert zurückzugeben, verwenden Sie:
MININDEX(<array>)

Beispiel:

ZUWEISEN/V1 = ARRAY(4,8,2,9,5,7)
 V1 ist dem Array "4,8,2,9,5,7" zugewiesen
Zuweisen/V2 = MAXINDIZES(V1)
 V2 wird einen Array mit diesen Werten halten: "4,2,6,5,1,3"
ZUWEISEN/V3 = MININDIZES(V1)
 V3 wird einen Array mit diesen Werten halten: "3,1,5,6,2,4"

Beispiel für die Verwendung von Arrays, um die minimalen und maximalen Punkte in einem Scan zu finden.

Die oben behandelten Meßpunkt-Arrayfunktion dienen hauptsächlich dem Zweck, Ihnen ein einfaches Auffinden der minimalen oder maximalen Punkte in einem Scan zu ermöglichen.

Um den Punkt aus SCAN1 mit dem größten gemessenen X-Wert zu bemaßen, könnten Sie folgenden Ausdruck verwenden:

ZUWEISEN/MAXPKTINDEX = MAXINDEX(SCAN1.HIT[1..SCAN1.NUMHITS].X)

D1 = LAGE VON ELEMENT SCAN1.HIT[MAXPKTINDEX]

Um die drei höchsten Punkte in der Z-Achse von SCAN2 zu finden, könnten Sie folgenden Ausdruck verwenden:

ZUWEISEN/MI = MAXINDIZES (SCAN2.HIT[1..SCAN2.NUMHITS].Z)

ZUWEISEN/DREIPUNKTE = ARRAY(SCAN2.HIT[MI[1]].XYZ, SCAN2.HIT(MI[2]].XYZ, SCAN2.HIT[MI[3]].XYZ)


Variablen-Arrays

Variablen-Arrays müssen nicht deklariert werden. Variablen-Arrays entstehen, sobald eine ZUWEISEN-Anweisung ausgeführt wird und der Ausdruck auf der rechten Seite der Anweisung einen Array ergibt oder sich der Ausdruck auf der linken Seite der Anweisung auf ein Element in einem Variablen-Array bezieht.

Zuweisen/V1 = Array(3, 4, 5, 6, 7)
 Erstellt einen Array aus 5 Elementen und weist ihn V1 zu.
Zuweisen/V2 = V1[3]
 Weist V2 den Wert des dritten Elements im Array V1 zu: 5
Zuweisen/V1[4] = 23
 Weist dem vierten Element des Arrays V1 den Wert 23 zu.

Arrays werden dynamisch erstellt und zugeordnet. Ein Array kann demzufolge mit einem Array-Bezug auf der linken Seite einer ZUWEISEN-Anweisung erstellt werden.

Zuweisen/V3[5] = 8
 Erstellt dynamisch einen Array und setzt das fünfte Element auf 8.

Wenn auf ein Array-Element Bezug genommen wird, dem noch nie ein Wert zugewiesen wurde, ergibt der Array-Ausdruck den Wert 0.

Zuweisen/V3[5] = 8

Zuweisen/V4 = V3[5]
 V4 wird auf den Wert 8 gesetzt.
Zuweisen/V5 = V3[6]
 Wenn dem sechsten Element von V3 noch nie ein Wert zugewiesen wurde, wird V5 auf 0 gesetzt.

Ebenso wie andere Array-Typen können Ausdrücke innerhalb von eckigen Klammern verwendet werden.

Zuweisen/V3[5] = 8

Zuweisen/V4 = V3[2+3]
 V4 wird auf den Wert 8 gesetzt.

Variablen-Arrays können mehrere Dimensionen haben.

Zuweisen/V6 = Array( Array(4, 7, 2), Array(9, 2, 6))
 V6 wird ein 2-mal-3-dimensionaler Array zugewiesen, wobei gilt: V6[1, 1] = 4, V6[1, 2] = 7, V6[1, 3] = 2, V6[2, 1] = 9, V6[2,2] = 2 und V6[2,3] = 6.
Zuweisen/V7 = V6[2,1]
 V7 wird auf den Wert 9 gesetzt.

Variablen-Arrays können negative Indizes haben.

Zuweisen/V8[-3] = 5
 Das Element mit dem Index -3 des Arrays V8 wird auf 5 gesetzt.

Array-Zuweisungen überschreiben vorherige Werte:

Zuweisen/V8 = "Hallo"
 Der Variablen V8 entspricht der Zeichenfolge "Hallo".
Zuweisen/V8[2] = 5
 V8 ist nun nicht mehr vom Typ "Zeichenfolge", sondern vom Typ "Array"., dessen zweitem Element der Wert 5 zugewiesen wird.
Zuweisen/V8 = 9
 V8 ist nun nicht mehr vom Typ "Array", sondern vom Typ "Ganzzahl" mit dem Wert 9.

Arrays können aus mehreren Typen konstruiert werden:

Zuweisen/V9 = Array("Hallo", 3, 2.9, {ELEM1})
 Erstellt Array V9 mit 4 Elementen. Das erste Element ist eine Zeichenfolge, das zweite eine Ganzzahl, das dritte eine reelle Zahl, und das vierte Element ist ein Zeiger auf ELEM1.


Funktionen

Bei Funktionen handelt es sich um benutzerdefinierte Ausdrücke, die Parameter annehmen. Die Parameter werden im Ausdruck eingesetzt, bevor der Ausdruck ausgewertet wird.

Die folgende Liste enthält weitere Informationen zu Funktionen:

  • Das Schlüsselwort FUNKTION wird zum Erstellen von Funktionen eingesetzt.
  • Das erste Element bei der Verwendung des Schlüsselworts FUNKTION ist die Parameterliste.
  • Die Liste besteht aus kommagetrennten Parameternamen.
  • Die Parameterliste steht auch in Klammern.
  • Das zweite Element ist der Ausdruck.
  • Der Ausdruck enthält die Parameternamen dort, wo die Parameter beim Aufrufen der Funktion eingesetzt werden sollen.

Die folgenden Beispiele zeigen einige Funktionen.

Siehe auch:

Beispiel für allgemeine Funktionen

Beispiel für Funktionen mit mehreren Parametern

Beispiel für als Variable übergebene Funktionen

Beispiel für rekursiv definierte Funktionen

Beispiel für Funktionen, die andere Funktionen erstellen

Beispiel für Funktionen als Mitglied eines Arrays


Beispiel für allgemeine Funktionen

Zuweisen/MEINEFUNK = FUNKTION((X), X*3)
 Erstellt eine Funktion und weist sie der Variablen MEINFUNK zu. Die Funktion multipliziert einen Parameter mit 3.
Zuweisen/V1 = MEINEFUNK(7)
 Weist V1 durch Auswerten der Funktion MEINEFUNK(7) den Wert 21 zu. 7 ist der Parameter und ersetzt X im Ausdrucksteil der Funktionsdefinition. So wird X*3 zu 7*3.


Beispiel für Funktionen mit mehreren Parametern

Funktionen können über mehrere Parameter verfügen:

Zuweisen/ADDIERENUNDDUPLIZIEREN = FUNKTION((A,B), 2*(A+B))
 Erstellt eine Funktion und weist sie der Variablen ADDIERENUNDDUPLIZIEREN zu. Die Funktion addiert zwei Parameter und multipliziert das Ergebnis mit 2.
Zuweisen/V2 = ADDIERENUNDVERDOPPELN(4, 5)
 Weist V2 den Wert 18 zu. Die Parameter 4 und 5 werden im Ausdrucksteil der Funktion eingesetzt. Ergebnis: 2*(4+5).


Beispiel für als Variable übergebene Funktionen

Funktionen können als Variablen übergeben werden:

Zuweisen/NEUEFUNK = MEINEFUNK
 Stellt für die Variable NEUEFUNK die Funktion ein, die auch MEINEFUNK verwendet.
Assign/V3 = NEUEFUNK(12)
 Weist V3 den Wert 36 zu.


Beispiel für rekursiv definierte Funktionen

Funktionen können rekursiv definiert werden. (Das heißt, sie können so definiert werden, daß sie sich selbst aufrufen.)

Zuweisen/FAKTORPRODUKT = FUNKTION((X), IF(X<=1, 1, X*FAKTORPRODUKT(X-1))
 Erstellt eine Funktion namens "Faktorprodukt", die einen Parameter verarbeitet. Wenn der Parameter kleiner als oder gleich 1 ist, wird er als 1 ausgewertet, andernfalls wird er als X multipliziert mit dem Faktorprodukt von X-1 ausgewertet.
Zuweisen/V4 = FAKTORPRODUKT(5)
 Weist V4 den Wert 120 (5*4*3*2*1) zu.


Beispiel für Funktionen, die andere Funktionen erstellen

Funktionen können andere Funktionen erstellen.

Zuweisen/ZUSAMMENSETZEN = FUNKTION((F, G), FUNKTION((X), G(F(X)) ))
 Definiert ZUSAMMENSETZEN als Funktion, die zwei Funktionen als Parameter verwendet, mit denen sie eine neue Funktion erstellt.
Zuweisen/ADD2 = FUNKTION((X), X+2)
 Definiert ADD2 als Funktion, die 2 zu dem übergebenen Parameter hinzuaddiert.
Zuweisen/ADD3 = FUNKTION((X), X+3)
 Definiert ADD3 als Funktion, die 3 zu dem übergebenen Parameter hinzuaddiert.
Zuweisen/ADD5 = ZUSAMMENSETZEN(ADD2, ADD3)
 Definiert ADD5 als Funktion, die sich aus den Funktionen ADD2 und ADD3 zusammensetzt.
Zuweisen/V5 = ADD5(3)
 Weist V5 den Wert V8 zu.


Beispiel für Funktionen als Mitglied eines Arrays

Funktionen können Mitglieder eines Array sein.

Zuweisen/EINARRAY = ARRAY(3, FAKTORPRODUKT, "Hallo Welt", ADD5)
 Definiert EINARRAY als Array aus 4 Elementen: einer Zahl (3), einer Funktion (FAKTORPRODUKT), einer Zeichenfolge ("Hallo Welt"), und einer Funktion (Add5).
Zuweisen/V6 = EINARRAY[2](4)
 Das zweite Element von EINARRAY ist die Funktion FAKTORPRODUKT. Der Parameter 4 wird an diese Funktion übergeben, und das Ergebnis von 24 wird V6 zugewiesen.
Zuweisen/V7 = EINARRAY[2](EINARRAY[4]
(EINARRAY[1]))
 Von innen nach außen: Das erste Element von EINARRAY (3) wird an die Funktion des vierten Array-Elements (Add5) übergeben. Das Ergebnis, 8, wird an die Funktion des zweiten Array-Elements (FAKTORPRODUKT) übergeben und V7 zugewiesen. V7 erhält einen Wert von 40320.


Ableitung von Operanden

Erzwungene Umwandlung von Operanden (Koerzion)

Operanden können in andere Typen umgewandelt werden, indem ein beliebiger Umwandlungsoperator verwendet wird:

Siehe auch:

Ganzzahl-Umwandlung

Double-Umwandlung

Zeichenfolgen-Umwandlung

Punkt-Umwandlung

Operanden-Umwandlung und Ausdrücke gemischterArt


Ganzzahl-Ableitung

Ganzzahl-Umwandlung

INT(<Ausdruck>) – wandelt den Ausdruckswert in den Typ Ganzzahl um.

INT(4)
Ergibt 4.
INT(4.5)
Ergibt 4.
INT("Hallo Welt")
Ergibt 0.
INT("2")
Ergibt 2.
INT("2.2")
Ergibt 2.
INT("3 Blinde Mäuse")
Ergibt 3.
INT("Die 3 blinden Mäuse")
Ergibt 0.
INT("3, 4, 5")
Ergibt 3.
INT(MPUNKT(0, 0, 1))
Ergibt den Abstand des Punkts vom Nullpunkt, in diesem Fall 1.
INT(MPUNKT(3, 4, 5))
Abstand ergibt 7.0711. Dieser Ausdruck ergibt den Wert 7.


Double-Umwandlung

DOUBLE(<Ausdruck>) – wandelt den Ausdruckswert in den Typ "Double" um.

DOUBLE(4)
Ergibt 4,0.
DOUBLE(4.5)
Ergibt 4,5.
DOUBLE("Eine Zeichenfolge")
 Ergibt 0,0.
DOUBLE("3.5")
 Ergibt 3,5.
DOUBLE("3.5 Zoll")
Ergibt 3,5.
DOUBLE("Der Kreis mißt 3,5 Zoll im Durchmesser")
 Ergibt 0,0.
DOUBLE(MPUNKT(0,0,1))
 Ergibt 1,0.
DOUBLE(MPUNKT(3,4,5))
 Ergibt 7.0711.


Zeichenfolgen-Umwandlung

STR(<Ausdruck>) – wandelt den Wert des Ausdrucks in den Typ "Zeichenfolge" um.

STR(4)
Ergibt "4".
STR(4.5)
Ergibt "4.5".
STR("Hallo Welt")
Ergibt "Hallo Welt".
STR(MPUNKT(3,4,5))
Ergibt "3, 4, 5".


Punkt-Umwandlung

MPUNKT(<Ausdruck1>, <Ausdruck2>, <Ausdruck3>) – wandelt Ausdruckswerte in den Typ "Punkt" um – nachdem jeder einzelne Ausdruck in den Typ "Double" umgewandelt wurde.

MPUNKT( 1, 1, 1)
Ergibt Punkt 1.0, 1.0, 1.0.
MPUNKT( 1.1, 1.1, 1.1)
Ergibt Punkt 1,1, 1,1, 1,1.
MPUNKT("1", "1", "1")
Ergibt Punkt 1.0, 1.0, 1.0.
MPUNKT( 3, 4.5, "5.6")
Ergibt Punkt 3.0, 4.5, 5.6.
MPUNKT( MPUNKT(1, 0, 0), MPUNKT(0,1,0), MPUNKT(3,4,5) )
Ergibt Punkt 1.0, 1.0, 7.0711.


Operanden-Umwandlung und Ausdrücke unterschiedlicher Typen

Operanden-Umwandlung und Ausdrücke gemischter Art

Der Ausdruckauswerter wandelt Variablen in Ausdrücken gemischter Art automatisch um. Wenn das Ergebnis eines Ausdrucks wegen der automatisch erzwungenen Umwandlung nicht den Erwartungen entspricht, können Sie das gewünschte Ergebnis unter Umständen durch die Verwendung von Umwandlungsoperatoren erzielen. Die folgenden Beispiele zeigen eine automatisch erzwungene Umwandlung in Ausdrücken gemischter Art.

"KREIS" + 1
 Ergibt "KREIS1".
"2" + 2
Ergibt 4.
"Der Wert von 2+2 ist gleich " + 2 + 2
Ergibt "Der Wert von 2+2 ist gleich 22" (da Ausdrücke von links nach rechts ausgewertet werden).
"Der Wert von 2+2 ist gleich " + (2 + 2)
Ergibt "Der Wert von 2+2 ist gleich 4".
LINIE1.XYZ > 2
Ergibt 1, wenn der Abstand des Flächenmittelpunkts von LINIE1 zum Nullpunkt größer als 2 ist.
LINIE1.XYZ > LINIE2.XYZ
Ergibt 1, wenn der Abstand des Flächenmittelpunkts von LINIE1 zum Nullpunkt größer als der Abstand des Flächenmittelpunkts von LINIE2 ist.
LINIE1.XYZ = LINIE2.XYZ
Ergibt 1, falls die Flächenmittelpunkte von LINIE1 und LINIE2 gleich sind (in diesem Fall erfolgt keine erzwungene Typumwandlung)
DOUBLE(LINIE1.XYZ) = DOUBLE(LINIE2.XYZ)
Ergibt 1, wenn die Flächenmittelpunkte denselben Abstand zum Nullpunkt aufweisen.
11% 3.1
Ergibt 2 (% ist der für den Einsatz von Ganzzahlen entwickelte Modulo-Operator. Er gibt den Rest aus einer ganzzahligen Division zurück. 11%3 = 2. )
KREIS1.HIT [3.2].X
Ergibt den gemessenen X-Wert des dritten Meßpunkts von Kreis1. Das Argument 3.2 wird automatisch in eine Ganzzahl mit dem Wert 3 umgewandelt.


Operatoren und Funktionen

Es stehen folgende Operatoren und Funktionen zur Verfügung:

Siehe auch:

Basisoperatoren

Zeichenfolgenfunktionen

Punktfunktionen

Zeigerfunktionen

Array-Funktionen

Funktionsfunktionen

Gemischte Funktionen

TutorElement-Funktion

QualToolData-Funktion


Basisoperatoren

+ Addition: < Ausdruck > + <Ausdruck>
Addiert die beiden Ausdrücke. Im Fall von Zeichenfolgen werden diese verkettet.

- Subtraktion: <Ausdruck> - <Ausdruck>
Subtrahiert den ersten Ausdruck vom zweiten Ausdruck.

* Multiplikation: <Ausdruck> * <Ausdruck>
Multipliziert die beiden Ausdrücke.

/ Division: <Ausdruck> / <Ausdruck>
Dividiert den ersten Ausdruck durch den zweiten Ausdruck.

^ Potenzierung: <Ausdruck> ^ <Ausdruck>
Potenziert den ersten Ausdruck (Basis) mit dem zweiten Ausdruck (Exponent).

% Modulo: <Ausdruck> % <Ausdruck>
Gibt den Rest aus der Division des ersten Ausdrucks durch den zweiten zurück.

- Additive Umkehrung -<Ausdruck>
Gibt die additive Umkehrung des Ausdrucks zurück.

! Logische Nicht-Funktion: !<Ausdruck>
Gibt die logische Nicht-Funktion des Ausdrucks zurück.

== gleich: <Ausdruck> == <Ausdruck>
Ergibt 1, wenn die Ausdrücke gleich sind. Ergibt andernfalls 0. (Hier werden zwei Gleichheitszeichen verwendet, um den Zuweisungsoperator = in der ZUWEISEN-Anweisung zu unterscheiden).

<> ungleich: <Ausdruck> <> <Ausdruck>
Ergibt 1, wenn Ausdrücke nicht gleich sind. Ergibt andernfalls 0.

> größer als: <Ausdruck> > <Ausdruck>
Ergibt 1, wenn der erste Ausdruck größer ist als der zweite Ausdruck. Ergibt andernfalls 0.

>= größer als oder gleich: <Ausdruck> >= <Ausdruck>
Ergibt 1, wenn der erste Ausdruck größer als der zweite Ausdruck oder gleich ist. Ergibt andernfalls 0.

< kleiner als: <Ausdruck> < <Ausdruck>
Ergibt 1, wenn der erste Ausdruck kleiner ist als der zweite Ausdruck. Ergibt andernfalls 0.

<= kleiner als oder gleich: <Ausdruck> <= <Ausdruck>
Ergibt 1, wenn der erste Ausdruck kleiner als oder gleich dem zweiten Ausdruck ist. Ergibt andernfalls 0.

AND logisches Und: <Ausdruck> AND <Ausdruck>
Ergibt 1, wenn beide Ausdrücke nicht 0 ergeben. Ergibt andernfalls 0.

OR logisches Oder: <Ausdruck> OR <Ausdruck> Ergibt 1, wenn beide Ausdrücke nicht 0 ergeben. Ergibt andernfalls 0.

() Klammern: ( <Ausdruck> )
Gibt dem Ausdruck innerhalb der Klammern Priorität bei der Auswertung.

Jede der Trigonometriefunktionen unterstützt Eingaben und Ausgaben in Radianten.

ABS Absolutwert: ABS(<Double>)
Gibt den Absolutwert der Eingabe zurück.

ACOS Arkuscosinus: ACOS(<Double>)
Gibt den Arkuskosinus des Ausdrucks zurück. ACOS(5.0) gibt beispielsweise 0 zurück. ACOS(<Ausdruck>) gibt grundsätzlich den Arkuskosinus des Ausdruckswerts zurück.

ASIN Arkussinus: ASIN(<Double>)
Gibt den Arkussinus der Eingabe zurück.

ATAN Arkustangens: ATAN(<Double>)
Gibt den Arkustangens der Eingabe zurück.

COS Kosinus: COS(<Double>)
Gibt den Kosinus der Eingabe zurück.

DEG2RAD Grad in Radiant: DEG2RAD(<Double>)
Gibt die Eingabe dividiert durch 360 und multipliziert mit 2π zurück. Konvertiert von Grad in Radianten.

EXP Exponentialwert: EXP(<Double>)
Gibt den Exponentialwert des Ausdrucks zurück.

LN natürlicher Logarithmus: LN(<Double>)
Gibt den natürlichen Logarithmus des Ausdrucks zurück.

LOG Zehnerlogarithmus: LOG(<Double>)
Gibt den Zehnerlogarithmus des Ausdrucks zurück.

RAD2DEG Radianten in Grad: RAD2DEG(<Double>)
Gibt die Eingabe multipliziert mit 360 und dividiert durch 2π zurück. Konvertiert von Radianten in Grad.

ROUND Runden: ROUND(<Double>)
Gibt den auf die nächste Ganzzahl gerundeten Wert zurück.

SIN Sinus: SIN(<Double>)
Gibt den Sinus der Eingabe zurück.

SQRT Quadratwurzel: SQRT(<Double>)
Gibt die Quadratwurzel der Eingabe zurück.

TAN Tangens: TAN(<Double>)
Gibt den Tangens der Eingabe zurück.

Hinweis: Funktionen, bei denen die Eingabe außerhalb der Toleranz liegt (bei ACOS, ASIN, LOG, LN, SQRT usw. würde der Computer abstürzen), geben 0 zurück.


Zeichenfolgenfunktionen

CHR Zeichenkonvertierung: CHR(<Ganzzahl>)
Gibt eine Zeichenfolge zurück, die aus dem Zeichen besteht, das dem angegebenen ASCII-Dezimalwert entspricht.

ELEMENT Lage begrenzter Teilzeichenfolgen: ELEMENT(<Ganzzahl>, <Zeichenfolge1>, <Zeichenfolge2>)

Gibt die n-te (n = <Ganzzahl>) Teilzeichenfolge in Zeichenfolge2 zurück, wobei Zeichenfolge1 als begrenzender Text dient, durch den die Elemente in Zeichenfolge2 unterteilt werden. Beispiel: Wenn Zeichenfolge2 "6, 12, 8, 4, 5" ist, und Zeichenfolge1 aus "," besteht, dann lauten die 5 Elemente, die mit dem ELEMENT-Befehl einzeln extrahiert werden können "6", "12", "8", "4" und "5".

EQUAL Zeichenfolgevergleich ohne Berücksichtigung von Groß-/Kleinschreibung: EQUAL(<Zeichenfolge>, <Zeichenfolge>)

Vergleicht zwei Zeichenfolgen (ignoriert Groß-/Kleinschreibung), um zu bestimmen, ob sie gleich sind. Gibt eine auf den Wert 1 gesetzte Ganzzahl zurück, wenn die Zeichenfolgen gleich sind, bzw. 0, wenn sie nicht gleich sind.

GETSETTING Damit können Sie verschiedene PC-DMIS-Einstellungen unter Zugrundelegung der eingefügten Zeichenfolgenparameter zurückgeben.

GETSETTING(<Zeichenfolge>)

Folgende Zeichenfolgenparameter stehen zur Auswahl:

  • "CNC-Modus" – Gibt den Wert 1 zurück, wenn sich PC-DMIS im CNC-Modus befindet, andernfalls "0".
  • "Manueller Modus" – Gibt den Wert 1 zurück, wenn sich PC-DMIS im manuellen Modus befindet, andernfalls "0".
  • "Aktuelle Ausrichtung" - Gibt die aktuelle Ausrichtung als Zeichenfolge zurück.
  • "Aktuelle Arbeitsebene" - Gibt die aktuelle Arbeitsebene als Zeichenfolge zurück.
  • "Arbeitsebenen-Wert" - Gibt den Wert der aktuellen Arbeitsebene als numerischen Wert zurück.
  • "Vorhaltebereich" - Gibt den aktuellen Wert des Vorhaltebereichs als doppelt genauen Wert zurück.
  • "Rückfahrweg" - Gibt den aktuellen Wert des Rückfahrwegs als doppelt genauen Wert zurück.
  • "Prüfen" - Gibt den aktuellen Kontrollwert als doppelt genauen Wert zurück.
  • "Berührungsgeschwindigkeit" - Gibt den aktuellen Berührungsgeschwindigkeitswert als doppelt genauen Wert zurück.
  • "Berührungsgeschwindigkeit" - Gibt den aktuellen Bewegungsgeschwindigkeitswert als doppelt genauen Wert zurück.
  • "Fly-Modus" – Gibt den Wert 1 zurück, wenn sich PC-DMIS im Fly-Modus befindet, andernfalls "0".
  • "Ph9 vorhanden" – Gibt den Wert 1 zurück, wenn ein Ph9/Ph10 vorhanden ist, andernfalls 0.
  • "Manuelles KMG" – Gibt den Wert 1 zurück, wenn es sich um ein manuelles KMG handelt, andernfalls "0".
  • "LangStr(<Nummer oder ID>)" – Gibt eine aus einer Zahl oder einer der folgenden IDs bestehende Zeichenfolge der PC-DMIS-Ressourcen in der aktuellen Sprache wieder:
    "Ja", "Nein", "Bediener", "Protok", "Eingabe", "Dok", "JaNein", "Auslesen ", "Intern", "Extern", "Kart", "Polr", "Außer", "Innen", "Gauss", "Tschebyscheff", "Pferchkreis", "Hüllkreis", "Fester_Rad", "Arbeitsebene", "X-Achse", "Y-Achse", "Z-Achse", "Xplus", "Xminus", "YPlus", "YMinus", "ZPlus", "ZMinus", "Punkt", "Ebene", "Linie", "Kreis", "Kugel", "Zylinder", "Langloch", "Rechteckloch", "Kegel" oder "Kein".
  • "Erweiterte Blechoptionen" – Gibt den Wert 1 zurück, wenn das Kontrollkästchen Erweiterte Blechoptionen einblenden im Dialogfeld SetUp- Optionen aktiviert ist, andernfalls 0.
  • "LetzerMeßpunktBewegen(X)" – Gibt den X-Wert des letzten MESSPKT/BASIS- oder BEWEGUNGSPUNKT-Befehls zurück. Für diese Funktion muß sich PC-DMIS im CNC-Modus befinden.
  • "LetzerMeßpunktBewegen(Y)" – Gibt den Y-Wert des letzten MESSPKT/BASIS- oder BEWEGUNGSPUNKT-Befehls zurück. Für diese Funktion muß sich PC-DMIS im CNC-Modus befinden.
  • "LetzerMeßpunktBewegen(Z)" – Gibt den Z-Wert des letzten MESSPKT/BASIS- oder BEWEGUNGSPUNKT-Befehls zurück. Für diese Funktion muß sich PC-DMIS im CNC-Modus befinden.

Um zu ermitteln, ob sich PC-DMIS im MANUELLEN oder CNC-Modus befindet, betrachten Sie bitte folgendes Beispiel zur Verwendung der GETSETTING-Funktion:

Beispiel:
ZUWEISEN/DCCMODEVAR = GETSETTING("DCC Mode")
weist der Variablen DCCMODEVAR den Wert 1 zu, wenn sich PC-DMIS im CNC-Modus befindet, andernfalls den Wert 0.
ZUWEISEN/MANMODEVAR = GETSETTING("Manual Mode")
weist der Variablen MANMODEVAR den Wert 1 zu, wenn sich PC-DMIS im manuellen Modus befindet, andernfalls den Wert 0.

Um die Arbeitsebene zu ermitteln, betrachten Sie bitte folgendes Beispiel:

Beispiel:
ZUWEISEN/ARBEITSEBENE_ID = GETSETTING("Aktuelle Arbeitsebene")
weist der Variablen ARBEITSEBENE_ID den Zeichenfolgenwert der aktuellen Arbeitsebene (ZPLUS, ZMINUS etc.) zu.
ZUWEISEN/ARBEITSEBENE_WERT = GETSETTING("Arbeitsebene Wert")
weist der Variablen ARBEITSEBENE_WERT einen numerischen Wert für die Arbeitsebene zu. Folgende Werte sind mit den Arbeitsebenen verknüpft: ZPLUS = 0, ZMINUS = 3, XPLUS = 1, XMINUS = 4, YPLUS = 2 oder YMINUS = 5.

GETTEXT Gibt den aktuellen Text vom angegebenen Datenfeld zurück: GETTEXT(<Zeichenfolge oder Ganzzahl>, <Ganzzahl>, <Zeiger>)

Diese Funktion besitzt drei Felder.

Erstes Feld – Datenfeldnummer oder Beschreibung

Das erste Feld kann entweder eine Zeichenfolge (mit der Beschreibung des Datenfeldes) oder die Datenfeldnummer sein.

So erhalten Sie diese Werte:

  1. Versetzen Sie PC-DMIS in den Befehlsmodus. Klicken Sie mit der rechten Maustaste auf eine beliebige Stelle im Bearbeitungsfenster. Ein Kontextmenü wird eingeblendet.
  2. Wählen Sie im Kontextmenü Wechsle Popup-Anzeige und Datentypangaben.
  3. Setzen Sie die Maus auf ein Datenfeld im Bearbeitungsfenster. Es erscheinen die Datentypbeschreibung und -nummer sowie der Datentypindex des betreffenden Datenelements.

Hinweis: Da die Typbeschreibung von Sprache zu Sprache verschieden sein kann, sollten Sie die Typnummer verwenden, wenn das Werkstückprogramm unter einer anderen als der aktuellen Sprache eingesetzt wird.

Zweites Feld – Typindex

Das zweite Feld ist der Typindex. Der Wert dieses Feldes ist in der Regel Null. Der richtige Wert läßt sich mit derselben wie für das erste Feld beschriebenen Methode feststellen.

Drittes Feld – Befehlszeiger

Das dritte Feld ist ein Befehlszeiger. Es verweist auf den Befehl, der das Feld enthält, aus dem der Text stammt. Dieses Feld kann unter Verwendung der Befehlszeigerschreibweise (z.B. {F15}) oder mit dem GetCommand-Ausdruck angegeben werden (siehe folgendes Beispiel).

Beispiel:
ZUWEISEN/V1 = GETTEXT(" Besteinpassungs -Berechnungstyp", 0, {F15})
Dieser Befehl weist V1 den aktuellen Wert des Umschaltfelds "Besteinpassungs-Berechnungstyp" von Element F15 zu.
ZUWEISEN/V2 = GETCOMMAND("Kommentar", "OBEN", 1)
ZUWEISEN/V3 = GETTEXT("Kommentartyp", 1, V2)
V2 wird ein Zeiger zum ersten Kommentar vom Anfang des Werkstückprogramms aus gesehen zugewiesen.
V3 wird der Wert des Umschaltfelds "Kommentartyp" zugewiesen. Ist der erste Kommentar im Werkstückprogramm ein dem Bediener anzuzeigender Kommentar, erhält V3 als Wert die Zeichenfolge "BEDIENER".

INDEX Position der Teilzeichenfolge: INDEX(<Zeichenfolge>, <Zeichenfolge>)
Gibt die Position der zweiten Zeichenfolge innerhalb der ersten Zeichenfolge zurück. Die Position des ersten Zeichens in der Zeichenfolge ist 1. Ein Rückgabewert von 0 zeigt an, daß die Teilzeichenfolge nicht in der Zeichenfolge gefunden wurde.

LEFT Linke n Zeichen von Zeichenfolge: LEFT(<Zeichenfolge>, <Zeichenfolge>)
Gibt eine Zeichenfolge zurück und extrahiert dabei die durch den zweiten Ausdruck definierte Anzahl von Zeichen, von links nach rechts aus dem ersten Ausdruck. Der erste Ausdruck wird in den Typ "Zeichenfolge" und der zweite in den Typ "Ganzzahl" umgewandelt.

LEN Länge der Zeichenfolge: LEN(<Zeichenfolge>)
Gibt die Anzahl von Zeichen in der Zeichenfolge zurück.

LOWERCASE Zeichenfolge mit Kleinschreibung erstellen: LOWERCASE(<Zeichenfolge>)

Gibt die Kleinschriftentsprechung der Zeichenfolge als Zeichenfolge zurück.

MID Mittlere n Zeichen einer Zeichenfolge: MID(<Zeichenfolge>, <Ganzzahl>, <Optionale Ganzzahl>)
Gibt eine Teilzeichenfolge zurück und extrahiert dabei die durch den dritten Parameter definierte Anzahl von n Zeichen aus der durch den ersten Parameter definierten Zeichenfolge, beginnend an der durch den zweiten Parameter definierten Position. Wenn der dritte Parameter nicht definiert wird, werden alle Zeichen ab der Position bis zum Ende der Zeichenfolge zurückgegeben.

ORD Ordinalkonvertierung: ORD(<Zeichenfolge>)
Gibt den Ganzzahl-ASCII-Wert des ersten Zeichens der Zeichenfolge zurück. (0-255).

RIGHT rechte n Zeichen der Zeichenfolge: RIGHT(<Zeichenfolge>, <Ganzzahl>)
Gibt eine Zeichenfolge zurück und extrahiert dabei die durch die Ganzzahl definierte Anzahl von Zeichen, von rechts nach links aus der Zeichenfolge.

SYSTEMDATE Systemdatum: SYSTEMDATE(<Datumformat-Zeichenfolge>)

Gibt die datumsformatierte Zeichenfolge mit den aktuellen Datumsdetails zurück. Der Befehl SYSTEMDATE("dd'/'MM'/'yy") gibt die Zeichenfolge "15/03/99" zurück, wenn das aktuelle Datum der 15. März 1999 ist.

Verwenden Sie die folgenden Zeichenfolgenelemente, um die Datumszeichenfolge zu erstellen. Die unten definierte Groß-/Kleinschreibung der Elemente muß eingehalten werden (MM anstelle von mm). Nicht zum Datum gehörende Zeichen (z.B. Leerstellen zwischen Datumsformat-Zeichenfolge-Elementen) erscheinen in der Ausgabezeichenfolge an derselben Position wie in der Eingabezeichenfolge. Zeichen in der Eingabezeichenfolge, die von einfachen Anführungszeichen umschlossen sind, erscheinen in der Ausgabezeichenfolge an derselben Position, jedoch ohne die Anführungszeichen.

d – Tag des Monats als Ziffern. Ohne führende Null bei einstelligen Werten.

dd – Tag des Monats als Ziffern. Mit führender Null bei einstelligen Werten.

ddd – Drei-Buchstaben-Abkürzung für Wochentag.

dddd – Vollständige Bezeichnung des aktuellen Wochentags.

M – Monat als Ziffer ohne führende Null bei einstelligen Werten.

MM – Monat als Ziffer mit führender Null bei einstelligen Werten.

MMM – Monat als Drei-Buchstaben-Abkürzung.

MMMM – Vollständige Bezeichnung des Monats.

y – Jahr als Ziffer ohne führende Null bei einstelligen Werten.

yy – Jahr als Ziffer mit führenden Nullen bei einstelligen Werten.

yyyy – Jahr dargestellt mit 4 Ziffern.

SYSTEMTIME Formatierte Systemzeit: SYSTEMTIME(<Zeitformat-Zeichenfolge>)

Gibt die zeitformatierte Zeichenfolge mit den aktuellen Zeitdetails zurück. Der Befehl SYSTEMTIME("HH':'mm':'ss") gibt eine Zeichenfolge im Format "23:29:40" zurück.

Verwenden Sie die folgenden Zeichenfolgenelemente, um die Zeitzeichenfolge zu erstellen. Die unten angegebene Groß-/Kleinschreibung der Elemente muß eingehalten werden (tt anstelle von TT). Nicht zur Zeit gehörende Zeichen (z.B. Leerstellen zwischen Zeitformat-Zeichenfolge-Elementen) erscheinen in der Ausgabezeichenfolge an derselben Position wie in der Eingabezeichenfolge. Zeichen in der Eingabezeichenfolge, die von einfachen Anführungszeichen umschlossen sind, erscheinen in der Ausgabezeichenfolge an derselben Position, jedoch ohne die Anführungszeichen.

h – Stunden ohne führende Null bei einstelligen Werten, 12-Stunden-Format.

hh – Stunden mit führender Null bei einstelligen Werten, 12-Stunden-Format.

H – Stunden ohne führende Null bei einstelligen Werten, 24-Stunden-Format.

HH – Stunden mit führender Null bei einstelligen Werten, 24-Stunden-Format.

m – Minuten ohne führende Null bei einstelligen Werten.

mm – Minuten mit führender Null bei einstelligen Werten.

s – Sekunden ohne führende Null bei einstelligen Werten.

ss – Sekunden mit führender Null bei einstelligen Werten.

t – Ein-Zeichen-Zeitmarke, wie beispielsweise A oder P.

tt – Zwei-Zeichen-Zeitmarke – wie beispielsweise AM oder PM.

SYSTIME Systemzeit: SYSTIME()
Gibt die aktuelle Systemzeit als Zeichenfolge zurück. Diese Funktion unterscheidet sich von der oben beschriebenen SYSTEMTIME-Funktion. Sie gibt Tag, Datum, Uhrzeit und Jahr automatisch aus.
Beispiel: "Freitag, 7. Mai 1999, 13:50:21"

Hinweis: Die zurückgegebene Zeichenfolge für die aktuelle Systemzeit ist an die lokale Zeitzoneneinstellung angepaßt.

UPPERCASE Zeichenfolge in Großschreibung erstellen: UPPERCASE(<Zeichenfolge>)

Gibt die Großschriftentsprechung der Zeichenfolge als Zeichenfolge zurück.

FORMAT Format: FORMAT(<Zeichenfolge>, <Ganzzahl, doppelt, oder Punkt>)

Diese Funktion nimmt zwei Ausdrücke, und gibt eine mit der sprintf-Funktion in C++ vergleichbare formatierte Zeichenfolge zurück.

  • Ausdruck 1 sollte vom Typ Zeichenfolge sein und einen oder mehrere Formatspezifizierer enthalten. Wenn es sich um einen anderen Typ handelt, versucht der Ausdruckauswerter die Umwandlung in eine Zeichenfolge zu erzwingen. Die Zeichenfolge sollte einen Formatspezifizierer enthalten, wenn Ausdruck 2 vom Typ "Ganzzahl" oder "Double" ist und drei Formatspezifizierer (siehe die folgenden Abschnitte) wenn es sich bei Ausdruck 2 um den Typ "Punkt" handelt.
  • Ausdruck 2 muß vom Typ "Ganzzahl", "Double" oder "Punkt" sein. Wird ein anderer Typ verwendet, hat der Ausdruck den Wert 0.

Formatspezifizierer für die Formatfunktion:

Die Formatspezifizierer sollten dieselbe Syntax haben, wie die in der sprintf-Funktion der Programmiersprache C++ verwendeten Formatspezifizierer.

Ein Formatspezifizierer besteht aus optionalen und obligatorischen Feldern und hat folgende Syntax:

%[Attribute] [Breite] [.Genauigkeit] Typ

Jedes Feld des Formatspezifizierers besteht entweder aus einem Einzelzeichen oder einer Zahl, die eine bestimmte Formatoption bedeuten. Der einfachste Formatspezifizierer basiert einfach auf einem Prozentzeichen und einem Schriftzeichen (beispielsweise %d). Wenn nach dem Prozentzeichen ein Schriftzeichen folgt, das als Formatfeld bedeutungslos ist, wird das Zeichen nach STDOUT kopiert. Um beispielsweise ein Prozentzeichen-Schriftzeichen auszugeben, verwenden Sie %%.

Die optionalen Felder Attribut, Breite und Genauigkeit, die vor dem Schriftzeichen erscheinen, steuern andere Aspekte der Formatierung. Sie werden nachfolgend beschrieben.

Attribute Diese optionalen Zeichen steuern die Ausgabeanpassung und den Ausdruck von Zeichen, Leerstellen, Dezimalpunkten und Oktal-/Hexadezimalvorzeichen. Ein Formatspezifizierer kann mehrere Attribute aufweisen.

Folgende Attribute sind zulässig:

–
Bedeutung: Linksausrichtung des Ergebnisses an der vorgegebenen Feldbreite.
Standard: Rechtsausrichtung

+
Bedeutung: Ein Vorzeichen (+ oder –) vor den Ausgabewert setzen, wenn der Ausgabewert vorzeichenbehaftet ist.
Standard: Vorzeichen erscheinen nur bei Werten mit negativen Vorzeichen (–).

0
Bedeutung: Steht als Vorzeichen vor der Breite eine 0, werden Nullen hinzugefügt, bis die Mindestbreite erreicht wird. Erscheinen eine Null (0) und ein Minus (–), wird der Wert 0 ignoriert. Wird der Wert 0 mit einem Ganzzahlformat (i, u, x, X, o, d) definiert, wird der Wert 0 ignoriert.
Standard: Kein Auffüllen.

Leerzeichen (' ')
Bedeutung: Ein Leerzeichen vor den Ausgabewert setzen, wenn der Ausgabewert vorzeichenbehaftet und positiv ist. Das Leerzeichen wird ignoriert, wenn sowohl Leerzeichen als auch + Attribute erscheinen.
Standard: Kein Leerzeichen.

#
Bedeutung 1: In Kombination mit den Typen o, x, oder X, versieht das # Attribut jeden Ausgabewert, der ungleich Null ist, mit dem Vorzeichen 0, 0x beziehungsweise 0X.
Standard 1: Kein Vorzeichen.
Bedeutung 2: In Kombination mit den Typen e, E, oder f, erzwingt das # Attribut in allen Fällen ein Dezimalkomma in jedem Ausgabewert.
Standard 2: Das Dezimalkomma erscheint nur vor Ziffern.
Bedeutung 3: In Kombination mit dem Format g oder G, erzwingt das # Attribut in allen Fällen ein Dezimalkomma in jedem Ausgabewert und verhindert das Abschneiden der hinteren Nullstellen.
Standard 3: Das Dezimalkomma erscheint nur vor Ziffern. Die hinteren Nullstellen werden entfernt.
Hinweis: Wird in Kombination mit d, i, oder u ignoriert.

BreiteMit diesem zweiten optionalen Feld oder Argument wird die Mindestanzahl der auszugebenden Zeichen gesteuert. Es handelt sich bei diesem Wert um eine nicht negative Dezimalzahl (Ganzzahl).

  • Wenn die Zeichenanzahl im Ausgabewert die vorgegebene Breite unterschreitet, wird der Wert links oder rechts – je nach dem, ob ein – Attribut (für Linksausrichtung) festgelegt wurde - mit Leerzeichen aufgefüllt, bis die Mindestbreite erreicht wird.
  • Steht als Vorzeichen vor der Breite eine 0, werden Nullen hinzugefügt, bis die Mindestbreite erreicht wird (was bei linksausgerichteten Zahlen störend ist).

Die Definition der Breite ist niemals Ursache für ein Abschneiden der Werte. Wenn die Zeichenanzahl im Ausgabewert die vorgegebene Breite überschreitet, oder wenn keine Breite vorgegeben wurde, werden alle Zeichen des Werts gedruckt (je nach dem, wie die weiter unten aufgeführten Genauigkeitsvorgaben sind).

GenauigkeitDieses dritte optionale Feld oder Argument steuert die Anzahl der auszugebenden Zeichen, die Anzahl der Dezimalstellen oder die Anzahl signifikanter Ziffern. Anders als bei der Definition der Breite kann die Genauigkeitsdefinition entweder zu einem Abschneiden des Ausgabewerts oder zur Abrundung einen Gleitpunktwerts führen. Es handelt sich bei diesem Wert um eine nicht negative Dezimalzahl (Ganzzahl) nach einem Punkt (.).

TypDieses obligatorische Zeichen bestimmt, ob es sich bei dem zugehörigen Argument um den Typ "Ganzzahl", "Double" oder "Punkt" handelt. Die Liste verfügbarer Typen beinhaltet:

d – vorzeichenbehaftete Dezimalganzzahl

i – vorzeichenbehaftete Dezimalganzzahl

o – vorzeichenlose Oktalganzzahl

u – vorzeichenlose Dezimalganzzahl

u – vorzeichenlose HexGanzzahl, in Kombination mit "abcdef"

X – vorzeichenlose HexGanzzahl, in Kombination mit "ABCDEF"

e – doppelt genauer Wert in Exponentialform [-]d.dddd e [sign]ddd

E – wie "e", nur daß E zur Einführung des Exponenten verwendet wird

f – doppelt genauer Wert in der Form [-]d.dddd e [sign]ddd

g – formatiert entweder in das Format e oder f, je nach dem welches Format kompakter ist.

G – wie "g", nur daß G zur Einführung des Exponenten verwendet wird

Beispiel für die FORMAT-Funktion:

Dieses Beispiel zeigt verschiedene Anweisungen, welche die FORMAT-Funktion in einem Werkstückprogramm verwenden.

ZUWEISEN/V1 = TASTERDATEN("VERSATZ")
 V1 wird zum Typ "Punkt", der die Versätze des aktuellen Tasters darstellt. Unter Zugrundelegung der Werte aus dem für dieses Beispiel verwendeten Werkstückprogramm, wird V1 zu:
<-1.8898, 1.8898, 5.704>
ZUWEISEN/V3 = FORMAT("%.5f, %.5f, %.5f", V1)
 V3 wird zum Typ "Zeichenfolge". Die Zeichenfolge wird auf Basis des Punktobjekts der Variable V1 formatiert. V3 enthält nun:
-1.88976, 1.88976, 5.70403
ZUWEISEN/V4 = 1.123456789
 V4 wird zumTyp "Double".
ZUWEISEN/V5 = FORMAT("%.5f ", V4) + FORMAT("%.6f ", V4) + FORMAT("%.7f ", V4) + FORMAT("%.8f", V4)
 V5 wird zum Typ "Zeichenfolge" mit dem folgenden Wert:
1.12346 1.123457 1.1234568 1.12345679
ZUWEISEN/V6A = "V4 wird der Wert: " + FORMAT("%.8f", V4) zugewiesen.
 V6 wird zum Typ "Zeichenfolge" mit dem Wert:
"V4 hat den Wert: 1.12345679"
ZUWEISEN/V6B = FORMAT ("V4 wird der Wert: %.8f", V4) zugewiesen.
 Das Ergebnis des Ausdrucks bleibt dasselbe wie für V6A oben.
ZUWEISEN/V7 = 4444
 V7 wird zum Typ "Double", da alle Zahlen als doppelte Werte interpretiert werden, solange nicht die Umwandlung in Ganzzahlen erzwungen wird.
ZUWEISEN/V8 = FORMAT("%o", INT(V7))
 V8 wird zum Typ "Zeichenfolge" mit dem folgenden Wert:
10534
ZUWEISEN/V9 = FORMAT("%u", INT(-1))
 V9 wird zum Typ "Zeichenfolge" mit dem folgenden Wert:
4294967295
ZUWEISEN/V10 = FORMAT("%x", INT(2143))
 V10 wird zum Typ "Zeichenfolge" mit dem folgenden Wert:
85f
ZUWEISEN/V11 = FORMAT("%X", INT(9567))
 V11 wird zum Typ "Zeichenfolge" mit dem folgenden Wert:
255F
ZUWEISEN/V12 = FORMAT("%e", 0.0005432)
 V12 wird zum Typ "Zeichenfolge" mit dem folgenden Wert:
5.432000e-004
ZUWEISEN/V13 = FORMAT("%E", 145.3421)
 V13 wird zum Typ "Zeichenfolge" mit dem folgenden Wert:
1.453421E+002
ZUWEISEN/V14 = FORMAT(",%6d,", INT(1))
 V14 wird zum Typ "Zeichenfolge" mit dem folgenden Wert:
,     1,
ZUWEISEN/V15 = FORMAT(",%-6d,", INT(1))
 V15 wird zum Typ "Zeichenfolge" mit dem folgenden Wert:
,1     ,


Punktfunktionen

ZWISCHENWINKEL Winkel zwischen: ZWISCHENWINKEL( <Punkt>, <Punkt>)
Gibt den Winkel zwischen den beiden Vektoren in Grad zurück.

KREUZPRODUKT Kreuzprodukt: KREUZPRODUKT(<Punkt>, <Punkt>)
Der Rückgabewert gehört dem Typ "Punkt" an und entspricht dem Kreuzprodukt des ersten und zweiten Ausdrucks.

DELTA Vektorversatz: DELTA(<Punkt>, <Punkt>, <Double>)
Die Funktion nimmt den ersten Ausdruck (Punkt) und berechnet einen neuen Punkt in der Richtung des zweiten Ausdrucks (Vektor) mit einem Versatz gemäß dem dritten Ausdruck. DELTA (MPUNKT(0,0,0), MPUNKT(1,0,0), 10) gibt beispielsweise den Punkt 10,0,0 zurück.

SKALAR Skalarprodukt: SKALARPRODUKT(<Punkt>, <Punkt>)
Gibt das Skalarprodukt der beiden Punkte (Vektoren) zurück.

EINHEIT: Einheitsvektor: EINHEITSVEKTOR(<Punkt>)
Gibt den Einheitsvektor dividiert durch seine Länge zurück. EINHEITSVEKTOR(MPUNKT(0,0,0)) liefert beispielsweise den Punkt 0,0,1.


Zeigerfunktionen

2DABSTAND: 2D-Abstand: 2DABSTAND(<ELEM1>, <ELEM2>, <ELEM3>)
Berechnet den 2D-Abstand zwischen ELEM1 und ELEM2 nachdem sie auf ELEM3 projiziert wurden.

3DABSTAND: 3D-Abstand: 3DABSTAND(<ELEM1>, <ELEM2>)
Berechnet den 3D-Abstand zwischen ELEM1 und ELEM2.

GETCOMMAND: Fordert einen Zeiger zu dem durch die Parameter angegebenen Befehl an: GETCOMMAND(<Ganzzahl oder Zeichenfolge>, <Zeichenfolge>, <Ganzzahl>

Erster Parameter – Befehlsangabenfeld

Der erste Parameter ist das Befehlsangabenfeld. Es gibt den zu suchenden Befehlstyp an. Es kann folgendes übergeben werden:

  • Eine den Befehl beschreibende Zeichenfolge
  • Eine Nummer des Befehlstyps
  • Die eindeutige Nummernkennung

Wird die eindeutige ID des Befehls übergeben, sind keine weiteren Argumente erforderlich.

So erhalten Sie die den Befehl beschreibende Zeichenfolge, die Nummer des Befehlstyps und die eindeutige Nummernkennung des Befehls:

  1. Klicken Sie mit der rechten Maustaste auf eine Stelle im Bearbeitungsfenster.
  2. Wählen Sie Wechsle Popup-Anzeige | Befehlsangaben (PC-DMIS muß sich im Befehlsmodus befinden).
  3. Setzen Sie den Mauszeiger auf den gewünschten Befehl. In der Popup-Anzeige erscheinen die Beschreibung, Typnummer und eindeutige Nummernkennung des betreffenden Befehls.

Zweiter Parameter – Suchrichtung

Der zweite Parameter gibt die Suchrichtung an. Zulässige Werte sind:

Wert Beschreibung
NACH OBEN
 Dieser Wert bedeutet, daß die Suche bei dem aktuellen Befehl beginnen und nach oben weiterverlaufen soll.
NACH UNTEN
 Dieser Wert besagt, daß die Suche bei dem aktuellen Befehl beginnen und nach unten weiterverlaufen soll.
OBEN
 Dieser Wert besagt, daß die Suche am Anfang des Werkstückprogramms beginnen und nach unten weiterverlaufen soll.
UNTEN
 Dieser Wert besagt, daß die Suche bei dem letzten Objekt im Werkstückprogramm beginnen und nach oben weiterverlaufen soll.

Dritter Parameter – Zu suchende Instanz

Der dritte Parameter gibt an, nach welcher Instanz des Befehls gesucht werden soll.

Beispiel: Angenommen, im Werkstückprogramm befinden sich vier Instanzen des Befehls "Aktive Tasterspitze einstellen" und es wird ein Zeiger zur zweiten Instanz von oben angefordert. In diesem Fall würde wie nachstehend veranschaulicht als dritter Parameter "2" und als zweiter Parameter "OBEN" übergeben werden.

ZUWEISEN/V1 = GETCOMMAND("Aktive Tasterspitze einstellen", "OBEN", 2)

Mit der Funktion GETCOMMAND läßt sich der dritte Parameter für die Zeichenfolgenfunktion GETTEXT bereitstellen.

LEN: Zeigerschleifenzähler: LEN(<ZEIGER>)
Gibt aus, wie oft ein Zeiger in einer Schleife war. Ein Beispiel: Wenn sich das Element KREIS1 in einer Schleife befindet, die 10 Mal wiederholt wird, können Sie in einer Variable speichern, wie oft KREIS1 gemessen wurde. Hierfür verwenden Sie eine ZUWEISEN-Anweisung, die wie folgt aussieht: ZUWEISEN/V1=LEN({KREIS1})


Array-Funktionen

ARRAY: Array erstellen: ARRAY(<AUSDRUCK1>, <AUSDRUCK2>, <AUSDRUCK3>, …)
Erstellt ein Array-Objekt mit Array-Elementen, angegeben durch Ausdrucksparameter. Die Array-Elemente sind mit einem Basisindex von 1 durchnumeriert.

EQUAL: Elementweiser Array-Vergleich: EQUAL(<ARRAY>, <ARRAY>)
Vergleicht die beiden Arrays Element um Element, um zu bestimmen, ob sie dieselben Elemente enthalten. Wenn die beiden Arrays nicht gleich groß sind oder mindestens ein Element in einem Array nicht mit dem entsprechenden Element des anderen Arrays übereinstimmt, gibt die Funktion 0 zurück. Andernfalls liefert sie den Wert 1.

LEN: Array-Elementzähler: LEN(<ARRAY>)
Gibt die Anzahl der Elemente im Array zurück.

MAX: Größtes Array-Element: MAX(<ARRAY>)
Gibt das größte Element des Arrays zurück. Elemente im Array werden numerisch oder alphabetisch verglichen.

MIN: Kleinstes Array-Element: MIN(<ARRAY>)
Gibt das kleinste Element des Arrays zurück. Elemente im Array werden numerisch oder alphabetisch verglichen.


Funktionsfunktionen

FUNKTION: Erstellt eine Funktion: FUNKTION((<PARAM1>, <PARAM2>…), < AUSDRUCK >)
Erstellt eine Funktion, die die in der Parameterliste angegebenen Parameter in den Ausdruck einsetzt (siehe Beispiele unter "Funktionen").


Gemischte Funktionen

IF: Bedingte Ausdrucksauswertung: IF(<AUSDRUCK1>, <AUSDRUCK2>, <AUSDRUCK3>)

Wenn AUSDRUCK1 wahr (Ergebniswert nicht 0) ist, gibt diese Funktion den Wert von AUSDRUCK2 zurück; im anderen Fall liefert sie den Wert von AUSDRUCK3.

PROBEDATA: Gibt Daten zum aktuellen oder angegebenen Taster zurück: PROBEDATA(<OPTTASTERDATENTYP>, <OPTTASTERSPITZENID>, <OPTTASTERDATEINAME>)

OPTASTERDATENTYP: Optionaler Parameter, der angibt, welche Tasterdaten der Ausdruck zurückgeben soll. Wird dieser Parameter nicht angegeben, wird die aktuelle Tasterspitzen-ID zurückgegeben (Standardparameter). Dieser Parameter gehört dem Typ "Zeichenfolge" an. Jeder Ausdruck, der einen gültigen Zeichenfolgenausdruck ergibt, kann an der Position des ersten Ausdrucks stehen. Zu den gültigen Zeichenfolgenausdrücken (Groß-/Kleinschreibung ist unerheblich) für den ersten Ausdruck zählen:

Versatz – Gemessener Tasterspitzen-X-, -Y-, -Z-Versatz. Gibt den Typ "Punkt" zurück.

Vektor – Tasterspitzen-Vektor. Gibt den Typ "Punkt" zurück.

A - Tasterspitzen-A-Winkel. Gibt den Typ "Double" zurück.

B - Tasterspitzen-B-Winkel. Gibt den Typ "Double" zurück.

Durchm(esser) – Gemessener Tasterspitzen-Durchmesser. Die ersten sechs Zeichen "Durchm" sind erforderlich. Die restlichen Zeichen bis zur vollständigen Bezeichnung sind fakultativ. Gibt den Typ "Double" zurück.

Stärk(e) – Gemessene Tasterspitzenstärke. Die ersten fünf Zeichen "Stärk" sind erforderlich. Die restlichen Zeichen bis zur vollständigen Bezeichnung sind fakultativ. Gibt den Typ "Double" zurück.

Datum – Datum, an dem die Tasterspitze zuletzt kalibriert wurde. Gibt den Typ "Zeichenfolge" zurück.

Uhrzeit – Uhrzeit, an der die Tasterspitze zuletzt kalibriert wurde. Gibt den Typ "Zeichenfolge" zurück.

ID – Tasterspitzen-ID, der Standardparameter. Gibt den Typ "Zeichenfolge" zurück.

Hinweis: Durch Voranstellen des Buchstabens "T" bei den Funktionen "Versatz", "Durchmesser" oder "Stärke" werden die theoretischen Informationen (TVERSATZ, TDURCHMESSER bzw. TSTÄRKE) zurückgegeben.

OPTTASTERSPITZENID: Dieser optionale Parameter gibt an, mit welcher Tasterspitze die mit dem ersten Ausdruck spezifizierten Tasterdaten ermittelt werden sollen. Wenn dieser Parameter nicht angegeben wird, wird die aktuelle Tasterspitze verwendet. Dieser Parameter sollte vom Typ "Zeichenfolge" sein.

OPTTASTERDATEINAME: Dieser optionale Parameter gibt an, mit welcher Tasterdatei die Tasterdaten ermittelt werden sollen. Wenn dieser Parameter nicht angegeben wird, wird die aktuelle Tasterdatei verwendet.

IO-KANAL_FESTGELEGT: Zu diesem Ausdruck gehören zwei Parameter. Der erste Parameter gibt an, welcher I/O-Kanal überprüft wird (der Bereich der verfügbaren Nummern richtet sich nach der jeweils verwendeten Maschine). Der zweite Parameter bestimmt, ob die Software die Master- oder die Slave-Maschine abfragt. Ist für den zweiten Parameter 1 (Eins) festgelegt, wird die Slave-Steuereinheit abgefragt. Ist kein zweiter Parameter vorhanden (oder lautet dessen Einstellung Null), dann fragt der I/O-Kanal die Master-Steuereinheit ab. Außerhalb des Mehrarmbetriebs ist die Master-Steuereinheit die einzige verfügbare Option.

Hinweis: Wenn einer der angegebenen Parameter (Tasterdatentyp, Tasterspitzen-ID, Tasterdateiname oder Kanalnummer) ungültig ist, gibt der Ausdruck den Wert 0 zurück.

Beispiele:

ZUWEISEN/V1 = PROBEDATA()
V1 wird die aktuelle Tasterspitzen-ID zugewiesen (z.B. "T1A0B0").
ZUWEISEN/V2 = PROBEDATA("TOFFSET", "T1A45B0")
 V2 wird der theoretische Tasterversatz für die Tasterspitze T1A45B0 zugewiesen.
ZUWEISEN/V3 = PROBEDATA("Datum", "T1A90B90", "MEINTASTER")

V3 wird eine Zeichenfolge zugewiesen, die das Datum repräsentiert, an dem die Tasterspitze TA90B90 der Tasterdatei MEINTASTER zuletzt kalibriert wurde.

ZUWEISEN/V4 = FESTGELEGTER_IO-KANAL(3, 0)

V4 entspricht 1 (dem Wert "wahr"), wenn der Kanal festgelegt ist, andernfalls ergibt V4 den Wert 0 ("falsch").

EOF und EOL: Weitere Informationen zu diesen Funktionen finden Sie unter "Das Ende einer Datei oder Zeile prüfen" im Abschnitt "Verwenden der Datei-Eingabe/Ausgabe".


TutorElement-Funktion

Mit der Erweiterung um den Tutor-Übersetzers unterstützt PC-DMIS ab Version 3.5 die neue TutorElement-Funktion. Diese Funktion nimmt ein Argument, entweder eine Zahl oder eine Zeichenfolge (eine Zeichenfolge wäre beispielsweise die ID eines Elements).

Diese Funktion arbeitet mit dem Variablentyp Strukturen. Eine Beschreibung der Strukturen und Unterelemente finden Sie unter "Strukturen".

Beispiele:

ZUWEISEN/E = TUTORELEMENT(1)
Erstellt eine einzelne TutorElement-Struktur.
ZUWEISEN/WM = TUTORELEMENT(n) | Erstellt für jede Zahl über 1 einen Array von n TutorElement-Strukturen.
ZUWEISEN/KREIS1E = TUTORELEMENT("KREIS1") | Kopiert Daten aus dem Element KREIS1 in die TutorElement-Strukturen.

Die TutorElement-Struktur verfügt derzeit über die folgenden Unterelemente:

Unter-Element | Beschreibung
ID
 Zeichenfolge der Element-ID
TYP
 GANZZAHL (FTYP)
X, Y, Z
 X-, Y- und Z-Koordinatenwerte
PR | Polarradius
PA | Polarwinkel
CX
 I
CY
 J
CZ
 K
DM
 Durchmesser 1
DM2
 Durchmesser 2
DS
 Abstand vom Nullpunkt
A
 Winkel
AXY
 Winkel in der XY-Ebene
AYZ
 Winkel in der YZ-Ebene
AZX
 Winkel in der ZX-Ebene
F
 Formfehler
SDEV
 Standardabweichung
TP | Position


QualToolData-Funktion

Diese Funktion gibt Daten über den den aktuellen oder angegebenen Taster zurück: Die Syntax lautet wie folgt:

QUALTOOLDATA(<TOOLINFO>, <TOOLID>, <FACENUMBER>)

Dieser Befehl verwendet drei Parameter. Zur Datenrückgabe ist mindestens ein Parameter erforderlich.

Der erste Parameter, <TOOLINFO>, ist eine Zeichenfolge, mit der die Art der Informationen, die über das Kalibriernormal zurückzugeben sind, festgelegt wird. Wird dieser Parameter nicht übergeben, gibt diese Funktion den Namen des aktuellen oder angegebenen Kalibriernormals wieder.

  • "DURCHM" – Hiermit wird der Durchmesser des Kalibriernormals als doppelter Wert zurückgegeben.
  • "ID" – Hiermit wird der Name des Kalibriernormals als Zeichenfolge zurückgegeben.
  • "LÄNGE" – Erfüllt dieselbe Funktion wie "DURCHM". Gibt den Durchmesser des Kalibriernormal auch als doppelten Wert zurück.
  • "OVERRIDEIJK" " – Gibt den mit der Suche übersteuerten IJK-Vektor als Punktwert zurück.
  • "POLYDURCHM" – Gibt den Durchmesser der vorgegebenen polyedrischen Fläche als doppelten Wert zurück.
  • "POLYIJK" – Gibt den IJK-Vektor der vorgegebenen polyedrischen Fläche als Punktwert zurück.
  • "POLYXYZ" – Gibt den XYZ-Vektor der vorgegebenen polyedrischen Fläche als Punktwert zurück.
  • "SCHAFTIJK" – Gibt den IJK-Vektor des Schafts als Punktwert zurück.
  • "TYP" – Gibt den Typ des Kalibriernormals als ganzzahligen Wert (0 für eine Kugel, 1 für eine Slave-Kugel, 2 für ein Polyeder, 3 für ein Slave-Polyeder) wieder.
  • "BREITE" – Dieser Parameter wird nicht mehr verwendet.
  • "XYZ" – Gibt die XYZ-Position des des Kalibriernormals als Punktwert zurück.

Der zweite Parameter, <TOOLID>, ist eine Zeichenfolge, mit der Name des Kalibriernormals, über der Bediener Informationen erhalten möchte, festgelegt wird. Wird dieser Parameter nicht übergeben, nimmt PC-DMIS an, daß Informationen über das aktuelle Kalibriernormal gewünscht werden. Bei dieser Zeichenfolge wird nicht zwischen Groß- und Kleinbuchstaben unterschieden.

Den dritten Parameter, <FACENUMBER>, benötigen Sie nur für die Arbeit mit einem polyedrischen Kalibriernormal und nur dann, wenn der erste Parameter "POLYXYZ", "POLYIJK", or "POLYDURCHM" lautet. Hierbei handelt es sich um einen Ganzzahlwert, der vorgibt, welche Fläche des polyedrischen Kalibriernormals zu verwenden ist, um Daten zu erhalten.

Beispiele:

ZUWEISEN/VDURCHM = QUALTOOLDATA("DURCHM","KUGEL_1_IN")
 Übergibt der Variablen VDURCHM den Durchmesser des Kalibriernormals KUGEL_1_IN.
ZUWEISEN/VID = QUALTOOLDATA("ID")
 Übergibt der Variablen VID den Namen des aktuellen Kalibriernormals.
ZUWEISEN/VTYP = QUALTOOLDATA("TYP")

Übergibt der Variablen VTYP den aktuellen Kalibriernormalentyp.

ZUWEISEN/VPOLYDURCHM = QUALTOOLDATA("POLYDURCHM","POLYTEST",3)

Übergibt der Variablen VPOLYDURCHM den Durchmesser von Fläche 3 auf dem polyedrischen Kalibriernormal POLYTEST.


ID-Ausdrücke

Viele PC-DMIS-Befehle verwenden Element-IDs als Parameter. Konstruierte Elemente verwenden beispielsweise IDs, um anzugeben, welche Elemente als Eingabe für das konstruierte Element zu verwenden sind. ID-Ausdrücke ermöglichen es dem Benutzer, Bezug zu nehmen auf: eine bestimmte Instanz eines Elements, eine Gruppe von Elementen mit ähnlichen Namen, eine Instanz eines Elements innerhalb des Aufrufs eines Unterprogramms oder ein Element in einem externen Werkstückprogramm.

Siehe auch:

Element-Array-ID

ID-Stellvertreterzeichen

IDs für Elemente innerhalb von Unterprogrammen, BASIC-Skripts oder externen Programmen

ID-Ausdruckskombinationen


Element-Array-ID

Mit Hilfe einer Element-Array-ID können Sie auf eine bestimmte Instanz eines Elements oder einen Bereich von Elementinstanzen Bezug nehmen. Wenn das Element "Kreis1" beispielsweise innerhalb einer WHILE-Schleife steht, die fünfmal ausgeführt wird, existiert beim Verlassen der Schleife ein Array aus fünf Instanzen des Kreises. Um auf eine der fünf Instanzen von "Kreis1" Bezug zu nehmen, verwenden Sie die Element-Array-Syntax gemäß der Beschreibung unter "Element-Arrays"; wonach "Kreis1[1]" auf die erste Instanz und "Kreis1[2]" auf die zweite Instanz usw. Bezug nehmen würde.

Für einen Bezug auf Instanzenbereich verwenden Sie die Punkt-Punkt-Schreibweise (..). "Kreis1[1..3]" verweist auf den Bereich von der ersten bis zur dritten Instanz von Kreis1. "Kreis1[3..5]" verweist auf den Bereich von der dritten bis zur fünften Instanz von Kreis1. "Kreis1[1..5]" verweist auf den Bereich von der ersten bis zur fünften Instanz von Kreis1. Wenn auf einen Bereich von Elementen verwiesen wird, wird der Satz wie ein konstruierter Satz behandelt und verhält sich auch so.


ID-Stellvertreterzeichen

Mit Hilfe von ID-Stellvertreterzeichen können Sie auf einen Satz ähnlich benannter Elemente Bezug nehmen. Es gibt zwei Stellvertreterzeichen: "*" und "?". (Weitere Informationen hierzu finden Sie unter "Auswählen von Elementen durch Metazeichen-Entsprechung" im Abschnitt "Bearbeiten der CAD-Anzeige".)

Das Sternchen '*' steht für 0 oder mehr Instanzen beliebiger Zeichen. Um auf den Satz von Elementen Bezug zu nehmen, deren IDs mit den Buchstaben "KREIS" beginnen, verwenden Sie den ID-Ausdruck "KREIS*". Mit dieser Syntax wird ein Satz von Elementen erstellt, der alle Elemente umfaßt, deren ID mit "KREIS" beginnt, beispielsweise "KREIS1", "KREIS2", "KREIS3" oder "KREIS".

Hinweis: Wenn KREIS3 mehrere Ausführungen hat, wird nur die letzte Messung verwendet. Um auf die verschiedenen Instanzen der Ausführungen Bezug zu nehmen, verwenden Sie einen Ausdruck der folgenden Art: KREIS?[1..3]

Das Fragezeichen (?) steht für eine Instanz eines beliebigen Zeichens.

Beispiel: Der ID-Ausdruck "XX???1" erstellt einen Satz von Elementen, deren IDs sechs Zeichen lang sind, mit "XX" beginnen und mit "1" enden, beispielsweise "XXKRE1", "XXKEG1", "XXLIN1" oder "XXYY21".


IDs für Elemente innerhalb von Unterprogrammen, BASIC-Skripts oder externen Programmen

Unterprogramme können innerhalb des aktuellen Werkstückprogramms oder in ein externes Werkstückprogramm plaziert werden. Wenn sich das Unterprogramm in demselben Programm befindet wie der Aufruf des Unterprogramms, kann die unter "Element-Arrays" beschriebene Syntax für Element-Array-IDs verwendet werden, um auf einzelne Instanzen eines im Unterprogramm erstellten Elements zu verweisen. Befindet sich das Unterprogramm dagegen in einem externen Werkstückprogramm, kann folgende Syntax zur Bezugnahme auf Elemente verwendet werden, die im Unterprogramm erstellt wurden: "<ID des Unterprogrammaufrufs>:<Element-lD>". Wenn sich beispielsweise ein Element mit dem Namen "F1" in einem externen Unterprogramm befindet, das mit dem Befehl "Unterprogr. aufrufen" mit der ID "CS1" aufgerufen wurde, dann kann die Bezugnahme auf dieses Element über den ID-Ausdruck "CS1:F1" verwendet werden.

Beispiel: Das folgende Beispiel veranschaulicht lediglich die Verwendung der Syntax "CS1.F1" und ist nicht als tatsächliches Anwendungsbeispiel gedacht.

Programm 1: PLUS1.PRG

UNTERPROGRAMM/PLUS1, A1 = 0, A2 = 0, A3 = 0
F1 =ELEM/PUNKT,KART
THEO/A1+1,A2+1,A3+1,0,0,1
IST/3,1,1,0,0,1
MESS/PUNKT,1
MESSPKT/BASIS,A1+1,A2+1,A3+1,0,0,1,0,0,0
ENDEMESS/
ENDEUNTERPROG/

Programm 2: TEST.PRG

CS1 =UNTERPROGRAUFR/PLUS1,D:\V30\WINDEBUG\PLUS1.PRG: 3,3,3,,
MERKM D1= LAGE VON PUNKT CS1:F1 EINHEITEN=ZOLL ,$
GRAF=AUS TEXT=AUS MULT=10,00 AUSGABE=BEIDE
ACH NENNWERT +TOL -TOL MESS MAX MIN ABW AUSSER_TOL
X 3,0000 0,0000 0,0000 3,0000 3,0000 3,0000 0,0000 0,0000
----#----
ENDE DES ELEMALS D1

BASIC-Skripts erstellen und löschen Objekte dynamisch. Verwenden Sie die Syntax "<BASIC-Skript-ID>:<Element-ID>", um auf ein Element zu verweisen, das mit einem BASIC-Skript erstellt wurde. Wenn beispielsweise ein BASIC-Skript mit der ID "BS1" ein Element mit der ID "F2" erstellt, verwenden Sie den ID-Ausdruck "BS1:F2", um auf dieses Element zu verweisen.

Externe Programme können mit Hilfe des Befehls ANHÄNGEN an PC-DMIS angehängt werden. Verwenden Sie die folgende Syntax, um auf Elemente in solchen Programmen zu verweisen: "<ID des angehängten Programms>:<Element-ID>". Um auf Element "F3" im externen Werkstückprogramm mit der ID "GETR1" Bezug zu nehmen, verwenden Sie den Ausdruck "GETR1:F3". (Weitere Informationen hierzu finden Sie unter "Anhängen eines externen Werkstückprogramms" im Abschnitt "Hinzufügen externer Elemente".)


ID-Ausdrucks-Kombinationen

Array-ID-Ausdrücke, Stellvertreterzeichen-ID-Ausdrücke sowie externe Unterprogramm-, Basic-Skript- und externe Werkstückprogramm-ID-Ausdrücke können miteinander kombiniert werden. Um beispielsweise auf die dritte Instanz von allen Elementen in einem externen Werkstückprogramm mit der ID "BOLZMUST", die mit den Buchstaben "KREIS" beginnen, zu verweisen, verwenden Sie den ID-Ausdruck "BOLZMUST:KREIS*[3]".

ID-Ausdrücke können auch in regulären Ausdrücken verwendet werden. Der gemessene Flächenmittelpunkt der obigen Elementgruppe könnte einer Variablen also mit dem folgenden Ausdruck zugewiesen werden:

ZUWEISEN/V1 = BOLZMUST:KREIS*[3].XYZ

ID-Ausdrücke können auch in regulären Ausdrücken verwendet werden. Der gemessene Flächenmittelpunkt der obigen Elementgruppe könnte einer Variablen also mit dem folgenden Ausdruck zugewiesen werden:

ZUWEISEN/V1 = BOLZMUST:KREIS*[3].XYZ


Priorität

Vorrang

Ausdrücke werden anhand folgender Prioritäten ausgewertet. (Die Liste beginnt mit der höchsten Priorität und endet mit der niedrigsten.)

Höchste Priorität

  • Operanden
  • (monadisches Minus), !, (), Funktionen (i.e. ABS, COS, STR, LEN, CROSS usw.)
  • ^
  • *, /, %
  • +, -
  • ==, <>, <, <=, >, >=
  • AND
  • OR

Niedrigste Priorität


Adding External Elements

Einfügen eines externen Befehls

Einfügen von BASIC-Skripts

Anhängen eines externen Werkstückprogramms

Einfügen externer Objekte


Hinzufügen externer Elemente: Einführung

Dieser Abschnitt beschreibt verschiedene externe Elemente, die Sie in Ihre Werkstückprogramme einfügen können. Dazu gehören externe Anwendungen, BASIC-Skripts, Werkstückprogramme und andere Objekte, die zur weiteren Leistungsverbesserung Ihres Werkstückprogramms beitragen.

In diesem Abschnitt werden folgende Hauptthemen behandelt:

  • Einfügen eines externen Befehls
  • Einfügen von BASIC-Skripts
  • Anhängen eines externen Werkstückprogramms
  • Einfügen externer Objekte


Einfügen eines externen Befehls

Display Menu Roadmap
Mit der Menüoption Externer Befehl können Sie einen Befehl in das Bearbeitungsfenster einfügen, bei dessen Markierung und Ausführung ein externes Programm oder eine externe Stapeldatei über das Werkstückprogramm ausgeführt wird.

  • Normale DOS-Befehle können ausgeführt werden, wenn sie in eine Stapeldatei eingegeben werden.
  • PC-DMIS führt den externen Befehl nur aus, wenn dieser im Bearbeitungsfenster markiert ist.
  • Es müssen ein gültiger Pfad und Dateiname verwendet werden.
  • PC-DMIS unterbricht die Ausführung des Programms und zeigt eine Meldung an, wenn es während der Ausführung auf den Befehl EXTERNERBEFEHL/ANZEIGE trifft. Klicken Sie auf OK, um die Ausführung des Werkstückprogramms fortzusetzen.

Siehe auch:

So fügen Sie einen externen Befehl ein:

Option "Anzeige"

Option "Keine Anzeige"

Die Optionen "Warten" und "Nicht Warten"

. . . Schaltfläche

Erstellen eines externen Befehls als Menü- oder Symbolleisteneintrag


So fügen Sie einen externen Befehl ein:

Wählen Sie die Menüoption Externer Befehl aus. Das Dialogfeld Externer Befehl wird eingeblendet.

  1. Geben Sie im Dialogfeld einen externen Befehl an. Hierfür geben Sie entweder den vollständigen Dateipfad in das verfügbare Feld ein, oder Sie suchen mit Hilfe der . . Schaltfläche . . . nach der Datei.
  2. Wählen Sie die Option Anzeige oder Keine Anzeige.
  3. Klicken Sie auf OK. Der Befehl wird in das Bearbeitungsfenster eingefügt.

Für diese Option lautet die Befehlszeile im Bearbeitungsfenster:

EXTERNERBEFEHL/ANZEIGESTATUS ; Pfadname

ANZEIGESTATUS = Dieses Umschaltfeld steuert, ob PC-DMIS die Ausführung unterbricht und Sie in einer Meldung darüber informiert, daß ein externer Befehl ausgeführt wird. Es ist zwischen ANZEIGE und KEINE_ANZEIGE umschaltbar.

Pfadname = Diese Zeichenfolge steht für den Pfad und Dateinamen der ausführbaren Datei oder Stapeldatei.


Option "Anzeige"

Bei Auswahl der Option Anzeige wird eine Meldung angezeigt, in der Sie darüber informiert werden, daß die Programmausführung unterbrochen und ein externer Befehl ausgeführt wird. PC-DMIS unterbricht die Ausführung solange, bis Sie in der Meldung auf OK klicken.


Option "Keine Anzeige"

Bei Auswahl der Option Keine Anzeige wird der festgelegte externe Befehl ausgeführt, ohne eine Meldung anzuzeigen. PC-DMIS setzt die Ausführung fort, während gleichzeitig die Programm- oder Stapeldatei ausgeführt wird.


Die Optionen "Warten" und "Nicht Warten"

Die meisten Optionen werden erst dann verfügbar, wenn die Option Keine Anzeige ausgewählt wird.

Durch die Option Warten wird das Werkstückprogramm solange unterbrochen, bis der externe Befehl seine Operation beendet hat.

Durch die Option Nicht Warten wird das Werkstückprogramm fortgesetzt, selbst wenn der externe Befehl seine Operation noch nicht beendet hat.


. . . Schaltfläche

Die . . Schaltfläche . . . im Dialogfeld öffnet das Dialogfeld Öffnen. Damit können Sie den Dateinamen für den externen Befehl auswählen. Wenn Sie diese Datei öffnen, fügt PC-DMIS den vollständigen Pfad in das Dialogfeld Externer Befehl ein.


Erstellen eines externen Befehls als Menü- oder Symbolleisteneintrag

In PC-DMIS können Sie Symbolleisten und Menüs anpassen und neue Einträge einfügen, die mit EXE-, BAT- oder BAS-Dateien verknüpft sind. Weitere Informationen hierzu finden Sie unter "Anpassen der Benutzeroberfläche" im Abschnitt "Navigation durch die Benutzeroberfläche".


Einfügen von BASIC-Skripts

Display Menu Roadmap
Die mit PC-DMIS gelieferte BASIC-Programmiersprache stellt eine leistungsstarke Erweiterung der Softwarefunktionen dar. BASIC-Skripts oder -Anwendungen können innerhalb der PC-DMIS-Umgebung erstellt (bzw. von einem anderen Programm importiert werden) und mit einer Schaltfläche auf einer benutzerdefinierbaren Symbolleiste verknüpft werden, um die einfache Ausführung leistungsstarker Makros zu ermöglichen. Die mit PC-DMIS bereitgestellte Version von BASIC bietet alle Funktionen einer höheren Programmiersprache, u.a. angepaßte Dialogfelder (die mit Hilfe des integrierten Bearbeitungsfensters erstellt werden), ODBC- und OLE-Unterstützung. Diese Optionen sind nur als Zusatzoption zur Grundausstattung des Geometriesoftwarepakets PC-DMIS erhältlich.

Die im Bearbeitungsfenster für ein Beispielskript angezeigte Befehlszeile lautet:
SKRIPT/DATEINAME = C:\PCDMISW\beispiel.bas
FUNKTION/Haupt
ENDESKRIPT/

Die Hilfedatei der BASIC-Sprache von PC-DMIS gibt eine komplette Beschreibung dieses Zusatzpakets. Wenn Sie kein Exemplar der Hilfedatei mit Ihrem BASIC-Programmiersprachenpaket erhalten haben, wenden Sie sich an den PC-DMIS-Software-Kundendienst.

Siehe auch:

So fügen Sie ein BASIC-Skript als Befehl ein

So fügen Sie ein BASIC-Skript als Menü- oder Symbolleisteneintragein

Variablen in und aus BASIC-Skripts übergeben


So fügen Sie ein BASIC-Skript als Befehl ein

Die Menüoption BASIC-Skript öffnet das Dialogfeld BASIC-Script einfügen.

Display Menu Roadmap
In diesem Dialogfeld können Sie ein BASIC-Skriptobjekt in das Werkstückprogramm einfügen. BASIC-Skriptobjekte enthalten den Namen des BASIC-Skripts, das gleichzeitig mit der Ausführung des BASIC-Skriptobjekts ausgeführt werden sollte. Die Ausführung des Werkstückprogramms wird erst fortgesetzt, nachdem das BASIC-Skript ausgeführt wurde. Erstellt das BASIC-Skript beim Ausführen Objekte, so werden diese in das Werkstückprogramm eingefügt und ausgeführt. Die durch BASIC-Skripts eingefügten Objekte sind in einer anderen Farbe hervorgehoben als andere Objekte, woran erkennbar ist, daß sie von einem BASIC-Skript erstellt wurden. Weitere Hinweise zu BASIC-Skripts finden Sie in der PC-DMIS-Online-Hilfe für BASIC.


So fügen Sie ein BASIC-Skript als Menü- oder Symbolleisteneintrag ein

In PC-DMIS können Sie Symbolleisten und Menüs anpassen und neue Einträge einfügen, die mit EXE-, BAT- oder BAS-Dateien verknüpft sind. Weitere Informationen hierzu finden Sie unter "Anpassen der Benutzeroberfläche" im Abschnitt "Navigation durch die Benutzeroberfläche".


Übergeben von Variablen in und aus BASIC-Skripts

Vom PC-DMIS-Code aus können Variablen nur an BASIC-Skripts und nicht aus BASIC-Skripts übergeben werden.

Die einzigen unterstützten Variablentypen, die aus PC-DMIS an BASIC-Skripts übergeben werden können, sind:

  • Integer (Ganzzahl)
  • String (Zeichenfolge)
  • Double (Verdoppelung)

Sehen Sie sich diese Beispiele an:

Hinweis: In PC-DMIS halten Variablen Werte nur während der Werkstückprogrammausführung; während der Lernzeit haben PC-DMIS-Variablen immer einen Wert von Null.

Siehe auch:

Beispiel 1: Verwenden der Funktionszeile zum Übergeben von Variablen

Beispiel 2: Verwenden der Methoden "GetVariableValue" und "SetVariableValue" zum Übergeben von Variablen


Beispiel 1: Verwenden der Funktionszeile zum Übergeben von Variablen

Durch den folgenden Befehl wird ein BASIC-Skript namens TEST.BAS ausgeführt. Bei der Ausführung übergibt er zudem die von der FUNKTION/ Zeile definierten Variablen an das Skript TEST.BAS:

CS2=SKRIPT/DATEINAME= D:\PROGRAMME\PCDMIS35\TEST.BAS
FUNKTION/ShowVars,3,"Hallo",2.5,,
STARTSKRIPT/

Nachfolgend sehen Sie das Skript TEST.BAS. Bei Ausführung zeigt es die übergebenen Variablen in den entsprechenden Meldungsfeldern an:

Sub ShowVars(IntVar As Integer, StrVar As String, DoubleVar As Double)
  msgbox "Die übergebene Ganzzahl-Variable ist " & IntVar
  msgbox "Die übergebene Zeichenfolgenvariable ist " & StrVar
  msgbox "Die übergebene Double-Variable ist " & DoubleVar
End Sub (Ende Unterprogramm)


Beispiel 2: Verwenden der Methoden "GetVariableValue" und "SetVariableValue" zum Übergeben von Variablen

Im folgenden Beispiel wird zuerst der PC-DMIS-Code verwendet, um einen Ganzzahlwert durch den Benutzer zu erhalten, der dann der Variablen V1 zugewiesen wird.

C1=KOMMENTAR/EINGABE,Geben Sie einen Ganzzahlwert ein,
ZUWEISEN/V1 = INT(C1.EINGABE)
KOMMENTAR/BEDIENER,VOR DEM SKRIPT: Die Variable ist
,V1

Dann wird ein BASIC-Skript namens TEST.BAS aufgerufen.

CS2=SKRIPT/DATEINAME= D:\PROGRAMME\PCDMIS35\TEST.BAS
FUNKTION/Main,,
STARTSKIPT/
ENDSKRIPT/

Dies ist TEST2.BAS:

Sub Main
  Dim App As Object
  Set App = CreateObject ("PCDLRN.Application")
  Dim Part As Object
  Set Part = App.ActivePartProgram
  Dim Var As Object
  Set Var = Part.GetVariableValue ("V1")
  Dim I As Object
  If Not Var Is Nothing Then
    Var.LongValue = Var.LongValue + 1
    Part.SetVariableValue "V1", Var
    MsgBox "V1 lautet nun: " & Var
  Else
    Msgbox "Variable wurde nicht gefunden."
  End If
End Sub

In diesem Skript wird die Variable V1 genommen und mit Hilfe der Automatisierungsmethoden GetVariableValue und SetVariableValue um Eins erhöht. Der neue Wert für V1 wird dann in das Werkstückprogramm eingefügt.

PC-DMIS zeigt die geänderte Variable dann in einem Bedienerkommentar an.

KOMMENTAR/BEDIENER, NACH DEM SKRIPT: Variable ist nun
,V1


Anhängen eines externen Werkstückprogramms

Display Menu Roadmap
Über Werkstückprogramm anhängen wird das Dialogfeld Externes Werkstückprogramm anhängen geöffnet.

Dieses Dialogfeld enthält die folgenden Optionen:

Option | Beschreibung
Dateiname für externes Werkstückprogramm | In dieses Feld können Sie den Pfad für das anzuhängende Werkstückprogramm eingeben. Alternativ dazu können Sie den Dateinamen auch mit der Schaltfläche Durchsuchen auswählen. Der Pfad wird dann automatisch in das Feld eingefügt.
Programm-Ausrichtungen gleichsetzen | In diesem Bereich können Sie aus den verfügbaren Listen Ausrichtungen auswählen, die von zwei Werkstückprogrammen gemeinsam genutzt werden sollen. Weitere Informationen hierzu finden Sie unter "Angleichen einer Ausrichtung" im Abschnitt "Erstellen und Verwenden von Ausrichtungen".

Die Menüoption Werkstückprogramm anhängen ist besonders im Mehrarmbetrieb von Nutzen. Mit dieser Option können Sie ein Werkstückprogramm des "Slave"-Arms an ein Werkstückprogramm des "Master"-Arms anhängen. Durch das Anhängen des Werkstückprogramms wird die Datenfreigabe ermöglicht, so daß sowohl der "Master"- als auch der "Slave"-Arm über die gleiche Ausrichtung verlaufen, Elementdaten zu Berechnungszwecken von einem Werkstückprogramm an das nächste weitergeben und allgemein zusammenarbeiten können. (Weitere Informationen zum Mehrarmbetrieb finden Sie unter ""Arbeiten im Mehrarmbetrieb".)

Siehe auch:

Verwenden eines Zeigers zur Bezugnahme auf Daten


Verwenden eines Zeigers zur Bezugnahme auf Daten

Es kann häufig vorkommen, daß Sie beim Zugriff auf ein angehängtes Werkstückprogramm die darin enthaltenen Daten verwenden möchten. Wenn Sie auf diese Daten verweisen, müssen Sie auf den Zeiger (oder die Variable) Bezug nehmen, der über den Speicherort des Werkstückprogramms Auskunft gibt.

Hierzu ein Beispiel:

Angenommen, TEST_A.prg wird an das aktuelle Werkstückprogramm angehängt. Der Befehl hierzu würde etwa folgendermaßen lauten:

CS1=ANHÄNGEN/C:\PCDMISW\TEST_A.PRG, Maschine=
ANGLEICHEN/LOKALE AUSRICHTUNG = A1, ANGEHÄNGTE AUSRICHTUNG = A1

CS1 ist der Zeiger. Unter Verwendung dieses Zeigers werden Daten aus dem angehängten Werkstückprogramm extrahiert.

Angenommen, Sie möchten den gemessenen X-Wert für Element F1 aus TEST_A.prg innerhalb des aktuellen Werkstückprogramms anzeigen. Die von Ihnen hierzu verwendete Anweisung sähe etwa folgendermaßen aus:

KOMMENTAR/BEDIENER,"Der X-Wert für F1 aus dem angehängten Werkstücprogramm lautet:"
,CS1:F1.X

Mit dem Code CS1:F1.X wird PC-DMIS angewiesen, in TEST_A.prg nach Element F1 zu suchen und den X-Wert anzuzeigen. Auf diese Weise wird innerhalb von PC-DMIS auf Zeiger verwiesen.

PC-DMIS listet auch Elemente aus einem angehängten Werkstückprogramm im Dialogfeld Konstruktion oder Merkmal auf. PC-DMIS zeigt den ID-Zeiger des angehängten Werkstückprogramms im Listenfeld Elemente an. Links neben dem Zeiger wird ein Pluszeichen (+) eingeblendet. Durch Klicken auf das Pluszeichen wird eine Ansicht aller Elemente im angehängten Werkstückprogramm ein- oder ausgeblendet. Nachdem Sie die Ansicht erweitert haben, um alle Elemente des angehängten Werkstückprogramms anzuzeigen, können Sie Elemente auswählen, um sie beim Konstruktions- oder Merkmalsverfahren zu verwenden.

Hinweis: Der Zeiger des angehängten Werkstückprogramms kann nicht ausgewählt werden. Sie können nur die erweiterten IDs auswählen, die mit dem Zeiger verknüpft sind.


Hinzufügen externer Elemente - Einfügen externer Objekte

Home Contents Previous Next

Einfügen externer Objekte

Cancel OK Object Type List Display as Icon Create from File Create New

Display Menu Roadmap
Mit der Menüoption Externes Objekt können Sie verschiedene Objekttypen aus anderen Anwendungen Ihres Systems in das Bearbeitungsfenster aufnehmen. Welche Objekttypen eingefügt werden können, hängt von den auf dem Computersystem installierten Anwendungen ab. Zu den Objekten, die eingefügt werden können, gehören u.a. Grafiken, Audio-Clips, Film-Clips, Midi-Clips, Dokumente, Arbeitsblätter, Datenbanktabellen usw. Sie können externe Objekte verwenden, um Lernvideos, gesprochene oder schriftliche Anweisungen in das Werkstückprogramm zu importieren.

Achtung: Vergewissern Sie sich, daß sich das Bearbeitungsfenster im Befehlsmodus befindet, wenn mit externen Objekten gearbeitet wird.

Siehe auch:

Neu erstellen

Aus Datei erstellen

Als Symbol anzeigen

Liste der Objekttypen

Markieren externer Objekte für die Ausführung


Neu erstellen

Mit der Schaltfläche Neu erstellen können Sie an einer im Bearbeitungsfenster angegebenen Stelle eine neue Datei eines bestimmten Objekttyps erstellen. Die Objekttypen werden in der Liste Objekttyp ausgewählt. Objekte können nur entweder unmittelbar vor oder nach einem Element im Werkstückprogramm plaziert werden.

So erstellen Sie ein neues Objekt und plazieren es im Bearbeitungsfenster.

  1. Klicken Sie auf die Option Neu erstellen.
  2. Wählen Sie den gewünschten Objekttyp im Listenfeld Objekttyp aus. Das Objekt erscheint im Bearbeitungsfenster in einem Feld, das von kleinen rechteckigen Punkten begrenzt ist. Mit Hilfe der Maus können Sie das Feld an eine andere Stelle ziehen, oder Sie können es über die kleinen Rechtecke in seiner Größe anpassen.
  3. Doppelklicken Sie innerhalb des Objekts. Daraufhin wird die Anwendung, die das jeweilige Objekt ausführt, im Bearbeitungsfenster geöffnet.
  4. Bearbeiten Sie das Objekt mit den spezifischen Werkzeugen der eingefügten Anwendung.
  5. Wenn Sie fertig sind, klicken Sie im Bearbeitungsfenster auf den Bereich außerhalb des eingefügten Objekts.

Beispiel: So fügen Sie ein neues Word-Dokument in das Bearbeitungsfenster ein:

  1. Klicken Sie auf die Option Neu erstellen.
  2. Wählen Sie das gewünschte Word-Dokumentobjekt in der Liste Objekttyp aus.
  3. Ziehen Sie das Objektfeld mit der Maus an die gewünschte Stelle im Bearbeitungsfenster.
  4. Passen Sie die Größe des Felds entsprechend an.
  5. Geben Sie die gewünschte Information in das Word-Dokumentobjekt ein.
  6. Klicken Sie außerhalb des Objekts, um zu den normalen Funktionen des PC-DMIS-Bearbeitungsfensters zurückzukehren. Das Word-Dokument bleibt im Bearbeitungsfenster.


Aus Datei erstellen

Mit der Option Aus Datei erstellen können Sie eine zuvor erstellte Datei als ein Objekt in das Bearbeitungsfenster einfügen.

Vorgehensweise:

  1. Klicken Sie auf die Schaltfläche Aus Datei erstellen.
  2. Geben Sie den Verzeichnispfad zu der Datei ein, die Sie als Objekt plazieren möchten. Oder navigieren Sie mit der Schaltfläche Durchsuchen zum entsprechenden Verzeichnis.
  3. Wählen Sie die als Objekt einzufügende Datei aus.
  4. Klicken Sie auf die Schaltfläche OK. Das Objekt wird nun im Bearbeitungsfenster eingeblendet. Mit Hilfe der Maus können Sie das Feld an eine andere Stelle ziehen, oder Sie können es über die kleinen Rechtecke in seiner Größe anpassen.

Beispiel: Wenn Sie ein zuvor geschriebenes Word-Dokument, das eine Reihe von Anweisungen zur Bedienung des KMG enthält, in das Bearbeitungsfenster einfügen möchten, markieren Sie die Option Aus Datei erstellen, navigieren zum Verzeichnis mit dem Dokument und klicken Sie auf OK. Das Dokument wird im Bearbeitungsfenster innerhalb des Objektfelds eingeblendet. Sie können das Objektfeld mit der Maus an die jeweils gewünschte Stelle im Bearbeitungsfenster verschieben und es in seiner Größe anpassen.

Siehe auch:

Verknüpfung


Verknüpfen

Wenn Sie die Option Aus Datei erstellen markieren, können Sie Ihr Objekt mit dem Bearbeitungsfenster verknüpfen. Wenn Sie das Objekt dann wieder mit seiner Ursprungsdatei verknüpfen, werden sämtliche an der Ursprungsdatei vorgenommenen Änderungen auch im Bearbeitungsfenster aktualisiert.


Als Symbol anzeigen

Über das Kontrollkästchen Als Symbol anzeigen können Sie, anstatt die Daten direkt anzuzeigen, das eingebettete Objekt als Symbol anzeigen lassen. Das Symbol wird dann im Bearbeitungsfenster durch Doppelklicken aktiviert.

Beispiel: Angenommen, Sie plazieren ein Word-Dokument im Bearbeitungsfenster und markieren das Kontrollkästchen Als Symbol anzeigen. Das Word-Dokument wird dann als Symbol angezeigt. Wenn Sie jetzt auf das Symbol doppelklicken, wird die eingebettete Anwendung geöffnet und zeigt die im Word-Dokument enthaltenen Informationen an.


Liste "Objekttyp"

Die Liste Objekttyp enthält die auf Ihrem Computersystem zur Auswahl stehenden Objekttypen. Diese unterscheiden sich je nach Computer und den auf der Festplatte installierten Anwendungsprogrammen.

So wählen Sie einen Objekttyp:

  1. Suchen Sie das Objekt mit der Bildlaufleiste oder der NACH-OBEN- bzw. NACH-UNTEN-TASTE.
  2. Markieren Sie das Objekt.
  3. Klicken Sie auf die Schaltfläche OK.


Markieren externer Objekte für die Ausführung

Standardmäßig werden externe Objekte gedruckt und nicht ausgeführt, während ein Werkstückprogramms ausgeführt wird. Bei manchen Objekten kann die gewünschte Aktion jedoch im Ausführen und nicht im Drucken bestehen.

Beispiel: Bei Einbettung einer Grafik kann die gewünschte Aktion darin bestehen, die Grafik in das Protokoll auszugeben. Bei Einbettung eines Audio- oder Film-Clips hingegen kann die gewünschte Aktion darin bestehen, bei Ausführung des Objekts gleichzeitig die Wiedergabe des Clips stattfinden zu lassen.

Externe Objekte haben vier Ausführungsmodi:

  1. Drucken – Nicht ausführen
  2. Nicht drucken – Nicht ausführen
  3. Nicht drucken – Ausführen
  4. Drucken – Ausführen

Um zwischen den verschiedenen Modi umzuschalten, drücken Sie F3, während sich die Einfügemarke auf der gleichen Zeile wie das externe Objekt im Bearbeitungsfenster befindet.

Zur Anzeige des aktuellen Ausführungsmodus des Objekts werden schraffierte Linien und Umrandungen verwendet. Siehe nachstehende Beispiele:

Keine schraffierten Linien | Wenn keine schraffierten Linien über dem Objekt erscheinen, wird dieses im Protokoll ausgegeben.
Schraffierte Umrandung | Wenn das Objekt von einer schraffierten Umrandung umgeben ist, wird es ausgeführt.

Hinweis: Bei der Ausführungsaktion handelt es sich immer um die gleiche Aktion wie beim Doppelklicken auf ein externes Objekt. Bei Mediendateien lautet die Standardaktion in der Regel Wiedergabe. Bei den meisten anderen Objekten lautet die Standardaktion Bearbeiten.
WiedergabeAudio-Clips geben akustische Signale wieder. Film-Clips geben den jeweiligen Film wieder, usw.

BearbeitenBei Objekten, bei denen die Standardaktion "Bearbeiten" lautet, handelt es sich in der Regel nicht um auszuführende Objekte. Einige Anwendungsobjekte sind jedoch auch in der Lage, bei ihrer Aktivierung angepaßte BASIC-Skripts auszuführen. Ein Beispiel dieses externen Objekttyps wäre ein Word-Dokument oder ein Excel-Arbeitsblatt. Mit Hilfe dieser Objekttypen und den PC-DMIS-Automationsbefehlen kann das Objekt durch Daten aus dem Werkstückprogramm geändert werden. So kann beispielsweise ein Excel-Diagramm in ein Werkstückprogramm mit einem BASIC- Skript eingefügt werden, wobei letzteres bei seiner Aktivierung anhand der PC-DMIS-Automationsbefehle Daten aus dem Werkstückprogramm extrahiert und das Diagramm entsprechend anpaßt, bevor es an das Prüfprotokoll ausgegeben wird..


Using Multiple Arm Mode

Einrichten eines Mehrarm-KMGs

Erstellen eines Werkstückprogramms im Mehrarmbetrieb

Ausführen eines Master-Werkstückprogramms auf dem Slave-Arm


Arbeiten im Mehrarmbetrieb : Einführung

Der Master-/Slave-Modus wurde zur Steuerung von Mehrarm-KMGs entwickelt. Die Option Mehrarmbetrieb ist als Zusatzpaket verfügbar. Derzeit unterstützt diese Version nur den Mehrarmbetrieb mit zwei Meßarmen. Die beiden Arme müssen an verschiedenen Computern mit jeweils einer PC-DMIS-Version und einer Anschlußsperre angeschlossen sein. Diese Arme arbeiten mit einer gemeinsamen Ausrichtung.

Zukünftige Versionen von PC-DMIS werden die Möglichkeit bieten, bis zu vier Maschinenarme mit einer PC-DMIS-Version steuern zu können, wobei jede beliebige Kombination von ein bis vier Computern verwendet werden kann.

Der Meßvorgang im Mehrarmbetrieb ist mit dem bei Einzelarmgeräten vergleichbar, mit dem Unterschied, daß PC-DMIS bei Einsatz eines Mehrarmsystems in der Lage sein muß, den Arm zu erkennen, der die Messung ausführt. In den Themen dieses Abschnitt werden die hierfür notwendigen Verfahren erläutert.

Die Hauptthemen in diesem Abschnitt beschreiben die Einrichtung eines Mehrarm-KMGs, das Erstellen von Werkstückprogrammen im Mehrarmbetrieb sowie das Vorgehen beim Ausführen eines "Master"-Werkstückprogramms auf einem "Slave"-Arm. Es handelt sich um folgende Themen:

  • Einrichten eines Mehrarm-KMGs
  • Erstellen eines Werkstückprogramms im Mehrarmbetrieb
  • Ausführen eines Master-Werkstückprogramms auf dem Slave-Arm

Hinweis: PC-DMIS muß vor Ausführung des Mehrarmbetriebs auf allen Systemen installiert werden.


Einrichten eines Mehrarm-KMGs

Verfahren Sie zum Einrichten eines Mehrarm-KMGss wie folgt:

Siehe auch:

Schritt 1: PC-DMIS auf allen Computern installieren

Schritt 2: Bestimmen des Master-Systems

Schritt 3: Die KMG-Achsen der jedes Arms in Übereinstimmung bringen

Schritt 4: Konfigurieren der Ausrichtung des Tastkopf-Adapters

Schritt 5: Einrichtung von Master und Slave

Schritt 6: Verbindung zwischen den Computern herstellen

Schritt 7: Mehrarmbetrieb aktivieren

Schritt 8: Kalibrieren des Mehrarmsystems

Schritt 9: Kalibrieren der Mehrarm-Tasterdateien

Schritt 10: Einrichten des Mehrarm-Nullpunkts


Schritt 1: : PC-DMIS auf allen Computern installieren

Der erste Schritt zum Einrichten dieser Option ist die Installation von PC-DMIS auf allen Computern, die zur Mehrarm-Steuerung dienen. (Schlagen Sie ggf. in der Dokumentation mit den Software-Installationsverfahren nach.)

Die Mehrarm-Option muß in beiden Anschlußsperren programmiert sein. So können Sie dies überprüfen:

  1. Wählen Sie Info über PC-DMIS für Windows aus. Das Dialogfeld Info über PC-DMIS für Windows wird eingeblendet. Es enthält Informationen über die Programmentwickler und die installierten Module.

Display Menu Roadmap
Öffnen Sie die Auswahlliste Module, und suchen Sie nach "Mehrarm". Wenn dieser Eintrag angeführt wird, ist die Option in der aktuellen Anschlußsperre aktiviert.

Sie sollte auf allen Computern verfügbar sein.

Nächster Schritt


Schritt 2: : Bestimmen des Master-Systems

Bestimmen des Master-Systems. In den meisten Fällen kann jede Arm-Steuerung diese Aufgabe übernehmen. Wenn das Mehrarmsystem jedoch mit einem Drehtisch ausgestattet ist, dann muß es sich bei dem Master um die Steuereinheit handeln, die den Drehtisch steuert.

Kennzeichnen Sie die Master- und Slave-Arme in irgendeiner Weise. Die meisten Benutzer bezeichnen den Master-Arm als "ARM1" und den Slave-Arm als "ARM2".

Nächster Schritt


Schritt 3: : Die KMG-Achsen jedes Arms in Übereinstimmung bringen

Die KMG-Achsen aller Arme müssen aufeinander abgestimmt werden. Die Achsen X+, Y+ und Z+ müssen bei allen Armen in derselben Richtung verlaufen.

Wenn Sie die Zuweisung oder Richtung der Achsen ändern müssen:

  1. Vergewissern Sie sich, daß PC-DMIS im Online-Modus ausgeführt wird.
  2. Wählen Sie auf dem Slave-Computer die Option KMG-Schnittstelle einrichten aus. Das Dialogfeld KMG-Optionen wird angezeigt.

Display Menu Roadmap
Wählen Sie die Registerkarte Achsen. Daraufhin werden die Kombinationsfelder der X-, Y- und Z-Achsen eingeblendet.

  4. Weisen Sie die Achsen des angeschlossenen KMGs über die Listen X, Y oder Z so zu, daß sie den Achsen des Master-Arms entsprechen. Normalerweise müssen nur die X- und Y-Achsen verändert werden.
  5. Klicken Sie auf Übernehmen, um die Änderungen beizubehalten.
  6. Beenden Sie PC-DMIS, nachdem das Dialogfeld geschlossen wurde.
  7. Starten Sie PC-DMIS neu, und überprüfen Sie die Richtigkeit der vorgenommenen Änderungen, indem Sie die Achsen der beiden Arme in dieselben Richtungen verschieben. Die Achsenzähler müssen sich entsprechend erhöhen.

Hinweis: Die numerischen Werte der Zähler stimmen erst nach Abschluß der Master-/Slave-Kalibrierung überein.

Nächster Schritt


Schritt 4: : Konfigurieren der Ausrichtung des Tastkopf-Adapters

Nachdem PC-DMIS auf allen Systemen geladen und die Achsen aller Arme in Übereinstimmung gebracht wurden, konfigurieren Sie die Ausrichtung des Tastkopf-Adapters wie folgt:

  1. Wählen Sie die Menüoption Setup um das Dialogfeld Setup-Optionen zu öffnen (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Wählen Sie die Registerkarte Werkstück/KMG.

  3. Klicken Sie auf die Schaltfläche Einbaulage des Tastkopfes. Das Dialogfeld Konfiguration des Wristwinkels für die Tasterköpfe erscheint.
  4. Ändern Sie ggf. die Adapterausrichtung für jeden KMG-Arm.

Nächster Schritt


Schritt 5: : Einrichten von Master und Slave

Home Contents Previous Next

Schritt 5: Einrichten von Master und Slave

Im nächsten Schritt wird der Mehrarmbetrieb für den aktuellen Computer eingerichtet. Wählen Sie die Menüoption Mehrarmbetrieb einrichten. Über diese Menüoption wird das Dialogfeld Mehrarmbetrieb einrichten aufgerufen.

Display Menu Roadmap

Cancel OK This computer is not used in a multiple arm setting This computer (master) drives all arms This computer (slave) relays commands from the main computer

Bestimmen Sie mit Hilfe dieses Dialogfelds, ob der aktuelle Computer der Haupt-PC (Master) ist und Befehle an die Slave-Arme sendet oder ob der aktuelle Computer ein Neben-PC (Slave) ist, der durch den Haupt-PC empfangene Befehle weitergibt.

Nächster Schritt

Siehe auch:

Dieser Computer (Slave) empfängt Daten vom Haupt-PC

Dieser Computer (Master) steuert alle Arme

Dieser Computer ist nicht im Mehrarmbetrieb


Dieser Computer (Slave) empfängt Daten vom Haupt-PC

Mit der Option Dieser Computer empfängt Daten vom Haupt-PC kann der Computer ausschließlich mit dem Slave-Arm bedient werden und empfängt Daten vom Haupt-PC. Die Verbindung kann über einen TCP/IP-Port erfolgen.


Dieser Computer (Master) steuert folgende Arme

Dieser Haupt-PC steuert folgende Arme

Mit der Option Dieser Haupt-PC steuert folgende Arme wird der Computer zum Hauptrechner, der alle Arme steuert. Sie können für den Anschluß des Computers an die anderen Arme entweder die Option Direkte Verbindung oder TCPIP Verbindung wählen.

Wenn Sie die Option TCPIP Verbindung wählen, können Sie die anderen Arme anschließen. Vorgehensweise:

  1. Wählen Sie den Arm aus der Liste Einstellungen für Arm aus.
  2. Verwenden Sie die IP-Adresse in dem Feld neben TCPIP Verbindung. Geben Sie die Portnummer der IP-Adresse in das gleichnamige Feld ein.
  3. Geben Sie die Verzögerung für die TCPIP-Verbindung im Feld Verzögerung für TCPIP in Millisekunden: an. Mit diesem Wert wird die Anzahl von Millisekunden für die Verzögerung bestimmt, nach der PC-DMIS eine TCPIP-Verbindung zwischen dem aktuellen Arm und dem aktuellen Computer aufzubauen versucht.


Dieser PC ist nicht im Mehrarm Betrieb

Wird der Computer nicht zur Einrichtung des Mehrarmbetriebs eingesetzt, wählen Sie die Option "Dieser PC ist nicht im Mehrarm Betrieb".


Schritt 6: : Verbindung zwischen den Computern herstellen

Sie müssen nun eine Verbindung zwischen Computern herstellen, damit sie miteinander kommunizieren können. Sie können entweder über ein serielles Nullmodemkabel miteinander verbunden werden, oder wenn beide Computer an ein Netzwerk angeschlossen sind, können sie über das Netzwerk miteinander kommunizieren. Schritt 5: Unter Einrichten von Master und Slave wird beschrieben, wie Sie diese Kommunikationseinstellungen konfigurieren.

Wenn die Verbindung zwischen den Computern hergestellt ist,

  1. starten Sie PC-DMIS auf den Slave-Systemen. Sie brauchen kein neues Werkstückprogramm zu erstellen oder Programm zu aktivieren. Die Slave-Systeme sind nun bereit.
  2. Starten Sie PC-DMIS auf dem Master-System. Erstellen Sie ein neues Werkstückprogramm (oder aktivieren Sie ein bereits verfügbares Programm). Wenn Sie ein neues Werkstückprogramm erstellen, blendet PC-DMIS das Dialogfeld Taster Hilfsprogramme automatisch ein.
  3. Wählen oder erstellen Sie eine Tasterdatei, in der ein Taster auf dem Master-Arm beschrieben wird. Vergessen Sie nicht, den AB-Winkel für die Tastspitze, die Sie für die Kalibrierung der Beziehung zwischen den beiden Armen verwenden wollen, hinzuzufügen. Der Taster soll nicht zu diesem Zeitpunkt kalibriert werden.

Nächster Schritt


Schritt 7: : Mehrarmbetrieb aktivieren

Wenn Sie nach Einrichten beider Computer ein Werkstückprogramm aufrufen, sollte die Menüoption Mehrarmbetrieb aktivieren auf dem Haupt-PC zur Auswahl stehen. Wählen Sie die Menüoption Aktivieren Mehrarmbetrieb.

Display Menu Roadmap
In PC-DMIS erscheint im Menü links neben der Option Aktivieren Mehrarm Betrieb ein Häkchen, wenn diese Option ausgewählt ist. Die Symbolleiste Aktuelle Arme wird angezeigt.

Wenn der Mehrarmbetrieb aktiviert wird, versucht PC-DMIS, eine Verbindung zwischen den Computersystemen herzustellen. Über diese Verbindung werden die Aktivitäten aller Arme aufeinander abgestimmt.

Problembehandlung

Wenn PC-DMIS nach Aktivierung des Mehrarmbetriebs keine Verbindung zwischen den Computern herstellen kann, erhalten Sie eine Fehlermeldung des Inhalts, daß ein bestimmter Arm nicht antwortet. Das Kommunikationsproblem kann folgende Ursachen haben:

  • PC-DMIS ist auf einem Computer nicht in Betrieb.
  • Ein Online-Werkstückprogramm läuft gerade auf einem Slave-PC.
  • Die Kabelverbindungen (oder sonstige Netzwerkverbindungen) zwischen den Computern funktionieren nicht.
  • Die im Dialogfeld Mehrarmbetrieb einrichten vorgenommenen Einstellungen sind falsch.

Nachdem zwischen den Computern eine Verbindung hergestellt wurde, können Sie die Beziehung zwischen den beiden Armen kalibrieren.

Hinweis: Wird das aktive Werkstückprogramm verlassen, beendet PC-DMIS auch den Mehrarmbetrieb.

Nächster Schritt


Schritt 8: : Kalibrieren des Mehrarmsystems

Als nächstes erhalten Sie Anweisungen zur Kalibrierung des Mehrarmsystems.

Vor der Kalibrierung und nachdem PC-DMIS auf den Computersystemen gestartet wurde, müssen alle beim Meßvorgang zu verwendenden Taster definiert werden. PC-DMIS kalibriert das Mehrarmsystem auf Basis der theoretischen Daten der Taster.

Achtung: Die Taster sollen zu diesem Zeitpunkt nicht kalibriert werden. Vergewissern Sie sich nur, daß die Taster richtig definiert sind und daß Sie den AB-Winkel für die Tastspitze, mit der Sie das Mehrarmsystem kalibrieren wollen, hinzugefügt haben.

Ihr Werkstückprogramm sollte mehrere TASTERLADEN-Befehle enthalten, jeweils einen für jeden Arm.

Vorsicht: Sollten Sie bereits zuvor den Versuch einer Mehrarm-Kalibrierung unternommen haben, hat PC-DMIS armtoarm.dat-Dateien erzeugt, die in den jeweiligen PC-DMIS-Installationsverzeichnissen der Master- und Slave-Computer abgelegt sind. Sie sollten diese Dateien löschen oder umbenennen, bevor Sie den Vorgang fortsetzen, damit die Daten der vorherigen Kalibrierversuche den aktuellen Kalibriervorgang nicht negativ beeinflussen.

Gehen Sie folgendermaßen vor:

Siehe auch:

Kalbrierverfahren – Teil 1

Kalbrierverfahren – Teil 2

Durchführen einer automatischen Kalibrierung


Kalibrierverfahren - Teil 1

Kalibrierverfahren – Teil 1

Display Menu Roadmap
Wählen Sie die Menüoption Mehrarmbetrieb (die nur im Online-Modus zur Auswahl steht). Daraufhin erscheint das Dialogfeld Mehrarm Kalibrierung.

  2. Vergewissern Sie sich, daß die korrekten Tasterdateien und -spitzen in den Arm-Listen des Dialogfelds ausgewählt sind.
  3. Wählen Sie ein geeignetes Kalibriernormal aus der Liste verfügbarer Kalibriernormale aus. Das Kalibriernormal ist nur bei Auswahl der Option Beide Arme messen Kalibriernormal erforderlich.
  4. Wählen Sie die Art der Kalibrierung, entweder Ausrichtung und Nullpunkt oder Nur Nullpunkt.
    • Bei Auswahl der Option Ausrichtung und Nullpunkt wird eine 3D-Transformation zwischen den beiden Armen erstellt, um eine evtl. fehlende Winkelhaltigkeit zwischen den beiden Armen zu kompensieren. Dies muß mindestens einmal durchgeführt werden (wird gewöhnlich regelmäßig alle paar Monate wiederholt).
    • Bei Auswahl von Nur Nullpunkt wird nur der Nullpunkt zwischen den beiden Armen korrigiert. Diese Art von Kalibrierung sollte häufiger auf Basis der Tasterkalibrierverfahren durchgeführt werden. Beim Kalibrieren des Tasters werden Sie gefragt, ob Sie das Kalibriernormal verschoben haben. Wenn Sie PC-DMIS in der Regel mitteilen, daß Sie das Kalibriernormal nicht verschoben haben, muß der Nullpunkt zwischen den Armen nicht korrigiert werden. Bei einer anderslautenden Antwort müssen Sie nach der Kalibrierung der Tastspitzen zu diesem Dialogfeld zurückkehren und als Art der Armverhältniskalibrierung Nur Nullpunkt wählen.

Achtung: Bei Auswahl von Nur Nullpunkt müssen Sie sicherstellen, daß Sie kalibrierte Tastspitzen verwenden.

  5. Wählen Sie das für die Kalibrierung auszuführende Verfahren, indem Sie entweder die Option Manuelle Kalibrierung oder CNN -Kalibrierung aktivieren.
    • Bei Wahl der Option Manuelle Kalibrierung fordert PC-DMIS Sie auf, jede Kugelposition mit dem Bedienelement des KMGs zu messen. Nachdem Sie den ersten Meßpunkt oben auf der Kugel aufgenommen haben, nimmt PC-DMIS die restlichen Meßpunkte im CNC-Modus auf.
    • Bei Auswahl der Option CNC-Kalibrierung dürfen Sie alle Kugelpositionen angeben. PC-DMIS führt die gesamte Bewegung unter Computersteuerung durch. Durch Anklicken der Schaltfläche Editiere Positionen können Sie die Lage der einzelnen Kugelpositionen ändern, indem Sie die entsprechenden X-, Y- und Z-Koordinaten eingeben (zum Eintragen dieser drei Werte kann es nützlich sein, die Position des aktiven Arms zu lesen).

Achtung: Sie müssen zuerst mindestens eine Kalibrierung vom Nullpunkt zum Arm im manuellen Modus durchführen, um die grundlegende Beziehung zwischen den beiden Armen zu bestimmen. Wenn Sie eine Armverhältniskalibrierung abgeschlossen haben, erzeugt PC-DMIS eine Datei namens armarm.results, die in dem über die Menüoption Suchpfad festlegen definierten Verzeichnis gespeichert wird (siehe auch "Angeben externer Verzeichnisse für die Suche" im Abschnitt "Voreinstellungen"). Diese Textdatei kann mit jedem beliebigen Textbearbeitungsprogramm geöffnet werden. Sie zeigt die Güte der Kugelpositionen an der Stelle, wo Sie die erste Einpassung vorgenommen haben, an. Insbesondere wird der "Einpassungsfehler" angezeigt. Diese Information könnte hilfreich sein, um die Gesamtgenauigkeit der Kalibrierung zu zeigen.

  6. Geben Sie in das Feld Anzahl der (zu messenden) Kugeln eine Zahl ein. Diese Zahl bestimmt, wie viele Kugeln pro Arm gemessen werden. Wenn Sie eine größere Kugelanzahl als 1 eingeben, wird zur Erstellung des Nullpunkts der Mittelwert der Messungen verwendet.
    • Bei Auswahl der Option Manuelle Kalibrierung fordert PC-DMIS Sie auf, diese Positionen manuell zu messen.
    • Bei Auswahl der Option CNC-Kalibrierung bewegt PC-DMIS jeden Arm automatisch, um diese Positionen zu messen. Als Mindestanzahl sind drei Kugeln erforderlich.

Vorsicht: Stellen Sie sicher, daß sich die Kugeln nicht in derselben Position befinden. Andernfalls wird der Kalibriervorgang mit falschen Ergebnissen abgeschlossen.

  7. Bestimmen Sie anhand der verfügbaren Optionen unten, wie die Kalibriernormale mit den Armen gemessen werden.

    Beide Arme messen Kalibriernormal

    • Bei Wahl dieser Option im Modus Manuelle Kalibrierung fordert PC-DMIS Sie auf, jede Kugelposition mit beiden Armen zu messen.
    • Bei Wahl dieser Option im Modus CNN-Kalibrierung bewegt PC-DMIS beide Arme zum Messen einer Kugel auf alle im Dialogfeld Editiere Kalibrierpositionen festgelegten Positionen. Die gewünschte Anzahl von Kugelpositionen sollte tatsächlich auf dem KMG gespeichert sein, da zwischen Messungen nicht genügend Zeit verbleibt, um die Kugel physisch zu bewegen.

      Arm 1 hält Kugel und Messung erfolgt mit Arm 2

    • Bei Auswahl dieser Option im Modus Manuelle Kalibrierung fordert PC-DMIS Sie auf, den Master-Arm an jede Position zu bewegen und die Kalibrierkugel mit dem Slave-Arm zu messen.
    • Bei Auswahl dieser Option im Modus CNC-Kalibrierung bewegt PC-DMIS den Master-Arm an jede der angegebenen Kalibrierpositionen und befiehlt dem Slave-Arm, die Kugel an der betreffenden Position zu messen. Für diese Option ist eine besondere am Armende montierte Kugel erforderlich.

      Arm 2 hält Kugel und Messung erfolgt mit Arm 1

    • Bei Auswahl dieser Option im Modus Manuelle Kalibrierung fordert PC-DMIS Sie auf, den Slave-Arm an jede Position zu bewegen und die Kalibrierkugel mit dem Master-Arm zu messen.
    • Bei Auswahl dieser Option im Modus CNC-Kalibrierung bewegt PC-DMIS den Slave-Arm an jede der angegebenen Kalibrierpositionen und befiehlt dem Master-Arm, die Kugel an der betreffenden Position zu messen. Für diese Option ist eine besondere am Armende montierte Kugel erforderlich.
  8. Klicken Sie nach Auswahl der Kalibrieroptionen auf die Schaltfläche Kalibrieren. PC-DMIS beginnt mit der von Ihnen angeforderten Kalibrierung. Dadurch wird eine Ausrichtung zwischen Master-Arm und Slave-Arm erreicht. Dies geschieht durch Nivellieren, Drehen und Einstellen des Nullpunkts.
    • Wenn Sie die Option Manuelle Kalibrierung gewählt haben, beginnen Sie mit der Aufnahme eines Meßpunktes oben auf der Kugel. PC-DMIS mißt die restlichen Punkte dann automatisch. Nachdem Sie die Kugel in der aktuellen Position gemessen haben, fordert PC-DMIS Sie auf, diese an eine neue Stelle auf dem Tisch zu verschieben.
    • Wenn Sie die Option CNC-Kalibrierung gewählt haben, mißt PC-DMIS einfach jede der angegebenen Kalibierkugelpositionen. Achten Sie darauf, daß die Kugelpositionen auf dem Tisch nicht kolinear (in einer Linie) liegen. Ordnen Sie die Kugelpositionen so weit wie möglich voneinander entfernt an, wobei mindestens eine davon in die Z-Achse erhöht sein sollte.

Hinweis: Alternativ hierzu kann zur Kalibrierung von CNC-Maschinen manuell die Kalibrierung Nur Nullpunkt gefolgt von der CNC-Kalibrierung Ausrichtung und Nullpunkt durchgeführt werden. Diese Methode ist auf größeren Meßgeräten hilfreich, bei denen davon ausgegangen werden kann, daß die X- und Z-Achsen relativ parallel zueinander verlaufen. Hieran würde sich dann die Tasterkalibrierung und die Kalibrierung Nur Nullpunkt anschließen.

Kalibrierverfahren – nächster Teil


Kalibrierverfahren - Teil 2

Kalibrierverfahren – Teil 2

Wenn Sie die in Teil 1 beschriebene Kalibrierung durchgeführt haben, müssen Sie die Master- und Slave-Tasterdateien mit demselben Kalibriernormal kalibrieren. Dadurch wird die Nullpunkt-Relation zwischen den beiden Tastspitzen zurückgesetzt. Die Ebene oder Drehung der Ausrichtung wird nicht geändert, lediglich der Nullpunkt. Wenn Sie mit einem PHS-Dreh-/Schwenkkopf arbeiten, müssen Sie eine Wrist-Kalibrierung mit beiden Armen am gemeinsamen Kalibriernormal durchführen.

Verfahren Sie wie folgt:

  1. Klicken Sie in der Symbolleiste Aktuelle Arme auf die Schaltfläche Arm 1 aktivieren. Die meisten Benutzer weisen diese Schaltfläche dem Haupt-PC zu.
  2. Öffnen Sie das Dialogfeld Taster Hilfsprogramme (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)

Display Menu Roadmap
Wenn PC-DMIS Sie fragt, ob Sie eine neue Tasterdatei laden möchten, klicken Sie auf Nein.

  4. Kalibrieren Sie den Master-Taster (oder führen Sie eine Wrist-Kalibrierung durch, wenn Sie mit einem PHS arbeiten). PC-DMIS fragt jetzt, ob der Taster bewegt wurde.
  5. Klicken Sie auf Ja.
  6. Wenn Sie die Kalibrierung abgeschlossen haben, schließen Sie das Dialogfeld Taster Hilfsprogramme.
  7. Klicken Sie in der Symbolleiste Aktuelle Arme auf die Schaltfläche Arm 2 aktivieren. Die meisten Benutzer weisen diese Schaltfläche dem Slave-Computer zu.
  8. Öffnen Sie das Dialogfeld Taster Hilfsprogramme, um den Slave-Taster zu kalibrieren (oder führen Sie eine Wrist-Kalibrierung durch, wenn Sie mit einem PHS arbeiten).
  9. Wenn PC-DMIS Sie dieses Mal fragt, ob der Taster bewegt wurde, müssen Sie Nein anklicken.

Wenn Sie beide Tasterdateien im Mehrarmbetrieb kalibriert haben, ist die Mehrarm-Kalibrierung abgeschlossen. PC-DMIS kopiert die Slave-Tasterdatei, die Tasterdaten und die Arm-zu-Arm-Transformationsdaten zum Slave-Computer. Dadurch können Sie den Slave-Arm unabhängig betreiben, als wäre er eine Erweiterung des Master-Koordinatensystems. Alternativ dazu können Sie auch immer mit beiden Armen gemeinsam im Mehrarmbetrieb arbeiten.


Durchführen einer automatischen Kalibrierung

Zusätzlich zur regulären Mehrarm-Kalibrierung können Sie in PC-DMIS auch eine automatische Kalibrierung der Arme durchführen.

PC-DMIS enthält einen Befehl, der den aktuellen Taster während der Ausführung des Werkstückprogramms automatisch kalibriert. PC-DMIS beginnt die Kalibrierroutine, sobald der Befehl ausgeführt wird.

Sie fügen diesen Befehl ein, indem Sie auf die Menüoption AutoKalibrieren Mehrarm klicken (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Der folgende Befehlsblock wird in das Bearbeitungsfenster eingefügt:

AUTOM_KALIBRIEREN/,MEHRARM, MESSENDER_ARM=BEIDE, KALIBRIERMODUS=CNC, KALIBINSTR-ID=kal_m, IN_MITTE_MESSEN=0,0,0

Eine Beschreibung der Elemente in diesem Befehlsblock finden Sie hier:

Element Beschreibung
MESSENDER_ARM=
 Gibt an, welcher Arm die Messung durchführt (und nicht, welcher Arm das Werkzeug hält). Zur Auswahl stehen BEIDE, ARM2 oder ARM1.
KALIBRIER_MODUS
 Zeigt, ob Sie die Kalibrierung im Manuellen oder CNC -Modus durchführen.
KALIBINSTR-ID=
 Gibt den Namen des verwendeten Kalibriernormals an.
IN_MITTE_MESSEN=
 Die X,Y,Z-Position, die für die Messung verwendet werden soll, wenn KALIBRIERMODUS=CNC ist. Bei Verwendung von KALIBRIERMODUS=MANUELL wird dieser Befehl nicht verwendet.

Durch Drücken von F9 wird das Dialogfeld Autokalibrieren Mehrarm geöffnet.

Die meisten Optionen in diesem Dialogfeld entsprechen jenen im Dialogfeld Mehrarm-Kalibrierung. Es gibt jedoch zwei bedeutende Unterschiede:

1. PC-DMIS unterstützt bei diesem Befehl derzeit nur den Kalibriertyp Nur Nullpunkt. Daher können Nur Nullpunkt und die Anzahl der Kugeln nicht geändert werden. Da PC-DMIS bei diesem Befehl nur eine Kugel unterstützt, gibt es keine gesonderte Schaltfläche zum Editieren aller Kugelpositionen. Mit Hilfe der Felder X-Mitte, Y-Mitte und Z-Mitte können Sie die Position der einen Kugel festlegen. Bei Verwendung der CNC-Kalibrierung legen diese Felder die X-, Y- und Z-Koordinaten für die Kugelposition fest.

2. Sie können den Taster und die Tastspitze für den Master oder Slave nicht festlegen. Diese werden in den Listen im Dialogfeld nur zu Informationszwecken angezeigt. Der Befehl AUTOM_KALIBRIEREN/MEHRARM ruft sie aus dem Inhalt des Programms ab, in dem der Befehl verwendet wird.

Master-Taster | Nur zu Anzeigezwecken. Er wird durch den Befehl TASTERLADEN für den Master-Arm bestimmt, der vor dem Befehl AUTOM_KALIBRIEREN/MEHRARM steht.
Master-Tastspitze | Nur zu Anzeigezwecken. Sie wird durch den Befehl TASTSPITZE für den Master-Arm bestimmt, der vor dem Befehl AUTOM_KALIBRIEREN/MEHRARM steht.
Slave-Taster | Nur zu Anzeigezwecken. Er wird durch den Befehl TASTERLADEN für den Slave-Arm bestimmt, der vor dem Befehl AUTOM_KALIBRIEREN/MEHRARM steht.
Slave-Tastspitze | Nur zu Anzeigezwecken. Er wird durch den Befehl TASTSPITZE für den Slave-Arm bestimmt, der vor dem Befehl AUTOM_KALIBRIEREN/MEHRARM steht.


Schritt 9: : Kalibrieren der Mehrarm-Tasterdateien

Display Menu Roadmap
Nachdem das System nun kalibriert wurde, müssen Sie die Mehrarm-Tasterdateien kalibrieren.

Bei dieser Art von Kalibrierung haben Sie folgende Möglichkeiten:

  • Jeden Arm in beliebiger Reihenfolge kalibrieren.
  • Verschiedene Kalibriernormale zur Kalibrierung verschiedener Arme verwenden.
  • Den Slave-Arm vom Slave-Computer aus und den Master-Arm vom Haupt-PC aus kalibrieren.
  • Den Slave-Taster auf demselben Kalibriernormal wie den Master-Taster kalibrieren.
  • Jeweils nur einen Arm kalibrieren.

PC-DMIS synchronisiert die Tasterdateien der verschiedenen Computer nach dieser Kalibrierung, sobald der Mehrarmbetrieb das nächste Mal auf dem Haupt-PC aufgerufen wird.

Nächster Schritt

Siehe auch:

Kalibrieren der Master-Tasterdatei

Kalibrieren der Slave-Tasterdatei


Master-Tasterdatei-Kalibrierung

Zur Kalibrierung der Master-Tasterdatei gehen Sie vor wie folgt:

  1. Wählen Sie Arm 1 aktivieren in der Symbolleiste Aktuelle Arme aus.
  2. Öffnen Sie das Dialogfeld Taster Hilfsprogramme.

Display Menu Roadmap
Befolgen Sie die unter "Messen" im Abschnitt "Definieren von Hardware" zur Verfügung stehenden Verfahren, über die Sie Hinweise zur Kalibrierung der Tasterdateien erhalten.


Slave-Tasterdatei-Kalibrierung

Zur Kalibrierung der Slave-Tasterdatei gehen Sie vor wie folgt:

  1. Wählen Sie eines der Slave-Arm-Symbole (Arm 2 aktivieren, Arm 3 aktivieren oder Arm 4 aktivieren) in der Symbolleiste Aktuelle Arme aus.
  2. Öffnen Sie das Dialogfeld Taster Hilfsprogramme.

Display Menu Roadmap
Befolgen Sie die unter "Messen" im Abschnitt "Definieren von Hardware" zur Verfügung stehenden Verfahren, über die Sie Hinweise zur Kalibrierung der Tasterdateien erhalten.

Wenn Sie ein anderes Kalibriernormal verwenden wollen, als das für die Master-Tasterdatei verwendete, wählen Sie das Kalibriernormal SLAVEKUGEL während des Slave-Tasterkalibrierung aus.

So wählen Sie das Kalibriernormal SLAVEKUGEL aus:

  1. Wählen Sie in der Menüleiste Taster aus.

Display Menu Roadmap
Klicken Sie auf Messen. Das Dialogfeld Taster kalibrieren erscheint.

  3. Klicken Sie auf Kalibriernormal bearbeiten. Das gleichnamige Dialogfeld erscheint.
  4. Wählen Sie aus der Liste Kalibriernormalentyp die Option SLAVEKUGEL.
  5. Klicken Sie zur Bestätigung Ihrer Auswahl auf OK. Unten im Dialogfeld Taster kalibrieren erscheint nun SLAVEKUGEL.


Schritt 10: : Setzen des Mehrarm-Nullpunkts

Als letzter Schritt bei der Kalibrierung des Mehrarmsystems muß der Nullpunkt zwischen allen Armen festgelegt werden. Dies sollte mit Hilfe der kalibrierten Tasterdateien auf den Master- und Slave-Armen erfolgen.

Um den Mehrarm-Nullpunkt zu setzten, gehen Sie vor wie folgt:

  1. Öffnen Sie das Dialogfeld Mehrarm Kalibrierung (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte".)

Display Menu Roadmap
Wählen Sie die Option Nur Nullpunkt.

  3. Geben Sie in das Feld Anzahl der Kugeln ein, wie viele Kugeln zur Bestimmung des Nullpunkts gemessen werden sollen. Werden mehrere Kugelpositionen gemessen, bestimmt PC-DMIS den Nullpunkt anhand des Mittelwertes der Positionen.
  4. Wählen Sie die Option Beide Arme messen Kugel.
  5. Wählen Sie die geeigneten Tasterdateien und -spitzen aus.
  6. Wählen Sie entweder die Option CNC -Kalibrierung oder die Option Manuelle Kalibrierung. Im Modus CNC-Kalibrierung müssen Sie im Dialogfeld Editiere Kalibrierposition die richtige Kugelposition festlegen.
  7. Wählen Sie aus der Liste verfügbarer Kalibrierkugeln eine Kugel aus, die den richtigen Durchmesser und die richtige Ausrichtung des zu messenden Kalibriernormals definiert.
  8. Klicken Sie auf die Schaltfläche OK.
  • Im Modus Manuelle Kalibrierung fordert PC-DMIS Sie auf, einen einzelnen Punkt auf der Kugel mit den mehreren Armen zu messen. Die restlichen Punkte werden dann automatisch im CNC-Modus um die Kugel herum gemessen.
  • Im Modus CNC-Kalibrierung bewegt PC-DMIS beide Arme an alle im Dialogfeld Editiere Kalibrierposition festgelegten Positionen.

Nachdem Sie beide Tasterdateien im Mehrarmbetrieb kalibriert und den Armverhältnis-Nullpunkt eingestellt haben, ist der Kalibriervorgang abgeschlossen.

Achtung: Wenn Sie die Mehrarm-Kalibrierung abgeschlossen haben und danach eine Wrist-Kalibrierung durchführen (siehe "Wrist-Kalibrierung" im Abschnitt "Arbeiten mit einem Wrist-Gerät"), müssen Sie den Wrist-Vorgang mit der Option Nur Nullpunkt wiederholen, gemäß den Anweisungen unter Schritt 8: Kalibrieren des Mehrarmsystems

PC-DMIS kopiert die Slave-Tasterdatei, die Tasterdaten und die Arm-zu-Arm-Transformationsdaten zum Slave-Computer. Auf diese Weise haben Sie die Möglichkeit, den Slave-Arm unabhängig auszuführen, als ob er eine Erweiterung des Master-Koordinatensystems wäre. Sie können sie im auch zusammen im Mehrarmbetrieb ausführen. Jedesmal, wenn Sie den Mehrarmbetrieb aufrufen (über Mehrarmbetrieb aktivieren), synchronisiert PC-DMIS folgende Elemente zwischen den beiden Computern:

  • Änderungen an Tasterdateien
  • Änderungen an der Wristkalibrierung
  • Änderungen an den Fehlermatrixdaten
  • Tasterwechslerdaten
  • Änderung an den Kalibriernormaldaten


Erstellen eines Werkstückprogramms im Mehrarmbetrieb

Nachdem die Taster definiert und kalibriert wurden, kann das Werkstückprogramm erstellt werden. Sie erstellen ein Werkstückprogramm im Mehrarmbetrieb wie die anderen Werkstückprogramme, mit einigen Unterschieden. Im wesentlichen müssen Sie in einem Mehrarm-Werkstückprogramm dafür sorgen, daß die Ausführung verschiedener Befehle bestimmten Armen zugeordnet wird und Sie müssen Sicherheitszonen definieren, um Kollisionen der Arme auszuschließen. Nachstehend wird beschrieben, wie vorzugehen ist:

Siehe auch:

Zuweisen eines Befehls zu einem Arm

Programmausführung im Mehrarmbetrieb

Pausieren eines Arms zur Kollisionsvermeidung

Temperaturkompensation bei Mehrarm-Kalibrierung


Zuweisen eines Befehls zu einem Arm

Standardmäßig weist PC-DMIS dem gerade aktiven Arm neue Befehle zu. Sie können die Symbolleiste Aktuelle Arme nutzen, um zwischen dem gerade aktuellen Arm zu wechseln oder nur die mit einem bestimmten Arm verknüpften Befehle auszuführen.

Die Symbolleiste Akuelle Arme enthält Symbole zur Darstellung mehrerer Arme, die mit entsprechenden farbig kodierten Markierungssymbolen versehen sind. Jedes Arm-Symbol entspricht einem Arm auf dem Meßgerät.

Über die Arm-Symbole können den gerade aktiven Arm wechseln.

Die Ausführungs-Symbole (die mit Markierungen versehen sind) bieten die Möglichkeit, nur die mit einem bestimmten Arm verbundenen Befehle auszuführen.

Nachdem Sie den Mehrarmbetrieb aktiviert haben, fügt PC-DMIS farbige vertikale Linien in den linken Rand des Bearbeitungsfensters ein, um anzuzeigen, welcher Arm den ausgewählten Befehl verwendet. (Im Übersichtsmodus zeigt PC-DMIS die einem Slave-Arm zugeordneten Befehle in Fettdruck an.)

  • Elemente, die Arm 1 (dem Master-Arm) zugewiesen sind, werden durch die rote Linie gekennzeichnet.
  • Elemente, die Arm 2 (dem Slave-Arm) zugewiesen sind, werden durch die grüne Linie gekennzeichnet.
  • Elemente, die Arm 3 (in der Regel ein Slave-Arm) zugewiesen sind, werden durch die violette Linie gekennzeichnet.
  • Elemente, die Arm 4 (in der Regel ein Slave-Arm) zugewiesen sind, werden durch die blaue Linie gekennzeichnet.
  • Elemente, die mehreren Armen zugewiesen sind, werden durch mehrfarbige Linien gekennzeichnet.

Farbige horizontale Balken (anstatt vertikaler Linien) bedeuten, daß sich der betreffende Befehl auf alle Arme auswirkt und erst dann von einem der Arme ausgeführt werden darf, nachdem alle Arme alle vorangehenden Befehle ausgeführt haben. Diese Art von Befehl (gewöhnlich ein Verzweigungs- oder Ausrichtungsbefehl) wird von allen Armen gleichzeitig ausgeführt.

Siehe auch:

Einem neuen Arm vorhandene Befehle zuweisen


Einem neuen Arm vorhandene Befehle zuweisen

Sind einem bestimmten Arm Befehle zugewiesen, die Sie einem anderen Arm zuweisen möchten, gehen Sie folgendermaßen vor:

  1. Versetzen Sie das Bearbeitungsfenster in den Befehlsmodus.
  2. Wählen Sie den Bearbeitungsfensterbefehl aus, den Sie hinzufügen möchten.
  3. Klicken Sie in der Menüleiste auf die Option Arm-Umgebung wechseln (im Abschnitt "Verwenden der Übersichtskarte" finden Sie weitere Informationen zum Zugriff auf alle Dialogfelder und Menüoptionen).

Display Menu Roadmap
Bei Auswahl dieser Option verbindet PC-DMIS alle hervorgehobenen Befehle mit dem anderen Arm.

  • Wenn Sie keine Befehle hervorheben, wird der Befehl, an dem sich der Cursor im Bearbeitungsfenster befindet, mit dem anderen Arm verknüpft.
  • Die meisten Befehle können mit dem Master-Arm, dem Slave-Arm oder beiden Armen verbunden werden. So kann beispielsweise der Befehl VORHALTEBEREICH oder AUSRICHTUNG erstellt werden, der für den Master- und den Slave-Arm oder nur einen der beiden Arme gilt.
  • Die Zuweisung bestimmter Befehle zu mehreren Armen ist nicht zulässig. Dazu gehören Element-, Meßpunkt-, Merkmals- und Taster -Befehle.


Programmausführung im Mehrarmbetrieb

Sofern Sie nicht nur die einem bestimmten Arm zugewiesenen Befehle ausführen lassen wollen, wird das Programm bei der Ausführung des Werkstückprogramms so wie üblich von oben nach unten im Bearbeitungsfenster abgearbeitet, wobei jeder Arm die ihm zugewiesenen Befehle ausführt.

Hinweis: Im Mehrarmbetrieb hinkt die Ausführung der Slave-Arm-Befehle stets etwas hinter der Ausführung der Befehle des Master-Arms her. Diese Art von Verzögerung ist normal.


Pausieren eines Arms zur Kollisionsvermeidung

In manchen Fällen ist es ratsam, daß ein Arm wartet, bis der andere Arm alle Messungen in einem überlappenden Bereich vorgenommen hat. Mit dieser Vorsichtsmaßnahme sollen in der Regel Kollisionen zwischen den Armen vermieden werden. Es gibt zwei verschiedene Befehle, mit denen sich Kollisionen vermeiden lassen.

Siehe auch:

Verwenden eines Bewegungs-Sync-Befehls

Verwenden eines Sicherheitszonen-Befehls


Verwenden eines Bewegungs-Sync-Befehls

BEWEGEN/SYNC-Befehle können am Anfang und Ende einer Meßfolge eingefügt werden, um sicherzustellen, daß sich an dieser Stelle nur ein Arm bewegt. Weitere Informationen hierzu finden Sie unter "Einfügen eines Bewegungs-Sync-Befehls" im Abschnitt "Einfügen von Bewegungsbefehlen".


Verwenden eines Sicherheitszonen-Befehls

Es kann der Befehl BEWEGEN/SICHERHEITSZONE eingefügt werden.

  • Der Vorteil dieser Methode liegt darin, daß PC-DMIS nur einen der Arme warten läßt, wenn sich der andere Arm in dessen Sicherheitszone befindet.
  • Der Nachteil liegt darin, daß alle Befehlsblöcke, die einen Arm in den überlappenden Bereich in der Mitte des Doppelarmvolumens schicken, von BEWEGEN/SICHERHEITSZONE-Befehlen umklammert werden müssen.

So verwenden Sie diesen Befehl:

  1. Suchen Sie die Befehlsfolge, die bewirkt, daß einer der Arme in einen überlappenden Teil des KMG-Volumens eintritt.
  2. Plazieren Sie am Anfang der Folge den Befehl BEWEGEN/SICHERHEITSZONE=EIN.
  3. Plazieren Sie am Ende der Folge den Befehl BEWEGEN/SICHERHEITSZONE=AUS.

Mit dem Befehl BEWEGEN/SICHERHEITSZONE=EIN können Sie zwei Eckpunkte angeben, die eine 3D-Zone bilden. Diese Zone wird nun für den Arm reserviert, dem der Befehl zugewiesen ist. Befindet sich der andere Arm bereits in der angeforderten Zone, dann wartet PC-DMIS, bis der erste Arm nicht mehr im Weg ist und verläßt den umstrittenen Raum mit dem Befehl BEWEGEN/SICHERHEITSZONE=AUS. Weitere Informationen hierzu finden Sie unter "Einfügen eines Sicherheitszonenbefehls" im Abschnitt "Einfügen von Bewegungsbefehlen".


Temperaturkompensation bei Mehrarm-Kalibrierung

Zur Temperaturkompensierung auf KMGs müssen zwei entsprechende Befehle in das Programm eingefügt werden – ein Befehl für den Master-Arm und ein anderer für den Slave-Arm. Die Werkstücktemperatur wird nur über das Thermoelement des Werkstücks aufgezeichnet, das an die Master-Steuereinheit angeschlossen ist.

Abgesehen davon, daß eine STP-Datei (Serv1.stp) im richtigen Verzeichnis des Slave-Arm-Computers abgelegt sein muß, ist auch sicherzustellen, daß eine andere STP-Datei für den Slave-Arm (namens Serv1.stp) im entsprechenden Verzeichnis des Master-Arm-Computers abgelegt ist. Hierfür müssen Sie die Datei "Serv1.stp" des Slave-Arm-Computers kopieren, in "Serv1s.stp" umbenennen und im Master-Arm-Computer ablegen.

Weitere Informationen zur Temperaturkompensierung finden Sie unter "Temperaturkompensation" im Abschnitt "Voreinstellungen".


Ausführen eines Master-Werkstückprogramms auf dem Slave-Arm

Wenn Sie Ihr Master-Werkstückprogramm auf einem Slave-Arm ausführen möchten, können Sie PC-DMIS im umgekehrten Achsen-Modus ausführen. In diesem Modus werden das Vorzeichen der X- und Y-Achse intern umgekehrt, so daß die Werte der Y-Achse in Richtung Maschinenmittelpunkt positiv werden und die X-Achse der X-Achse des Master-Arms gegenüber liegt.

Alle vorhandenen Tasterdateien, Wrist-Matrizen, Tasterwechsler- und anderen Kalibrier- und Fehlerkompensierungsdateien sind ohne erforderliche Änderungen in diesem Modus verwendbar.

Hinweis: Im normalen und umgekehrten Achsenmodus vorgenommene Kalibrierungen sind korrekt und in beiden Modi verwendbar.

Siehe auch:

So fügen Sie ein Symbol hinzu, über das PC-DMIS im umgekehrten Achsenmodus ausgeführt wird:


So fügen Sie ein Symbol hinzu, über das PC-DMIS im umgekehrten Achsenmodus ausgeführt wird:

  1. Navigieren Sie mit dem Explorer in das Verzeichnis, in dem das Symbol hinzugefügt werden soll.
  2. Klicken Sie im Menü Datei des Explorers auf Neu | Verknüpfung. Der Assistent Verknüpfung erstellen erscheint und fordert Sie zur Eingabe eines Pfades zum Programm auf.
  3. Geben Sie entweder im Feld Ausführen… den vollständigen Pfad zur PC-DMIS-Programmdatei ein, oder navigieren Sie mit der Schaltfläche Durchsuchen zur betreffenden Datei, um diese auszuwählen. Der Standardpfad lautet "C:\Pcdmisw\Pcdlrn.exe".
  4. Wenn sich der Pfad im Feld Befehlszeile befindet, setzen Sie den Cursor an das Ende der Pfadangabe und geben Sie dann eine Leerstelle und /r oder -r ein. Auf diese wird PC-DMIS angewiesen, im umgekehrten Achsen-Modus zu arbeiten. Dieser Modus kann auch mit dem Bedienermodus kombiniert werden, indem –o oder /o in die Befehlszeile eingefügt wird.
  5. Klicken Sie auf Weiter.
  6. Geben Sie im Feld Geben Sie einen Namen für die Verknüpfung ein einen bezeichnenden Namen, wie z.B. "Umgekehrter PC-DMIS-Achsenmodus" ein.
  7. Klicken Sie auf Fertigstellen. Das neue Symbol wird angezeigt.


Navigating and Displaying Multiple Windows

Zwischen geöffneten Werkstückprogrammen wechseln

Anordnen geöffneter Fenster

Aktivieren geöffneter Fenster


Navigation in und Anzeigen von mehreren Fenstern: Einführung

In diesem Abschnitt wird beschrieben, wie Sie mit Hilfe des Menüs Fenster einfach durch mehrere geöffnete Werkstückprogramme navigieren bzw. diese anzeigen können.

In diesem Abschnitt werden folgende Themen behandelt:

  • Zwischen geöffneten Werkstückprogrammen wechseln
  • Anordnen geöffneter Fenster
  • Aktivieren geöffneter Fenster


Zwischen geöffneten Werkstückprogrammen wechseln

Display Menu Roadmap
Display Menu Roadmap
Nachfolgend sind einige einfache Möglichkeiten beschrieben, um zwischen geöffneten Werkstückprogrammen hin- und herzuschalten:

Klicken auf die Optionen "Nächstes" oder "Vorheriges": Wählen Sie die Menüoptionen Nächstes oder Vorheriges, um in einer Reihe geöffneter Werkstückprogramme zum nächsten oder vorherigen Werkstückprogramm zu wechseln. Wenn Sie das letzte der geöffneten Werkstückprogramme erreicht haben, geschieht nichts bei Auswahl von Nächstes.

Klicken auf eine Liste geöffneter Werkstückprogramme: Ganz unten im Menü Fenster zeigt PC-DMIS eine Liste aller geöffneten Werkstückprogramme an. Sie können das zu aktivierende Werkstückprogramm ganz einfach auswählen, indem Sie in der Liste auf den Namen des Werkstückprogramms klicken.

Klicken auf eine Titelleiste: Wenn die Titelleiste des Bearbeitungs- oder Grafikfenster eines Werkstückprogramms sichtbar ist, können Sie einfach auf die Titelleiste klicken, um zu diesem Werkstückprogramm zu wechseln.


Anordnen geöffneter Fenster

Display Menu Roadmap
Mit Hilfe der nachfolgenden Menüoptionen können Sie alle geöffneten Fenster anordnen. Diese Menüoptionen haben keinen Einfluß auf das Bearbeitungsfenster, bis Sie das Bearbeitungsfenster aus seiner Kopplungsposition entfernen, indem Sie mit der rechten Maustaste auf das Bearbeitungsfenster klicken und die Menüoption Kopplungsansicht deaktivieren.

Symbol | Menüoption | Beschreibung
 | Überlappend | Stapelt alle Fenster übereinander, wobei nur die Titelleisten sichtbar sind. Das aktive Fenster liegt hierbei ganz oben.
 | Horizontal teilen | Ordnet die Fenster untereinander an. Das aktive Fenster befindet sich ganz oben.
 | Vertikal teilen | Ordnet die Fenster nebeneinander an. Das aktive Fenster befindet sich ganz links.
 | Nächstes Fenster aktivieren | Aktiviert das nächste geöffnete Fenster.


Aktivieren geöffneter Fenster

Display Menu Roadmap
Über der Liste der Werkstückprogramme listet PC-DMIS auch alle geöffneten Fenster im Menü Fenster auf. Durch einfaches Auswählen eines Fensters in diesem Menü wird dieses Fenster aktiviert.


Using the Online Help

Die Hilfe durch Drücken der Funktionstaste F1 aufrufen

Suchen im Inhaltsverzeichnis und in der Themenliste

Suchen mit Hilfe der Indexeinträge

Suchen nach Textentsprechungen

Suchen mit Hilfe von Fragen in natürlicher Sprache

Speichern bevorzugter Hilfethemen

Ändern der Hilfedatei-Optionen

Verwenden der dynamischen Übersichtskarte

Problembehandlung in der Hilfedatei


Verwenden der Online-Hilfe: Einführung

In diesem Abschnitt wird beschrieben, wie Sie über das Menü Hilfe auf die Online-Hilfe zugreifen können.

Display Menu Roadmap

Dieser Abschnitt umfaßt die folgenden Themen:

  • Die Hilfe durch Drücken der Funktionstaste F1 aufrufen
  • Suchen im Inhaltsverzeichnis und in der Themenliste
  • Suchen mit Hilfe der Indexeinträge
  • Suchen nach Textentsprechungen
  • Suchen mit Hilfe von Fragen in natürlicher Sprache
  • Speichern bevorzugter Hilfethemen
  • Verwenden der dynamischen Übersichtskarte
  • Ändern der Hilfedatei-Optionen
  • Verwenden der dynamischen Übersichtskarte
  • Problembehandlung in der Hilfedatei

Siehe auch:

Überblick der Hilfedatei-Oberfläche


Überblick der Hilfedatei-Oberfläche

Wenn Sie PC-DMIS installieren, erhalten Sie auch eine kompilierte HTML-Hilfedatei (eine Datei mit der Erweiterung .chm), die im selben Verzeichnis wie die PC-DMIS-Programmdatei gespeichert wird. Durch einen Doppelklick auf diese Datei oder durch Drücken von F1 jederzeit während der Ausführung von PC-DMIS wird die Hilfedatei geöffnet.

Begrüßungsbildschirm: Die PC-DMIS-Hilfedatei zeigt zuerst einen Begrüßungsbildschirm an. Er enthält einige Links, die Ihnen die ersten Schritte mit dieser Version von PC-DMIS erleichtern sollen.

Symbolleiste: Die Symbolleiste enthält folgende Schaltflächen:

  • Einblenden/Ausblenden – Über diese Schaltfläche können Sie die Registerkarten, die zur Themensuche verwendet werden, ein- oder ausblenden.
  • Lokalisieren – Mit dieser Schaltfläche wird das derzeit von Ihnen in der Hauptansicht betrachtete Thema mit der erweiterbaren und minimierbaren Ansicht der Themen auf der Registerkarte Inhalt synchronisiert und das Vorkommen dieses Themas auf dieser Registerkarte lokalisiert. Dies erfolgt in der Regel automatisch.
  • Zurück/Vorwärts – Diese Schaltflächen haben dieselbe Funktion wie die Zurück- und Vorwärts-Schaltflächen eines Internet-Browsers. Sie speichern die Themen, die Sie beim Blättern durch die Hilfedatei öffnen. Dadurch können Sie einfach wieder zu schon einmal angezeigten Themen zurückkehren oder zu den zuletzt angezeigten Themen vorwärts blättern.
  • Optionen – Hiermit können Sie verschiedene Optionen für die Hilfedatei einstellen.
  • Ask It (Fragen stellen) – Über diese Schaltfläche können Sie nach Themen suchen, indem Sie Fragen in natürlicher Sprache eingeben.

Durch Klicken auf die Schaltfläche Einblenden wird das Suchfenster geöffnet. Dieses Fenster enthält die nachfolgenden Registerkarten. Sie dienen der Suche nach Hilfethemen sowie zur Speicherung derselben. (Mit Hilfe von Ausblenden wird das Fenster wieder geschlossen.)

  • Inhalt – Auf dieser Registerkarte können Sie das Inhaltsverzeichnis durchsuchen.
  • Index – Auf dieser Registerkarte können Sie mit Hilfe der Indexeinträge suchen.
  • Suchen – Auf dieser Registerkarte können Sie nach Textentsprechungen suchen.
  • Favoriten – Auf dieser Registerkarte können Sie bevorzugte Themen zur späteren Verwendung speichern.

Im restlichen Abschnitt wird beschrieben, wie Sie nach Themen suchen und diese speichern können.


Die Hilfe durch Drücken der Funktionstaste F1 aufrufen

Durch Drücken der Funktionstaste F1 kann die Online-Hilfe jederzeit aufgerufen werden. Sie können die Funktionstaste F1 in verschiedenen Kontexten einsetzen, um bestimmte Themen schneller aufzufinden.

  • Dialogfelder: Öffnen Sie ein Dialogfeld. Drücken Sie die Taste F1 bei geöffnetem Dialogfeld und PC-DMIS zeigt das mit diesem Dialogfeld verbundene Hilfethema an.
  • Symbole auf der Symbolleiste: Bewegen Sie die Maus über ein Symbol auf der Symbolleiste bis das entsprechende QuickInfo eingeblendet wird. Drücken Sie F1. Das entsprechende Hilfethema für dieses Symbol erscheint.
  • Menüoptionen: Bewegen Sie die Maus über eine Menüoption (nicht über einen Menütitel) auf der Menüleiste. Drücken Sie F1. Das entsprechende Hilfethema für diese Menüoption erscheint.
  • Befehle: Öffnen Sie das Bearbeitungsfenster. Versetzen Sie es in den Befehlsmodus. Klicken Sie auf einen Befehl und drücken Sie F1. Das entsprechende Hilfethema für diesen Befehl erscheint.


Suchen im Inhaltsverzeichnis und in der Themenliste

  1. Öffnen Sie die PC-DMIS-Hilfedatei.

Display Menu Roadmap
Klicken Sie auf die Schaltfläche Anzeigen, um die Registerkarten anzuzeigen.

  3. Klicken Sie auf die Registerkarte Inhalt. Die Hilfedatei zeigt eine Themenliste an.
  4. Suchen Sie nach dem gewünschten Hauptthema, und klicken Sie dann auf das Pluszeichen (+), um zum nächsten Thema zu wechseln. Die Liste wird erweitert und zeigt Unterthemen an.
  5. Wählen Sie ein Thema zur Ansicht aus. Dadurch wird dessen Inhalt angezeigt. Nun können Sie durch die Themen blättern, indem Sie in den Themen auf die Pfeilschaltflächen Nächstes oder Vorheriges klicken.


Suchen mit Hilfe der Indexeinträge

  1. Öffnen Sie die PC-DMIS-Hilfedatei.

Display Menu Roadmap
Klicken Sie auf die Schaltfläche Einblenden, um die Registerkarten anzuzeigen.

  3. Klicken Sie auf die Registerkarte Index. Geben Sie in das Feld Type in the keyword to find: (Zu suchendes Schlüsselwort eingeben) einen möglichen Indexeintrag ein. Wenn Sie kein Thema zu dem von Ihnen eingegebenen Begriff finden können, verwenden Sie einen anderes, aber ähnliches Wort.
  4. Wenn Sie das gewünschte Thema gefunden haben, klicken Sie auf die Schaltfläche Anzeige, oder doppelklicken Sie auf das Thema. Häufig enthält ein Thema eine Liste mit Unterthemen. In diesem Fall wird das Dialogfeld Topics Found (Gefundene Themen) angezeigt. Wählen Sie eines der Unterthemen aus, um es anzuzeigen.


Suchen nach Textentsprechungen

  1. Öffnen Sie die PC-DMIS-Hilfedatei.

Display Menu Roadmap
Klicken Sie auf die Schaltfläche Einblenden, um die Registerkarten anzuzeigen.

  3. Klicken Sie auf die Registerkarte Suchen. Geben Sie den zu suchenden Text in das Feld Type in the word(s) to search for: (Zu suchende Wörter eingeben) ein. Wenn Sie den Text in Anführungszeichen setzen, sucht die Hilfedatei nach genauen Entsprechungen für den Text. Andernfalls sucht sie nach allen Wörtern in beliebiger Reihenfolge. In der Liste Topics (Themen) werden die gefundenen Themen aufgelistet.
  4. Doppelklicken Sie auf ein Thema, um es anzuzeigen, oder klicken Sie auf Anzeige. Das ausgewählte Thema wird angezeigt. Die Hilfedatei markiert dabei alle Wörter, die dem von Ihnen eingegebenen Text entsprechen. Um diese Markierungen zu deaktivieren, klicken Sie in der Symbolleiste der PC-DMIS-Hilfedatei auf Optionen.

Mit Hilfe der folgenden Kontrollkästchen im unteren Teil der Registerkarte Suchen können Sie Ihre Suche einschränken oder erweitern.

Search previous results (Vorherige Ergebnisse durchsuchen) – Mit Hilfe dieses Kontrollkästchens können Sie die vorhandenen Ergebnisse durchsuchen. Dies ist hilfreich, wenn die Suche zahlreiche Themen ergeben hat und Sie die Suche einschränken möchten.

Match similar words (Ähnliche Wörter suchen) – Mit Hilfe dieses Kontrollkästchens können Sie Ihre Suche auf ähnliche Wörter ausdehnen. Wenn Sie beispielsweise nach "Export" suchen und dieses Kontrollkästchen aktivieren, findet die Hilfedatei auch Themen, die Export-iert, Export-ieren usw. enthalten.

Search Titles Only (Nur Titel durchsuchen) – Dieses Kontrollkästchen beschränkt Ihre Suche auf die Titel der Hilfethemen.


Suchen mit Hilfe von Fragen in natürlicher Sprache

Die Schaltfläche Ask It (Fragen stellen) verwendet ein leistungsstarkes Drittanbieter-Schnittstellenprogramm für natürliche Sprache, das einen speziellen internen Index nach den gewünschten Themen durchsucht. Diese Option ist derzeit nur für die englische Version dieser Hilfedatei erhältlich.

  1. Öffnen Sie die PC-DMIS-Hilfedatei.

Display Menu Roadmap
Klicken Sie auf die Schaltfläche Ask It (Fragen stellen). PC-DMIS teilt die Hauptanzeige nun in zwei Rahmen.

  3. Es ist möglicherweise hilfreich, wenn Sie die Registerkarten ausblenden, indem Sie auf Ausblenden klicken, und den Anzeigebereich der Hilfedatei durch Ziehen eines Fensterrands vergrößern.
  4. Geben Sie in das verfügbare Eingabefeld eine Frage in natürlicher Sprache ein. Wenn Sie beispielsweise die Frage "What's new with this version?" (Was ist neu in dieser Version?) eingeben, werden passende Themen angezeigt. Neben jedem Thema steht eine Prozentzahl. Themen mit höherer Prozentzahl entsprechen Ihrer Frage am besten.
  5. Doppelklicken Sie auf das Thema, das Sie anzeigen möchten.
  6. Wenn Sie das gewünschte Thema gefunden haben, schließen Sie die Liste durch Klicken auf die Schaltfläche Close List (Liste schließen).

Wie auf der Registerkarte Suchen können Sie auch hier Ihre Suche einschränken, indem Sie jene Wörter in Anführungszeichen setzen, für die Sie genaue Entsprechungen suchen.


Speichern bevorzugter Hilfethemen

Die PC-DMIS-Hilfedatei ermöglicht Ihnen das Speichern bevorzugter Themen zur späteren Verwendung. Die Themen sind selbst dann noch gespeichert, wenn Sie die Hilfedatei schließen und später wieder öffnen.

  1. Öffnen Sie die PC-DMIS-Hilfedatei.

Display Menu Roadmap
Klicken Sie auf die Schaltfläche Einblenden, um die Registerkarten anzuzeigen.

  3. Verwenden Sie eine der Suchmethoden, um nach dem zu speichernden Thema zu suchen.
  4. Klicken Sie auf die Registerkarte Favorites (Favoriten). Im Feld Current Topic (Aktuelles Thema) sehen Sie den Titel des Themas, das im rechten Fensterausschnitt angezeigt wird.
  5. Klicken Sie auf die Schaltfläche Hinzufügen. PC-DMIS fügt das Thema der Liste Topics (Themen) auf der Registerkarte Favorites (Favoriten) hinzu.
  6. Zum Anzeigen eines gespeicherten Themas doppelklicken Sie einfach in der Liste Topics (Themen) auf das gewünschte Thema.
  7. Um ein gespeichertes Thema zu entfernen, wählen Sie das Thema aus und klicken Sie auf Entfernen.


Ändern der Hilfedatei-Optionen

Mit Hilfe der Schaltfläche Optionen in der Symbolleiste können Sie verschiedene Optionen der Hilfedatei ändern.

  • Hide Tabs / Show Tabs (Registerkarten ausblenden/Registerkarten einblenden) – Diese Option entspricht der Schaltfläche Ausblenden/Einblenden in der Symbolleiste.
  • Zurück/Vorwärts – Entspricht der Schaltfläche Zurück/Vorwärts in der Symbolleiste.
  • Home – Hiermit wechseln Sie zur Homepage, mit der die Hilfedatei verknüpft ist.
  • Anhalten – Hält den aktuellen Vorgang an. Das Zugreifen auf eine externe Webseite über den Browser der Hilfedatei wird hiermit angehalten.
  • Aktualisieren – Aktualisiert das aktuelle Thema. Wenn Sie auf eine externe Webseite zugreifen, deren Inhalt sich seit dem letzten Zugriff geändert hat, können Sie den neuesten Inhalt mit Hilfe dieser Option anzeigen.
  • Internet Options (Internetoptionen) – Öffnet das Dialogfeld Internet Options (Internetoptionen). Informationen hierzu finden Sie in der Hilfe des Internet Explorer.
  • Ask It (Fragen stellen) – Diese Option startet die Suchoption Ask It (Fragen stellen).
  • Drucken – Sendet das aktuelle Thema an Ihren Drucker.
  • Search Highlight Off (Suchmarkierung aus) – Deaktiviert den markierten Text in den angezeigten Themen bei Verwendung der Registerkarte Suchen.


Verwenden der dynamischen Übersichtskarte

Ab Version PC-DMIS 3.5 bieten einige PC-DMIS-Hilfedateien eine dynamische Anzeige der Menüauswahl, die Sie zum Öffnen eines in einem bestimmten Hilfethema behandelten Dialogfelds, Menüeintrags oder Bearbeitungsfenster-Befehls treffen sollten. Selbst wenn Sie eine benutzerdefinierte Oberfläche verwenden, übernimmt die dynamische Übersichtskarte die Suche in PC-DMIS und zeigt die Menüauswahl an, die sie treffen sollten.

Achtung: Eine PC-DMIS-Instanz muß im Hintergrund laufen, damit die dynamische Übersichtskarte im Thema einer Hilfedatei funktionieren kann.

In PC-DMIS 3.5 wird die dynamische Übersichtskarte automatisch über bestimmten Themen eingeblendet.

In Version PC-DMIS 3.6 und höher erscheint die dynamische Übersichtskarte in einem gesonderten Popup-Fenster, wenn Sie das kleine gelbe Symbol anklicken, das in bestimmten Themen vorkommt:

V3.5: Beispiel einer dynamischen Übersichtskarte | V3.6: Beispiel einer dynamischen Übersichtskarte


Problembehandlung bei der Hilfedatei

Problembehandlung in der Hilfedatei

Nachfolgend werden einige der häufigsten Fehlermeldungen aufgeführt, die bei der Ansicht der Online-Hilfedatei auftreten könnten.

Bei Auswahl eines blau unterstrichenen Links zum Kontext erhalten Sie die Meldung "Internet Explorer Script Error".

Vergewissern Sie sich, daß die Datei d2hpopup.ocx auf Ihrem Betriebssystem vorhanden und registriert ist. Die Komponente activeX muß vorhanden sein, um eine korrekte Darstellung bestimmter Popup-Fenster zu erhalten. Sie sollte im folgenden Verzeichnis installiert und registriert sein: "C:\Programme\ Common Files\WexTech Shared directory. Eine Neuinstallation von PC-DMIS oder manuelle Registrierung dieser Komponente dürfte dieses Problem beheben.

Um dieses Problem manuell zu beheben, gehen Sie vor wie folgt:

  1. Laden Sie die .ocx-Datei von folgender Adresse herunter: ftp://ftp.wilcoxassoc.com/tempdistrib/d2hpopup.zip
  2. Extrahieren Sie die .ocx-Datei in das Verzeichnis C:\Programme\ Common Files\WexTech Shared.
  3. Navigieren Sie in einem Befehlseingabefenster zu dem Verzeichnis, das die .ocx-Datei enthält.
  4. Geben Sie "regsvr32 d2hpopup.ocx" ein.

Wenn Sie die dynamische Übersichtskarte ansehen, erhalten Sie einen Skriptfehler:

Vergewissern Sie sich, daß die Datei Helpmap.ocx auf Ihrem Betriebssystem vorhanden und registriert ist. Die Komponente activeX muß vorhanden sein, um die dynamische Übersichtskarte ansehen zu können. Eine Neuinstallation von PC-DMIS oder manuelle Registrierung dieser Komponente dürfte dieses Problem beheben.

Um dieses Problem manuell zu beheben, gehen Sie vor wie folgt:

  1. Laden Sie die .ocx-Datei von folgender Adresse herunter: ftp://ftp.wilcoxassoc.com/tempdistrib/helpmap.zip
  2. Extrahieren Sie die helpmap.ocx-Datei in das Verzeichnis, in dem die PC-DMIS-Programmdatei abgelegt ist.
  3. Navigieren Sie in einem Befehlseingabefenster zu dem Verzeichnis, das die .ocx-Datei enthält.
  4. Geben Sie "regsvr32 helpmap.ocx" ein.

Wenn Sie die dynamische Übersichtskarte ansehen, erscheint kein Popup-Fenster:

Bei manchen Computersystemen funktionieren die Popup-Fenster nicht, die zur Anzeige der dynamischen Übersichtskarte in der PC-DMIS Hilfedatei verwendetet werden (Version 3.6 und höher), wenn nicht der Internet Explorer 6.0 oder höher installiert wurde. In diesem Fall könnte ein Skriptfehler gemeldet werden.

Um dieses Problem zu beheben, sollten Sie die neueste Version des Internet Explorer, zusammen mit allen Patches oder Service Packs, installieren.

Vergewissern Sie sich, daß PC-DMIS ausgeführt wird, wenn Sie die Übersichtskarte ansehen wollen.

Beim Ansehen einer dynamischen Übersichtskarte erscheint die Meldung, daß die Menü-Übersicht nicht angezeigt werden kann, da PC-DMIS entweder gerade nicht ausgeführt wird oder die Zeichenfolge nicht richtig von PC-DMIS weitergegeben wurde.

Vergewissern Sie sich, daß eine PC-DMIS-Instanz ausgeführt wird. Wenn Sie nach wie vor diese Fehlermeldung erhalten, besteht ein Problem mit dem verwendeten Code für die Suche in PC-DMIS, um dieses bestimmte Thema in der dynamischen Übersichtskarte anzeigen zu lassen. Notieren Sie die Themenüberschrift und Meldung und folgen Sie den entsprechenden Links zum technischen Support, um eine Lösung für das Problem zu erhalten.


Working in Off-line Mode

Arbeiten im Offline-Modus: Einführung

Voraussetzungen

Offline-Taster

Einstellen der Tastertiefe

Offline-Messung von Elementen

Offline-Ausführung von Werkstückprogrammen und der Fehlersuche


Arbeiten im Offline-Modus: Einführung

Mit der Offline-Version von PC-DMIS kann der Benutzer Werkstückprogramme ohne Einsatz eines KMGs entwickeln und auf Fehler untersuchen. In den letzten Jahren hat die Möglichkeit der Offline-Programmierung zunehmend an Bedeutung gewonnen. Benutzern von Koordinatenmeßgeräten ist klar geworden, daß sich ihre Investitionen in KMGs nur dann wirklich lohnen, wenn sie die Geräte zum Messen von Werkstücken einsetzen können, anstatt Meßprogramme dafür zu schreiben.

Die ersten Versuche der KMG-Herstellern, die Geräte mit Offline-Programmierfunktionen auszustatten, beinhalteten aufwendige, spezialisierte Texteditoren. Obwohl diese Produkte nur eingeschränkt Verwendung fanden, haben sie das Benutzerinteresse an der Offline-Programmierung geweckt. Dieses Interesse hat einige CAD-Hersteller dazu veranlaßt, Produkte zu entwickeln, mit denen Benutzer Werkstückprogramme anhand von CAD-Modellen erstellen können.

Diese Produkte waren Texteditoren zwar weit überlegen, hatten jedoch einen großen Nachteil: sie waren sehr teuer. Da jeder KMG-Hersteller eine oder mehrere eigene spezielle Meßprogrammsprachen verwendete, die sich ständig änderten oder in einigen Fällen durch andere ersetzt wurden, waren die mit der Entwicklung und Weiterführung dieser Produkte verbundenen Kosten so hoch, daß sie nur noch für wenige Benutzer erschwinglich waren.

Diese Situation führte zur Entwicklung der DMIS-Spezifikation, einer universellen KMG-Sprache. Dank DMIS konnten CAD-Hersteller Werkstückprogrammierungspakete entwickeln, die anstatt auf viele Programmsprachen nur noch auf eine einzige Programmiersprache abzielten, wodurch die Kosten erheblich verringert wurden. Auch die Kunden profitierten von diesen Einsparungen, und die Offline-Werkstückprogrammierung wurde zur erschwinglichen Option für eine große Gruppe von KMG-Benutzern. Ein Problem bestand jedoch immer noch. Wie stand es um KMG-Benutzer, deren CAD-Hersteller die Offline-Werkstückprogrammierung nicht unterstützten und dies auch nicht vorhatten?

Viele Mainframe-CAD-Hersteller, die von ihrer bestehenden Kundschaft – meist großen Firmen – dazu gedrängt wurden, haben zwar DMIS-Erweiterungen für ihre Produkte entwickelt, doch haben PC-basierte CAD-Hersteller mit ihrem vielfältigen Kundenkreis an diesem Bereich bisher noch sehr wenig Interesse gezeigt. Viele KMG-Benutzer, insbesondere Kleinbetriebe, arbeiten ausschließlich mit PC-basierten CAD-Systemen. Mit PC-DMIS steht die Offline-Programmierung jetzt auch dieser Gruppe zur Verfügung.

Mit PC-DMIS können Programmierer, die Standard-IGES-Modelle verwenden, die von praktisch jedem CAD-Hersteller unterstützt werden, Werkstückprogramme auf einem kostengünstigen PC oder PC-Klon erstellen und benötigen hierzu kein KMG. Diese Werkstückprogramme können dann zur Steuerung jedes KMGs eingesetzt werden, das entweder PC-DMIS ausführt oder die DMIS-Spezifikation unterstützt.

Bei der Offline-Programmierung kommen viele Methoden zum Einsatz, die größtenteils mit denen der Online-Programmierung vergleichbar sind. Wie zu erwarten, werden zur Tasterkalibrierung, zur Vornahme von Messungen und zur Fehlersuche in Programmen jedoch andere Methoden als in der Online-Version eingesetzt. In diesem Abschnitt werden die Offline-Programmiermethoden von PC-DMIS beschrieben.

In diesem Abschnitt werden folgende Themen behandelt:

  • Voraussetzungen
  • Offline-Taster
  • Einstellen der Tastertiefe
  • Offline-Messung von Elementen
  • Offline-Ausführung von Werkstückprogrammen und der Fehlersuche


Voraussetzungen

Damit PC-DMIS offline verwendet werden kann, müssen CAD-Daten in Form eines IGES-Modells, einer DES-Datei, DXF-Datei oder in Form von X,Y,Z,I,J,K-Daten verfügbar sein. Informationen zum Importieren dieser Dateien in das PC-DMIS-System finden Sie unter "Importieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".

Siehe auch:

Unterstützte IGES-Elemente

DXF-Eingabe

DES-Eingabe

XYZ-ASCII-Datei


Unterstützte IGES-Elemente

IGES -Element | Beschreibung
100 | KREIS/BOGEN
102 | VERBUNDKURVE
104 | KEGELBOGEN
106 | VOLLDATEN (Mehrpunktlinie)
108 | EBENE
110 | LINIE
112 | PARAMETRISCHE SPLINE-KURVE (mit Kurven- und Oberflächenoption)
114 | PARAMETRISCHE SPLINE-OBERFLÄCHE (mit Kurven- und Oberflächenoption)
116 | PUNKT
118 | GEREGELTE OBERFLÄCHE (mit Kurven- und Oberflächenoption)
120 | ROTATIONSOBERFLÄCHE (mit Kurven- und Oberflächenoption)
122 | TABULIERTER ZYLINDER (mit Kurven- und Oberflächenoption)
124 | TRANSFORMATIONSMATRIX
126 | RATIONALE B-SPLINE-KURVE (mit Kurven- und Oberflächenoption)
128 | RATIONALE B-SPLINE-OBERFLÄCHE (mit Kurven- und Oberflächenoption)
140 | VERSATZOBERFLÄCHE
144/142 | BESCHNITTENE OBERFLÄCHE (mit Kurven- und Oberflächenoption)
402 | ASSOZIATIVITÄTINSTANZ
408/308 | UNTERFIGUR
410 | ANSICHT

Siehe auch:

IGES-Kompatibilität


IGES-Kompatibilität

PC-DMIS ist mit IGES 3.0, 4.0 und 5.1 kompatibel.


DXF-Eingabe

PC-DMIS liest eine DXF- (Drawing Interchange File) Datei als CAD-Daten ein, die zum Erstellen von Werkstückprogrammen verwendet werden sollen. Dieses Dateiformat unterstützt keinen Text. Als einziger Datentyp werden Elementdaten unterstützt.

Diese Option gehört nicht zum PC-DMIS-Standardmodul. Wenn Sie am Erwerb dieses Zusatzpakets interessiert sind, wenden Sie sich an Ihren zuständigen PC-DMIS-Softwarebeauftragten.


DES-Eingabe

PC-DMIS liest eine DES- (Data Exchange Standard) Datei als CAD-Daten ein, die zum Erstellen von Werkstückprogrammen verwendet werden sollen. Die Daten können als Daten zu Elementen oder Spannvorrichtungen hereinkommen. Bei Elementdaten haben Sie die Möglichkeit, den Elementtyp anhand des Element-Etiketts zu definieren. Durch Auswahl des DES-Punktes in der PC-DMIS-Anzeige wird das richtige Dialogfeld für das CNC-Element angezeigt, in dem die Werte des DES-Punktes eingetragen sind.

Der DES-Elementtyp wird durch die fünfte Position des Element-Etiketts definiert. Hierbei handelt es sich um die fünfzehnte (15.) Spalte des Datentyps LINIE in der DES-Datei. Es folgt eine Liste der Zeichen und zugehörigen Elementtyen.

ZEICHEN | DES-Typ | PC-DMIS- Blechtyp
S | Oberfläche | Oberflächenpunkt
T | Beschnitt | Kantenpunkt
H | Stoßkante | Kantenpunkt
X | Bohrung | Kreis (innen)
Y | Bolzen | Kreis (außen)
Z | Langloch | Langloch


XYZ-ASCII-Datei

PC-DMIS liest jede ASCII-Datei ein, die XYZ- (und möglicherweise IJK-) Daten enthält. Die Datei sollte die (theoretischen) Sollprüfpunkte enthalten, die gemessen werden müssen.

Nähere Informationen zu XYZ-ASCII-Dateien finden Sie unter "Importieren einer XYZIJK-Datei" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".


Offline-Taster

Bei der Offline-Version können alle Funktionen zur Definition und Kalibrierung der Taster verwendet werden, die in der Online-Version definiert wird. Die Werte können jedoch nur eingegeben werden. Messungen sind nicht möglich. (Beispielsweise können Sie nicht wirklich ein Kalibrierartefakt messen, um den Durchmesser eines Tasters zu ermitteln.)

Informationen zur Definition eines Tasters finden Sie unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware".

Hinweis: Es wird empfohlen (ist jedoch nicht zwingend erforderlich), daß zum Erstellen des Offline-Werkstückprogramms derselbe Taster verwendet wird wie zur Online-Ausführung des Werkstückprogramms.


Festlegen der Tastertiefe

Einstellen der Tastertiefe

Bei der Offline-Programmierung von Messungen ist es wichtig, die Tastertiefe auf einen bestimmten Abstand (im Verhältnis zur Oberfläche der aktuellen Arbeitsebene) einzustellen. PC-DMIS bietet mehrere Methoden zum Festlegen der Tastertiefe.

Hinweis: Diese Methoden können nur im Programmodus angewandt werden. Vergewissern Sie sich, daß "PROG" in der STATUS-Schaltfläche anzeigt wird.

Siehe auch:

Einstellen der ungefähren Tastertiefe

Einstellen der Tastertiefe an einem Element

Eingeben der Tastertiefe


Einstellen der ungefähren Tastertiefe

In den meisten Fällen genügt es, eine ungefähre Tastertiefe festzulegen, um ein Element korrekt zu messen. Hierzu gehen Sie in der Offline-Version von PC-DMIS vor wie folgt:

  1. Setzen Sie den Mauszeiger in der zur Aufnahme eines Meßpunktes gewünschten Tiefe auf die Zeichnung.
  2. Klicken Sie mit der rechten Maustaste auf die aktuelle Position. PC-DMIS zeichnet den Taster an seiner neuen Position neu.

Einstellen der Tastertiefe


Einstellen der Tastertiefe an einem Element

So positionieren Sie den Taster auf ein bestimmtes Element (z.B. eine Ebene):

  1. Bewegen Sie den Cursor, um das Element zu schließen.
  2. Drücken und halten Sie die rechte Maustaste.
  3. Lassen Sie die Maustaste wieder los.

Sobald Sie die Maustaste loslassen, läßt PC-DMIS den Taster am nächstgelegenen CAD-Element "einrasten" und zeigt folgende Meldung an: "Präzise Tiefe festgelegt auf".

In der Statusleiste werden die aktuelle Anzahl der Meßpunkte und die Tasterposition angegeben.

Einstellen der Tastertiefe an einem Element

Siehe auch:

Einstellen der Tastertiefe an einer Kugel

Einstellen der Tastertiefe an einem Kegel


Einstellen der Tastertiefe auf einer Kugel

In PC-DMIS gibt es zwei Verfahren, mit denen Sie die Tastertiefe auf einer Kugel festlegen können. Die Lage des Tasters im Verhältnis zur Mittellinie der Zeichnung gibt vor, an welcher Stelle der Meßpunkt auf der Kugel aufgenommen wird. Befindet sich der Taster unterhalb der Mittellinie, nimmt PC-DMIS den Meßpunkt am unteren Punkt der Kugel auf. Damit ein Meßpunkt am oberen Punkt der Kugel aufgenommen wird, muß die Tastertiefe auf einen Wert oberhalb der Mittellinie eingestellt werden. Weitere Informationen über die folgenden Verfahren finden Sie unter "Offline-Messung von Elementen".

3D-Verfahren

So legen Sie die präzise Tiefe auf einer dreidimensionalen sphärischen Oberfläche fest:

  1. Bewegen Sie den animierten Taster zum gewünschten Kreis.
  2. Drücken und halten Sie die rechte Maustaste.
  3. Lassen Sie die Maustaste wieder los. Nun wird die präzise Tiefe auf der Kugel festgelegt.

PC-DMIS positioniert den Taster an der Seite des Elements, an der die Maustaste zuerst gedrückt gehalten wurde. So wird der Typ des gemessenen Elements bestimmt. Wenn der Taster an der Außenseite eines kreisförmigen CAD-Elements einrastet, werden die Meßpunkte außerhalb des Kreises plaziert. Wenn der Taster an der Innenseite desselben Elements einrastet, werden die Meßpunkte innerhalb des Kreises plaziert. Der 3D-Nullpunkt des Kreises muß sich an derselben Stelle wie der Kugelmittelpunkt befinden.

Nachdem die präzise Tiefe festgelegt wurde, rasten alle erstellten Punkte auf der sphärischen Oberfläche ein.

2D-Verfahren

Bei Verwendung einer zweidimensionalen Zeichnung benötigt PC-DMIS mindestens zwei Ansichten der Kugel. Die Kugel sollte in beiden Ansichten als Kreis (oder Bogen) sichtbar sein.

  1. Legen Sie mit einer der Ansichten die präzise Tiefe für zwei der Achsen fest. (Informationen zur Einstellung der präzisen Tiefe finden Sie unter "Einstellen der Tastertiefe an einem Element".) PC-DMIS zeigt folgende Meldung an: "Präzise Tiefe festgelegt auf."
  2. Legen Sie anhand der zweiten Ansicht die präzise Tiefe für die dritte Achse fest. PC-DMIS zeigt folgende Meldung an: "Präzise Tiefe festgelegt auf Kugel". Mit diesem Verfahren wird der tatsächliche dreidimensionale Mittelpunkt der Kugel ausfindig gemacht.

Nachdem die präzise Tiefe festgelegt wurde, rasten alle erstellten Punkte auf der sphärischen Oberfläche ein.


Einstellen der Tastertiefe auf einem Kegel

In PC-DMIS gibt es zwei Verfahren, mit denen Sie die Tastertiefe auf einem Kegel festlegen können. Weitere Informationen über die folgenden Verfahren finden Sie unter "Offline-Messung von Elementen".

3D-Verfahren

Damit PC-DMIS die präzise Tiefe auf einer konischen Oberfläche festlegen kann, müssen auf dem Kegel zwei CAD-Kreise (oder -Bögen) angezeigt werden. Es wird empfohlen, bei diesem Verfahren zwei Ansichten der Oberfläche zu verwenden, dies ist jedoch nicht zwingend erforderlich. (Zur Festlegung der Tastertiefe auf einem Kegel können auch isometrische Werte verwendet werden.)

  1. Legen Sie die präzise Tiefe für ein Ende des Kegels anhand eines der beiden Kreise fest. PC-DMIS zeigt folgende Meldung an: "Präzise Tiefe festgelegt auf."
  2. Legen Sie die präzise Tiefe für das andere Ende des Kegels anhand des zweiten Kreises fest. PC-DMIS zeigt folgende Meldung an: "Präzise Tiefe festgelegt auf Kegel".

Nachdem die präzise Tiefe festgelegt wurde, rasten alle erstellten Punkte auf der konischen Oberfläche ein. Auf Kegeln können einzelne Meßpunkte durch Drücken und Halten der linken Maustaste aufgenommen werden. Durch Drücken der linken Maustaste wird PC-DMIS angewiesen, in gleichmäßigen Abständen um den Kegel herum Meßpunkte aufzunehmen.

2D-Verfahren

PC-DMIS kann bei zweidimensionalen Zeichnungen die präzise Tiefe auf einer konischen Oberfläche nur dann bestimmen, wenn die Länge zwischen den beiden Kreisen (wie oben beschrieben) definiert ist. Da sich diese Kreise auf derselben Tiefe befinden, muß auch die präzise Tiefe einer Linie definiert werden. Hierbei kann es sich um eine gerade Linie oder um eine Linie an der Kante des Kegels handeln. Nachdem Sie die präzise Tiefe auf den Kreisen festgelegt haben, halten Sie die rechte Maustaste gedrückt, während sich der Mauszeiger neben der für die Länge verwendeten Linie befindet.

Nachdem die präzise Tiefe festgelegt wurde, rasten alle erstellten Punkte auf der konischen Oberfläche ein. Auf Kegeln können einzelne Meßpunkte durch Drücken und Halten der linken Maustaste aufgenommen werden. Durch Drücken der linken Maustaste wird PC-DMIS angewiesen, in gleichmäßigen Abständen um den Kegel herum Meßpunkte aufzunehmen.


Eingeben der Tastertiefe

In manchen Fällen kann es erforderlich sein, die Tastertiefe auf eine bestimmte Position im Raum festzulegen. Vorgehensweise:

  1. Klicken Sie im Programmodus auf den Teil X, Y, Z der Statusleiste (oder wählen Sie die Option Bewegen nach, die im Abschnitt "Einfügen von Bewegungsbefehlen" beschrieben ist).

Display Menu Roadmap
Es erscheint das Dialogfeld Auto Bewegungspunkt. Die Standardeinstellung entspricht der aktuellen Tasterposition.

  3. Ändern Sie die Werte wie gewünscht in den Feldern X, Y und Z. Durch Aktivieren des Kontrollkästchens Bewegung speichern ist es möglich, den Befehl BEWEGEN/PUNKT zum Programm hinzuzufügen. Wenn Sie möchten, können Sie zudem das Kontrollkästchen Inkrementalbewegung und das Kontrollkästchen Bewegung ausführen markieren.
  4. Wenn Sie nach Eingabe der neuen X-, Y- oder Z-Werte auf Fertig klicken, bewegt PC-DMIS den animierten Taster an die neue Position.


Offline-Messung von Elementen

In PC-DMIS gibt es mehrere verschiedene Methoden zur Offline-Programmierung von Meßroutinen. Ein Meßpunkt wird durch Drücken und Halten der linken Maustaste aufgenommen. Mit der Tastenkombination ALT + "-" (Minus) können Sie eine bestimmte Anzahl von Meßpunkten wieder entfernen, solange der Meßvorgang noch nicht abgeschlossen ist. (Drücken Sie für jeden zu entfernenden Meßpunkt einmal ALT + "-".) Mit der Taste ENDE können Sie den Meßvorgang abschließen.

Hinweis: Drücken Sie die Taste ENDE, um den Meßvorgang zu beenden. PC-DMIS erfaßt so lange Meßpunkte im Meßpunktpuffer, bis die Taste ENDE gedrückt wird.

Siehe auch:

Automatische Messungen

Einzelmessungen

Beenden einer Messung


Automatische Messungen

PC-DMIS kann auf Basis der IGES-Definition kreisförmiger und linearer Elementtypen bestimmte Annahmen dahingehend machen, wie diese gemessen werden sollten. Sie können von diesen Annahmen profitieren, indem Sie die Werkstückprogrammierung beschleunigen.

Siehe auch:

Kreisförmige Elemente

Lineare Elemente

Oberflächenelemente


Kreisförmige Elemente

PC-DMIS kann automatisch Meßpunkte für Kreise, Zylinder und Bögen erstellen. Vorgehensweise:

  1. Bewegen Sie den Cursor in der Nähe des Elementumfangs.
  2. Klicken Sie mit der linken Maustaste. (Die Statusanzeige muß auf den Programmodus eingestellt sein.) PC-DMIS erstellt nun auf dem Element in der aktuellen Tastertiefe in regelmäßigen Abständen Meßpunkte. (Siehe auch "Setup-Optionen: Registerkarte 'Allgemein'" im Abschnitt "Voreinstellungen".)

Halten Sie sich bei kreisförmigen Elementen an die folgenden Meßregeln:

  • Für einen Innendurchmesser (ID) setzen Sie den Cursor einfach an eine Stelle innerhalb des Elements.
  • Für einen Außendurchmesser setzen Sie den Cursor einfach an eine Stelle außerhalb des Elements.
  • Nehmen Sie zur automatischen Programmierung von Zylindern mindestens zwei Meßpunktsätze in unterschiedlichen Tastertiefen auf.
  • Beim Programmieren eines Bogens verteilt PC-DMIS die Meßpunkte entlang der Bogenlänge.
  • Wenn Sie eine Kugel oder einen Kegel messen, legen Sie zuerst die präzise Tiefe auf der Kugel oder dem Kegel fest, bevor Sie Meßpunkte erstellen. Informationen hierzu finden Sie unter "Einstellen der Tastertiefe auf einer Kugel" und unter "Einstellen der Tastertiefe auf einem Kegel".


Lineare Elemente

PC-DMIS kann Meßpunkte für Linien und Ebenen automatisch erstellen. Vorgehensweise:

  1. Bewegen Sie den Cursor nah entlang der Linie.
  2. Klicken Sie mit der linken Maustaste. (Die Statusanzeige muß auf den Programmodus eingestellt sein.)

Halten Sie sich zum Messen von linearen Elementen an die folgenden Regeln:

  • PC-DMIS erstellt in regelmäßigen Abständen Meßpunkte in der aktuellen Tastertiefe entlang der Linienlänge. (Siehe auch "Setup-Optionen: Registerkarte 'Allgemein'" im Abschnitt "Voreinstellungen".)
  • Der Cursor muß sich auf der Seite der Linie befinden, an der die Meßpunkte aufgenommen werden sollen.
  • Nehmen Sie zur automatischen Programmierung von Ebenen mindestens zwei Meßpunktsätze in unterschiedlichen Tastertiefen auf.


Oberflächenelemente

Durch einen UV-Scan können automatisch Meßpunkte auf einer Oberfläche entlang ihrer UV-Richtung plaziert werden. Drücken Sie im Programmodus und Oberflächenmodus die linke Maustaste innerhalb der zu auszuwählenden Oberfläche. In dem nun eingeblendeten Dialogfeld können die UV-Anfangs- und -Endwerte sowie die Anzahl der Punkte entlang jeder UV-Richtung angegeben werden.


Einzelmessungen

Mit automatischen Messungen läßt sich der Programmierungsvorgang zwar beschleunigen, in manchen Fällen ist es jedoch aufgrund der Werkstückgeometrie oder des Elementtyps notwendig, Meßpunkte präzise auf einem Element zu plazieren. Es gibt zwei Methoden zur Plazierung von Meßpunkten.

Siehe auch:

Plazieren von Meßpunkten auf einer Oberfläche

Plazieren von Meßpunkten auf einem Element


Plazieren von Meßpunkten auf einer Oberfläche

In vielen Fällen ist es notwendig, die Meßpunkte präzise auf einer Oberfläche (d.h. Ebenen-, Kugel- oder Kegelmessung) zu positionieren. Vorgehensweise:

  1. Bewegen Sie den Cursor an die Stelle, an der Sie den Meßpunkt aufnehmen möchten.
  2. Halten Sie die linke Maustaste gedrückt (bewegen Sie die Maus dabei nicht).
  3. Lassen Sie die Maustaste wieder los. PC-DMIS programmiert den Meßpunkt an dieser Stelle.

Der Cursor darf nicht bewegt werden, sondern muß an derselben Position verbleiben, während die Maustaste gedrückt wird. Andernfalls würde PC-DMIS Ihre Absicht falsch verstehen. Sollte die Taster spitze an einem Element einrasten, nachdem die Taste losgelassen wurde, dann wurde die Maus während des Vorgangs bewegt. Drücken Sie die Tastenkombination ALT + "-" (Minus), um den Meßpunkt zu entfernen, und beginnen Sie von neuem.

Hinweis: Vor der Plazierung von Einzelmessungen auf einem Kegel, einer Kugel oder Ebene muß die präzise Tiefe festgelegt werden.


Plazieren von Meßpunkten auf einem Element

In vielen Fällen ist es notwendig, Meßpunkte präzise auf anderen Elementen als einer Ebene zu positionieren. Vorgehensweise:

  1. Bewegen Sie den Cursor an die Stelle, an der Sie die Meßpunkte aufnehmen möchten.
  2. Halten Sie die linke Maustaste gedrückt.
  3. Bewegen Sie den Taster an die Stelle, an der Sie den Meßpunkt aufnehmen möchten. (Der Taster muß mindestes 0,3 cm auf dem Bildschirm bewegt werden).
  4. Lassen Sie die Maustaste wieder los.

PC-DMIS läßt den Meßpunkt auf dem Element "einrasten". PC-DMIS ordnet den Meßpunkt an der Seite des Elements an, an der sich der Cursor befand, als die Maustaste gedrückt gehalten wurde.


Beenden einer Messung

Um eine Messung im Offline-Modus zu beenden, drücken Sie die Taste ENDE.


Offline-Ausführung von Werkstückprogrammen und Fehlersuche

Werkstückprogramme werden in der Offline-Version von PC-DMIS genauso ausgeführt wie in der Online-Version. Das Bearbeitungsfenster gewährt direkten Zugriff auf alle Befehle in einem Werkstückprogramm, wodurch die Feineinstellung eines Offline-Werkstückprogramms genauso einfach ist wie bei einem auf einem KMG erstellten Programm.

Einen Überblick über die vielen Bearbeitungsoptionen in PC-DMIS finden Sie unter "Bearbeiten eines Werkstückprogramms".

Es obliegt der Verantwortung des Programmierers, Kollisionen und falsch plazierte Meßpunkte anhand der Taster-Animation aufzudecken. Zu diesem Zweck reduziert man am besten die Bewegungs- und Berührungsgeschwindigkeit. Dies geschieht durch Auswählen der Option Taster einrichten (siehe "Ändern der Protokoll- und Bewegungsparameter" im Abschnitt "Voreinstellungen") und Eingabe der gewünschten Geschwindigkeiten in das entsprechende Bearbeitungsfeld. PC-DMIS hält den Meßvorgang an, wenn die Schaltfläche Anhalten angeklickt wird, und nimmt ihn erst nach Auswahl der Schaltfläche Fortfahren wieder auf.

Siehe auch:

Tasterbahn


Bahn

Tasterbahn

Display Menu Roadmap
Die Menüoption Bahngeraden bietet eine graphische Darstellung der Tasterbahn entlang des Werkstücks. Diese Option ist ein leistungsfähiges Werkzeug zur Bearbeitung der Tasterbahn und ist beim Offline-Meßvorgang sehr nützlich. So greifen Sie auf diese Option zu:

  1. Markieren Sie die Elemente im Bearbeitungsfenster des betreffenden Werkstückprogramms, die zur Bearbeitung der Tasterbahn verwendet werden. (Informationen hierzu finden Sie unter "Markieren von Befehlen für die Ausführung" im Abschnitt "Bearbeiten eines Werkstückprogramms".)
  2. Wählen Sie die Option Bahngeraden aus. PC-DMIS zeigt die Bahngeraden des Tasters an, die während des Lernabschnitts des Werkstückprogramms erstellt wurden. Weitere Informationen zur Verwendung der Bahngeraden finden Sie unter "Anzeigen und Animieren von Bahngeraden" im Abschnitt "Bearbeiten der CAD-Anzeige".


Translating a Part Program into PC-DMIS

Übertragen einer Werkstückprogrammdatei

Importieren einer Werkstückprogrammdatei


Übertragen eines Werkstückprogramms in PC-DMIS: Einführung

PC-DMIS ermöglicht Benutzern, in DOS oder Avail erstellte Werkstückprogramme zur Ausführung in PC-DMIS für Windows zu übertragen. Das ursprüngliche Werkstückprogramm muß mit Hilfe von Avail oder PC-DMIS (DOS) erstellt worden sein. Der Übersetzungsvorgang ist nur verfügbar, wenn das ursprüngliche Werkstückprogramm mit Avail oder PC-DMIS (DOS), Version 3.2 oder höher, erstellt wurde.

Hinweis: Das Importieren von mit Tutor für Windows erstellten Werkstückprogrammen ist in dieser Version nicht verfügbar.

In diesem Abschnitt werden folgende Themen behandelt:

  • Übertragen einer Werkstückprogrammdatei
  • Importieren einer Werkstückprogrammdatei


Übertragen einer Werkstückprogrammdatei

Verfahren Sie zum Übertragen einer Datei wie folgt:

Siehe auch:

DOS in Windows

Avail/MMIV in Windows


DOS zu Windows

DOS in Windows

  1. Starten Sie PC-DMIS für DOS von DOS aus. Die Liste Aktive Werkstücke erscheint.
  2. Klicken Sie auf die Schaltfläche Importieren in der Menüliste.
  3. Wählen Sie das zu übertragende Werkstückprogramm aus. PC-DMIS zeigt das Menü Importoptionen an.
  4. Klicken Sie in der Menüliste auf die Schaltfläche DIMS CMDS (DIMS-Befehle). PC-DMIS fragt nach dem Namen der Ausgabedatei.
  5. Geben Sie den betreffenden Dateinamen gefolgt von einer dreistelligen Erweiterung ein. Es wird empfohlen (ist jedoch nicht zwingend erforderlich), die Erweiterung ".dim" zu wählen.
  6. Wenn PC-DMIS das Werkstückprogramm nachverarbeitet, werden Sie aufgefordert, einen Namen für eine PC-DMIS für Windows-Tasterdatei einzugeben. Geben Sie den entsprechenden Namen ein.
  7. Vergewissern Sie sich, daß es sich um eine Tasterdatei handelt, die für Windows verwendet wird.
  8. Drücken Sie die EINGABETASTE.
  9. Nach Abschluß der Nachverarbeitung werden Sie aufgefordert, zum Fortfahren eine beliebige Taste zu drücken. PC-DMIS zeigt wieder die Liste Aktive Werkstücke an.
  10. Beenden Sie PC-DMIS für DOS.


Avail/MMIV in Windows

Avail/MMIV-Dateien müssen übersetzt werden, um in PC-DMIS für Windows ausgeführt werden zu können. Es wird empfohlen (ist jedoch nicht erforderlich), die Dateien mit dem Dateinamen LLF*.* zu speichern. Befolgen Sie einfach die Anweisungen unter "Importieren einer Werkstückprogrammdatei".


Importieren einer Werkstückprogrammdatei

Verfahren Sie beim Importieren einer Werkstückprogrammdatei wie folgt. Der Vorgang ist bei allen Dateitypen gleich.

Siehe auch:

DOS, Avail und MMIV-Dateien


DOS-, Avail- und MMIV-Dateien

  1. Starten Sie PC-DMIS für Windows durch einen Doppelklick auf das betreffende Desktop-Symbol (oder durch Auswahl der Schaltfläche Start | Programme | PC-DMIS für Windows auf dem Desktop). PC-DMIS wird geladen und zeigt das Dialogfeld Datei öffnen an.
  2. Klicken Sie auf die Schaltfläche Abbrechen, um das Dialogfeld zu schließen.
  3. Wählen Sie die Menüoption Neu, um ein neues Werkstückprogramm zu erstellen. Das Dialogfeld Neues Werkstückprogramm erscheint.

Display Menu Roadmap
Geben Sie einen neuen Werkstückprogramm-Dateinamen und gegebenenfalls andere Informationen ein.

  5. Klicken Sie auf die Schaltfläche OK. Das Dialogfeld wird geschlossen, und das Dialogfeld Taster Hilfsprogramme erscheint.
  6. Klicken Sie auf die Schaltfläche Abbrechen, um das Dialogfeld Taster Hilfsprogramme zu schließen.
  7. Wählen das Untermenü Importieren.

Display Menu Roadmap
Wählen Sie den entsprechenden Eingabedatentyp (DIMS, AVAIL oder MMIV) aus. Nun erscheint das Dialogfeld Öffnen.

  9. Wählen Sie die richtige Datei aus. Wurde sie mit der Erweiterung .DIM / .LLF*.* gespeichert, zeigt PC-DMIS automatisch alle verfügbaren Dateien mit der entsprechenden Erweiterung an. Wechseln Sie ggf. in das richtige Verzeichnis.
  10. Klicken Sie auf die Schaltfläche Importieren. Wenn Sie bereits CAD-Daten für ihr Werkstückprogramm vorhanden sind, fragt PC-DMIS, ob Sie die vorhandenen CAD-Daten entweder ersetzen oder zusammenführen möchten. Das Dialogfeld Übertragungsmethode wählen wird eingeblendet. Die folgenden Übertragungsmöglichkeiten stehen zur Verfügung:
    • Übertragung des Hauptprogramms und aller aufgerufenen Unterprogramme in ein DIMS-Werkstückprogramm.
    • Nur Übertragung der ausgewählten Datei. Die Unterprogramm-Aufrufe werden eingeschlossen, die Unterprogrammdateien werden jedoch nicht übertragen.
    • Übertragung des Hauptprogramms und aller aufgerufenen Unterprogramme in separate DIMS-Werkstückprogramme.
  11. Wählen Sie eine der verfügbaren Übertragungsmethoden aus.
  12. Klicken Sie auf die Schaltfläche OK (oder drücken Sie die EINGABETASTE).

PC-DMIS überträgt die DIMS/AVAIL/MMIV-Daten und kehrt wieder zum Werkstückprogramm zurück.

  • Bei jedem TASTERWECHSEL werden Sie aufgefordert, eine PCDMIS-Tasterdatei auszuwählen.
  • Bei jedem TASTSPITZENWECHSEL werden Sie aufgefordert, einen PCDMIS-Taster auszuwählen.

Ihr Werkstückprogramm kann nun in PC-DMIS für Windows ausgeführt werden.

Achtung: Wenn Sie ein AVAIL-Werkstückprogramm importieren, das in einem Elementblock ein IFTEST (WENNTEST)-Schlüsselwort oder einen GEHEZU/MARKE-Befehl enthält, oder ein MMIV-Werkstückprogramm, das in einem Elementblock ein VERZWEIGEN/TEST-Schlüsselwort oder einen VERZWEIGEN/MARKE-Befehl enthält, verschiebt PC-DMIS seine entsprechenden IF- und GEHEZU-Befehle vor den Elementblock. Dies wird bei zukünftigen Versionen von PC-DMIS korrigiert werden.

Siehe auch:

Der BEWEGEN/PH9_VERSATZ-Befehl für importierte DOS-Werkstückprogramme


Der BEWEGEN/PH9_VERSATZ-Befehl für importierte DOS-Werkstückprogramme

In der DOS-Version drehte das Programm den PH9 in die neuen Winkel und machte dann eine automatische Bewegung, so daß die Tastspitze dort anhielt, wo sie sich vor der Winkeländerung befunden hatte. Wird der PH9 jedoch in PC-DMIS für Windows in die neuen Winkel gedreht, entfällt diese zusätzliche Bewegung. Aus diesem Grund fügt PC-DMIS für Windows im Fall von übertragenen und importierten DOS-Programmen automatisch BEWEGEN/PH9_VERSATZ-Befehle ein, um die Übertragung von der DOS-Version von PC-DMIS in PC-DMIS für Windows zu vereinfachen.

Dieser Befehl hat die folgende Schreibeweise und verwendet zwei Eingaben:

MOVE/PH9_OFFSET,EINGABE1,EINGABE2

EINGABE1 ist der alte Tastspitzenwinkel.

EINGABE2 ist der neue Tastspitzenwinkel.

Hinweis: In den regulären Werkstückprogrammen von PC-DMIS für Windows ist dieser Befehl nicht erforderlich und steht daher in keinem der Menüs zur Auswahl.


Modifying Registry Entries

Liste der erforderlichen Berechtigungen

ANALOGES_MESSEN

AutoElemente

AutoElemente\Typ

Catia5

Catia

CNC-Programm

CTerminal Historie

Datenbank

DEA_Interface

Debug

DMIS

Bearbeitungsfenster

Ausführung

Faro_Interface

FileMan

Grafikeinstellungen

IDEAS

Importeinstellungen

Sektion IplusPlus

Sektion Leitz

LicenseServerClient

Kamera-Ansicht

LockExpiryReminder

Maschine

Symbolleiste "Verschiedenes"

Mehrarmkalibrierung

Einstellungen Mehrarmbetrieb

OpenGL-Optionen

OpenGL-Einstellungen

Option

Parameter

TasterKal

ProEngineer

Ergebnisanzeige

Scannen

SystemFiveDcc

TempKomp

UnigraphicsDCI

Benutzereingabe

Benutzer_SystemFiveDcc

Valysis

VMMOffline

Assistenten


Ändern von Registrierungseinträgen: Einführung

PC-DMIS speichert alle benutzerdefinierbaren Einstellungen in der Windows-Registrierung. In den Versionen vor Version 3.5 speicherte PC-DMIS diese Einstellungen in einer INI-Datei namens Pcdlrn.ini. Die Einträge in dieser Registrierung werden jedesmal beim Start von PC-DMIS gelesen.

Achtung: Durch falsche Änderungen an der Systemregistrierung kann das Computersystem beschädigt werden. Aus diesem Grund gibt es den PC-DMIS-Einstellungseditor. Wir empfehlen, daß Sie stets diese Anwendung benutzen, wenn Sie Ihre PC-DMIS-Einstellungen ändern. Wenn Sie jedoch die Registrierung direkt bearbeiten möchten, sollten Sie unbedingt eine Sicherungskopie der wichtigen Daten auf dem Computer erstellen, bevor Sie Änderungen an der Registrierung vornehmen.

Fast alle benutzerdefinierbaren Einstellungen können direkt von den PC-DMIS-Anwendungen aus geändert werden. Sie müssen die Registrierungseinstellungen daher nicht bearbeiten.

Achtung: Die Registrierung enthält zahlreiche Einstellungen für PC-DMIS. In diesem Abschnitt werden jedoch nur jene Registrierungseinträge behandelt, die Sie nicht direkt von den PC-DMIS-Anwendungen aus ändern können.

Zum Ändern der Registrierungseinträge müssen Sie die entsprechenden Rechte haben. Weitere Informationen zu einer Liste aller Einträge und den jeweils notwendigen Berechtigungen finden Sie unter Liste der erforderlichen Berechtigungen.

Dokumentierte Einträge für die erweiterbaren Sektionen des PC-DMIS-Einstellungseditors werden in folgenden Themen behandelt:

Verfügbare Sektionen: | ANALOGES MESSEN | AutoElemente | AutoElemente/Typ | Catia5 | CatiaPort
CNC-Programm | CTerminal Historie | Datenbank | DEA-Schnittstelle | Fehlersuche | Dmis
Bearbeitungsfenster | Ausführung | Faro-Schnittstelle | FileMan | Grafikeinstellungen | Ideas
Importeinstellungen | IPlus | LEITZ | LizenseServerClient | Kamera-Ansicht | LockExpiryReminder
Maschine | Symbolleite "Verschiedenes" | MehrarmKalibrierung | Einstellungen Mehrarmbetrieb | OpenGL-Optionen | OpenGL-Einstellungen
Option | Parameter | TasterKal | ProEngineer | Ergebnisanzeige | Scannen
SystemFiveCNC | TempKomp | UnigraphicsDCI | Benutzereingabe | BENUTZER_SystemFiveCNC | Valysis
VMM_Offline | Assistenten |  |  |  |

Siehe auch:

Bearbeiten der PC-DMIS-Registrierungseinträge


Bearbeiten der PC-DMIS-Registrierungseinträge

PC-DMIS bietet einen speziellen Editor für die Verwendung mit PC-DMIS. Auf diese Art und Weise müssen Sie die Registrierung nicht direkt bearbeiten.

Zum Bearbeiten der PC-DMIS-Registrierungseinträge gehen Sie vor wie folgt:

  1. Beenden und schließen Sie Ihre PC-DMIS-Anwendung.
  2. Klicken Sie in Windows auf Start und dann auf Programme.
  3. Klicken Sie auf die Programmgruppe PC-DMIS für Windows, und wählen Sie Einstellungseditor. Dadurch wird der PC-DMIS-Einstellungseditor gestartet. Das Laden aller Einstellungen kann etwas Zeit in Anspruch nehmen. Mit Hilfe des PC-DMIS-Einstellungseditors können Sie nach benutzerdefinierbaren Einstellungen suchen und diese bearbeiten.
  4. Klicken Sie auf das Pluszeichen neben der Gruppe, die Sie ändern möchten. Dadurch wird die Liste erweitert.
  5. Wählen Sie die Einstellung aus, die geändert werden soll. Der PC-DMIS-Einstellungseditor zeigt Informationen zur ausgewählten Einstellung an.
    • Feld Name der Sektion – Zeigt an, zu welchem Abschnitt der Eintrag gehört (beispielsweise war [Option] ein Abschnitt in der alten Pcdlrn.ini-Datei).
    • Feld Name des Eintrags – Zeigt den Eintrag an, dessen Wert Sie ändern möchten (z.B. ist HasRenishawWrist ein Eintrag in der alten Pcdlrn.ini-Datei).
    • Feld Art des Eintrags – Zeigt an, welche Art von Wert benötigt wird, um den Eintrag zu ändern. Mögliche Typen sind: Boolescher Wert, Zeichenfolge, Double, Ganzzahl, DWORD.
    • Feld Aktueller Wert – Zeigt den Wert der ausgewählten Einstellung an. Wenn der angezeigt Wert NONE (KEIN) lautet, ist momentan kein Wert in der Registrierung gespeichert. Es handelt sich jedoch nach wie vor um einen gültigen Eintrag, der geändert werden kann. Wird dieser geändert, wird der Registrierung ein neuer Schlüssel für diesen Eintrag hinzugefügt.
  6. Ändern Sie den Wert der Einstellung im Feld Aktueller Wert, und klicken Sie dann auf Einstellung speichern. Beachten Sie bitte, daß Sie diese Eingabe jederzeit auf die internen Werkseinstellungen zurücksetzen können, indem Sie die Schaltfläche Einstellung löschen anklicken. Außerdem speichert PC-DMIS Ihre Änderung nur temporär; die Registrierung wird erst nach Anklicken der Schaltfläche Registry erneuern tatsächlich aktualisiert.
  7. Klicken Sie auf Registry erneuern, um die durch Sie vorgenommenen Änderungen dauerhaft zu speichern.
  8. Wenn Sie mit der Bearbeitung fertig sind, klicken Sie auf OK, um den PC-DMIS-Einstellungseditor zu schließen.

Hinweis: Sie müssen den PC-DMIS-Einstellungseditor als unabhängiges Programm ausführen. Wenn Sie den PC-DMIS-Einstellungseditor zusammen mit PC-DMIS ausführen, werden Sie in einer Meldung darauf hingewiesen, daß Sie PC-DMIS schließen müssen, bevor Sie den Einstellungseditor ausführen.

Siehe auch:

Exportieren und Importieren benutzerdefinierter Einstellungen

Entfernen aller Registrierungseinträge

Speichern mehrerer Änderungen

Löschen Ihrer Änderungen

Einen Eintrag findenEntry


Exportieren und Importieren benutzerdefinierter Einstellungen

Zum Exportieren oder Sichern der PC-DMIS-Registrierungseinstellungen öffnen Sie den PC-DMIS-Einstellungseditor und klicken auf die Schaltfläche Exportieren. Dann können Sie die Einträge und ihre aktuellen Werte in einer Datei speichern. Sie können gespeicherte Einträge später wiederherstellen, indem Sie auf die Schaltfläche Importieren klicken. Beim Wiederherstellen einer Datei werden die aktuellen Werte in der Registrierung durch die der gespeicherten Datei überschrieben.


Entfernen aller Registrierungseinträge

Um alle benutzerdefinierten PC-DMIS-Einträge aus der Registrierung zu löschen und die Standardwerte wiederherzustellen, klicken Sie auf die Schaltfläche Alle löschen. Dadurch werden alle Einträge aus der Registrierung gelöscht und mit ihren standardmäßigen Werkseinstellungen neu geladen. Die Standardwerte für diese Einträge sind intern in PC-DMIS gespeichert und werden nicht im PC-DMIS-Einstellungseditor angezeigt.


Speichern mehrerer Änderungen

Um mehrere Eintragsänderungen zu speichern, nehmen Sie die Änderung vor und klicken zum Abschluß auf die Schaltfläche Registry erneuern. Solange diese Schaltfläche noch nicht angeklickt wurde, können Sie Ihre Änderungen immer noch durch Anklicken der Schaltfläche Abbrechen rückgängig machen.


Einen Eintrag suchen

Gehen Sie vor wie folgt, um einen Eintrag im PC-DMIS-Einstellungseditor zu finden:

  1. Klicken Sie auf die Schaltfläche Suchen. Der PC-DMIS-Einstellungseditor zeigt das Dialogfeld Suchen an.
  2. Geben Sie den Namen des Registrierungseintrags vollständig oder teilweise in das Feld Suchen nach ein.
  3. Klicken Sie auf Weitersuchen. PC-DMIS durchsucht alle erweiterbaren Sektionen nach dem ersten Eintrag, der mit dem Text im Feld Suchen nach übereinstimmt.
  4. Durchsuchen Sie die übereinstimmenden Einträge durch Betätigung der Schaltfläche Weitersuchen solange, bis Sie den zu ändernden Eintrag finden.


Liste der erforderlichen Berechtigungen

Je nach Zugriffsrechten und installiertem Schnittstellentyp haben Sie möglicherweise nur begrenzte Rechte zur Änderung der Einträge im PC-DMIS-Einstellungseditor. In den folgenden Themen werden die Standardregistrierungseinträge im PC-DMIs-Einstellungseditor nach den für sie erforderlichen Berechtigungen (USER und ADMINISTRATOR) aufgelistet sowie die Registrierungseinträge, die durch bestimmte KMG-Schnittstellen hinzugefügt wurden.

Hinweis: Die letzte Aktualisierung der Themenliste erfolgt am: 06. Mai 2003

Siehe auch:

Standardregistrierungseinträge BENUTZERRECHTE

Standardregistrierungseinträge ADMINISTRATORRECHTE

KMG-spezifische Einträge


Standardregistrierungseinträge, die BENUTZERRECHTE erfordern

ANALOG_PROBING MoveAccuracy

ANALOG_PROBING ProbeAccuracy

ANALOG_PROBING ProbeLowerForce

ANALOG_PROBING ProbeManualFine

ANALOG_PROBING ProbeMaxForce

ANALOG_PROBING ProbeMode

ANALOG_PROBING ProbeNumberOfData

ANALOG_PROBING ProbeReturnSpeed

ANALOG_PROBING ProbeTriggerForce

ANALOG_PROBING ProbeUpperForce

ANALOG_PROBING SP6MTXAdjustZZ

ANALOG_PROBING SP6MTXLowerForce

ANALOG_PROBING SP6MTXMaxForce

ANALOG_PROBING SP6MTXUpperForce

ANALOG_PROBING ScanAcceleration

ANALOG_PROBING ScanOffsetForce

ANALOG_PROBING ScanPointDensity

AutoFeatures DCCEdgePoint2ClickSelect

AutoFeatures DCCEdgePoint2ClickSelectShowWarning

AutoFeatures DccAngle

AutoFeatures DccAngleExterior

AutoFeatures DccAnglePermHits

AutoFeatures DccAngleShowAll

AutoFeatures DccAutoMoveDistance

AutoFeatures DccBFSubType

AutoFeatures DccCirMove

AutoFeatures DccCirNumHits

AutoFeatures DccCircleShowAll

AutoFeatures DccCircleShowHits

AutoFeatures DccConeNumHits

AutoFeatures DccConeNumRows

AutoFeatures DccConeShowAll

AutoFeatures DccConeShowHits

AutoFeatures DccCornerShowAll

AutoFeatures DccCylNumHits

AutoFeatures DccCylNumRows

AutoFeatures DccCylinderShowAll

AutoFeatures DccCylinderShowHits

AutoFeatures DccDepth

AutoFeatures DccDiam

AutoFeatures DccEdgeInitHits

AutoFeatures DccEdgePermHits

AutoFeatures DccEdgeShowAll

AutoFeatures DccEllNumHits

AutoFeatures DccEllipseShowAll

AutoFeatures DccEllipseShowHits

AutoFeatures DccEndAng

AutoFeatures DccEndAng2

AutoFeatures DccFindHoleType

AutoFeatures DccFlagword

AutoFeatures DccHPntInc

AutoFeatures DccHPntRadInLength

AutoFeatures DccHPntRadOutWidth

AutoFeatures DccHPntSearchMode

AutoFeatures DccHPntTol

AutoFeatures DccHeight

AutoFeatures DccHighPntShowAll

AutoFeatures DccIJK1_0

AutoFeatures DccIJK1_1

AutoFeatures DccIJK1_2

AutoFeatures DccIJK2_0

AutoFeatures DccIJK2_1

AutoFeatures DccIJK2_2

AutoFeatures DccIJK3_0

AutoFeatures DccIJK3_1

AutoFeatures DccIJK3_2

AutoFeatures DccIJK4_0

AutoFeatures DccIJK4_1

AutoFeatures DccIJK4_2

AutoFeatures DccInOut

AutoFeatures DccIndent

AutoFeatures DccIndent2

AutoFeatures DccIndent3

AutoFeatures DccInitHits

AutoFeatures DccLength

AutoFeatures DccMajorAxis

AutoFeatures DccMeasure

AutoFeatures DccMeasureOrder

AutoFeatures DccMinorAxis

AutoFeatures DccNotchShowAll

AutoFeatures DccNotchShowHits

AutoFeatures DccNumHits

AutoFeatures DccPermHits

AutoFeatures DccPinDiam

AutoFeatures DccPitch

AutoFeatures DccPntSpacer

AutoFeatures DccRSlotShowAll

AutoFeatures DccRSlotShowHits

AutoFeatures DccRadius

AutoFeatures DccRslotMeasAngle

AutoFeatures DccSSlotShowAll

AutoFeatures DccSSlotShowHits

AutoFeatures DccSetNomAxis

AutoFeatures DccSpacer

AutoFeatures DccSphNumHits

AutoFeatures DccSphNumRows

AutoFeatures DccSphereInOut

AutoFeatures DccSphereShowAll

AutoFeatures DccSphereShowHits

AutoFeatures DccStrAng

AutoFeatures DccStrAng2

AutoFeatures DccSurfInitHits

AutoFeatures DccSurfPermHits

AutoFeatures DccSurfacePntShowAll

AutoFeatures DccTargIJK_0

AutoFeatures DccTargIJK_1

AutoFeatures DccTargIJK_2

AutoFeatures DccTargXYZ_0

AutoFeatures DccTargXYZ_1

AutoFeatures DccTargXYZ_2

AutoFeatures DccThickness2Distance

AutoFeatures DccThickness2IsActual

AutoFeatures DccThicknessDistance

AutoFeatures DccThicknessIsActual

AutoFeatures DccType

AutoFeatures DccUseData

AutoFeatures DccUseReport

AutoFeatures DccVectorPntShowAll

AutoFeatures DccXYZ2_0

AutoFeatures DccXYZ2_1

AutoFeatures DccXYZ2_2

AutoFeatures DccXYZ_0

AutoFeatures DccXYZ_1

AutoFeatures DccXYZ_2

CTerminal History Controller Terminal

CTerminal History DebugWindowName

CTerminal History DebugWindowSize

CTerminal History Font

CTerminal History Interface

CTerminal History Terminal Window

DEA_Interface NEWCOMPENS_FNAME

DMIS DMISExternalMacroFileName

DMIS DMISFedratPcntOfMaxMachineSpeed

DMIS DMISOutputDirectory

DMIS DMISOutputOption

DMIS DMISOverwriteOutputFile

DMIS DMISShowWarnings

DMIS DMISUseChorusConvension

DMIS DMISUsePostoutCode

DMIS DMISUseVolkswagonConvension

DMIS DMISUseVolvoConvension

DMIS DMISVolkswagonMachineID

Database ControlCalculations

Database DataPageVariableName

Database DatabaseDirectory

Database MemoryPages

Database PreviousDatabaseDirectory0

Database PreviousDatabaseDirectory1

Database PreviousDatabaseDirectory2

Database PreviousDatabaseDirectory3

Database PreviousDatabaseDirectory4

Database PreviousDatabaseDirectory5

Database PreviousDatabaseDirectory6

Database PreviousDatabaseDirectory7

Database PreviousDatabaseDirectory8

Database PreviousDatabaseDirectory9

Database ReadLock

Database UserID

Database UserMode

Database WriteLock

Debug ExecuteList

Debug GetPos

Debug Interfac

Debug LoadProbe

Debug MSDebug

Debug MachineDBG

Debug System5

Debug WristCalTip

EditWindow DMISFeatOutWDimens

EditWindow EWBackGrndColor

EditWindow EWCommandModeShowAlignments

EditWindow EWCommandModeShowComments

EditWindow EWCommandModeShowDimensions

EditWindow EWCommandModeShowFeatures

EditWindow EWCommandModeShowHeader

EditWindow EWCommandModeShowHits

EditWindow EWCommandModeShowMoves

EditWindow EWCommandModeShowTips

EditWindow EWDMISButton

EditWindow EWDimBackGrndColor

EditWindow EWFontCharSet

EditWindow EWFontFaceName

EditWindow EWFontPointSize

EditWindow EWHyperReportDefaultAutoload

EditWindow EWHyperReportDefaultFilename

EditWindow EWHyperReportDefaultUseStandard

EditWindow EWHyperReportStandardFilename

EditWindow EWMarkChildMode

EditWindow EWMarkDependMode

EditWindow EWReportModeShowAlignments

EditWindow EWReportModeShowCaputes

EditWindow EWReportModeShowComments

EditWindow EWReportModeShowDimensions

EditWindow EWReportModeShowFeatures

EditWindow EWReportModeShowHeader

EditWindow EWReportModeShowMoves

EditWindow EWReportModeShowOldDimRept

EditWindow EWReportModeShowOutTolOnly

EditWindow EWReportModeShowTolBiLowerPercent

EditWindow EWReportModeShowTolBiUpperPercent

EditWindow EWReportModeShowTolLimitWithin

EditWindow EWReportModeShowTolUniPercent

EditWindow EWTextBasicColor

EditWindow EWTextDebugColor

EditWindow EWTextMarkedColor

EditWindow EWTextOutTolColor

EditWindow EWUseMarksetNamesWhenPrinting

Faro_Interface LastCalError

FileMan BarCodeScan

FileMan DefFileName

FileMan DefUnits

FileMan FMPostInType

FileMan FMPostOutType

FileMan PostInPath

FileMan PostOutPath

GOM Krypton

GraphicSettings BackgroundColor

IPlusPlus IPlusPlusCommPort

IPlusPlus IPlusPlusTCPIPPort

Ideas ConnectActiveServer

Ideas Host

Ideas OrbixIIOPProtocol

Ideas OrbixPort

Ideas Server

Ideas Version

ImportSettings CurveColor

ImportSettings PointColor

ImportSettings SurfaceColor

LEITZ ScanSpeed

LEITZ UseVolComp

LockExpiryReminder LastReminder

Machine DCCHitDelay

Machine DCCMoveDelay

Machine HasPH9

Machine HasRotab1

Machine HasRotab2

Machine SBAKMax

Machine SBAKMin

Machine STOTMax

Machine STOTMin

Machine STUTMax

Machine STUTMin

Machine VELTMax

Machine VELTMin

Machine VELVMax

Machine VELVMin

Machine Version

Machine WVELVMax

Machine WVELVMin

Machine XMax

Machine XMin

Machine YMax

Machine YMin

Machine ZMax

Machine ZMin

MasterSlave BothMode

MasterSlave DCCMode

MasterSlave MasterCommMode

MasterSlave MasterSlaveConnectTCPIPAddress

MasterSlave MasterSlaveConnectTCPIPPort

MasterSlave MasterSlaveConnectTime

MasterSlave MasterSlaveListenTCPIPPort

MasterSlave MeasureMode

MasterSlave Mode

MasterSlave NumSpheres

MasterSlave OriginMode

MasterSlave SlaveCommMode

MasterSlave SlaveCommPort

MasterSlave SphereCenter0

MasterSlave SphereCenter1

MasterSlave SphereCenter10

MasterSlave SphereCenter11

MasterSlave SphereCenter12

MasterSlave SphereCenter13

MasterSlave SphereCenter14

MasterSlave SphereCenter15

MasterSlave SphereCenter16

MasterSlave SphereCenter17

MasterSlave SphereCenter18

MasterSlave SphereCenter19

MasterSlave SphereCenter2

MasterSlave SphereCenter20

MasterSlave SphereCenter21

MasterSlave SphereCenter22

MasterSlave SphereCenter23

MasterSlave SphereCenter24

MasterSlave SphereCenter25

MasterSlave SphereCenter26

MasterSlave SphereCenter27

MasterSlave SphereCenter28

MasterSlave SphereCenter29

MasterSlave SphereCenter3

MasterSlave SphereCenter30

MasterSlave SphereCenter31

MasterSlave SphereCenter32

MasterSlave SphereCenter33

MasterSlave SphereCenter34

MasterSlave SphereCenter35

MasterSlave SphereCenter36

MasterSlave SphereCenter37

MasterSlave SphereCenter38

MasterSlave SphereCenter39

MasterSlave SphereCenter4

MasterSlave SphereCenter40

MasterSlave SphereCenter41

MasterSlave SphereCenter42

MasterSlave SphereCenter43

MasterSlave SphereCenter44

MasterSlave SphereCenter45

MasterSlave SphereCenter46

MasterSlave SphereCenter47

MasterSlave SphereCenter48

MasterSlave SphereCenter49

MasterSlave SphereCenter5

MasterSlave SphereCenter50

MasterSlave SphereCenter51

MasterSlave SphereCenter52

MasterSlave SphereCenter53

MasterSlave SphereCenter54

MasterSlave SphereCenter55

MasterSlave SphereCenter56

MasterSlave SphereCenter57

MasterSlave SphereCenter58

MasterSlave SphereCenter59

MasterSlave SphereCenter6

MasterSlave SphereCenter60

MasterSlave SphereCenter61

MasterSlave SphereCenter62

MasterSlave SphereCenter63

MasterSlave SphereCenter64

MasterSlave SphereCenter65

MasterSlave SphereCenter66

MasterSlave SphereCenter67

MasterSlave SphereCenter68

MasterSlave SphereCenter69

MasterSlave SphereCenter7

MasterSlave SphereCenter70

MasterSlave SphereCenter71

MasterSlave SphereCenter72

MasterSlave SphereCenter73

MasterSlave SphereCenter74

MasterSlave SphereCenter75

MasterSlave SphereCenter76

MasterSlave SphereCenter77

MasterSlave SphereCenter78

MasterSlave SphereCenter79

MasterSlave SphereCenter8

MasterSlave SphereCenter80

MasterSlave SphereCenter81

MasterSlave SphereCenter82

MasterSlave SphereCenter83

MasterSlave SphereCenter84

MasterSlave SphereCenter85

MasterSlave SphereCenter86

MasterSlave SphereCenter87

MasterSlave SphereCenter88

MasterSlave SphereCenter89

MasterSlave SphereCenter9

MasterSlave SphereCenter90

MasterSlave SphereCenter91

MasterSlave SphereCenter92

MasterSlave SphereCenter93

MasterSlave SphereCenter94

MasterSlave SphereCenter95

MasterSlave SphereCenter96

MasterSlave SphereCenter97

MasterSlave SphereCenter98

MasterSlave SphereCenter99

MasterSlave SphereCenter79

MasterSlave SphereCenter8

MasterSlave SphereCenter80

MasterSlave SphereCenter81

MasterSlave SphereCenter82

MasterSlave SphereCenter83

MasterSlave SphereCenter84

MasterSlave SphereCenter85

MasterSlave SphereCenter86

MasterSlave SphereCenter87

MasterSlave SphereCenter88

MasterSlave SphereCenter89

MasterSlave SphereCenter9

MasterSlave SphereCenter90

MasterSlave SphereCenter91

MasterSlave SphereCenter92

MasterSlave SphereCenter93

MasterSlave SphereCenter94

MasterSlave SphereCenter95

MasterSlave SphereCenter96

MasterSlave SphereCenter97

MasterSlave SphereCenter98

MasterSlave SphereCenter99

MasterSlave ToolNum

OpenGLSettings DrawArrowRadiusInMM

OpenGLSettings DrawArrowsAsSolid

OpenGLSettings DrawPointsAsSpheres

OpenGLSettings DrawPointsRadiusInMM

OpenGLSettings GL_AMBIENT

OpenGLSettings GL_AMBIENT_AND_DIFFUSE

OpenGLSettings GL_DIFFUSE

OpenGLSettings GL_SHININESS

OpenGLSettings GL_SPECULAR

Option ACR2SphereOffX

Option ACR2SphereOffY

Option ACR2SphereOffZ

Option ACR2_Calibrate

Option ACR2_MeasuredOrigin

Option ACR3Clearance

Option ALength0

Option ALtrs0

Option AStart0

Option AbsoluteSpeeds

Option AdjustLevelCommandRotation

Option AdjustMachineCorrdinates

Option AlternateIgesImport

Option AlternateTessellation

Option AngleDegMinSec

Option AngleRange0To360

Option AnimateProbeProgram

Option AppFontCharSet

Option AppFontName

Option AppFontSize

Option AppFontWeight

Option AppendProbeFileResults

Option AutoAdjustPh9

Option AutoChangeStandAloneDelay

Option AutoCirHits

Option AutoDim

Option AutoDimInfo

Option AutoGraphAnalysis

Option AutoLabelPosition

Option AutoLineHits

Option AutoProjRefPlane

Option AutoQualClearance

Option AutoQualClearanceWrist

Option AutoQualZClearance

Option AutoRoundness

Option AutoSave

Option AutoSaveTime

Option AutoScaleToFit

Option AutoSetPrehit

Option AutoTextAnalysis

Option AutoTriggerDist

Option AutochangeClearance

Option AvoidTable

Option AvoidTableInfo

Option AvoidTableTol

Option AvoidTableXYZ

Option BearingComplience

Option C1ToDDist

Option CLength0

Option CLtrs0

Option CMMUtilities

Option CMTComputerName

Option CMTIPAddress

Option CMTPort

Option CMTPromptOnFailure

Option CMTVideoProbe

Option CSLength0

Option CSLtrs0

Option CSStart0

Option CStart0

Option CToBDist

Option CToC1Dist

Option CatiaAddress

Option CatiaDirectory

Option CatiaDirectory1

Option CatiaDirectory10

Option CatiaDirectory11

Option CatiaDirectory12

Option CatiaDirectory13

Option CatiaDirectory14

Option CatiaDirectory15

Option CatiaDirectory16

Option CatiaDirectory17

Option CatiaDirectory18

Option CatiaDirectory19

Option CatiaDirectory2

Option CatiaDirectory20

Option CatiaDirectory3

Option CatiaDirectory4

Option CatiaDirectory5

Option CatiaDirectory6

Option CatiaDirectory7

Option CatiaDirectory8

Option CatiaDirectory9

Option CatiaLoad

Option CatiaPort

Option CenterOfGravity0

Option CenterOfGravity250

Option CenterOfGravity500

Option CenterOfGravity700

Option CmmCalibratedAsSlave

Option Color3DGrid

Option ColorHilit

Option ColorScreen

Option ColorText

Option ConvertToFacetedFaces

Option CreateValisysProbeFile

Option CurTemp0

Option CurTemp1

Option CurTemp10

Option CurTemp11

Option CurTemp12

Option CurTemp13

Option CurTemp14

Option CurTemp15

Option CurTemp16

Option CurTemp17

Option CurTemp18

Option CurTemp19

Option CurTemp2

Option CurTemp20

Option CurTemp21

Option CurTemp22

Option CurTemp23

Option CurTemp24

Option CurTemp25

Option CurTemp26

Option CurTemp27

Option CurTemp28

Option CurTemp29

Option CurTemp3

Option CurTemp30

Option CurTemp31

Option CurTemp4

Option CurTemp5

Option CurTemp6

Option CurTemp7

Option CurTemp8

Option CurTemp9

Option DEADualDriveMode

Option DLength0

Option DLength1

Option DLength10

Option DLength11

Option DLength12

Option DLength13

Option DLength14

Option DLength2

Option DLength3

Option DLength4

Option DLength5

Option DLength6

Option DLength7

Option DLength8

Option DLength9

Option DLtrs0

Option DLtrs1

Option DLtrs10

Option DLtrs11

Option DLtrs12

Option DLtrs13

Option DLtrs14

Option DLtrs2

Option DLtrs3

Option DLtrs4

Option DLtrs5

Option DLtrs6

Option DLtrs7

Option DLtrs8

Option DLtrs9

Option DStart0

Option DStart1

Option DStart10

Option DStart11

Option DStart12

Option DStart13

Option DStart14

Option DStart2

Option DStart3

Option DStart4

Option DStart5

Option DStart6

Option DStart7

Option DStart8

Option DStart9

Option DToCDist

Option DateCurrentTemps

Option DatePriorTemps

Option DatumToAX

Option DatumToAZ

Option DatumToFX

Option DatumToFZ

Option DebugFlush

Option DefaultMultiply

Option DefaultPartProgram

Option DefaultTolerance0

Option DefaultTolerance1

Option DefaultTolerance2

Option DefaultTolerance3

Option DefaultTolerance4

Option DefaultTolerance5

Option DevArrowMult

Option DevTol

Option DialogFixedPosition

Option DiameterErrorWarning

Option DimAngleDegSecMin

Option DimAngleRange

Option DimIDGeneric

Option DimInfoAutoDefault

Option DimInfoDeviationDefault

Option DimInfoDeviationOrderDefault

Option DimInfoGraphOptionDefault

Option DimInfoLocADefault

Option DimInfoLocAOrderDefault

Option DimInfoLocDDefault

Option DimInfoLocDOrderDefault

Option DimInfoLocFormDefault

Option DimInfoLocFormOrderDefault

Option DimInfoLocHDefault

Option DimInfoLocHOrderDefault

Option DimInfoLocLDefault

Option DimInfoLocLOrderDefault

Option DimInfoLocPADefault

Option DimInfoLocPAOrderDefault

Option DimInfoLocPDDefault

Option DimInfoLocPDOrderDefault

Option DimInfoLocPRDefault

Option DimInfoLocPROrderDefault

Option DimInfoLocRDefault

Option DimInfoLocROrderDefault

Option DimInfoLocRSDefault

Option DimInfoLocRSOrderDefault

Option DimInfoLocRTDefault

Option DimInfoLocRTOrderDefault

Option DimInfoLocSDefault

Option DimInfoLocSOrderDefault

Option DimInfoLocTDefault

Option DimInfoLocTOrderDefault

Option DimInfoLocUseDimAxesDefault

Option DimInfoLocVDefault

Option DimInfoLocVOrderDefault

Option DimInfoLocWorstDefault

Option DimInfoLocXDefault

Option DimInfoLocXOrderDefault

Option DimInfoLocYDefault

Option DimInfoLocYOrderDefault

Option DimInfoLocZDefault

Option DimInfoLocZOrderDefault

Option DimInfoMaxminDefault

Option DimInfoMaxminOrderDefault

Option DimInfoMeanDefault

Option DimInfoMeanOrderDefault

Option DimInfoMeasuredDefault

Option DimInfoMeasuredOrderDefault

Option DimInfoNominalDefault

Option DimInfoNominalOrderDefault

Option DimInfoNumpointsDefault

Option DimInfoNumpointsOrderDefault

Option DimInfoOuttolDefault

Option DimInfoOuttolOrderDefault

Option DimInfoShowDimIDDefault

Option DimInfoShowFeatIDDefault

Option DimInfoShowHeadingsIDDefault

Option DimInfoStddevDefault

Option DimInfoStddevOrderDefault

Option DimInfoTPD1Default

Option DimInfoTPD1OrderDefault

Option DimInfoTPD2Default

Option DimInfoTPD2OrderDefault

Option DimInfoTPD3Default

Option DimInfoTPD3OrderDefault

Option DimInfoTPDFDefault

Option DimInfoTPDFOrderDefault

Option DimInfoTPFormDefault

Option DimInfoTPFormOrderDefault

Option DimInfoTPPADefault

Option DimInfoTPPAOrderDefault

Option DimInfoTPPRDefault

Option DimInfoTPPROrderDefault

Option DimInfoTPTPDefault

Option DimInfoTPTPOrderDefault

Option DimInfoTPUseDimAxesDefault

Option DimInfoTPWorstDefault

Option DimInfoTPXDefault

Option DimInfoTPXOrderDefault

Option DimInfoTPYDefault

Option DimInfoTPYOrderDefault

Option DimInfoTPZDefault

Option DimInfoTPZOrderDefault

Option DimInfoToleranceDefault

Option DimInfoTolerancesOrderDefault

Option DimensionDecimalPlaces

Option DisableLoadTimeExpressionChecking

Option DisableSummaryModeAndUndo

Option DisplayFontCharSet

Option DisplayFontHeight

Option DisplayFontName

Option DisplayFontWeight

Option Dph9_m00

Option Dph9_m90180

Option Dph9_s00

Option Dph9_s90180

Option DrawScanWhileExecuting

Option Droop0

Option Droop250

Option Droop500

Option Droop700

Option EToDDist

Option EditWinXMin

Option EditWinYMin

Option EditWindowHt

Option EditWindowState

Option EditWindowWd

Option EditWindowX

Option EditWindowY

Option ExecutionFindNoms

Option ExecutionFindNomsVal

Option ExternalRotabDriftWarnDiff

Option ExternalRotabInitTimeout

Option ExternalRotabMoveMinDelta

Option ExternalRotabMoveTimeout

Option ExternalRotabMoveWarnDiff

Option ExternalRotabPollComm

Option ExternalRotabProtocol

Option ExternalRotabReverse

Option ExternalRotabStatusAutoRetries

Option ExternalRotabStatusTimeout

Option ExternalRotabStopTimeout

Option ExternalRotabType

Option FColor0

Option FColor1

Option FColor10

Option FColor11

Option FColor2

Option FColor3

Option FColor4

Option FColor5

Option FColor6

Option FColor7

Option FColor8

Option FColor9

Option FLength0

Option FLength1

Option FLength10

Option FLength11

Option FLength12

Option FLength2

Option FLength3

Option FLength4

Option FLength5

Option FLength6

Option FLength7

Option FLength8

Option FLength9

Option FLtrs0

Option FLtrs1

Option FLtrs10

Option FLtrs11

Option FLtrs12

Option FLtrs2

Option FLtrs3

Option FLtrs4

Option FLtrs5

Option FLtrs6

Option FLtrs7

Option FLtrs8

Option FLtrs9

Option FStart0

Option FStart1

Option FStart10

Option FStart11

Option FStart12

Option FStart2

Option FStart3

Option FStart4

Option FStart5

Option FStart6

Option FStart7

Option FStart8

Option FStart9

Option FToEDist

Option FeatUseDimColors

Option FetIDGeneric

Option FindHoleContinueExe

Option FindNomsTol

Option FlyMode

Option FlyRadius

Option GraphicWindowHt

Option GraphicWindowState

Option GraphicWindowWd

Option GraphicWindowX

Option GraphicWindowY

Option HighThreshold0

Option HighThreshold1

Option HighThreshold2

Option HighThreshold3

Option IgesReadOptions

Option IgesWriteOptions

Option IgnoreCadToPart

Option IgnoreDimensionIcon

Option IterAlignFixtureTolDefault

Option IterAlignPointTolDefault

Option LLength0

Option LLtrs0

Option LStart0

Option LastIlmFile

Option LastProbeFile

Option LegacyUI

Option LoadProbeUserSearchDirectory

Option LockMarkedSets

Option LowThreshold0

Option LowThreshold1

Option LowThreshold2

Option LowThreshold3

Option MarkSetWinXMin

Option MarkSetWinYMin

Option MaterialCoeff0

Option MaterialCoeff1

Option MaterialCoeff2

Option MaterialCoeff3

Option MaxAccelX

Option MaxAccelY

Option MaxAccelZ

Option MaxAnimationSpeed

Option MaxTipCalibrationDeltaFromTodayInSeconds

Option MaxTipCalibrationDeltaInProbeFileInSeconds

Option MessageBeep

Option MinusTolShowNeg

Option NomsOverrideDlg_H

Option NomsOverrideDlg_W

Option OfflineDebug

Option OvertravelComplience

Option PH9WarnDelta

Option PartSensorDelay

Option Password

Option PasswordProtectionFlag

Option PatchScnMaintainIncr

Option PathLinesColorRGB

Option PierceCadOn3DRotate

Option PointInfoDevAboveStrDefault

Option PointInfoFilterDevDefault

Option PointInfoFilterIntervalDefault

Option PointInfoFilterNoneDefault

Option PointInfoFilterOutOfTolDefault

Option PointInfoFilterWorstDefault

Option PointInfoIntervalStrDefault

Option PointInfoShowGraphDefault

Option PointInfoShowHeadingsDefault

Option PointInfoWorstStrDefault

Option PointOnlyThickness

Option PressEndKey

Option PreviewWindowPositionBottom

Option PreviewWindowPositionLeft

Option PreviewWindowPositionRight

Option PreviewWindowPositionTop

Option PriorTemp0

Option PriorTemp1

Option PriorTemp10

Option PriorTemp11

Option PriorTemp12

Option PriorTemp13

Option PriorTemp14

Option PriorTemp15

Option PriorTemp16

Option PriorTemp17

Option PriorTemp18

Option PriorTemp19

Option PriorTemp2

Option PriorTemp20

Option PriorTemp21

Option PriorTemp22

Option PriorTemp23

Option PriorTemp24

Option PriorTemp25

Option PriorTemp26

Option PriorTemp27

Option PriorTemp28

Option PriorTemp29

Option PriorTemp3

Option PriorTemp30

Option PriorTemp31

Option PriorTemp4

Option PriorTemp5

Option PriorTemp6

Option PriorTemp7

Option PriorTemp8

Option PriorTemp9

Option ProbeFileUsedToForceUnloadWithNoPickup

Option ProbeGlobalUsedIsRecursive

Option QLength0

Option QLtrs0

Option QStart0

Option RHOPenaltyCalibrationValue

Option RHOPenaltyCalibrationValueSP600

Option ReCalculateNominalCurveOnExec

Option ReadoutSetup

Option RecallAlignUserSearchDirectory

Option RefTemp0

Option RefTemp1

Option RefTemp2

Option RefTemp3

Option RenishawKinematicMount

Option RenishawWrist

Option Report5Places

Option ResetGlobalsWhenBranching

Option RotabIndexIncrement

Option RotabIsIndex

Option RotabIsManual

Option RotabIsManualIndexStandalone

Option RotabMode

Option RotabTable1Increment

Option RotabTable2Increment

Option RotabTableNumSpheres

Option SCP80Clearance

Option SaveAutoDim

Option SaveCADtoParts

Option SavePartOnExecute

Option SaveSolidWorksAttributesInPart

Option SaveStatsAlways

Option SaveTargets

Option SaveUGTessellationPart

Option SearchOrder

Option ShowAllID

Option ShowBackground

Option ShowExtendedSheetMetal

Option ShowHitDev

Option ShowStartupDialog

Option ShowTextBoxIcon

Option SlaveACR2SphereOffX

Option SlaveACR2SphereOffY

Option SlaveACR2SphereOffZ

Option SlaveCurTemp0

Option SlaveCurTemp1

Option SlaveCurTemp10

Option SlaveCurTemp11

Option SlaveCurTemp12

Option SlaveCurTemp13

Option SlaveCurTemp14

Option SlaveCurTemp15

Option SlaveCurTemp16

Option SlaveCurTemp17

Option SlaveCurTemp18

Option SlaveCurTemp19

Option SlaveCurTemp2

Option SlaveCurTemp20

Option SlaveCurTemp21

Option SlaveCurTemp22

Option SlaveCurTemp23

Option SlaveCurTemp24

Option SlaveCurTemp25

Option SlaveCurTemp26

Option SlaveCurTemp27

Option SlaveCurTemp28

Option SlaveCurTemp29

Option SlaveCurTemp3

Option SlaveCurTemp30

Option SlaveCurTemp31

Option SlaveCurTemp4

Option SlaveCurTemp5

Option SlaveCurTemp6

Option SlaveCurTemp7

Option SlaveCurTemp8

Option SlaveCurTemp9

Option SlaveDateCurrentTemps

Option SlaveDatePriorTemps

Option SlaveHighThreshold0

Option SlaveHighThreshold1

Option SlaveHighThreshold2

Option SlaveHighThreshold3

Option SlaveLastIlmFile

Option SlaveLastProbeFile

Option SlaveLowThreshold0

Option SlaveLowThreshold1

Option SlaveLowThreshold2

Option SlaveLowThreshold3

Option SlaveMaterialCoeff0

Option SlaveMaterialCoeff1

Option SlaveMaterialCoeff2

Option SlaveMaterialCoeff3

Option SlavePartSensorDelay

Option SlavePriorTemp0

Option SlavePriorTemp1

Option SlavePriorTemp10

Option SlavePriorTemp11

Option SlavePriorTemp12

Option SlavePriorTemp13

Option SlavePriorTemp14

Option SlavePriorTemp15

Option SlavePriorTemp16

Option SlavePriorTemp17

Option SlavePriorTemp18

Option SlavePriorTemp19

Option SlavePriorTemp2

Option SlavePriorTemp20

Option SlavePriorTemp21

Option SlavePriorTemp22

Option SlavePriorTemp23

Option SlavePriorTemp24

Option SlavePriorTemp25

Option SlavePriorTemp26

Option SlavePriorTemp27

Option SlavePriorTemp28

Option SlavePriorTemp29

Option SlavePriorTemp3

Option SlavePriorTemp30

Option SlavePriorTemp31

Option SlavePriorTemp4

Option SlavePriorTemp5

Option SlavePriorTemp6

Option SlavePriorTemp7

Option SlavePriorTemp8

Option SlavePriorTemp9

Option SlaveRefTemp0

Option SlaveRefTemp1

Option SlaveRefTemp2

Option SlaveRefTemp3

Option SlaveTempOrigin0

Option SlaveTempOrigin1

Option SlaveTempOrigin2

Option SlaveTempOrigin3

Option SlaveTempSensorNumbers0

Option SlaveTempSensorNumbers1

Option SlaveTempSensorNumbers2

Option SlaveTempSensorNumbers3

Option SlaveTimeCurrentTemps

Option SlaveToolChanger

Option SlaveToolChangerDockingSpeed

Option SlaveToolChangerType

Option SnapSheetMetalPoints

Option SolidProbeColor

Option StandardDeviationLimit

Option StartGardaLength

Option SubroutineUserSearchDirectory

Option TP20Clearance

Option TempOrigin0

Option TempOrigin1

Option TempOrigin2

Option TempOrigin3

Option TempSensorNumbers0

Option TempSensorNumbers1

Option TempSensorNumbers2

Option TempSensorNumbers3

Option TessellationMultiplyValue

Option TextBoxPaddingFactorInPercent

Option ThermalCompOCXMachineType

Option ThermalCompOCXPath

Option TimeCurrentTemps

Option ToolChanger

Option ToolChangerACR3DepthAdjustment

Option ToolChangerACR3HeightAdjustment

Option ToolChangerACR3LengthAdjustment

Option ToolChangerACR3Port4Port5Delta

Option ToolChangerComm

Option ToolChangerDockingSpeed

Option ToolChangerPort3AxisDepthOffset

Option ToolChangerPort3AxisHeightOffset

Option ToolChangerPort3AxisLengthOffset

Option ToolChangerPortDepthOffset

Option ToolChangerPortHeightOffset

Option ToolChangerPortLengthOffset

Option ToolChangerProtocol

Option ToolChangerType

Option TopSpeed

Option TurnOffTheAnnoyingStartupMusic

Option TutorCircleHits

Option TutorConeHits

Option TutorCylHits

Option TutorLegacyExecuteable

Option TutorLineHits

Option TutorPlaneHits

Option TutorSphHits

Option UGLoadOption

Option UnicodeScripts

Option UpdateDatabaseAlways

Option UseCadIdForFeatures

Option UseCircularMoves

Option UseDeaThermalComp

Option UseDefaultTolerances

Option UseFindNomsOverrideForScans

Option UseLastProbeFileAutomatically

Option UseLastProbeFileAutomaticallyInOperatorMode

Option UseLegacySlotVector

Option UsePointMethodFindHole

Option UsePrbdataWithNonTrax

Option UsePrioritySurfacesOnly

Option UseTraxWithSP600

Option UseVolvoDeviationLetters

Option VLength0

Option VLtrs0

Option VStart0

Option ValisysErrorDelay

Option WarnCFetInOutConflict

Option WarnCMMNeedHome

Option WarnCadEqPart

Option WarnCancelProbe

Option WarnCantFindNoms

Option WarnCarryNoms

Option WarnCarryTols

Option WarnCmtInsertQuest

Option WarnCursorNotAtEOF

Option WarnDelAlignFeat

Option WarnDelFeat

Option WarnDimCarryNewAxes

Option WarnEqSpace

Option WarnErrorOpeningSTPFile

Option WarnHitsEqualTheo

Option WarnInitRotHead

Option WarnInsLegalPos

Option WarnInsNewTmpComp

Option WarnInsPH9Cmnd

Option WarnInsRecallViewset

Option WarnKeepCancelStats

Option WarnLoadProbe

Option WarnMarkSetDel

Option WarnMeasAllTips

Option WarnNewLoadprobe

Option WarnNewStartPnt

Option WarnNoLegalIns

Option WarnNoSavePrg

Option WarnOkCannotFindCADNoms

Option WarnOkChangeTheos

Option WarnOkDelRefCmnd

Option WarnOkDoneHoming

Option WarnOkMarkManual

Option WarnOkMovPh9

Option WarnOkNewDimID

Option WarnOkRotPh9

Option WarnOkRotTab

Option WarnOkToHome

Option WarnOkUpdateFeatID

Option WarnOkUpdateNoms

Option WarnOkUpdateTheos

Option WarnOkUsePh9

Option WarnOverwritingAlignment

Option WarnPartProbeData

Option WarnPostAvailShtMtl

Option WarnPrintReport

Option WarnProbeCalOnDiffDates

Option WarnProbeFileConvert

Option WarnProbeWarning

Option WarnRemeasurePnts

Option WarnResetRotTable

Option WarnResumeExecStats

Option WarnSaveBeforeClose

Option WarnSaveMeasNewTargs

Option WarnSaveProbeFile

Option WarnScanFlipVecs

Option WarnScanInsHits

Option WarnScanMisHitFromSrce

Option WarnScanNewNomsTol

Option WarnScnDCCHitError

Option WarnSetIdAsDefault

Option WarnSpawnProcess

Option WarnSurPeirceOutOFTol

Option WarnSwitch2Structural

Option WarnTheoToTargs

Option WarnTipAboutToRot

Option WarnTipNotCal

Option WarnTipNotCalRecently

Option WarnToolMoved

Option WarnUpdateDatabase

Option WarnUpdateMeasAlso

Option WarnUseLastExeOrdr

Option WarnUseStructOCX

Option WarnUsingOldVersion

Option WarnViewNameInUse

Option WarnYESInsNOReplc

Option WarningDefault1

Option WarningDefault10

Option WarningDefault11

Option WarningDefault12

Option WarningDefault13

Option WarningDefault14

Option WarningDefault15

Option WarningDefault16

Option WarningDefault17

Option WarningDefault18

Option WarningDefault19

Option WarningDefault2

Option WarningDefault20

Option WarningDefault21

Option WarningDefault22

Option WarningDefault23

Option WarningDefault24

Option WarningDefault25

Option WarningDefault26

Option WarningDefault27

Option WarningDefault28

Option WarningDefault29

Option WarningDefault3

Option WarningDefault30

Option WarningDefault31

Option WarningDefault32

Option WarningDefault33

Option WarningDefault34

Option WarningDefault35

Option WarningDefault36

Option WarningDefault37

Option WarningDefault38

Option WarningDefault39

Option WarningDefault4

Option WarningDefault40

Option WarningDefault41

Option WarningDefault42

Option WarningDefault43

Option WarningDefault44

Option WarningDefault45

Option WarningDefault46

Option WarningDefault47

Option WarningDefault48

Option WarningDefault49

Option WarningDefault5

Option WarningDefault50

Option WarningDefault51

Option WarningDefault52

Option WarningDefault53

Option WarningDefault54

Option WarningDefault55

Option WarningDefault56

Option WarningDefault57

Option WarningDefault58

Option WarningDefault59

Option WarningDefault6

Option WarningDefault60

Option WarningDefault61

Option WarningDefault62

Option WarningDefault63

Option WarningDefault7

Option WarningDefault8

Option WarningDefault9

Option Weight0

Option Weight250

Option Weight500

Option Weight700

Option WristAAngleEnd

Option WristAAngleIncrement

Option WristAAngleStart

Option WristABCalibrate

Option WristBACalibrate

Option WristBAngleEnd

Option WristBAngleIncrement

Option WristBAngleStart

Option WristStartB

Option ZeissWrist

Option str

Option str

Option str

Parameters CheckDistance

Parameters ClampValue

Parameters DefaultDimFormatOrder0

Parameters DefaultDimFormatOrder1

Parameters DefaultDimFormatOrder2

Parameters DefaultDimFormatOrder3

Parameters DefaultDimFormatOrder4

Parameters DefaultDimFormatOrder5

Parameters DefaultDimFormatOrder6

Parameters DefaultPointInfoColumns

Parameters DefaultPointInfoID

Parameters DefaultPointInfoLeader

Parameters DefaultPointInfoOrder0

Parameters DefaultPointInfoOrder1

Parameters DefaultPointInfoOrder2

Parameters DefaultPointInfoOrder3

Parameters DefaultPointInfoType

Parameters Dimension132Columns

Parameters DimensionColorDimLimits

Parameters DimensionColorNumZones

Parameters DimensionColorTol1

Parameters DimensionColorTol10

Parameters DimensionColorTol11

Parameters DimensionColorTol12

Parameters DimensionColorTol13

Parameters DimensionColorTol14

Parameters DimensionColorTol15

Parameters DimensionColorTol16

Parameters DimensionColorTol17

Parameters DimensionColorTol18

Parameters DimensionColorTol19

Parameters DimensionColorTol2

Parameters DimensionColorTol20

Parameters DimensionColorTol3

Parameters DimensionColorTol4

Parameters DimensionColorTol5

Parameters DimensionColorTol6

Parameters DimensionColorTol7

Parameters DimensionColorTol8

Parameters DimensionColorTol9

Parameters DimensionColorTolOutNeg

Parameters DimensionColorTolOutPos

Parameters DimensionDevSymbols

Parameters DimensionHeadings

Parameters DimensionOptions

Parameters DimensionStdDev

Parameters DimensionText

Parameters FindHoldCheckPercent

Parameters FindHoleCheckPercent

Parameters ManHitRetract

Parameters MoveSpeedPercentage

Parameters PrehitDistance

Parameters RetractDistance

Parameters ScanSpeedPercentage

Parameters ShowAnalysisHistogram

Parameters ShowAnalysisMaxMin

Parameters ShowAnalysisStats

Parameters ShowProfileOptions

Parameters TouchSpeedPercentage

ProEngineer ProCommMsgExe

ProEngineer ProEngineerApertureRadius

ProEngineer ProEngineerExecutableName

ProEngineer ProEngineerLoad

ProEngineer ProEngineerUseFeatureFilter

ProEngineer ProEngineerUseNewestRevision

ProbeCal DefMode

ProbeCal DefMoveSpeed

ProbeCal DefNumHits

ProbeCal DefPreHit

ProbeCal DefToolNum

ProbeCal DefToolNum2

ProbeCal DefToolNum3

ProbeCal DefTouchSpeed

ProbeCal DefaultProbeComponents

ProbeCal FullSphereAngleCheck

ProbeCal ProbeCalOrder

ProbeCal ProbeQualEndAngle

ProbeCal ProbeQualLargeToolEndAngle1

ProbeCal ProbeQualLargeToolStartAngle1

ProbeCal ProbeQualMode

ProbeCal ProbeQualNumLevels

ProbeCal ProbeQualSmallToolEndAngle1

ProbeCal ProbeQualSmallToolStartAngle1

ProbeCal ProbeQualStartAngle

ProbeCal ProbeQualToolDiameterCutoff

ProbeCal ProbeShankCheck

ProbeCal ProbeShankNumHits

ProbeCal ProbeShankOffset

ProbeCal ProbeToolOnTable

ProbeCal ProbeToolOverI

ProbeCal ProbeToolOverJ

ProbeCal ProbeToolOverK

ProbeCal RobotStaubliAngleOffPole

ProbeCal RobotStaubliSpheresPerConfig

ProbeCal RotabAngle1

ProbeCal RotabAngle10

ProbeCal RotabAngle11

ProbeCal RotabAngle12

ProbeCal RotabAngle13

ProbeCal RotabAngle14

ProbeCal RotabAngle15

ProbeCal RotabAngle16

ProbeCal RotabAngle17

ProbeCal RotabAngle18

ProbeCal RotabAngle19

ProbeCal RotabAngle2

ProbeCal RotabAngle20

ProbeCal RotabAngle21

ProbeCal RotabAngle22

ProbeCal RotabAngle23

ProbeCal RotabAngle24

ProbeCal RotabAngle25

ProbeCal RotabAngle26

ProbeCal RotabAngle27

ProbeCal RotabAngle28

ProbeCal RotabAngle29

ProbeCal RotabAngle3

ProbeCal RotabAngle30

ProbeCal RotabAngle31

ProbeCal RotabAngle32

ProbeCal RotabAngle33

ProbeCal RotabAngle34

ProbeCal RotabAngle35

ProbeCal RotabAngle36

ProbeCal RotabAngle4

ProbeCal RotabAngle5

ProbeCal RotabAngle6

ProbeCal RotabAngle7

ProbeCal RotabAngle8

ProbeCal RotabAngle9

ProbeCal UseAlternateSpherePattern

ProbeCal UseAnalogSampling

ProbeCal UseAnalogSamplingLatitudeEnd

ProbeCal UseAnalogSamplingLatitudeStart

ProbeCal UseAnalogSamplingLongitudeEnd

ProbeCal UseAnalogSamplingLongitudeStart

ProbeCal UseAnalogSamplingNumHits

ProbeCal UseAnalogSamplingNumLevels

Readouts ReadoutsBottom

Readouts ReadoutsLeft

Readouts ReadoutsRight

Readouts ReadoutsTop

Scan BndyPntColW1

Scan BndyPntColW2

Scan BndyPntColW3

Scan BndyPntColW4

Scan VecListColW1

Scan VecListColW2

Scan VecListColW3

Scan VecListColW4

SystemFiveDcc GripperSlot

TempComp HiThresholdP

TempComp HiThresholdX

TempComp HiThresholdY

TempComp HiThresholdZ

TempComp LoThresholdP

TempComp LoThresholdX

TempComp LoThresholdY

TempComp LoThresholdZ

TempComp MaterialCoeffP

TempComp MaterialCoeffX

TempComp MaterialCoeffY

TempComp MaterialCoeffZ

TempComp OriginP

TempComp OriginX

TempComp OriginY

TempComp OriginZ

TempComp QualToolMaterialCoefficient

TempComp RefTempP

TempComp RefTempX

TempComp RefTempY

TempComp RefTempZ

TempComp SensorNumberP

TempComp SensorNumberX

TempComp SensorNumberY

TempComp SensorNumberZ

TempComp TempComp

TempComp TempCompAutomatic

TempComp TempCompCelsius

USER_SystemFiveDcc 5UniqueClearPlaneDist

USER_SystemFiveDcc 5UniqueGripperOffsetX

USER_SystemFiveDcc 5UniqueGripperOffsetY

USER_SystemFiveDcc 5UniqueGripperOffsetZ

USER_SystemFiveDcc ApproachAccel

USER_SystemFiveDcc ApproachAfterAirInY

USER_SystemFiveDcc ApproachAfterAirInZ

USER_SystemFiveDcc ApproachColFromNegY

USER_SystemFiveDcc ApproachDistInX

USER_SystemFiveDcc ApproachDistInZ

USER_SystemFiveDcc ApproachOffsetInY

USER_SystemFiveDcc ApproachOffsetInZ

USER_SystemFiveDcc ApproachRackInPosXDirn

USER_SystemFiveDcc ApproachSpeed

USER_SystemFiveDcc AudiModuleTest

USER_SystemFiveDcc AudiRackSpacing

USER_SystemFiveDcc C250MinZ

USER_SystemFiveDcc ColumnAccel

USER_SystemFiveDcc ColumnCollisionCheckDistance

USER_SystemFiveDcc ColumnMeasureApproachSpeed

USER_SystemFiveDcc ColumnSpeed

USER_SystemFiveDcc CrapIncrement

USER_SystemFiveDcc CurrentFixture

USER_SystemFiveDcc DeltaGrabColZ

USER_SystemFiveDcc FirstIOBitColumnPresent

USER_SystemFiveDcc FreeSpeed

USER_SystemFiveDcc FreeXMoveFromRack

USER_SystemFiveDcc GripperMountSlaveX

USER_SystemFiveDcc GripperMountSlaveY

USER_SystemFiveDcc GripperMountSlaveZ

USER_SystemFiveDcc GripperMountX

USER_SystemFiveDcc GripperMountY

USER_SystemFiveDcc GripperMountZ

USER_SystemFiveDcc HeadCollisionCheckDistance

USER_SystemFiveDcc InAirPressureToInjector

USER_SystemFiveDcc InAirToDisengageGripper

USER_SystemFiveDcc InColumnEngaged

USER_SystemFiveDcc InGripperOper

USER_SystemFiveDcc InGripperPinsOff

USER_SystemFiveDcc InGripperPinsOn

USER_SystemFiveDcc InGripperRest

USER_SystemFiveDcc LastIOBitColumnPresent

USER_SystemFiveDcc ManualRecoverZOffset

USER_SystemFiveDcc MasterPlateBoundsYMax

USER_SystemFiveDcc MasterPlateBoundsYMin

USER_SystemFiveDcc MasterSlavePlateBoundsXMax

USER_SystemFiveDcc MasterSlavePlateBoundsXMin

USER_SystemFiveDcc MeasureTipMaster

USER_SystemFiveDcc MeasureTipSlave

USER_SystemFiveDcc MountX

USER_SystemFiveDcc MountY

USER_SystemFiveDcc MountZ

USER_SystemFiveDcc OutDisengageGripper

USER_SystemFiveDcc OutGripColumn

USER_SystemFiveDcc OutGripperOper

USER_SystemFiveDcc OutGripperRest

USER_SystemFiveDcc OutInjectAir

USER_SystemFiveDcc OutStopInjectAir

USER_SystemFiveDcc ParkedOffsetInZ

USER_SystemFiveDcc ProbeFile

USER_SystemFiveDcc ProbeFileSlave

USER_SystemFiveDcc ProbeTip

USER_SystemFiveDcc ProbeTipSlave

USER_SystemFiveDcc RackPos1ColumnType

USER_SystemFiveDcc RackPos1X

USER_SystemFiveDcc RackPos1Y

USER_SystemFiveDcc RackPos1Z

USER_SystemFiveDcc RetractDistInX

USER_SystemFiveDcc SafeMoveInZ

USER_SystemFiveDcc SafeMoveYValue

USER_SystemFiveDcc SecondSystem5GripperOffsetX

USER_SystemFiveDcc SecondSystem5GripperOffsetY

USER_SystemFiveDcc SecondSystem5GripperOffsetZ

USER_SystemFiveDcc SlaveMountX

USER_SystemFiveDcc SlaveMountY

USER_SystemFiveDcc SlaveMountZ

USER_SystemFiveDcc SlavePlateBoundsYMax

USER_SystemFiveDcc SlavePlateBoundsYMin

USER_SystemFiveDcc System5Audi

USER_SystemFiveDcc System5DebugFlag

USER_SystemFiveDcc System5GripperOffsetX

USER_SystemFiveDcc System5GripperOffsetY

USER_SystemFiveDcc System5GripperOffsetZ

USER_SystemFiveDcc TestAirBitXYAxis

USER_SystemFiveDcc TestAirBitZAxis

USER_SystemFiveDcc TestForGripperBit

USER_SystemFiveDcc TransferPoint

USER_SystemFiveDcc TurnOffAirBitXYAxis

USER_SystemFiveDcc TurnOffAirBitZAxis

USER_SystemFiveDcc TurnOnAirBitXYAxis

USER_SystemFiveDcc TurnOnAirBitZAxis

USER_SystemFiveDcc VWFixturing

USER_SystemFiveDcc ZInjectorOffsetX

USER_SystemFiveDcc ZInjectorOffsetY

USER_SystemFiveDcc ZInjectorOffsetZ

USER_SystemFiveDcc szTemp

UnigraphicsDCI AllowToRunWithoutCADFile

UnigraphicsDCI SkipNoUGExecutionFileMessage

UserInput FilenameDCC

UserInput FilenameMAN

UserInput UseFileDCC

UserInput UseFileMAN

UserInput UseInches

Valisys ValisysCommPort

Valisys ValisysErrorDelay

Valisys ValisysTCPIPPort

Valisys ValisysUseCheckSum

misc-toolbar FeaturesBtn

USER_SystemFiveDcc ColumnCollisionCheckDistance

USER_SystemFiveDcc HeadCollisionCheckDistance

USER_SystemFiveDcc MasterPlateBoundsYMin

USER_SystemFiveDcc MasterPlateBoundsYMax

USER_SystemFiveDcc SlavePlateBoundsYMin

USER_SystemFiveDcc SlavePlateBoundsYMax

USER_SystemFiveDcc MasterSlavePlateBoundsXMax

USER_SystemFiveDcc FreeXMoveFromRack

USER_SystemFiveDcc MountX

USER_SystemFiveDcc MountY

USER_SystemFiveDcc MountZ

USER_SystemFiveDcc SlaveMountX

USER_SystemFiveDcc SlaveMountY

USER_SystemFiveDcc SlaveMountZ

USER_SystemFiveDcc GripperMountX

USER_SystemFiveDcc GripperMountY

USER_SystemFiveDcc GripperMountZ

USER_SystemFiveDcc GripperMountSlaveX

USER_SystemFiveDcc GripperMountSlaveY

USER_SystemFiveDcc GripperMountSlaveZ

USER_SystemFiveDcc TransferPoint

USER_SystemFiveDcc SafeMoveYValue

TERMIFLEX Comm

TERMIFLEX ShowKeyPress

TERMIFLEX TakeHit

TERMIFLEX EraseHit

TERMIFLEX EndFeature

TERMIFLEX StoreMove

TERMIFLEX ScaleToFit

TERMIFLEX DisplayVersion

TERMIFLEX PrevMenu

TERMIFLEX NextMenu

TERMIFLEX ReturnASCII

TERMIFLEX EscASCII

TERMIFLEX TabASCII


Standard Entries Requiring ADMINISTRATOR Permissions

Option DEAWrist

Option MachineSlaveXMINUS

Option MachineSlaveXPLUS

Option MachineSlaveYMINUS

Option MachineSlaveYPLUS

Option MachineSlaveZMINUS

Option MachineSlaveZPLUS

Option MachineXMINUS

Option MachineXPLUS

Option MachineYMINUS

Option MachineYPLUS

Option MachineZMINUS

Option MachineZPLUS

SystemFiveDcc AudiYOffsetEnd

SystemFiveDcc AudiYOffsetExit

SystemFiveDcc AudiYOffsetStart

SystemFiveDcc ManualFixedGripper

USER_SystemFiveDcc 5UniqueGripperOffset

USER_SystemFiveDcc SecondSystem5GripperOffset

USER_SystemFiveDcc System5GripperOffset

USER_SystemFiveDcc UseColumnErrorsComponent

USER_SystemFiveDcc ZInjectorOffset


Machine Specific Entries

Additional registry entries become available in the PC-DMIS Settings Editor depending on your machine interface. The topics below show what entries get added for these interfaces and whether those entries require ADMINISTRATOR or USER permissions.

More:

Axila

B&S_Embedded_Board_Interface

Backtalk_Interface

BASE

Bright

CMMOS

DEA_Interface

Deneb_Interface

ELMDRIVER

FEDERAL

GARDA

Geodetic

GOM

HEOMEL

IPLUSPLUS

JOHANSSON

Leica

LEITZ

LK Direct

LKCMES

LKDRIVER

MANMITI

MANMORA

METAS

METROLOG

Metronor

Mitutoyo

MORA

MZEISS

NUMEREX

Old_Dea

OMNITECH

POLAR

Precision Interface

RAM

REFLEX

Renishaw

Romer_Interface

Sharpe32

Sheffield

SIMULATE

SMX Laser Interface

STANDARD_CNTRL

STEADYSTATE

Tech80_Interface

Theodolite_Interface

WADRIVER

WENZEL

ZEISS

ZSSRS232


Axila

ARM2CompMode - ADMINISTRATOR

ArmAsMouse - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugFile - USER

DebugLog - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

PollInterval - ADMINISTRATOR

ScanInterval - ADMINISTRATOR

UpdateInterval - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

VectorTolMM - ADMINISTRATOR

Version - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

VolumeLevel - USER

WCompensMode - ADMINISTRATOR


B&S_Embedded_Board_Interface

ARM2CompMode - USER

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CompensFileName - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

Stretch? - ADMINISTRATOR

UsingOldWcompens32 - USER

ValidHitMin - ADMINISTRATOR

Version - USER

VolCompMethod - USER

VolDebug - USER

volOffset? - USER

WCompensMode - USER


Backtalk_Interface

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

Controller - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

Stretch? - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


BASE

AxisX - USER

AxisY - USER

AxisZ - USER

CommPort - USER

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

MaxSpeed - USER

Scale? - USER

Version - USER


Bright

Acceleration - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BasePort - ADMINISTRATOR

CommErrTimeout - ADMINISTRATOR

commMaxErrorLoop - ADMINISTRATOR

CommTimeout - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCard - USER

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

GPIB-PH9 - ADMINISTRATOR

InPositionTolerance - ADMINISTRATOR

MaxControllerMoves - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MinRotabMove - ADMINISTRATOR

PH9 - ADMINISTRATOR

ph9_manual_mode - ADMINISTRATOR

PH9SendBAngleDelay - ADMINISTRATOR

PH9TriggerDelay - ADMINISTRATOR

PH9WaitPPollDelay - ADMINISTRATOR

RotabspeedMax - ADMINISTRATOR

RotabspeedMin - ADMINISTRATOR

Scale? - ADMINISTRATOR

TimerUpdateInterval - ADMINISTRATOR

UseCircularMoves - ADMINISTRATOR

UseSeperateCommThread - ADMINISTRATOR

UseThreadedCommPH9 - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

vxdWilcox - ADMINISTRATOR

WaitEndCntMin - ADMINISTRATOR

WaitPH9Done - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


CMMOS

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BufferedMoves - ADMINISTRATOR

CtrlTCPTimeout - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

ExchangeABAxes - ADMINISTRATOR

FlipAAxis - ADMINISTRATOR

FlipBAxis - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

PanelcodeDone - ADMINISTRATOR

PanelcodeEraseHit - ADMINISTRATOR

PanelcodeInsertMove - ADMINISTRATOR

PanelcodeStop - ADMINISTRATOR

ReadoutInterval - ADMINISTRATOR

RunCmmosCal - ADMINISTRATOR

TcpipIPAddress - ADMINISTRATOR

TcpipPort - ADMINISTRATOR

TCPOpenDelay - ADMINISTRATOR

UseCmmosCalData - ADMINISTRATOR

Version - ADMINISTRATOR


Modifying Registry Entries - Machine Specific Entries - DEA_Interface

DEA_Interface

AllowForcedHits - ADMINISTRATOR

ApproachAccel - USER

ApproachAfterAirInY - USER

ApproachAfterAirInZ - USER

ApproachColFromNegY - USER

ApproachDistInX - USER

ApproachDistInZ - USER

ApproachOffsetInY - USER

ApproachSpeed - USER

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BadChecksumRetry - ADMINISTRATOR

C250MinZ - USER

CMM - ADMINISTRATOR

ColumnSpeed - USER

COMPENS_FILE_NAME - ADMINISTRATOR

Controller - ADMINISTRATOR

DEACForceDownload - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DisengageDrives - ADMINISTRATOR

FirstIOBitColumnPresent - USER

FlipBAxis - ADMINISTRATOR

FreeSpeed - USER

GripperSlot - ADMINISTRATOR

HasPH9 - ADMINISTRATOR

HorizontalArm - USER

InPositionToolChangerDelay - ADMINISTRATOR

LastIOBitColumnPresent - USER

LastSystem5TCSlot - USER

LowerThreadPriority - ADMINISTRATOR

ManualCmm - ADMINISTRATOR

ManualRecoverZOffset - USER

MAX_MOVES - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

NEWCOMPENS_FNAME - ADMINISTRATOR

NoControllerIdle - ADMINISTRATOR

ParkedOffsetInZ - USER

PH10Slot - ADMINISTRATOR

PH9 - ADMINISTRATOR

Ph9IsCJoint - ADMINISTRATOR

PH9ManualMode - ADMINISTRATOR

PickupTCDelta - ADMINISTRATOR

PollCtrlComm - ADMINISTRATOR

RackPos1? - USER

RecordButton - ADMINISTRATOR

RetractDistInX - USER

RotabOffset - ADMINISTRATOR

RotaryMinDelta - ADMINISTRATOR

RotateWristFromController - ADMINISTRATOR

ScanAutoRecovery - ADMINISTRATOR

Slot1? - ADMINISTRATOR

Slot1Post? - ADMINISTRATOR

Slot1Post2? - ADMINISTRATOR

Slot1Pre? - ADMINISTRATOR

Slot2? - ADMINISTRATOR

Slot2Post? - ADMINISTRATOR

Slot2Post2? - ADMINISTRATOR

Slot2Pre? - ADMINISTRATOR

Slot3? - ADMINISTRATOR

Slot3Post? - ADMINISTRATOR

Slot3Post2? - ADMINISTRATOR

Slot3Pre? - ADMINISTRATOR

SpeedAB - ADMINISTRATOR

SpeedW - ADMINISTRATOR

Stretch? - ADMINISTRATOR

StretchA - ADMINISTRATOR

StretchB - ADMINISTRATOR

StretchW - ADMINISTRATOR

SupportsIOChannelCommands - ADMINISTRATOR

SupportsProbeDisable - ADMINISTRATOR

System5DebugFlag - USER

TCAirInputChannel - ADMINISTRATOR

TCAirOutputChannel - ADMINISTRATOR

TCLiftDistance - ADMINISTRATOR

TCPortClearance - ADMINISTRATOR

TCRackClearance - ADMINISTRATOR

TestAirBitXYAxis - USER

TestAirBitZAxis - USER

TestAirOn - ADMINISTRATOR

TestForGripperBit - USER

TurnOffAirBitXYAxis - USER

TurnOffAirBitZAxis - USER

TurnOnAirBitXYAxis - USER

TurnOnAirBitZAxis - USER

UseBufferedComm - ADMINISTRATOR

UseOldStyleTP200Filter - ADMINISTRATOR

UseStartButton - ADMINISTRATOR

UseVolcomp - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

WCompensMode - ADMINISTRATOR

WristAOffset - ADMINISTRATOR

WristBOffset - ADMINISTRATOR


Deneb_Interface

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DenebCommand - USER

DenebExecute - USER

Version - USER


ELMDRIVER

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CardAddrs - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

ELMDriverDLL - ADMINISTRATOR

EndKeyInterval - ADMINISTRATOR

ExtraDebug - ADMINISTRATOR

HasJogBox - ADMINISTRATOR

HasPH9 - ADMINISTRATOR

INI_Filename - ADMINISTRATOR

MinRotabMove - ADMINISTRATOR

PH9Baud - ADMINISTRATOR

PH9HandBox - ADMINISTRATOR

PH9Port - ADMINISTRATOR

ReadoutInterval - ADMINISTRATOR

UseCompErr - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


FEDERAL

ARM2CompMode - ADMINISTRATOR

AuxSwitch - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

AxisZ - ADMINISTRATOR

Baud - ADMINISTRATOR

CMM - ADMINISTRATOR

CommDelay - ADMINISTRATOR

CommPort - ADMINISTRATOR

CommPort - ADMINISTRATOR

COMPENS_FILE_NAME - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

Controller - ADMINISTRATOR

d:/v35/interfac/FARO/FARO.CPP ini_info

DataBits - ADMINISTRATOR

Debounce - ADMINISTRATOR

DebugCMM - USER

DebugCMM - USER

DebugCPU - USER

DebugCPU - USER

DebugFile - USER

DebugFile - USER

DebugLog - USER

DebugLog - USER

DebugLogReset - USER

DebugLogReset - USER

DebugPosReport - USER

DebugPosReport - USER

DebugTitle - USER

DebugTitle - USER

DebugWindow - USER

DebugWindow - USER

DisplayTipOrientationChanges - ADMINISTRATOR

FaroAsMouse - ADMINISTRATOR

FaroMouseButton - ADMINISTRATOR

HasPH9 - ADMINISTRATOR

IntervalBetweenReadoutsInMilliseconds - ADMINISTRATOR

IsManualMachine - ADMINISTRATOR

LastCalPos - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

OptionsVersion - ADMINISTRATOR

Parity - ADMINISTRATOR

PlatinumArm - ADMINISTRATOR

ReadoutTimer - ADMINISTRATOR

Scale? - ADMINISTRATOR

StopBits - ADMINISTRATOR

TrackingSpeed - ADMINISTRATOR

UseScaleDat - ADMINISTRATOR

UseVolcomp - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

VectDistance - ADMINISTRATOR

Version - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


GARDA

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

OptionsVersion - ADMINISTRATOR

TrackingSpeed - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


Geodetic

No settings currently available.


GOM

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CommPort - ADMINISTRATOR

CTR - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

HardwareHandshake - ADMINISTRATOR

Krypton - ADMINISTRATOR

Version - USER


HEOMEL

ASIOffset? - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CMM - ADMINISTRATOR

CommPort - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

Delay - ADMINISTRATOR

HasPh9 - ADMINISTRATOR

MaxAccel - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

NegativeScales - ADMINISTRATOR

OutScale? - ADMINISTRATOR

PH9 - ADMINISTRATOR

PH9ManualMode - ADMINISTRATOR

PositionScaleFactor? - ADMINISTRATOR

Scale? - ADMINISTRATOR

Version - USER

WaitTime - ADMINISTRATOR


IPLUSPLUS

AAxisMax - ADMINISTRATOR

AAxisMin - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BAxisMax - ADMINISTRATOR

BAxisMin - ADMINISTRATOR

CAxisMax - ADMINISTRATOR

CAxisMin - ADMINISTRATOR

Comm - USER

COMPENS_FILE_NAME - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - ADMINISTRATOR

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DefinedScanOffset - ADMINISTRATOR

DisplayVersion - USER

EndFeature - USER

EraseHit - USER

EscASCII - USER

FlipBAxis - ADMINISTRATOR

ForceRetractMove - ADMINISTRATOR

HasContinuousCJoint - ADMINISTRATOR

HasFlyMode - ADMINISTRATOR

HasGracefulStop - ADMINISTRATOR

HasTempcompCommands - ADMINISTRATOR

JoystickPolarityZ - ADMINISTRATOR

MaxAccel? - ADMINISTRATOR

MaxAccel? - ADMINISTRATOR

MaxBufferedMoves - ADMINISTRATOR

MaxSpeed? - ADMINISTRATOR

MaxTableAccel - ADMINISTRATOR

MaxTableSpeed - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

NextMenu - USER

PointDensity - ADMINISTRATOR

PrevMenu - USER

ProbeSpeed - ADMINISTRATOR

ReadCmmDefaults - ADMINISTRATOR

ReturnASCII - USER

RotaryMinDelta - ADMINISTRATOR

RotaryOffset - ADMINISTRATOR

RotaryOffsetSpeed - ADMINISTRATOR

RotaryTablePresent - ADMINISTRATOR

ScaleTempHiLimit - ADMINISTRATOR

ScaleTempLoLimit - ADMINISTRATOR

ScaleToFit - USER

ScanSpeed - ADMINISTRATOR

ShowKeyPress - USER

StoreMove - USER

SupportsProfileCmds - ADMINISTRATOR

TabASCII - USER

TakeHit - USER

TcpipIPAddress - ADMINISTRATOR

TcpipPort - ADMINISTRATOR

UseVolcomp - ADMINISTRATOR

Version - USER

WCompensMode - ADMINISTRATOR


JOHANSSON

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

GeoComp - ADMINISTRATOR

MapOffset? - ADMINISTRATOR

MaxControllerMoves - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

ProtoPath - ADMINISTRATOR

Scale? - ADMINISTRATOR

SendChanging 0 - ADMINISTRATOR

TempComp - ADMINISTRATOR

TimerUpdateInterval - ADMINISTRATOR

UsePButton - ADMINISTRATOR

UseSendKey - ADMINISTRATOR

Version - ADMINISTRATOR


Leica

ADMActive - ADMINISTRATOR

ADMMoveDist - ADMINISTRATOR

ADMSearchDiameter - ADMINISTRATOR

ADMSearchTimeout - ADMINISTRATOR

ADMStabilityDelta - ADMINISTRATOR

ADMStabilityMax - ADMINISTRATOR

AimInterval - ADMINISTRATOR

AImToNextPoint - ADMINISTRATOR

AlwaysReset - ADMINISTRATOR

DebugFile - USER

DebugLog - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DefaultPointSamples - ADMINISTRATOR

DefaultResetName - ADMINISTRATOR

DefaultResetPos? - ADMINISTRATOR

DefCircleScanParm - ADMINISTRATOR

DefCylinderScanParm - ADMINISTRATOR

DefPlaneScanParm - ADMINISTRATOR

DefSphereScanParm - ADMINISTRATOR

GetDataTimeout - ADMINISTRATOR

HitPauseInterval - ADMINISTRATOR

LastCircleScanParm - ADMINISTRATOR

LastCylinderScanParm - ADMINISTRATOR

LastPlaneScanParm - ADMINISTRATOR

LastReflector - ADMINISTRATOR

LastSphereScanParm - ADMINISTRATOR

MeasurementTime - ADMINISTRATOR

ReadoutPosSamples - ADMINISTRATOR

RequestInterval - ADMINISTRATOR

ScanInterval - ADMINISTRATOR

TrackerIPAddress - ADMINISTRATOR

TrackerPort - ADMINISTRATOR

UseDefaultReset - ADMINISTRATOR

useStatusDlg - ADMINISTRATOR

UseVector - ADMINISTRATOR

VectorDistance - ADMINISTRATOR

VectorInterval - ADMINISTRATOR


LEITZ

AAxisMax - ADMINISTRATOR

AAxisMax - USER

AAxisMin - ADMINISTRATOR

AAxisMin - USER

AllowForcedHits - ADMINISTRATOR

AllowForcedHits - USER

AlwaysSendWAngles - ADMINISTRATOR

AlwaysSendWAngles - USER

ApproachAccel - ADMINISTRATOR

ApproachAfterAirInY - ADMINISTRATOR

ApproachAfterAirInZ - ADMINISTRATOR

ApproachColFromNegY - ADMINISTRATOR

ApproachDistInX - ADMINISTRATOR

ApproachDistInZ - ADMINISTRATOR

ApproachOffsetInY - ADMINISTRATOR

ApproachOffsetInZ - ADMINISTRATOR

ApproachSpeed - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

ARM2CompMode - USER

AudiYOffsetEnd - ADMINISTRATOR

AudiYOffsetExit - ADMINISTRATOR

AudiYOffsetStart - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisX - USER

AxisY - ADMINISTRATOR

AxisY - USER

AxisZ - ADMINISTRATOR

AxisZ - USER

BAxisMax - ADMINISTRATOR

BAxisMax - USER

BAxisMin - ADMINISTRATOR

BAxisMin - USER

C250MinZ - ADMINISTRATOR

CAxisMax - ADMINISTRATOR

CAxisMax - USER

CAxisMin - ADMINISTRATOR

CAxisMin - USER

CloseGripperBit - ADMINISTRATOR

ColumnAccel - ADMINISTRATOR

ColumnSpeed - ADMINISTRATOR

CommPort - ADMINISTRATOR

CommPort - USER

COMPENS_FILE_NAME - ADMINISTRATOR

COMPENS_FILE_NAME - USER

ContinuousTempSensor - ADMINISTRATOR

ContinuousTempSensor - USER

ConvertToDEABridgeAxisConvention - ADMINISTRATOR

ConvertToDEABridgeAxisConvention - USER

CW43LThirdAxisTCSlot - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - ADMINISTRATOR

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DefinedScanOffset - ADMINISTRATOR

DefinedScanOffset - USER

DelayBetweenCntlCAndCntlBInMilliseconds - ADMINISTRATOR

DelayBetweenCntlCAndCntlBInMilliseconds - USER

DeltaGrabColZ - ADMINISTRATOR

DisableCircularMoves - ADMINISTRATOR

DisableSP6LowMatrixUpdate - ADMINISTRATOR

DisableTraxCal - ADMINISTRATOR

DisableTraxCal - USER

DisengageDrives - ADMINISTRATOR

DisengageDrives - USER

EnableInitCm - ADMINISTRATOR

EnablePrintButtonToForceHit - ADMINISTRATOR

EnableRotaryClockMode - ADMINISTRATOR

FirstIOBitColumnPresent - ADMINISTRATOR

FlipBAxis - ADMINISTRATOR

FlipBAxis - USER

ForceRetractMove - ADMINISTRATOR

ForceRetractMove - USER

FreeSpeed - ADMINISTRATOR

GripperSlot - ADMINISTRATOR

HasContinuousCJoint - ADMINISTRATOR

HasContinuousCJoint - USER

HasFlyMode - ADMINISTRATOR

HasFlyMode - USER

HasGracefulStop - ADMINISTRATOR

HasGracefulStop - USER

HasTempcompCommands - ADMINISTRATOR

HasTempcompCommands - USER

InAirPressureToInjector - ADMINISTRATOR

InAirToDisengageGripper - ADMINISTRATOR

InColumnEngaged - ADMINISTRATOR

InGripperOper - ADMINISTRATOR

InGripperPinsOff - ADMINISTRATOR

InGripperPinsOn - ADMINISTRATOR

InGripperRest - ADMINISTRATOR

InPositionToolChangerDelay - ADMINISTRATOR

InPositionToolChangerDelay - USER

JoystickPolarityZ - ADMINISTRATOR

JoystickPolarityZ - USER

LastIOBitColumnPresent - ADMINISTRATOR

LastSystem5TCSlot - ADMINISTRATOR

LOCTools - ADMINISTRATOR

LOCTools - USER

MAGACSY - ADMINISTRATOR

MAGACSY - USER

ManualRecoverZOffset - ADMINISTRATOR

MaxAccel? - ADMINISTRATOR

MaxAccel? - USER

MaxBufferedMoves - ADMINISTRATOR

MaxBufferedMoves - USER

MaxSpeed? - ADMINISTRATOR

MaxSpeed? - USER

MaxTableAccel - ADMINISTRATOR

MaxTableAccel - USER

MaxTableSpeed - ADMINISTRATOR

MaxTableSpeed - USER

MechOffset? - ADMINISTRATOR

MechOffset? - USER

NewtonToMMConversion - ADMINISTRATOR

NewtonToMMConversion - USER

OitPort - ADMINISTRATOR

OitPort - USER

OitType - ADMINISTRATOR

OitType - USER

OpenGripperBit - ADMINISTRATOR

OutDisengageGripper - ADMINISTRATOR

OutGripColumn - ADMINISTRATOR

OutGripperOper - ADMINISTRATOR

OutGripperRest - ADMINISTRATOR

OutInjectAir - ADMINISTRATOR

OutStopInjectAir - ADMINISTRATOR

ParkedOffsetInZ - ADMINISTRATOR

PH10Slot - ADMINISTRATOR

PH9Port - ADMINISTRATOR

PH9Port - USER

PickupTCDelta - ADMINISTRATOR

PointDensity - ADMINISTRATOR

PointDensity - USER

PollCtrlComm - ADMINISTRATOR

PollCtrlComm - USER

ProbeInFastMode - ADMINISTRATOR

ProbeInFastMode - USER

ProbeSpeed - ADMINISTRATOR

ProbeSpeed - USER

ReadCmmDefaults - ADMINISTRATOR

ReadCmmDefaults - USER

RetractDistInX - ADMINISTRATOR

RotaryMinDelta - ADMINISTRATOR

RotaryMinDelta - USER

RotaryOffset - ADMINISTRATOR

RotaryOffset - USER

RotaryOffsetSpeed - ADMINISTRATOR

RotaryOffsetSpeed - USER

RotaryTablePresent - ADMINISTRATOR

RotaryTablePresent - USER

RotateWristFromController - ADMINISTRATOR

RotateWristFromController - USER

SafeMoveInZ - ADMINISTRATOR

ScaleTempHiLimit - ADMINISTRATOR

ScaleTempHiLimit - USER

ScaleTempLoLimit - ADMINISTRATOR

ScaleTempLoLimit - USER

ScanSpeed - ADMINISTRATOR

ScanSpeed - USER

SendHSSVectors - ADMINISTRATOR

SendHSSVectors - USER

Slot1? - ADMINISTRATOR

Slot1Post? - ADMINISTRATOR

Slot1Post2? - ADMINISTRATOR

Slot1Pre? - ADMINISTRATOR

Slot2? - ADMINISTRATOR

Slot2Post? - ADMINISTRATOR

Slot2Post2? - ADMINISTRATOR

Slot2Pre? - ADMINISTRATOR

Slot3? - ADMINISTRATOR

Slot3Post? - ADMINISTRATOR

Slot3Post2? - ADMINISTRATOR

Slot3Pre? - ADMINISTRATOR

SupportsPRBRDV - ADMINISTRATOR

SupportsPRBRDV - USER

SupportsProfileCmds - ADMINISTRATOR

SupportsProfileCmds - USER

SupportsShowAutzer - ADMINISTRATOR

SupportsShowAutzer - USER

SupressSCAonSCAPARCommand - ADMINISTRATOR

SupressSCAonSCAPARCommand - USER

System5Audi - ADMINISTRATOR

System5DebugFlag - ADMINISTRATOR

TCAirInputChannel - ADMINISTRATOR

TCAirInputChannel - USER

TCAirOutputChannel - ADMINISTRATOR

TCAirOutputChannel - USER

TCLiftDistance - ADMINISTRATOR

TCLiftDistance - USER

TcpipIPAddress - ADMINISTRATOR

TcpipIPAddress - USER

TcpipPort - ADMINISTRATOR

TcpipPort - USER

TCPort3AxisClearance - ADMINISTRATOR

TCPortClearance - ADMINISTRATOR

TCPortClearance - USER

TCRack3AxisClearance - ADMINISTRATOR

TCRackClearance - ADMINISTRATOR

TCRackClearance - USER

TestAirBitXYAxis - ADMINISTRATOR

TestAirBitZAxis - ADMINISTRATOR

TestAirOn - ADMINISTRATOR

TestAirOn - USER

TestForGripperBit - ADMINISTRATOR

TestGripperAirBit - ADMINISTRATOR

ToolClampForce - ADMINISTRATOR

ToolClampForce - USER

TurnOffAirBitXYAxis - ADMINISTRATOR

TurnOffAirBitZAxis - ADMINISTRATOR

TurnOnAirBitXYAxis - ADMINISTRATOR

TurnOnAirBitZAxis - ADMINISTRATOR

UseDEAVolComp - USER

UseInputMAGACSY - ADMINISTRATOR

UseMoveAll - ADMINISTRATOR

UseToolChangerMountPoint - ADMINISTRATOR

UseToolChangerMountPoint - USER

UseVolcomp - ADMINISTRATOR

UseVolcomp - USER

Version - USER

WCompensMode - ADMINISTRATOR

WCompensMode - USER

WristAOffset - ADMINISTRATOR

WristAOffset - USER

WristBOffset - ADMINISTRATOR

WristBOffset - USER

WristCOffset - ADMINISTRATOR

WristCOffset - USER


LK Direct

AllowHomeError - USER

AlwaysOfferHome - USER

ARM2CompMode - USER

AutoSpeedOptimize - USER

AxisX - USER

AxisY - USER

AxisZ - USER

CompensFileName - USER

Controller - USER

CrashInEXE - USER

CrashInInterface - USER

DebugFile - USER

DebugLog - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DevelopmentSwitches - USER

DevelopmentSwitches2 - USER

DevelopmentSwitches3 - USER

DevelopmentSwitches4 - USER

DTR - USER

DualRotabInitMode - USER

ExceptionHandler - USER

GPIB - USER

HasPH9 - USER

HomeVelocity - USER

HomeWait - USER

HomeWaitDialog - USER

LK2000 - USER

LK3000 - USER

LongProbeTip - USER

MaxBufferedMoves - USER

Micron - USER

MoveHitTolerance - USER

MoveSpeed - USER

NewInit - USER

NoHomeOrder - USER

NoHomeStatus - USER

NoManualStatus - USER

NoStartButton - USER

PollSerial - USER

PreInitialize - USER

Resolution? - USER

RotaryAvailable - USER

RotaryDual - USER

RotaryIsIndex - USER

RotaryMinDelta - USER

RotaryOffset1 - USER

RotaryOffset2 - USER

RotaryResolution - USER

RTS - USER

SETPT - USER

UsingOldWcompens32 - USER

Version - USER

VintageHome - USER

VintageManual - USER

VolCompMethod - USER

VolDebug - USER

VolOffset? - USER

WaitForPrehit - USER

WCompensMode - USER

Wentzville - USER

XMax - USER

XMin - USER

YMax - USER

YMin - USER

ZMax - USER

ZMin - USER


LKCMES

Accel - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CommPort - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DoneButtonTolerance - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

Prompt - ADMINISTRATOR

ResponseDelay - ADMINISTRATOR

Version - USER


LKDRIVER

AllowForcedHits - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BufferedMoves - ADMINISTRATOR

ClearErrInterval - ADMINISTRATOR

ConvertUnits - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow- USER

HandleNonErr - ADMINISTRATOR

LKDriverDLL - ADMINISTRATOR

ManHitTolerance - ADMINISTRATOR

ManPrintButton - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MinRotabMove - ADMINISTRATOR

PurgeDelay - ADMINISTRATOR

ReadoutInterval - ADMINISTRATOR

RestartTimers - ADMINISTRATOR

UseVolcomp - ADMINISTRATOR

Version- USER

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR


MANMITI

ARM2CompMode - ADMINISTRATOR

ASIOffset? - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

ChangeStateDelay - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

HardwareHandshake - ADMINISTRATOR

IgnoreStatus - ADMINISTRATOR

Scale? - ADMINISTRATOR

startInReadouts - USER

TimerInterval - ADMINISTRATOR

UseSRQ - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

VectorDistance - ADMINISTRATOR

Version - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR

volOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


MANMORA

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CommPort - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

HardwareHandshake - ADMINISTRATOR

Scale? - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


METAS

AllowForcedHits - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BufferedMoves - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

limit_movespeed_max - ADMINISTRATOR

limit_movespeed_min - ADMINISTRATOR

limit_rotabspeed_max - ADMINISTRATOR

limit_rotabspeed_min - ADMINISTRATOR

limit_sbak_max - ADMINISTRATOR

limit_sbak_min - ADMINISTRATOR

limit_stot_max - ADMINISTRATOR

limit_stot_min - ADMINISTRATOR

limit_stut_max - ADMINISTRATOR

limit_stut_min - ADMINISTRATOR

limit_touchspeed_max - ADMINISTRATOR

limit_touchspeed_min - ADMINISTRATOR

limit_x_max - ADMINISTRATOR

limit_x_min - ADMINISTRATOR

limit_y_max - ADMINISTRATOR

limit_y_min - ADMINISTRATOR

limit_z_max - ADMINISTRATOR

limit_z_min - ADMINISTRATOR

LKDriverDLL - ADMINISTRATOR

ManHitTolerance - ADMINISTRATOR

ManPrintButton - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MinRotabMove - ADMINISTRATOR

PH9 - ADMINISTRATOR

PH9ManualMode - ADMINISTRATOR

ReadoutInterval - ADMINISTRATOR

TCDepthClearance - ADMINISTRATOR

TCVerticalClearance - ADMINISTRATOR

TCVerticalStrokeClamp - ADMINISTRATOR

TCVerticalStrokeUnclamp - ADMINISTRATOR

UseVolcomp - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


METROLOG

ASIOffset? - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CMM - ADMINISTRATOR

CommandDelayInMilliseconds - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLock - USER

DebugLog - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

JogSlowSpeed - ADMINISTRATOR

JogSpeed - ADMINISTRATOR

ManualHoming - ADMINISTRATOR

MaxControllerMoves - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MetrologicDirect - ADMINISTRATOR

NeedsAcknowledge - ADMINISTRATOR

NewtonToMMConversion - ADMINISTRATOR

ProbingFlyRadius - ADMINISTRATOR

ScaleFactor? - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - ADMINISTRATOR

VolCompDebug - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR


Metronor

Acceleration - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BeepType - ADMINISTRATOR

CMMPortParam - USER

CommBaudRate - ADMINISTRATOR

CommFlowCtrl - USER

CommPort - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugDriver - ADMINISTRATOR

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

HitTolerance - ADMINISTRATOR

IgnoreErr14 - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

MinimumInit - ADMINISTRATOR

PH9 - ADMINISTRATOR

PH9BaudRate - ADMINISTRATOR

Ph9Port - ADMINISTRATOR

ProbeReset - ADMINISTRATOR

Rotab - ADMINISTRATOR

RotabScale - ADMINISTRATOR

Scale? - ADMINISTRATOR

SwitchAxis - ADMINISTRATOR

TerminalPort - ADMINISTRATOR

TwoKeyJogBox - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR

Wenzel - ADMINISTRATOR


Mitutoyo

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BHN706 - ADMINISTRATOR

CircularMoves - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

Delay - ADMINISTRATOR

Delay1 - ADMINISTRATOR

Delay2 - ADMINISTRATOR

HasPH9 - ADMINISTRATOR

InPositionTolerance - ADMINISTRATOR

OldJoystick - ADMINISTRATOR

PH9CommPort - ADMINISTRATOR

PH9CommType - ADMINISTRATOR

PH9SendBAngleDelay - ADMINISTRATOR

PH9TriggerDelay - ADMINISTRATOR

PH9WaitPPollDelay - ADMINISTRATOR

RetractDistanceCommand - ADMINISTRATOR

Scale? - ADMINISTRATOR

ScanHead - ADMINISTRATOR

SearchDistanceCommand - ADMINISTRATOR

TopSpeed - ADMINISTRATOR

TouchSpeedCommand - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolDebug - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


MORA

AlwaysSendABWithXYZ - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CheckCheckSum - ADMINISTRATOR

CommPort - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

InterfaceBufferMoves - ADMINISTRATOR

InterfaceInMM - ADMINISTRATOR

InterfaceSetsManualBackoff - ADMINISTRATOR

InterfaceUsesCR - ADMINISTRATOR

MaxBufferMoves - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

MaxTouchSpeed - ADMINISTRATOR

MinimumTimeDeltaInBetweenDoneButtonInMilliseconds - ADMINISTRATOR

MoraWristPresent - ADMINISTRATOR

PH9CommPort - ADMINISTRATOR

PH9ManualMode - ADMINISTRATOR

Scale? - ADMINISTRATOR

StartMotionAfterMoveNumber - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR

WristScale - ADMINISTRATOR


MZEISS

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CommPort - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

HardwareHandShaking - ADMINISTRATOR

RequestInterval - ADMINISTRATOR

Scale? - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


NUMEREX

Acceleration - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CommPortDcc - ADMINISTRATOR

CommPortDro - ADMINISTRATOR

CommPortKey - ADMINISTRATOR

CommPortPh9 - ADMINISTRATOR

DCCStatusTimeout - ADMINISTRATOR

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DownLoadAlignments - ADMINISTRATOR

FinePos - ADMINISTRATOR

HasDcc - ADMINISTRATOR

HasHome - ADMINISTRATOR

HasPh9 - ADMINISTRATOR

IgnoreStatusEqualOne - ADMINISTRATOR

Max_moves - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

MaxStatusAfterHit - ADMINISTRATOR

MaxX - ADMINISTRATOR

MaxY - ADMINISTRATOR

MaxZ - ADMINISTRATOR

MinX - ADMINISTRATOR

MinY - ADMINISTRATOR

MinZ - ADMINISTRATOR

MoveDelay - ADMINISTRATOR

Ph9N81 - ADMINISTRATOR

ReadoutInterval - ADMINISTRATOR

Scale? - ADMINISTRATOR

T80irq - ADMINISTRATOR

T80xx - ADMINISTRATOR

T80yy - ADMINISTRATOR

T80zz - ADMINISTRATOR

Tech80 - ADMINISTRATOR

Tech80ScaleX - ADMINISTRATOR

Tech80ScaleY - ADMINISTRATOR

Tech80ScaleZ - ADMINISTRATOR

TicksPerMM? - ADMINISTRATOR

TimeOutFlag - ADMINISTRATOR

Version - USER

WaitBetweenHits - ADMINISTRATOR


Old_Dea

ARM2CompMode - USER

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CMM - ADMINISTRATOR

CMMBaud - ADMINISTRATOR

CMMPort - ADMINISTRATOR

CompensFileName - USER

DEARotaryHead - ADMINISTRATOR

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DRODelay - ADMINISTRATOR

HasPH9 - ADMINISTRATOR

MachineVectors - ADMINISTRATOR

MaxMoves - ADMINISTRATOR

NoSpeedControl - ADMINISTRATOR

PH9 - ADMINISTRATOR

PH9Baud - ADMINISTRATOR

PH9Port - ADMINISTRATOR

RetouchDelay - ADMINISTRATOR

ReverseVectors - ADMINISTRATOR

ReverseWristA - ADMINISTRATOR

ReverseWristB - ADMINISTRATOR

Scale? - ADMINISTRATOR

UsingOldWcompens32 - USER

VolCompMethod - USER

VolOffset? - USER

WaitEndVariance - ADMINISTRATOR

WCompensMode - USER

XMax - ADMINISTRATOR

XMin - ADMINISTRATOR

YMax - ADMINISTRATOR

YMin - ADMINISTRATOR

ZMax - ADMINISTRATOR

ZMin - ADMINISTRATOR


OMNITECH

Acceleration - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CMM - ADMINISTRATOR

COMPENS_FILE_NAME - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

HasCJoint - ADMINISTRATOR

IsStaubliControl - ADMINISTRATOR

ManPrintButton - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MinRotabMove - ADMINISTRATOR

PH9 - ADMINISTRATOR

RotabspeedMax - ADMINISTRATOR

RotabspeedMin - ADMINISTRATOR

Scale? - ADMINISTRATOR

TimerUpdateInterval - ADMINISTRATOR

UseTouchPointFormat - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


POLAR

AutoCalibrate - USER

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

Version - USER


Precision Interface

BaseAddress - USER

HomePosition - USER


RAM

CommPort - ADMINISTRATOR

DebugFile - USER

DebugLog - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

MaxSpeed - ADMINISTRATOR

UpdateInterval - ADMINISTRATOR

Version - USER


REFLEX

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

Controller - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

MechOffset? - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


Renishaw

AllowForcedHits - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BufferedMoves - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugTitle - USER

DebugWindow - USER

DevelopmentSwitches - USER

limit_movespeed_max - ADMINISTRATOR

limit_movespeed_min - ADMINISTRATOR

limit_rotabspeed_max - ADMINISTRATOR

limit_rotabspeed_min - ADMINISTRATOR

limit_sbak_max - ADMINISTRATOR

limit_sbak_min - ADMINISTRATOR

limit_stot_max - ADMINISTRATOR

limit_stot_min - ADMINISTRATOR

limit_stut_max - ADMINISTRATOR

limit_stut_min - ADMINISTRATOR

limit_touchspeed_max - ADMINISTRATOR

limit_touchspeed_min - ADMINISTRATOR

limit_x_max - ADMINISTRATOR

limit_x_min - ADMINISTRATOR

limit_y_max - ADMINISTRATOR

limit_y_min - ADMINISTRATOR

limit_z_max - ADMINISTRATOR

limit_z_min - ADMINISTRATOR

LKDriverDLL - ADMINISTRATOR

MachineINIFilePath - ADMINISTRATOR

ManHitTolerance - ADMINISTRATOR

ManPrintButton - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MinRotabMove - ADMINISTRATOR

PH9 - ADMINISTRATOR

PH9ManualMode - ADMINISTRATOR

PointDensity - ADMINISTRATOR

ReadoutInterval - ADMINISTRATOR

ScanSpeed - ADMINISTRATOR

TCDepthClearance - ADMINISTRATOR

TCVerticalClearance - ADMINISTRATOR

TCVerticalStrokeClamp - ADMINISTRATOR

TCVerticalStrokeUnclamp - ADMINISTRATOR

UCCDownloadPath - ADMINISTRATOR

useRenCalibration - USER

UseVolcomp - ADMINISTRATOR

Version - USER


Romer_Interface

DebugFile - USER

DebugLog - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

IntervalBetweenReadoutsInMilliseconds - ADMINISTRATOR

ScanInterval - ADMINISTRATOR

UpdateInterval - ADMINISTRATOR

VectorTolMM - ADMINISTRATOR

Version - USER

VolumeLevel - ADMINISTRATOR


Sharpe32

1 - ADMINISTRATOR

ASIOffset? - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CircularMoves - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

Controller - ADMINISTRATOR

Controller2 - ADMINISTRATOR

DccManualDelay - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugFromCMM - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugToCMM - USER

DebugWindow - USER

DisableAutoCancel - ADMINISTRATOR

ErrorManualDelay - ADMINISTRATOR

Manual - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

Oit - ADMINISTRATOR

OitPort - ADMINISTRATOR

OitType - ADMINISTRATOR

PollCtrlComm - ADMINISTRATOR

PrintButton - ADMINISTRATOR

ReadoutInterval - ADMINISTRATOR

RotaryAccel - ADMINISTRATOR

RotaryConvergence - ADMINISTRATOR

RotaryConvergence2 - ADMINISTRATOR

RotaryForceUnclamp - ADMINISTRATOR

RotaryForceUnclamp2 - ADMINISTRATOR

RotaryMinDelta - ADMINISTRATOR

RotaryMinDelta2 - ADMINISTRATOR

RotaryOffset - ADMINISTRATOR

RotaryOffset2 - ADMINISTRATOR

RotaryOffsetSpeed - ADMINISTRATOR

RotaryOffsetSpeed2 - ADMINISTRATOR

RotaryResolution - ADMINISTRATOR

RotaryVelocity - ADMINISTRATOR

Scale? - ADMINISTRATOR

SingleEstopMsg - ADMINISTRATOR

TopSpeed - ADMINISTRATOR

VerifyPH9 - ADMINISTRATOR

Version - USER

VolCompDebug - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR


Sheffield

ARM2CompMode - ADMINISTRATOR

ArtificialHits - ADMINISTRATOR

ASIOffset? - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

ClearErr179 - ADMINISTRATOR

ClearSerialLine - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DccInterval - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

FLBCalibration - ADMINISTRATOR

HasPH9 - ADMINISTRATOR

HitDelay - ADMINISTRATOR

HomeOffset? - USER

JogBoxToggle - ADMINISTRATOR

LiveUpdateMethod - ADMINISTRATOR

ManualInterval - ADMINISTRATOR

ManualMachine - ADMINISTRATOR

MaximumVelocity - ADMINISTRATOR

MaxTimeout - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MovePositionTol - ADMINISTRATOR

MPHits - ADMINISTRATOR

MPPXAxis - ADMINISTRATOR

MPPYAxis - ADMINISTRATOR

MPPZAxis - ADMINISTRATOR

MPVectors - ADMINISTRATOR

NeedsHomePosition - ADMINISTRATOR

PH9Baud - ADMINISTRATOR

PH9HandBox - ADMINISTRATOR

PH9Port - ADMINISTRATOR

PH9UsesCMM - ADMINISTRATOR

QualSphereDiameter - ADMINISTRATOR

qualSphereOffset? - ADMINISTRATOR

ResetDelay - ADMINISTRATOR

RotabAddress - ADMINISTRATOR

RotabNormalAxis - ADMINISTRATOR

RotaryAvailable - ADMINISTRATOR

RotaryDirection - ADMINISTRATOR

RotaryScale - ADMINISTRATOR

RS232CMM - ADMINISTRATOR

RS232CMMPort - ADMINISTRATOR

Scale? - ADMINISTRATOR

SMP400Baud - ADMINISTRATOR

SMP400Controller - ADMINISTRATOR

Tech80IRQ - ADMINISTRATOR

ToolchangerDelay - ADMINISTRATOR

TrueManualMachine - ADMINISTRATOR

UseLPT2 - ADMINISTRATOR

UsePartAlignment - ADMINISTRATOR

UseTech80 - ADMINISTRATOR

UseVectorTouch - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR

VolDebug - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR

XMax - ADMINISTRATOR

XMin - ADMINISTRATOR

XnCounterDirX - ADMINISTRATOR

XnCounterDirY - ADMINISTRATOR

XnCounterDirZ - ADMINISTRATOR

YMax - ADMINISTRATOR

YMin - ADMINISTRATOR

ZMax - ADMINISTRATOR

ZMin - ADMINISTRATOR


SIMULATE

AllowForcedHits - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BufferedMoves - ADMINISTRATOR

ClearErrInterval - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DisableSP6LowMatrixUpdate - ADMINISTRATOR

DisableTraxCal - ADMINISTRATOR

HandleNonErr - ADMINISTRATOR

ManHitTolerance - ADMINISTRATOR

ManPrintButton - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MinRotabMove - ADMINISTRATOR

ProbeInFastMode - ADMINISTRATOR

ReadAnalogProbingDefaults - ADMINISTRATOR

ReadoutInterval - ADMINISTRATOR

SimCmmDLL - ADMINISTRATOR

SupportsPRBRDV - ADMINISTRATOR

UseVolcomp - ADMINISTRATOR

Version - USER


SMX Laser Interface

ADMActive - ADMINISTRATOR

ADMMoveDistance - ADMINISTRATOR

ADMSearchDiameter - ADMINISTRATOR

ADMStabilityDelta - ADMINISTRATOR

ADMStabilityMax - ADMINISTRATOR

AimInterval - ADMINISTRATOR

AImToNextPoint - ADMINISTRATOR

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DefaultPointSamples - ADMINISTRATOR

DefaultResetName - ADMINISTRATOR

DefaultResetPos? - ADMINISTRATOR

DefCircleScanParm - ADMINISTRATOR

DefCylinderScanParm - ADMINISTRATOR

DefPlaneScanParm - ADMINISTRATOR

DefSphereScanParm - ADMINISTRATOR

GetDataTimeout - ADMINISTRATOR

HitPauseInterval - ADMINISTRATOR

LastCircleScanParm - ADMINISTRATOR

LastCylinderScanParm - ADMINISTRATOR

LastPlaneScanParm - ADMINISTRATOR

LastSphereScanParm - ADMINISTRATOR

ReadoutPosSamples - ADMINISTRATOR

RequestInterval - ADMINISTRATOR

ScanInterval - ADMINISTRATOR

TrackerIPAddress - ADMINISTRATOR

TrackerName - ADMINISTRATOR

UseDefaultReset - ADMINISTRATOR

useStatusDlg - ADMINISTRATOR

UseVector - ADMINISTRATOR

VectorDistance - ADMINISTRATOR

VectorInterval - ADMINISTRATOR


STANDARD_CNTRL

AlignmentDelay - ADMINISTRATOR

ASIOffset? - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

NoDloadtoDRO - ADMINISTRATOR

PH9WaitA - ADMINISTRATOR

PH9WaitB - ADMINISTRATOR

PH9WaitTrigger - ADMINISTRATOR

Version - ADMINISTRATOR

VolCompDebug - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR


STEADYSTATE

AxisX - USER

AxisY - USER

AxisZ - USER

ControllerComm - USER

CtrlTCPTimeout - USER

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

MaxSpeed - USER

ReadoutInterval - USER

TcpipIPAddress - USER

TcpipPort - USER

TCPOpenDelay - USER

Version - USER


Tech80_Interface

ARM2CompMode - ADMINISTRATOR

ASIOffset? - ADMINISTRATOR

AutoReset - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CheckForHitsInterval - ADMINISTRATOR

d:/v35/interfac/TECH80/TECH80.CPP scazon_info

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DeflectForEnd - ADMINISTRATOR

Hardware - ADMINISTRATOR

HitInterval - ADMINISTRATOR

Interrupt - ADMINISTRATOR

NEWCOMPENS_FNAME - ADMINISTRATOR

PH9 - ADMINISTRATOR

ph9_manual_mode - ADMINISTRATOR

RequestInterval - ADMINISTRATOR

ReverseVector - ADMINISTRATOR

ScazonZero? - USER

Stretch? - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolDebug - ADMINISTRATOR

WCompensMode - ADMINISTRATOR

XnCounterDirX - ADMINISTRATOR

XnCounterDirY - ADMINISTRATOR

XnCounterDirZ - ADMINISTRATOR


Theodolite_Interface

Controller - ADMINISTRATOR

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

Version - USER


WADRIVER

Acceleration - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CMM - ADMINISTRATOR

COMPENS_FILE_NAME - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

HasCJoint - ADMINISTRATOR

IsStaubliControl - ADMINISTRATOR

ManPrintButton - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MinRotabMove - ADMINISTRATOR

PH9 - ADMINISTRATOR

RotabspeedMax - ADMINISTRATOR

RotabspeedMin - ADMINISTRATOR

Scale? - ADMINISTRATOR

TimerUpdateInterval - ADMINISTRATOR

UseTouchPointFormat - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


WENZEL

Acceleration - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CMM - ADMINISTRATOR

COMPENS_FILE_NAME - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

DCC_Retract - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

HomeDelay - ADMINISTRATOR

MaxControllerMoves - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MinRotabMove - ADMINISTRATOR

PH9 - ADMINISTRATOR

RotabspeedMax - ADMINISTRATOR

RotabspeedMin - ADMINISTRATOR

Scale? - ADMINISTRATOR

SendParameters - ADMINISTRATOR

TerminalPort - ADMINISTRATOR

TimerUpdateInterval - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolCompMethod - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WCompensMode - ADMINISTRATOR

WCompensMode - ADMINISTRATOR


ZEISS

Acceleration - ADMINISTRATOR

ARM2CompMode - ADMINISTRATOR

ASIOffset? - USER

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

BufferedComm - ADMINISTRATOR

CMM - ADMINISTRATOR

CompensFileName - ADMINISTRATOR

ControllerMode - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

DSEHead - ADMINISTRATOR

GPIBDelay - ADMINISTRATOR

HomingSpeed - ADMINISTRATOR

ignorePrismoErrors - ADMINISTRATOR

JogBoxKey1 - ADMINISTRATOR

JogBoxKey10 - ADMINISTRATOR

JogBoxKey11 - ADMINISTRATOR

JogBoxKey12 - ADMINISTRATOR

JogBoxKey13 - ADMINISTRATOR

JogBoxKey14 - ADMINISTRATOR

JogBoxKey15 - ADMINISTRATOR

JogBoxKey16 - ADMINISTRATOR

JogBoxKey17 - ADMINISTRATOR

JogBoxKey18 - ADMINISTRATOR

JogBoxKey19 - ADMINISTRATOR

JogBoxKey2 - ADMINISTRATOR

JogBoxKey20 - ADMINISTRATOR

JogBoxKey21 - ADMINISTRATOR

JogBoxKey3 - ADMINISTRATOR

JogBoxKey4 - ADMINISTRATOR

JogBoxKey5 - ADMINISTRATOR

JogBoxKey6 - ADMINISTRATOR

JogBoxKey7 - ADMINISTRATOR

JogBoxKey8 - ADMINISTRATOR

JogBoxKey9 - ADMINISTRATOR

JOGSpeed - ADMINISTRATOR

KeyBoardJogBox - ADMINISTRATOR

MappedJogKeys - ADMINISTRATOR

MaxDSERotationErr - ADMINISTRATOR

MaxHitAttempts - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

MechOffset? - ADMINISTRATOR

MoveFromHome? - ADMINISTRATOR

PH9 - ADMINISTRATOR

PH9ManualMode - ADMINISTRATOR

PreWaitendDelay - ADMINISTRATOR

RDSHead - ADMINISTRATOR

RS232CMM - ADMINISTRATOR

Scale? - ADMINISTRATOR

TCDepthClearance - ADMINISTRATOR

TCLengthBackOutOfSlot - ADMINISTRATOR

TCLengthClearance - ADMINISTRATOR

TCLengthInFrontOfSlot - ADMINISTRATOR

TCPCmm - ADMINISTRATOR

TCUsingCalibrationTool - ADMINISTRATOR

TCVerticalClearance - ADMINISTRATOR

TCVerticalDropToRealDropoff - ADMINISTRATOR

TCVerticalStroke - ADMINISTRATOR

TimeoutLimit - ADMINISTRATOR

TimerUpdateInterval - ADMINISTRATOR

ToolChangePreWait - ADMINISTRATOR

UDP_ControllerAddress - ADMINISTRATOR

UDP_ControllerPort - ADMINISTRATOR

UDP_DoubleStatus - ADMINISTRATOR

UDP_HostAddress - ADMINISTRATOR

UDP_HostPort - ADMINISTRATOR

UDPCmm - ADMINISTRATOR

UseOldMotionCmd - ADMINISTRATOR

UsingOldWcompens32 - ADMINISTRATOR

vectorOffset - ADMINISTRATOR

Version - USER

VolCompMethod - ADMINISTRATOR

VolDebug - ADMINISTRATOR

VolOffset? - ADMINISTRATOR

WaitMoveTimeout - ADMINISTRATOR

WCompensMode - ADMINISTRATOR

WristAOffset - ADMINISTRATOR

WristBOffset - ADMINISTRATOR


ZSSRS232

AddressProgramVersion - ADMINISTRATOR

AxisX - ADMINISTRATOR

AxisY - ADMINISTRATOR

AxisZ - ADMINISTRATOR

CanUseVectorHits - ADMINISTRATOR

Controller - ADMINISTRATOR

DebugCMM - USER

DebugCPU - USER

DebugFile - USER

DebugLog - USER

DebugLogReset - USER

DebugPosReport - USER

DebugTitle - USER

DebugWindow - USER

Delay - ADMINISTRATOR

DelayAfterCancel - ADMINISTRATOR

DownloadAlignment - ADMINISTRATOR

KeyCodeClampTool - ADMINISTRATOR

KeyCodeContinue - ADMINISTRATOR

KeyCodeDelete - ADMINISTRATOR

KeyCodeEnd - ADMINISTRATOR

KeyCodeErase - ADMINISTRATOR

KeyCodeInsertMove - ADMINISTRATOR

KeyCodeKeepDim - ADMINISTRATOR

KeyCodeReleaseTool - ADMINISTRATOR

MaxSpeed - ADMINISTRATOR

TC2DepthClearance - ADMINISTRATOR

TC2OffsetDepth - ADMINISTRATOR

TC2OffsetLength - ADMINISTRATOR

TC2OffsetVertical - ADMINISTRATOR

TC2VerticalStroke - ADMINISTRATOR

TermAddPrgOnExit - ADMINISTRATOR

Version - USER


ANALOGES_MESSEN

In dieser Sektion des PC-DMIS-Einstellungseditors können Sie zahlreiche der für die Parameter unter Opt. verwendeten Werte speichern. Registerkarte Taster des Dialogfelds Parametereinstellungen.

Display Menu Roadmap
Weitere Informationen zu den meisten dieser Werte finden Sie unter "Parametereinstellungen: Registerkarte "Analoger Taster"" im Abschnitt "Voreinstellungen".

Siehe auch:

Hinweise zu SP6MTX-Einträgen


Hinweise zu SP6MTX-Einträgen

Eine Änderung von SP6MTX-Einträgen ist nur mit Hilfe des PC-DMIS-Einstellungseditors möglich. Diese Werte werden zuerst dann empfangen, wenn Sie die Kalibrierung der SP600-Unterschichtmatrix abgeschlossen haben. PC-DMIS verwendet diese Werte zur Erstellung der Tasterkraftvarianten, die benötigt werden, um die genauen Unterschichtmatrixzahlen für den Taster SP600 zu erhalten. Die Werte werden nicht in anderen Verfahren verwendet, daher besteht derzeit kein Grund, diese zu ändern.

Künftige PC-DMIS-Versionen könnten jedoch die Möglichkeit bieten, diese Einträge für andere Taster als den SP600 zu nutzen. In solchen Fällen könnte es sein, daß diese Werte geändert werden müssen.

Zulässige Einträge sind:

  • SP6MTXAdjustZZ
  • SP6MTXLowerForce
  • SP6MTXMaxForce
  • SP6MTXUpperForce

Weitere Informationen zur Durchführung einer Unterschichtmatrix-Kalibrierung finden Sie unter "SP600-Kalibrierverfahren" im Abschnitt "Definieren von Hardware".


AutoElemente

Diese Sektion des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern der bei der Erstellung von Auto-Elementen verwendeten Werte.

Siehe auch:

CNC-Kantenpunkt Doppelklickauswahl

CNC-Kantenpunkt Doppelklickauswahl Warnung anzeigen


CNC-Kantenpunkt Doppelklickauswahl

Mit diesem Eintrag können Sie festlegen, ob PC-DMIS zwei Mausklicks für die Bestimmung der XYZ- und IJK-Werte bei der Auswahl eines Auto-Kantenpunkts im Grafikfenster fordert oder nicht.

Eintragszeile im PC-DMIS-Einstellungseditor:

Eintragsname: EdgePoint2ClickSelect

Eintragstyp: Boolescher Wert. Wird er auf TRUE (WAHR) gesetzt, verwendet PC-DMIS zwei Mausklicks, einen auf jeder Oberfläche, um die korrekten XYZ- und IJK-Werte zu ermitteln. Wird dieser Eintrags auf FALSE (FALSCH) gesetzt, verwendet PC-DMIS das alte Verfahren mit einem Mausklick.

Wenn Sie ein Auto-Kantenpunktelement durch Anklicken der Oberfläche des CAD-Modells im Grafikfenster erzeugen, werden Sie bei einer vergrößerten CAD-Ansicht feststellen, daß einige Oberflächen keine vollkommenen Kanten von 90 Grad, sondern enge Kurven bilden.

CAD-Kante – Von weitem sieht es aus, als könnten Sie hier einen Kantenpunkt erzeugen.

CAD-Kante – Bei genauerem Hinsehen werden Sie jedoch feststellen, daß es sich nicht wirklich um eine 90-Gradkante handelt, sondern um eine enge Kurve.

Das Problem bei manchen Auto-Kantenpunkten besteht darin, daß Sie die Kante anklicken und die korrekte XYZ-Position erhalten können, der IJK-Vektor aber möglicherweise falsch ist. Oder Sie können eine andere Stelle auf dem Werkstück anklicken, um den korrekten IJK-Vektor zu erhalten, erhalten dann aber ein falsche XYZ-Position.

Wenn Sie den Eintrag DCCEdgePoint2ClickSelect auf TRUE setzen, bietet PC-DMIS die Möglichkeit, zwei Mausklicks (einen auf jeder Oberfläche) vorzunehmen, um sowohl die korrekte XYZ-Position als auch den korrekten IJK-Vektor zu erhalten.

Mausklick 1, PC-DMIS erfaßt die XYZ-Position und den IJK-Vektor.

Mausklick 2, Wenn der IJK-Vektor falsch ist, erfaßt PC-DMIS einen gültigen IJK-Vektor.

Weist das CAD-Modell eine reguläre 90-Gradkante auf, können Sie beide Oberflächen anklicken und der Kantenpunkt wird auf die übliche Art und Weise erzeugt.

Sie können PC-DMIS anweisen, eine Meldung einzublenden, wenn Auto-Kantenpunkte mit Hilfe dieses Verfahrens erzeugt werden. (Siehe auch CNC-Kantenpunkt Doppelklickauswahl Warnung anzeigen.)

Weitere Informationen zu Auto-Kantenpunkten finden Sie unter "Erstellen eines Auto-Kantenpunkts" im Abschnitt "Erstellen von Auto-Elementen".


CNC-Kantenpunkt Doppelklickauswahl Warnung anzeigen

Über diesen Eintrag können Sie bestimmen, ob PC-DMIS eine Warnmeldung anzeigen soll, daß zwei Mausklicks (einer auf jeder Oberfläche) zur Erstellung von Auto-Kantenpunkten erwartet werden.

Eintragszeile im PC-DMIS-Einstellungseditor:

Eintragsname: EdgePoint2ClickSelectShowWarning

Eintragstyp: Boolescher Wert. Wenn dieser Eintrag und der Eintrag EdgePoint2ClickSelect beide auf TRUE gesetzt sind, blendet PC-DMIS eine Meldung ein, um mitzuteilen, daß zwei Mausklicks zur Erstellung eines Auto-Kantenpunktes erforderlich sind.

(Siehe auch CNC-Kantenpunkt Doppelklickauswahl .)

Weitere Informationen zu Auto-Kantenpunkten finden Sie unter "Erstellen eines Auto-Kantenpunkts" im Abschnitt "Erstellen von Auto-Elementen".


AutoElemente\Typ

Die zahlreichen AutoElement\Sektionen des PC-DMIS-Einstellungseditors ermöglichen Ihnen das Speichern der bei der Erstellung bestimmter Auto-Elementtypen verwendeten Werte. Beispielsweise handelt es sich bei AutoElemente\Kreis und AutoElement\Kegel um verschiedene Sektionen.


Catia5

Dieser Abschnitt des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern von Werten zur direkten Schnittstellenanbindung mit Catia-Dateien der Version 5.


Catia

Dieser Abschnitt des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern von Werten, die bei der Verarbeitung CATIA-DCI-Dateien verwendet werden.

Siehe auch:

Catia-Port

Catia-Adresse

Catia-Verzeichnis

Alle Modelle laden


Catia-Port

Mit diesem Eintrag können Sie festlegen, welcher Anschluß für die Direct CAD-Schnittstelle mit Catia-Dateien verwendet werden soll. Informationen hierzu finden Sie unter "Installieren und Verwenden der Direct CAD-Schnittstelle für CATIA für PC-DMIS" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei".

Eintragsname: CatiaPort

Eintragstyp: Ganzzahlwert für die verwendete Anschlußnummer (z.B. 5555). Am besten verwenden Sie den gleichen Anschluß für UNIX und für NT.


Catia-Adresse

Mit diesem Eintrag können Sie festlegen, welche IP-Adresse für die Direct CAD-Schnittstelle mit Catia-Dateien verwendet werden soll. Informationen hierzu finden Sie unter "Installieren und Verwenden der Direct CAD-Schnittstelle für CATIA für PC-DMIS" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei".

Eintragsname: CatiaAddress

Eintragstyp: Ganzzahlwert für die Nummer der IP-Adresse (z.B. 205.158.132.244) der UNIX-Arbeitsstation.


Catia-Verzeichnis

Dieser Eintrag listet das Standardverzeichnis für Modelldateien im CATIA-System auf. Informationen hierzu finden Sie unter "Installieren und Verwenden der Direct CAD-Schnittstelle für CATIA für PC-DMIS" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei".

Eintragsname: CatiaDirectory

Eintragstyp: Zeichenfolge, die den Pfad zum Verzeichnis der Modelldateien darstellt.


Alle Modell laden

Alle Modelle laden

Über diesen Eintrag wird bestimmt, ob die CATIA Direct CAD-Schnittstelle die Oberflächen aller Massivkörper im Modell anzeigen soll, unabhängig davon, ob Sie "verborgen" sind oder nicht. Einige Modelle weisen verborgene Massivkörper auf, auch wenn sie selbst keine sind. In diesen Fällen wird PC-DMIS durch die Einstellung dieses Eintrags in die Lage versetzt, diese Modelle zu lesen.

Eintragsname: LoadAllModels

Eintragstyp: Boolescher Wert TRUE oder FALSE.


CNC-Programm

Diese Sektion des PC-DMIS-Einstellungseditors gibt die im Dialogfeld Wähle CNC Maschine gespeicherten Werte wieder. Dieses Dialogfeld wird eingeblendet, wenn Sie beabsichtigen, ein neues CNC-Programm zu erstellen.

Weitere Informationen zur Verwendung von PC-DMIS/NC und zur Einstellung der Einträge auf Basis von PC-DMIS\NC finden Sie unter der Hilfedatei "PC-DMIS\NC".


CTerminal Historie

Diese Sektion des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern der Werte, die während der Arbeit mit Ihrem Steuerungsterminal verwendet wurden. Das Steuerungsterminal ist ein Terminalfenster, in das Sie Befehle eingeben und an Ihre Steuereinheit übertragen können.


Datenbank

In dieser Sektion des PC-DMIS-Einstellungseditors werden die Standard-Statistikdatenbankparameter angezeigt.

Hinweis: Die Datenbankparameter sind nur verfügbar, wenn auf Ihrem System ein Programm zur statistischen Datenerfassung installiert ist.


Ändern von Registrierungseinträgen - DEA-Schnittstelle

DEA_Interface

Diese Sektion des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern der Werte, die während der Arbeit mit der DEA-Schnittstelle verwendet wurden.

Derzeit befindet sich dort der Eintrag NEWCOMPENS_FNAME.

Siehe auch:

NEWCOMPENS_FNAME


NEWCOMPENS_FNAME

Mit diesem Eintrag können Sie die neue Datei festlegen, die für die Kompensationsdatei verwendet werden soll. Er findet nur Verwendung, wenn der Eintrag UseVolcomp auf 2 gesetzt ist.

Eintragsname: NEWCOMPENS_FNAME

Eintragstyp: Zeichenfolge, die auf die KMG-spezifische.dat-Kompensationsdatei für die Kompensationsdatei wcompens32 verweist.


Debug (Fehlersuche)

Diese Sektion des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern der Werte, die während der Arbeit mit Debug-Dateien in PC-DMIS verwendet wurden. (Weitere Informationen zur Erstellung einer Debug-Datei finden Sie unter "Einrichten der KMG-Schnittstelle" im Abschnitt "Voreinstellungen".)


DMIS

Diese Sektion des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern von Werten, die bei der Verarbeitung von Routinen für DMIS verwendet werden.

Siehe auch:

DMIS Export-Code verwenden

DMIS Warnungen anzeigen


DMIS Export-Code verwenden

Über diesen Eintrag können Sie festlegen, ob PC-DMIS beim Exportieren von Werkstückprogrammen als DMIS-Dateien die alte oder die neue Methode zum Erstellen von DMIS-Dateien verwenden soll.

Eintragszeile im PC-DMIS-Einstellungseditor:

Eintragsname: DMISUsePostoutCode

Eintragstyp: Boolescher Wert. Bei Einstellung auf TRUEverwendet PC-DMIS beim Exportieren die alte Methode zum Erstellen von DMIS-Dateien. Bei Einstellung auf FALSE wird der Inhalt des Bearbeitungsfensters beim Exportieren ebenfalls in eine Datei kopiert.

Weitere Informationen zum Exportieren im allgeneimen finden Sie unter "Exportieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".


DMIS Warnungen anzeigen

Über diesen Eintrag können Sie festlegen, ob PC-DMIS Warnungen anzeigen soll, wenn während des Importierens einer DMIS-Datei Fehler auftreten.

Eintragszeile im PC-DMIS-Einstellungseditor:

Eintragsname: DMISShowWarnings

Eintragstyp: Boolescher Wert. Bei Einstellung auf TRUE zeigt PC-DMIS Warnungen an, wenn Fehler auftreten. Die Fehlermeldung gibt an, in welcher Zeile der Fehler auftrat, und enthält zudem eine kurze Beschreibung des Fehlers. Die Fehlermeldung weist das folgende Format auf:

nnn:msg:DMIS-Text

nnn ist die Zeilennummer.

msg kann folgendes sein:

'---' bedeutet, daß die Zeile ignoriert wurde.

'ERROR' bedeutet, daß ein Fehler gefunden wurde.

'!MAJOR' bedeutet, daß der Hauptbefehl nicht unterstützt wird.

'!MINOR' bedeutet, daß der Nebenbefehl nicht unterstützt wird.

DMIS-Text ist der DMIS-Text, der das Problem verursacht hat.

Bei Einstellung dieses Eintrags auf FALSE werden keine Warnungen angezeigt, wenn Fehler auftreten.

Weitere Informationen zum Importieren im allgemeinen finden Sie unter "Importieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".


Bearbeitungsfenster

Diese Sektion des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern von Werten, die zur Änderung verschiedener Aspekte im Bearbeitungsfenster verwendet wurden.

Siehe auch:

Bearbeitungsfenster Markierungsgruppennamen beim Ausdrucken verwenden

Bearbeitungsfenster Bitmap-Breite Bildschirmkopie


Bearbeitungsfenster Markierungsgruppennamen beim Ausdrucken verwenden

Mit diesem Eintrag wird festgelegt, ob PC-DMIS bei der Ausgabe des Bearbeitungsfenster-Inhalts in eine Datei den Namen der Markierungsgruppe verwendet. PC-DMIS verwendet als Dateinamen standardmäßig den Namen der Markierungsgruppe.

Eintragsname: EWUseMarksetNamesWhenPrinting

Eintragstyp: Boolescher Wert. Bei Einstellung dieses Eintrags auf TRUE (WAHR) verwendet PC-DMIS den Dateinamen der Markierungsgruppe. Bei Einstellung dieses Eintrags auf FALSE (FALSCH) verwendet PC-DMIS den Dateinamen, der im Dialogfeld Druckoptionen angegeben wurde.

Display Menu Roadmap


Bearbeitungsfenster Bitmap-Breite Bildschirmkopie

Mit diesem Eintrag wird die Standardbreite der in PC-DMIS aufgenommenen Bildschirmkopien festgelegt.

Display Menu Roadmap
Eintragsname: EWScreenCaptureBitmapWidth

Eintragstyp: Ganzzahlwert, der die Breite der Bildschirmkopie in Pixel angibt.

Der Standardwert hierfür ist 608, so daß die Bitmap-Bilder (Bildschirmkopien schattierter Ansichten) die gleiche Größe haben wie die Metadatei-Bilder (Bildschirmkopien der nicht schattierten Ansichten). Sie können diesen Wert zur Größenanpassung an verschiedene Seitenformate ändern. Wenn Sie diesen Wert beispielsweise auf ca. 730 setzen, entspricht dies der passenden Größe für das Seitenformat A4.


Ausführung

Diese Sektion des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern von Werten, die zur Änderung von Positions- und Größeneinstellungen im Dialogfeld Ausführungsoptionen verwendet wurden.

Display Menu Roadmap


Faro_Interface

Diese Sektion des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern der Werte, die während der Arbeit mit der Faro-Schnittstelle verwendet wurden.


FileMan

Diese Sektion des PC-DMIS-Einstellungseditors erstellt einen Verzeichnispfad, für den Sie eine entsprechende Beschreibung eingeben können. PC-DMIS liest den Pfad und die zugehörige Beschreibung, zeigt jedoch nur die Beschreibung im Datei-Manager an. Das Auswahlfeld Verzeichnisse im Datei-Manager gewährt Zugriff auf die Verzeichnisse und zeigt die aus dem PC-DMIS-Einstellungseditor ausgelesenen Beschreibungen an.

Eine typische FileMan-Sektion im PC-DMIS-Einstellungseditor weist folgende Einträge auf:

Siehe auch:

Strichcode-Scanner

Standarddateiname


Strichcode-Scanner

Der Eintrag BarCodeScan ist für Werkstück-IDs verfügbar, die mit einem Strichcode-Leser eingescannt werden. Ist diese Option aktiviert, ermöglicht der PC-DMIS-Datei-Manager das Einlesen von Strichcode-Daten in jedes beliebige Werkstück-ID-Feld (wie beispielsweise Werkstückname, Seriennummer usw.).

Eintragsname: BarCodeScan

Eintragstyp: Boolescher Wert. Bei Einstellung dieser Option auf FALSE (FALSCH) wird das Scannen von Strichcodes nicht von PC-DMIS unterstützt. Bei Einstellung dieser Option auf TRUE (WAHR) wird das Scannen von Strichcodes von PC-DMIS unterstützt.


Standarddateiname

Der Eintrag DefFileName erstellt einen Standard-Betriebssystemdateinamen für jede neu erstellte .PRG-Datei. Dieser Dateiname kann vom Benutzer geändert werden.

Eintragsname: DefFileName

Eintragstyp: Zeichenfolge für den Standarddateinamen des Betriebssystems.


Grafikeinstellungen

Die Sektion GraphicSettings des PC-DMIS-Einstellungseditors ermöglicht Ihnen das Speichern der Werte, die während der Arbeit mit dem Grafikfenster verwendet werden. Derzeit befindet sich dort der Eintrag Hintergrundfarbe.

Siehe auch:

Hintergrundfarbe


Hintergrundfarbe

Die Dokumentation zur Sektion BackgroundColor ist in Vorbereitung.


IDEAS

Diese Sektion des PC-DMIS-Einstellungseditors enthält Informationen zur Direct CAD-Schnittstellenanbindung mit I-DEAS-Dateien. Weitere Informationen hierzu finden Sie unter "Direkte Schnittstellen mit einer CAD-Datei".

Siehe auch:

Version

Server


Version

Dieser Eintrag enthält Informationen zu der auf Ihrem Computer installierten Version der I-DEAS Master Series. Derzeit unterstützt PC-DMIS nur Master Series 6a oder 7.

Durch diesen Eintrag wird sichergestellt, daß PC-DMIS die passende DLL für die installierte I-DEAS-Version verwendet.

Eintragsname: Version

Eintragstyp: Zeichenfolge für die auf Ihrem Gerät installierte Version von I-DEAS. Der Eintrag kann "MS 6A" oder "MS 7" lauten. Die Standardversion ist "MS 7"


Server

Dieser Eintrag enthält den Namen des standardmäßigen I-DEAS-Servers. Wenn der I-DEAS-Server nicht "Sdrc/I-deas_7" ist, müssen Sie diesen Eintrag ändern. Der Eintrag Server gibt den I-DEAS-Server an.

Eintragsname: Server

Eintragstyp: Zeichenfolge für den Namen des I-DEAS-Servers. Die Standardeinstellung lautet "Sdrc/I-deas_7".

Bei einer Standardinstallation der I-DEAS Master Series 7 brauchen Sie diesen Wert nicht zu ändern, er wird automatisch von PC-DMIS eingestellt.

Bei einer Standardinstallation von I-DEAS Master Series 6a muß der Eintrag Server jedoch den Wert Sdrc aufweisen.


Importeinstellungen

Die Sektion ImportSettings des PC-DMIS-Einstellungseditors enthält Informationen über die Darstellung importierter Modelle im Grafikfenster von PC-DMIS.

Siehe auch:

Kurvenfarbe

Bezugselementfarbe

Punktfarbe

Oberflächenfarbe


CW43LT Wrist nach TW wiederherstellen

Mit diesem Eintrag wird festgelegt, ob PC-DMIS eine Winkelrotation durchführt, um den vorherigen AB-Winkel nach einem Tasterwechselvorgang mit dem CW43L-Tasterwechsler wiederherzustellen.

Hinweis: Dieser Eintrag erscheint nur dann in der Sektion Leitz des Einstellungseditors, wenn der Editor von einer Leitz-dll-Schnittstelle, Version 3.41, aus gestartet wurde.

Ab Version PC-DMIS 3.5 MR2 und höher wird der AB-Winkel nach einem Tasterwechslervorgang standardmäßig nicht mehr wiederhergestellt. Diese Einstellung wurde geändert, um die redundante Winkeldrehung zu entfernen, wo der erste für den aktuellen Taster verwendete AB-Winkel nicht dem AB-Winkel entsprochen hat, der zuletzt auf dem vorherigen Taster verwendet wurde. In solchen Fällen führte PC-DMIS eine überflüssige Rotation aus. Sollten diese Winkeldrehung für Sie erforderlich sein, setzen Sie diesen Eintrag auf den Wert 1.

Eintragsname: CW43LTRestoreWristAfterTC

Eintragstyp: Ganzzahlwert von 0 oder 1. Wenn Sie diesen Eintrag auf 1 setzen, stellt der Tasterwechsler den Wrist auf die vor dem Wechsel verwendeten AB-Winkel ein. Wenn Sie diesen Eintrag auf 0 setzen, führt der Tasterwechsler die abschließende Winkelrotation nicht durch, die zur Wiederherstellung der vorherigen Wrist-Werte dient.


Init-Cm aktivieren

Durch Einstellung dieses Werts auf TRUE werden alle Parameter der Steuereinheit wieder auf die Standardeinstellungen zurückgesetzt.

Eintragsname: EnableInitCm

Eintragstyp: Boolescher Wert. Bei Einstellung dieser Option auf TRUE (WAHR), setzt PC-DMIS die Steuerungsparameter wieder auf die Standardeinstellungen zurück.


KMG-Standardeinstellungen lesen

Durch Einstellung dieses Werts auf TRUE wird das KMG befähigt, alle von der Steuereinheit gespeicherten Standardwerte einzulesen.

Eintragsname: ReadCmmDefaults

Eintragstyp: Boolescher Wert. Wird diese Option auf TRUE eingestellt, liest das KMG alle von der Steuereinheit gespeicherten Standardwerte ein.


Variables Hochgeschwindigkeitsscannen

Wird dieser Eintrag auf TRUE eingestellt, verwenden alle Scans den neuen Scan-Algorithmus mit der Variablen Hochgeschwindigkeitsscannen (High Speed Scanning - VHSS) auf mit der Firmware 17 oder höher ausgestatteten COM-CTL-Steuerungen. Dadurch wird die Scangeschwindigkeit auf KMGs, die mit diesen Steuerungen ausgestattet sind, deutlich erhöht.

Eintragsname: VariableHighSpeedScanning

Eintragstyp: Boolescher Wert. Bei Einstellung dieses Eintrags auf TRUE (WAHR) verwendet PC-DMIS diesen neuen Algorithmus. Der Standardwert ist FALSE.

Wenn Sie diesen neuen Algorithmus aktiviert haben, können Sie mit Hilfe des Eintrags ConstantSpatialDensity festlegen, ob die zurückgegebenen Punkte eine Konstante räumliche Dichte oder eine Variable räumliche Dichte aufweisen sollen.


Konstante räumliche Dichte

Mit dem Eintrag ConstantSpatialDensitiy (der auch als CSD bezeichnet wird), der nun für den neuen VHSS-Algorithmus zur Auswahl steht, können Sie bestimmen, ob PC-DMIS die Meßpunkte auf der Scanbahn in einer konstanten Dichte (beispielsweise 1 Punkt pro Millimeter) aufnehmen soll oder nicht.

Eintragsname: ConstantSpatialDensity

Eintragstyp: Boolescher Wert.

Bei Einstellung auf TRUE (WAHR) verwendet PC-DMIS eine Konstante räumliche Dichte (CSD).

Bei Einstellung auf FALSE verwendet PC-DMIS eine variable räumliche Dichte (VSD). Die Dichte der gemessenen Punkte wird durch die Geschwindigkeit reguliert. Die Punktdichte beträgt also bei Einhaltung der nominellen Scangeschwindigkeit konstant 1 Punkt pro Millimeter, wenn die Geschwindigkeit allerdings aufgrund der Oberflächenkrümmung reduziert wird, verringert sich der Abstand der Meßpunkte proportional zur Geschwindigkeit. Möglicherweise verwenden Sie die Option VSD, um eine größere Anzahl von Punkten in den Bereichen des Werkstücks zu messen, die eine größere Oberflächenkrümmung aufweisen.


LicenseServerClient

Diese Sektion des PC-DMIS-Einstellungseditors gibt den Namen des Hosts und Informationen zur Portnummer an, wenn der Lizenzserver ausgeführt wird. Über den Lizenzserver können Sie PC-DMIS-Lizenzen über ein Netzwerk bedienen, statt jeden einzelnen Computer mit einer Anschlußsperre ausstatten zu müssen. Der Lizenzserver vergibt Lizenzen an alle Clients, bis Anzahl der erworbenen Lizenzen durch die Anzahl der Clients überschritten wird.


Kamera-Ansicht

In der Sektion LiveView des PC-DMIS-Einstellungseditors werden verschiedene Einstellungen für die Registerkarte Kamera Ansicht des Grafikfensters festgelegt. Diese Registerkarte steht erst zur Auswahl, wenn Sie die Option Optik in der Anschlußsperre aktiviert haben und einen unterstützen Optischen Sensor definiert haben. Weitere Informationen finden Sie in der Hilfedatei PC-DMIS Vision (Dokumentation in Vorbereitung).


LockExpiryReminder

PC-DMIS speichert in dieser Sektion die Information, wann Sie zuletzt an den Ablauf der Nutzungsdauer Ihrer Anschlußsperre erinnert wurden, so daß Sie nicht jedesmal bei Neustart von PC-DMIS daran erinnert werden.

In dieser Sektion des PC-DMIS-Einstellungseditors sind Änderungen durch den Benutzer unzulässig.


KMG

In dieser Sektion des PC-DMIS-Einstellungseditors können Sie die Parameter für Ihr spezifisches Präzisionsmeßgerät einstellen.


Misc-toolbar (verschiedene Symbolleisten)

Misc-toolbar

In dieser Sektion des PC-DMIS-Einstellungseditors können Sie die Parameter für verschiedene Symbolleisten in PC-DMIs einstellen.


Mehrarm Kalibrierung

In der Sektion MultipleArmCalibration des PC-DMIS-Einstellungseditors können Sie die Parameter, die zur Kalibrierung von Mehrarm-KMGs verwendet werden, einstellen. Ihre Anschlußsperre muß mit der entsprechenden Mehrarmfunktion programmiert worden sein, damit diese Sektion zur Auswahl eingeblendet wird.


Einstellungen Mehrarmbetrieb

In der Sektion MultipleArmSettings des PC-DMIS-Einstellungseditors können Sie die allgemein für KMGs im Mehrarmbetrieb verwendeten Parameter einstellen. Ihre Anschlußsperre muß mit der entsprechenden Mehrarmfunktion programmiert worden sein, damit diese Sektion zur Auswahl eingeblendet wird.


OpenGL-Optionen

Diese Sektion des PC-DMIS-Einstellungseditors enthält Einstellungen, die sich auf die Grafikanzeige auswirken. Die Einstellungen betreffen die Farbtiefe, die Z-Puffertiefe und die Doppelpufferung und die Verwendung von OpenGL-Listen.

Mit Ausnahme des Eintrags OpenGLLists, sollten Sie diese Werte im Dialogfeld OpenGL-Optionen bearbeiten, das über die Menüoption OpenGL verfügbar ist. Informationen hierzu finden Sie unter "Ändern der OpenGL-Optionen" im Abschnitt "Voreinstellungen".

Display Menu Roadmap
Siehe auch:

Verwenden von OpenGL-Listen


OpenGL-Einstellungen

In diesem Abschnitt des PC-DMIS-Einstellungseditors können Sie die Darstellung von Meßpunkten im Grafikfenster ändern. Sie können Punkte als Kugeln (statt als Fadenkreuze) darstellen lassen, und Sie können die Größe der angezeigten Punkte in der (schattierten) OpenGL-Ansicht ändern. Hinweise zum Ändern eines Werkstücks auf die schattierte Ansicht finden Sie unter "Einrichten der Bildschirmanzeige" im Abschnitt "Bearbeiten der CAD-Anzeige".

Siehe auch:

Pfeile schattiert zeichnen

Pfeilradius in Millimetern zeichnen

Punkte als Kugeln zeichnen

Punktradius in Millimetern zeichnen

GL_ Optionen


Pfeile schattiert zeichnen

Mit diesem Eintrag können Sie festlegen, wie die im Grafikfenster und im Analysefenster angezeigten Analysepfeile gezeichnet werden.

Eintragsname: DrawArrowsAsSolid

Eintragstyp: Boolescher Wert. Bei Einstellung dieses Eintrags auf TRUE (WAHR) werden die Pfeile schattiert gezeichnet. Bei Einstellung dieses Eintrags auf FALSE (FALSCH) wird der herkömmliche Pfeilstil verwendet.


Pfeilradius in Millimetern zeichnen

Mit diesem Eintrag können Sie den maximalen Radius des Pfeilschaftes in Millimetern festlegen.

Eintragsname: DrawArrowRadiusInMM

Eintragstyp: Ganzzahlwert für den Pfeilschaftradius.


Punkte als Kugeln zeichnen

Diese Option teilt PC-DMIS mit, ob die gemessenen Punkte als Kugeln anstatt als Fadenkreuze gezeichnet werden sollen.

Eintragsname: DrawPointsAsSpheres

Eintragstyp: Bei Einstellung auf FALSE (FALSCH) zeichnet PC-DMIS Punkte nicht als Kugeln. Bei Einstellung auf TRUE (WAHR) zeichnet PC-DMIS Punkte als Kugeln.


Punktradius in Millimetern zeichnen

Diese Option teilt PC-DMIS die Größe des Radius mit, der beim Zeichnen der Punkte als Kugeln verwendet werden soll. Damit diese Option verfügbar ist, muß der Eintrag DrawPointsAsSpheres auf 1 gesetzt sein.

Eintragsname: DrawPointsRadiusinMM

Eintragstyp: Ganzzahlwert für den Radius des gezeichneten Punkts (in Millimetern). Der Standardwert ist 1.


GL_Optionen

Mit den Optionen, denen die Zeichenfolge "GL_" vorangestellt ist, können Sie bestimmte Beleuchtungsparameter festlegen, die sich auf die Darstellung Ihres Modells im Grafikfenster auswirken:

GL_AMBIENT, GL_DIFFUSE, und GL_SPECULAR dienen zur Einstellung der Umgebungs-, Streuungs- und Spiegelungsintensität der Lichtquelle.

Eintragstyp: Gleitkommazahl oder ein Ganzzahlwert 1 oder -1. Beispielsweise bedeutet ein Wert von 0,2 20% des positiven Bereichs, 0,8 bedeutet 80% und 1,0 bedeutet 100% (oder den repräsentativsten Ganzzahlwert, während –1,0 den repräsentativsten Ganzzahlwert im Negativbereich vorgibt). Liegt eine Zahl außerhalb des Bereichs von –1 bis 1, ist der entsprechende ganzzahlige Rückgabewert undefiniert. Der Standardwert für diese Einträge ist Null.

GL_SHININESS repräsentiert die auf das Material bezogene Spiegelkomponente.

Eintragstyp: Gleitkommazahl oder Ganzzahl. Allgemein ist ein Ganzzahlwert von 0 bis 10 ein Bereich, der alles abdeckt. Der Standardwert ist 10.


Option

Diese Sektion des PC-DMIS-Einstellungseditors legt globale Befehle für zahlreiche PC-DMIS-Systemoptionen fest. Werden diese Parameter in PC-DMIS geändert, werden diese Änderungen im PC-DMIS-Einstellungseditor wiedergegeben. Ebenso werden Optionen, die im PC-DMIS-Einstellungseditor festgelegt wurden, auf den entsprechenden Registerkarten der Dialogfelder Setup-Optionen und Parametereinstellungen angezeigt.

Display Menu Roadmap
Display Menu Roadmap
Diese Sektion des PC-DMIS-Einstellungseditors ändert sich ständig mit den Anforderungen unserer Kunden. Weitere Informationen zu den zahlreichen Optionen im PC-DMIS-Einstellungseditor finden Sie im Abschnitt "Voreinstellungen".

Siehe auch:

Ladezeit für Ausdrucksprüfung deaktivieren

Übersichtsmodus und "Rückgängig" deaktivieren

Tonsignal für Meldung

Tasterdatei

Tasterdatei für das 'Nur Entladen' im Tasterwechsler

SolidWorks-Attribute im Werkstück speichern

Langlochvektor alten Typs verwenden

Verwende Kreisbewegungen nach alter Interpolation

Verwende Punktverfahren zur Elementsuche


Ladezeit für Ausdrucksprüfung deaktivieren

Über diesen Eintrag können Sie die Plausibilitätsprüfung von Ausdrücken beim Laden eines Werkstückprogramms deaktivieren. Dadurch wird PC-DMIS bei der Verwendung sehr großer Werkstückprogramme schneller.

Eintragsname: DisableLoadTimeExpressionChecking

Eintragstyp: Boolescher Wert. Bei Einstellung auf FALSE (FALSCH) ist die Plausibilitätsprüfung aktiviert. Bei Einstellung auf TRUE (WAHR) ist die Plausibilitätsprüfung deaktiviert, und PC-DMIS wird schneller.


Übersichtsmodus und "Rückgängig" deaktivieren

Über diesen Eintrag können Sie das Arbeiten im Übersichtsmodus und die Funktionen "Rückgängig" und "Wiederholen" für Vorgänge im Bearbeitungsfenster deaktivieren. Dadurch wird PC-DMIS bei der Verwendung sehr großer Werkstückprogramme schneller.

Eintragsname: DisableSummaryModeAndUndo

Eintragstyp: Boolescher Wert. Bei Einstellung auf FALSE (FALSCH) sind das Arbeiten im Übersichtsmodus und die Funktion zum Rückgängigmachen von Vorgängen aktiviert. Bei Einstellung auf TRUE (WAHR) sind das Arbeiten im Übersichtsmodus und die Funktion zum Rückgängigmachen von Operationen deaktiviert, und PC-DMIS wird schneller.


Tonsignal für Meldung

Mit dem Eintrag MessageBeep können Sie bestimmen, ob beim Messen eines Werkstücks ein Signalton zu hören ist. Dieser Eintrag wirkt sich nur auf PC-DMIS und sonst keine andere Anwendung aus. Diese Funktion wird für andere auf dem System ausgeführte Programme nicht deaktiviert.

Sie können Tonsignale auch über die Systemsteuerung ausschalten. Diese Methode betrifft jedoch auf alle auf dem System ausgeführten Programme und nicht nur PC-DMIS.

Eintragsname: MessageBeep

Eintragstyp: Boolescher Wert. Bei Einstellung auf FALSE (FALSCH) wird kein Tonsignal ausgegeben. Bei Einstellung auf TRUE (WAHR) ist das Tonsignal aktiviert.


Tasterdatei

Dieser Eintrag zeigt den Namen der zuletzt verwendeten Tasterdatei an.

Eintragsname: LastProbeFile

Eintragstyp: Zeichenfolge für die zuletzt verwendete Tasterdatei.


Tasterdatei für das 'Nur Entladen' im Tasterwechsler

Dieser Eintrag enthält den Namen des zu verwendenden Pseudo-Tasters, wenn Sie einen Taster im Tasterwechsler entladen und keinen anderen Tasterwechsler aus dem Tastermagazin aufnehmen wollen.

Eintragsname: ProbeFileUsedToForceUnloadWithNoPickup

Eintragstyp: Zeichenfolge mit dem Namen des Pseudo-Tasters.


SolidWorks-Attribute im Werkstück speichern

Über diesen Eintrag können Sie festlegen, ob die Attribute, die während des Importierens erzeugt wurden, im SolidWorks-Werkstück gespeichert werden sollen oder nicht. PC-DMIS verwendete diese Attribute als Matrix zwischen dem CAD-Element im SolidWorks-Werkstück und dem PC-DMIS-Werkstückprogramm. Werden diese Attribute nicht im SolidWorks-Werkstück gespeichert, wird das Reimportieren der CAD-Daten durch PC-DMIS jedesmal wiederholt, wenn das Werkstückprogramm in PC-DMIS geladen wird. Ein Speichern dieser Attribute im Werkstück führt zu längeren Ladezeiten für die Werkstückprogramme, die eine SolidWorks-DCI (Direct CAD-Schnittstelle) verwenden.

Eintragsname: SaveSolidWorksAttributesInPart

Eintragstyp: Ganzzahl. Wenn Sie diesen Eintrag auf 1 setzen, werden die Attribute im SolidWorks-Werkstück gespeichert. Wenn Sie diesen Eintrag auf 0 setzen, werden die Attribute nicht im SolidWorks-Werkstück gespeichert. Der Standardwert ist 0.


Langlochvektor alten Typs verwenden

Über diesen Eintrag können Sie den Vektor angeben, den PC-DMIS bei der Konstruktion eines Schnittpunktes oder Lotpunktes verwendet, wenn eine der Eingaben ein Langloch darstellt.

Eintragsname: UseLegacySlotVector

Eintragstyp: Ganzzahl. Bei Einstellung dieses Eintrags auf 1 verwendet PC-DMIS den vertikalen Langlochvektor. Bei Einstellung dieses Eintrags auf 0 verwendet PC-DMIS den Mittellinienvektor des Langlochs. Bei Version 3.25 oder höher ist der Standardwert Null.


Verwende Kreisbewegungen nach alter Interpolation

Mit diesem Eintrag können Sie den Algorithmus festlegen, den PC-DMIS zur Durchführung von Kreisbewegungen zugrundelegt.

Eintragsname: UseOldInterpolatedCircularMoves

Eintragstyp: Ganzzahl. Bei Einstellung dieses Eintrags auf 0 verwendet PC-DMIS das neue Verfahren für Kreisbewegungen, um das Version 3.5 ergänzt wurde. Diese Bewegung verläuft näher zum Element. Bei Einstellung dieses Eintrags auf 1 verwendet PC-DMIS das alte Verfahren für Kreisbewegungen. Bei Einstellung dieses Eintrags auf 2 verwendet PC-DMIS die ursprünglichen Kreisbewegungen. Der Standardwert ist 1.


Verwende Punktverfahren zur Elementsuche

Mit diesem Eintrag können Sie festlegen, ob PC-DMIS zum Messen einer neu gefundenen Bohrung Stützpunkte verwendet oder nicht.

Eintragsname: UsePointMethodFindHole

Eintragstyp: Ganzzahl. Bei Einstellung dieses Eintrags auf 1 werden Bohrungen wie in PC-DMIS Version 2.3 gemessen, nämlich ohne Zuhilfenahme von Stützpunkten. Bei Einstellung dieses Eintrags auf 0 werden Bohrungen unter Verwendung von Stützpunkten gemessen.


Parameter

In dieser Sektion des PC-DMIS-Einstellungseditors werden globale Befehle für zahlreiche PC-DMIS-Systemoptionen festgelegt. Werden diese Parameter in PC-DMIS geändert, gibt der PC-DMIS-Einstellungseditor diese Änderungen wieder. Ebenso werden die im PC-DMIS-Einstellungseditor festgelegten Optionen auf der entsprechenden Registerkarte des Dialogfelds Parametereinstellungen angezeigt.

Display Menu Roadmap


Tasterkalibrierung

In dieser Sektion des PC-DMIS-Einstellungseditors werden die Standardparameter für die Kalibrierung des Tasters angezeigt.

In diesem Abschnitt sind auch einige Optionen gespeichert, die bei einer Drehtisch-Kalibrierung verwendet werden und nur dann zur Auswahl eingeblendet werden, wenn die Option Drehtisch auf Ihrem System verfügbar ist.

Folgende Einträge gehören zu den Standardparametern der Tasterkalibrierung. Im allgemeinen besteht für Sie keine Notwendigkeit diese Einträge zu ändern; dies hängt jedoch vom Schaft- und Taststift-Durchmesser des von Ihnen verwendeten Kalibriernormals ab.

Siehe auch:

Winkelprüfung Gesamtkugel

Tasterkalibrierung: Erster Meßpunkt definiert den Pol

Tasterkalibrierung: Abstand Kalibriernormaldurchmesser

Tasterkalibrierung: Startwinkel1 Großes Kalibriernormal

Tasterkalibrierung: Endwinkel1 Großes Kalibriernormal

Tasterkalibrierung: Startwinkel1 Kleines Kalibriernormal

Tasterkalibrierung: Endwinkel1 Kleines Kalibriernormal


Winkelprüfung Gesamtkugel

Über diesen Winkel wird festgelegt, ob PC-DMIS die gesamte Kugel messen soll oder nicht. Ist die Differenz zwischen dem Schaftvektor und dem Tastervektor größer als dieser Winkel, mißt PC-DMIS die gesamte Kugel. Andernfalls wird das Meßmuster auf der Kugel durch die anderen Parameter der Sektion ProbeCal des PC-DMIS-Einstellungseditors bestimmt.

Eintragsname: FullSphereAngleCheck

Eintragstyp: Reelle Zahl. Der Standardwert ist 25.


Tasterkalibrierung: Erster Meßpunkt definiert den Pol

Mit diesem Registrierungseintrag können Sie einstellen, wie die IJK-Werte für die Tast spitzenkalibrierungen erfaßt werden sollen.

In Version 3.6 und höher wurden die Kalibrierungen dahingehend aktualisiert, die theoretischen IJK-Werte der Tasterspitze nach der Aufnahme von Stützpunkten zu verwenden, anstatt den IJK zwischen dem ersten Stützpunkt und dem daraus resultierenden Kugelmittelpunkt zu errechnen.

Setzen diesen Wert auf 1, wenn Sie auf das alte Verfahren zur Lokalisierung des IJK (wo der erste manuelle Meßpunkt auf der Kugel die neue "Polposition" statt die theoretische Position definiert) zurückgreifen wollen.

Eintragsname: ProbeQualFirstHitDefinesPole

Eintragstyp: Ganzzahl mit dem Wert 1 oder 0. Der Standardwert ist 0.


Tasterkalibrierung: Abstand Kalibriernormaldurchmesser

Mit diesem Eintrag können Sie eine Größe in Millimetern festlegen, durch die festgelegt wird, welches Kalibriernormalmuster PC-DMIS während des Kalibriervorgangs zugrundelegt. Ist der Durchmesser des Kalibriernormals größer als dieser Wert, verwendet PC-DMIS das Muster für große Kalibriernormale. Andernfalls wird das Muster für kleine Kalibriernormale verwendet.

Eintragsname: ProbeQualToolDiameterCutoff

Eintragstyp: Reelle Zahl. Der Standardwert ist 25.


Tasterkalibrierung: Startwinkel1 Großes Kalibriernormal

Mit diesem Eintrag können Sie den Längengrad des Startwinkels für die Aufnahme von Punkten parallel zum Äquator eines Kalibriernormals mit großem Durchmesser festlegen.

Eintragsname: ProbeQualLargeToolStartAngle1

Eintragstyp: Reelle Zahl. Der Standardwert ist 50,0.


Tasterkalibrierung: Endwinkel1 Großes Kalibriernormal

Mit diesem Eintrag können Sie den Längengrad des Endwinkels für die Aufnahme von Punkten parallel zum Äquator eines Kalibriernormals mit großem Durchmesser festlegen.

Eintragsname: ProbeQualLargeToolEndAngle1

Eintragstyp: Reelle Zahl. Der Standardwert ist 310.


Tasterkalibrierung: Startwinkel1 Kleines Kalibriernormal

Mit diesem Eintrag können Sie den Längengrad des Startwinkels für die Aufnahme von Punkten parallel zum Äquator eines Kalibriernormals mit kleinem Durchmesser festlegen.

Eintragsname: ProbeQualSmallToolStartAngle1

Eintragstyp: Reelle Zahl. Der Standardwert ist 70.


Tasterkalibrierung: Endwinkel1 Kleines Kalibriernormal

Mit diesem Eintrag können Sie den Längengrad des Endwinkels für die Aufnahme von Punkten parallel zum Äquator eines Kalibriernormals mit kleinem Durchmesser festlegen.

Eintragsname: ProbeQualSmallToolEndAngle1

Eintragstyp: Reelle Zahl. Der Standardwert ist 290.


ProEngineer

Dieser Abschnitt des PC-DMIS-Einstellungseditors enthält Informationen zur Direct CAD-Schnittstellenanbindung mit Pro/ENGINEER CAD-Dateien. Informationen hierzu finden Sie unter "Installieren und Verwenden der Direct CAD-Schnittstelle für Pro/ENGINEER" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei".

Siehe auch:

Name der ProEngineer-Anwendungsdatei

ProCommMsgExe

ProEngineer laden

ProEngineer: Elementfilter verwenden

ProEngineer: Neueste Version verwenden

ProEngineer: Aperture-Radius


Name der ProEngineer-Anwendungsdatei

Dieser Eintrag enthält die ausführbare Datei, mit der Pro/ENGINEER gestartet wird. Informationen hierzu finden Sie unter "Installieren und Verwenden der Direct CAD-Schnittstelle für Pro/ENGINEER für PC-DMIS" im Abschnitt "Direkte Schnittstellen mit einer CAD-Datei".

Eintragsname: ProEngineerExecutableName

Eintragstyp: Zeichenfolge für den Namen, über zum Starten von Pro/ENGINEER verwendet wird. In der Regel lautet er "PROE".


ProCommMsgExe

Dieser Eintrag enthält den vollständigen Verzeichnispfad der Anwendungsdatei zum Starten des zur Kommunikation mit Pro/ENGINEER verwendeten Kommunikationstools.

In Version 3.25 und älter mußten Sie eine Umgebungsvariable namens Pro_Comm_Msg_Exe erstellen, um auf die eigentliche Anwendungsdatei des Kommunikationstools zu verweisen.

In Version 3.5 und höher sucht PC-DMIS nach dem in diesem Eintrag des Einstellungseditors gespeicherten Verzeichnispfad, wenn diese Umgebungsvariable nicht auffindbar ist. Wenn Sie also PC-DMIS pro im Offline-Betrieb ausführen möchten, würde der Zielpfad ungefähr folgendermaßen aussehen:

Eintragsname: ProCommMsgExe

Eintragstyp: Zeichenfolge, die den vollständigen Pfad zum Verzeichnis der zu startenden Anwendung darstellt.


ProEngineer laden

Mit diesem Eintrag können Sie festlegen, ob die Direct CAD-Schnittstelle (DCI) von PC-DMIS eine Verbindung mit Pro/ENGINEER aufbauen soll oder nicht. Wird dieser Eintrag auf FALSE gesetzt, unternimmt die Pro/ENGINEER-DCI keinen Versuch, Pro/ENGINEER zu laden, statt dessen wird eine Meldung anzeigt und Ihnen die Option angeboten, die gespeicherte .CAD-Ansicht zu laden. Dieser Eintrag sollte nur dann auf TRUE eingestellt werden, wenn Sie über eine Lizenz für das Pro/ENGINEER-Programm verfügen, für das die Verbindung hergestellt werden soll.

Eintragsname: ProEngineerLoad

Eintragstyp: Boolescher Wert. Bei Einstellung dieses Eintrags auf TRUE (WAHR) versucht PC-DMIS Pro/ENGINEER zu laden. Bei Einstellung auf FALSE (FALSCH) bietet PC-DMIs die Option an, eine gespeicherte .CAD-Ansicht zu laden.


ProEngineer: Elementfilter verwenden

Mit diesem Eintrag wird festgelegt, ob PC-DMIS die im Grafikfenster dargestellten Geometrietypen filtern soll oder nicht. Herausgefiltert werden temporäre, inaktive oder verborgene Geometrien, die im Pro/ENGINEER vorgefunden werden.

Eintragsname: ProEngineerUseFeatureFilter

Eintragstyp: Boolescher Wert. Bei Einstellung dieses Eintrags auf 1 verwendet PC-DMIS den Elementfilter. Bei Einstellung dieses Eintrags auf 0 deaktiviert PC-DMIS den Elementfilter und zeigt die gesamte Geometrie an. Als Standardvorgabe gilt, daß PC-DMIS den Elementfilter aktiviert hat, wenn Sie diese Option nicht in der Registrierung finden.


ProEngineer: Neueste Version verwenden

Mit diesem Eintrag wird festgelegt, ob PC-DMIS nach neueren Werkstück- oder Baugruppenversionen suchen soll oder nicht. Neuere Werkstück- und Baugruppenversionen werden durch eine Überprüfung der Dateinamenerweiterungen von Pro/ENGINEER erkannt.

Angenommen, Ihr Werkstückprogramm beinhaltet ein importiertes Werkstück mit der Bezeichnung block.prt.1: Wenn Sie neuere Versionen des Werkstücks nach demselben Muster benennen (d.h. block.prt.2, block.prt.3, block.prt.4 usw.) und die Werkstücke an derselben Position wie block.prt.1 ablegen, verwendet PC-DMIS die neueste Version beim nächsten Öffnen des Werkstückprogramms.

Eintragsname: ProEngineerUseNewestRevision

Eintragstyp: Boolescher Wert. Bei Einstellung dieses Eintrags auf 1 verwendet PC-DMIS die neuesten Werkstück- und Baugruppenversionen. Bei Einstellung dieses Eintrags auf 0 ignoriert PC-DMIS die neuesten Werkstück- und Baugruppenversionen. Als Standardvorgabe gilt, daß PC-DMIS die neueren Werkstück- und Baugruppenversionen sucht, wenn Sie diese Option nicht in der Registrierung finden.

Hinweis: In Version 3.5 und höher gilt dies als überholt.


ProEngineer: Aperture-Radius

Mit diesem Eintrag wird der Aperture-Radius in Pixel festgelegt. Damit wird überprüft, ob Strahl nah genug an die Kante gelangt, um diese Kante vom Strahlpunkt aus auswählen zu können.

Der Schnittpunktalgorithmus, den die PC-DMIS Direct CAD-Schnittstelle zum Auswählen und Durchstoßen der Pro/ENGINEER-Werkstückgeometrie verwendet, gibt eine Liste der Strahlschnittpunkte mit einem Modell zurück. Er berechnet die Schnittpunkte sowohl des ursprünglichen Strahls als auch des "negativen" mit der Modellgeometrie. Der Ausgabe-Array wird in der aufsteigender Reihenfolge mit vorzeichenbehafteten Abständen sortiert. Sie müssen festlegen, ob sich der Strahl außerhalb oder innerhalb des Modells befindet.

Wenn ein Strahl auf die Mitte einer Fläche auf dem Modell trifft, wählt der Algorithmus diese Fläche aus. Wenn der Schnittpunkt jedoch sehr nah an einer Kante liegt (wobei der Aperturewert intern festgelegt wurde), wählt der Algorithmus auch die entsprechende Kante aus. Somit könnte mehr als ein Eintrag des Typs Oberfläche oder Kante im ProSelection-Array einem tatsächlichen Durchstoßen des Modells durch den Strahl entsprechen. Durch diese Mehrfachauswahl können Berechnungs- und Vergleichszeiten verringert werden.

Je kleiner der Aperture-Radius ist, desto weniger Schnittpunkte werden von PC-DMIS zurückgegeben. Dadurch können Berechnungs- und Vergleichszeiten optimiert werden.

Eintragsname: ProEngineerApertureRadius

Eintragstyp: Reelle Zahl. Gibt den Aperture-Radius in Pixel an. Ist der Wert gleich Null oder kleiner, verwendet die Funktion den Standardwert 7 oder den in der Konfigurationsdatei aktuell gespeicherten Wert.

Weitere Informationen über die Konfigurationsdatei und diesen bestimmten Algorithmus finden Sie in der Dokumentation zum Pro/ENGINEER Toolkit.


Ergebnisanzeigen

Dieser Teil des PC-DMIS-Einstellungseditors zeigt die Standardposition und -größe des Taster-Ergebnisanzeigefensters an, die durch die letzte Position des Fensters bestimmt werden.

Eintragsname: ReadOutsLeft, ReadOutsRight, ReadOutsTop und ReadOutsBottom

Eintragstyp: Ganzzahlen, die Position und Größe des Fensters angeben.

Informationen zur Verwendung des Taster-Anzeigefensters finden Sie unter "Verwenden des Taster-Anzeigefensters" im Abschnitt "Arbeiten mit anderen Fenstern und Editoren".


Scanvorgang

In der Sektion Scan des PC-DMIS-Einstellungseditors können Sie die Parameter für die verfügbaren Scanning-Optionen einstellen.


SystemFiveDcc

In der Sektion SystemFiveDcc des PC-DMIS-Einstellungseditors können Sie die Parameter für das Flexible Aufspannsystem einstellen. Weitere Informationen zu Spannvorrichtungen erhalten Sie unter "Die Einrichtung Flexibler Spannvorrichtungen " im Abschnitt "Definition Ihrer Einstellungen" und "Erzeugung und Positionierung von Aufspannsäulen" im Abschnitt "Definition der Hardware ".


TempComp

In der Sektion TempComp des PC-DMIS-Einstellungseditors können Sie die Parameter für die Temperaturkompensation einstellen. Weitere Informationen zur Temperaturkompensation finden Sie unter "Temperaturkompensation" im Abschnitt "Voreinstellungen".


UnigraphicsDCI

Diese Sektion des PC-DMIS-Einstellungseditors enthält Einträge zur direkten Schnittstellenanbindung mit Unigraphics CAD-Dateien.

Siehe auch:

Ausführung ohne CAD-Datei zulassen

Importieren von unsichtbaren Layern

Importieren von auswählbaren Layern

Importieren von sichtbaren Layern

Importieren von Arbeitsebenen

Anzahl zu importierender Layer

Meldung "Kann UG-Anwendungsdatei nicht finden" überspringen


Ausführung ohne CAD-Datei zulassen

Mit diesem Eintrag können Sie festlegen, ob PC-DMIS ein Unigraphics DCI-Werkstückprogramm ohne Verbindung zur ursprünglichen Unigraphics CAD-Datei ausführen soll oder nicht.

Eintragsname: AllowToRunWithoutCADFile

Eintragstyp: Boolescher Wert. Wird dieser Eintrag auf TRUE gesetzt, kann PC-DMIS ein Unigraphics DCI-Werkstückprogramm ohne Verbindung zur ursprünglichen Unigraphics CAD-Datei ausführen laden und ausführen. Wird dieser Eintrag auf FALSE gesetzt, blendet PC-DMIS bei der Arbeit mit der Unigraphics DCI ein Dialogfeld mit der Frage ein, welche Maßnahme zu ergreifen ist, wenn die ursprüngliche Unigraphics CAD-Datei nicht auffindbar ist. Der Standardwert ist FALSE.


Importieren von unsichtbaren Layern

Mit diesem Eintrag können Sie festlegen, ob PC-DMIS CAD-Daten über die unsichtbaren Layer in der Unigraphics-Werkstückdatei importieren soll oder nicht.

Eintragsname: ImportInvisibleLayers

Eintragstyp: Boolescher Wert. Bei Einstellung dieses Eintrags auf TRUE (WAHR) werden die CAD-Daten über unsichtbare Layer importiert. Bei Einstellung dieses Eintrags auf FALSE (WAHR) werden die CAD-Daten über unsichtbare Layer nicht importiert. Der Standardwert ist FALSE.


Importieren von auswählbaren Layern

Mit diesem Eintrag können Sie festlegen, ob PC-DMIS CAD-Daten über die auswählbaren Layer in der Unigraphics-Werkstückdatei importieren soll oder nicht.

Eintragsname: ImportSelectableLayers

Eintragstyp: Boolescher Wert. Bei Einstellung dieses Eintrags auf TRUE (WAHR) werden die CAD-Daten über auswählbare Layer importiert. Bei Einstellung dieses Eintrags auf FALSE (WAHR) werden die CAD-Daten über auswählbare Layer nicht importiert. Der Standardwert ist TRUE.


Importieren von sichtbaren Layern

Mit diesem Eintrag können Sie festlegen, ob PC-DMIS CAD-Daten über die sichtbaren Layer in der Unigraphics-Werkstückdatei importieren soll oder nicht.

Eintragsname: ImportVisibleLayers

Eintragstyp: Boolescher Wert. Bei Einstellung dieses Eintrags auf TRUE (WAHR) werden die CAD-Daten über sichtbare Layer importiert. Bei Einstellung dieses Eintrags auf FALSE (WAHR) werden die CAD-Daten über sichtbare Layer nicht importiert. Der Standardwert ist TRUE.


Importieren von Arbeitsebenen

Mit diesem Eintrag können Sie festlegen, ob PC-DMIS CAD-Daten die Arbeitsebene in der Unigraphics-Werkstückdatei importieren soll oder nicht.

Eintragsname: ImportWorkLayer

Eintragstyp: Boolescher Wert. Bei Einstellung dieses Eintrags auf TRUE (WAHR) werden die CAD-Daten über die Arbeitsebene importiert. Bei Einstellung dieses Eintrags auf FALSE (WAHR) werden die CAD-Daten über die Arbeitsebene nicht importiert. Der Standardwert ist TRUE.


Nach Nummern zu importierende Layer

Mit diesem Eintrag können Sie das Importieren der CAD-Daten aus Layern nach Nummern festlegen.

Eintragsname: LayerNumbersToImport

Eintragstyp: Zeichenfolge. Sie können einen Ausdruck eingeben, mit dem die Unigraphics-Layer festgelegt werden, aus denen CAD-Daten importiert werden sollen. Die Layer werden durch einzelne, kommagetrennte Layer, kommagetrennte Layer-Bereiche, oder durch Bereiche, die mit einem Bindestrich vor und nach jeder Layer-Nummer gekennzeichnet werden, bestimmt. Die nachstehende Tabelle zeigt die zulässigen Formate:

Ausdrucksformat | Import-Anweisung
1-10, 20-30 | Es werden Unigraphics CAD-Daten über die Layer 1-10 und 20-30 importiert.
-8 | Es werden Unigraphics CAD-Daten über die Layer 1-8 importiert.
100- | Es werden Unigraphics CAD-Daten über die Layer 100-256 importiert.
7 | Es werden Unigraphics CAD-Daten über den Layer 7 importiert.
* | Es werden Unigraphics CAD-Daten über alle Layer 1-256 importiert.


Meldung "Kann UG-Anwendungsdatei nicht finden" überspringen

Mit diesem Eintrag können Sie festlegen, ob PC-DMIS beim Öffnen eines Unigraphics DCI-Werkstückprogramms die Meldung "Kann UG-Anwendungsdatei nicht finden!" anzeigt oder nicht.

Eintragsname: SkipNoUGExecutionFileMessage

Eintragstyp: Boolescher Wert. Wenn dieser Eintrag auf TRUE gesetzt ist, wird die Meldung "Kann UG-Anwendungsdatei nicht finden!" nicht angezeigt, wenn mit einer verfügbaren UG-Sitzung ein Unigraphics DCI-Werkstückprogramms geöffnet wird. Wenn Sie diesen Eintrag auf FALSE setzen, wird die Meldung eingeblendet. Der Standardwert ist FALSE.


UserInput

In dieser Sektion des PC-DMIS-Einstellungseditors können Sie verschiedene Parameter für Benutzereingaben einstellen. Derzeit gibt es folgende Einstellungsmöglichkeiten: ob Zoll oder Millimeter verwendet werden, ob PC-DMIS im CNC oder manuellen Modus ausgeführt wird und welche manuellen oder CNC-Dateien für jede Betriebsart zu verwenden sind.


User_SystemFiveDcc

In dieser Sektion des PC-DMIS-Einstellungseditors können Sie verschiedene Parameter für Benutzereingaben in Zusammenhang mit Flexiblen Spannsystemen einstellen. Die Sektion SystemFiveDcc enthält weitere Parameter dieser Art.

Weitere Informationen zu Spannvorrichtungen erhalten Sie unter "Einrichten flexibler Spannvorrichtungen " im Abschnitt "Voreinstellungen" und "Erstellung und Positionierung von Aufspannsäulen" im Abschnitt "Definieren von Hardware ".


Valysis

Die Dokumentation zur Sektion Valysis ist in Vorbereitung.


VMMOffline

Die Dokumentation zur Sektion Valysis ist in Vorbereitung.


Ändern von Registrierungseinträgen - Assistenten

Assistenten

In dieser Sektion des PC-DMIS-Einstellungseditors können Sie verschiedene Parameter für die Assistenten einstellen, die auf der PC-DMIS-Symbolleiste Schnellstart zur Auswahl stehen. (Siehe auch "Schnellstart: Symbolleiste 'Scannen'" im Abschnitt "Arbeiten mit Symbolleisten".)


Using a Wrist Device

Installation

Tastspitzenkalibrierung

Tastkopf kalibrieren

Kalibrierprüfung

Nullpunktfahrt Tastkopf

Verwenden des Wrists in einem Werkstückprogramm


Arbeiten mit einem Wrist-Gerät: Einführung

PC-DMIS bietet vollständige Unterstützung für die Kalibrierung und Verwendung von stufenlos verstellbaren Wrist-Geräten, wie beispielsweise für die Geräte Renishaw PHS, DEA CW43 und DEA CW43L sowie für Geräte anderer Hersteller.

In diesem Abschnitt werden folgende Themen behandelt:

  • Installation
  • Tastspitzenkalibrierung
  • Tastkopf kalibrieren
  • Kalibrierprüfung
  • Nullpunktfahrt Tastkopf
  • Verwenden des Wrists in einem Werkstückprogramm


Installation

Wenn auf Ihrem KMG ein Wrist (Dreh-/Schwenkkopf) installiert ist, fügt PC-DMIS den X-, Y- und Z-Ergebnisanzeigen, die normalerweise angezeigt werden, A- und B-Achsen hinzu. Die Wrist-Option muß in der Anschlußsperre für PC-DMIS eingeschaltet sein, um die Wrist-Unterstützung zu aktivieren. Da eine Vielzahl von kontinuierlichen Dreh-/Schwenkköpfen und Schnittstellen unterstützt werden, sollten Sie sich bei Ihrem jeweiligen Software-Anbieter informieren, welche der PC-DMIS-Registrierungseinträge zu ändern sind (Informationen zur Verwendung des PC-DMIS-Einstellungseditors zur Änderung der Registrierungseinträge finden Sie im Abschnitt "Ändern von Registrierungseinträgen".)

PC-DMIS ruft die Steuereinheit automatisch ab und stellt fest, ob der Wrist vorhanden ist.

Siehe auch:

Hinweise zu Renishaw PHS mit Leitz-Schnittstelle


Hinweise zu Renishaw PHS mit Leitz-Schnittstelle

Wenn Sie den kinematischen Adapter für den Renishaw-Wrist verwenden, müssen Sie den Registrierungseintrag RenishawKinematicMount=1 im Abschnitt [Option] des PC-DMIS-Einstellungseditors ändern. PC-DMIS fragt Sie (beim Systemstart), ob der PHS-Wrist auf dem KMG installiert ist. PC-DMIS stellt Ihnen diese Frage nur, wenn die Steuerung gerade eingeschaltet wurde. Wenn Sie PC-DMIS einmal mitgeteilt haben, was sich am Ende des Arms befindet, wird diese Frage erst wieder gestellt, wenn die Steuereinheit heruntergefahren und neu gestartet worden ist. Ist der Wrist installiert, fügt PC-DMIS den Ergebnisanzeigen eine A- und B-Achse hinzu. Diese Anzeige erscheint zusätzlich zu der regulären Ergebnisanzeige der X-, Y- und Z-Achse.

Hinweis: Die Wertänderungen werden erst dann in der Ergebnisanzeige aktualisiert, wenn Sie PC-DMIS ausführen und die Frage bezüglich des PHS-Wrists positiv beantwortet haben.


Tastspitzenkalibrierung

Bei der Tastspitzen-Kalibrierung wird vorausgesetzt, daß Sie den Wrist bereits kalibriert haben. Für die Tastspitze, die zur Kalibrierung des Wrists verwendet wird, ist keine weitere Kalibrierung erforderlich. Die Kalibrierung der zur Kalibrierung des Wrists verwendeten Tastspitze erfolgt automatisch.

Die Tastspitzenkalibrierung dient dazu, den Abstand vom Mittelpunkt der letzten Verbindungsstelle (Verbindungsstelle A) zum Tastspitzenmittelpunkt zu berechnen. Wenn der Wrist bereits kalibriert wurde, genügt es theoretisch, eine A,B-Kombination der Tastspitze zu messen, um diesen Abstand zu berechnen. Es empfiehlt sich jedoch, mehr als eine A,B-Kombination zu messen, damit PC-DMIS das Mittel der errechneten Tastspitzenversätze berechnen kann. Dadurch wird die Genauigkeit verbessert.

Siehe auch:

Neue Tasterdatei


Neue Tasterdatei

Wenn Sie die Wrist-Kalibrierung durchgeführt haben, können Sie die am Wrist befestigte Tastspitze auswechseln und eine neue Tastspitze kalibrieren. Vorgehensweise:

  1. Öffnen Sie das Dialogfeld Taster. Hilfsprogramme durch Auswahl der Menüoption Taster (Anleitungen zum Zugreifen auf alle Dialogfelder und Menüoptionen finden Sie im Abschnitt "Verwenden der Übersichtskarte").

Display Menu Roadmap
Vergewissern Sie sich, daß die Beschreibung des Tasters mit der neu geladenen Tastspitze übereinstimmt.

  3. Wählen Sie eine (oder mehrere) A, B-Kombination(en), die dieser neuen Tastspitze entspricht (entsprechen), in der Liste Aktuelle Tastspitzen aus. Ist die gewünschte A,B-Kombination nicht in der Liste enthalten, können Sie diese durch Anklicken der Schaltfläche Winkel hinzufügen in die Liste aufnehmen. Zur Kalibrierung der Tastspitze müssen Sie mindestens eine A,B-Kombination aus der Tastspitzenliste auswählen. Wenn Sie mehr als eine Kombination auswählen, berechnet PC-DMIS das Mittel der Ergebnisse und kann somit einen genaueren Tastspitzenversatz ermitteln.
  4. Nach Auswahl der gewünschten Tastspitzen klicken Sie auf die Schaltfläche Messen. Daraufhin wird das Dialogfeld Taster kalibrieren angezeigt. In diesem Dialogfeld können Sie die Anzahl der Meßpunkte, den Vorhalte- / Rückfahrweg und die Meßgeschwindigkeiten festlegen.
  5. Wählen Sie die Optionsschaltfläche Tastspitzen kalibrieren für die zu kalibrierenden Optionen.
  6. Stellen Sie die gewünschten Parameter ein.
  7. Klicken Sie auf die Schaltfläche Messen.

PC-DMIS beginnt, die Kalibrierkugel anhand der angegebenen A,B-Winkelkombinationen zu messen.


Tastkopf kalibrieren

Wenn auf dem KMG ein verstellbarer Wrist installiert ist, ermöglicht PC-DMIS Ihnen den Zugriff auf die Optionen Tastkopf kalibrieren und Nullpunktfahrt Tastkopf im Bereich Durchzuführende Tätigkeit des Dialogfelds Taster kalibrieren.

Hinweis: In diesem Thema werden speziell Tastköpfe behandelt, die stufenlos verstellbar sind und keine vordefinierten Einrastpositionen aufweisen. Die Kalibrierung dieser Dreh-/Schwenkköpfe wird nur mit einem einzelnen Taststift - nicht mit Sterntastern - durchgeführt. Nach Abschluß der Kalibrierung kann durch Kalibrierung des kleinstmöglichen Tasterwinkels jede Winkelposition des Wrists in neuen Tasterdateien verwendet werden. Diese Option ist nur verfügbar, wenn ein stufenlos verstellbarer Wristtyp definiert ist. Informationen zur Kalibrierung des Tasters finden Sie unter "Messen" im Abschnitt "Definieren von Hardware".

Über die Option Tastkopf kalibrieren können Sie den Wrist kalibrieren. Mit diesem Verfahren können Sie mehrere Winkel auf einer Kalibrierkugel messen, um so die internen Abstände im Wrist selbst zu bestimmen. Anhand dieser berechneten Daten kann PC-DMIS die Postion der Tastspitze an jedem beliebigen A,B-Winkelpaar genau vorausbestimmen. Auf diese Weise können Sie jeden beliebigen A,B-Winkel im Werkstückprogramm verwenden, ohne die einzelnen Tastspitzenpositionen kalibrieren zu müssen.

Hinweis: Vergewissern Sie sich, daß Sie die gewünschten Meßwerte im Dialogfeld Taster kalibrieren für die Kugelmessung angegeben haben, und wählen Sie das Kalibriernormal aus, bevor Sie die Option Tastkopf kalibrieren wählen und die Messung vornehmen. Im Dialogfeld Messen können Sie die Anzahl der Meßpunkte, den Vorhaltebereich und Rückfahrweg sowie verschiedene Meßgeschwindigkeiten festlegen. (Siehe auch "Messen" im Abschnitt "Definieren von Hardware".)

Siehe auch:

Wrist-Kalibrierung


Wrist-Kalibrierung

Zur Kalibrierung des Wrists müssen mindestens drei A-Winkelpositionen und drei B-Winkelpositionen für insgesamt neun Kugelmessungen gemessen werden (jede A-Winkelposition muß an jeder B-Position gemessen werden). Im Bereich Wrist-Kalibrierwinkel einrichten des Dialogfelds Taster kalibrieren können Sie die Winkel für die Kalibrierung der A- und B-Achsen festlegen. Die ersten drei Optionen dienen zur Kalibrierung der Verbindungsstelle A.

Informationen, wie der Bereich Wrist-Kalibrierwinkel einrichten zur Definition der AB-Winkelpositionen verwendet wird, finden Sie unter "Wrist-Kalibrierwinkel einrichten" im Abschnitt "Definieren von Hardware".

Hinweis: Bei Verwendung eines Renishaw PHS müssen Sie jedesmal eine Wrist-Kalibrierung durchführen oder im Bereich Durchzuführende Tätigkeit des Dialogfelds Taster kalibrieren die Option Nullpunktfahrt Tastkopf wählen und erneut auf Messen klicken, wenn die Stromversorgung der PHS-Steuereinheit unterbrochen wurde.

Vorsicht bei der Verwendung von Tastern des Typs SP600

Bei den meisten Tastertypen auf einem kontinuierlichen Wrist kalibriert das Wrist-Gerät einen Winkelbereich und schätzt die restlichen Werte. Wird jedoch ein Taster des Typs SP600 auf einem kontinuierlichen Wrist verwendet, benötigt der SP600-Taster eine eigene Auslenkungsmatrix. Sie müssen daher jeden AB-Tastspitzenwinkel kalibrieren, der nicht im ursprünglichen Vorgang der Matrixerstellung berücksichtigt wurde. Andernfalls erhalten Sie ungenaue Meßergebnisse.

Siehe auch:

Berechnen der Fehlermatrix


Fehlermatrix berechnen

Normalerweise werden Wrist-Geräte in relativ kleinen Inkrementen kalibriert (z.B. 20 Grad). Wenn Sie einen stufenlos verstellbaren Wrist kalibrieren und dabei das Kontrollkästchen Tastkopf kalibrieren ausgewählt ist, erstellt PC-DMIS automatisch eine Wrist-Fehlerkompensierungsdatei namens abcomp.dat, die zur Korrektur von Wrist-Winkelfehlern verwendet wird. Durch das Erstellen einer Fehlermatrix wird die Wrist-Genauigkeit beim Messen von Positionen, die bisher noch nicht kalibriert wurden, erhöht, da PC-DMIS dadurch die Tasterversätze interpolieren kann.

Nach Berechnung der Fehlermatrix werden die Ergebnisse auf der Festplatte des Computers gespeichert, damit Sie bei jeder Verwendung des Wrists von der verbesserten Winkelgenauigkeit profitieren können. Die Fehlermatrix sollte regelmäßig (mindestens einmal wöchentlich) oder bei Bedarf berechnet werden. Bei der Berechnung der Fehlermatrix führt PC-DMIS auch eine gültige Wrist- und Tastspitzen-Kalibrierung für die aktuell geladene Tasterdatei durch.

Hinweis: Die Wrist-Kalibrierung sollte jedesmal dann durchgeführt werden, wenn der Befestigungsadapter für den Wrist gewechselt wird. Wann und wie oft die Fehlermatrix für ein Wrist berechnet werden sollte, entnehmen Sie bitte der Hardware-Dokumentation oder den Herstellerinformationen, da die Intervalle je nach Bauart des Geräts und Empfehlung des Herstellers variieren können.

Nach Kalibrierung des stufenlos verstellbaren Wrist-Geräts und Erstellung einer Wrist-Fehlermatrixdatei, sollte PC-DMIS durch Sie angewiesen werden, die Fehlermatrixdatei zu verwenden. Hierzu aktivieren Sie das Kontrollkästchen "Verwende Wrist-Matrix des Dialogfelds Taster Hilfsprogramme (siehe auch "Verwende Wrist-Matrix, wenn Kontrollkästchen vorhanden" im Abschnitt "Definieren von Hardware"). You can then create and use any position of new probe files with a minimum of calibrations.

Hierzu erstellen Sie einfach eine neue Tasterdatei und führen eine reguläre Tastspitzenkalibrierung durch. Verwenden Sie hierbei jedoch mindestens eine Tasterposition auf dem Kalibriernormal, das mit der Tasterdatei verknüpft ist, die während des Vorgang Tastkopf kalibrieren verwendet wird. Es ist wichtig, daß Sie bei der Kalibrierung mehr als eine Tasterposition verwenden, da die Tasterversatzdaten dann genauer an die Wrist-Fehlermatrix angepaßt werden. Dies gilt besonders dann, wenn in der neuen Tasterdatei mehrere Wrist-Positionen verwendet werden sollen.

Hinweis: Besteht keine Verknüpfung mit der Tasterdatei, die bei Erstellung der Fehlermatrix verwendet wurde, treten Meßfehler auf.


Kalibrierprüfung

Nach der Kalibrierung des Tastkopfs sollten Sie eine Kalibrierprüfung durchführen. Diese ist jedoch nicht unbedingt erforderlich. Durch eine Kalibrierprüfung erhalten Sie Informationen zur allgemeinen Genauigkeit der Wrist-Kalibrierung und künftiger Messungen. Die Kalibrierprüfung kann auch dazu eingesetzt werden, um neue Tastspitzen, die neuen Tasterdateien hinzugefügt wurden, auf Fehler zu überprüfen.

So führen Sie eine Kalibrierprüfung durch:

  1. Öffnen Sie das Dialogfeld Taster Hilfsprogramme, indem Sie die Menüoption Taster auswählen.

Display Menu Roadmap
Wählen Sie die Winkel, die für die Kalibrierprüfung verwendet werden sollen, in der Liste Aktuelle Tastspitzen aus. Es empfiehlt sich, sowohl Tasterwinkel auszuwählen, die bei der Wrist-Kalibrierung verwendet wurden, als auch solche, die nicht verwendet wurden.

  3. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.
  4. Geben Sie die Parameter an, die bei der Kalibrierprüfung verwendet werden sollen, und wählen Sie das passende Kalibriernormal aus.
  5. Wählen Sie die Option Kalibrierprüfung im Bereich Durchzuführende Tätigkeit aus.
  6. Klicken Sie auf die Schaltfläche Messen.
  7. Befolgen Sie die Bildschirmanweisungen.


Nullpunktfahrt Tastkopf

Einige Wrist-Geräte – wie beispielsweise der Renishaw PHS – weisen keine vordefinierten Nullpunkpositionen auf und verwenden für die Wrist-Positionierung Potentiometer anstelle von Skalen. Bei dieser Art von Wrist-Geräten muß der Nullpunkt jedesmal wieder neu definiert werden, wenn die Stromzufuhr der Steuereinheit für den Tastkopf unterbrochen wird. Sie können den Wrist-Nullpunkt neu definieren, indem Sie die Option Tastkopf kalibrieren (siehe "Tastspitzenkalibrierung") oder die Option Nullpunktfahrt Tastkopf auswählen.

Bei Auswahl von Nullpunktfahrt Tastkopf wird der Winkelfehlerversatz über den zuvor berechneten Wrist-Nullpunkt berechnet, indem ein oder mehrere Tasterwinkel an einer zuvor kalibrierten Kugelposition kalibriert werden. Dies hat den Vorteil, daß Sie nur einen Tastspitzenwinkel verwenden müssen und der Vorgang viel schneller abgeschlossen ist als eine Wrist-Kalibrierung.

Es empfiehlt sich jedoch, bei diesem Vorgang (Nullpunktfahrt Tastkopf) mehr als einen Tasterwinkel zu verwenden, da PC-DMIS den Durchschnitt aus allen Nullpunktfahrt-Fehlern berechnet und somit eine genauere Anpassung an die Wrist-Fehlermatrix ermöglicht.

So führen Sie eine Tastkopf-Nullpunktfahrt durch:

  1. Öffnen Sie das Dialogfeld Taster Hilfsprogramme, indem Sie die Menüoption Taster auswählen.

Display Menu Roadmap
Wählen Sie dieselbe Tasterdatei aus, die zur Tastkopf-Kalibrierung verwendet wurde.

  3. Wählen Sie die Winkel, die für die Kalibrierprüfung verwendet werden sollen, in der Liste Aktuelle Tastspitzen aus.
  4. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.
  5. Geben Sie die Parameter an, die bei der Kalibrierprüfung verwendet werden sollen, und wählen Sie dasselbe Kalibriernormal aus, das auch zur Tastkopf-Kalibrierung verwendet wurde.
  8. Wählen Sie die Option Nullpunktfahrt Tastkopf im Bereich Durchzuführende Tätigkeit aus.
  9. Klicken Sie auf die Schaltfläche Messen.

Hinweis: Nach der Tastkopf-Kalibrierung sollten Sie die Kalibrierkugel nicht mehr bewegen, bevor Sie den Tastkopf auf den Nullpunkt gefahren haben. Wird sie bewegt, müssen Sie den Tastkopf neu kalibrieren (siehe "Tastspitzenkalibrierung).


Verwenden des Wrists in einem Werkstückprogramm

PC-DMIS erkennt automatisch, ob der Wrist über das Bedienelement gedreht wurde. Dies ist jedoch nur bei Maschinen möglich, die diese Funktion unterstützen. Die Tastspitzenversätze werden dynamisch auf Basis der aktuellen A,B-Winkel aktualisiert. Das heißt, die XYZ-Ergebnisanzeige wird die jeweils aktuelle Tastspitzenposition anzeigen, während diese gedreht wird. Wie nachstehend erläutert, gibt es vier mögliche Methoden, mit denen Sie eine neue A,B-Tastspitzenkombination zu einem Werkstückprogramm hinzufügen können.

Nachdem eine neue A,B-Tastspitzenkombination mittels einer der nachstehenden Methoden in das Werkstückprogramm aufgenommen wurde, zeigt PC-DMIS die im Werkstückprogramm einprogrammierte aktuelle Tastspitze in der Auswahlliste Aktuelle Tastspitze auf der Symbolleiste an. Dabei handelt es sich um den voranstehenden Befehl TASTSPITZE/ oben an der Cursorposition im Bearbeitungsfenster. Um den Wrist an diese A,B-Winkelkombination zu bewegen, schließen Sie die Liste Aktuelle Tastspitze. PC-DMIS fragt, ob Sie den Taster drehen möchten. Lautet die Antwort Ja, wird der Wrist an die gewünschte Position gedreht. Dies ist nützlich, wenn Sie zurückgehen und Meßdaten und Bewegungspunkte in das Werkstückprogramm einfügen möchten.

Siehe auch:

Option 1

Option 2

Option 3

Option 4


Option 1

Wählen Sie im Dialogfeld "Taster Hilfsprogramme" die Option Winkel hinzufügen aus. Dadurch können Sie neue A,B-Winkelpaare in die Tasterdatei eingeben. Wenn die Tastspitze bereits kalibriert worden ist, dann sind die neuen A,B-Kombinationen ebenfalls kalibriert und einsatzbereit. Nachdem das Dialogfeld Taster Hilfsprogramme beendet wurde, können Sie diese neuen A,B-Kombinationen verwenden, indem Sie diese aus dem Tastspitzenlistenfeld in der Symbolleiste abrufen.


Option 2

Richten Sie den Wrist mit dem Bedienelement manuell auf die gewünschten A,B-Winkel aus. Wenn die gewünschte Position erreicht ist, drücken Sie die Taste Bewegung speichern am Bedienelement, oder nehmen Sie manuell einen Meßpunkt auf. Die aktuellen A,B-Winkel werden automatisch gelesen. Wenn sich die Winkel A oder B um mehr als den Delta-Mindestwert für das PH9 geändert haben (siehe "Delta-Mindestwert für Wristdrehung" im Abschnitt "Voreinstellungen"), fügt PC-DMIS die aktuellen A,B-Winkel automatisch zur Liste der aktuellen Tastspitzen hinzu und fügt einen TASTSPITZE/-Befehl in das Werkstückprogramm ein. Der neue Befehl TASTSPITZE/ wird vor der gespeicherten Bewegung bzw. dem manuell aufgenommenen Meßpunkt in das Werkstückprogramm eingefügt. Wenn das Werkstückprogramm dann ausgeführt wird, wechselt PC-DMIS zuerst die Tastspitze, bevor zur vorprogrammierten Stelle vorgerückt wird.


Option 3

Geben Sie im Bearbeitungsfenster einen TASTSPITZE/-Befehl ein. Wenn Sie die Bearbeitung des Vektors abgeschlossen haben, berechnet PC-DMIS die besten A,B-Kombinationen, durch die der Tastspitzen-Schaft parallel zu diesem Vektor positioniert wird. Diese Winkel zeigt PC-DMIS im Dialogfeld Mit angefordertem Vektor übereinstimmende Wrist-Winkel an.

Oft stehen zwei oder mehrere A,B-Kombinationen zur Auswahl, die den Schaft in der angeforderten Lage positionieren. Diese werden im Dialogfeld angezeigt, und die A,B-Kombination, die der aktuellen A,B-Kombination des Wrists am ehesten entspricht, wird zur Standardoption. Wenn der gewünschte Vektor durch eine unendliche Position auf der A- oder B-Achse ermittelt werden kann, markiert PC-DMIS diesen Eintrag mit der Bezeichnung "Beliebiger Winkel" und stellt ihn standardmäßig auf den aktuellen Wert dieser Achse ein. Sie können bei Bedarf auch einen anderen Wert eingeben. Wenn Sie in diesem Dialogfeld auf OK klicken, fügt PC-DMIS die ausgewählte A,B-Kombination zur Liste der Tastspitzen des aktuellen Tasters hinzu und ändert den TASTSPITZE/-Befehl dahingehend, daß darin neue Tastspitze verwendet wird.


Option 4

Im Dialogfeld Auto Elemente verfügt jede Registerkarte über ein Kontrollkästchen für Auto PH9. Wenn diese Option markiert ist, bestimmt PC-DMIS anhand der Definition des Element, welcher Tastspitzen-Schaftvektor sich am besten zur Messung des aktuellen Elements eignet. Dieser Tastspitzen-Schaftvektor wird dann zur Berechnung der besten A,B-Kombinationen verwendet. Diese werden in dem unter "Option 3" beschriebenen Dialogfeld Mit angefordertem Vektor übereinstimmende Wrist-Winkel angezeigt.


Calibrating Less Common Probes

Kalibrieren von OTM3 Series-Lasertastern

Kalibrieren von Nextel-Lasertastern

Kalibrieren von Optischen Sensoren des Typs NC-100


Kalibrieren seltener verwendeter Taster: Einführung

In diesem Abschnitt wird beschrieben, wie seltener verwendete Tastertypen kalibriert werden. Viele Benutzer von PC-DMIS verwenden schaltende Tastsysteme. Eine Anleitung zur Kalibrierung dieser Tastertypen finden Sie unter "Messen" im Abschnitt "Definieren von Hardware" dieses Handbuchs.

Hier werden die folgenden Verfahren zur Kalibrierung von Tastern beschrieben:

  • Kalibrieren von OTM3 Series-Lasertastern
  • Kalibrieren von Nextel-Lasertastern
  • Kalibrieren von Optischen Sensoren des Typs NC-100


Kalibrieren von OTM3 Series-Lasertastern

Die Taster der OTM3-Serie sind scannende Lasertaster. Es gibt zwei Methoden zur Kalibrierung dieser Tastertypen. Sie werden nur von Geräten unterstützt, die eine Leitz-Schnittstelle verwenden.

Siehe auch:

Laser kalibrieren: Methode 1

Laser kalibrieren: Methode 2


Laser kalibrieren: : Methode 1

Kalibrieren Sie ein schaltendes Tastsystem auf der Kugel, die Sie zur Kalibrierung des Lasertasters verwenden wollen. Dadurch wird auch die Position der Kugel kalibriert, so daß Sie den Lasertaster vollständig im CNC-Modus kalibrieren können.


Laser kalibrieren: : Methode 2

  1. Wenn Sie den ersten manuellen Punkt aufnehmen müssen, gehen Sie wie folgt vor:
  2. Bewegen Sie den Taster senkrecht in Richtung der Oberfläche, bis die grüne "Im Bereich"-Leuchte auf der Wolf & Beck-Steuereinheit aufleuchtet und die Taste Probe Enable (Taster aktivieren) am Bedienelement grün leuchtet.
  3. Drücken Sie am Bedienelement die Taste Probe Enable (Taster aktivieren), um die Punktposition aufzuzeichnen.
  4. Bewegen Sie den Taster von der Oberfläche weg.
  5. Klicken Sie auf die Schaltfläche Weiter.

Hinweis: Beachten Sie, daß die Ergebnisse der Kalibrierung sehr schlecht ausfallen können. Es können sogar negative Tasterdurchmesser vorkommen. Außerdem kann der verwendete Teil des Kalibriertasters bei der Kalibrierung nur im Bereich von >= 65 Grad bis 90 Grad liegen.


Kalibrieren von Nextel-Lasertastern

Dokumentation ist in Vorbereitung.


Kalibrieren von Optischen Sensoren des Typs NC-100

Der Optiksensor NC-100 wird als "berührungsloser" Taster behandelt. Das bedeutet, daß der Sensor niemals das Werkstück berührt, wenn gemessen wird.

Zur Kalibrierung dieses Sensors benötigen Sie ein besonderes polyedrisches Kalibriernormal mit 17 Flächen, was 17 Ausrichtungen des Tastkopf erforderlich macht. Außerdem ist der Einsatz eines kalibrierten schaltenden Tasters notwendig, um die Ausrichtung des polyedrischen Kalibriernormals zu kalbrieren.

Der Kalibriervorgang des Optiksensors NC-100 dauert insgesamt ca. eine Stunde. Stellen Sie sicher, daß genug Zeit zur Beendigung des Vorgangs zur Verfügung steht. Wird dieser Vorgang in Einzelschritten durchgeführt, muß der Vorgang möglicherweise noch einmal von Anfang an wiederholt werden.

Es werden zwei Arten von Kalibriernormalen benötigt: Eine Kalibrierkugel und ein polyedrisches Kalibriernormal.

Siehe auch:

Kalibrieren des schaltenden Meßtasters:

Kalibrieren des Optiksensors NC100


Kalibrieren des schaltenden Meßtasters

Zunächst müssen Sie den schaltenden Meßtaster kalibrieren. Er muß in mindestens zwei Positionen kalibriert werden (je nach dem, welches System Sie verwenden, auch in drei Positionen).

Dreiachsiger Taster

Folgende Positionens sollten für die KMG-Konfigurationen und zur Ausrichtung des Parallelendmaßes verwendet werden:

  • A0B0C0
  • A90B180C0

Das Verfahren zur Erzeugung einer neuen Tasterdatei für ein schaltendes Tastsystem und Kalibrierung des schaltenden Meßtasters wurde bereits unter "Definieren von Tastern" im Abschnitt "Definieren von Hardware" beschrieben. Weitere Informationen zu diesem Thema erhalten Sie dort.

Folgen Sie den folgenden Anweisungen, um diese Phase des Kalibriervorgangs abzuschließen.

Klicken Sie hier, um mit der Kalibrierung zu beginnen

Siehe auch:

Schritt 1: Den schaltenden Meßtaster und zwei Tastspitzenpositionen definieren

Schritt 2: Kalibrieren der Tastspitzenpositionena auf einer Kalibrierkugel

Schritt 3: Erstellen des polyedrischen Kalibriernormals

Schritt 4: Eingaben im Dialogfeld "Taster kalibrieren"

Schritt 5: Die Ausrichtung des polyedrischen Kalibriernormals einstellen

Schritt 6: Kalibrieren aller erforderlichen Tastspitzenpositionen auf der Kalibrierkugel

Schritt 7: Kalibrieren des NC-100-Artefakts


Schritt 1: : Den schaltenden Meßtaster und zwei Tastspitzenpositionen definieren

Zunächst müssen Sie den richtigen Taster, die Tasterverlängerungen, Tastspitzen und Tastspitzenpositionen für den schaltenden Meßtaster definieren.

  1. Im Bereich Tasterbeschreibung des Dialogfelds Taster-Hilfsprogramme definieren Sie den Taster, die Verlängerung und Tastspitzen.

Display Menu Roadmap
Klicken Sie auf die Schaltfläche Winkel hinzufügen. Es erscheint das gleichnamige Dialogfeld.

  3. So fügen Sie Winkel A0B0C0 und A90B180C0 zur Liste neuer Winkel hinzu.
  4. Klicken Sie auf OK, um die im Dialogfeld Winkel hinzufügen angegebenen Tastspitzenwinkel zu übernehmen. Die Winkel werden nun in der Liste Aktuelle Tastspitzen des Dialogfelds Taster Hilfsprogramme angezeigt.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 2: : Kalibrieren der Tastspitzenpositionen auf einer Kalibrierkugel

Jetzt kalibrieren sie zwei Tastspitzenpositionen auf einer Kalibrierkugel.

  1. Wählen Sie beiden Tastspitzen aus, die Sie zur Erstausrichtung des polyedrischen Endmaßes verwenden werden, aus der Liste Aktuelle Tastspitzen aus.
  2. Klicken Sie im Dialogfeld Taster Hilfsprogramme auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.
  3. Wählen Sie ein geeignetes Kalibriernormal aus der Liste verfügbarer Kalibriernormale aus.
  4. Klicken Sie auf Messen, um die T1A0B0C0-, T1A90B180C0-Tastspitzen auf der Kalibrierkugel zu messen.
  5. Befolgen Sie die Bildschirmanweisungen.

Hinweis: Auch wenn das polyedrische Kalibriernormal in den nächsten Schritten verwendet wird, sollte die Kalibrierkugel für spätere Verwendungszwecke an ihrer Position auf der KMG-Meßplatte verbleiben.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 3: : Erstellen des polyedrischen Kalibriernormals

Vor der Kalibrierung des polyedrischen Kalibriernormals muß das polyedrischen Kalibriernormal definiert werden.

  1. Wählen Sie die beiden Tastspitzen, die Sie gerade kalibriert haben, aus der Liste Aktuelle Tastspitzen des Dialogfelds Taster Hilfsprogramme aus.
  2. Klicken Sie wieder auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.
  3. Klicken Sie auf die Schaltfläche Hinzufügen. Das Dialogfeld Kalibriernormal hinzufügen erscheint.
  4. Wählen Sie aus der Liste Art des Kalibriernormals die Option POLYEDER.
  5. Geben Sie den Namen für das Kalibriernormal in das Feld Kalibriernormal-ID ein.
  6. Definieren Sie den Schaft vektor I, J, K. Durchmesser / Länge müssen nicht definiert werden, da diese bereits aufgrund der von Ihnen getroffenen Auswahl des Kalibriernormals hartkodiert sind.
  7. Klicken Sie auf OK. PC-DMIS zeigt abermals das Dialogfeld Taster kalibrieren an.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 4: : Eingaben im Dialogfeld "Taster kalibrieren"

Im geöffneten Dialogfeld Taster kalibrieren sehen Sie nun die in den verschiedenen Feldern angezeigten Werte. Dies sind die Parametereinstellungen, auf die PC-DMIS während des Meßvorgangs zugreifen wird.

Sie können diese Standardwerte akzeptieren oder Sie nach Ihrem Bedarf ändern.

  1. Wählen Sie den Optionsschalter NC-100-Artefakt kalibrieren im Bereich Durchzuführende Tätigkeit aus.
  2. Wählen Sie eine der Optionen Manuell, CNC oder Man+DCC.

Hinweis: Selbst wenn die Modi CNC- oder Man+CNC ausgewählt wurden, werden Sie von PC-DMIS aufgefordert, manuell Meßpunkte am Kalibriernormal aufzunehmen.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 5: : Die Ausrichtung des polyedrischen Kalibriernormals einstellen

PC-DMIS fordert Sie auf, zwei Ebenen auf dem polyedrischen Kalibriernormal zu messen. Anhand dieser Ebenen wird die Ausrichtung des Kalibriernormals eingestellt.

  1. Klicken Sie im Dialogfeld Taster kalibrieren auf die Schaltfläche Messen. Jetzt erscheint ein Meldungsfeld mit der Frage, ob Sie die Erstausrichtung beibehalten wollen.
  2. Klicken Sie auf Ja. Sie sollten nur dann Nein anklicken, wenn die Ausrichtung bereits zuvor erstellt wurde. Es erscheint ein anderes Meldungsfeld mit der Frage, ob Sie den Tastkopf PH9/10 bewegen möchten.
  3. Klicken Sie auf Ja. Das Dialogfeld Ausführmodus wird angezeigt. PC-DMIS fordert Sie dann auf, drei Meßpunkte zur Messung einer Ebene aufzunehmen.
  4. Nehmen Sie drei Meßpunkte auf der Oberfläche des Kalibriernormals auf, die am ehesten vertikal zur zur Tasterposition T1A0,B0,C0 verläuft.
  5. –Drücken Sie Fertig auf Ihrer Bedieneinheit. Daraufhin fragt PC-DMIS, ob Sie den PH9/10 in die zweite Position drehen möchten.
  6. Klicken Sie auf OK. PC-DMIS dreht den Tasterspitzenwinkel auf den zweiten Tastspitzenwinkel in Position T1A90B180C0. PC-DMIS fordert Sie erneut auf, drei Meßpunkte zur Messung einer Ebene aufzunehmen.
  7. Nehmen Sie drei Meßpunkte auf der Oberfläche des Kalibriernormals auf, die am ehesten rechtwinklig zur aktuellen Tasterposition verläuft.
  8. –Drücken Sie Fertig auf Ihrer Bedieneinheit. Wenn Sie Fertig gedrückt haben, zeigt PC-DMIS ein anderes Meldungsfeld mit der Information, daß noch nicht alle der zur Kalibrierung benötigten Tastspitzen in der Tasterdatei verfügbar sind.
  9. Klicken Sie auf Ja, um diese Tastspitzenpositionen hinzuzufügen. PC-DMIs wird die Liste Aktuelle Tastspitzen des Dialogfelds Taster Hilfsprogramme dann um bis zu 17 neue Positionen ergänzen.

Achtung: Bewegen Sie das polyedrische Kalibriernormal nicht nach Einstellung dieser Erstausrichtung. Auch wenn im nächsten Schritt die Kalibrierkugel verwendet wird, werden Sie abermals das polyedrische Kalibriernormal verwenden. Wenn dieses bewegt wird, müssen Sie den Kalibriervorgang nochmals von vorn beginnen.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 6: : Kalibrieren aller erforderlichen Tastspitzenpositionen auf der Kalibrierkugel

In diesem Schritt werden Sie die Kalibrierkugel zur Messung der neuen Positionen verwenden, die Ende des vorhergehenden Schrittes hinzugekommen sind. Die beste Ausgangsposition ist, wenn das Kalibriernormal seit der letzten Verwendung nicht bewegt wurde.

  1. Wählen Sie neu hinzugekommenen Tastspitzenpositionen aus der Liste Aktuelle Tastspitzen des Dialogfelds Taster Hilfsprogramme aus.
  2. Klicken Sie auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.
  3. Wählen Sie eine der Optionen CNC oder Man+DCC.
  4. Wählen Sie die Option Tastspitzen kalibrieren im Bereich Durchzuführende Tätigkeit aus.
  5. Wählen Sie ein geeignetes Kalibriernormal aus der Liste verfügbarer Kalibriernormale aus.
  6. Klicken Sie auf die Schaltfläche Messen. Wenn Sie die Option CNC gewählt haben, beginnt PC-DMIS automatisch, die Kugel anhand der verschiedenen Tastspitzenpositionen zu messen.
  7. Nach der Kalibrierung kehrt PC-DMIS zum Dialogfeld Taster-Hilfsprogramm zurück.

Fahren Sie mit dem nächsten Schritt fort.


Schritt 7: : NC-100-Artefakt kalibrieren

In diesem Schritt wird PC-DMIS das polyedrischen Kalibriernormal kalibrieren, indem jede Bohrung auf jeder Oberfläche des Kalibriernormals gemessen wird.

  1. Klicken Sie im Dialogfeld Taster Hilfsprogramme auf die Schaltfläche Messen. Das Dialogfeld Taster kalibrieren erscheint.
  2. Vergewissern Sie sich, daß der im Feld Anzahl der Meßpkte. angezeigte Wert mindestens 4 beträgt. Die Zahl gibt die Anzahl der Meßpunkte an, die bei jeder Bohrung auf den Flächen des Kalibriernormals aufzunehmen sind.
  3. Wählen Sie die Option CNC.
  4. Wählen Sie den Optionsschalter NC-100-Artefakt kalibrieren im Bereich Durchzuführende Tätigkeit aus.
  5. Wählen Sie das polyedrische Kalibriernormal aus der Liste verfügbarer Kalibriernormale aus.
  6. Klicken Sie auf die Schaltfläche Messen. PC-DMIS blendet an dieser Stelle zwei Meldungsfelder ein: Im ersten werden Sie gefragt, ob Sie die Erstausrichtung beibehalten wollen.
  7. Klicken Sie auf Nein. Diesen Schritt haben Sie bereits vorher ausgeführt. Im zweiten Meldungsfeld wird gefragt, ob das Kalibriernormal bewegt wurde.
  8. Da Sie das polyedrische Kalibriernormal noch nicht kalibriert haben, klicken Sie auf Ja. PC-DMIS fragt nun, ob das KMG bereit ist, den Tastkopf zu drehen.
  9. Klicken Sie auf OK. PC-DMIS zeigt das Dialogfeld Ausführungsoptionen an und beginnt den Meßvorgang. Die erste Oberfläche des Kalibriernormals wird manuell messen. PC-DMIS fordert Sie auf, zunächst drei Stützpunkte aufzunehmen.
  10. Nehmen Sie die drei Stützpunkte auf der Oberfläche des Kalibriernormals auf, die am ehesten vertikal zur zum Schaftvektor (ganz oben auf dem Kalibriernormal) verläuft. PC-DMIS fordert Sie dann auf, weitere Meßpunkte in der Bohrung aufzunehmen (je nach dem, welche Anzahl von Meßpunkten Sie zuvor festgelegt haben).
  11. Nehmen Sie drei Meßpunkte in der Bohrung auf. Nachdem Sie die erste Oberfläche manuell gemessen haben, übernimmt PC-DMIS die Meßaufgabe und mißt die verbleibenden Oberflächen im CNC-Modus.

Wenn PC-DMIS die Messung aller 17 Oberflächen des polyedrischen Kalibriernormals abgeschlossen hat, wird wieder das Dialogfeld Taster-Hilfsprogramm eingeblendet.

Sie haben nun die erste Hälfte des ersten —und kompliziertesten— Teils des Kalibriervorgangs für den Optiksensor abgeschlossen. Der restliche Vorgang ist nicht so langwierig und dürfte nur wenige Minuten dauern.

Fahren Sie mit dem nächsten Schritt fort.


Kalibrieren des Optiksensors NC100

Nun müssen Sie Winkel kalibrieren, die von Ihrem berührungsloser oder (optischen) Meßtaster verwendet werden. Der Optiksensor NC-100 ist der erste auf dem Markt verfügbare optische Taster, der in mehreren Ausrichtungen kalibriert werden kann.

  1. Vom Dialogfeld Taster-Hilfsprogramme aus definieren Sie den Taster, die Verlängerung und den Optiksensor für Ihr NC-100-System.
  2. Klicken Sie auf die Schaltfläche Winkel hinzufügen. Es erscheint das gleichnamige Dialogfeld.
  3. Fügen Sie alle von Ihrem Werkstückprogramm benötigten Winkel hinzu. Diese Winkel sollten vertikal zur dem zu messenden Werkstückelement verlaufen.
  4. Klicken Sie auf OK, um zum Dialogfeld Taster Hilfsprogramme zurückzukehren.
  5. Klicken Sie auf Messen. Das Dialogfeld Taster kalibrieren erscheint.
  6. Wählen Sie die Option CNC.
  7. Wählen Sie die Option Tastspitzen kalibrieren im Bereich Durchzuführende Tätigkeit aus.
  8. Wählen Sie das polyedrische Kalibriernormal aus der Liste verfügbarer Kalibriernormale aus.
  9. Klicken Sie auf die Schaltfläche Messen. PC-DMIS wird die von Ihnen ausgewählten Tasterpositionen kalibrieren.

Sie haben die Kalibrierung Ihres Tasters erfolgreich abgeschlossen.


Working in Operator Mode

Datei öffnen (Optionen)

Menüoptionen im Bedienermodus

Verwenden des Fensters mit Markierungsgruppen im Bedienermodus


Arbeiten im Bedienermodus: Einführung

Im Bedienermodus ist in PC-DMIS nur eine eingeschränkte Anzahl von Optionen verfügbar. Wenn diese Einschränkungen wirksam sind, kann der Bediener das Werkstückprogramm nur öffnen und ausführen.

So starten Sie PC-DMIS im Bedienermodus:

Wählen Sie im Menü Start die Option Programme | PC-DMIS für Windows | Bedienermodus.

Wenn PC-DMIS im Bedienermodus gestartet wird, sind nur die zur Ausführung des Werkstückprogramms erforderlichen Optionen verfügbar.

In diesem Abschnitt werden folgende Themen behandelt:

  • Datei Öffnen (Optionen)
  • Menüoptionen im Bedienermodus
  • Verwenden des Fensters mit Markierungsgruppen im Bedienermodus


Datei öffnen (Optionen)

Beim Dialogfeld Öffnen handelt es sich um das Standard-Dialogfeld für Windows.Sie können ein Werkstückprogramm im Bedienermodus aktivieren, indem Sie auf den Namen des betreffenden Programms doppelklicken oder den Dateinamen des Werkstückprogramms markieren und die Schaltfläche Öffnen anklicken.

Die folgenden Optionen in diesem Dialogfeld sind im Bedienermodus deaktiviert:

  • Importieren in PC-DMIS. Wenn Sie sich nicht im Bedienermodus befinden, wird diese Option aufgerufen, indem man mit der rechten Maustaste auf ein Werkstückprogramm klickt und im Kontextmenü den Befehl "In PC-DMIS importieren" wählt.
  • Exportieren aus PC-DMIS. Wenn Sie sich nicht im Bedienermodus befinden, wird diese Option aufgerufen, indem man mit der rechten Maustaste auf ein Werkstückprogramm klickt und im Kontextmenü den Befehl "Aus PC-DMIS exportieren" wählt.
  • Bearbeiten des Werkstücknamens, der Serien- oder Versionsnummer auf der PC-DMIS-Eigenschaftsseite des Werkstückprogramms. Wenn Sie sich nicht im Bedienermodus befinden, können diese Optionen aufgerufen werden, indem mit der rechten Maustaste auf das betreffende Programm geklickt und im Kontextmenü der Befehl "Eigenschaften" ausgewählt wird.


Menüoptionen im Bedienermodus

Nachdem ein Werkstückprogramm aktiviert wurde, erscheint das PC-DMIS-Hauptmenü mit den folgenden Optionen.

Siehe auch:

Datei

Bearbeiten

Ansicht

Fenster

Hilfe


Arbeiten im Bedienermodus - Menüoptionen im Bedienermodus - Datei

Datei

Über das Menü Datei können Sie ein vorhandenes Werkstückprogramm öffnen, das aktuelle Werkstückprogramm exportieren oder das Programm beenden.

Siehe auch:

Öffnen

Schließen

Verlassen

Exportieren

Beenden


Arbeiten im Bedienermodus - Datei - Öffnen

Öffnen

Display Menu Roadmap
Mit der Menüoption Öffnen können Sie jederzeit zwischen Werkstückprogrammen wechseln, indem Sie das Dialogfeld Öffnen aufrufen und dort ein anderes Werkstückprogramm auswählen. Wenn Sie ein anderes Werkstückprogramm auswählen als das, das derzeit ausgeführt wird, speichert und schließt PC-DMIS automatisch das aktive Werkstückprogramm, bevor das neu ausgewählte Werkstückprogramm geladen wird. Wird jedoch versucht, das aktive Werkstückprogramm ein zweites Mal über das Dialogfeld Öffnen aufzurufen, bietet PC-DMIS zwei Optionen an:

  • Verwerfen aller seit dem letzten Speichervorgang am aktiven Werkstückprogramm vorgenommenen Änderungen und Neuladen des ausgewählten Programms ohne die Änderungen
  • Abbrechen des gesamten Vorgangs und Rückkehr zum Dialogfeld Öffnen

Im Bedienermodus kann immer nur ein Werkstückprogramm geöffnet sein.


Arbeiten im Bedienermodus - Datei - Schließen

Schließen

Display Menu Roadmap
Mit Schließen wird das Werkstückprogramm geschlossen und die Meßwerte aller ausgeführten Markierungsgruppen werden gespeichert.


Verlassen

Display Menu Roadmap
Mit Verlassen wird das aktuelle Werkstückprogramm geschlossen ohne die von den ausgeführten Markierungsgruppen erfaßten Meßwerte zu speichern. Nur Daten, die bereits vorher gespeichert wurden, können wieder abgerufen werden.


Exportieren

Display Menu Roadmap
Zum Exportieren des aktuellen Werkstückprogramms wählen Sie die Menüoption Export. Daraufhin wird das Dialogfeld Daten exportieren angezeigt. Wählen Sie den Datentyp für den Export sowie ein Verzeichnis aus, und klicken Sie dann auf OK. Weitere Informationen zum Exportieren finden Sie unter "Exportieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".


Arbeiten im Bedienermodus - Datei - Beenden

Beenden

Display Menu Roadmap
Um PC-DMIS und alle anderen Programme zu verlassen und den Computer abzumelden, wählen Sie die Menüoption Beenden.PC-DMIS speichert automatisch das aktuelle Werkstückprogramm, bevor die Sitzung beendet wird.


Arbeiten im Bedienermodus - Menüoptionen im Bedienermodus - Bearbeiten

Bearbeiten

Display Menu Roadmap
Über die Menüoption Taster Anzeigefenster können Sie auf das Dialogfeld Taster-Anzeige (einrichten) zugreifen. In diesem Dialogfeld können Sie festlegen, wie die Informationen angezeigt werden. Informationen hierzu finden Sie unter "Einrichten der Ergebnisanzeige" im Abschnitt "Voreinstellungen".


Arbeiten im Bedienermodus - Menüoptionen im Bedienermodus - Ansicht

Ansicht

Über dieses Menü können Sie die folgenden Fenster im Bedienermodus ein- oder ausblenden:

Grafikfenster – Durch Auswahl dieser Option wird das Grafikfenster ein- oder ausgeblendet. Informationen hierzu finden Sie unter "Grafikfenster" im Abschnitt "Navigation durch die Benutzeroberfläche".

Voransichtsfenster – Durch Auswahl dieser Option wird das Voransichtsfenster ein- oder ausgeblendet. Informationen hierzu finden Sie unter "Verwenden des Voransichtsfensters" im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Werkzeugen".

Taster -Anzeige – Durch Auswahl dieser Option wird das Taster-Ergebnisanzeigefenster ein- oder ausgeblendet. Informationen hierzu finden Sie unter "Verwenden des Voransichtsfensters" im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Werkzeugen".

Fenster mit Markierungsgruppen – Durch Auswahl dieser Option wird das Markierungsgruppenfenster ein- oder ausgeblendet. Informationen hierzu finden Sie unter "Verwenden des Fensters mit Markierungsgruppen" im Abschnitt "Arbeiten mit anderen Fenstern, Editoren und Werkzeugen". (Siehe auch Verwenden des Fensters mit Markierungsgruppen im Bedienermodus.)


Arbeiten im Bedienermodus - Menüoptionen im Bedienermodus - Fenster

Fenster

Im Menü Fenster sind Vorgänge zur Verwaltung mehrerer geöffneter Werkstückprogramme und Fenster verfügbar. Informationen hierzu finden Sie im Abschnitt "Navigation in und Anzeigen von mehreren Fenstern.


Arbeiten im Bedienermodus - Menüoptionen im Bedienermodus - Hilfe

Hilfe

Das Menü Hilfe enthält dieselben Menüoptionen wie im Standardbetriebsmodus von PC-DMIS.


Verwenden des Fensters mit Markierungsgruppen im Bedienermodus

Wenn Sie ein Werkstückprogramm laden, wird das Markierungsgruppenfenster automatisch geöffnet. Im Bedienermodus stehen folgende Optionen in diesem Fenster zur Auswahl:

Siehe auch:

Beenden und zum Datei-Manager zurückkehren

Vollständiges Protokoll druckenReport

Tastspitze kalibrieren


Beenden und zum Datei-Manager zurückkehren

Durch die Auswahl Zum Datei-Manager erscheint das Dialogfeld Öffnen, in dem Sie die zu öffnenden Werkstückprogramme auswählen können.


Vollständiges Protokoll drucken

Durch Auswahl des Symbols Protokoll drucken wird das vollständige Protokoll an die Ausgabequelle ausgegeben, die im "Lernteil" des Werkstückprogramms eingerichtet wurde.

Erfolgt die Ausgabe in eine Datei, wird es im .rtf-Format gespeichert. Wenn es sich um das erste Prüfungsprotokoll seit dem Systemstart handelt, fordert PC-DMIS im Fenster Neue Datei Nr. die Eingabe einer Zahl. Ist die Option Auto aktiviert, erhöht PC-DMIS die Anfangsnummer, mit der die anfängliche Datei gespeichert wurde, bei allen danach gespeicherten Dateien um jeweils eins (bis das System heruntergefahren wird). Die angezeigte Nummer kann jederzeit durch Eingabe einer anderen Nummer überschrieben werden.

Wurde im Lernmodus das Kontrollkästchen Entwurfsmodus markiert, ändert PC-DMIS die Schriftarten im Bearbeitungsfenster beim Drucken in den Entwurfsmodus. Alle im Protokoll verwendeten Farben (zur Unterscheidung von Toleranzen, Modi etc.) werden in diesem Fall in Graustufen gedruckt. Durch diese Änderungen wird die Druckgeschwindigkeit wesentlich erhöht.

Klicken Sie zum Drucken des aktuellen Bearbeitungsprotokolls auf die Schaltfläche Protokoll drucken (oder drücken Sie F4). Der Inhalt des Bearbeitungsfensters wird zum Drucker und/oder in eine zuvor ausgewählte Datei gesendet.


Tastspitze kalibrieren

Durch Auswahl der Schaltfläche Tastspitze kalibrieren wird (werden) die geladene(n) Taster kalibriert. In diesem Vorgang wird PC-DMIS die Position und der Durchmesser jeder Tasterspitze mitgeteilt.

Hinweis: PC-DMIS protokolliert die Kalibrierung der Taster nicht. Sie müssen daher sicherstellen, daß ein Taster neu kalibriert wird, falls er in irgendeiner Weise verändert wurde.


Measuring Auto Features with the NC-100 Video Probe

Gemeinsame Dialogfeldfunktionen speziell für den NC-100-Optiksensor

Vektorpunkt

Kantenpunkt

Charakteristische Punkte

Kreis, Stift oder Flächenmittelpunkt

Rechteckloch/Bund & Spalt

Langloch


Messen automatischer Elemente mit dem NC-100-Optiksensor : Einführung

Auto-Elemente mit dem NC-100-Optiksensor messen: Einführung

Dieser Abschnitt befaßt sich speziell mit dem Einsatz des NC-100-Optiksensors zum Messen von Auto-Elementen. Informationen zum Einrichten des NC-100-Optiksensors finden Sie unter "NC-100 einrichten" im Abschnitt "Voreinstellungen".

Über das Menü Auto können Sie auf die CNC(Computer Numerical Control)-Funktionen zugreifen, wenn ein automatisches KMG (Koordinatenmeßgerät) verwendet wird. Mit dem Dialogfeld Auto-Elemente können Sie CNC-Elemente beliebiger Art erstellen.

In diesem Abschnitt werden folgende Hauptthemen behandelt:

  • Gemeinsame Dialogfeldfunktionen speziell für den NC-100-Optiksensor
  • Vektorpunkt
  • Kantenpunkt
  • Charakteristische Punkte
  • Kreis, Stift oder Flächenmittelpunkt
  • Rechteckloch/Bund & Spalt
  • Langloch

Bei bestimmten Themen wird in dieser Online-Hilfe für weitere Informationen auf den Abschnitt "Erstellen von Auto-Elementen" verwiesen.

Hinweis: Im Abschnitt "Erstellen von Auto-Elementen" finden Sie weitere Einzelheiten über das Messen von Auto-Elementen im allgemeinen. Beachten Sie jedoch bitte, daß einige der im Abschnitt "Erstellen von Auto-Elementen" beschriebenen Optionen bei Einsatz des NC-100-Optiksensors möglicherweise nicht verfügbar sind.


Gemeinsame Dialogfeldfunktionen speziell für den NC-100-Optiksensor

Vollständige Informationen zu den zahlreichen im Dialogfeld Auto-Elemente zur Auswahl stehenden Optionen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto-Elemente'".

In diesem Thema werden einige dieser Dialogfeldfunktionen in Zusammenhang mit der Verwendung von NC-100-Optiksensorn behandelt sowie Dialogfeldoptionen, die nur bei der Verwendung dieser Taster zur Auswahl eingeblendet werden.

Siehe auch:

Schaltfläche "Aufzeichnen"

Schaltfläche "Optik einrichten"

Liste "Elementtyp"

Felder "Einzug"

Feld "Höhe"


Schaltfläche "Aufzeichnen"

Mit der Schaltfläche Aufzeichnen werden tatsächliche Meßdaten als Nennwerte für ein Element erfaßt. So verwenden Sie die Schaltfläche "Aufzeichnen":

  1. Setzen Sie den NC-100-Optiksensor über das zu messende Element.
  2. Klicken Sie zum Einrichten der Parameter für den Optiksensor auf die Schaltfläche Optik einrichten.
  3. Klicken Sie im Anschluß an das Einrichten auf die Schaltfläche Aufzeichnen.

PC-DMIS mißt das Element zusammen mit dem NC-100-Computersystem und fügt die Meßdaten in die THEO-Felder ein. Auf diese Weise ist es möglich, Elemente ohne Zuhilfenahme von CAD-Daten zu messen.


Schaltfläche "Optik einrichten"

Informationen über die Schaltfläche Optik einrichten finden Sie unter "Optik einrichten" im Abschnitt "Systemoptionen".


Liste "Elementtyp"

In der Liste Elementtyp stehen die folgenden Elementtypen zur Auswahl:

Siehe auch:

Für Kantenpunkte

Für charakteristische Punkte


Für Kantenpunkte

NORMAL = Dies ist die normale Kantentypmessung, die auf der Oberflächenhöhe der Kante vorgenommen wird.

DELTAZ = Diese Option ermöglicht die Messung einer Kante in der angegebenen Tiefe im Verhältnis zur Ebene, auf der die Oberfläche liegt.

EXTREMPUNKT = Diese Option ermöglicht die Messung einer Kante am Höchstwert in einer vorgegebenen Richtung.

GR. BOHRUNG = Diese Option ermöglicht die Messung einer Kante, die zum Messen eines Teils einer Bohrung, die größer als das Sichtfeld des Sensors ist, verwendet wird.


Für charakteristische Punkte

In der Liste der Elementtypen können Sie die verfügbaren Typen charakteristischer Punkte auswählen. Dazu gehören:

CHARAKTERIST.PKT 1 = Dieser Elementtyp ermöglicht die Messung zweier Punkte (einen auf jeder Oberfläche) an einem vorgegebenen Einzug relativ zum Schnittpunkt zweier Ebenen.

CHARAKTERIST.PKT 2 = Dieser Elementtyp mißt den Punkt am Schnittpunkt zweier Ebenen.


Messen automatischer Merkmale mit dem NC-100-Optiksensor - Gemeinsame Dialogfeldfunktionen speziell für den NC-100-Optiksensor -Felder "Einzug"

Felder "Einzug"

Weitere Informationen erhalten Sie unter Felder "Einzug" im Abschnitt "Erstellen von Auto-Elementen".

Charakteristischer Punkt In PC-DMIS können Sie zwei Einzugswerte, Einzug 1 und Einzug 2, verwenden, um die Versatzabstände vom charakteristischen Punkt festzulegen. Anhand dieser Versätze berechnet PC-DMIS eine Punktposition auf jeder der beiden Oberflächen des Winkels in einem charakteristischen Punkt.

Die Einzugsfelder sind nur nach Auswahl von CHARAKTERIST.PKT 1 aus der Liste Elementtyp verfügbar.

Messen eines charakteristischen Punkts unter Verwendung zweier theoretischer Abstände

  • Im Feld Einzug 1 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der ersten Oberfläche des Winkels bestimmen.
  • Im Feld Einzug 2 können Sie den Versatz zwischen der Punktposition und den Stützpunkten auf der zweiten Oberfläche des Winkels bestimmen.


Messen automatischer Merkmale mit dem NC-100-Optiksensor - Gemeinsame Dialogfeldfunktionen speziell für den NC-100-Optiksensor - Feld "Höhe"

Feld "Höhe"

Weitere Informationen finden Sie unter "Feld 'Höhe'" im Abschnitt "Erstellen von Auto-Elementen".

Biegeradius Bei der Einstellung TYP = BOHRUNG wird die theoretische Länge des Elements durch das Feld Höhe definiert. Wird ein Wert für Höhe, jedoch nicht für Tiefe angegeben, teilt PC-DMIS den Wert für Höhe zu gleichen Teilen durch drei und verwendet ihn für die Tiefe.

Bei der Einstellung Typ = BOLZEN wird durch diese Option die Aufnahme eines zusätzlichen Meßpunkts oben in der Mitte des Bolzens veranlaßt. Wenn hier ein anderer Wert als 0 angegeben wird, nimmt PC-DMIS einen zusätzlichen Meßpunkt im Bolzenmittelpunkt auf. Dann wird die Höhe des Bolzens berechnet.


Vektorpunkt mit dem NC-100

Mit der Meßoption Vektorpunkt können Sie eine theoretische Punktposition sowie die theoretische Antastrichtung definieren, mit der das KMG den Punkt messen soll.

Einzelpunktmessung

So greifen Sie auf die Option Vektorpunkt zu:

  1. Öffnen Sie das Dialogfeld Auto-Elemente.

Display Menu Roadmap
Wählen Sie den Auto-Elementtyp Vektorpunkt aus.

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Vektorpunkt lautet wie folgt:
E-ID=AUTO/VEKTORPUNKT, THEO_STÄRKE = n, TOG, EINRASTEN = J/N
THEO/ TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
AUTOM. BEWEG = J/N, ABSTAND = n

Siehe auch:

Vektorpunkt-Felddefinitionen mit dem NC-100

Messen eines Vektorpunkts mit dem NC-100


Vektorpunkt-Felddefinitionen mit dem NC-100

Dieses Thema wurde bereits unter "Vektorpunkt-Felddefinitionen" im Abschnitt "Erstellen von Auto-Elementen" behandelt. Die folgende Definition gilt speziell für NC-100-Optiksensor:

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Meßdaten an. Positive und negative Werte sind zulässig.


Messen eines Vektorpunkts mit dem NC-100

PC-DMIS bietet mehrere Methoden zum Messen eines Vektorpunkts mit der Option Auto-Elemente. Sie werden nachstehend beschrieben:

  • Eingabedaten für einen Vektorpunkt mit dem NC-100 verwenden
  • Oberflächendaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden
  • Drahtmodelldaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für einen Vektorpunkt mit dem NC-100 verwenden

Oberflächendaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden


Eingabedaten für einen Vektorpunkt mit dem NC-100 verwenden

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den Vektorpunkt eingeben.


Oberflächendaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden

So erzeugen Sie einen Vektorpunkt mit Hilfe von Oberflächendaten:

  1. Setzen Sie den Cursor in das Grafikfenster, um die gewünschte Lage des Punkts (auf der Oberfläche) zu bestimmen.
  2. Klicken Sie auf die Oberfläche. PC-DMIS markiert die ausgewählte Oberfläche.
  3. Vergewissern Sie sich, daß die richtige Oberfläche gewählt wurde.

Vollständige Informationen über dieses Verfahren finden Sie unter "Angabe der Oberflächendaten für einen Vektorpunkt auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen".


Drahtmodelldaten am Bildschirm für einen Vektorpunkt mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Drahtmodelldaten für einen Vektorpunkt auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Kantenpunkt mit dem NC-100

Mit der Meßoption "Kantenpunkt" können Sie eine Punktmessung definieren, die auf der Kante des Werkstücks vorzunehmen ist.

Es gibt vier Arten von Kantenmessungen. Dazu gehören:

  1. KANTE NORMAL
  2. KANTE DELTAZ
  3. KANTE EXTREM
  4. KANTE GR. BOHRUNG

Sie erfordern unterschiedliche Einstellungen für die Eingabe-/Ausgabeparameter sowie unterschiedliche theoretische Definitionen in den PC-DMIS-Befehlszeilen.

Durch das Visionssystem erfaßter Punkt

So greifen Sie auf die Option Kantenpunkt zu:

  1. Öffnen Sie das Dialogfeld Auto-Elemente.

Display Menu Roadmap
Wählen Sie den Auto-Elementtyp Kantenpunkt aus.

Die Befehlszeile des Bearbeitungsfensters für einen Beispiel-Kantenpunkt lautet wie folgt:
E-ID=AUTO/KANTE NORMAL, MESSPUNKTE_EINBLENDEN = J/N, ALLE_PARAMETER_EINBLENDEN = J/N,
THEO/ TX,TY,TZ,TI,TJ,TK
IST/ X,Y,Z,I,J,K
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n ,TOG3 ,KANTE THEO_STÄRKE = .n
AUTOM. BEWEG=TOG, ABSTAND = n,
OBERFLÄCHE NORMAL = I,J,K, TIEFE = n

Siehe auch:

Definition des Kantenpunkttyps mit dem NC-100

Kantenpunkt-Felddefinition mit dem NC-100

Messen eines Kantenpunkts mit dem NC-100


Definition des Kantenpunkttyps mit dem NC-100

KANTE NORMAL = Dies ist die normale Kantentypmessung, die auf der Oberflächenhöhe der Kante vorgenommen wird.

KANTE DELTAZ = Diese Anforderung ermöglicht die Messung einer Kante in der angegebenen Tiefe relativ zu der Ebene, auf der die Oberfläche liegt.

Kante in einer vordefinierten Tiefe relativ zur Oberfläche

KANTE EXTREM = Diese Anforderung ermöglicht die Messung einer Kante am Höchstwert in einer vorgegebenen Richtung.

Kante am Maximalwert entlang einer bekannten Richtung

KANTE GR. BOHRUNG = Diese Anforderung ermöglicht die Messung einer Kante, die zum Messen eines Teils einer Bohrung, die größer als das Sichtfeld des Sensors ist, verwendet wird.

Konturmessung an einer großen Bohrung


Kantenpunkt-Felddefinition mit dem NC-100

Dieses Thema wird bereits unter "Kantenpunkt-Felddefinitionen" im Abschnitt "Erstellen von Auto Elementen" behandelt. Die folgende Definition gilt speziell für NC-100-Optiksensor:

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Meßdaten an. Positive und negative Werte sind zulässig.

MESSPUNKTE_EINBLENDEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob bei diesem Element Meßpunkte angezeigt werden. Diese Option ist bei Kantenpunkten derzeit nicht verfügbar.

ALLE_PARAMETER_EINBLENDEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob alle Parameter eines Kantenpunkts angezeigt werden.

KANTE IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der gemessenen Kante an. Positive und negative Werte sind zulässig.

TIEFE = Dieser Wert ist ein veränderbarer Abstand. (Nur bei "KANTE DELTAZ" verfügbar.)


Messen eines Kantenpunkts mit dem NC-100

PC-DMIS bietet die folgenden Methoden zum Messen eines Kantenpunkts mit dem NC-100-Optiksensor:

  • Eingabedaten für einen Kantenpunkt verwenden
  • Angabe der Oberflächendaten für einen Kantenpunkt auf dem Bildschirm
  • Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Hinweis: PC-DMIS geht davon aus, daß die Oberflächennormale und die Meßoberfläche im rechten Winkel zueinander stehen.

Siehe auch:

Eingabedaten für einen Kantenpunkt mit dem NC-100 verwenden

Oberflächendaten am Bildschirm für einen Kantenpunkt mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für einen Kantenpunkt mit dem NC-100 verwenden


Eingabedaten für einen Kantenpunkt mit dem NC-100

Dieses Thema wird unter "Eingabedaten für einen Kantenpunkt" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Oberflächendaten am Bildschirm für einen Kantenpunkt auf dem Bildschirm mit dem NC-100 verwenden

Oberflächendaten am Bildschirm für einen Kantenpunkt mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Oberflächendaten für einen Kantenpunkt auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Drahtmodelldaten am Bildschirm für einen Kantenpunkt mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Drahtmodelldaten für einen Kantenpunkt auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Charakteristische Punkte

Ein charakteristischer Punkt ist im wesentlichen ein Winkelpunkt. Es gibt zwei Arten von charakteristischen Punkten, die unter "Definition des Typs charakteristischer Punkte" beschrieben werden. Für sie sind unterschiedliche Eingabe-/Ausgabeparameter-Einstellungen sowie unterschiedliche theoretische Definitionen im DMIS-Befehl erforderlich. Der DMIS-Meßbefehl ist bei beiden möglichen Typen von charakteristischen Punkten gleich. Dieses Diagramm zeigt eine allgemeine Messung eines charakteristischen Punkts.

Messen eines charakteristischen Punkts

So greifen Sie auf die Option Charakteristischer Punkt zu:

  1. Öffnen Sie das Dialogfeld Auto Elemente.

Display Menu Roadmap
Wählen Sie den Auto-Elementtyp Charakteristischer Pkt. aus.

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel eines charakteristischen Punkts lautet wie folgt:

E-ID=AUTO/CHARAKTERIST.PKT 1, MESSPUNKTE_EINBLENDEN=J/N,ALLE_PARAMETER_EINBLENDEN=J/N
THEO/ TX,TY,TZ,TI,TJ,TK,TX2,TY2,TZ2
IST/ X,Y,Z,I,J,K,X2,Y2,Z2
ZIEL/ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG AUTOM. BEWEG = J/N, ABSTAND = n VEKTOR1 = I,J,K, VEKTOR2 = I,J,K
EINZUG1= n, EINZUG2 = n

Siehe auch:

Definition des Typs "Charakteristischer Punkt"

Felddefinitionen für "Charakteristischer Punkt"

Messen eines Charakteristischen Punkts


Definition des Typs "Charakteristischer Punkt"

CHARAKTERIST.PKT 1 = Dieser Elementtyp ermöglicht die Messung zweier Punkte (einen auf jeder Oberfläche) an einem bestimmten Einzug relativ zum Schnittpunkt zweier Ebenen. Dies ergibt zwei Datenpunkte.

CHARAKTERIST.PKT 2 = Dieser Elementtyp ermöglicht die Messung des Punktes am Schnittpunkt zweier Ebenen. Dies ergibt einen Datenpunkt.


Felddefinitionen für "Charakteristischer Punkt"

MESSPUNKTE_EINBLENDEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob bei diesem Element Meßpunkte angezeigt werden. Diese Option ist derzeit nicht verfügbar.

ALLE_PARAMETER_EINBLENDEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob alle Parameter eines Elements angezeigt werden.

THEO_STÄRKE = Dieser Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Meßdaten an. Positive und negative Werte sind zulässig.

TOG 1= Hierbei handelt es sich um eine Umschaltoption. Die Werte X,Y,Z,I,J,K werden als Koordinaten des Typs KART (kartesisch) oder POLAR angezeigt.

THEO/ = Dieser Wert stellt den Ziel-Meßpunkt dar.

IST/ = Dieser Wert stellt den gemessenen Punkt dar.

ZIEL = Mit diesen Werten können Sie die Meßposition und die Vektor-Antastrichtung für die Ausführung bestimmen, wobei Sie die Möglichkeit haben, einen ganz anderslautenden theoretischen Wert (THEO) anzugeben.

AUTOM. BEWEG = Hierbei handelt es sich um eine Umschaltoption. JA bedeutet, daß diese Option EINgeschaltet ist.

ABSTAND = Dieser Wert zeigt an, wie weit sich der Taster mit der Option AUTOM. BEWEG bewegt.

VEKTOR1 = Die drei Zahlen (IJK-Werte) stellen einen änderbaren Vektor dar und werden zwangsweise rechtwinklig zum Vektor auf der ersten Oberfläche gestellt.

VEKTOR2 = Die drei Zahlen (IJK-Werte) stellen einen änderbaren Vektor dar und werden zwangsweise rechtwinklig zum Vektor auf der zweiten Oberfläche gestellt.

EINZUG1 = Dieser änderbare Wert gibt den Versatz für die Punktposition auf der ersten Oberfläche des Winkels an. Er kommt bei dem charakteristischen Punkt 2 nicht zur Anwendung.

EINZUG2 = Dieser änderbare Wert gibt den Versatz für die Punktposition auf der zweiten Oberfläche des Winkels an. Er kommt bei dem charakteristischen Punkt 2 nicht zur Anwendung.

Weitere allgemeine Richtlinien zur Messung aller Elementtypen finden Sie unter "<A HREF="commonautofeaturedialogboxoptions.htm">Common Auto Feature Dialog Box Options</A>" im Abschnitt "Erstellen von Auto-Elementen".

Weitere Richtlinien zum Messen der Auto-Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'" im Abschnitt "Erstellen von Áuto-Elementen".


Messen eines charakteristischen Punkts

PC-DMIS bietet mehrere Methoden zum Messen eines charakteristischen Punkts mit der Option "Auto-Elemente", Sie werden nachstehend beschrieben:

  • Eingabedaten für einen charakteristischen Punkt
  • Angabe der Oberflächendaten für einen charakteristischen Punkt auf dem Bildschirm
  • Angabe der Drahtmodelldaten für einen charakteristischen Punkt auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für einen charakteristischen Punkt

Angabe der Oberflächendaten für einen Charakteristischen Punkt auf dem Bildschirm

Angabe der Drahtmodelldaten für einen Charakteristischen Punkt auf dem Bildschirm


Eingabedaten für einen charakteristischen Punkt

Mit dieser Methode können Sie die gewünschten Werte X, Y, Z, I, J, K für den charakteristischen Punkt eingeben.


Angabe der Oberflächendaten für einen charakteristischen Punkt auf dem Bildschirm

So erstellen Sie einen charakteristischen Punkt mit Hilfe von Oberflächendaten:

  1. Klicken Sie auf das Symbol Oberflächenmodus .
  2. Setzen Sie den animierten Taster einmal in die Nähe der abgewinkelten Kante (aber nicht auf die Kante selbst). PC-DMIS markiert die ausgewählte Oberfläche.
  3. Vergewissern Sie sich, daß die richtige Oberfläche gewählt wurde.

Im Dialogfeld werden der Wert des ausgewählten charakteristischen Punkts und des Vektors angezeigt, sobald der Punkt angegeben worden ist. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn beide Seiten des Werkstücks gleichermaßen zugänglich sind, wird die Normale aus den CAD-Daten verwendet. Mit der Schaltfläche Vektor umkehren können Sie die Antastrichtung ändern.

Ermittelt das Programm vor Auswahl der Schaltfläche Erzeugen weitere Mausklicks, überschreibt PC-DMIS die angezeigten Informationen mit den neuen Daten.

Hinweis: Ist eine zusätzliche Berührung erforderlich, klicken Sie auf die der abgewinkelten Kante gegenüberliegende Oberfläche.


Angabe der Drahtmodelldaten für einen charakteristischen Punkt auf dem Bildschirm

Ein charakteristischer Punkt kann auch mit Drahtmodell-CAD-Daten erstellt werden.

So generieren Sie den Punkt:

  1. Setzen Sie den animierten Taster einmal in die Nähe der abgewinkelten Kante (aber nicht auf die Kante selbst). PC-DMIS markiert die ausgewählte Oberfläche.
  2. Vergewissern Sie sich, daß die richtige Oberfläche gewählt wurde.

Für den Auto-Elementtyp Charakteristischer Punkt des Dialogfelds Auto-Elemente werden der Wert des ausgewählten charakteristischen Punkts und des Vektors angezeigt, sobald der Punkt angegeben worden ist. Die Richtung der Oberflächennormale wird durch die Seite des Werkstücks bestimmt, die für den Taster zugänglich ist. Wenn der Taster beide Seiten des Werkstücks erreichen kann, wird der vertikale Vektor aus den CAD-Daten verwendet. Mit der Schaltfläche Vektor umk. können Sie die Antastrichtung ändern.

  • Bei jedem weiteren Mausklick vor Auswahl der Schaltfläche Erzeugen werden die angezeigten Informationen durch die neuen Daten überschrieben.
  • Ist eine zusätzliche Berührung erforderlich, klicken Sie auf die der abgewinkelten Kante gegenüberliegende Oberfläche.


Kreis, Stift oder Flächenmittelpunkt mit dem NC-100

Mit der Option "Auto-Element Kreis" können Sie eine Kreismessung definieren. Die drei möglichen Meßtypen werden unter "Definition des Kreistyps mit dem NC-100" behandelt. Wenn mehr als 10 Punkte erforderlich sind oder der Sensor die Schnittpunkte nicht identifizieren kann, wählt der Sensor Punkte auf der Lochkontur aus und projiziert diese auf die Ebene. Die Identifizierung dieser Punkte kann mit Hilfe der Infrarotlinien erfolgen.

Lochmessung mit Infrarotlinien, die über die Lochkontur geführt werden

So greifen Sie auf die Option Kreis zu:

  1. Öffnen Sie das Dialogfeld Auto Elemente.

Display Menu Roadmap
Wählen Sie den Auto-Elementtyp Kreis aus.

Die Befehlszeile des Bearbeitungsfensters für einen Beispielkreis lautet wie folgt:

    E-ID=AUTO/KREIS, MESSPUNKTE_EINBLENDEN=J/N, ALLE_PARAMETER_EINBLENDEN=J/N
THEO/ TX,TY,TZ,TI,TJ,TK,TDURCHM,
IST/ X,Y,Z,I,J,K,DURCHM =.n,
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1, TOG2, TOG3
AUTOM. BEWEG = J/N, ABSTAND = n
ANZMESSPKTE = n

Siehe auch:

Definition des Kreistyps mit dem NC-100

Kreis-Felddefinitionen mit dem NC-100

Messen eines Kreises mit dem NC-100


Definition des Kreistyps mit dem NC-100

BOHRUNG = Dieser Elementtyp ermöglicht die Messung einer inneren oder äußeren kreisförmigen Bohrung.

STIFT = Dieser Elementtyp ermöglicht die Messung eines Stiftes.

Stiftmessung

FLÄCHENMITTELPUNKT = Dieser Elementtyp dient der Messung einer Bohrung unbestimmter Form. Nur die Lage wird protokolliert.

Messung unterschiedlich geformter Bohrungen


Kreis-Felddefinitionen mit dem NC-100

Viele der Definitionen werden bereits unter dem Thema "Kreis-Felddefinitionen" im Abschnitt "Erstellen von Auto-Elementen" beschrieben. Bei Verwendung eines NC-100-Optiksensors gibt es folgende zusätzliche oder geänderte Definitionen:

MESSPUNKTE_EINBLENDEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob bei diesem Element Meßpunkte angezeigt werden.

ALLE_PARAMETER_EINBLENDEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob alle Parameter eines Elements angezeigt werden.

THEO_STÄRKE = Dieser veränderbare Wert zeigt die eingegebene Stärke des Werkstücks an. Positive und negative Werte sind zulässig.

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Meßdaten an. Positive und negative Werte sind zulässig.

THEO/ = Dieser Wert stellt die theoretische Elementposition dar. NENNDURCHM ist der Nennwert des Durchmessers.

IST/ = Dieser Wert stellt den gemessenen Punkt dar. NENNDURCHM ist der gemessene Wert des Durchmessers.

TOG2 = Dieses Feld kann zwischen INNEN und AUSSEN umgeschaltet werden. PC-DMIS bestimmt den Typ des gemessenen Kreises auf Basis der Tasterposition bei der Aufnahme des Meßpunkts. (Innerhalb eines Kreises = INNEN, außerhalb eines Bolzens = AUSSEN.) Diese Definitionen sind nur beim Elementtyp Bohrung verfügbar.

TOG3 = In diesem Feld können Sie eine der folgenden Optionen wählen: GAUSS, PFERCHKREIS, HÜLLKREIS, TSCHEBYSCHEFF und FESTER_RAD. Diese Definitionen sind nur beim Elementtyp Bohrung verfügbar.

ANZPKTE = Dieser änderbare Wert muß eine Ganzzahl sein, die größer als zwei (2) ist. Diese Definitionen sind nur beim Elementtyp Bohrung verfügbar.

Allgemeine Richtlinien zum Messen der Auto-Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'" im Abschnitt "Erstellen von Áuto-Elementen".


Messen eines Kreises mit dem NC-100

PC-DMIS bietet verschiedene Methoden zum Messen eines Auto-Kreises, die im folgenden beschrieben werden:

  • Eingabedaten für einen Kreis
  • Angabe der Oberflächendaten für eine Kreis auf dem Bildschirm
  • Angabe der Drahtmodelldaten für einen Kreis auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für einen Kreis mit dem NC-100 verwenden

Oberflächendaten am Bildschirm für einen Kreis mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für einen Kreis mit dem NC-100 verwenden


Eingabedaten für einen Kreis mit dem NC-100

Eingabedaten für einen Kreis mit dem NC-100 verwenden

Dieses Thema wird unter "Eingabedaten für einen Blechkreis" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Oberflächendaten am Bildschirm für einen Kreis mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Oberflächendaten für einen Blechkreis auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Drahtmodelldaten am Bildschirm für einen Kreis mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Drahtmodelldaten für einen Blechkreis auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Rechteckloch/Bund & Spalt mit dem NC-100

Mit der Option "Rechteckloch" können Sie eine Rechtecklochmessung oder eine Bund & Spalt-Messung definieren. Verfügbare Meßtypen finden Sie unter "Definition der Rechteckloch- und Bund&Spalttypen mit dem NC-100".

Das Rechteckloch kann unter Verwendung der Punkte innerhalb des ROI und entlang der Lochkontur gemessen werden.

Rechteckloch-Messung

So greifen Sie auf die Option Rechteckloch zu:

  1. Öffnen Sie das Dialogfeld Auto Elemente.

Display Menu Roadmap
Wählen Sie den Auto-Elementtyp Rechteckloch aus.

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel-Rechteckloch lautet wie folgt:

E-ID=AUTO/RECHTECKLOCH, MESSPUNKTE_EINBLENDEN=J/N, ALLE_PARAMETER_EINBLENDEN=J/N
THEO/ TX,TY,TZ,TI,TJ,TK, TBREITE, TLÄNGE,
IST/ X,Y,Z,I,J,K, BREITE, LÄNGE,
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1
AUTOM. BEWEG = J/N, ABSTAND = n

Die Befehlszeile des Bearbeitungsfensters einer Beispielsmessung für Bund & Spalt lautet wie folgt:

E-ID=AUTO/ZWISCHENRAUM DELTAZ, MESSPUNKTE_EINBLENDEN=J/N, ALLE_PARAMETER_EINBLENDEN=J/N
THEO/ TX,TY,TZ,TI,TJ,TK,TSPALT,TBUND
IST/ X,Y,Z,I,J,K,SPALT,BUND
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1, TOG2
AUTOM. BEWEG = J/N, ABSTAND = n, TIEFE = n, TIEFE2 = n

Siehe auch:

Definition des Rechteckloch- und Bund&Spalttyps mit dem NC-100

Felddefinition des Rechteckloch- und Bund&Spalttyps mit dem NC-100

Messen eines Rechtecklochs mit dem NC-100

Tiefe für einen Bund&Spalt mit dem NC-100

Tiefe2 für einen Bund&Spalt mit dem NC-100

Spalt für einen Bund&Spalt mit dem NC-100

Bund für einen Bund&Spalt mit dem NC-100

Typ = RECHTS/LINKS für einen Bund & Spalt mit dem NC-100

Elementtyp für Rechteckloch- und Bund & Spaltmessungen mit dem NC-100


Definition des Rechteckloch- und Bund & Spalttyps mit dem NC-100

RECHTECKLOCH = Dieser Elementtyp ermöglicht die Messung eines Rechtecklochs.

SPALT NORMAL = Dieser Elementtyp ermöglicht die Messung des Spalts und der Bündigkeit eines Spalts auf der Oberflächenebene der feststehenden Seite.
Die folgende Beschreibung zeigt einen allgemeinen Fall einer Punkterfassung:

Durch Visionsystem erfaßter Spalt-Normalpunkt

SPALT DELTAZ = Diese Anforderung ermöglicht die Messung eines Spalts in einer vorgegebenen Tiefe relativ zur feststehenden Seite des Werkstücks.

Bund & Spaltmessung in vorgegebener Tiefe


Felddefinitionen für Rechteckloch und Bund & Spalt mit dem NC-100

Viele der Definitionen werden bereits unter dem Thema "Rechteckloch-Felddefinitionen" im Abschnitt "Erstellen von Auto-Elementen" beschrieben. Bei Verwendung eines NC-100-Optiksensors gibt es folgende zusätzliche oder geänderte Definitionen:

MESSPUNKTE_EINBLENDEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob bei diesem Element Meßpunkte angezeigt werden.

ALLE_PARAMETER_EINBLENDEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob alle Parameter eines Elements angezeigt werden.

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Meßdaten an. Positive und negative Werte sind zulässig.

TOG2 = Dieses Feld bestimmt die feststehende Seite einer Bund & Spaltmessung. Diese Definition steht nur für Bund & Spalt zur Auswahl.

THEO/ = Dieser Wert stellt die theoretische Elementposition dar.

TIEFE = Dieser Wert ist veränderbar und stellt die Meßtiefe auf der feststehenden Seite einer Bund & Spaltmessung dar.

TIEFE2 = Dieser Wert kann bearbeitet werden und stellt die Meßtiefe auf der beweglichen Seite einer Bund & Spaltmessung dar.

Allgemeine Richtlinien zum Messen der Auto-Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'" im Abschnitt "Erstellen von Áuto-Elementen".


Messen eines Rechtecklochs mit dem NC-100

Display Menu Roadmap
PC-DMIS bietet mehrere Methoden zum Messen eines Rechtecklochs mit der Option "Auto-Elemente", die im folgenden beschrieben werden:

  • Eingabedaten für ein Rechteckloch
  • Angabe der Oberflächendaten für ein Rechteckloch auf dem Bildschirm
  • Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für ein Rechteckloch mit dem NC-100 verwenden

Oberflächendaten am Bildschirm für ein Rechteckloch mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für ein Rechteckloch mit dem NC-100 verwenden


Eingabedaten für ein Rechteckloch mit dem NC-100

Dieses Thema wird unter "Eingabedaten für ein Rechteckloch" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Oberflächendaten am Bildschirm für ein Rechteckloch mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Oberflächendaten für ein Rechteckloch auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Drahtmodelldaten am Bildschirm für ein Rechteckloch mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Drahtmodelldaten für ein Rechteckloch auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Tiefe für eine Bund & Spaltmessung mit dem NC-100

Über das Feld Tiefe wird der Abstand unterhalb der Oberfläche der feststehenden Seite bestimmt, in dem PC-DMIS den Bund & Spalt mißt. Dieses Kästchen wird bei Auswahl von SPALT DELTAZ aus der Liste Elementtyp verfügbar.

So ändern Sie die Tiefe:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.


Tiefe 2 für eine Bund & Spaltmessung mit dem NC-100

Über das Feld Tiefe2 wird der Abstand unterhalb der Oberfläche der beweglichen Seite bestimmt, in dem PC-DMIS den Bund & Spalt mißt. Dieses Kästchen wird bei Auswahl von SPALT DELTAZ aus der Liste Elementtyp verfügbar.

So ändern Sie die Tiefe:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.


Spalt für eine Bund & Spaltmessung mit dem NC-100

Im Feld Spalt wird der Spalt der Bund & Spaltmessung angezeigt.

So ändern Sie diesen Wert:

  1. Wählen Sie den vorhandenen Wert aus.
  2. Geben Sie einen neuen Wert ein.


Bund für eine Bund & Spaltmessung mit dem NC-100

Im Feld Bund wird die Bündigkeit der Bund & Spaltmessung angezeigt.

So ändern Sie diesen Wert:

  1. Kreuzen Sie das Kästchen Bund an.
  2. Geben Sie einen neuen Wert ein.


Typ = RECHTS/LINKS für eine Bund & Spaltmessung mit dem NC-100

Mit der Option RECHTS und der Option LINKS wird die feststehende Seite der Bund & Spaltmessung definiert. Bei Bund & Spaltmessungen muß eine Seite als die feststehende (oder Soll-) Seite definiert werden. Die feststehende Seite ist das Bezugsmerkmal, an dem die andere Seite gemessen wird.


Elementtyp für ein Rechteckloch und für Bund & Spaltmessungen mit dem NC-100

In der Liste Elementtyp stehen die verfügbaren Typen von Rechtecklöchern und von Bund & Spaltmessungen zur Auswahl. Dazu gehören:

RECHTECKLOCH = Dieser Elementtyp ermöglicht die Messung eines Rechtecklochs.

SPALT NORMAL = Dieser Elementtyp ermöglicht die Messung des Spalts und der Bündigkeit eines Spalts auf der Oberflächenebene der feststehenden Seite.

SPALT DELTAZ = Dieser Elementtyp ermöglicht die Messung eines Spalts in einer vorgegebenen Tiefe relativ zur feststehenden Seite des Werkstücks.

SPALTMASS = Dieser Meßtyp ist derzeit nicht verfügbar.


Messen eines Langlochs mit dem NC-100

Mit der Option "Langloch" können Sie eine Langlochmessung definieren. Diese Art der Messung ist besonders dann nützlich, wenn Sie nicht zuerst eine Reihe von Linien und Kreisen messen und Schnitt- und Mittelpunkte daraus konstruieren wollen.

Das Langloch kann unter Verwendung der Punkte innerhalb des ROI entlang der Lochkontur gemessen werden.

Langloch-Messung

So greifen Sie auf die Option Langloch zu:

  1. Öffnen Sie das Dialogfeld Auto Elemente.

Display Menu Roadmap
Wählen Sie den Auto-Elementtyp Langloch aus.

Die Befehlszeile des Bearbeitungsfensters für ein Beispiel Langloch lautet wie folgt:

    E-ID=AUTO/LANGLOCH, MESSPUNKTE_EINBLENDEN=J/N, ALLE_PARAMETER_EINBLENDEN=J/N
THEO/ TX,TY,TZ,TI,TJ,TK,TLÄNGE,TBREITE,
IST/ X,Y,Z,I,J,K,LÄNGE,BREITE,
ZIEL/ ZielX,ZielY,ZielZ,ZielI,ZielJ,ZielK
THEO_STÄRKE = n, TOG1
AUTOM. BEWEG = J/N, ABSTAND = n

Siehe auch:

Langloch-Felddefinitionen mit dem NC-100

Messen eines Langlochs mit dem NC-100


Langloch-Felddefinitionen mit dem NC-100

Viele der Definitionen werden bereits unter dem Thema "Langloch-Felddefinitionen" im Abschnitt "Erstellen von Auto-Elementen" beschrieben. Bei Verwendung eines NC-100-Optiksensors gibt es folgende zusätzliche oder geänderte Definitionen:

MESSPUNKTE_EINBLENDEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob bei diesem Element Meßpunkte angezeigt werden. Diese Option ist derzeit nicht verfügbar.

ALLE_PARAMETER_EINBLENDEN = Hierbei handelt es sich um eine Umschaltoption. Durch Umschalten zwischen JA und NEIN kann bestimmt werden, ob alle Parameter eines Elements angezeigt werden.

IST_STÄRKE = Dieser Wert zeigt die eingegebene Versatzstärke der Meßdaten an. Positive und negative Werte sind zulässig.

Allgemeine Richtlinien zum Messen der Auto-Elementtypen finden Sie unter "Häufig verwendete Optionen im Dialogfeld 'Auto Elemente'" im Abschnitt "Erstellen von Áuto-Elementen".


Messen eines Langlochs mit dem NC-100

PC-DMIS bietet mehrere Methoden zum Messen eines Langlochs mit der Option "Auto-Elemente", die im folgenden beschrieben werden:

  • Eingabedaten für ein Langloch
  • Angabe der Oberflächendaten für ein Langloch auf dem Bildschirm
  • Angabe der Drahtmodelldaten für ein Langloch auf dem Bildschirm

Hinweis: Die Maus kann nur dann im Grafikfenster benutzt werden, wenn CAD-Daten zur Verfügung stehen.

Siehe auch:

Eingabedaten für ein Langloch mit dem NC-100 verwenden

Oberflächendaten am Bildschirm für ein Langloch mit dem NC-100 verwenden

Drahtmodelldaten am Bildschirm für ein Langloch mit dem NC-100 verwenden


Eingabedaten für ein Langloch mit dem NC-100

Eingabedaten für ein Langloch mit dem NC-100 verwenden

Dieses Thema wird unter "Eingabedaten für ein Langloch" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Oberflächendaten am Bildschirm für ein Langloch mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Oberflächendaten für ein Langloch auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.

Hinweis: Sind die CAD-Daten, welche die Enden des Langlochs definieren, spezifisch als Typ KREIS oder BOGEN definiert (d.h. als IGES-Einheit 100), nimmt PC-DMIS automatisch zwei weitere Meßpunkte auf dem Bogen auf. Wenn beide Enden zu diesem Typ gehören, genügt eine Berührung auf jedem Bogen, um diesen Elementtyp zu messen.


Drahtmodelldaten am Bildschirm für ein Langloch mit dem NC-100 verwenden

Dieses Thema wird unter "Angabe der Drahtmodelldaten für ein Langloch auf dem Bildschirm" im Abschnitt "Erstellen von Auto-Elementen" behandelt.


Directly Interfacing with a CAD File

Überblick zur Installation

Unterstützte CAD-Systeme

Installieren und Verwenden der Unigraphics Direct CAD-Schnittstelle für PC-DMIS Version 3

Installieren und Verwenden der CATIA Direct CAD-Schnittstelle für PC-DMIS Version 3

Installieren und Verwenden der Pro/ENGINEER Direct CAD-Schnittstelle für Version 3

Installieren und Verwenden der I-DEAS Direct CAD-Schnittstelle für PC-DMIS 3.6 oder höher

Installieren und Verwenden der ACIS Direct CAD-Schnittstelle für PC-DMIS Version 3.6

Installieren und Verwenden der SolidWorks Direct CAD-Schnittstelle für PC-DMIS 3.6 oder höher

Problembehandlung bei Direct CAD-Schnittstellen


Direct CAD-Schnittstellen: Einführung

Zur schnellen und genauen Messung Ihrer Werkstückprogramme benötigen Sie die besten verfügbaren Werkzeuge. In PC-DMIS Version 3.0 gab es bereits bessere Werkzeuge als je zuvor, und ab PC-DMIS Version 3.2 stehen Ihnen sogar noch leistungsstärkere Funktionen zur Verfügung, die von keinem anderen geometrischen Meßprogramm auf dem Markt übertroffen werden.

  • Profitieren Sie von der Flexibilität, die Ihnen die Verwendung von PC-DMIS in Verbindung mit CAD-Systemen (u.a. Unigraphics, CATIA, Pro/ENGINEER, I-DEAS und ACIS) bietet.
  • Vermeiden Sie mögliche Fehler und Einschränkungen durch die Übertragung von Daten aus CAD-Systemen in das interne CAD-Format von PC-DMIS.
  • Arbeiten Sie mit PC-DMIS unter Verwendung von CAD-Daten aus verschiedenen CAD-Systemen.
  • Führen Sie in PC-DMIS Datenberechnungen mit Hilfe von mathematischen Routinen aus anderen CAD-Systemen durch.
  • Lassen Sie Geometrien aus anderen CAD-Systemen anzeigen und kommunizieren Sie interaktiv, ohne PC-DMIS je zu verlassen.

Direct CAD-Schnittstellen machen dies möglich.

Achtung: Unter der folgenden Adresse können Sie eine Version des vorliegenden Kapitels "Direct CAD-Schnittstellen" als Worddokument (.doc) oder pdf.-Datei herunterladen, die ständig aktualisiert wird:
http://www.wilcoxassoc.com/Downloads/dl_instructionalfiles.htm

Siehe auch:

Was sind Direct CAD-Schnittstellen?

Warum sind Direct CAD-Schnittstellen wichtig?


Was sind Direct CAD-Schnittstellen?

Bei früheren Versuchen, Daten aus unterschiedlichen CAD-Systemen in PC-DMIS zu verwenden, waren interne CAD-Datenübertragungen erforderlich, die teilweise fehleranfällig waren und Datenverlust verursachen konnten.

Bei einer direkten Schnittstellenanbindung mit einem CAD-System werden die CAD-Daten jedoch nicht mehr übertragen. Statt dessen verwendet diese einzigartige Funktion die nativen mathematischen Routinen des CAD-Systems, um die erforderlichen Daten zu erhalten.. Eine Direct CAD-Schnittstelle nutzt zudem die eigene API (Schnittstelle zur Applikationsprogrammierung) des CAD-Systems für den Zugriff auf die CAD-Datenbank, um Geometrien anzuzeigen und interaktiv zu kommunizieren.


Warum sind Direct CAD-Schnittstellen wichtig?

Obwohl für die direkte Schnittstellenanbindung mit einem CAD-System eine Lizenz für das CAD-System erforderlich ist, bietet sie dennoch zahlreiche Vorteile. Dazu gehören:

  • Eine Schnittstelle in PC-DMIS, die direkt mit dem CAD-System verknüpft ist.
  • Genaue CAD-Daten ohne Übertragungsfehler und Einschränkungen.
  • Künftiger Zugriff auf GD&T-Daten, da CAD-Systeme diese Informationen mit ihren nativen APIs bereitstellen.
  • Verkürzte Programmierzeiten und verbesserte Programmqualität.

Dank der Direct CAD-Schnittstellen können Sie nun Daten aus verschiedenen CAD-Systemen auf einfache Weise direkt in PC-DMIS nutzen, wodurch Sie Zeit sparen können und die Genauigkeit der Daten gewährleistet wird.


Überblick zur Installation

Die folgenden Hauptthemen behandeln die von PC-DMIS unterstützten CAD-Systeme und enthalten Anleitungen zur Installation und Verwendung der Schnittstellen.

  • Unterstützte CAD-Systeme
  • Installieren und Verwenden der Unigraphics Direct CAD-Schnittstelle für PC-DMIS Version 3.6
  • Installieren und Verwenden der CATIA Direct CAD-Schnittstelle für PC-DMIS Version 3.6
  • Installieren und Verwenden der Pro/ENGINEER Direct CAD-Schnittstelle für Version 3.6
  • Installieren und Verwenden der I-DEAS Direct CAD-Schnittstelle für PC-DMIS 3.6 oder höher
  • Installieren und Verwenden der ACIS Direct CAD-Schnittstelle für Version 3.6 oder höher
  • Installieren und Verwenden der SolidWorks Direct CAD-Schnittstelle für PC-DMIS 3.6 oder höher

Hinweise bei Problemen mit der direkten Schnittstellenanbindung Ihrer CAD-Datei finden Sie unter Problembehandlung bei Direct CAD-Schnittstellen.


Unterstützte CAD-Systeme

Für PC-DMIS Version 3.2 oder höher wurden von Wilcox Associates Inc. direkte Schnittstellen für folgende CAD-Systeme entwickelt:

  • Unigraphics (V15, V16, V17, V18, and NX 1)
  • CATIA
  • Pro/ENGINEER
  • I-DEAS
  • ACIS
  • SolidWorks 2001 Plus SP 06 und SolidWorks 2003 (wird nur in PC-DMIS Version 3.5 und höher unterstützt)

Befolgen Sie die Installationsanweisungen in den folgenden Themen, um eine direkten Schnittstellenanbindung Ihres CAD-Systems mit PC-DMIS für Windows herzustellen..

  • Informationen zu Unigraphics finden Sie unter "Installieren und Verwenden der Unigraphics Direct CAD-Schnittstelle für PC-DMIS Version 3.6".
  • Informationen zu CATIA finden Sie unter "Installieren und Verwenden der CATIA Direct CAD-Schnittstelle für PC-DMIS Version 3.6".
  • Informationen zu ENGINEER finden Sie unter "Installieren und Verwenden der Pro/ENGINEER Direct CAD-Schnittstelle für PC-DMIS Version 3.6".
  • Informationen zu I-DEAS finden Sie unter "Installieren und Verwenden der I-DEAS Direct CAD-Schnittstelle für PC-DMIS Version 3.6 oder höher".
  • Installieren und Verwenden der ACIS Direct CAD-Schnittstelle für Version 3.6 oder höher
  • Installieren und Verwenden der SolidWorks Direct CAD-Schnittstelle für PC-DMIS 3.6 oder höher

Siehe auch:

Lizenz-Mindestanforderungen


Lizenz-Mindestanforderungen

Die erforderlichen Lizenzen für die direkte Schnittstellenanbindung Ihres CAD-Systems mit PC-DMIS sind in der folgenden Tabelle aufgelistet:

Unterstütztes CAD-System | Lizenzanforderungen
Unigraphics | Gateway und UFUN_EXEC
CATIA | CATIA Object Modeler und andere Lizenzen für die Erstellung des Modells
Pro/ENGINEER | Die Basislizenz für Pro/ENGINEER muß auf demselben Computer installiert sein wie PC-DMIS. Außerdem muß Ihr Anmeldekonto als Mitglied des Power User-Profils ausgewiesen sein, damit Sie Pro/ENGINEER verwenden können.
I-DEAS | Eine verfügbare Lizenz für I-DEAS Master Modeler und I-DEAS Master Assembler
ACIS | Keine Lizenz erforderlich
SolidWorks | SolidWorks-Basislizenz


Installieren und Verwenden der Unigraphics Direct CAD-Schnittstelle für PC-DMIS Version 3.6

Befolgen Sie die Anweisungen in diesem Abschnitt, um PC-DMIS zu installieren und Ihr System für die Verwendung der Unigraphics Direct CAD-Schnittstelle zu konfigurieren.

  • Vergewissern Sie sich zunächst, daß Sie über uneingeschränkte Administratorrechte verfügen.
  • Falls dies noch nicht geschehen ist, installieren Sie Unigraphics V15 oder höher auf demselben Computer, auf dem PC-DMIS ausgeführt wird. Zur Ausführung der Unigraphics DCI (Direct CAD-Schnittstelle) müssen Sie entweder über eine dynamische (Netzwerk-)Lizenz (Floating-Lizenz) oder eine gebundene Lizenz verfügen. Unigraphics muß allerdings auf dem lokalen Rechner ausgeführt werden können, damit PC-DMIs eine Schnittstelle zu Unigraphics aufbauen kann. Sie müssen mindestens über die Optionen Unigraphics gateway und ufunc_execute verfügen; andernfalls können Sie diese von Unigraphics erwerben (siehe http://www.unigraphics.com).

Hinweis: Anhand der vorhandenen Unigraphics-Version bestimmt PC-DMIS automatisch, welcher Facettierungsalgorithmus verwendet wird.
Wenn Sie die Unigraphics-Version 16.0 oder höher besitzen, wird der neue und schnellere Facettierungsalgorithmus installiert.
Wenn Sie eine Unigraphics-Version besitzen, die älter als Version 16.0 ist, wird der ursprüngliche Facettierungsalgorithmus installiert. Sie können jedoch den schnelleren Facettierungsalgorithmus erhalten, indem Sie auf Unigraphics-Version 16.0 oder höher aufrüsten.

Siehe auch:

Schritt 1: Installieren von PC-DMIS

Schritt 2: Testen der Unigraphics Direct CAD-Schnittstelle


Direkte Schnittstellen mit einer CAD-Datei - Installieren und Verwenden der Unigraphics Direct CAD-Schnittstelle für PC-DMIS Version 3.6 - Schritt 1 : Installieren von PC-DMIS

Schritt 1: Installieren von PC-DMIS

Zunächst müssen Sie PC-DMIS Version 3.6 installieren. Vorgehensweise:

  1. Verbinden Sie die PC-DMIS-Anschlußsperre (auch Dongle genannt) mit dem Druckeranschluß Ihres Computers.
  2. Legen Sie die PC-DMIS-CD-ROM in das CD-ROM-Laufwerk ein.
  3. Öffnen Sie im Windows-Explorer das Verzeichnis mit der CD-ROM, und navigieren Sie zur Anwendung setup.exe für PC-DMIS.
  4. Doppelklicken Sie auf die Datei setup.exe, um sie auszuführen.
  5. Dadurch wird der PC-DMIS-Installationsvorgang gestartet.
  6. Folgen Sie den Bildschirmanweisungen.
  7. Am Ende des Installationsvorgangs wird die Programmgruppe PC-DMIS für Windows eingeblendet, die ein Startsymbol enthält.
  8. Doppelklicken Sie auf dieses Symbol, und warten Sie einen Moment. PC-DMIS überprüft jetzt die Einstellungen der Anschlußsperre.
  9. Nun sollten in der Programmgruppe PC-DMIS für Windows mehrere neue Symbole angezeigt werden. Dazu gehören: Offline, Deinstallation und Hilfe.

Hiermit ist die Installation von PC-DMIS abgeschlossen.


Schritt 2: : Testen der Unigraphics Direct CAD-Schnittstelle

Im letzten Schritt importieren Sie eine Unigraphics-Werkstückdatei und testen die Direct CAD-Schnittstelle.

Siehe auch:

Ändern der Registrierung

Starten von PC-DMIS

Ein neues Werkstückprogramm erstellen

Importieren einer Unigraphics-Werkstückdatei


Direkte Schnittstellen mit einer CAD-Datei - Schritt 2 : Testen der Direct CAD-Schnittstelle für Unigraphics - Ändern der Registrierung

Ändern der Registrierung

Bevor Sie fortfahren können, müssen Sie einen Eintrag in der Registrierung ändern.

  1. Wählen Sie Start | Programme | PC-DMIS für Windows, und klicken Sie dann auf Einstellungseditor. Der Einstellungseditor wird gestartet.
  2. Suchen Sie in der Datei den Abschnitt OPTION, und klicken Sie daneben auf das Pluszeichen (+). Dadurch wird die Liste erweitert. Suchen Sie die Option UGLoadOption. Sie sollte den Wert 0 aufweisen.
  3. Ersetzen Sie den Standardwert durch 0, 1 oder 2, je nachdem, aus welchem Verzeichnis Sie beim Importieren einer UG-Baugruppendatei die Werkstücke der UG-Komponente importieren.
Wert | Bedeutung
0 | UF_ASSEM_load_from_directory
1 | UF_ASSEM_load_from_search_dirs
2 | UF_ASSEM_load_as_saved

  4. Klicken Sie auf Einstellung speichern, um die Änderung zu speichern.
  5. Klicken Sie auf OK, um den Einstellungseditor zu schließen.
  6. Kopieren Sie die Datei load_options.def, falls vorhanden, aus dem UG-Basisverzeichnis in das PC-DMIS-Basisverzeichnis.

Achtung: Durch eine falsche Bearbeitung der Registrierungseinträge kann das Computersystem beschädigt werden. Aus diesem Grund gibt es den PC-DMIS-Einstellungseditor. Wir empfehlen, daß Sie Ihre PC-DMIS-Einstellungen stets über diesen Editor ändern. Wenn Sie die Registrierung jedoch direkt bearbeiten möchten, sollten Sie unbedingt eine Sicherungskopie der wichtigen Daten auf dem Computer erstellen, bevor Sie Änderungen an der Registrierung vornehmen.


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 2 : Testen der Direct CAD-Schnittstelle für Unigraphics - Starten von PC-DMIS :

Starten von PC-DMIS:

  1. Wählen Sie im Menü Start die Option Programme | PC-DMIS für Windows | Online. PC-DMIS wird gestartet.
  2. Klicken Sie auf Abbrechen, wenn das Dialogfeld Datei öffnen eingeblendet wird.


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 2 : Testen der Direct CAD-Schnittstelle für Unigraphics - Erstellen eines neuen Werkstückprogramms :

Erstellen eines neuen Werkstückprogramms:

  1. Wählen Sie die Menüoption Neu, um ein neues Werkstückprogramm zu erstellen. Es erscheint das Dialogfeld Neues Werkstückprogramm.

Display Menu Roadmap
Geben Sie in das Feld Werkstückname einen Namen für das Werkstückprogramm ein, und füllen Sie gegebenenfalls die anderen Felder aus.

  3. Wählen Sie im Bereich Einheiten die Maßeinheit aus. Sie müssen nicht den Maßeinheiten entsprechen, die in der zu importierenden CAD-Datei verwendet werden.
  4. Klicken Sie auf OK. Das Dialogfeld wird geschlossen und das Dialogfeld Taster Hilfsprogramme automatisch geöffnet.
  5. Klicken Sie im Dialogfeld Taster Hilfsprogramme auf Abbrechen, um es zu schließen.


Importieren einer Unigraphics-Werkstückdatei

  1. Wählen Sie die Menüoption DCI Import. Nun erscheint das Dialogfeld Öffnen.

Display Menu Roadmap
Wählen Sie in der Liste Dateityp den Eintrag Unigraphics DCI-Dateien.

  3. Navigieren Sie zum Verzeichnis, das die zu importierende UG-Datei enthält.
  4. Wählen Sie das UG-Werkstück (mit einer .prt-Erweiterung) aus.
  5. Klicken Sie auf Importieren. Das Dialogfeld wird geschlossen.

    Wenn mehrere Koordinatensysteme verfügbar sind, wird als nächstes das Dialogfeld DCI- Koordinatensystem auswählen eingeblendet. Es enthält eine Liste der verfügbaren Koordinatensysteme.
    Fahren Sie mit Schritt 7 fort.

    • Wenn nicht mehrere Koordinatensysteme verfügbar sind, wird das Dialogfeld DCI Koordinatensystem auswählen nicht angezeigt, und Sie können mit Schritt 8 fortfahren.
  6. Wählen Sie ein Koordinatensystem aus, das beim Importieren als Basis (oder Nullpunkt) für die CAD-Daten verwendet wird. Standardmäßig wird das absolute Koordinatensystem (ACS - Absolute Coordinate System) verwendet. Hierbei wird das absolute Koordinatensystem des UG-Werkstücks als Basis zugrundegelegt. Das Arbeitskoordinatensystem (WCS - Working Coordinate System) verwendet das aktuelle Arbeitskoordinatensystem im UG-Werkstück als Basis.
  7. Klicken Sie auf OK, um das ausgewählte Koordinatensystem zu akzeptieren. Wenn Sie die UG-CAD-Daten ohne Koordinatensystem importieren möchten, klicken Sie statt dessen auf die Schaltfläche Abbrechen.
  8. PC-DMIS importiert die ausgewählte Datei.
  9. Arbeiten Sie wie gewohnt mit PC-DMIS.


Installieren und Verwenden der CATIA Direct CAD-Schnittstelle für PC-DMIS Version 3.6

Gehen Sie wie folgt vor, um eine CATIA-Datei zu importieren, die in PC-DMIS funktioniert:

  • Vergewissern Sie sich bei Installation auf einem Windows NT-Computer zunächst, daß Sie über uneingeschränkte Administratorrechte verfügen.
  • Installieren Sie CATIA V4.2.x auf einer UNIX-Workstation (IBM, SGI, HP oder SUN Solaris), falls dies noch nicht geschehen ist.

Siehe auch:

Schritt 1: Installieren der Pcdcat-Schnittstellendatei auf dem CATIA-System

Schritt 2: Installieren der Datei Pcdmis.dat auf dem CATIA-System

Schritt 3: Deklarieren der Dateien

Schritt 4: Installieren von PC-DMIS

Schritt 5: Vernetzen des PC-Systems mit dem UNIX-System

Schritt 6: Testen der Direct CAD-Schnittstelle für CATIA


Schritt 1: : Installieren der Pcdcat-Schnittstellendatei auf dem CATIA-System

  1. Bestimmen Sie, unter welchem UNIX-Betriebssystem das CATIA-System derzeit ausgeführt wird. Unterstützte Betriebssysteme sind:
    • AIX von IBM
    • IRIS von SGI
    • HP-UX von HP
    • SOLARIS von SUN
  2. Erstellen Sie für die Installation der PC-DMIS-Dateien in einem CATIA-Benutzerverzeichnis ein Verzeichnis namens "Pcdmis".
    Beispiel: /home/catadm/pcdmis
  3. Speichern Sie die betreffende PC-DMIS/CATIA-Schnittstellendatei im Verzeichnis "Pcdmis" der UNIX-Workstation. Je nach Modell der UNIX-Arbeitsstation handelt es sich dabei um eine der folgenden Schnittstellendateien:
    • pcdcat.ibm.gz
    • pcdcat.sgi.gz
    • pcdcat.hp.gz
    • pcdcat.sun.gz
  4. Sie können die neueste PC-DMIS/CATIA-Schnittstellendatei auch unter ftp://wilcoxassoc.com/dci/catia/ herunterladen.
  5. Entpacken Sie die pcdcat-Datei über den Befehl gunzip auf der UNIX-Arbeitsstation: gunzip <Dateiname>
  6. Nachdem die Datei im Verzeichnis "Pcdmis" der UNIX-Arbeitsstation gespeichert wurde, benennen Sie diese in "pcdcat" um (ohne eine Dateierweiterung).


Schritt 2: : Installieren der Datei Pcdmis.dat auf dem CATIA-System

Die Datei Pcdmis.dat ist eine einfache Datentextdatei mit den Netzwerkinformationen, die CATIA die Kommunikation mit dem Windows 95-, Windows 98- oder Windows NT-Betriebssystem ermöglichen.

  1. Legen Sie "Pcdmis.dat" im Verzeichnis "Pcdmis" der UNIX-Arbeitsstation ab. Sie können diese Datei auch unter ftp://wilcoxassoc.com/dci/catia/ herunterladen.
  2. Bearbeiten Sie "Pcdmis.dat" so, daß die Datei die erforderlichen Anschluß- und IP-Adreßinformationen der UNIX-Arbeitsstation enthält, wie unter "Beispiel für eine 'Pcdmis.dat'-Datei auf einer UNIX-Arbeitsstation" dargestellt. Auf Wunsch können Sie die Datei auch um die folgenden beiden Optionen erweitern:
Option Beschreibung
DEBUG
 Aktiviert das Erstellen einer Fehlersuchdatei. Diese Datei protokolliert die Kommunikation zwischen dem Windows-System und dem UNIX-System sowie die im UNIX-System stattfindenden Prozesse.

Hinweis: Behandeln Sie diese Option mit Vorsicht, da dadurch eine sehr große Datei erstellt werden kann, welche die Systemressourcen stark belasten könnte.

EXIT
 Beendet PCDCAT (die Schnittstellendatei) jedesmal, wenn Sie PC-DMIS beenden.

Wird diese Option nicht aktiviert, wird PCDCAT niemals beendet, sondern setzt seine Ausführung in Erwartung einer Kommunikation mit PC-DMIS fort.

PORT2
 Wird die Option EXIT nicht aktiviert, sollte PORT2 auf einen offenen TCP/IP-Anschluß eingestellt werden. PCDCAT wird dann jedesmal, wenn PC-DMIS eine Verbindung herstellt, einen gesonderten Prozeß erzeugen. Auf diese Art und Weise ist PCDCAT immer aktiv in Erwartung einer Verbindung von PC-DMIS. Wenn PC-DMIS die Verbindung hergestellt hat, werden jedoch nur CATIA-Lizenzen verwendet.

Siehe auch:

Beispiel für eine "Pcdmis.dat"-Datei auf einer UNIX-Arbeitsstation


Beispiel für eine "Pcdmis.dat"-Datei auf einer UNIX-Arbeitsstation

$ PC-DMIS/CATIA Interface

IP=205.158.132.244;
(Hinweis: IP-Adresse der UNIX-Arbeitsstation.)

PORT=5555;
(Hinweis: Verwenden Sie denselben Anschluß für UNIX und Windows NT.)

PORT2=5556;
(Hinweis: Dieser Anschluß wird UNIX-seitig nur für die prozeßinterne Kommunikation verwendet.) (Dies ist optional.)

DEBUG;
(Dies ist optional.)

EXIT;
(Dies ist optional.)


Schritt 3: : Deklarieren der Dateien

Damit die Direct CAD-Schnittstelle für CATIA auf einen Pfad zugreifen kann, muß dieser Pfad in einer CATIA-Deklarationsdatei definiert werden. Diese Definition kann in zwei Dateien vorgenommen werden. Bei den meisten Systemen lauten sie:

  1. "/home/catadm/USRENV.dcls"
  2. "/home/catadm/dec/CATIA.dcls".

Ändern Sie die CATIA-Deklarationsdatei Catia.dcls mit einem Standard-Texteditor so ab, daß das Modellverzeichnis und/oder der Alias definiert wird (siehe "Beispiel für eine 'Catia.dcls'-Datei auf einer UNIX-Arbeitsstation").

Hinweis: Normalerweise müssen Sie "Catia.dcls" nicht bearbeiten. In manchen Fällen ist es jedoch erforderlich, beide Dateien zu bearbeiten.

Siehe auch:

Beispiel für eine "Catia.dcls"-Datei auf einer UNIX-Arbeitsstation


Beispiel für eine "Catia.dcls"-Datei auf einer UNIX-Arbeitsstation

/* ----------------------------------------------------------- */

/* MODEL declarations */

/* ----------------------------------------------------------- */

catia.MODEL = '"$HOME/db","PCDMIS"';

catia.MODEL = '"/home/catadm/pcdmis","PCDMIS2"';

catia.MODEL = '"/home/catadm","PCDMIS5"';

Der erste Teil des Pfades...

'"$HOME/db"
'"/home/cadadm/pcdmis/"
'"/home/cadadm/"

...ist der Pfad zu den CATIA-Modellen.

Der zweite Teil des Pfades...

"PCDMIS"';
"PCDMIS2"';
"PCDMIS5"';

...ist der Alias.

Wie hier veranschaulicht können Sie einen Pfad ohne seinen Alias ändern:

catia.MODEL = '$HOME/db' ;
catia.MODEL = '/home/catadm/db' ;


Schritt 4: : Installieren von PC-DMIS

Als nächstes müssen Sie PC-DMIS installieren.Vorgehensweise:

  1. Verbinden Sie die PC-DMIS-Anschlußsperre (auch Dongle genannt) mit dem Druckeranschluß Ihres Computers.
  2. Legen Sie die PC-DMIS-CD-ROM in das CD-ROM-Laufwerk ein.
  3. Öffnen Sie im Windows-Explorer das Verzeichnis mit der CD-ROM, und navigieren Sie zur Anwendung setup.exe für PC-DMIS.
  4. Doppelklicken Sie auf die Datei setup.exe, um sie auszuführen.
  5. Dadurch wird der PC-DMIS-Installationsvorgang gestartet.
  6. Folgen Sie den Bildschirmanweisungen.
  7. Am Ende des Installationsvorgangs wird die Programmgruppe PC-DMIS für Windows eingeblendet, die ein Startsymbol enthält.
  8. Doppelklicken Sie auf dieses Symbol, und warten Sie einen Moment. PC-DMIS überprüft jetzt die Einstellungen der Anschlußsperre.
  9. Nun sollten in der Programmgruppe PC-DMIS für Windows mehrere neue Symbole angezeigt werden. Dazu gehören: Offline, Deinstallation und Hilfe.

Hiermit ist die Installation von PC-DMIS abgeschlossen.


Schritt 5: : Vernetzen des PC-Systems mit dem UNIX-System

Damit die Direct CAD-Schnittstelle funktionieren kann, muß der Computer, auf dem PC-DMIS installiert ist, über ein TCP/IP-Netzwerk, das FTP- (File Transfer Protocol-) Befehle verarbeiten kann, mit dem CATIA-System kommunizieren.

Siehe auch:

Einrichten des Netzwerks auf dem PC:

Ändern der Registrierung

Beispiel für eine geänderte Registrierung mit CATIA-Daten:


Einrichten des Netzwerks auf dem PC:

  1. Wählen Sie im Menü Start die Option Einstellungen | Systemsteuerung.
  2. Doppelklicken Sie auf das Symbol Netzwerk.
  3. Wählen Sie die Registerkarte Protokolle.
  4. Überprüfen Sie in der Liste Netzwerkprotokolle, ob das Netzwerkprotokoll TCP/IP installiert ist. Ist dies nicht der Fall, klicken Sie auf Hinzufügen und folgen den Bildschirmanweisungen.
  5. Wählen Sie in der Liste Netzwerkprotokolle den Eintrag TCP/IP-Protokoll aus.
  6. Klicken Sie auf die Schaltfläche Eigenschaften. Das Dialogfeld Microsoft TCP/IP-Einstellungen wird eingeblendet.
  7. Wählen Sie die Option Folgende IP-Adresse verwenden.
  8. Geben Sie in das Feld IP-Adresse eine gültige IP-Adresse für Ihr NT-System ein.


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 5 : Vernetzen des PC-Systems mit dem UNIX-System - Ändern der Registrierung

Ändern der Registrierung

  1. Öffnen Sie den Einstellungseditor.
  2. Klicken Sie auf das Pluszeichen (+) neben der Sektion CATIA. Dadurch wird die Liste erweitert.
  3. Ändern Sie die Einträge CatiaPort, CatiaAddress und CatiaDirectory so, daß sie die IP-Adresse der CATIA UNIX-Arbeitsstation, eine gültige Anschlußnummer und den Verzeichnispfad der zu importierenden CATIA-Dateien enthalten. Informationen hierzu finden Sie unter "Beispiel für eine geänderte Registrierung mit CATIA-Daten".
  4. Speichern und schließen Sie den Einstellungseditor, wenn Sie die Änderungen vorgenommen haben.


Beispiel für eine geänderte Registrierung mit CATIA-Daten:

[OPTION]

CatiaPort=5555
(Hinweis: Verwenden Sie denselben Anschluß für das UNIX- und das Windows NT-System.)

CatiaAddress=205.158.132.244
(Hinweis: Verwenden Sie die IP-Adresse der UNIX-Arbeitsstation.)

CatiaDirectory=PCDMIS
(Hinweis: Dies ist das Standardverzeichnis der Modelldateien auf dem CATIA-System.)


Schritt 6: : Testen der Direct CAD-Schnittstelle für CATIA

Im letzten Schritt führen Sie PC-DMIS aus und importieren eine CATIA-Datei. Führen Sie Pcdcat auf der UNIX-Arbeitsstation aus, bevor Sie die folgenden Verfahren ausführen.

Siehe auch:

Starten von PC-DMIS:

Ein neues Werkstückprogramm erstellen

Importieren einer CATIA CAD-Datei


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 6 : Testen der Direct CAD-Schnittstelle für CATIA - Starten von PC-DMIS :

Starten von PC-DMIS:

  1. Wählen Sie im Menü Start die Option Programme | PC-DMIS für Windows | Online. PC-DMIS wird gestartet.
  2. Klicken Sie auf Abbrechen, wenn das Dialogfeld Datei öffnen eingeblendet wird.


Erstellen eines neuen Werkstückprogramms:

  1. Wählen Sie die Menüoption Neu, um ein neues Werkstückprogramm zu erstellen. Es erscheint das Dialogfeld Neues Werkstückprogramm.

Display Menu Roadmap
Geben Sie in das Feld Werkstückname einen Namen für das Werkstückprogramm ein, und füllen Sie gegebenenfalls die anderen Felder aus.

  3. Wählen Sie im Bereich Einheiten die Maßeinheit aus. Diese sollten den Maßeinheiten entsprechen, die in der zu importierenden CAD-Datei verwendet werden.
  4. Klicken Sie auf OK. Das Dialogfeld wird geschlossen und das Dialogfeld Taster Hilfsprogramme geöffnet.
  5. Klicken Sie im Dialogfeld Taster Hilfsprogramme auf Abbrechen, um es zu schließen.


Importieren einer CATIA CAD-Datei:

  1. Wählen Sie die Menüoption CATIA aus. Nun erscheint das Dialogfeld Öffnen.

Display Menu Roadmap
Wählen Sie in der Liste Dateityp den Eintrag CATIA DCI-Dateien.

  3. Navigieren Sie zum Verzeichnis mit den CATIA-Werkstückdateien.
  4. Wählen Sie eine CATIA-Datei aus.
  5. Klicken Sie auf die Schaltfläche Import. Das Dialogfeld Catia-Modell anfordern wird geöffnet.
  6. Geben Sie bei Bedarf die entsprechenden Verzeichnis- oder Aliasinformationen ein.
  7. Klicken Sie auf die Schaltfläche Modellnamen anfordern. Es wird eine Liste der CATIA-Modelle angezeigt.
  8. Wählen Sie den Namen des CATIA-Modells bzw. die Namen der CATIA-Modelle (bis zu 20) aus der Liste aus.
  9. Klicken Sie auf die Schaltfläche OK. PC-DMIS importiert die Datei.
  10. Arbeiten Sie wie gewohnt mit PC-DMIS.

Verbindungsfehler: Wenn PC-DMIS keine Verbindung zur Catia-Arbeitsstation herstellen kann, erhalten Sie eine Meldung mit dieser Information und der Frage, ob Sie Ihre TCP/IP-Einstellungen ändern möchten. Wenn Sie Ja anklicken, erscheint das Dialogfeld Editiere TCP/IP Einstellungen, in dem Sie die TCP/IP- und Anschlußeinstellungen ändern können.

Hinweis: Wenn Sie Möglichkeit haben wollen, die DCI ohne Verbindung mit dem CAD-System zu nutzen, können Sie dies einfach durch eine Änderung des Registrierungseintrags CatiaLoad festlegen.

Vorgehensweise:

  1. Öffnen Sie den Einstellungseditor.
  2. Klicken Sie auf das Pluszeichen (+) neben der Sektion OPTION. Dadurch wird die Liste erweitert.
  3. Ändern Sie den Eintrag CatiaLoad, indem Sie ihn auf FALSE setzen.
  4. Speichern und schließen Sie den Einstellungseditor, wenn Sie mit Ihren Änderungen fertig sind.

Daraufhin versucht PC-DMIS nicht einmal mehr, eine Verbindung zum CAD-System herzustellen, sondern gibt Ihnen statt dessen die Möglichkeit, eine gespeicherte .CAD-Ansicht zu laden.


Installieren und Verwenden der Pro/ENGINEER Direct CAD-Schnittstelle für Version 3.6

Folgen Sie den Anweisungen in diesem Abschnitt, um PC-DMIS zu installieren und Ihr System für die Verwendung der Pro/ENGINEER Direct CAD-Schnittstelle zu konfigurieren.

  • Installieren Sie Pro/ENGINEER Revision 2000i2 oder höher, falls dies noch nicht geschehen ist. Sie müssen das Programm auf einem System, das unter Windows NT, Windows 2000 oder Windows 98 läuft, installieren. Pro/Engineer wird nicht auf Windows 95 unterstützt.

    Hinweis: PC-DMIS Version 3.6 arbeitet mit Pro/ENGINEER 2000i2 oder höher.

  • Vergewissern Sie sich bei Installation auf einem Windows NT- oder Windows 2000-Computer zunächst, daß Sie über uneingeschränkte Administratorrechte verfügen.
  • Sie müssen Pro/ENGINEER auf demselben Computersystem installieren wie PC-DMIS. Zum Ausführen von Pro/ENGINEER können Sie hierbei entweder eine dynamische (Floating-)Lizenz (Netzwerklizenz) oder eine gebundene Lizenz verwenden. Pro/ENGINEER muß jedoch auf dem lokalen Rechner ausgeführt werden, damit die Schnittstelle zu PC-DMIS verwendet werden kann. Wenn Sie über keine Lizenz verfügen, können Sie bei PTC eine Lizenz erwerben (siehe http://www.ptc.com).
  • Damit Pro/ENGINEER ordnungsgemäß ausgeführt wird, müssen Sie eventuell bestimmte Pfade oder die Namen von ausführbaren Dateien ändern, um Ihr System anzupassen (entsprechend der verwendeten Programmversion und dem Verzeichnis mit den erforderlichen Dateien). Die nachfolgenden Schritte zeigen, wie im Fall eines Windows NT-Systems vorzugehen ist, auf dem Pro/ENGINEER 2000i2 und PC-DMIS ausgeführt werden.

Siehe auch:

Schritt 1: Erstellen der Umgebungsvariablen PRO_COMM_MSG_EXE

Schritt 2: Installieren von PC-DMIS

Schritt 3: Bearbeiten der Registrierung mit Pro/ENGINEER-Daten

Schritt 4: Testen der Direct CAD-Schnittstelle für Pro/ENGINEER


Schritt 1: : Erstellen der Umgebungsvariablen PRO_COMM_MSG_EXE

Zuerst müssen Sie feststellen, in welchem Verzeichnis die ausführbare Pro/ENGINEER-Datei Pro_comm_msg.exe installiert ist, und eine neue Umgebungsvariable durch diesen Verzeichnispfad ergänzen.

Siehe auch:

Den Verzeichnispfad von Pro_comm_msg.exe ermitteln:

Erstellen einer Variablen und Zuweisen eines Pfads:


Den Verzeichnispfad von Pro_comm_msg.exe ermitteln:

  1. Wählen Sie im Menü Start die Option Suchen | Nach Dateien oder Ordnern. Das Dialogfeld Alle Dateien durchsuchen wird eingeblendet.
  2. Geben Sie PRO_COMM_MSG.EXE in das Feld Gesamter oder Teil des Dateinamens ein.
  3. Wählen Sie in der Liste Suchen in den Eintrag Lokale Festplatten.
  4. Klicken Sie auf Suchen. Ihr Computer sucht nun nach der Datei. Wenn Pro/ENGINEER auf dem lokalen Rechner installiert wurde, sollte der Verzeichnispfad zur Datei in den Suchergebnissen angezeigt werden. Dieser könnte folgendermaßen lauten:
  5. C:\Programme\Proe2000i2\i486_nt\obj\ pro_comm_msg.exe

    Hinweis: Wenn die Suche nach der Datei "Pro_comm_msg.exe" mehr als ein Verzeichnis anzeigt, sollten Sie den Verzeichnispfad jedes Ergebnisses genau prüfen. Wählen Sie dann den Pfad der Datei aus, deren Version, Datum oder Pro/ENGINEER-Verzeichnis am genauesten der Datei entspricht, für die Sie die direkte Schnittstellenanbindung wünschen.

  6. Notieren Sie diesen Verzeichnispfad oder lassen Sie das Dialogfeld Alle Dateien durchsuchen geöffnet, damit Sie später darauf zurückgreifen können.


Erstellen einer Variablen und Zuweisen eines Pfads:

  1. Wählen Sie im Menü Start die Option Einstellungen | Systemsteuerung. Die Systemsteuerung wird angezeigt.
  2. Doppelklicken Sie auf das Symbol System. Das Dialogfeld Systemeigenschaften wird eingeblendet.
  3. Klicken Sie auf die Registerkarte Umgebung. Am unteren Rand der Seite befinden sich zwei leere Felder namens Variable und Wert.
  4. Geben Sie PRO_COMM_MSG.EXE in das Feld Variable ein.
  5. Geben Sie den Verzeichnispfad zur Datei "Pro_comm_msg.exe" in das Feld Wert ein. (Sie können den Pfad der Liste Suchergebnisse im Dialogfeld Alle Dateien durchsuchen entnehmen). Der Pfad könnte folgendermaßen lauten:
  6. C:\Programme\Proe2000i2\i486_nt\obj\ pro_comm_msg.exe
  7. Klicken Sie auf die Schaltfläche Setzen, um diesen Wert der neu erstellten Variablen zuzuweisen.
  8. Klicken Sie auf Übernehmen und dann auf OK, um das Dialogfeld Systemeigenschaften zu schließen.


Schritt 2: : Installieren von PC-DMIS

Wenn PC-DMIS nicht auf dem System installiert ist, auf dem Pro/ENGINEER ausgeführt wird, befolgen Sie die folgenden Anweisungen zur Installation von PC-DMIS Version 3.2 oder höher. Wenn PC-DMIS bereits installiert ist, überspringen Sie diesen Schritt und fahren Sie mit Schritt 3: Bearbeiten der Registrierung mit Pro/ENGINEER-Daten fort.

  1. Verbinden Sie die PC-DMIS-Anschlußsperre (auch Dongle genannt) mit dem Druckeranschluß Ihres Computers.
  2. Legen Sie die PC-DMIS-CD-ROM in das CD-ROM-Laufwerk ein.
  3. Öffnen Sie im Windows-Explorer das Verzeichnis mit der CD-ROM, und navigieren Sie zur Anwendung setup.exe für PC-DMIS.
  4. Doppelklicken Sie auf die Datei setup.exe (ausführen).
  5. Dadurch wird der PC-DMIS-Installationsvorgang gestartet.
  6. Folgen Sie den Bildschirmanweisungen.
  7. Am Ende des Installationsvorgangs wird die Programmgruppe PC-DMIS für Windows eingeblendet, die ein Startsymbol enthält.
  8. Doppelklicken Sie auf dieses Symbol, und warten Sie einen Moment. PC-DMIS überprüft jetzt die Einstellungen der Anschlußsperre.
  9. Nun sollten in der Programmgruppe PC-DMIS für Windows mehrere neue Symbole angezeigt werden. Dazu gehören: Offline, Deinstallation und Hilfe.

Hiermit ist die Installation von PC-DMIS abgeschlossen.


Schritt 3: : Bearbeiten der Registrierung mit Pro/ENGINEER-Daten

In diesem Schritt ändern Sie die Sektion ProEngineer der Registrierungsdatei so, daß sie einen Eintrag mit dem Namen der ausführbaren Datei enthält.

Hinweis: Wenn Sie die Sektion ProEngineer im Einstellungseditor nicht finden können, müssen Sie möglicherweise beim Kundendienst in Erfahrung bringen, ob diese Option in Ihrer Anschlußsperre (auch Dongle genannt) aktiviert ist. In den USA ist der Kundendienst unter der Telefon-Nr. (800) 343-7933 erreichbar. Außerhalb der USA lautet die Nummer (1) (800) 343-7933.

  1. Öffnen Sie den PC-DMIS-Einstellungseditor über die PC-DMIS-Programmgruppe. Wählen Sie Start | Programme | PC-DMIS für Windows, und klicken Sie dann auf das Symbol Einstellungseditor.
  2. Klicken Sie auf das Pluszeichen (+) neben der Sektion ProEngineer. Dadurch wird die Liste erweitert und zeigt die Optionen für diese Sektion an.
  3. Klicken Sie auf den Eintrag ProEngineerExecutabelName.
  4. Ändern Sie die Werte dieses Eintrags so, daß er dem Namen der Anwendungsdatei zum Starten von Pro/ENGINEER entspricht. Normalerweise lautet der Name PROE20 oder Proe2000i2, je nachdem, wie Pro/ENGINEER zur Ausführung auf dem Computer eingerichtet wurde. Der Eintrag ProEngineerExecutableName ist normalerweise auf den Namen eingestellt, der zum Ausführen von Pro/ENGINEER über eine Eingabeaufforderung erforderlich ist.

    Hinweis: Wenn die Schnittstelle nicht ordnungsgemäß arbeitet, sollten Sie vielleicht den vollständigen Pfad zur Pro/ENGINEER-Anwendungsdatei eingeben (z.B. C:\ Programme\Proe2000i2 . . . \Proe2000i2.bat).

    Der geänderte Eintrag im Abschnitt ProEngineer würde dann folgendermaßen aussehen:

    ProEngineerExecutableName=PROE20

    oder

    ProEngineerExecutableName=Proe2000i2
  5. Klicken Sie auf Einstellung speichern und dann auf OK, um den Einstellungseditor zu schließen.


Schritt 4: : Testen der Direct CAD-Schnittstelle für Pro/ENGINEER

Im letzten Schritt führen Sie PC-DMIS aus und importieren eine Pro/ENGINEER-Datei.

Siehe auch:

Starten von PC-DMIS:

Ein neues Werkstückprogramm erstellen

Importieren einer Pro/ENGINEER-Werkstückdatei:


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 4 : Testen der Direct CAD-Schnittstelle für Pro/ENGINEER - Starten von PC-DMIS :

Starten von PC-DMIS:

  1. Wählen Sie im Menü Start die Option Programme | PC-DMIS für Windows | Online. PC-DMIS wird gestartet. Sie können dies auch testen, indem Sie PC-DMIS mit Hilfe derselben Schritte im Offline-Modus ausführen.
  2. Klicken Sie auf Abbrechen, wenn das Dialogfeld Datei öffnen eingeblendet wird.


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 4 : Testen der Direct CAD-Schnittstelle für Pro/ENGINEER - Erstellen eines neuen Werkstückprogramms :

Erstellen eines neuen Werkstückprogramms:

  1. Wählen Sie die Menüoption Neu, um ein neues Werkstückprogramm zu erstellen. Es erscheint das Dialogfeld Neues Werkstückprogramm.

Display Menu Roadmap
Geben Sie in das Feld Werkstückname einen Namen für das Werkstückprogramm ein, und füllen Sie gegebenenfalls die anderen Felder aus.

  3. Wählen Sie im Bereich Einheiten die Maßeinheit aus. Diese sollten den Maßeinheiten entsprechen, die im zu importierenden Pro/ENGINEER-Modell verwendet werden.
  4. Klicken Sie auf OK. Das Dialogfeld wird geschlossen und das Dialogfeld Taster Hilfsprogramme geöffnet.
  5. Wählen Sie in der Liste Tasterdatei einen bereits erstellten Taster aus (vorzugsweise den Taster, der sich derzeit auf dem KMG befindet). Mit Hilfe der Anweisungen im PC-DMIS-Referenzhandbuch (oder in der Online-Hilfe) können Sie auch einen Taster erzeugen, der dem Taster auf dem KMG vorhandenen entspricht.
  6. Klicken Sie auf OK.
  7. Kalibrieren Sie den gewünschten Taster, wenn Sie möchten. Wenn Sie den Taster nicht kalibrieren, meldet PC-DMIS möglicherweise, daß der Taster noch nicht kalibriert wurde. Klicken Sie einfach auf OK, um fortzufahren.


Importieren einer Pro/ENGINEER-Werkstückdatei:

  1. Wählen Sie die Menüoption ProEngineer aus. Nun erscheint das Dialogfeld Öffnen.

Display Menu Roadmap
Wählen Sie in der Liste Dateityp den Eintrag Pro/ENGINEER DCI-Dateien.

  3. Navigieren Sie zum Verzeichnis mit den Pro/ENGINEER-Werkstückdateien.
  4. Wählen Sie eine Pro/ENGINEER-Werkstückdatei aus (mit der Erweiterung .prt oder .asm).
  5. Klicken Sie auf Import. PC-DMIS importiert die ausgewählte Datei.
  6. Arbeiten Sie mit PC-DMIS wie bei einer IGES-Datei.

Hinweis: Wenn Sie Möglichkeit haben wollen, die DCI ohne Verbindung mit dem CAD-System zu nutzen, können Sie dies einfach durch eine Änderung des Registrierungseintrags ProEngineerLoad festlegen.

Vorgehensweise:

  1. Öffnen Sie den Einstellungseditor.
  2. Klicken Sie auf das Pluszeichen (+) neben der Sektion PROENGINEER. Dadurch wird die Liste erweitert.
  3. Ändern Sie den Eintrag ProEngineerLoad, indem Sie ihn auf FALSE setzen.
  4. Speichern und schließen Sie den Einstellungseditor, wenn Sie mit Ihren Änderungen fertig sind.

Daraufhin versucht PC-DMIS nicht einmal mehr, eine Verbindung zum CAD-System herzustellen, sondern gibt Ihnen statt dessen die Möglichkeit, eine gespeicherte .CAD-Ansicht zu laden.


Installieren und Verwenden der I-DEAS Direct CAD-Schnittstelle für PC-DMIS 3,6 oder höher

  • Vergewissern Sie sich bei Installation auf einem Windows NT-Computer zunächst, daß Sie über uneingeschränkte Administratorrechte verfügen.
  • Installieren Sie I-DEAS Master Series 6a oder höher auf demselben Computer, auf dem PC-DMIS ausgeführt wird, falls dies noch nicht geschehen ist. Sie können I-DEAS aber auch auf einem PC oder UNIX-Computer installieren, auf den als Remote-Host über ein Netzwerk zugegriffen werden kann. Sorgen Sie dafür, daß auf dem Computer, über den auf I-DEAS zugegriffen wird, mindestens eine Lizenz für I-DEAS verfügbar ist.

Siehe auch:

Schritt 1: Installieren von PC-DMIS

Schritt 2: Testen der Direct CAD-Schnittstelle für I-DEAS

Verwenden des Dialogfelds "I-DEAS-Elementauswahl"

Verwenden des Dialogfelds "I-DEAS-Server-Verbindung"

Verwenden des Dialogfelds "I-DEAS FTP-Setup"

Verwenden des Dialogfelds "Auswahl des I-DEAS-Koordinatensystems"


Direkte Schnittstellen mit einer CAD-Datei - Installieren und Verwenden der I-DEAS Direct CAD-Schnittstelle für PC-DMIS Version 3.6 oder höher - Schritt 1 : Installieren von PC-DMIS

Schritt 1: Installieren von PC-DMIS

Installieren Sie zuerst PC-DMIS Version 3.5 oder höher. Vorgehensweise:

  1. Verbinden Sie die PC-DMIS-Anschlußsperre (auch Dongle genannt) mit dem Druckeranschluß Ihres Computers.
  2. Legen Sie die PC-DMIS-CD-ROM in das CD-ROM-Laufwerk ein.
  3. Öffnen Sie im Windows-Explorer das Verzeichnis mit der CD-ROM, und navigieren Sie zur setup.exe- Anwendung für PC-DMIS.
  4. Doppelklicken Sie auf die Datei setup.exe (ausführen).
  5. Dadurch wird der PC-DMIS-Installationsvorgang gestartet.
  6. Folgen Sie den Bildschirmanweisungen.
  7. Am Ende des Installationsvorgangs wird die Programmgruppe PC-DMIS für Windows eingeblendet, die ein Startsymbol enthält.
  8. Doppelklicken Sie auf dieses Symbol, und warten Sie einen Moment. PC-DMIS überprüft jetzt die Einstellungen der Anschlußsperre.
  9. Nun sollten in der Programmgruppe PC-DMIS für Windows mehrere neue Symbole angezeigt werden. Dazu gehören: Offline, Deinstallation und Hilfe.

Hiermit ist die Installation von PC-DMIS abgeschlossen.


Schritt 2: : Testen der Direct CAD-Schnittstelle für I-DEAS

Im letzten Schritt führen Sie PC-DMIS aus und importieren eine I-DEAS-Datei.

Siehe auch:

Starten von PC-DMIS:

Ein neues Werkstückprogramm erstellen

Importieren einer I-DEAS CAD-Datei:


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 2 : Testen der Direct CAD-Schnittstelle für I-DEAS - Starten von PC-DMIS :

Starten von PC-DMIS:

  1. Wählen Sie im Menü Start die Option Programme | PC-DMIS für Windows | Online. PC-DMIS wird gestartet.
  2. Klicken Sie auf Abbrechen, wenn das Dialogfeld Datei öffnen eingeblendet wird.


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 2 : Testen der Direct CAD-Schnittstelle für I-DEAS - Erstellen eines neuen Werkstückprogramms :

Erstellen eines neuen Werkstückprogramms:

  1. Wählen Sie die Menüoption Neu, um ein neues Werkstückprogramm zu erstellen. Es erscheint das Dialogfeld Neues Werkstückprogramm.

Display Menu Roadmap
Geben Sie in das Feld Werkstückname einen Namen für das Werkstückprogramm ein, und füllen Sie gegebenenfalls die anderen Felder aus.

  3. Wählen Sie im Bereich Einheiten die Maßeinheit aus. Die Einheiten der zu importierenden I-DEAS-Modelldatei werden in die von Ihnen ausgewählten Maßeinheiten umgewandelt.
  4. Klicken Sie auf OK. Das Dialogfeld wird geschlossen und das Dialogfeld Taster Hilfsprogramme geöffnet.
  5. Klicken Sie im Dialogfeld Taster Hilfsprogramme auf Abbrechen, um es zu schließen.


Importieren einer I-DEAS CAD-Datei:

Display Menu Roadmap
Wählen Sie die Menüoption I-DEAS. Das Dialogfeld I-DEAS-Elementauswahl wird eingeblendet.

Darin können Sie Elemente aus einer I-DEAS-Modelldatei auswählen. Damit dieses Dialogfeld verfügbar ist, muß PC-DMIS mit einem I-DEAS-Server verbunden sein. Weitere Informationen hierzu finden Sie unter "Verwenden des Dialogfelds 'I-DEAS-Elementauswahl'".

  2. Klicken Sie auf die Schaltfläche Verbindung zu Server herstellen. Das Dialogfeld I-DEAS-Server-Verbindung wird eingeblendet. Dieses Dialogfeld verbindet PC-DMIS mit einem I-DEAS-Server. Weitere Informationen zu diesem Dialogfeld finden Sie unter "Verwenden des Dialogfelds 'I-DEAS-Server-Verbindung'".
  3. Wenn die Verbindung mit einem I-DEAS-Server hergestellt wurde, können Sie im Dialogfeld I-DEAS-Elementauswahl Elemente für den Import auswählen. Weitere Informationen hierzu finden Sie unter "Verwenden des Dialogfelds 'I-DEAS-Elementauswahl'".
  4. Klicken Sie auf die Schaltfläche Ausgewählte Elemente importieren.

    Wenn für die ausgewählten Werkstücke mehrere Koordinatensysteme verfügbar sind, wird das Dialogfeld Auswahl des I-DEAS-Koordinatensystems eingeblendet. Darin können Sie die Koordinatensysteme für die importierten Werkstücke auswählen. Weitere Informationen hierzu finden Sie unter "Verwenden des Dialogfelds 'Auswahl des I-DEAS-Koordinatensystems'". Wenn Sie im Dialogfeld Auswahl des I-DEAS-Koordinatensystems eine Auswahl getroffen haben, importiert PC-DMIS die Elemente.

    Sind keine Koordinatensysteme für die ausgewählten Werkstücke verfügbar, schließt PC-DMIS das Dialogfeld I-DEAS-Elementauswahl und importiert die ausgewählten Elemente.

  5. Arbeiten Sie wie gewohnt mit PC-DMIS.


Verwenden des Dialogfelds "I-DEAS-Elementauswahl"

Im Dialogfeld I-DEAS-Elementauswahl können Sie Elemente aus einer I-DEAS-Modelldatei oder –Bibliothek auswählen. Damit dieses Dialogfeld verfügbar ist, muß PC-DMIS mit einem I-DEAS-Server verbunden sein. Klicken Sie auf die Schaltfläche Ausgewählte Elemente importieren, um ausgewählte Elemente in das Werkstückprogramm zu importieren.

Siehe auch:

Verbindung zu Server herstellen

FTP-etup

Projekte / Modelldateien

Werkstücke in ausgewählter Modelldatei

Baugruppen in ausgewählter Modelldatei


Verbindung zu Server herstellen

Klicken Sie auf die Schaltfläche Verbindung zu Server herstellen, um das Dialogfeld I-DEAS-Server-Verbindung zu öffnen. Informationen zum Herstellen einer Verbindung mit einem I-DEAS-Server finden Sie unter "Verwenden des Dialogfelds 'I-DEAS-Server-Verbindung'".


FTP-Setup

Klicken Sie auf die Schaltfläche FTP-Setup, um das Dialogfeld I-DEAS FTP-Setup zu öffnen. Weitere Informationen hierzu finden Sie unter "Verwenden des Dialogfelds 'I-DEAS FTP-Setup'".


Projekte / Modelldateien

Die Liste Projekte/Modelldateien enthält die in der I-DEAS-Dateninstallation verfügbaren Projekte. Durch Auswahl eines Projekts werden die Modell- und Bibliothekendateien angezeigt, die im Projekt enthalten sind. Wenn die Modelldateien und Bibliotheken für ein Projekt angezeigt werden, können Sie eine Modelldatei oder Bibliothek auswählen, um eine Liste aller darin enthaltenen Werkstücke und Baugruppen anzuzeigen.


Werkstücke in ausgewählter Modelldatei

Im Bereich Werkstücke in ausgewählter Modelldatei wird eine Liste der verfügbaren Werkstücke in der ausgewählten Modelldatei oder Bibliothek angezeigt. Sie können mehrere Werkstücke zum Importieren auswählen. Klicken Sie auf die Schaltfläche Alle Werkstücke auswählen, um alle Werkstücke auszuwählen bzw. die Auswahl aller Werkstücke aufzuheben.


Baugruppen in ausgewählter Modelldatei

Im Bereich Baugruppen in ausgewählter Modelldatei wird eine Liste der verfügbaren Baugruppen in der ausgewählten Modelldatei oder Bibliothek angezeigt. Sie können mehrere Werkstücke und bis zu eine Baugruppe zum Importieren in dasselbe Werkstückprogram auswählen.


Verwenden des Dialogfelds "I-DEAS-Server-Verbindung"

Das Dialogfeld I-DEAS-Server-Verbindung verbindet PC-DMIS mit einem I-DEAS-Server. Klicken Sie auf die Schaltfläche Verbindung aufbauen, um die Systeme mit Hilfe der aktuell verfügbaren Optionen im Dialogfeld zu verbinden. Wenn bereits eine Verbindung zu einem I-DEAS besteht, können Sie die Schaltfläche Verbindung trennen anklicken, um die Verbindung zum Server zu trennen. Anschließend können Sie die Optionen ändern und eine Verbindung zu einem anderen Server herstellen. Wenn unerwartete Probleme auftreten, wird im Bereich Fehlermeldungen eine Meldung angezeigt, in der das Problem beschrieben wird.

Siehe auch:

Host

I-DEAS-Version

Orbix-Anschluß

IIOP-Orbix-Verbindung verwenden

So stellen Sie das verwendete Orbix-Kommunikationsprotokoll fest

Orbix-Server


Host

Im Feld Host wird der Netzwerkcomputer angezeigt, auf dem das I-DEAS-Programm ausgeführt wird. PC-DMIS stellt eine Verbindung zu diesem I-DEAS-Programm her.

Die Standardeinstellung für den Host ist der Name des lokalen Computers. Wenn zuvor kein Host angegeben wurde, zeigt PC-DMIS im Feld Host den Standardnamen an. Sie können auf den Standard-Hostnamen zugreifen, indem Sie den aktuellen Hostnamen löschen, die Tabulatortaste drücken und den Cursor aus dem Feld bewegen. Dadurch wird in das Feld Host automatisch der Hostname des lokalen Computers eingetragen.

Hinweis: Beim Herstellen einer Verbindung zu einem Remote-I-DEAS-Server muß der Netzwerkname des Remote-Computers auf dem Computer, der PC-DMIS ausführt, sichtbar sein. Umgekehrt muß auch der Name dieses Computers auf dem Computer mit dem I-DEAS-Server angezeigt werden. Sie können überprüfen, ob der Computer vorhanden ist, indem Sie ihn mit seinem Netzwerknamen (nicht mit der IP-Adresse) pingen. Wenn Sie einen Computer pingen und der Netzwerkname nicht in eine IP-Adresse aufgelöst wird, müssen Sie den Netzwerknamen und die IP-Adresse der Netzwerknamen-Indexdatei des Hosts hinzufügen.


I-DEAS-Version

In der Liste I-DEAS-Version können Sie die Version von I-DEAS auf dem Host auswählen.


Orbix-Anschluß

Im Feld Orbix-Anschluß können Sie den TCP/IP-Anschluß angeben, der zum Kommunizieren mit dem Server verwendet werden soll. I-DEAS verwendet ein Softwareprodukt namens Orbix für den Datenaustausch zwischen Anwendungen über ein Netzwerk. PC-DMIS verwendet Orbix zum Senden von Daten an den I-DEAS-Server sowie zum Empfangen von Daten vom I-DEAS-Server. Für die Orbix-Kommunikation über ein Netzwerk verwendet I-DEAS standardmäßig den TCP/IP-Anschluß 1570. Wenn I-DEAS nicht den Standardport verwendet, müssen Sie den Anschluß mit Hilfe dieser Option angeben.

Um zu festzustellen, welchen Anschluß I-DEAS für die Orbix-Kommunikation verwendet, gehen Sie wie folgt vor:

  1. Starten Sie eine I-DEAS-Sitzung auf dem Computer, auf dem Sie den Orbix-Anschluß feststellen möchten.
  2. Öffnen Sie ein Befehlsfenster über die I-DEAS-Eingabeaufforderung. Gehen Sie hierfür wie folgt vor:
    • Bei Unix-Systemen geben Sie oaxx execute xterm ein und drücken dann die Eingabetaste.
    • Bei PC-Systemen geben Sie oaxx execute cmd.exe ein und drücken dann die Eingabetaste.

      Dadurch wird ein Terminalfenster oder DOS-Fenster geöffnet, in das Sie Befehle eingeben können.

  3. Geben Sie den folgenden Befehl in das Befehlsfenster ein:
    orbixd -v

    Nun sollte ungefähr folgendes ausgegeben werden:

    Orbix daemon v3.0.1PATCH-11
s1474-3.0.1PATCH-11: Orbix Version v3.0.1PATCH-11  for Microsoft Visual C++ on AIX 4.3.2
Implementation Repository Path …
Daemon Port                       :1570
Daemon Port Base                  :1570
Daemon Port Range                 :50

Der Wert 1570 rechts neben "Daemon Port" ist der Orbix-Anschluß, den Sie verwenden sollten. Dieser Wert sollte dem Wert im Feld Orbix-Anschluß entsprechen.

Wenn Sie bei Eingabe des Befehls orbixd –v eine Fehlermeldung erhalten, ist die Orbix-Version älter als Version 3.0 und unterstützt den Befehlszeilenschalter –v nicht. In diesem Fall müssen Sie folgenden Befehl eingeben, um den Orbix-Anschluß festzustellen:

lsit –h yahoo.com

Nun dürften Sie Fehlermeldungen etwa in der Art erhalten:

[341: Retrying connection to host `yahoo.com' port 1570]

Der in der Fehlermeldung angegebene Anschluß ist der Orbix-Anschluß, den Sie verwenden sollten.


IIOP-Orbix-Verbindung verwenden

Je nachdem, welche Version von Orbix auf dem I-DEAS-Servercomputer installiert ist, verwendet die Netzwerkverbindung eines von zwei verfügbaren Kommunikationsprotokollen.

  • In Orbix 3.0 oder höher erfolgt die Netzwerkkommunikation über das CORBA Internet Inter-ORB-Protokoll (IIOP).
  • Versionen vor Orbix 3.0 verwenden für die Netzwerkkommunikation das eigene nicht standardisierte Orbix-Kommunikationsprotokoll.

I-DEAS 8 wird standardmäßig zusammen mit Orbix Version 3.0 installiert. Beim Herstellen einer Verbindung zu I-DEAS 8 oder höher sollten Sie daher das IIOP-Protokoll verwenden. Wenn Sie jedoch wissen, daß die Orbix-Version älter als Version 3.0 ist, sollten Sie das IIOP-Protokoll nicht verwenden.

Hinweis: Wenn I-DEAS 8 auf einem SGI- oder IBM-Computer installiert ist, wird für die Netzwerkkommunikation meist Orbix 2.2 verwendet. Daher müssen Sie beim Herstellen einer Verbindung zu I-DEAS 8 auf einem SGI- oder IBM-Computer das Kontrollkästchen IIOP-Orbix-Verbindung verwenden deaktivieren.


So stellen Sie das verwendete Orbix-Kommunikationsprotokoll fest

Sie können feststellen, welches Orbix-Kommunikationsprotokoll auf dem Host verwendet wird, indem Sie die folgenden Schritte ausführen:

  1. Starten Sie I-DEAS auf dem Computer, auf dem Sie das Orbix-Kommunikationsprotokoll feststellen möchten.
  2. Öffnen Sie über die Eingabeaufforderung von I-DEAS ein Befehlsfenster.
  • Bei Unix-Systemen geben Sie oaxx execute xterm ein und drücken dann die Eingabetaste.
  • Bei PC-Systemen geben Sie oaxx execute cmd.exe /c start cmd ein, und drücken dann die Eingabetaste.

    Dadurch wird ein Terminalfenster oder DOS-Fenster geöffnet, in das Sie Befehle eingeben können.

    3. Geben Sie den folgenden Befehl in das Befehlsfenster ein:
orbixd -v

Nun sollte ungefähr folgendes ausgegeben werden:

Orbix daemon v3.0.1PATCH-11
s1474-3.0.1PATCH-11: Orbix Version v3.0.1PATCH-11  for Microsoft Visual C++ on AIX 4.3.2

Die erste Zeile zeigt die Orbix-Version an. In diesem Fall ist dies Version 3.0.1.

  • Lautet die Version 3.0 oder höher, verwendet Orbix das IIOP-Protokoll. Vergewissern Sie sich, daß das Kontrollkästchen IIOP-Orbix-Verbindung verwenden aktiviert ist.
  • Ist die Version älter als Version 3.0, wird eine Fehlermeldung ausgegeben, wenn Sie den Befehl orbixd –v eingeben. (Orbix-Versionen vor Version 3.0 unterstützen den Befehlszeilenschalter –v nicht.) In diesem Fall verwendet Orbix das eigene Orbix-Kommunikationsprotokoll, und Sie müssen das Kontrollkästchen IIOP-Orbix-Verbindung verwenden deaktivieren.


Orbix-Server

Im Bereich Orbix-Server können Sie festlegen, wie die Verbindung zum I-DEAS-Server hergestellt werden soll. Sie können die Standardverbindungsmethode und den Standardserver auswählen, indem Sie auf die Schaltfläche Use Default (Standard verwenden) klicken.

Die Verbindung zum I-DEAS-Server kann auf zwei verschiedene Weisen hergestellt werden:

Methode 1:

PC-DMIS startet eine I-DEAS-Sitzung, zu der Sie eine Verbindung herstellen können. Dies ist die Standardmethode. Wenn Sie einen anderen Server verwenden möchten, klicken Sie auf die Schaltfläche Bestimmen. Daraufhin zeigt PC-DMIS die verfügbaren Verzeichnisse und Server im Bereich Server-Speicher an.

Sobald der Server-Speicher-Baum angezeigt wird, können Sie einen passenden Server für die verwendete I-DEAS-Version auswählen.

PC-DMIS analysiert den Startbefehl für den ausgewählten Server, um den Befehl für das Starten von I-DEAS festzustellen. Dieser Befehl wird verwendet, um einen neuen temporären Server mit speziellen Startbefehlsoptionen für PC-DMIS zu erstellen.

Methode 2:

PC-DMIS stellt eine Verbindung zu einer aktiven I-DEAS-Sitzung her. Der Startvorgang der aktiven Sitzung sollte bereits abgeschlossen sein. Aktivieren Sie das Kontrollkästchen Verbindung zu aktivem Server herstellen, um eine Verbindung zu einer aktiven I-DEAS-Sitzung herzustellen. Das Feld Orbix-Server ist zu Beginn leer. In diesem Fall versucht PC-DMIS, eine Verbindung zu einem beliebigen aktiven Server auf dem Host herzustellen. Wenn mehr als eine I-DEAS-Sitzung aktiv ist, kann dies zu unvorhersehbaren Ergebnissen führen.

Gehen Sie wie folgt vor, um eine Verbindung zu einem bestimmten aktiven Server herzustellen.

  1. Klicken Sie auf die Schaltfläche Bestimmen. Daraufhin werden alle aktiven Orbix-Server angezeigt.
  2. Wählen Sie den Server aus, zu dem Sie die Verbindung herstellen möchten.

Hinweis: Beim Herstellen einer Verbindung zu einem bestimmten aktiven Orbix-Server müssen Sie den Server jedesmal angeben, wenn Sie das Werkstückprogramm öffnen. Dadurch wird sichergestellt, daß Sie die Verbindung zum richtigen Server herstellen.

Hinweis: Zum Herstellen einer Verbindung zu einer Ford C3P-Version von I-DEAS müssen Sie die zweite Methode verwenden.


Verwenden des Dialogfelds "I-DEAS FTP-Setup"

Über das Dialogfeld I-DEAS FTP-Setup können Sie die FTP- (File Transfer Protocol-) Optionen festlegen und die FTP-Kommunikation mit dem I-DEAS-Servercomputer testen. PC-DMIS verwendet FTP, um die Geschwindigkeit bei der Übertragung von Dateien von einem Remote-I-DEAS-Host zu erhöhen. Wenn auf dem I-DEAS-Host kein FTP-Server verfügbar ist, wird eine langsamere Methode zur Übertragung der Dateien über das Kommunikationsprotokoll verwendet. Die langsamere Methode ist etwa zehnmal langsamer als FTP.

Um sicherzustellen, daß PC-DMIS Dateien per FTP an den I-DEAS-Host übertragen kann, müssen verschiedene Bedingungen erfüllt sein:

  • Auf dem I-DEAS-Host muß ein FTP-Server ausgeführt werden. Sie können dies überprüfen, indem Sie über die DOS-Eingabeaufforderung mit dem Host per FTP kommunizieren.
  • Bei Verwendung von FTP muß das Lesen einer Datei aus dem Scratch-Verzeichnis von I-DEAS möglich sein. Sie können dies wiederum überprüfen, indem Sie über die DOS-Eingabeaufforderung mit dem Host per FTP kommunizieren und versuchen, eine Datei aus dem Scratch-Verzeichnis von I-DEAS zu lesen.

    Gehen Sie zur Feststellung des I-DEAS-Scratch-Verzeichnisses vor wie folgt:

    1. Geben Sie in der I-DEAS-Sitzung auf dem Remote-Host den folgenden Befehl in das I-DEAS-Eingabefenster ein:

      / MA IDM

  2. Nach Eingabe des Befehls sollte die gewünschte Information im I-DEAS-Listenfenster angezeigt werden. Im unteren Bereich des Listenfensters sollte ungefähr folgendes angezeigt werden:
    DataMgmt.ScratchDirectory:
(null) -> e:\users\Dragon\

    Der Text rechts neben -> ist das Verzeichnis, aus dem FTP die Dateien lesen können muß. In diesem Beispiel lautet das Scratch-Verzeichnis e:\users\Dragon\.

Siehe auch:

Anonyme Anmeldung

Benutzername

Kennwort

FTP-Verbindung testen


Anonyme Anmeldung

Aktivieren Sie dieses Kontrollkästchen, wenn die Lese- und Schreibrechte auch bei einer anonymen Anmeldung erteilt werden sollen. Sind bei einer anonymen Anmeldung keine Lese- und Schreibrechte zulässig, deaktivieren Sie dieses Kontrollkästchen, und geben Sie einen Benutzernamen und ein Kennwort für den Benutzer ein, der über Lese- und Schreibrechte verfügen soll.


Benutzername

Wenn Sie das Kontrollkästchen Anonyme Anmeldung deaktivieren, wird das Feld Benutzername verfügbar, und Sie müssen einen Benutzernamen eingeben, um sich anzumelden.


Direkte Schnittstellen mit einer CAD-Datei - Verwenden des Dialogfelds "I-DEAS FTP-Setup" - Kennwort

Kennwort

Geben Sie in dieses Feld das Kennwort für Ihren Benutzernamen ein. Wenn Sie das Kontrollkästchen Anonyme Anmeldung aktivieren, benötigen Sie kein Kennwort.


FTP-Verbindung testen

Klicken Sie auf die Schaltfläche FTP-Verbindung testen, um eine Testdatei an den I-DEAS-Servercomputer zu senden und von selbigem zu empfangen. PC-DMIS sendet die Datei an das I-DEAS-Scratch-Verzeichnis. Nach Abschluß des Tests entfernt PC-DMIS die Testdatei wieder aus dem Verzeichnis. Wenn während des Tests Probleme auftreten, wird eine Fehlermeldung mit einer Beschreibung des Problems angezeigt. Andernfalls wird eine Erfolgsmeldung eingeblendet, die eine Statistik mit den Übertragungsraten des I-DEAS-Servercomputers enthält.


Verwenden des Dialogfelds "Auswahl des I-DEAS-Koordinatensystems"

Im Dialogfeld Auswahl des I-DEAS- Koordinatensystems können Sie ein Koordinatensystem für importierte Werkstücke auswählen. Das Dialogfeld wird geöffnet, wenn Sie im Dialogfeld I-DEAS-Elementauswahl auf die Schaltfläche Ausgewählte Elemente importieren klicken.

Hinweis: Das Dialogfeld wird nur angezeigt, wenn mehrere Koordinatensysteme für die importierten Werkstücke verfügbar sind.

Klicken Sie nach dem Ändern des Koordinatensystems für die Werkstücke auf OK, um die Änderungen zu akzeptieren. Klicken Sie auf Abbrechen, um die Änderungen zu verwerfen.

Siehe auch:

Zu importierende Werkstücke

Ausgewähltes Werkstück


Zu importierende Werkstücke

In der Liste Zu importierende Werkstücke sind die Werkstücke aufgeführt, die PC-DMIS importieren wird. Wählen Sie jedes Werkstück aus, dessen Koordinatensystem Sie ändern möchten.

Hinweis: Beim Importieren einer Baugruppe wird diese Liste nicht angezeigt, da Baugruppen nicht mit Koordinatensystemen verknüpft sind.


Ausgewähltes Werkstück

Im Bereich Ausgewähltes Werkstück wird angezeigt, welches Koordinatensystem für das ausgewählte Werkstück verwendet wird. Wählen Sie in der Auswahlliste eines der Koordinatensysteme aus. Wenn Sie für das Werkstück kein Koordinatensystem verwenden möchten, deaktivieren Sie das Kontrollkästchen Koordinatensystem verwenden.


Installieren und Verwenden der ACIS Direct CAD-Schnittstelle für Version 3.6 oder höher

Befolgen Sie die Anweisungen in diesem Abschnitt, um PC-DMIS zu installieren und Ihr System für die Verwendung der ACIS Direct CAD-Schnittstelle zu konfigurieren.

Vergewissern Sie sich bei Installation auf einem Windows NT-Computer zunächst, daß Sie über uneingeschränkte Administratorrechte verfügen.

Siehe auch:

Schritt 1: Installieren von PC-DMIS

Schritt 2: Testen der Direct CAD-Schnittstelle für ACIS


Direkte Schnittstellen mit einer CAD-Datei - Installieren und Verwenden der ACIS Direct CAD-Schnittstelle für PC-DMIS Version 3.6 oder höher - Schritt 1 : Installieren von PC-DMIS

Schritt 1: Installieren von PC-DMIS

Das Installationsprogramm von PC-DMIS 3.2 oder höher legt mehrere DLLs in der Umgebungsvariablen PATH ab, wodurch Sie eine direkte Verbindung zu ACIS-CAD-Dateien erhalten. So installieren Sie PC-DMIS:

  1. Verbinden Sie die PC-DMIS-Anschlußsperre (auch Dongle genannt) mit dem Druckeranschluß Ihres Computers.
  2. Legen Sie die PC-DMIS-CD-ROM in das CD-ROM-Laufwerk ein.
  3. Öffnen Sie im Windows-Explorer das Verzeichnis mit der CD-ROM, und navigieren Sie zur setup.exe- Anwendung für PC-DMIS.
  4. Doppelklicken Sie auf die Datei setup.exe (ausführen).
  5. Dadurch wird der PC-DMIS-Installationsvorgang gestartet.
  6. Folgen Sie den Bildschirmanweisungen.
  7. Am Ende des Installationsvorgangs wird die Programmgruppe PC-DMIS für Windows eingeblendet, die ein Startsymbol enthält.
  8. Doppelklicken Sie auf dieses Symbol, und warten Sie einen Moment. PC-DMIS überprüft in der Zwischenzeit die Einstellungen der Anschlußsperre.
  9. Nun sollten in der Programmgruppe PC-DMIS für Windows mehrere neue Symbole angezeigt werden. Dazu gehören: Offline, Deinstallation und Hilfe.

Hiermit ist die Installation von PC-DMIS abgeschlossen.


Schritt 2: : Testen der Direct CAD-Schnittstelle für ACIS

Folgen Sie den nachstehenden Anweisungen, um die Direct CAD-Schnittstelle für ACIS zu testen:

Siehe auch:

Starten von PC-DMIS:

Ein neues Werkstückprogramm erstellen


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 2 : Testen der Direct CAD-Schnittstelle für ACIS - Starten von PC-DMIS :

Starten von PC-DMIS:

  1. Wählen Sie im Menü Start die Option Programme | PC-DMIS für Windows | Online. PC-DMIS wird gestartet.
    2. Klicken Sie auf Abbrechen, wenn das Dialogfeld Datei öffnen eingeblendet wird.


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 2 : Testen der Direct CAD-Schnittstelle für ACIS - Erstellen eines neuen Werkstückprogramms :

Erstellen eines neuen Werkstückprogramms:

  1. Wählen Sie die Menüoption Neu, um ein neues Werkstückprogramm zu erstellen. Es erscheint das Dialogfeld Neues Werkstückprogramm.
  2. Geben Sie in das Feld Werkstückname einen Namen für das Werkstückprogramm ein, und füllen Sie gegebenenfalls die anderen Felder aus.
  3. Wählen Sie im Bereich Einheiten die Maßeinheit aus. Diese sollten den Maßeinheiten entsprechen, die in der zu importierenden CAD-Datei verwendet werden.
  4. Klicken Sie auf OK. Das Dialogfeld wird geschlossen und das Dialogfeld Taster Hilfsprogramme geöffnet.
  5. Klicken Sie im Dialogfeld Taster Hilfsprogramme auf Abbrechen, um es zu schließen.

    Importieren einer ACIS-Werkstückdatei

  6. Wählen Sie die Menüoption DCI Importieren aus. Das Dialogfeld DCI Typ auswählen wird eingeblendet.
    Wählen Sie die Option ACIS und klicken Sie auf OK. Nun erscheint das Dialogfeld Öffnen.
  7. Wählen Sie in der Liste Dateityp den Eintrag ACIS-Dateien.
  8. Navigieren Sie zum Verzeichnis, das die zu importierende ACIS-Datei enthält.
  9. Wählen Sie das ACIS-Werkstück (mit einer .sat-Erweiterung) aus.
  10. Klicken Sie auf OK. PC-DMIS importiert die ausgewählte Datei.
  11. Arbeiten Sie wie gewohnt mit PC-DMIS.


Installieren und Verwenden der SolidWorks Direct CAD-Schnittstelle für PC-DMIS 3,6 oder höher

Befolgen Sie die Anweisungen in diesem Abschnitt, um PC-DMIS zu installieren und Ihr System für die Verwendung der SolidWorks Direct CAD-Schnittstelle zu konfigurieren.

  • Vergewissern Sie sich zunächst, daß Sie über uneingeschränkte Administratorrechte verfügen.
  • Falls dies noch nicht geschehen ist, installieren Sie SolidWorks 2001 Plus (Service Pack 4.0) auf demselben Computer, auf dem PC-DMIS ausgeführt wird. SolidWorks muß auf dem lokalen Rechner ausgeführt werden könne, damit PC-DMIS eine Schnittstelle zu SolidWorks herstellen kann. Sie müssen über eine SolidWorks-Basislizenz verfügen. Falls Sie keine Lizenz besitzen, können Sie bei SolidWorks eine Lizenz erwerben (siehe http://www.solidworks.com).

Siehe auch:

Schritt 1: Installieren von PC-DMIS

Schritt 2: Testen der Direct CAD-Schnittstelle für SolidWorks


Direkte Schnittstellen mit einer CAD-Datei - Installieren und Verwenden der SolidWorks Direct CAD-Schnittstelle für PC-DMIS Version 3.6 oder höher - Schritt 1 : Installieren von PC-DMIS

Schritt 1: Installieren von PC-DMIS

Zunächst müssen Sie PC-DMIS Version 3.5 installieren. Vorgehensweise:

  1. Verbinden Sie die PC-DMIS-Anschlußsperre (auch Dongle genannt) mit dem Druckeranschluß Ihres Computers.
  2. Legen Sie die PC-DMIS-CD-ROM in das CD-ROM-Laufwerk ein.
  3. Öffnen Sie im Windows-Explorer das Verzeichnis mit der CD-ROM, und navigieren Sie zur setup.exe- Anwendung für PC-DMIS.
  4. Doppelklicken Sie auf die Datei setup.exe (ausführen).
  5. Dadurch wird der PC-DMIS-Installationsvorgang gestartet.
  6. Folgen Sie den Bildschirmanweisungen.
  7. Am Ende des Installationsvorgangs wird die Programmgruppe PC-DMIS für Windows eingeblendet, die ein Startsymbol enthält.
  8. Doppelklicken Sie auf dieses Symbol, und warten Sie einen Moment. PC-DMIS überprüft jetzt die Einstellungen der Anschlußsperre.
  9. Nun sollten in der Programmgruppe PC-DMIS für Windows mehrere neue Symbole angezeigt werden. Dazu gehören: Offline, Deinstallation und Hilfe.

Hiermit ist die Installation von PC-DMIS abgeschlossen.


Schritt 2: : Testen der Direct CAD-Schnittstelle für SolidWorks

Im letzten Schritt importieren Sie eine SolidWorks-Werkstückdatei und testen die Direct CAD-Schnittstelle.

Siehe auch:

Starten von PC-DMIS:

Ein neues Werkstückprogramm erstellen

Importieren einer SolidWorks-Werkstückdatei


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 2 : Testen der Direct CAD-Schnittstelle für SolidWorks - Starten von PC-DMIS :

Starten von PC-DMIS:

  1. Wählen Sie im Menü Start die Option Programme | PC-DMIS für Windows | Online. PC-DMIS wird gestartet.
  2. Klicken Sie auf Abbrechen, wenn das Dialogfeld Datei öffnen eingeblendet wird.


Direkte Schnittstellenanbindung mit einer CAD-Datei - Schritt 2 : Testen der Direct CAD-Schnittstelle für SolidWorks - Erstellen eines neuen Werkstückprogramms :

Erstellen eines neuen Werkstückprogramms:

  1. Wählen Sie die Menüoption Neu, um ein neues Werkstückprogramm zu erstellen. Es erscheint das Dialogfeld Neues Werkstückprogramm.
  2. Geben Sie in das Feld Werkstückname einen Namen für das Werkstückprogramm ein, und füllen Sie gegebenenfalls die anderen Felder aus.
  3. Wählen Sie im Bereich Einheiten die Maßeinheit aus. Sie müssen nicht den Maßeinheiten entsprechen, die in der zu importierenden CAD-Datei verwendet werden.
  4. Klicken Sie auf OK. Das Dialogfeld wird geschlossen und das Dialogfeld Taster Hilfsprogramme automatisch geöffnet.
  5. Klicken Sie im Dialogfeld Taster Hilfsprogramme auf Abbrechen, um es zu schließen.


Importieren einer SolidWorks-Werkstückdatei

Hinweis: Beim Importieren eines SolidWorks-Werkstücks in PC-DMIS, werden Attribute in der SolidWorks-Werkstückdatei erzeugt. Diese Attribute werden von PC-DMIS benötigt, um importierte CAD-Objekte wieder in Übereinstimmung mit ihrer ursprünglicher Darstellung in SolidWorks zu bringen.

  1. Wählen Sie die Menüoption DCI Importieren aus. Das Dialogfeld DCI Typ auswählen wird eingeblendet.
    Wählen Sie die Option SolidWorks und klicken Sie auf OK. Nun erscheint das Dialogfeld Öffnen.
  2. Wählen Sie in der Liste Dateityp den Eintrag SolidWorks DCI.
  3. Navigieren Sie zu dem Verzeichnis, das die zu importierende SolidWorks-Datei enthält.
  4. Wählen Sie das SolidWorks-Werkstück aus (eine Datei mit der Erweiterung .sldprt oder .sldasm).
  5. Klicken Sie auf Importieren. Das Dialogfeld wird geschlossen.
  • Wenn mehrere Koordinatensysteme verfügbar sind, wird als nächstes das Dialogfeld DCI- Koordinatensystem auswählen eingeblendet. Es enthält eine Liste der verfügbaren Koordinatensysteme.

    Fahren Sie mit Schritt 6 fort.
  • Wenn nicht mehrere Koordinatensysteme verfügbar sind, wird das Dialogfeld DCI Koordinatensystem auswählen nicht angezeigt, und Sie können mit Schritt 8 fortfahren.
  6. Wählen Sie ein Koordinatensystem aus, das beim Importieren als Basis (oder Nullpunkt) für die CAD-Daten verwendet wird.
  7. Klicken Sie auf OK, um das ausgewählte Koordinatensystem zu akzeptieren. Wenn Sie die SolidWorks-CAD-Daten ohne Koordinatensystem importieren möchten, klicken Sie statt dessen auf die Schaltfläche Abbrechen.
  8. PC-DMIS importiert die ausgewählte Datei.
  9. Arbeiten Sie wie gewohnt mit PC-DMIS.


Problembehandlung bei Direct CAD-Schnittstellen

Nutzen Sie diese Hinweise zur Problembehandlung, um Ihre Probleme mit Direct CAD-Schnittstellen zu lösen.

Gegenwärtig werden folgende Themen in diesem Ratgeber behandelt:

  • Problembehandlung bei Unigraphics DCI-Fehlern
    • Error! Reference source not found.
    • Error! Reference source not found.
    • Error! Reference source not found.

Siehe auch:

Problembehandlung bei Unigraphics DCI-Fehlern

Problembehandlung bei CATIA DCI-Fehlern

Problembehandlung bei Pro/ENGINEER DCI-Fehlern

Problembehandlung bei SolidWorks DCI-Fehlern

Problembehandlung bei I-DEAS DCI-Fehlern


Problembehandlung bei Unigraphics DCI-Fehlern

Problem: Wenn Sie eine Unigraphics-Werkstückdatei importieren, erhalten Sie folgende Fehlermeldung: "FEHLER – Kann die UG-Anwendungsdatei nicht finden!".
Mögliche Ursachen:
  • Ist die Umgebungsvariable UGII_ROOT_DIR richtig eingestellt?
    Diese Umgebungsvariable wird während des Unigraphics-Installationsprozesses eingerichtet. PC-DMIS verwendet sie zum Auffinden der UG-Anwendungsdatei. Um den Wert zu überprüfen, öffnen Sie das Befehlseingabefenster und geben Sie echo %UGII_ROOT_DIR ein. Drücken Sie dann die EINGABETASTE. Wenn die Umgebungsvariable korrekt installiert ist, gibt das Befehlseingabefenster das Verzeichnis zurück, das die Umgebungsvariable enthält: c:\ugs180\UGII\ pathway.
  • Ist die UG-Anwendungsdatei dort, wo sie sein soll?
    Die UG-Anwendungsdatei, Libfun.dll, sollte sich im Verzeichnis %UGII_ROOT_DIR% befinden. To check this, open a Command Prompt window and type dir %UGII_ROOT_DIR% and then press ENTER. You should see the Command Prompt window display the libufun.dll file information.
  • Verfügen Sie über die erforderlichen Unigraphics-Lizenzen?
    Die beiden erforderlichen Lizenzmerkmale sind "gateway" und "ufunc_execute". Sie können überprüfen, ob der Lizenzmanager ausgeführt wird und die erforderlichen Lizenzmerkmale verfügbar sind, indem Sie das von Unigraphics angebotene Hilfsprogramm LMTOOLS anwenden. Dieses Hilfsprogramm wird durch Öffnen der Anwendung lmtools.exe im Verzeichnis UGFLEXLM gestartet. Wenn das Hilfsprogramm ausgeführt wird, klicken Sie auf die Registerkarte Server Diagnostics und geben Sie im Feld Feature Name das zu überprüfende Lizenzmerkmal (beispielsweise ufunc_execute) ein. Klicken Sie dann auf die Schaltfläche Perform Diagnostics (Diagnose stellen). LMTOOLS zeigt die Ergebnisse des Diagnosetests in derselben Registerkarte an. Weitere Informationen zur Verwendung von LMTOOLS finden Sie in Ihrem Benutzerhandbuch "UG FLEXLM".
  • Ist die UG-Werkstückdatei beschädigt?
    Unigraphics bietet ein Werkzeug namens UG_INSPECT.EXE an, mit dem überprüft werden kann, ob Unigraphics-Werkstückdateien korrumpiert sind. Dieses Werkzeug befindet sich im Unigraphics-Verzeichnis UGII und wird in einem Befehlseingabefenster ausgeführt. Weitere Informationen zur Verwendung dieses Werkzeugs erhalten Sie, wenn Sie das Befehlseingabefenster öffnen, ug_inspect –help eingeben und dann die EINGABETASTE drücken.


Problembehandlung bei CATIA DCI-Fehlern

Problem: PC-DMIS kann keine Verbindung zu pcdcat herstellen.
Mögliche Ursachen:
  • Wird pcdcat gerade auf der UNIX-Arbeitsstation ausgeführt?
    Das Programm PCDCAT muß ausgeführt werden, damit PC-DMIS eine Verbindung herstellen kann.
  • Stimmen die Einträge der pcdlrn.ini-Datei oder des PC-DMIS-Einstellungseditors mit der Datei pcdmis.dat im Feld UNIX überein?
    Der PC-seitige Registrierungseintrag CatiaAddress im PC-DMIS-Einstellungseditors (oder die Datei pcdlrn.ini, wenn Sie mit einer älteren Version als 3.5 arbeiten), sollte genau mit dem Eintrag "IP" der Datei pcdmis.dat übereinstimmen und der IP-Adresse der UNIX-Arbeitsstation entsprechen. Auch der PC-seitige Eintrag CatiaPort muß dem Eintrag PORT in der Datei pcdmis.dat entsprechen und ein offener Anschluß auf beiden Rechnern sein.
  • Wird die UNIX-Arbeitsstation auf dem PC-DMIS PC angezeigt?
    Der PC muß über das Netzwerk auf die UNIX-Arbeitsstation zugreifen können. Geben Sie im Befehlseingabefenster des PCs den Befehl "Ping IP_ADDRESS" ein, wobei IP_ADDRESS die IP-Adresse ist, die PC-DMIS für die UNIX-Arbeitsstation speichert.
Problem: PC-DMIS kann eine Verbindung herstellen, jedoch keinen Ordner öffnen.
Mögliche Ursachen:
  • Der von Ihnen in PC-DMIS angegebene Verzeichnisname ist nicht in der CATIA-Umgebung registriert.
    Das Verzeichnis, aus dem PC-DMIS die Modelldateien liest, muß in der CATIA-Umgebung auf der UNIX-Arbeitsstation registriert sein. Hierzu bearbeiten Sie die Dateien *.dcls. Beispielsweise kann ein vollständiges Pfadverzeichnis, wie "/home/catadm/db", mit der folgenden Befehlszeile registriert werden:
    tia.MODEL = '$HOME/db';
    Ebenso können Sie mit der Bezeichnung "db" auf dasselbe Verzeichnis verweisen, wenn Sie folgende Befehlszeile verwenden:
    catia.MODEL = '$HOME/db' ;
  • Das Verzeichnis verfügt nicht über die erforderlichen Rechte.
    Der angemeldete Benutzer, der pcdcat ausführt, benötigt die Schreib-/Leserechte für dieses Verzeichnis.
Problem: Sie können eine Modelldatei auswählen. Sie wird jedoch nicht geöffnet, möglicherweise mit der Meldung, daß sie die falschen Maßeinheiten aufweist.
Mögliche Ursachen:
  • Verfügen Sie über die erforderlichen Schreib-/Leserechte für das Modell?
    CATIA benötigt Schreib-/Leserechte für das Lesen der Datei?


Problembehandlung bei Pro/ENGINEER DCI-Fehlern

Um Probleme mit der Pro/ENGINEER DCI zu behandeln, sollten Sie zunächst PC-DMIS mit dem Befehlszeilenausdruck "/proedebug" ausführen. Dadurch werden Diagnosemeldungen angezeigt.

Vorgehensweise:

  1. Klicken Sie in Windows mit der rechten Maustaste auf die Verknüpfung zum Starten von PC-DMIS.
  2. Klicken Sie auf die Schaltfläche Eigenschaften. Das Dialogfeld Eigenschaften wird angezeigt.
  3. Öffnen Sie die Registerkarte Verknüpfung.
  4. Ergänzen Sie die im Feld Ziel vorhandene Zeichenfolge um den folgenden Ausdruck: /proedebug
  5. Arbeiten Sie wie gewohnt mit PC-DMIS.
Problem: PC-DMIS kann die dll laden, Pro/ENGINEER kann jedoch nicht erfolgreich gestartet werden.
Mögliche Ursachen:
  • Wird bereits ein Vorgang namens xtop ausgeführt?
    Überprüfen Sie den Windows Task-Manager. Befindet sich dort ein Prozess namens xtop aus einer vorherigen Sitzung mit Pro/ENGINEER oder der Pro/ENGINNER DCI, ist dieser vor Ausführung der Pro/ENGINEER DCI zu beenden.
  • Ist die Variable PRO_COMM_MSG_EXE richtig eingestellt?
    In älteren Versionen als PC-DMIS 3.5 mußte die Umgebungsvariable Pro_Comm_Msg_Exe dem vollständigen Pfad zur Datei pro_comm._msg.exe im Pro/ENGINEER-Installationsverzeichnis entsprechen.
  • Sind die Einträge in der ini-Datei/Registrierung korrekt?
    In der Sektion [ProEngineer] der Datei Pcdrln.ini file oder des PC-DMIS-Einstellungseditors sollte der Eintrag ProEngineerExecutableName den entsprechenden Befehl zur Ausführung von Pro/ENGINEER von der Befehlszeile aus enthalten.
  • Kann Pro/ENGINEER von einem Befehlseingabefenster aus ausgeführt werden?
    Die Installation von Pro/ENGINEER muß so eingerichtet werden, daß das Programm von der Befehlszeile aus ausgeführt werden kann. Bei den meisten Installationen erfolgt dies standardmäßig.
  • Erstellt Pro/ENGINEER eine Datei namens std.out?
    Überprüfen Sie die beiden Verzeichnisse, in denen die Datei pcdlrn.exe und das Pro/ENGINEER-Modell abgelegt sind. Wenn Sie eine Datei namens "std.out" finden, enthält diese möglicherweise Diagnose-Informationen im Hinblick auf Pro/ENGINEER.
Problem: Beim Importieren einer DCI-Werkstückprogrammdatei auf einen Computer, der nicht über eine Pro/ENGINEER-Lizenz verfügt, dauert es sehr lange, bis eine Timeout-Meldung erscheint.
Mögliche Ursachen:
  • Ist der Registrierungseintrag ProEngineerLoad auf TRUE gesetzt?
    Sie finden diesen Eintrag in der Sektion [ProEngineer] des PC-DMIS-Einstellungseditors. Sie sollten diesen Eintrag auf FALSE setzen, wenn Pro/ENGINEER nicht auf dem Computer installiert ist, der das Werkstückprogramm ausführen wird.


Problembehandlung bei SolidWorks DCI-Fehlern

Problem: Wenn Sie eine SolidWorks-Werkstückdatei importieren, erhalten Sie folgende Fehlermeldung: "Verbindung zu SolidWorks-Sitzung kann nicht hergestellt werden".
Mögliche Ursachen:
  • Können Sie SolidWorks von der Arbeitsstation aus ausführen?
    Sie müssen SolidWorks ausführen können, da die SolidWorks Direct CAD-Schnittstelle im Hintergrund eine SolidWorks-Sitzung startet, um auf das SolidWorks-Werkstück zugreifen zu können.
  • Haben Sie eine unterstützte Version von SolidWorks installiert?
    Die SolidWorks Direct CAD-Schnittstelle unterstützt SolidWorks 2001 Plus, Version 10.0.0 oder höher.
Problem: Es dauert extrem lange (fünf Minuten oder länger) ein Werkstückprogramm zu öffnen, wenn das SolidWorks-Modell bereits importiert wurde.
Mögliche Ursachen:
  • Ist der Registrierungseintrag SaveSolidWorksAttributesInPart auf den Wert 1 gesetzt?
    Mit diesem Registrierungseintrag in der Sektion [OPTION] des PC-DMIS-Einstellungseditors können Sie festlegen, ob PC-DMIS die Daten von SolidWorks-Werkstücken im Werkstückprogramm speichern soll oder nicht. Die Einstellung dieses Registrierungseintrags auf den Wert 0 beschleunigt die Ladezeiten.


Problembehandlung bei I-DEAS DCI-Fehlern

Dokumentation ist in Vorbereitung.


Using the Road Map

Karte für den Zugriff auf Menüoptionen

Karte für den Zugriff auf Dialogfelder, Fenster und Editoren


Verwenden der Übersichtskarte: Einführung

In Version 3.5 und höher bietet PC-DMIS eine verbesserte Menüstruktur, die sich von jener älterer Versionen unterscheidet. Dieser Abschnitt ist für Benutzer gedacht, die mit der alten Benutzeroberfläche vertraut sind oder eine Menüoption oder ein Dialogfeld schnell finden möchten, und soll die Orientierung in der neuen Benutzeroberfläche erleichtern.

Hinweis: In dieser Hilfedatei wird innerhalb vieler Hilfethemen ein kleines gelbes Symbol angezeigt . Durch Anklicken dieses Symbols wird eine dynamische Übersichtskarte mit den Menüeinträgen eingeblendet, die Sie auswählen sollten, um die unter diesem Thema behandelten Menüoptionen oder Dialogfelder zu öffnen. Weitere Informationen finden Sie unter "Verwenden der dynamischen Übersichtskarte".

Dieser Abschnitt enthält die folgenden Themen:

  • Karte für den Zugriff auf Menüoptionen
  • Karte für den Zugriff auf Dialogfelder, Fenster und Editoren

Um Ihnen die Orientierung zu erleichtern, enthalten diese Themen alle Menüoptionen und Dialogfelder in alphabetischer Reihenfolge und einen Auswahlpfad, dem Sie folgen sollten, um den jeweiligen Eintrag zu öffnen.


Karte für den Zugriff auf Menüoptionen

Nachfolgend finden Sie eine Tabelle, die beschreibt, welche Menüs Sie für den Zugriff auf eine bestimmte Menüoption auswählen müssen, sowie eine Erklärung der Zeichen in der Tabelle.

Siehe auch:

Zeichenerklärung

Übersichtskarte für Menüs und Menüoptionen


Verwenden der Übersichtskarte - Karte für den Zugriff auf Menüoptionen - Zeichenerklärung

Zeichenerklärung

programmoption | Fett formatierter Text in Kapitälchen bedeutet, daß es sich hierbei um eine Menüoption des Programms handelt.
blaugrün | Die Farbe Blaugrün bedeutet, daß diese Menüoption nur beim Systemstart verfügbar ist. Sobald ein Werkstückprogramm geöffnet wurde, ist diese Option nicht mehr verfügbar.
dunkelrot | Die Farbe Dunkelrot bedeutet, daß diese Menüoption nur verfügbar ist, wenn Sie im Online-Modus arbeiten.
> | Das Pfeilsymbol bedeutet, daß es sich beim ausgewählten Element um die Überschrift eines Menüs oder Untermenüs handelt und daß in diesem Menü oder Untermenü weitere Menüs oder Menüoptionen enthalten sind.


Übersichtskarte für Menüs und Menüoptionen

Menüoption | Auswahlpfad
2d-rotation | Vorgang | Grafikfenster > Bildschirmmodus ändern
3d-rotation | Vorgang | Grafikfenster > Bildschirmmodus ändern
info über pc-dmis für windows | Hilfe |
Beschleunigung | Einfügen | Parameteränderung > Meßgeschwindigkeit
nächstes Fenster aktivieren | Fenster |
aktuelle arme | Ansicht | Symbolleisten
aktueller drehtisch | Ansicht | Symbolleisten
Aktueller taster | Vorgang | Kalibrieren/Bearbeiten
Aktive Tastspitze | Einfügen | Parameteränderung > Taster
Zusätze | Ansicht | Symbolleisten
Ausrichtung > | Einfügen |
Analyse... | Einfügen | Protokollbefehl
winkel... | Einfügen | Merkmal
winkel... | Einfügen | Element > Auto Element > Punkt
Neigung... | Einfügen | Merkmal
bahn animieren | Vorgang | Grafikfenster
Animierter Tasterwechsler | Einfügen | Hardwaredefinition >
Array-indizierung | Einfügen | Parameteränderung
zuweisung... | Einfügen |
werkstückprogramm anhängen... | Einfügen |
Auto element > | Einfügen | Element
Autokalibrieren taster | Einfügen | Kalibrieren
Autokalibrieren mehrarm | Einfügen | Kalibrieren
autom. relative Messung | Einfügen | Parameteränderung
Modus des autom. auslösers | Einfügen | Parameteränderung > Taster
Ebene für autom. auslöser | Einfügen | Parameteränderung > Taster
toleranz bei autom. Auslöser | Einfügen | Parameteränderung > Taster
achse | Einfügen | Scan
Basis | Einfügen | Scan
basic-skript editor | Ansicht |
Basic-skript... | Einfügen |
Hauptachsen... | Einfügen | Scan
lesezeichen > | Bearbeiten |
Haltepunkte > | Bearbeiten |
cAD-Elemente | Bearbeiten | Löschen
cAD-Elemente | Bearbeiten | Grafikfenster
cad gleich werkstück | Vorgang | Grafikfenster
cad-info | Ansicht |
Kalibrieren > | Einfügen |
Kalibrieren/bearbeiten > | Vorgang |
unterprogr. aufrufen... | Einfügen | Programmablaufsteuerung
Leistung... | Einfügen | Statistik-Befehl > SPC-Diagramm
überlappend | Fenster |
Case / end case | Einfügen | Programmablaufsteuerung > Steuerpaare
selbstzentrierend | Einfügen | Scan
charakteristisch | Einfügen | Element > Auto Element > Punkt
umschalten flächen-/konturmodus> | Vorgang | Grafikfenster
bildschirmbereich ändern > | Vorgang | Grafikfenster
Prüfabstand | Einfügen | Parameteränderung > Antastabstände
Untergeordneter modus | Bearbeiten | Markierungen
chinesisch | Datei | Sprache
kreis | Einfügen | Element > Gemessenes Element
kreis | Einfügen | Scan
kreis | Bearbeiten | Elementtyp ändern
kreis... | Einfügen | Element > Konstruiertes Element
kreis... | Einfügen | Element > Auto Element
Klemmwert | Einfügen | Parameteränderung
Alles löschen | Bearbeiten | Markierungen
Alle lesezeichen löschen | Bearbeiten | Lesezeichen
Sicherheitsebenen | Einfügen | Parameteränderung
zwischenablage | Vorgang | Grafikfenster > Bildschirmkopie nach
Schließen | Datei |
kmg -schnittstelle einrichten | Bearbeiten | Einstellungen
koaxialität... | Einfügen | Merkmal
Kollisionserkennung | Vorgang | Grafikfenster
Spalte 132 | Einfügen | Parameteränderung > Merkmale
säule bergen... | Vorgang |
befehl... | Bearbeiten |
Befehle... | Ansicht |
Kommentar... | Einfügen | Protokollbefehl
Complex… (komplex) | Einfügen | Scan
Konzentrizität... | Einfügen | Merkmal
Kegel | Bearbeiten | Elementtyp ändern
Kegel | Einfügen | Element > Gemessenes Element
kegel... | Einfügen | Element > Konstruiertes Element
kegel... | Einfügen | Element > Auto Element
Konstruiertes element > | Einfügen | Element
Konstruierte elemente | Ansicht | Symbolleisten
Steuerpaare > | Einfügen | Programmablaufsteuerung
kopieren | Datei | Vorgänge
kopieren | Bearbeiten |
eck... | Einfügen | Element > Auto Element > Punkte
kurve... | Einfügen | Element > Konstruiertes Element
Kurve | Vorgang | Grafikanzeige > Umschalten Flächen-/Konturmodus
Anpassen... | Ansicht | Symbolleisten
ausschneiden | Bearbeiten |
zylinder | Einfügen | Element > Gemessenes Element
zylinder | Einfügen | Scan
zylinder | Bearbeiten | Elementtyp ändern
zylinder... | Einfügen | Element > Konstruiertes Element
zylinder... | Einfügen | Element > Auto Element
default Case / End Def. Case | Einfügen | Programmablaufsteuerung > Steuerpaare
Löschen | Datei | Vorgänge
Löschen > | Bearbeiten |
lösche letztes element | Bearbeiten | Löschen
Merkmal | Ansicht | Symbolleisten
merkmal > | Einfügen |
merkmalsformat | Einfügen | Parameteränderung > Merkmale
merkmalsangaben | Einfügen | Protokollbefehl
merkmale | Bearbeiten | Löschen
merkmale | Bearbeiten | Grafikfenster
merkmale > | Einfügen | Parameteränderung
Anzeigegenauigkeit | Einfügen | Parameteränderung > Merkmale
Abstand... | Einfügen | Merkmal
dmis-Modus | Ansicht |
Do / until | Einfügen | Programmablaufsteuerung > Steuerpaare
Oberflächen zeichnen ein/aus | Vorgang | Grafikfenster
Holländisch | Datei | Sprache
kante... | Einfügen | Element > Auto Element > Punkte
bearbeitungsfenster | Ansicht |
bearbeitungsfenster | Ansicht | Symbolleisten
fensterfarben bearbeiten | Bearbeiten | Einstellungen
layout des bearbeitungsfensters... | Bearbeiten | Einstellungen
Seitenansicht im bearbeitungsfenster | Datei | Drucken
Druckereinrichtung im bearbeitungsfenster... | Datei | Drucken
Drucken im bearbeitungsfenster... | Datei | Drucken
ellipse... | Einfügen | Element > Konstruiertes Element
ellipse... | Einfügen | Element > Auto Element
Else / end else | Einfügen | Programmablaufsteuerung > Steuerpaare
else If / End Else If | Einfügen | Programmablaufsteuerung > Steuerpaare
element beenden | Vorgang |
schleife beenden | Einfügen | Programmablaufsteuerung
Programm beenden | Einfügen | Programmablaufsteuerung
Ende unterprogramm | Einfügen | Programmablaufsteuerung
Englisch | Datei | Sprache
aktivieren mehrarmbetrieb | Vorgang |
Angleichen... | Einfügen | Ausrichtung
meßpunkt löschen | Vorgang |
Sicherheitszone | Einfügen | Bewegung
Ausführen | Datei |
block ausführen | Datei | Teilw. Ausführung
element ausführen | Datei | Teilw. Ausführung
ausführen ab | Datei | Teilw. Ausführung
ausführen ab cursor | Datei | Teilw. Ausführung
Beenden | Datei |
exportieren... | Datei |
ausdruck... | Bearbeiten |
Externer befehl... | Einfügen |
externes Objekt... | Einfügen | Protokollbefehl
element > | Einfügen |
Elemente | Bearbeiten | Löschen
Elemente | Bearbeiten | Grafikfenster
Elemente | Bearbeiten | Grafikfenster
auto elemente | Ansicht | Symbolleisten
elementgruppe... | Einfügen | Element > Gemessenes Element
Datei | Vorgang | Grafikfenster > Bildschirmkopie nach
datei schließen | Einfügen | Datei I/O-Befehl
datei kopieren | Einfügen | Datei I/O-Befehl
datei löschen | Einfügen | Datei I/O-Befehl
Dateidialogfeld | Einfügen | Datei I/O-Befehl
datei existiert | Einfügen | Datei I/O-Befehl
datei i/O-Befehl > | Einfügen |
datei verschieben | Einfügen | Datei I/O-Befehl
datei öffnen | Einfügen | Datei I/O-Befehl
datei tätigkeiten | Ansicht | Symbolleisten
filter | Einfügen | Element > Konstruiertes Element
Suchen... | Bearbeiten |
fester abstand… | Einfügen | Scan
aufspannung | Einfügen | Hardwaredefinition
vorrichtungen | Bearbeiten | Einstellungen
Ebenheit | Einfügen | Merkmal
programmablaufsteuerung > | Einfügen |
Fly-modus | Einfügen | Parameteränderung > Taster
Schriftarten | Bearbeiten | Einstellungen
seitenvorschub | Einfügen | Protokollbefehl
Französisch | Datei | Sprache
spalt | Einfügen | Element > Auto Element > Nuten
Nur spaltmass | Einfügen | Parameteränderung > Merkmale
gage... | Einfügen | Element > Konstruiertes Element > Feature
Allgemein... | Einfügen | Element > Konstruiertes Element
Deutsch | Datei | Sprache
Gehe zu | Bearbeiten |
goto... | Einfügen | Programmablaufsteuerung
grafikfenster > | Bearbeiten |
grafikfenster > | Vorgang |
Grafikfenster | Ansicht |
Grafik | Ansicht | Symbolleisten
Seitenansicht im grafikfenster | Datei | Drucken
Druckereinrichtung im grafikfenster... | Datei | Drucken
Drucken im grafikfenster... | Datei | Drucken
elementerkennung | Ansicht | Symbolleisten
Hardwaredefinition > | Einfügen |
Extrem... | Einfügen | Element > Auto Element > Punkte
Histogramm... | Einfügen | Statistik-Befehl > SPC-Diagramm
hyperreport-editor | Ansicht |
Hyperreport-protokoll... | Einfügen | Protokollbefehl
If / end if | Einfügen | Programmablaufsteuerung > Steuerpaare
If goto... | Einfügen | Programmablaufsteuerung
Bewegungsfehler ignorieren | Einfügen | Parameteränderung > Taster
Import... | Datei |
index | Hilfe |
standard-haltepunkt einfügen | Bearbeiten | Haltepunkte
prüfprotokoll | Ansicht |
Italienisch | Datei | Sprache
japanisch | Datei | Sprache
eingabe | Einfügen | Merkmal
sprungmarke... | Einfügen | Programmablaufsteuerung
sprache > | Datei |
Linie | Einfügen | Element > Gemessenes Element
Linie | Einfügen | Scan
Linie | Bearbeiten | Elementtyp ändern
Linie... | Einfügen | Element > Auto Element
Linie... | Einfügen | Element > Konstruiertes Element
Linie... | Einfügen | Merkmal > Profil
Offene linie... | Einfügen | Scan
Geschlossene linie... | Einfügen | Scan
Aktuellen taster laden | Vorgang |
Lage | Einfügen | Merkmal
schleifen... | Einfügen | Programmablaufsteuerung
maschine... | Einfügen | Hardwaredefinition
makro-wiedergabe/-Aufnahme | Ansicht | Symbolleisten
3d-darstellung... | Vorgang | Grafikfenster
Manueller/CNC-Modus | Einfügen | Parameteränderung > Taster
Manueller/cnc-modus | Ansicht | Symbolleisten
Manueller rückzug | Einfügen | Parameteränderung > Antastabstände
Manueller ttp... | Einfügen | Scan
markieren | Bearbeiten | Markierungen
Alles markieren | Bearbeiten | Markierungen
fenster mit markierungsgruppen | Ansicht |
Markierungen > | Bearbeiten |
Mehrarmbetrieb... | Vorgang | Kalibrieren/Bearbeiten
Gemessene elemente | Ansicht | Symbolleisten
Gemessene elemente > | Einfügen | Element
Meßgeschwindigkeit > | Einfügen | Parameteränderung
antastabstand > | Einfügen | Parameteränderung
spiegeln... | Datei | Vorgänge
spiegeln... | Vorgang | Grafikfenster
Bewegung > | Einfügen |
Kreisbewegung | Einfügen | Bewegung
Sicherheitsebenenbewegung | Einfügen | Bewegung
Inkrementalbewegung | Einfügen | Bewegung
pH9-Versatzbewegung | Einfügen | Bewegung
Bewegungspunkt | Einfügen | Bewegung
Drehtischbewegung | Einfügen | Bewegung
Bewegungsgeschwindigkeit | Einfügen | Parameteränderung > Meßgeschwindigkeit
Fünfachsenbewegung | Einfügen | Bewegung
bewegungs-Sync | Einfügen | Bewegung
Bewegen nach... | Vorgang |
Mehrarmbetrieb einrichten... | Bearbeiten | Einstellungen
nc-100-optik-einstellungen | Einfügen | Parameteränderung
modus "neue ausrichtung" | Bearbeiten | Markierungen
Neue markierungsgruppe... | Bearbeiten | Markierungen
Neu... | Datei |
Neu... | Einfügen | Ausrichtung
Nächstes | Fenster |
Nächstes lesezeichen | Bearbeiten | Lesezeichen
Kerbe... | Einfügen | Element > Auto Element > Nuten
Objekt | Bearbeiten |
Bei fehler... | Einfügen | Programmablaufsteuerung
openGL... | Bearbeiten | Einstellungen
Öffnen... | Datei |
Vorgänge > | Datei |
elementtyp ändern > | Bearbeiten |
parallelität... | Einfügen | Merkmal
Parameteränderung > | Einfügen |
Parameter | Bearbeiten | Einstellungen
Übergeordneter modus | Bearbeiten | Markierungen
Teilw. ausführung > | Datei |
Einfügen | Bearbeiten |
mit muster einfügen | Bearbeiten |
flächenscan... | Einfügen | Scan
Bahngeraden | Ansicht |
muster... | Bearbeiten |
Umfangsscan... | Einfügen | Scan
rechtwinkligkeit... | Einfügen | Merkmal
Ebene | Einfügen | Element > Gemessenes Element
Ebene | Bearbeiten | Elementtyp ändern
ebene... | Einfügen | Element > Konstruiertes Element
ebene... | Einfügen | Element > Auto Element
Punkt | Einfügen | Element > Gemessenes Element
Punktangaben... | Einfügen | Protokollbefehl
Punkt... | Einfügen | Element > Konstruiertes Element
Polarvektorkompensation | Einfügen | Parameteränderung
Portugiesisch | Datei | Sprache
Positionierungsbefehle > | Einfügen | Datei I/O-Befehl
Positives reporting | Einfügen | Parameteränderung > Merkmale
einstellungen > | Bearbeiten |
Vorhalteabstand | Einfügen | Parameteränderung > Antastabstände
Voransichtsfenster | Ansicht |
Vorheriges | Fenster |
Drucken > | Datei |
Druckbefehl | Einfügen | Protokollbefehl
Wahrscheinlichkeit... | Einfügen | Statistik-Befehl > SPC-Diagramm
Taster | Einfügen | Hardwaredefinition
Taster > | Einfügen | Parameteränderung
Tasterkompensation | Einfügen | Parameteränderung > Taster
Tasterwechsler | Bearbeiten | Einstellungen
Tasterwechsler | Vorgang | Kalibrieren/Bearbeiten
Tasteroptionen | Einfügen | Parameteränderung > Taster
taster anzeige | Ansicht |
taster-anzeige einrichten | Bearbeiten | Einstellungen
Profil > | Einfügen | Merkmal
Profil 2d> | Einfügen | Element > Auto Element
Programm | Vorgang | Grafikfenster > Bildschirmbereich ändern
Verlassen | Datei |
Block lesen | Einfügen | Datei I/O-Befehl > Lesebefehle
Zeichen lesen | Einfügen | Datei I/O-Befehl > Lesebefehle
zeile lesen | Einfügen | Datei I/O-Befehl > Lesebefehle
read Set…(Satz lesen…) | Einfügen | Statistik-Befehl > SPC-Datenbank
Lesen bis zu | Einfügen | Datei I/O-Befehl > Lesebefehle
Lesen... | Einfügen | Statistik-Befehl > SPC-Datenbank
Lesebefehle > | Einfügen | Datei I/O-Befehl
Ergebnisanzeigemodi | Ansicht | Symbolleisten
lesepunkt | Einfügen | Element
Aufrufen | Einfügen | Ausrichtung
dateiposition abrufen | Einfügen | Datei I/O-Befehl > Positionierungsbefehle
Ansichtensatz aufrufen | Einfügen | Protokollbefehl
Wiederholen | Bearbeiten |
bahn neu zeichnen | Vorgang | Grafikfenster
Alle löschen | Bearbeiten | Haltepunkte
standard-haltepunkt löschen | Bearbeiten | Haltepunkte
Umbenennen | Datei | Vorgänge
Bildschirm neu zeichnen | Vorgang | Grafikfenster
Ersetzen... | Bearbeiten |
protokoll | Vorgang | Grafikfenster > Bildschirmkopie nach
Protokollbefehl > | Einfügen |
Protokollmodus | Ansicht |
Rückfahrweg | Einfügen | Parameteränderung > Antastabstände
Nur bund | Einfügen | Parameteränderung > Merkmale
zum start zurück | Einfügen | Datei I/O-Befehl > Positionierungsbefehle
rotation... | Einfügen | Scan
Drehtisch | Vorgang | Kalibrieren/Bearbeiten
Drehtisch einrichten | Bearbeiten | Einstellungen
Drehen... | Vorgang | Grafikfenster
Drehtisch einschalten | Vorgang |
rund... | Einfügen | Element > Auto Element > Nuten
Rundheit | Einfügen | Merkmal
rundlauf | Einfügen | Merkmal
Speichern... | Datei |
Speichern... | Einfügen | Ausrichtung
speichern unter... | Datei |
dateiposition speichern | Einfügen | Datei I/O-Befehl > Positionierungsbefehle
ansicht speichern | Einfügen | Protokollbefehl
ansicht speichern | Einfügen | Protokollbefehl
Grösse anpassen | Vorgang | Grafikfenster
scan > | Einfügen |
Scangeschwindigkeit | Einfügen | Parameteränderung > Meßgeschwindigkeit
streuung... | Einfügen | Statistik-Befehl > SPC-Diagramm
bildschirmfarbe... | Bearbeiten | Grafikfenster
Profilschnittscan... | Einfügen | Scan
Select / end select | Einfügen | Programmablaufsteuerung > Steuerpaare
Alles auswählen | Bearbeiten |
Auswahl | Bearbeiten | Löschen
aktuelle Stat. an Datei senden... | Vorgang |
gruppen... | Einfügen | Element > Konstruiertes Element > Element
suchpfad festlegen | Bearbeiten |
Einstellungen | Ansicht | Symbolleisten
einrichten | Bearbeiten | Einstellungen
suchpfad festlegen... | Bearbeiten | Einstellungen
blech | Ansicht | Symbolleisten
markierungsgruppen einblenden | Bearbeiten | Markierungen
Bahngeraden einblenden | Vorgang | Grafikfenster
Einzelne tastspitze | Einfügen | Kalibrieren
nut | Einfügen | Element > Konstruiertes Element
Spanisch | Datei | Sprache
spc-Diagramm > | Einfügen | Statistik-Befehl
spc-Datenbank > | Einfügen | Statistik-Befehl
spc-Datenbank | Bearbeiten |
kugel | Einfügen | Element > Gemessenes Element
kugel | Bearbeiten | Elementtyp ändern
Kugel... | Einfügen | Element > Konstruiertes Element
Kugel... | Einfügen | Element > Auto Element
Rechteckloch... | Einfügen | Element > Auto Element > Nuten
Statistik... | Einfügen | Statistik-Befehl
Statistik-befehl > | Einfügen |
Geradheit... | Einfügen | Merkmal
Unterprogramm... | Einfügen | Programmablaufsteuerung
Übersicht | Ansicht |
Oberfläche... | Einfügen | Element > Konstruiertes Element
Oberfläche | Vorgang | Grafikanzeige > Umschalten Flächen-/Konturmodus
Oberfläche... | Einfügen | Element > Auto Element > Punkte
Oberfläche... | Einfügen | Merkmal > Profil
symmetrie... | Einfügen | Merkmal
Meßpunkt aufnehmen | Vorgang |
temperaturkompensation einrichten | Bearbeiten | Einstellungen
Temperaturkompensation | Einfügen | Parameteränderung
textanalyse ein/aus Polar/Kart. | Vorgang |
Textfeld | Vorgang | Grafikfenster > Bildschirmbereich ändern
horizontal teilen | Fenster |
vertikal teilen | Fenster |
feste zeit/fester abstand | Einfügen | Scan
tastspitzenkalibrierung | Einfügen |
rückwärts ein/aus | Bearbeiten |
lesezeichen ein/aus | Bearbeiten | Lesezeichen
haltepunkt ein/aus | Bearbeiten | Haltepunkt
vorwärts ein/aus | Bearbeiten |
arm umgebung wechseln... | Vorgang |
symbolleisten | Ansicht |
Berührungsgeschwindigkeit | Einfügen | Parameteränderung > Meßgeschwindigkeit
Überwachungsfeld... | Einfügen | Statistik-Befehl
Position... | Einfügen | Merkmal
Rückgängig | Bearbeiten |
hilfe verwenden | Hilfe |
Variabler deltascan... | Einfügen | Scan
vektor | Einfügen | Element > Auto Element > Punkte
ansicht einrichten | Bearbeiten | Grafikfenster
While / end while | Einfügen | Programmablaufsteuerung > Steuerpaare
Fensterlayouts | Ansicht | Symbolleisten
Arbeitsebene | Einfügen | Parameteränderung
block schreiben | Einfügen | Datei I/O-Befehl > Schreibbefehle
zeichen schreiben | Einfügen | Datei I/O-Befehl > Schreibbefehle
zeile schreiben | Einfügen | Datei I/O-Befehl > Schreibbefehle
Schreibbefehle > | Einfügen | Datei I/O-Befehl
xbarr… | Einfügen | Statistik-Befehl > SPC-Diagramm
xbars… | Einfügen | Statistik-Befehl > SPC-Diagramm


Karte für den Zugriff auf Dialogfelder, Fenster und Editoren

Nachfolgend finden Sie eine Zeichenerklärung und eine Tabelle, die beschreibt, welche Menüs Sie zum Öffnen eines bestimmten Dialogfelds, Fensters oder Editors auswählen müssen.

Siehe auch:

Zeichenerklärung

Übersichtskarte


Verwenden der Übersichtskarte - Karte für den Zugriff auf Dialogfelder, Fenster und Editoren - Zeichenerklärung

Zeichenerklärung

programmoption | Fett formatierter Text in Kapitälchen bedeutet, daß es sich hierbei um eine Menüoption des Programms handelt.
blaugrün | Die Farbe Blaugrün bedeutet, daß diese Option nur beim Systemstart verfügbar ist. Sobald ein Werkstückprogramm geöffnet wurde, ist diese Option nicht mehr verfügbar.
dunkelrot | Die Farbe Dunkelrot bedeutet, daß diese Option nur verfügbar ist, wenn Sie im Online-Modus arbeiten.


Übersichtskarte

Dialogfeld, Editor oder Fenstertitel | Auswahlpfad
3D-Raster einrichten | Klicken Sie auf das Symbol Ansicht einrichten. | Klicken Sie auf 3D einrichten.
Info über PC-DMIS für Windows | Hilfe | info über pc-dmis für windows
Verzeichnis zu Liste hinzufügen | Einfügen | Statistik-Befehl | Statistik | Klicken Sie auf Verzeichnis zu Liste hinzufügen.
Winkel hinzufügen | Einfügen | Hardwaredefinition | Taster | Klicken Sie auf Winkel hinzufügen.
Instrument hinzufügen | Einfügen | Hardwaredefinition | Taster | Klicken Sie auf Messen. Klicken Sie auf Instrument hinzufügen.
Werkstück-Lage | Bearbeiten | Einstellungen | einrichten... | Wählen Sie die Registerkarte Werkstück/KMG. Klicken Sie auf Anpassen.
Ausrichtungen | Einfügen | Ausrichtung | Neu...
Analyse | Einfügen | Protokollbefehl | Analyse...
Analyse | Ansicht | hyperreport-editor | Klicken Sie auf das Symbol Analysefenster und ziehen Sie ein Feld im Editor.
Rasteroptionen für Analyse | Ansicht | hyperreport-editor | Öffnen Sie die Eigenschaftsansicht. Klicken Sie auf die Registerkarte PC-DMIS. Doppelklicken Sie auf den Eigenschaftseintrag "(SettingsDialog)". Klicken Sie auf Rasteroptionen.
Anzeigeformat für die Analyse | Einfügen | Protokollbefehl | Analyse... | Klicken Sie auf Fenster anzeigen. Wählen Sie Optionen | Anzeigeformat.
Winkel | Einfügen | Merkmal | winkel...
Winkelpunkt | Einfügen | Element | Auto Element | Point > Winkel….
Neigung | Einfügen | Merkmal | Neigung...
Argument bearbeiten | Einfügen | Programmablaufsteuerung | Unterprogramm... | Klicken Sie auf Arg. hinzuf....
Zuweisung | Einfügen | zuweisung...
Externes Werkstückprogramm anhängen | Einfügen | werkstückprogramm anhängen...
AutoKalibrieren Mehrarm | Einfügen | Kalibrieren | Autokalibrieren mehrarm
Auto Bewegungspunkt | Vorgang | Bewegen nach...
Auto Report-Optionen | Ansicht | hyperreport-editor | Klicken Sie mit der rechten Maustaste auf das Raster des Editors. Klicken Sie auf die Registerkarte PC-DMIS. Klicken Sie auf Auto-Reporting Aus.
BASIC-Skript editor | Ansicht | basic-skripteditor
Basis-Scan - Achse | Einfügen | Scan | Basis | achse
BasicScan - Selbstzemtrierend | Einfügen | Scan | Basis | selbstzentrierend
BasicScan - Kreis | Einfügen | Scan | Basis | kreis
BasicScan - Zylinder | Einfügen | Scan | Basis | zylinder
Dialogfeld "BasicScan" - Registerkarte "Linie" | Einfügen | Scan | Basis | Linie
Besteinpassungs-Ausrichtung | Einfügen | Ausrichtung | Neu... | Klicken Sie auf Besteinpassung.
CAD-Angaben | Ansicht | cad-info
Verstellbaren Drehtisch kalibrieren | Bearbeiten | Einstellungen | Drehtisch einrichten | Wählen Sie Tisch ist einrastbar. Klicken Sie auf Kalibrieren.
Stufenlos verstellbaren Drehtisch kalibrieren | Bearbeiten | Einstellungen | Drehtisch einrichten | Klicken Sie auf Tisch ist stufenlos verstellbar. Klicken Sie auf Kalibrieren.
Taster kalibrieren | Einfügen | Kalibrieren | autokalibrieren taster
Tastspitze kalibrieren | Einfügen | Kalibrieren | Einzelne tastspitze
Kalibrierergebnisse | Einfügen | Hardwaredefinition | Taster | Klicken Sie auf Ergebnisse.
Unterprogramm aufrufen | Einfügen | Programmablaufsteuerung | unterprogr. aufrufen...
Leistungsdiagramm | Einfügen | Statistik-Befehl | SPC-Diagramm | Leistung...
Catia-Modell anfordern | Datei | Import... | Wählen Sie CATIA-Datei. Klicken Sie auf OK.
Ändert alle Schriftarten | Bearbeiten | Einstellungen | Schriftarten
Verzeichnis wählen | Bearbeiten | suchpfad festlegen... | Klicken Sie auf Durchsuchen.
Verzeichnis wählen | Bearbeiten | Einstellungen | suchpfad festlegen... | Klicken Sie auf Durchsuchen.
Verzeichnis wählen | Bearbeiten | Einstellungen | einrichten... | Öffnen Sie die Registerkarte Allgemein. Klicken Sie auf Durchsuchen.
Wählt das zu spiegelnde Werkstück aus | Datei | Vorgänge | spiegeln
Kreis | Einfügen | Element | Auto Element | kreis
KMG-Schnittstelle einrichten | Bearbeiten | Einstellungen | kmg-schnittstelle
Koaxialität | Einfügen | Merkmal | koaxialität...
Kollisionserkennung | Vorgang | Grafikfenster | Kollisionserkennung
Kollisionstoleranzen | Einfügen | Hardwaredefinition | Taster... | Klicken Sie auf Toleranzen.
Farben | Bearbeiten | farben | Klicken Sie auf Bearbeiten.
Kommentar | Einfügen | Protokollbefehl | Kommentar...
Konzentrizität | Einfügen | Merkmal | Konzentrizität...
Kegel | Einfügen | Element | Auto Element | kegel...
Kreiskonstruktion | Einfügen | Element | Konstruiertes Element | kreis...
Kegelkonstruktion | Einfügen | Element | Konstruiertes Element | kegel...
Kurvenkonstruktion | Einfügen | Element | Konstruiertes Element | kurve...
Zylinderkonstruktion | Einfügen | Element | Konstruiertes Element | zylinder...
Ellipsenkonstruktion | Einfügen | Element | Konstruiertes Element | ellipse...
Elementgruppenkonstruktion | Einfügen | Element | Konstruiertes Element | elementgruppe...
Konstruiere Filterelement | Einfügen | Element | Konstruiertes Element | Gaußscher filter...
Allgemeines Element konstruieren | Einfügen | Element | Konstruiertes > Element | Allgemein...
Linienkonstruktion | Einfügen | Element | Konstruiertes Element | Linie...
Ebenenkonstruktion | Einfügen | Element | Konstruiertes Element | ebene...
Punktkonstruktion | Einfügen | Element | Konstruiertes Element | Punkt...
Langlochkonstruktion | Einfügen | Element | Konstruiertes Element | nuten...
Kugelkonstruktion | Einfügen | Element | Konstruiertes Element | Kugel...
Oberflächenkonstruktion | Einfügen | Element | Konstruiertes Element | Oberfläche...
Werkstückdateien kopieren von | Datei | Vorgänge | kopieren
Eckpunkt | Einfügen | Element | Auto Element | punkte > Eck...
Fenster "Schichten erstellen" | Vorgang | Grafikfenster | 3d-darstellung...
Erstelle/Verändere Vorrichtung | Einfügen | Hardwaredefinition | aufspannung
Anpassen | Bearbeiten | anpassen
Befehlsanzeige anpassen | Ansicht | Symbolleisten | anpassen
Zylinder | Einfügen | Element | Auto Element | zylinder...
Datenbankauswahl | Bearbeiten | spc-datenbank
Datenbankauswahl | Einfügen | Statistik-Befehl | Statistik | Wählen Sie die Option SPC-Datenbank. Wählen Sie eine Datenbank in der Liste Datenquelle aus. Klicken Sie auf Datenbank anzeigen/bearbeiten.
Standard-Merkmal-Info bearbeiten | Einfügen | Merkmal | Lage | Klicken Sie auf Bearbeiten.
Ellipse | Einfügen | Element | Auto Element | ellipse...
Zu lesenden Satz definieren | Einfügen | Statistik-Befehl | SPC-Datenbank | Define set… (satz definieren)
Merkmal(en) löschen | Bearbeiten | Löschen | merkmale...
Element(e) löschen | Bearbeiten | Löschen | elemente...
Löscht Werkstückdateien | Datei | Vorgänge | Löschen
DES-Datei | Datei | Import... | Wählen Sie DES-Datei. Klicken Sie auf OK.
DES-Datei | Datei | export... | Wählen Sie DES-Datei. Klicken Sie auf OK.
Optionen für Merkmalsanalyse | Einfügen | Protokollbefehl | Analyse... | Klicken Sie auf Fenster anzeigen. Wählen Sie Optionen | Merkmalsoptionen.
Merkmalsangaben | Ansicht | hyperreport-editor | Klicken Sie auf das Symbol Merkmalsangaben. Ziehen Sie ein Feld im Editor.
Merkmalseingabe | Einfügen | Merkmal | eingabe
Abstand | Einfügen | Merkmal | Abstand...
CAD-Elemente bearbeiten | Bearbeiten | Grafikfenster | cAD-Elemente...
Kalibrierpositionen bearbeiten | Vorgang | Kalibrieren/Bearbeiten | Mehrarmbetrieb... | Klicken Sie auf Positionen bearbeiten.
Merkmalsfarbe bearbeiten | Bearbeiten | Grafikfenster | merkmale...
Merkmal Info bearbeiten | Einfügen | Protokollbefehl | merkmalsangaben
Elementlayout bearbeiten | Bearbeiten | Grafikfenster | elemente...
ID bearbeiten | Bearbeiten | Grafikfenster | element bearbeiten... | Doppelklicken Sie auf die Element-ID.
Sprungmarkennamen bearbeiten | Einfügen | Programmablaufsteuerung | sprungmarke...
Bearbeitet Punktangaben | Einfügen | Protokollbefehl | Punktangaben...
Tasterkomponenten bearbeiten | Einfügen | Hardwaredefinition | Taster | Doppelklicken Sie auf den Eintrag in der Liste Tasterbeschreibung.
Tasterkomponenten bearbeiten | Einfügen | Hardwaredefinition | Taster | Wählen Sie Aktuelle Tastspitze. Klicken Sie auf Bearbeiten.
Scanelement bearbeiten | Einfügen | Scan | Complex… (komplex) | Klicken Sie auf eine beliebige Registerkarte. Klicken Sie auf Bereichsgrenze.
Bearbeitungsfenster | Ansicht | bearbeitungsfenster
Fensterfarben bearbeiten | Bearbeiten | farben
Kantenpunkt | Einfügen | Element | Auto Element | Punkte > kante…
Ausrichtung angleichen | Einfügen | Ausrichtung | Angleichen...
Sicherheitszone | Einfügen | Bewegung | Sicherheitszone
Ausführmodus | Datei | Ausführen
Ausführmodus | Datei | Teilw. ausführung
Daten exportieren | Datei | export...
Ausdruck erstellungsprogramm | Bearbeiten | ausdruck...
Externer Befehl | Einfügen | Externer befehl...
Element-Meßpunktziele Erstellen Sie eines der folgenden Elemente:
  • Gemessener Kreis
  • Gemessener Zylinder
  • Gemessener Punkt
  • Gemessene Ebene
  • Gemessene Kugel
  • Gemessene Linie
  • Gemessener Kegel
  • Auto Kreis
  • Auto-Zylinder
  • Auto-Kugel
  • Auto-Kegel

 Drücken Sie F9, um das Dialogfeld des Elements zu öffnen. Klicken Sie auf die Schaltfläche Zeige Punkte oder Meßpunktziele.
Lage | Einfügen | Merkmal | Lage
Datei I/O | Einfügen | Datei I/O-Befehl | datei öffnen (oder jeder andere I/O-Befehl) | Wählen Sie im Bearbeitungsfenster eine Datei aus. Drücken Sie F9.
Suchen | Bearbeiten | Suchen...
Vorrichtungen | Bearbeiten | vorrichtungen
Ebenheit | Einfügen | Merkmal | Ebenheit
Schriftart | Bearbeiten | Einstellungen | Schriftarten | Klicken Sie auf eine der Schaltflächen im eingeblendeten Dialogfeld
GDX Import. | Datei | Import... | Wählen Sie eine GDX-Datei aus. Klicken Sie auf OK.
GDX-Info
Allgemeine Maschineneinrichtung | Einfügen | Hardwaredefinition | maschine... | Wählen Sie in der Liste Maschine den Eintrag Generic Arm (Allgemeiner Arm) oder Generic Bridge (Allgemeine Brücke) aus.
Allgemeine Exportoptionen | Datei | export... | Wählen Sie eine allgemeine Datei aus. Klicken Sie auf OK.
Gehe zu | Einfügen | Programmablaufsteuerung | goto...
Gehe zu | Einfügen | Programmablaufsteuerung | If goto...
Extrempunkt | Einfügen | Element | Auto Element | Punkte > Extrem…
Histogramm-Diagramm | Einfügen | Statistik-Befehl | SPC-Diagramm | Histogramm...
HyperReport-Editor | Ansicht | hyperreport-editor
I-DEAS-Elementauswahl | Datei | direkt cad™... | Wählen Sie eine IDEAS-Datei aus. Klicken Sie auf OK.
I-DEAS-Server-Verbindung | Datei | direkt cad™... | Wählen Sie eine IDEAS-Datei aus. Klicken Sie auf OK. Klicken Sie auf Verbindung zu Server herstellen.
If-Ausdruck | Einfügen | Programmablaufsteuerung | Steuerpaare | If / end if
IGES-Daten | Datei | Import... | Wählen Sie eine IGES-Datei aus. Klicken Sie auf OK. Klicken Sie auf DATEN.
IGES-Datei | Datei | Import... | Wählen Sie eine IGES-Datei aus. Klicken Sie auf OK.
IGES einrichten | Datei | Import... | Wählen Sie eine IGES-Datei aus. Klicken Sie auf OK. Klicken Sie auf SETUP.
IGES-Schreibvorgang einrichten | Datei | export... | Wählen Sie eine IGES-Datei aus. Klicken Sie auf OK. Klicken Sie auf SETUP.
Daten importieren | Datei | Import...
BASIC-Skript einfügen | Einfügen | Basic-skript...
HyperReport einfügen | Einfügen | Protokollbefehl | Hyperreport-protokoll...
Objekt einfügen | Einfügen | Protokollbefehl | externes Objekt...
Paßpunkte Einfügen Scan Complex… (komplex)

oder

basic

 Klicken Sie auf Paßpunkte.
Iterative Ausrichtung | Neu... | Klicken Sie auf Iterativ.
Springe zu | Bearbeiten | springe zu
Konstruktion der Führungslinie | Ansicht | hyperreport-editor | Klicken Sie auf das Symbol Führungslinie. Ziehen Sie eine Linie im Raster.
KMG-Verschiebung | Einfügen | Ausrichtung | kmg-Verschiebung... | Nur bei Verwendung eines Faro-Tasters
Layer | Grafik | Ansicht einrichten... | Klicken Sie auf das Kontrollkästchen Erstellen.
Linie | Einfügen | Element | Auto Element | Linie...
Linienversätze Einfügen Element Konstruiertes Element Linie

Wählen Sie die Option versätze. Klicken Sie auf die Schaltfläche Versätze.
Linienprofil | Einfügen | Merkmal | Profil | Linie
Schleifenparameter | Einfügen | Programmablaufsteuerung | schleifen...
KMG | Einfügen | Hardwaredefinition | maschine...
KMG | Einfügen | Hardwaredefinition | maschine...
Markierungsgruppen | Bearbeiten | Markierungen | markierungsgruppen einblenden
Markierungsgruppen | Ansicht | fenster mit markierungsgruppen
Mehrarm Kalibrierung | Vorgang | Kalibrieren/Bearbeiten | Mehrarmbetrieb...
Master/Slave einrichten | Bearbeiten | Einstellungen | Mehrarmbetrieb einrichten...
Taster kalibrieren | Einfügen | Hardwaredefinition | Taster | Klicken Sie auf Messen.
Gemessener Kreis | Einfügen | Element | Gemessenes Elemente | kreis
Gemessener Kegel | Einfügen | Element | Gemessenes Elemente | Kegel
Gemessener Zylinder | Einfügen | Element | Gemessenes Elemente | zylinder
Gemessene Linie | Einfügen | Element | Gemessenes Elemente | Linie
Gemessene Ebene | Einfügen | Element | Gemessenes Elemente | Ebene
Gemessener Punkt | Einfügen | Element | Gemessenes Elemente | Punkt
Gemessene Gruppe | Einfügen | Element | Gemessenes Elemente | gruppe
Gemessene Kugel | Einfügen | Element | Gemessenes Elemente | kugel
CAD spiegeln | Grafik | cad spiegeln
Bewegen nach | Vorgang | Bewegen nach...
Neue Markierungsgruppe | Bearbeiten | Markierungen | Neue markierungsgruppe...
Neues Werkstückprogramm | Datei | Neu...
Kerbe | Einfügen | Element | Auto Element | Nuten > Kerbe…
Bei Fehler | Einfügen | Programmablaufsteuerung | Bei fehler...
Öffnen | Datei | Öffnen...
Öffnen | Bearbeiten | Markierungen | markierungsgruppen einblenden | Klicken Sie auf Zum Datei-Manager.
OpenGL-Optionen | Bearbeiten | Einstellungen | openGL
Kennwort-Optionen | Bearbeiten | Einstellungen | einrichten | Klicken Sie auf Kennwort.
Parallelität | Einfügen | Merkmal | parallelität...
Parametereinstellungen | Bearbeiten | Einstellungen | Parameter
Muster-Versätze | Bearbeiten | muster...
Rechtwinkligkeit | Einfügen | Merkmal | rechtwinkligkeit...
(PHS) Wrist-Kalibrierung | Einfügen | Hardwaredefinition | Taster | Klicken Sie auf Messen. Klicken Sie auf Tastkopf kalibrieren.
Ebene | Einfügen | Element | Auto Element | ebene...
Ebenenversätze Einfügen Element Konstruiertes Element Ebene

Wählen Sie die Option versätze. Klicken Sie auf die Schaltfläche Versätze.
Positionsebene | Grafik | 3d-darstellung... | Erstellen Sie eine Ebene, und wählen Sie dann Ebene | Position.
Voransichtsfenster | Datei | Drucken | Druckereinrichtung im bearbeitungsfenster
Voransichtsfenster | Datei | Drucken | Druckereinrichtung im grafikfenster
Drucken | Datei | Drucken | Drucken im bearbeitungsfenster
Drucken | Datei | Drucken | Drucken im grafikfenster
Druckoptionen | Datei | Drucken | Druckereinrichtung im bearbeitungsfenster...
Druckereinrichtung und Ausgabeoptionen | Datei | Drucken | Druckereinrichtung im grafikfenster...
Wahrscheinlichkeitsdiagramm | Einfügen | Statistik-Befehl | SPC-Diagramm | Wahrscheinlichkeit...
TasterKalibrier-Extras | Bearbeiten | Einstellungen | kmg-schnittstellen… | Nur bei Verwendung eines Faro-Tasters
Tasterwechsler | Bearbeiten | Einstellungen | Tasterwechsler
Tasterwechsler einrichten | Bearbeiten | Einstellungen | Tasterwechsler
Konfiguration des Wristwinkels für die Tasterköpfe | Bearbeiten | Einstellungen | einrichten | Wählen Sie die Registerkarte Werkstück/KMG. Klicken Sie auf Einbaulage des Tastkopfes...
Fenster "Tasterposition" | Ansicht | taster anzeige
Taster-Anzeige einrichten | Bearbeiten | Einstellungen | taster-anzeige einrichten
Taster einrichten | Einfügen | Hardwaredefinition | Taster | Klicken Sie auf Einrichten.
Taster-Hilfsprogramme | Einfügen | Hardwaredefinition | Taster
Taster-Hilfsprogramme | Bearbeiten | Markierungen | markierungsgruppen einblenden | Klicken Sie auf Tastspitzen kalibrieren.
Schnellstart | Ansicht | Symbolleisten | Schnellstart | Klicken Sie auf ein Symbol in einer der folgenden Untersymbolleisten: Messen, Relation, GD&T, oder Ausrichten.
Datenbank lesen | Einfügen | Statistik-Befehl | SPC-Datenbank | Lesen...
Definierten Satz lesen | Einfügen | Statistik-Befehl | SPC-Datenbank | read Set…(Satz lesen…)
Säule bergen | säule bergen...
Fernbedienfeld | Ansicht | Bahngeraden
Werkstückdateien umbenennen von | Datei | Vorgänge | Umbenennen...
Ersetzen | Bearbeiten | Ersetzen...
Anzeigeoptionen für Protokolle | Bearbeiten | Einstellungen | Layout des bearbeitungsfensters...
Drehtisch einrichten | Bearbeiten | Einstellungen | Drehtisch einrichten
Drehen | Grafik | drehen
Drehen | Bearbeiten | Drehen...
Langloch | Einfügen | Element | Auto Element | Nuten > rund...
Rundheit | Einfügen | Merkmal | Rundheit
Rundlauf | Einfügen | Merkmal | rundlauf
Maschine speichern/löschen | Einfügen | Hardwaredefinition | maschine... | Klicken Sie auf Speichern.
Ausrichtung speichern | Einfügen | Ausrichtung | Speichern
Speichern unter | Datei | speichern unter...
Scanvorgang | Einfügen | Scan | Complex… (komplex)
Segmentdaten scannen | Einfügen | Element | Konstruiertes Element | Linie... oder Kreis..., dann auf Segment scannen Klicken
Streudiagramm | Einfügen | Statistik-Befehl | SPC-Diagramm | streuung...
Bildschirmfarbe | Bearbeiten | Grafikfenster | bildschirmfarbe...
Skript | Ansicht | basic-skripteditor
Suchpfad | Bearbeiten | Einstellungen | suchpfad festlegen
Diagramm auswählen | Einfügen | Statistik-Befehl | Statistik...
Tasterdatei für DMIS-Übertragung wählen | Datei | Import... | Wählen Sie eine DMIS-Datei aus. Klicken Sie auf OK.
Unterprogramm auswählen | Einfügen | Programmablaufsteuerung | unterprogr. aufrufen... | Klicken Sie auf Unterprogramm auswählen.
Tastspitze auswählen | Datei | Import... | Wählen Sie eine DMIS-Datei aus. Klicken Sie auf OK. Klicken Sie auf Erstellen oder auf OK.
Tabulatorpositionen einstellen | Ansicht | basic-skripteditor | Wählen Sie Ansicht | Tabulatorpositionen einstellen.
Setup-Optionen | Bearbeiten | Einstellungen | einrichten
Anzeigeoptionen | Einfügen | Protokollbefehl | Analyse... | Klicken Sie auf Fenster anzeigen. Wählen Sie Optionen | Anzeigeoptionen.
SPC-Setup | Einfügen | Statistik-Befehl | Statistik...
Kugel | Einfügen | Element | Auto Element | Kugel...
Rechteckloch | Einfügen | Element | Auto Element | Nuten > Rechteck...
Statistikoptionen | Einfügen | Statistik-Befehl | Statistik...
Statistikoptionen | Einfügen | Statistik-Befehl | Statistik
Geradheit | Einfügen | Merkmal | Geradheit...
Unterprogramm erstellen | Einfügen | Programmablaufsteuerung | Unterprogramm...
Oberflächenprofil | Einfügen | Merkmal | Profil | Oberfläche
Oberflächenpunkt | Einfügen | Element | Auto Element | Punkte > Oberfläche...
Symmetrie | Einfügen | Merkmal | symmetrie...
Temperaturkompensation Einrichten | Bearbeiten | Einstellungen | temperaturkompensation einrichten
Überwachungsfeld | Einfügen | Statistik-Befehl | Überwachungsfeld...
Position | Einfügen | Merkmal | Position...
Diagramm aktualisieren | Einfügen | Statistik-Befehl | SPC-Diagramm | diagramm aktualisieren
Vektorpunkt | Einfügen | Element | Auto Element | Punkte > Vektor...
Ansicht aus Lage | Grafik | 3d-darstellung... | Erstellen Sie eine Ebene, und wählen Sie dann Ebene | Position. Klicken Sie auf Position.
Ansicht einrichten | Bearbeiten | Grafikfenster | ansicht einrichten | Oder klicken Sie auf das Symbol Ansicht einrichten.
Anzeigeoptionen für Warnmeldungen | Bearbeiten | Einstellungen | einrichten | Klicken Sie auf Warnmeldungen.
XBarR-Diagramm | Einfügen | Statistik-Befehl | SPC-Diagramm | xbarr…
XBarS-Diagramm | Einfügen | Statistik-Befehl | SPC-Diagramm | xbars…
XYZ-Datei | Datei | import | Wählen Sie eine XYZ-Datei aus. Klicken Sie auf OK.


Using Shortcut Keys and Shortcut Menus

Tastenkombinationen

Kontextmenüs


Verwenden von Tastaturbefehlen und Kontextmenüs: Einführung

In diesem Abschnitt finden Sie Tastenkombinationen für viele Menüoptionen, Dialogfelder und Befehle, die in PC-DMIS verwendet werden. Durch die Verwendung von Tastenkombinationen können Sie die Programmierzeit verkürzen und Ihre Produktivität und Effizienz steigern.

Zu den Hauptthemen in diesem Abschnitt gehören:

  • Tastenkombinationen
  • Kontextmenüs


Tastenkombinationen

In dieser Tabelle können Sie die verfügbaren Tastaturbefehle schnell und einfach nachschlagen. Wenn vor der Beschreibung einer Tastenkombination das Wort "Bearbeitungsfenster" steht, dann kann dieser Befehl nur dann ausgeführt werden, wenn das Bearbeitungsfenster aktiv ist. Genauere Informationen zu den Funktionen der einzelnen Optionen finden Sie im entsprechenden Abschnitt der Online-Hilfe.

Taste | Beschreibung | Taste | Beschreibung | Taste | Beschreibung
F1 | Öffnet die Online-Hilfe. | STRG + A | Bearbeitungsfenster: Markiert den gesamten Text. | STRG + F1 | Versetzt PC-DMIS in den Übertragungsmodus
F2 | Bearbeitungsfenster: Öffnet das Dialogfeld Ausdruckserstellungsprogramm, wenn sich der Cursor in einer Zeile befindet, in der Ausdrücke zulässig sind. | STRG + C | Bearbeitungsfenster: Kopiert ausgewählten Text. | STRG + F2 | Versetzt PC-DMIS in den 2D-Rotationsmodus
F3 | Bearbeitungsfenster: Markiert den Befehl zur Ausführung oder hebt dessen Markierung auf. Wenn sich der Cursor auf einem externen Objekt befindet, schaltet F3 zwischen dem Druck- und Ausführungsmodus um. | STRG + D | Löscht das aktuelle Element. | STRG + F3 | Versetzt PC-DMIS in den 3D-Rotationsmodus und öffnet das Dialogfeld Drehen.
F4 | Bearbeitungsfenster: Druckt den Inhalt des Bearbeitungsfensters. | STRG + E | Führt das ausgewählte Element aus. | STRG + F4 | Schaltet PC-DMIS in den Programmodus.
F5 | Öffnet das Dialogfeld Setup-Optionen. | STRG + F | Öffnet das Dialogfeld Auto Elemente. | STRG + F5 | Versetzt PC-DMIS in den Textfeldmodus.
F7 | Bearbeitungsfenster: Wechselt innerhalb eines ausgewählten Umschaltfelds zum nächsten alphabetischen Eintrag. | STRG + G | Fügt in das Bearbeitungsfenster einen LESEPUNKT/-Befehl ein. | STRG + TAB | Minimiert das Bearbeitungsfenster oder stellt dessen Originalgröße wieder her.
F8 | Bearbeitungsfenster: Blättert innerhalb eines ausgewählten Umschaltfelds zurück zum letzten alphabetischen Eintrag. | STRG + K | Speichert das ausgewählte Merkmal im Bearbeitungsprotokoll. | STRG + UMSCHALT | Blendet den ausgewählten Grafikanalysepfeil aus.
F9 | Bearbeitungsfenster: Öffnet das zum Befehl an der Cursorposition zugehörige Dialogfeld. | STRG + M | Fügt einen Bewegungspunkt-Befehl ein. | STRG + ENDE | Bearbeitungsfenster: Setzt den Cursor an das Ende des aktuellen Werkstückprogramms.
F10 | Öffnet das Dialogfeld Parametereinstellungen. | STRG + N | Erstellt ein neues Werkstückprogramm. | STRG + POS1 | Bearbeitungsfenster: Setzt den Cursor an den Anfang des aktuellen Werkstückprogramms.
F12 | Blendet das Dialogfeld Vorrichtung einrichten ein. | STRG + O | Öffnet ein Werkstückprogramm. | STRG + ALT + A | Öffnet das Dialogfeld Ausrichtung.
UMSCHALT + Klick mit rechter Maustaste | Öffnet das Dialogfeld Zeichnung skalieren. | STRG + P | Druckt das Grafikfenster. | STRG + ALT + P | Öffnet das Dialogfeld Taster Hilfsprogramme.
UMSCHALT + TAB | Bearbeitungsfenster: Setzt den Cursor zurück in das letzte vom Benutzer bearbeitbare Feld. | STRG + Q | Bearbeitungsfenster: Führt das aktuelle Werkstückprogramm aus. | STRG + Klick mit linker Maustaste | Wählt die zugehörigen Merkmale in einem geöffneten Analyse-Dialogfeld, wenn Sie Elemente im Grafikfenster anklicken.
UMSCHALT + PFEIL | Hebt den gesamten Text bei Bewegen des Cursors hervor. | STRG + R | Öffnet das Dialogfeld Drehen. | STRG + Klick mit rechter Maustaste | Dreht das CAD-Modell im Grafikfenster, wenn mit der Maus gezogen wird.
UMSCHALT + F5 | Bearbeitungsfenster: Schaltet die Meßpunktanzeige eines Merkmals zwischen kartesischen und polaren Koordinaten um. Der polare Anzeigemodus wird durch den Buchstaben "P" ausgewiesen. | STRG + S | Speichert das aktuelle Werkstückprogramm. | PEIL NACH-OBEN-TASTE | Bearbeitungsfenster: Setzt den Cursor an das nächste über der aktuellen Position verfügbare Element
UMSCHALT + F10 | Bearbeitungsfenster: Öffnet das Dialogfeld Gehe zu. | STRG+T | Bearbeitungsfenster: Weist den aktuellen Befehl (oder ausgewählte Befehle) dem Master-Arm, dem Slave-Arm oder beiden Armen zu. | PFEIL NACH-UNTEN | Bearbeitungsfenster: Setzt den Cursor an das nächste unterhalb der aktuellen Position verfügbare Element.
ENDE | Beendet die Messung eines Elements. Bearbeitungsfenster: Setzt den Cursor an das Ende der aktuellen Zeile | STRG + V | Bearbeitungsfenster: Fügt den Inhalt der Zwischenablage ein. | PFEIL NACH RECHTS | Bearbeitungsfenster: Setzt den Cursor an das nächste rechts von der aktuellen Position verfügbare Element
Pos1 | Bearbeitungsfenster: Setzt den Cursor an den Anfang der aktuellen Zeile. | STRG + X | Bearbeitungsfenster: Schneidet den ausgewählten Text aus. | PFEIL NACH LINKS | Bearbeitungsfenster: Setzt den Cursor an das nächste links von der aktuellen Position verfügbare Element
TAB | Bearbeitungsfenster: Setzt den Cursor in das nächste vom Benutzer bearbeitbare Feld | STRG + Y | Bearbeitungsfenster: Führt das Werkstückprogramm ab der Cursorposition aus. | Alt + H | Öffnet das Menü Hilfe.
ESC | Diese Taste bricht alle Vorgänge (außer der Dateneingabe) ab, wenn sie vor Betätigung der Eingabetaste gedrückt wird. | STRG + Z | Aktiviert die Funktion "Größe anpassen". | ALT + F3 | Bearbeitungsfenster: Öffnet das Dialogfeld Suchen.
ENTF | Bearbeitungsfenster: Siehe "RÜCKTASTE". | STRG + UMSCHALT + F | Wechselt zur Funktion Elementerkennung Flach, wenn Elementtypen unter Verwendung eines starren Tasters geschätzt werden. | ALT + RÜCKTASTE | Bearbeitungsfenster: Macht die letzte Aktion im Bearbeitungsfenster rückgängig.
RÜCKTASTE | Bearbeitungsfenster: Löscht alle markierten Zeichen. Ist nichts hervorgehoben, funktioniert diese Taste wie in einem herkömmlichen Editor. Wenn ein Element nicht gelöscht werden kann, wird eine Fehlermeldung angezeigt. | STRG + UMSCHALT + R | Wechselt zur Funktion Elementerkennung Rund, wenn Elementtypen unter Verwendung eines starren Tasters geschätzt werden. | UMSCHALT + RÜCKTASTE | Bearbeitungsfenster: Wiederholt die letzte rückgängig gemachte Aktion im Bearbeitungsfenster.
ALT + "-" (Minus) | Durch Betätigung der Tastenkombination ALT+ '-' (Minus) wird der letzte Meßpunkt im Meßpunktepuffer gelöscht. | STRG + ENTER oder EINGABE | Bearbeitungsfenster: Im Übersichtsmodus können Sie mit diesem Tastaturbefehl einen Befehl auswählen, der dem Bearbeitungsfenster hinzugefügt werden soll. |  |
EINGABE oder RÜCKTASTE | Bearbeitungsfenster: Erstellt eine neue Zeile. Ist die Zeile nicht abgeschlossen, bevor der Cursor daraus entfernt wird, wird sie automatisch gelöscht. Markiert einen Befehl. |  |  |  |


Kontextmenüs

Mit Hilfe von Kontextmenüs lassen sich häufig verwendete Befehle mit einem einfachen Mausklick ausführen. In diesem Abschnitt wird beschrieben, wie auf die verschiedenen Kontextmenüs zugegriffen wird und welche Funktionen über die verschiedenen Menüoptionen ausgeübt werden. Kontextmenüs erscheinen nach der Aktivierung der entsprechenden Stellen durch das Programm.

Siehe auch:

Kontextmenüs in Dialogfeldern nach Windows-StandardBoxes

Kontextmenüs auf der Symbolleiste

Kontextmenüs im Grafikfenster

Kontextmenüs im Bearbeitungsfenster


Kontextmenüs in Dialogfeldern nach Windows-Standard

Zusätzlich zu den Standardbefehlen in Windows-basierten Dialogfeldern, ergänzt PC-DMIS die Kontextmenüs unter bestimmten Umständen um weitere Funktionen. Viele dieser Funktionen sind in den Abschnitten "Verwenden von grundlegenden Dateioptionen" und "Verwenden von fortgeschrittenen Dateioptionen" beschrieben.

Beim Öffnen, Speichern oder der Verwendung anderer Dateivorgänge können Sie mit der rechten Maustaste auf den Dateinamen des im Dialogfeld aufgeführten Werkstückprogramms klicken, um diese Kontextmenüoptionen aufzurufen.

Option | Beschreibung
PC-DMIS-Import | Importiert Daten aus einer Eingabedatei in das ausgewählte Werkstückprogramm. Informationen hierzu finden Sie unter "Importieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".
PC-DMIS-Export | Exportiert Daten aus dem ausgewählten Werkstückprogramm in eine Ausgabedatei. Informationen hierzu finden Sie unter "Exportieren von CAD-Daten" im Abschnitt "Verwenden von fortgeschrittenen Dateioptionen".
Öffnen | Öffnet ein Werkstückprogramm. Informationen hierzu finden Sie unter "Öffnen vorhandener Werkstückprogramme" im Abschnitt "Verwenden von grundlegenden Dateioptionen".
Ausschneiden | Schneidet ein Werkstückprogramm aus und stellt es in die Zwischenablage; in Verbindung mit dem Windows-Befehl Einfügen kann das ausgeschnittene Werkstückprogramm in einen anderen Ordner eingefügt werden.
Kopieren | Kopiert ein Werkstückprogramm in die Zwischenablage; zusammen mit dem Windows-Befehl Einfügen kann das kopierte Werkstückprogramm auf diese Weise in einen anderen Ordner eingefügt werden. Informationen hierzu finden Sie unter "Durchführen von Dateioperationen" im Abschnitt "Verwenden von grundlegenden Dateioptionen".
Umbenennen | Dient zur Umbenennung eines Werkstückprogramms.
Löschen | Löscht ein Werkstückprogramm. Informationen hierzu finden Sie unter "Durchführen von Dateioperationen" im Abschnitt "Verwenden von grundlegenden Dateioptionen".
Registerkarte Eigenschaften | PC-DMIS | Zeigt Dateiangaben zum Werkstückprogramm an. Sie können den Namen, die Seriennummer oder die Versionsnummer eines Werkstückprogramms anzeigen oder ändern. Informationen hierzu finden Sie unter "Öffnen vorhandener Werkstückprogramme" im Abschnitt "Verwenden von grundlegenden Dateioptionen".


Kontextmenüs auf der Symbolleiste

Wenn mit der rechten Maustaste auf den Symbolleistenbereich geklickt wird, zeigt PC-DMIS eine Liste der Symbolleisten sowie andere Optionen an, auf die direkt zugegriffen werden kann. Dazu gehören:

Option | Beschreibung
Datei Tätigkeiten | Blendet die Symbolleiste "Dateioperationen" im Symbolleistenbereich ein bzw. aus.
Grafik | Blendet die Symbolleiste "Grafik" im Symbolleistenbereich ein bzw. aus.
Bearbeitungsfenster | Blendet die Symbolleiste "Bearbeitungsfenster" im Symbolleistenbereich ein bzw. aus.
Schnellstart | Blendet die Symbolleiste "Schnellstart" im Symbolleistenbereich ein bzw. aus.
Fensterlayouts | Blendet die Symbolleiste "Fensterlayouts" im Symbolleistenbereich ein bzw. aus.
Makro wiedergeben/aufzeichnen | Blendet die Symbolleiste "Makro wiedergeben/aufzeichnen" im Symbolleistenbereich ein bzw. aus.
Auto Elemente | Blendet die Symbolleiste "Auto Elemente" im Symbolleistenbereich ein bzw. aus.
Gemessene Elemente | Blendet die Symbolleiste "Gemessene Elemente" im Symbolleistenbereich ein bzw. aus.
Konstruierte Elemente | Blendet die Symbolleiste "Konstruierte Elemente" im Symbolleistenbereich ein bzw. aus.
Merkmal | Blendet die Symbolleiste "Merkmal" im Symbolleistenbereich ein bzw. aus.
Einstellungen | Blendet die Symbolleiste "Einstellungen" im Symbolleistenbereich ein bzw. aus.
Taster | Blendet die Symbolleiste "Tastermodus" im Symbolleistenbereich ein bzw. aus.
Aktuelle Arme | Blendet die Symbolleiste "Akuelle Arme" im Symbolleistenbereich ein bzw. aus.
Aktueller Drehtisch | Blendet die Symbolleiste '"Aktueller Drehtisch" im Symbolleistenbereich ein bzw. aus.
Zusätze | Blendet die Symbolleiste '"Zusätze" im Symbolleistenbereich ein bzw. aus.
Anpassen | Paßt die Symbolleisten und Menüs Ihren Anforderungen an. Informationen hierzu finden Sie unter "Anpassen der Benutzeroberfläche" im Abschnitt "Navigation durch die Benutzeroberfläche".

Diese Symbolleisten sind im Abschnitt "Arbeiten mit Symbolleisten" genau beschrieben.


Kontextmenüs im Grafikfenster

Die folgenden Kontextmenüs sind im Grafikfenster verfügbar. Sie können sie aufrufen, indem Sie mit der rechten Maustaste auf bestimmte Bereiche klicken. Manche Kontextmenüs sind nur verfügbar, wenn sich PC-DMIS in einem bestimmten Modus befindet. (Informationen hierzu finden Sie unter Symbolleiste 'Grafikmodi' im Abschnitt "Arbeiten mit Symbolleisten"). Die aufgelisteten Menüoptionen sind je nach Modus verschieden.

Siehe auch:

Kontextmenü "Elemente"

Kästchenauswahl-Kontextmenü


Kontextmenü "Elemente"

Um auf dieses Kontextmenü zuzugreifen, klicken Sie mit der rechten Maustaste auf ein Element-ID-Etikett im Grafikfenster.

Option | Beschreibung
ID ausblenden | Diese Menüoption blendet das ID-Etikett eines einzelnen Elements im Grafikfenster aus. Ein ausgeblendetes Etikett ist weiterhin vorhanden und nun lediglich nicht mehr sichtbar.
Alle IDs einblenden, Alle IDs ausblenden | Diese Menüoptionen blenden die ID-Etiketten aller Elemente im Grafikfenster ein bzw. aus. Alle ausgeblendeten ID-Etiketten sind weiterhin vorhanden und nun lediglich nicht mehr sichtbar.
Element ausblenden | Diese Option blendet ein einzelnes Element im Grafikfenster aus. Das Element ist weiterhin vorhanden und nun lediglich nicht mehr sichtbar.
Alle Elemente ausblenden | Diese Option blendet alle Elemente auf dem Werkstück im Grafikfenster aus. Die Elemente sind weiterhin vorhanden und nun lediglich nicht mehr sichtbar.
Alle Elemente einblenden | Diese Option zeigt alle zuvor ausgeblendeten Elemente im Grafikfenster wieder an.
ID zurücksetzen | Diese Option plaziert ein einzelnes ID-Etikett wieder an die ursprüngliche Stelle direkt neben dem zugehörigen Element.
Alle IDs zurücksetzen | Diese Option plaziert alle ID-Etiketten wieder an ihrer ursprünglichen Stelle direkt neben dem jeweils zugehörigen Element.
Cursor bewegen nach | Wählen Sie diese Menüoption, um den Cursor in die Befehlszeile dieses Elements im Bearbeitungsfenster zu setzen. Dies wirkt sich nur auf die Lage des Cursors im Bearbeitungsfenster aus; die Lage des Tasters im Grafikfenster ist hiervon nicht betroffen.
Hintergrundfarbe ändern... | Öffnet das Dialogfeld Ändere Etiketten. Über dieses Dialogfeld können Sie die Hintergrundfarbe für das ID-Etikett eines Elements ändern. Sie können alle Element-Etiketten in diese neue Farbe ändern oder lediglich den aktuellen Etikettyp. Es gibt drei verschiedene Arten von Etiketten: Element-ID-Etiketten, Merkmal-Info- und Punkt-Infofelder.
Linienfarbe ändern... | Öffnet das Dialogfeld Ändere Etiketten. Über dieses Dialogfeld können Sie die Rahmenfarbe für das ID-Etikett eines Elements ändern. Sie können den Rahmen aller Element-Etiketten in diese neue Farbe ändern oder lediglich den aktuellen Etikettyp. Es gibt drei verschiedene Arten von Etiketten: Element-ID-Etiketten, Merkmal-Info- und Punkt-Infofelder.
Zeige Schatten | Öffnet das Dialogfeld Ändere Etiketten. Über dieses Dialogfeld können Sie eine kleine Schattenkante unter dem ID-Etikett eines Elements ein- oder ausblenden. Es gibt drei verschiedene Arten von Etiketten: Element-ID-Etiketten, Merkmal-Info- und Punkt-Infofelder.

Ergänzungen zum Kontextmenü "Elemente" im Textfeldmodus

Im Textfeldmodus erweitert PC-DMIS das Standardkontextmenü für Elemente um bestimmte Optionen. Dazu gehören:

Option | Beschreibung
Merkmal-Etikett erstellen... | Diese Option erstellt ein Merkmal-Info-Textfeld für das ausgewählte Element. In dem nun eingeblendeten Dialogfeld Merkmal-Info bearbeiten sind die verfügbaren Elementen zu sehen, aus denen das Merkmal-Info-Textfeld erstellt werden kann. Sind mit dem Element keine Elementen verknüpft, erstellt PC-DMIS dafür automatisch ein Standardlagemerkmal (siehe "Merkmal für Lage erstellen" im Abschnitt "Merkmale für Elemente erstellen"). Weitere Informationen zur Verwendung des Dialogfelds Merkmal-Info bearbeiten finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".
Punktinfo-Etikett erstellen… | Diese Option erstellt ein Punktinfo-Textfeld für das ausgewählte Element. In dem nun eingeblendeten Dialogfeld Punktangaben bearbeiten sind das Element (sowie alle verfügbaren Merkmale) zu sehen, aus denen das Punktinfo-Textfeld erstellt werden kann. Weitere Informationen zur Verwendung des Dialogfelds Punktangaben bearbeiten zum Erstellen eines Punktinfo-Textfelds finden Sie unter "Einfügen von Punkt-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".

So greifen Sie auf diese neuen Optionen zu:

  1. Wählen Sie das Symbol Textfeldmodus (siehe "Textfeldmodus" im Abschnitt "Bearbeiten der CAD-Anzeige").
  2. Klicken Sie im Grafikfenster mit der rechten Maustaste auf ein Element oder auf das ID-Etikett eines Elements, um das Kontextmenü anzuzeigen.

Kontextmenü für Merkmal-/Punktangaben im Textfeldmodus

Wenn Sie im Textfeldmodus mit der rechten Maustaste auf ein Merkmalangaben- oder ein Punktangaben-Feld klicken, erweitert PC-DMIS das Standardkontextmenü für Elemente um die folgenden beiden Optionen:

Option | Beschreibung
Bearbeiten | Mit dieser Option können Sie das ausgewählte Merkmalangaben- oder Punktangaben-Textfeld bearbeiten. Das nun eingeblendete Dialogfeld Merkmal-Info bearbeiten bzw. Punkt-Info bearbeiten sieht etwas anders aus. Neben den Standardschaltflächen entlang des unteren Rands des Dialogfelds ist nun die zusätzliche Schaltfläche Auf alle anwenden verfügbar: Mit Auf alle anwenden können Sie alle im Dialogfeld vorgenommenen Änderungen auf alle Merkmalangaben- oder Punktangaben-Felder anwenden: Hinweis: Nur die am Original-Infofeld vorgenommenen Änderungen werden für alle Merkmalangaben- bzw. Punktangaben-Felder übernommen. Einstellungen des Original-Infofelds, die bereits von anderen Infofeldern abweichen, werden nicht für die anderen Infofelder übernommen. Weitere Informationen hierzu finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".
Löschen | Mit dieser Menüoption können Sie das ausgewählte Merkmal- bzw. Punktangaben-Textfeld löschen. Im Bearbeitungsfenster wird der entsprechende PUNKTINFO- bzw. MERKMALINFO-Befehl ebenfalls gelöscht.

So greifen Sie auf diese neuen Optionen zu:

  1. Wählen Sie das Symbol Textfeldmodus (siehe "Textfeldmodus" im Abschnitt "Bearbeiten der CAD-Anzeige").
  2. Klicken Sie im Grafikfenster mit der rechten Maustaste auf ein Merkmalangaben- bzw. ein Punktangaben-Feld.


Kästchenauswahl-Kontextmenü

Dieses Kontextmenü funktioniert nur im Textfeldmodus. So greifen Sie auf dieses Menü zu:

  1. Wählen Sie das Symbol Textfeldmodus (siehe "Textfeldmodus" im Abschnitt "Bearbeiten der CAD-Anzeige").
  2. Wählen Sie ein oder mehrere Elemente aus, indem Sie ein Kästchen darum ziehen. PC-DMIS hebt alle grafischen Elemente oder Element-ID-Etiketten innerhalb des Kästchens hervor.

Es wird ein Kontextmenü mit folgenden Optionen eingeblendet:

Option | Beschreibung
Merkmal Etikett erstellen... Diese Option erstellt Merkmalangaben-Textfelder für die ausgewählten Elemente.

In dem Dialogfeld Merkmal Info bearbeiten, das nun für eines der hervorgehobenen Elemente eingeblendet wird, sind die verfügbaren Elementen zu sehen, aus denen Sie das erste Merkmalangaben-Textfeld erstellen können.

Wenn Sie die gewünschten Optionen im Dialogfeld Merkmal Info bearbeiten ausgewählt haben, klicken Sie entweder auf die Schaltfläche OK oder auf die Schaltfläche Erzeugen (beim Bearbeiten auf die Schaltfläche Übernehmen), um die Merkmalangaben-Felder zu erstellen.

Das erste Merkmalangaben-Feld wird aus dem/den im Dialogfeld Merkmal Info bearbeiten ausgewählten Merkmal(en) erstellt.

Aus allen mit den einzelnen Elementen verknüpften Merkmalen werden alle weiteren Infofelder erstellt.

Sind mit keinen der Elemente Merkmale verknüpft, wird für das betreffende Element automatisch ein Standardlagemerkmal erstellt (siehe "Merkmal für Lage erstellen" im Abschnitt "Merkmale für Elemente erstellen "). Weitere Informationen zur Verwendung des Dialogfelds Merkmal-Info bearbeiten finden Sie unter "Einfügen von Merkmal-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".
Punktinfo-Etikett erstellen… Wählen Sie diese Menüoption, um Punktangaben-Textfelder für die hervorgehobenen Elemente zu erstellen. In dem Dialogfeld Punktangaben bearbeiten, das für eines der hervorgehobenen Elemente eingeblendet wird, sind das Element (sowie alle verfügbaren Merkmale) zu sehen, aus denen das Punktangaben-Textfeld erstellt werden kann.

Wenn Sie die gewünschten Optionen im Dialogfeld "Punktangaben bearbeiten" ausgewählt haben, klicken Sie entweder auf die Schaltfläche OK oder auf die Schaltfläche Erzeugen (beim Bearbeiten auf die Schaltfläche Übernehmen), um die Angabenfelder zu erstellen.

Das erste Angabenfeld wird aus dem im Dialogfeld Punktangabe bearbeiten ausgewählten Element oder Merkmal bzw. Merkmalen erstellt. Aus allen mit den einzelnen Elementen verknüpften Merkmalen und dem Element selbst werden alle weiteren Punktangaben-Felder erstellt. Aus allen mit den einzelnen Elementen verknüpften Merkmalen werden die weiteren Infofelder erstellt. Weitere Informationen zur Verwendung des Dialogfelds Bearbeitet Punktangaben zum Erstellen eines Punktangaben-Textfelds finden Sie unter "Einfügen von Punkt-Infofeldern" im Abschnitt "Einfügen von Protokollbefehlen".
IDs einblenden, IDs ausblenden | Wählen Sie eine dieser Menüoptionen, um alle ID-Etiketten der ausgewählten Elemente ein- bzw. auszublenden. Alle ausgeblendeten ID-Etiketten sind weiterhin vorhanden und nun lediglich nicht mehr sichtbar.
Elemente ausblenden | Diese Option blendet alle ausgewählten Elemente auf dem Werkstück im Grafikfenster aus. Die Elemente sind weiterhin vorhanden und nun lediglich nicht mehr sichtbar.
IDs zurücksetzen | Diese Option setzt alle ausgewählten ID-Etiketten wieder an ihre ursprüngliche Stelle direkt neben dem jeweils zugehörigen Element.


Kontextmenüs im Bearbeitungsfenster

Das PC-DMIS-Bearbeitungsfenster enthält, je nachdem, welcher Modus im Bearbeitungsfenster auswählt wurde, folgende Kontextmenüs.

Siehe auch:

Übersichtsmodus: Kontextmenü "Befehle"

Datenelement-Kontextmenü

Kontextmenüs für den Befehls- und Protokollmodus


Übersichtsmodus: Kontextmenü "Befehle"

Wenn Sie im Übersichtsmodus des Bearbeitungsfensters (siehe "Arbeiten im Übersichtsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters") einen Befehl auswählen und mit der rechten Maustaste darauf klicken, wird das Kontextmenü eingeblendet. Dieses Menü enthält folgende Optionen:

Option | Beschreibung
Bearbeiten | Über diese Option wird das Dialogfeld für das aktuelle Objekt eingeblendet.
Markieren | Diese Option schaltet den Markierungsstatus des Objekts zur Ausführung um.
Löschen | Diese Option löscht den ausgewählten Befehl und alle Unterbefehle aus dem Werkstückprogramm.
Kopieren | Diese Option kopiert den ausgewählten Befehl in die Zwischenablage.
Ausschneiden | Diese Option schneidet den ausgewählten Befehl aus dem Werkstückprogramm aus und stellt ihn in die Zwischenablage.
Einfügen | Diese Option fügt einen zuvor ausgeschnittenen oder kopierten Befehl aus der Zwischenablage unter dem ausgewählten Befehl ein.
Alles ausblenden | Diese Option blendet alle erweiterten Einträge aus.
Befehl einblenden | Diese Option blendet die aktuelle Befehlszeile ein und zeigt alle mit dem ausgewählten Befehl verknüpften Daten- oder Gruppenelemente an.
Befehl hinzufügen Mit dieser Option können Sie einen Befehl aus einer alphabetischen, bildlauffähigen Liste in das Bearbeitungsfenster einfügen.

SCHRITT 1: Navigieren Sie durch die Liste, indem Sie die ersten Buchstaben des Befehls eingeben. PC-DMIS geht automatisch zu dem betreffenden Befehl.

SCHRITT 2: Wählen Sie den Befehl aus der Liste aus.

SCHRITT 3: Drücken Sie entweder STRG + EINGABE oder EINGABE, um den neuen Befehl in das Bearbeitungsfenster einzufügen.

Die Tastenkombination STRG + EINGABE fügt den Befehl nach dem Befehlsblock ein, der zum Öffnen des Kontextmenüs verwendeten wurde.

Die Taste EINGABE fügt den Befehl innerhalb des Befehlsblocks ein, der zum Öffnen des Kontextmenüs verwendetet wurde. Die Taste EINGABE übt nur dann diese Funktion aus, wenn es sich bei dem hinzugefügten Befehl um die Art von Befehl handelt, der in PC-DMIS in einen anderen Befehlsblock eingefügt werden darf. Andernfalls wird er nach dem aktuellen Befehl eingefügt.
Kopplungsansicht Diese Menüoption bestimmt, ob das Bearbeitungsfenster angekoppelt oder nicht angekoppelt wird.

Wenn Sie diese Option deaktivieren, verhält sich das Bearbeitungsfenster wie in früheren Versionen von PC-DMIS und liegt ungekoppelt über dem Grafikfenster.

Wenn Sie diese Option aktivieren, können Sie das Bearbeitungsfenster an den Seitenrändern sowie am oberen oder unteren Rand des Grafikfensters ankoppeln.


Datenelement-Kontextmenü

Das Datenelement-Kontextmenü wird eingeblendet, wenn im Übersichtsmodus (siehe "Arbeiten im Übersichtsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters") des Bearbeitungsfensters mit der rechten Maustaste auf ein Datenelement geklickt wird. Das Kontextmenü besitzt folgende Optionen:

Option | Beschreibung
Bearbeiten | Zum Untermenü dieses Elements gehören "Text für Wert/Ausdruck" und "Ausdruckerstellungsprogramm verwenden".
Text für Wert/Ausdruck: | Ermöglicht das Bearbeiten des aktuellen Elements, sofern der Eintrag bearbeitet werden kann. Ist das Datenelement ein Umschaltelement, erscheint eine Umschaltliste. Andernfalls erscheint ein Feld, in dem der aktuelle Wert bearbeitet werden kann.
Ausdruckserstellungsprogramm verwenden: | Kann das Element bearbeitet werden, wird hiermit das Dialogfeld Ausdruckserstellungsprogramm aufgerufen, in Sie Ausdrücke für das ausgewählte Feld erstellen können.
Kopieren | Kopiert eine von drei Textoptionen für das ausgewählte Datenelement in die Zwischenablage.
Text für Wert: | Kopiert den aktuellen Wert des Datenelements in die Zwischenablage.
Text für Ausdruck: | Kopiert den Text des aktuellen Ausdrucks in die Zwischenablage, sofern ein Ausdruck für das Datenelement vorhanden ist.
Text für Beschreibung: | Kopiert die Beschreibung des aktuellen Datenelements in die Zwischenablage.
Einfügen | Hiermit wird ein kopierter Wert, Ausdruck oder eine Objektbeschreibung an einer neuen Position eingefügt.
Kopplungsansicht | Informationen hierzu finden Sie unter "Übersichtsmodus: Kontextmenü "Befehle"".


Kontextmenüs für den Befehls- und Protokollmodus

Die folgenden Kontextmenüs sind verfügbar, wenn sich PC-DMIS entweder im Protokoll- oder im Befehlsmodus befindet. Informationen zu diesen Modi finden Sie unter "Arbeiten im Protokollmodus" und unter "Arbeiten im Befehlsmodus" im Abschnitt "Verwenden des Bearbeitungsfensters".

Option | Beschreibung
Befehl auswählen | Hebt den Befehl hervor, über dem der Mauszeiger plaziert ist.
Block auswählen | Wählt den gesamten Block aus, wenn sich der Mauszeiger über dem Anfangs- oder Endobjekt des Blocks befindet.
Ausführen ab dem Befehl | Diese Option startet die Ausführung ab der aktuellen Position der Einfügemarke im Bearbeitungsfenster.
Block ausführen | Diese Option führt den aktuell markierten Befehlsblock aus.
Bearbeiten | Hiermit wird das Dialogfeld geöffnet, in dem Sie den Befehl, auf den der Cursor zeigt, bearbeiten können.
Markieren | Diese Option schaltet den Markierungsstatus des Objekts zur Ausführung um. Weitere Informationen über das Markieren finden Sie unter "Markieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".
Haltepunkt | Diese Option fügt einen Haltepunkt an der Position des Cursors ein. Weitere Informationen über Haltepunkte finden Sie unter "Verwenden von Haltepunkten" im Abschnitt "Bearbeiten eines Werkstückprogramms".
Lesezeichen | Diese Option fügt an der Position des Cursors ein Lesezeichen ein. Weitere Informationen über Lesezeichen finden Sie unter "Verwenden von Lesezeichen" im Abschnitt "Bearbeiten eines Werkstückprogramms".
Kopieren | Diese Option kopiert den im Bearbeitungsfenster ausgewählten Text in die Zwischenablage. Weitere Informationen über das Kopieren in das Bearbeitungsfenster finden Sie unter "Kopieren" im Abschnitt "Bearbeiten eines Werkstückprogramms".
Ausschneiden | Diese Option schneidet den im Bearbeitungsfenster ausgewählten Text aus und stellt ihn in die Zwischenablage. Weitere Informationen über das Ausschneiden von Text im Bearbeitungsfenster finden Sie unter "Ausschneiden" im Abschnitt "Bearbeiten eines Werkstückprogramms".
Einfügen | Diese Option fügt Text aus der Zwischenablage an der Position des Cursors in das Bearbeitungsfenster ein. Weitere Informationen über das Einfügen von Text in das Bearbeitungsfenster finden Sie unter "Einfügen" im Abschnitt "Bearbeiten eines Werkstückprogramms".
Kopplungsansicht | Informationen hierzu finden Sie unter "Übersichtsmodus: Kontextmenü "Befehle"".
Popup-Anzeige ändern
Ausdruckswert
  1. Wählen Sie Ausdruckswert.
  2. Plazieren Sie den Cursor auf einem Ausdruck.
  3. In dem nun eingeblendeten kleinen Popup-Fenster wird der aktuelle Wert des Ausdrucks angezeigt.
Datentypangaben
  1. Wählen Sie Datentypangaben.

    Die in diesem Popup-Fenster angezeigten Informationen können in Verbindung mit dem GETTEXT-Ausdruck verwendet werden. Informationen hierzu finden Sie im Abschnitt "Verwenden von Ausdrücken und Variablen".

  2. Plazieren Sie den Cursor auf dem Datenfeld.
  3. In dem nun eingeblendeten kleinen Popup-Fenster werden Informationen über das Datenfeld angezeigt, u. a. Beschreibung, Nummer und Index des Datentyps.
Befehlsangaben
  1. Wählen Sie Befehlsangaben.

    In dem nun eingeblendeten kleinen Popup-Fenster werden Informationen zur Beschreibung des Befehls sowie die Nummer des Befehlstyps angezeigt. Die in diesem Popup-Fenster angezeigten Informationen können in Verbindung mit dem GETCOMMAND-Ausdruck verwendet werden. Informationen hierzu finden Sie im Abschnitt "Verwenden von Ausdrücken und Variablen".

  2. Plazieren Sie den Cusor auf einem beliebigen Befehl im Bearbeitungsfenster.
Objekt Diese Menüoption steht erst nach Einfügen eines externen Objekts in das Bearbeitungsfenster zur Auswahl. Weitere Informationen hierzu finden Sie unter "Einfügen externer Objekte" im Abschnitt "Hinzufügen externer Elemente".

Wenn Sie das externe Objekt im Bearbeitungsfenster hervorheben und dann mit der rechten Maustaste darauf klicken, wird dieses Kontextmenü um bestimmte Optionen speziell für das betreffende Objekt ergänzt. Dies könnte beispielweise Optionen zum Öffnen oder Bearbeiten des Objekts oder zum Ändern seiner Eigenschaften beinhalten.


Glossar

Achsenzähler

FOVAbkürzung für: Field of View (Sichtfeldmitte)

UPR(Undulations per Revolution = Wellenbewegung pro Umdrehung)

Ausreißer .

"NEUE DATEI"

"ALTE DATEI"

Anz. Meßpkte

Anz. Reihen

95 % Sicherheit

AB-Winkel

AB-Positionen

Aktive Tastspitze

Aktives Kalibriernormal

IST

Istpunkt

Ausrichtungsblock

Ausrichtungsversatz

Ausrichtungsdrehfunktion

Analoges Tastsystem

Argumente

Zuweisung

Sternchen (*) Metazeichen

Achsen

Achse

Kugeltastspitze

Schwerpunkt

BASIC-Skript

Baud

Biegeradius

Besteinpassung

Besterkennung Algorithmen

Blockbearbeitung

Bolzen

Grenzüberschreitungen

Grenzebene

Grenzebenenvektor

Begrenzungspunkte

Kästchenauswahl

Kästchenauswahlmethode

Kästchentoleranzauswahl

Verzweigen

CAD-Koordinaten

CAD-Datei

Wrist kalibrieren

Bereichsgrenze berechnen

Kalibrierung

Kalibriernormal

Leistungsschwellenwert

KE (Kolissionserkennung)

Flächenmittelpunkt

Charakteristischer Punkt

Untergeordneter Befehl

Kreisbewegung

Sichebene

Maschinenleistungsindex

KMG

Kollisionstoleranz

Säulen-Positioniergerät

Säulen-Passierweg

Kommunikationsanschluß

Kontinuierliches Kontaktscannen

Steuereinheit

Koordinatensystem

Coplanar

Prozeßleistungsindex

Schnittebene

Schnittebenenvektor

Schnitt(ebenen)vektor

DataPage

Bezugsmerkmal

Bezugsmodellrahmen

CNC

CNC-Modus

DD

Begrenzen

Begrenzer

Begrenzer

Delta

Abhängige Kurve

Abhängige Kurven

Abhängige Oberfläche

Abhängige Oberflächen

Tiefe

DES

DE (Durchmesser Element)

Durchmesser

DIMS

Richtungspunkt

ScheibenTastspitze

DRO

Lotpunkt

DXF

Element

Elemente

ELM1

ELM2

ELOGO.DAT

Endwinkel

Endstück

Endpunkt

Endpunktvektor

Pinolenende

Endvektor

Fehlermatrix

Exportieren

Ausdruck

Ausdrücke

Ausstoßen

Faro-Arm

Elementhöhe

Elementlänge

Elementzeiger

Elementzeiger

Elementgruppe

Elementbreite

DATEI I/O

NW-Suche

Festdelta

Festtaster

Flacher Elementtyp

Flache Elemente

Elementerkennung Flach

Verschiebbare Symbolleiste

Ablaufsteuerung

FLY-Modus

Bund & Spalt

Gaußscher Filter

GDT

Geometrien

Greifer

Elementerkennung

Starrer Taster

HEADER.DAT

Extrempunkt-Element

Meßpunkt

Meßpunktpuffer

Rückzug nach Meßpunkt

Maschinennullpunkt

I/O-Kanäle

ID

IGES

Importieren

Einzug

Unabhängige Kurve

Unabhängige Kurven

Unabhängige Oberfläche

Unabhängige Oberflächen

Verstellbar

Indirektverweis

Erste

Erste Stützpunkte

Erstpunktvektor

Anfangsvektor

SCHNITTVON

Iterative Ausrichtung

Kinematischer Adapter

Knoten

Knoten

Lernmodus

Lernen

RAUM - 3 +

RAUM-Gruppe

Linienabstand

Literale

LK-Systeme

LMC

Logo.dat

Schleifen

Maschinenleistung

Maschinenkoordinaten

Manueller Antastpunkt

Markierungsgruppe

Verwendete markieren

Mehrarmbetrieb

Materialstärke

MDI(Multi Document Interface - Mehrfachdokumentschnittstelle)

Meßvolumen

Metazeichen

Mikronen

Plus-Toleranzen im Minusfeld

MMC (Maximum Material Condition)

MMIV

Modellraum

Modi

Anfahrpunkt

Meßbereich

Gleitender Durchschnitt

Verschachtelte Unterprogramme

Newton

Vertikal zu

Kerbe

Anzahl Meßpunkte

Anz. Reihen

ODBC

Versatzelement

Bei Fehler

Open GL

Operand

Operanden

Optischer Sensor

NULLPUNKT-Funktionsgruppe

PA

Polarwink.

Parameterraum

Übergeordneter Befehl

Werkstückkoordinaten

Werkstückprogramm

Perm.

Anzahl perm. Stützpunkte

PHx

Durchstoßpunkt

Stifte

Steigung

Ebenenvektor

PKT TOL

Punktweise Digitalisierung

POLAR

POLR

Potentiometer

PR

PRad

Priorität

Vorhaltebereich

Taster

Tasterwechsler

Tastertiefe

Tasterverlängerung

Tastzyklus

PROE

Profil

Profilfehler

Profile

Programmodus

Pkt.

Kalibriernormale

Kalibrieren

Fragezeichen- (?) Metazeichen

Pinole

POS. lesen

KART

Verweise

Modus "Neu lernen"

RFS

RLE

RMess

ROI

DREHEN - 2 +

Funktionsgruppe für DREHEN

Runder Elementtyp

Runde Elemente

Elementerkennung Rund

RTF

Scanpunktdichte

Skripting

Schnittlinien

NULLPUNKT SETZEN - 1

Schaft

Schaftkalibrierung

ZylinderTastspitze

Triggern durch Schaftkontakt

Blechkörper

Blechtasterstift

Blechstärke

Sigma

SNSDEF

Soft Probing (Meßpunktaufnahme bei weichem Material)

Massivkörper

Abstand

SPC

Spline

Splines

Ausrichten

Standardabweichung

Startwinkel

Startpunkt

Betriebsmodus

Statistik-Ausgabedatei

STEP AP203 & AP214

Schrittmodus

Stitch-Scan (streifenweises Abtasten)

STL

Stiftbolzen

Taststift

Tasterwechsler

Tasterverlängerung

Unterprogramm

Unterprogramme

Rotationsoberfläche

Systemkalibrierung

ABGESETZTE TASTSPITZE

ZIEL

Mosaik

THEO

Gewinde

Zeitdelta-Scan

Tastspitze

UMSCHALTUNG

Schaltendes Tastsystem

TP

Überwachungsfeld

Überwachungsfelder

Übertragungsmodus

TTP

UG

Variablen

Variabler Deltascan

Variablen

VDAF

VDAFS

Anzeigen der ID

VolComp-Datei

Volumenkompensation

Gewichtung

Gewichtungen

Stellvertreterzeichen

Drahtkörper

Arbeitsebene

Wrist-Matrix

Delta-Mindestwert für Wristdrehung

X-, Y- und Z-Mitte

XBarR

XBarS

Z-Arm (vertikal)


ANSWERWORKS#ff9900

Geben Sie Ihre Frage ein, dann klicken Sie auf Suchen.


AnswerWorks

Die zu Ihrer Abfrage passenden Themen werden hier angezeigt, wenn Sie auf Suchen klicken.


Virtuelle Tastatur-Varianten öffnen

Sie können mit einem Rechtsklick auf die Virtuelle Tastatur jederzeit ein Popup-Menü einblenden, über das Sie schnell Varianten für die Tastatur auswählen oder diese an Ihre Erfordernisse anpassen können:

Die folgenden Menüeinträge zeigen die verschiedenen Standardvarianten, die für die Virtuelle Tastatur zur Auswahl stehen. Diese Varianten können Sie natürlich anpassen oder andere Varianten erstellen, die eher Ihren Wünschen entsprechen (siehe auch "Ändern einer vorhandenen Virtuellen Tastatur-Variante").

Tastenfeld : | Tastenfeld 2 | Tastenfeld 3
Std-Tastenfeld | Funktionstasten | Tastatur


Löschen Ihrer Änderungen

Solange Sie noch nicht die Schaltfläche Registry erneuern angeklickt haben, können Sie jederzeit die Schaltfläche Abbrechen anklicken und dann Nein wählen, wenn Sie gefragt werden, ob die Änderungen an der Registrierung gespeichert werden sollen. Daraufhin wird der Einstellungseditor geschlossen, ohne Änderungen in der Registrierung zu speichern.


Der Name "PC-DMIS" ist aus dem Akronym "DMIS" hergeleitet. Dieses bedeutet: Dimensional Measuring Interface Standard (Standard für dimensionale Meß-Schnittstellen).


Eine Maus ist ein Zeigegerät zur Steuerung der Cursorbewegung auf dem Bildschirm.


In Verbindung mit PC-DMIS kann eine Drei-Tasten-Maus verwendet werden, die mittlere Taste hat dabei den gleichen Effekt wie das gleichzeitige Drücken der linken und rechten Maustaste.


Drücken Sie nach Messung jedes Elements stets die Taste ENDE (oder eine entsprechende KMG-Taste).


Klicken Sie auf das Symbol Ansicht einrichten, um das gleichnamige Dialogfeld zu öffnen
.


Stellen Sie vor der Aufnahme von Meßpunkten sicher, daß PC-DMIS auf den Programmodus eingestellt ist.
Wählen Sie hierzu das Symbol Programmodus.


Über das Symbol Größe anpassen wird das Bild im Grafikfenster skaliert.


Es muß mindestens eine Taster spitze geladen sein, damit die Aufzeichnung von KMG-Meßpunkten durch PC-DMIS zugelassen wird.


Optionen können in Dropdown-Menüs auf die gleiche Weise gewählt werden wie in der Menüleiste.


Das Bearbeitungsfenster kann auf die gleiche Weise wie ein Dialogfeld verschoben werden. Siehe "Verschieben von Dialogfeldern".


Beachten Sie, daß Programme, die in einer älteren Version als Version 3.2 erstellt wurden, nach dem Öffnen in dieser Version nicht mehr in der alten Version verwendet werden können, in der sie erstellt wurden.


Sofern dies noch nicht geschehen ist, muß zur Ansicht von .pdf-Dateien das kostenlos erhältliche Programm Adobe® Acrobat® Reader™ auf dem Computer installiert werden. Es kann von der Website von Adobe unter folgender Adresse heruntergeladen werden: http://www.adobe.com/products/acrobat/readstep.html


DMIS-Daten werden im PC-DMIS-Format in das Werkstückprogramm importiert, so daß eine separate Datei überflüssig ist.


Erweiterungen können nicht-standardmäßige Befehle oder ergänzte / modifizierte Parameter der DMIS-Standardbefehle enthalten.


XYZIJK-Dateien besitzen die Erweiterung ".xyz". Sie können die Werte in einer .xyz-Datei mit jedem Standard-Texteditor betrachten.


Diese Option trifft nicht auf alle KMG-Typen zu. Einige KMGs können sie nutzen, während sie auf andere keine Auswirkung hat.


Diese Option ist nur bei bestimmten CNC- KMG-Typen (wie LK und Mitutoyo) verfügbar.


Beim Ändern einer ID ist es wichtig, sich die bereits festgelegten IDs zu notieren. Mehrfache Änderungen an dieser Option können zu doppelten IDs führen.


Beim Wechseln von der Kästchentoleranzauswahl zur Position (und zurück) muß das Format unbedingt auf seine Richtigkeit überprüft werden.


Eine Bewegung von einer Sicherheitsebene in eine andere wirkt sich auf die Position des Tasters aus. Vergewissern Sie sich, daß die festgelegte Sicherheitsebene ausreichend Abstand zum Werkstück bietet.


Diese Option ist nur im CNC-Modus verfügbar.


Der Befehl AUSLÖSEREBENE/ funktioniert nur bei Auto-Kreisen, Auto-Ellipsen, Auto-Langlöchern und Auto-Kantenpunkten.


Dieser Befehl funktioniert nur in Verbindung mit Auto-Elementen des Typs Punkt: Vektorpunkt, Oberflächenpunkt, Winkelpunkt, Eckpunkt und Meßpunkt. Er funktioniert nicht bei einzelnen Meßpunkten von Elementen.


Die Registerkarte NC-100-Parameter wird nur dann im Dialogfeld Parametereinstellungen angezeigt, wenn Sie einen NC-100-Optiksensor als aktiven Taster ausgewählt haben.


Derzeit funktionieren die Optionen auf der Registerkarte I/O-Kanäle nur bei DEA-Geräten. Zukünftig könnten weitere Geräte hinzukommen.


Im Dialogfeld Fensterfarben bearbeiten können lediglich die Farben für Textmodi des Bearbeitungsfensters, wie beispielsweise Befehlsmodus", DMIS-Modus und Protokollmodus", festgelegt werden.


Sie können das Dialogfeld Taster -Anzeige einrichten durch einen Rechtsklick auf das Taster-Anzeigefenster und das Anklicken von Setup öffnen.


Diese Option ist nur im Online-Modus verfügbar.


Damit diese Menüoption verfügbar ist, muß das Grafikfenster aktiv sein.


Ein Anzeigepuffer ist Grafikspeicher, der zum Speichern der auf dem Bildschirm dargestellten Bilder verwendet wird.


Der Mosaikwert ist der Standardwert, der bei der Unterteilung von Oberflächen in Teilflächen zu Schattierungszwecken zugrunde gelegt wird.


Durch Drehen einer Zeichnung in zwei Dimensionen ändert sich lediglich die Anzeige. Der Nullpunkt oder die Bezugsmerkmale des eigentlichen Werkstücks bleiben davon unberührt.


Bei Verschieben der Maus wird das Bild in PC-DMIS dynamisch neu gezeichnet.


Die Option zur Skalierung der Zeichnung funktioniert nur, wenn sich PC-DMIS im Übertragungsmodus befindet. Informationen hierzu finden Sie unter "Ändern der Bildschirmmodi".


Eine schnelle Methode zum Drehen ist, die STRG-und die rechte Maustaste gleichzeitig zu drücken und dann die Maus zu ziehen.


Baugruppen-Symbol auf der Symbolleiste Grafik.


Diese Option ist erst verfügbar, nachdem die Menüoption NEU gewählt wurde.


Das Bild bleibt bis zur Erfassung eines anderen Bildschirms oder bis zum Schließen des Werkstückprogramms in der Zwischenablage.


PC-DMIS erkennt gewählte Elemente, indem diese in der aktuell gewählten Markierungsfarbe hervorgehoben werden.


Die Option "Bahn animieren" simuliert lediglich die Bewegung des Tasters. Sie bewirkt keine Ausführung des Werkstückprogramms.


Wenn eine Bewegung vor einem PHx-Wrist-Wechsel eingefügt wird, bleibt die Position des Wrist-Wechsels solange unverändert, bis BAHN NEU ZEICHNEN gewählt wurde.


Ein "T-Wert" ist der Abstand des Meßpunkts von dem Nennpunkt entlang des theoretischen CAD-Oberflächenvektors.


Wenn sich der Cursor in einem dieser Felder befindet, können diese mit den Funktionstasten F7 und F8 gewechselt bzw. aktiviert und deaktiviert werden.


Ein Meßpunktsymbol entfernen


Symbol für Taster-Ergebnisanzeige


Verfügbare Symbole für Achsen-Blockierung


bmc D:\DOCPROJECTS\V36\V36MAIN\winhlp40\bitmaps\i_guessmode.bmp} Symbole für Elementerkennung Flach und Elementerkennung Rund


Schaltfläche "Textobjekt"


Symbol Schaltfläche


Symbol Layers Sheet


Merkmalinfo-Objekt


EditLongBox-Objekt


PC-DMIS ermittelt, welche Auto-Elementeinträge in der Symbolleiste und im Menü aktiviert sind, abhängig davon, welchen Tastertyp Sie aktiviert haben und welche Einstellungen an Ihrer Anschlußsperre vorgenommen wurden. Die Symbole Charakteristischer Punkt und Spalt werden nur dann zur Auswahl eingeblendet, wenn Sie einen berührungslosen Taster eingesetzt haben.


Vor Kalibrierung einer Tastspitze muß mindestens eine Tastspitze geladen werden.


Vor der Messung eines Tasters muß mindestens eine Tastspitze in der Liste Aktuelle Tastspitzen definiert werden.


Das CD -Modul in Avail/NT funktioniert nur, wenn sich auf dem Bildschirm eine OPENGL- (schattierte) Ansicht befindet.


Anpaßbarer 5-Wege-Sterntaster mit verschiedenen Tastspitzen


Nicht anpaßbarer Sterntaster mit identischen Tastspitzen


Wird kein Elementtyp angegeben, nimmt PC-DMIS an, daß Sie Oberflächenpunkte auswählen werden.


Wenn Sie kein Modul im Bereich Punkte auswählen, geht PC-DMIS davon aus, daß das Werkstück direkt auf der Säulenkugel plaziert wird.


Säulen sind zylindrische flexible Aufspannvorrichtungen, die auf die Tischoberfläche des KMG gesetzt werden. Diese Säulen stützen und halten Teile mit geringer Steifigkeit, wie beispielsweise Blechplatten, Stoßstangen, Automobilpolsterung, Windschutzscheiben, Armaturen usw., um genauere Messungen zu ermöglichen.


Das Kontrollkästchen " Sicherheitsebene" ist nur im CNC-Modus verfügbar.


Diese Felder sind nur bei den folgenden Auto-Elementtypen verfügbar: Kreis, Zylinder, Kugel, Rechteckloch, Langloch, Ellipse, Kerbe oder Kegel.


"Tiefe" wird nur für folgende Elementtypen unterstützt: Kantenpunkt, Kreis, Zylinder, Kegel, Rechteckloch, Langloch, Ellipse und Kerbe.


Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Rechteckloch


Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Vektorpunkt und Oberflächenpunkt.


Dieses Kontrollkästchen ist nur für das Auto-Element "Winkelpunkt" verfügbar.


Dieses Kontrollkästchen ist nur für das Auto-Element "Extrempunkt" verfügbar.


Diese Schaltfläche ist nur für das Element "Extrempunkt" verfügbar.


Diese Liste ist nur für die folgenden Auto-Elemente verfügbar: Zylinder, Kugel, Kegel oder Ebene


Dieses Feld ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Kugel oder Kegel.


Dieses Feld ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Ellipse oder Kegel.


Dieses Feld ist nur für die folgenden Auto-Elemente verfügbar: Kreis oder Zylinder.


Dieses Feld ist nur für das Auto-Element "Kugel" verfügbar.


Dieses Feld ist nur für die folgenden Elementtypen verfügbar: Rechteckloch und Kerbe.


Dieses Feld ist nur für das Element "Ellipse" verfügbar.


Dieses Feld ist nur für das Element "Kegel" verfügbar.


Dieser Bereich steht derzeit nur für das Linienelement zur Auswahl.


Diese Felder sind nur für das Element "Extrempunkt" verfügbar.


Diese Felder sind nur für die Elemente "Extrempunkt" und "Linie" verfügbar.


Diese Felder sind nur für das Element "Kantenpunkt" verfügbar.


Diese Felder sind nur für die Elemente "Winkelpunkt" und "Linie" verfügbar.


Diese Felder sind nur für die folgenden Auto-Elemente verfügbar: Winkelpunkt oder Eckpunkt.


Diese Felder sind nur für das Element "Eckpunkt" verfügbar.


Diese Schaltfläche ist nur für die folgenden Auto-Elemente verfügbar: Vektorpunkt, Oberflächenpunkt und Kantenpunkt.


Diese Optionsschaltflächen sind nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Kugel, Rechteckloch, Langloch, Ellipse und Kegel.


Beim Messen der Seite des Werkstücks, das in PC-DMIS modelliert wurde, sollte der Wert der Werkstückstärke auf Null gesetzt werden. Die Option für die Werkstückstärke sollte nur bei Messung der Seite des Werkstücks, das nicht in CAD-Daten gezeichnet ist, verwendet werden.


Diese Option ist nur beim Element "Kantenpunkt" verfügbar.


Diese Liste ist nur für die folgenden Auto-Elemente verfügbar: Kreis und Zylinder.


Der VEKTORMODUS ist nur für Vektor- und Oberflächenpunkte verfügbar.


Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Kugel, Rechteckloch, Langloch, Ellipse, Kerbe, Kegel.


Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Rechteckloch, Langloch, Ellipse, Kerbe, Kegel.


Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder und Kegel.


Dieses Kontrollkästchen ist nur für die folgenden Auto-Elemente verfügbar: Kreis, Zylinder, Rechteckloch, Langloch, Kerbe.


Dieses Kontrollkästchen ist nur für das Auto-Element "Zylinder" verfügbar.


Die Option "Bohrung suchen" ist nur im CNC-Modus verfügbar.


Diese Felder sind für die folgenden Auto-Elemente verfügbar: Vektorpunkt und Oberflächenpunkt.


Diese Felder sind nur für das Element "Vektorpunkt" verfügbar.


Diese Felder sind nur für die Elemente "Kreis", "Rechteckloch" oder "Langloch" verfügbar.


Dieses Kontrollkästchen ist nur für die Elemente "Kreis", "Rechteckloch" oder "Langloch" verfügbar.


Auto-Kreis,
Auto-Zylinder,
Auto-Kugel
Auto-Kegel


Bei bestimmten KMGs hat das Drücken der Taste FERTIG am Bedienelement dieselbe Wirkung wie das Anklicken der Befehlsschaltfläche Erzeugen.


Die Option "Nennwertsuche" sollte bei dieser Meßmethode EINgeschaltet sein.


Die Option "Nennwertsuche" sollte bei dieser Meßmethode EINgeschaltet sein. Weitere Informationen zur Nennwertsuche finden Sie unter "Liste 'Modus'".


Standardmäßig weist der Startpunkt denselben Wert auf wie der Mittelpunkt. Sie können den Startpunkt ändern, indem Sie die XYZ-Position des Extrempunktelements ändern oder indem Sie das CAD-Modell erneut anklicken.


Für einen Kreis sind mindestens drei Meßpunkte erforderlich.


Für einen Kegel sind mindestens sechs Meßpunkte erforderlich.


Für einen Zylinder sind mindestens sechs Meßpunkte erforderlich.


Für eine Linie sind mindestens zwei Meßpunkte erforderlich.


Für eine Ebene sind mindestens drei Meßpunkte erforderlich.


Für einen Punkt ist nur ein Meßpunkt zulässig.


Für eine Kugel sind mindestens vier Meßpunkte erforderlich.


Unterstützte Elemente:
 Gemessener Kreis
Gemessener Zylinder
Gemessener Punkt
Gemessene Ebene
Gemessene Kugel
Gemessene Linie
Gemessener Kegel


Bitte beachten Sie, daß die dokumentierten Konventionen lediglich ein Hilfsmittel darstellen, das Sie mit den im Bearbeitungsfenster geltenden Regeln vertraut machen soll. Das tatsächliche Bearbeitungsprotokoll wird durchweg in GROSSBUCHSTABEN angezeigt.


Das tatsächliche Bearbeitungsprotokoll wird ausschließlich in GROSSBUCHSTABEN angezeigt.


AUTO ist die Standardkonstruktionsmethode. Diese Option bestimmt automatisch die geeignetste Methode zur Konstruktion eines Punkts mit Hilfe eines oder mehrerer Eingabemerkmale. Informationen hierzu finden Sie unter "Auto-Punktkonstruktion".


auto ist die Standardkonstruktionsmethode. Informationen hierzu finden Sie unter "Auto-Kreiskonstruktion".


AUTO ist die Standardkonstruktionsmethode. Diese Option ermittelt automatisch die geeignetste Methode zur Konstruktion einer Kugel mit Hilfe eines oder mehrerer Eingabemerkmale. Informationen hierzu finden Sie unter "Auto-Kugelkonstruktion".


AUTO ist die Standardkonstruktionsmethode. Informationen hierzu finden Sie unter "Auto-Linienkonstruktion".


Die Neukompensation der Besteinpassung ist nur dann genau, wenn eine Linie mit Hilfe von Punkten konstruiert wird.


auto ist die Standardkonstruktionsmethode. Diese Option ermittelt automatisch die geeignetste Methode zur Konstruktion eines Kegels mit Hilfe eines oder mehrerer Eingabemerkmale. Informationen hierzu finden Sie unter "Auto-Kegelkonstruktion".


AUTO ist die Standardkonstruktionsmethode. Diese Option ermittelt automatisch die geeignetste Methode zur Konstruktion eines Zylinders mit Hilfe eines oder mehrerer Eingabemerkmale. Informationen hierzu finden Sie unter "Auto-Zylinderkonstruktion".


AUTO ist die Standardkonstruktionsmethode. Diese Option ermittelt automatisch die geeignetste Methode zur Konstruktion einer Ebene mit Hilfe eines oder mehrerer Eingabemerkmale. Informationen hierzu finden Sie unter "Auto-Ebenenkonstruktion".


PC-DMIS kann nur aus einer Elementgruppe eine Extrempunktebene konstruieren. Diese Gruppe muß mindestens drei Elemente enthalten.


ABHÄNGIG ist die Standardkonstruktionsmethode.


Paßpunkte sind Punkte, welche die Start- und Endpunkte von Splines in einem Oberflächenraster markieren.


Die Option Gaußfilter ist die am häufigsten verwendete Filteroption.


In der Automobilfachsprache erhält man durch eine iterative Ausrichtung "Karosserie"-Koordinaten.


Der Ausrichtungsblock ist der Textblock im Bearbeitungsfenster, der zur Definition der Ausrichtung dient. Er beginnt mit dem Befehl AUSRICHTUNG/ANFANG und endet mit dem Befehl AUSRICHTUNG/ENDE.


Die Option KMG-Verschiebung (Leapfrog) wird verfügbar, wenn Sie entweder einen FARO- oder einen ROMER-Taster verwenden. Die Anschlußsperre muß ebenfalls für ein FARO- oder ROMER-Gerät programmiert sein.


Allgemeine Hinweise zur Veränderung des Bearbeitungsfensterprotokolls finden Sie im Abschnitt "Bearbeiten eines Werkstückprogramms".


PC-DMIS wird die Merkmale, die überhaupt keine Verknüpfung mit Elementen aufweisen, in der Farbe darstellen, die Sie für Texte außerhalb der Toleranz definiert haben.


Der maximale und minimale Abstand ist der zwischen zwei Linien entlang der Länge dieser Linien gemessene Abstand.


Wird als erstes Element eine Kugel gewählt, so muß das zweite Element ebenfalls eine Kugel sein. PC-DMIS nimmt dann eine dreidimensionale Berechnung der Konzentrizität zwischen den beiden Elementen vor.


Zur Bestimmung der Rundheit dieses Elements sind ein Meßpunkt sowie die minimal erforderliche Meßpunktanzahl dieses Elements notwendig. Zusätzliche Meßpunkte liefern eine bessere Darstellung der Rundheit des gesamten Elements.


Zur Bestimmung der Geradheit einer Linie sind mindestens drei Meßpunkte erforderlich.


Zur Bestimmung der Ebenheit einer Oberfläche sind mindestens vier Meßpunkte erforderlich.


Die Schaltfläche "Bereichsgrenze" ist nur im CNC-Modus und bei Scans mit offener Linie, geschlossener Linie, Teilfläche und Profilschnitt verfügbar. Sie steht nicht bei Umfangscans zur Verfügung.


Die Funktion "Meßpunkttyp" ist nur für CNC-Scans verfügbar.


Diese Option ist nur bei CNC-Scans verfügbar.


Der Teilflächenscan ist vergleichbar mit einer Reihe von Offene Linien-Scans, die parallel zueinander durchgeführt wurden.


Dieses Kontrollkästchen ist nur verfügbar, wenn Sie einen starren Taster verwenden (z.B. ein Faro-Arm). Es steht nur auf den Registerkarten Fester Abstand, Feste Zeit/Fester Abstand und Feste Zeit zur Auswahl.


Um Zugriff auf die vier Meßmethoden zu erhalten, muß ein starrer Taster verwendet werden.


Schnitte sind Bereiche (entweder Ebenen oder Kreise) auf dem Werkstück, wo die Aufnahme eines Meßpunkts ausgelöst wird, wenn diese vom Taster überquert werden.


PC-DMIS läßt das Einfügen eines Bewegungspunkts in die Mitte einer Sicherheitsebenenbewegung oder in die Mitte einer PH9-Wrist-Drehung nicht zu. Wenn sich der Cursor in einer Sicherheitsebenenbewegung oder einer PH9-Änderung befindet, weist PC-DMIS in einer Meldung darauf hin, daß an diesem Punkt keine Bewegung eingefügt werden kann.


Der Befehl BEWEGENALLE/ funktioniert mit jedem – kontinuierlichen oder verstellbaren - motorisierten Tastkopf und jeder Tasterkombination.


Diese Optionen funktionieren nur mit den Statistik-Datenbankprogramm DataPage.


Ein Ausdruck ist eine benutzerdefinierte Bedingung, die in Verbindung mit PC-DMIS-Befehlen zur Ablaufsteuerung verwendet wird. Mit Hilfe von Ablaufsteuerungsanweisungen können Sie diese Bedingungen in Ihrem Werkstückprogramm testen und bestimmen, wie PC-DMIS vorgehen soll, wenn die Bedingung erfüllt oder nicht erfüllt wird.


Unter dem Begriff "ausgewertet" versteht man das Ergebnis, das man bei Lösen des mathematischen Ausdrucks für einen Wert erhält.


Zeiger sind auch als "Elementzeiger" bekannt. Weitere Hinweise dazu finden Sie unter dem Begriff "Elementzeiger" im Glossar.


Schraffierte Linien – diagonal durch die Grafik verlaufende Linien.

Schraffierte Umrandung – diagonal durch die Umrandung der Grafik verlaufende Linien.


Einpassungsfehler Während der Kalibrierung transformiert PC-DMIS die Werte eines Koordinatensystems in ein anderes, in dem Versuch, eine Ebene durch alle von einem bestimmten Arm gemessenen Kugeln "einzupassen". Die Werte dieser "Einpassung" werden in der Datei armarm.results gespeichert.


Das Menüelement Arm-Umgebung wechseln ein/aus ist nur in Systemen verfügbar, die in den Mehrarmbetrieb versetzt wurden.


Ein Thermoelement mißt Temperaturunterschiede.


Die Standardanzahl von Meßpunkten, die PC-DMIS auf einem kreisförmigen Element erzeugt, ist eine Systemoption. Um diesen Wert zu ändern, öffnen Sie das Dialogfeld Setup-Optionen und klicken dann auf die Registerkarte Allgemein. Geben Sie die neue Standardanzahl in das Bearbeitungsfeld Auto-Kreispunkte ein.


Kurvenfarbe

Mit diesem Eintrag können Sie die Farbe für die Kurvendarstellung auf importierten Modellen definieren.

Eintragsname: CurveColor

Eintragstyp: Ganzzahlenwerte von 0 bis 255 in den Feldern Rot, Grün und Blau.


Bezugselementfarbe

Mit diesem Eintrag können Sie die Farbe für die Bezugselementdarstellung auf importierten Modellen definieren.

Eintragsname: DatumColor

Eintragstyp: Ganzzahlenwerte von 0 bis 255 in den Feldern Rot, Grün und Blau.


Beenden eines Werkstückprogramms

Über den Menüeintrag Programm beenden wird ein Programmbeendigungsbefehl (PROGRAMM/ENDE) in das Bearbeitungsfenster eingefügt. Immer dann, wenn PC-DMIS während des Programmablaufs auf diesen Befehl trifft, wird die Ausführung des Werkstückprogramms sofort unterbrochen.

Dieser Programm ist dann hilfreich, wenn Sie ein Werkstückprogramm auf Basis bestimmter Bedingungen früher als üblich beenden wollen.


95 % Sicherheit

Sind eine Gaußsche Fehlerverteilung (oder ein Gaußscher Filter), eine angemessene Anzahl von Meßpunkten und die daraus resultierende Standardabweichung gegeben, können Sie mit 95%iger Sicherheit davon ausgehen, daß das tatsächliche Merkmal geringer als der Meßwert sein wird.


Anz. Meßpkte

Abkürzung für Anzahl Meßpunkte.


"NEUE DATEI"

Die NEUE Datei (siehe Beschreibung in Kapitel 3) ist eine CAD-Datei, bei der aufgrund von Änderungen der Schichten nur bestimmte Elemente angezeigt werden. Siehe "ALTE Datei".


"ALTE DATEI"

Die ALTE DATEI (siehe Beschreibung in Kapitel 3) ist die ursprüngliche CAD-Datei vor Durchführung von schichtbezogenen Änderungen. Siehe "NEUE Datei".


Anz. Reihen

Abkürzung für Anzahl der Meßpunktreihen.


AB-Winkel

Die Position der A- und B-Achsen gibt die Winkel vor, die ein Taster während der Kalibrierung der Tastspitze verwendet. Sie werden auch als AB-Positionen bezeichnet.

  • A ist der Winkel des senkrecht stehenden Wrists. A = 0°, wenn die Tastspitze genau nach unten zeigt und vertikal zu dem Taster steht.
  • B ist der Rotationswinkel. B = 0° ändert sich jeweils nach KMG-Typ und -Marke sowie nach Art des Tastkopfs.


AB-Positionen

Siehe AB-Winkel.


Aktuelle Tastspitze

Der Begriff "aktuelle Tastspitze" bezieht sich auf den Teil des Tasters (auch Taststift genannt), der gegenwärtig geladen ist. Es können mehrere Tastspitzen gleichzeitig aktiv sein, wobei diese dann in der "Liste aktueller Tastspitzen" aufgeführt sind.


Aktueller Taster

Dieser Begriff bezieht sich auf den Taster, der zur Kalibrierung der aktuellen Tastspitze verwendet wird. Siehe auch Kalibriernormal.


IST

Dieser Begriff bezieht sich auf den IST-Wert, d.h. die tatsächlich "gemessenen" Größen- oder Positionsdaten im Gegensatz zur "theoretischen" Größen- oder Positionswerten.


Istpunkt

Von den zahlreichen Messungen, die während des Tastzyklus von der Steuereinheit aufgenommen werden, ist der Istpunkt der Wert, der von der Steuereinheit zurückgegeben wird.


Ausrichtungsblock

Dies ist ein Teil des Werkstückprogrammcodes im Bearbeitungsfenster. Er beginnt mit der Befehlszeile "Sprungmarke = AUSRICHTUNG/ANFANG,…" und setzt sich bis zur Befehlszeile "AUSRICHTUNG/ENDE" fort.


Ausrichtungsversatz

Hierbei handelt es sich um den Abstand des Werkstücks von der X-, Y- und Z-Position (0, 0, 0).


Ausrichtungsdrehfunktion

Mit der Schaltfläche Drehen (im Dialogfeld Ausrichtung) können Sie das Werkstück um eine bestimmte Achse drehen. Diese Funktion dient zur Erstellung von Ausrichtungen.


Analoges Tastsystem

Diese Art von Taster ist ein Elektronikgerät, mit dem ein kontinuierliches Kontaktscannen der Oberfläche eines Werkstücks möglich ist, ohne die Oberfläche des Werkstücks zur Aufzeichnung der Meßdaten verlassen zu müssen. Werden damit keine Scans durchgeführt, funktioniert das Tastsystem ähnlich wie ein schaltendes Tastsystem.


Argumente

Hierbei handelt es sich um die in einem Unterprogramm oder einer Gleichung, wie beispielweise einer IF THEN-Anweisung, verwendeten Bedingungen. Wenn (IF) ein bestimmtes Argument (oder eine bestimmte Bedingung) erfüllt ist, dann (THEN) hat dies ein bestimmtes Ergebnis zufolge.


Zuweisung

Die Zuweisung ist der Vorgang, bei dem der Wert einer Operation, einer Reihe von Operationen oder einer reellen Zahl einer Variablen übergeben wird. Dies wird durch Verwendung eines Zuweisungsoperators (=) erzielt. Der Zuweisungsoperator wird bei Auswahl der Zuweisungsoption (über die Menüleistenoption Zuweisung) automatisch erstellt.


Sternchen- (*) Metazeichen

Das Sternchen- (*) Metazeichen entspricht bei einer Suche einem oder mehreren beliebigen Zeichen bzw. dient als Platzhalter dafür.


Achsen

Plural von Achse. Siehe Achse.


Achse

Eine Achse ist eine der Bezugslinien in einem Koordinatensystem. Die verschiedenen Achsen lauten XPLUS, XMINUS, YPLUS, YMINUS, ZPLUS und ZMINUS. Eine Achse ist auch als die entlang der Länge eines Zylinders, Kegels, Langlochs oder einer Ellipse abgeleitete Mittellinie definierbar.


Achsenzähler

Hierbei handelt es sich um an das KMG angeschlossene Hardware, nämlich Digitallesegeräte, die zur Anzeige der X-, Y- und Z-Positionen der KMG-Achsen dienen.


Kugeltastspitze

Tastspitze in Form einer kleinen Kugel.


Schwerpunkt

Der Schwerpunkt eines Lochs beliebiger Form.


BASIC-Skript

Ein BASIC-Skript besteht aus einer Reihe von BASIC-Befehlen, die in der Programmiersprache BASIC geschrieben wurden.


Baud

Dies ist die Rate, mit der Daten von einem Computer übertragen oder empfangen werden können. Als Einheit wird in der Regel Bits pro Sekunde (bps) verwendet.


Biegeradius

Dies ist im Grunde eine Blechmessung der Außenseite des Zylinders (Stifts). Gemessen werden die Mittelpunktlage und Größe.


Besteinpassung

Dies ist ein mathematisches Verfahren, das zur Fehlermittelung zwischen ausgewählten Elementen dient.


Besterkennung-Algorithmen

Dies sind mathematische Berechnungen, auf deren Grundlage PC-DMIS ermittelt, welcher Elementtyp aufgrund der Anzahl der aufgenommenen Meßpunkte gerade gemessen wird. Anhand der Ergebnisse dieser Berechnungen führt PC-DMIS eine bestmögliche Schätzung zur Bestimmung des Elementtyps durch. Falsche Schätzungen können mit dem Befehl (Elementtyp) Ändern in der Menüleiste überschrieben werden.


Blockbearbeitung

Dieser Begriff bezieht sich auf das Verschieben eines Textblocks aus einem Bereich des Bearbeitungsfensters in einen anderen.


Bolzen

Ein "Bolzen" ist normalerweise ein nach außen stehender Kegel oder Zylinder, der oben abgeflacht ist und in den ein Schraubengewinde eingesetzt werden könnte. Er wird auch kurz als "Ansatzbolzen" bezeichnet.


Grenzüberschreitungen

Der numerische Wert (im Feld Anzahl der Grenzüberschreitungen) teilt PC-DMIS mit, wie oft die Kugelmitte des Tasters die Oberfläche der gegebenen Bedingung (planar, rund, zylindrisch) überqueren darf, bevor ein bestimmter Scan angehalten wird. Sobald die Kugelmitte die Oberfläche der Bedingung zum n-ten..Mal überquert (wobei n = die angegebene Zahl), wird der Scan angehalten.


Grenzebene

Die Grenzebene wird senkrecht zum Grenzebenenvektor und mit denselben XYZ-Koordinaten wie der Startpunkt des Scans erstellt. Die Grenzebene dient oft zur Bestimmung des Zeitpunkts, zu dem ein Scan angehalten werden soll, indem angegeben wird, wie oft der Scan die Grenzebene überqueren darf.


Grenzebenenvektor

Der Grenzebenenvektor wird anfangs durch die Richtung vom Startpunkt eines Scans aus zum Richtungspunkt eines Scans bestimmt.


Grenzpunkte

Hierbei handelt es sich um Stützpunkte zur Festlegung der Grenzen des Bereichs, der sich innerhalb einer gescannten Linie oder Oberfläche befinden soll.


Kästchen auswählen

Siehe Kästchenauswahl.


Kästchenauswahl

"Kästchenauswahl" ist eine Funktion innerhalb des Grafikfensterbereichs, mit der Sie anhand der Maus ein Kästchen um eine Gruppe von Elementen zeichnen und diese Elemente in einem Element-ID-Listenfeld hervorheben können.


Kästchentoleranzauswahl

Eine Variante der Kästchenauswahl. Die Kästchentoleranzauswahl kann bei geöffnetem Merkmalsdialogfeld und durch Kästchenauswahl einer Gruppe gemessener Elemente erfolgen. Über die Toleranzoptionen im Merkmalsdialogfeld können dann dieselben Toleranzen auf alle markierten Elemente angewendet werden.


Verzweigen

Unter "Verzweigen" versteht man den Pfad (nicht den Pfad des Tasters, sondern den logischen Ablauf bzw. Fluß eines laufenden Werkstückprogramms), dem bei Ausführung eines Werkstückprogramms gefolgt wird. Dieser Pfad kann als Folge einer logischen Anweisung wie IF, ELSEIF, ELSE, DO und WHILE variabel sein; d.h. die Ausführung des Werkstückprogramms kann je nach Eingabewert oder der im Werkstückprogramm errechneten bzw. gemessenen Variablen unterschiedlich ausgeführt werden.


CAD-Koordinaten

Die in X-, Y- und Z-Werten ausgedrückte Position eines Elements in einer CAD-Datei.


CAD-Datei

Eine CAD-Datei ist eine grafische Bilddatei, die durch computergestütztes Zeichnen erstellt wird und Daten über ein oder mehrere Werkstücke sowie über deren Elementabmessungen, -ausrichtungen und -größen enthält. Diese Dateien werden in der Regel in einem der folgenden Formate gespeichert: IGES, DFX, DES, STEP und XZYIJK.


Bereichsgrenze berechnen

Verkürzter Begriff für "Bereichsgrenzpunkte berechnen". Dient bei Umfangscans dazu, die Scanbahn während des Scanvorgangs zu begrenzen.


Kalibrierung

Über diesen Vorgang erhält PC-DMIS Informationen zu Position und Durchmesser der Tastspitze. Dieser Vorgang wird auch als "Einmessung" bezeichnet.


Kalibriertaster

Bei einem Kalibriertaster handelt es sich um einen kalibrierten Artefakt, der zur Kalibrierung einer Taster spitze dient. Es handelt sich dabei in der Regel um eine Präzisionskalibrierkugel. Wird auch als Kalibriernormal bezeichnet.


Wrist kalibr.

Abkürzung für "Dreh-/Schwenkkopf kalibrieren". Dient zur Berechnung des Tastkopfversatzes für jede verwendete Wrist-Position.


Leistungsschwellenwert

Dies ist die Zahl, anhand der die Prozeßleistung bestimmt wird. Bei der Prozeßleistung und dem Leistungsschwellenwert handelt es sich um zwei verschiedene Werte.

Leistung: Dies ist eine Zahl, die aus den Meßdaten und den Toleranzwerten (USL und LSL = oberes und unteres Spezifikationslimit) berechnet wird. Sie gibt Aufschluß darüber, wie gut sich ein Prozeß in Hinblick auf die angegebenen Toleranzwerte zur Werkstückerstellung eignet.

Leistung im Gleichungsformat: Sie ist der Mindestwert zwischen: (USL-XBarBar)/(3*Sigma) und: (XBarBar - LSL)/(3*Sigma). Hierbei ist XBarBar das Mittel der Durchschnitts der Untergruppen der berücksichtigten Daten.

Ein Prozeß wird nur dann als "leistungsfähig" angesehen, wenn die berechnete Prozeßleistung (voranstehende Gleichung) über dem vom Benutzer eingegebenen Leistungsschwellenwert liegt. Andernfalls wird ein Prozeß als "nicht leistungsfähig" eingestuft.


KE

Kollisionserkennung.


Flächenmittelpunkt

Der genau in der Mitte eines Elements gelegene Punkt.


Charakteristischer Punkt

Dies ist eine vom NC-100-Optiksensor durchgeführte Messung, bei der es sich im Grunde um eine Winkelpunktmessung handelt. Es gibt hierbei zwei Meßtypen:

  1. Es wird ein Punkt am Schnittpunkt zweier Oberflächen gemessen (dieser Meßtyp entspricht am ehesten einem Winkelpunkt).
  2. Es werden zwei Punkte gemessen, und zwar einer auf jeder Oberfläche in einem angegebenen Abstand zum Schnittpunkt.


Untergeordneter Befehl

Ein untergeordneter Befehl ist ein Befehl, dessen Ausführung von einem anderen Befehl abhängig ist.


Kreisbeweg.

Kreisbewegung.


Sichebene

Abkürzung für Sicherheitsebene. Hierbei kann es sich auch um den im Bearbeitungsfenster eingegebenen Befehl handeln. Er definiert die Ebene, zu der der Taster einen Sicherheitsabstand einhalten muß, um eine Kollision mit dem Werkstück zu vermeiden.


Maschinenleistungsindex

Maschinenleistungsprozeß. Anhand dieses Wertes wird bestimmt, wie gut ein bestimmter Prozeß den Spezifikationslimits des Prozesses entspricht.


KMG

Koordinatenmeßgerät.


Kollisionstoleranz

Gibt einen meßbaren Wert von der Oberfläche der CAD-Daten an. Dieser Wert soll Sie auf etwaige Kollisionen zwischen dem Taster und dem Werkstück aufmerksam machen.


Säulen-Positioniergerät

Ein anderes Wort für "Greifer".


Säulen-Passierweg

Der Säulen-Passierweg ist ein kleiner Korridor hinter dem nutzbaren Spannsystemvolumen, auf dem Säulen von einem Arm zum anderen bewegt und zur Plazierung auf dem Maschinentisch aus dem Magazin gezogen werden.


Kommunikation

Kommunikationsanschluß.


Kontinuierliches Kontaktscannen

Das kontinuierliche Kontaktscannen kann nur bei Einsatz eines analogen Tastsystems, eines starren Tasters oder bestimmter Lasertaster und optischer Tastsysteme durchgeführt werden. Bei dieser Art von Scan wird die Tastspitze mit der Oberfläche eines Werkstücks in Berührung gebracht und linear bewegt, ohne dabei die Oberfläche des Werkstücks zu verlassen, bis entweder der gesamte Scan oder ein Teilabschnitt abgeschlossen ist.


Steuereinheit

Jedes KMG verfügt über eine Steuereinheit. Die Steuereinheit treibt die Servos zum Bewegen des Geräts an, liest die Skalen zur Positionsbestimmung, bildet eine Schnittstelle zum tatsächlichen Taster etc. Ein KMG (oder Koordinatenmeßgerät) kann mit verschiedene Arten von Steuereinheiten arbeiten.


Koordinatensystem

Ein Koordinatensystem besteht aus einem Nullpunkt und X-,Y- und Z-Achsen.


Coplanar

"Coplanar" bedeutet, daß sich die Elemente in der gleichen Ebene befinden.


Prozeßleistungsindex

Auch CPK genannt. Anhand dieses Wertes wird bestimmt, wie gut ein bestimmter Prozeß den Spezifikationslimits des Prozesses entspricht.


Schnittebene

Bei der Schnittebene handelt es sich um eine theoretische Ebene, die mit den gleichen X-, Y- und Z-Koordinaten wie der Anfangspunkt des Scans senkrecht zum Schnittebenenvektor erstellt wird. Mit Hilfe der Schnittebene kann ein Scan mit allen Punkten, die auf der gleichen Ebene relativ zum Schnittebenenvektor liegen, erstellt werden.


Schnittebenenvektor

Der Schnittebenenvektor ist das Produkt zwischen dem Erstpunktvektor und der Linie zwischen den Start- und End-Grenzpunkten von Scans. Gibt es keinen Endpunkt, wird die Linie zwischen dem Start- und dem Richtungspunkt verwendet.


Schnittvek.

Siehe Schnittebenenvektor.


DataPage

DataPage ist eine Statistikbearbeitungssoftware, die sich nahtlos mit PC-DMIS verknüpfen läßt.


Bezugsmerkmal

Ein Bezugsmerkmal ist ein "imaginäres" und "perfektes" benutzerdefiniertes Element. Es dient als Bezugspunkt, von dem aus andere Elemente eines Werkstücks gemessen werden.


Bezugsmodellrahmen

Dies ist das Koordinatensystem, in dem sich die Bezugsmerkmale befinden.


CNC

Computer Numerical Control (Computergestützte numerische Steuerung).


CNC-Modus

Im CNC-Modus wird das Koordinatenmeßgerät direkt mit dem Computer gesteuert. Wenn dieser Modus aktiviert ist, übernimmt der Computer die Kontrolle über viele KMG-Funktionen.


DD

Durchmesser des Bezugsmerkmals.


Begrenzen

Siehe "Begrenzer".


Begrenzer

"Begrenzer" oder "Begrenzungszeichen" dienen zum Begrenzen von Informationssegmenten. Ein Begrenzer ist folglich ein Symbol, das bestimmte Informationssegmente voneinander trennt. In der geschriebenen Sprache gelten beispielsweise der Punkt, das Fragezeichen und das Ausrufezeichen als Begrenzungszeichen (oder Trennzeichen) für Sätze.


Begrenzer

Siehe "Begrenzer".


Delta

Dient zur Angabe einer Option, bei der Änderungen oder ein gewisses Maß an Änderungen erwartet wird.


Abhängige Kurve

Eine abhängige Kurve ist von der Elementgruppe, aus der sie erstellt wurde, abhängig. Dies bedeutet, daß sich die konstruierte Kurve bei einer späteren Änderung der Elementgruppe ebenfalls ändern kann.


Abhängige Kurven

Siehe Abhängige Kurve.


Abhängige Oberfläche

Eine abhängige Oberfläche ist von der Elementgruppe, aus der sie erstellt wurde, abhängig. Dies bedeutet, daß sich die konstruierte Oberfläche bei einer späteren Änderung der Elementgruppe ebenfalls ändern kann.


Abhängige Oberflächen

Siehe Abhängige Oberfläche.


Tiefe

Definiert den Abstand unterhalb der Oberfläche eines Werkstücks, in dem die Messung vorgenommen wird.


DES

In Verbindung mit dem Importieren von Dateien steht DES für "Data Exchange Standard" (Datenaustauschstandard). In Verbindung mit Statistikdatenbanken steht DES für "Data Evaluation System" (Datenauswertungssystem).


DE

Durchmesser des Elements.


Durchmesser

Die maximale Sehnenlänge eines Kreises, Zylinders oder einer Kugel. In PC-DMIS wird die Sehnenlänge, falls nicht anders angegeben, auf ein Besteinpassungs-Element angewendet. Stellen Sie sich ein rundes Element vor, durch dessen Mitte eine Linie verläuft. Die Länge dieses Segments wird als Durchmesser bezeichnet. Manchmal wird sie auch als Stärke oder Breite des Elements bezeichnet.


DIMS

Akronym für das Dateiformat "Dimensional Inspection Measurement System". Hierbei handelt es sich um das Format der PC-DMIS-Werkstückprogrammdateien.


Richtungspunkt

Der Richtungspunkt eines Scans legt die Scanrichtung fest. Der Scan erfolgt vom Anfangspunkt in Richtung Richtungspunkt, bis der Endpunkt erreicht wird.


ScheibenTastspitze

Tastspitze in Form einer kleinen Scheibe.


DRO

Akronym für Digital Read Out - Digitale Ergebnisanzeige.


Lotpunkt

Hierbei handelt es sich um einen Punkt auf der CAD-Oberfläche, der anhand der Meßpunktkoordinaten und des Antastvektors gefunden wurde. Dieses Konzept unterscheidet sich vom Durchstoßpunkt, als daß es sich nicht um ein Durchstoßen entlang eines Strahls handelt. Statt dessen verwendet der Algorithmus eine Reihe von Iterationen, um den am nächsten an der CAD-Oberfläche entlang des vertikalen Oberflächenvektors gelegenen Sollpunkt zu ermitteln.


DXF

Drawing Interchange Format (auch Drawing Exchange Format) = Spezielles Dateiformat zum Austausch von CAD-Daten.


Element

Element ist einfach eine andere Bezeichnung für ein Element.


Elemente

Siehe Element.


ELM1

Diese Abkürzung steht für Element 1.


ELM2

Diese Abkürzung steht für Element 2.


ELOGO.DAT

Diese Datendatei dient zur Formatierung der Fußzeile des Bearbeitungsprotokolls. Sie wird nur auf der allerletzten Seite des Bearbeitungsprotokolls verwendet.


Pinolenende

Dieser Begriff bezieht sich nur auf die XYZ-Koordinaten am Ende des Arms (oder der Pinole), ohne die XYZ-Koordinaten der Tastspitze einzukalkulieren.


Wink.ende

Winkelende.


Endstück

Ein Artefakt, der gegen das Werkstück gehalten wird, um es in mindestens einer Achse zu fixieren. Gewöhnlich handelt es sich um eine Kugel mit einem definierten Durchmesser. Man verwendet Kugeln, da sie das Werkstück nur an einer Stelle berühren. Andere Arten von Endstücken sind beispielsweise Stifte (für Gegenbohrungen), Zylinder zum Auffinden von Kanten sowie Sonderteile, die dem zu fixierenden Werkstück angepaßt sind.


Endpunkt

Hierbei handelt es sich um den Endpunkt eines Scans. Bei Erreichen dieses Punkts wird der Scanvorgang angehalten.


Endpunktvektor

Kompensationsvektor für den letzten Punkt eines Scans.


Endvektor

Siehe Endpunktvektor.


Fehlermatrix

Alle KMGs weisen gewisse konstruktionsbedingt Ungenauigkeiten auf. Nach der Konstruktion dokumentieren die meisten KMG-Hersteller diese Ungenauigkeiten anhand einer mit Laser durchgeführten Geräteverifizierung. Diese Fehler werden dann in einer Computerdatei (comp.dat) elektronisch gespeichert, auf die PC-DMIS jederzeit zugreifen kann, um die Genauigkeit des KMGs zu optimieren. Die Computerdatei ist im Prinzip eine Fehlermatrix des KMGs. Siehe Volumenkompensation (VolKomp).


Exportieren

Der Vorgang der Konvertierung der in einem PC-DMIS-Werkstückprogramm enthaltenen Zeichendaten in eine standardmäßige CAD-Ausgabedatei, wie beispielsweise IGES.


Ausdruck

Ein Ausdruck ist eine benutzerdefinierte Bedingung, die in Verbindung mit PC-DMIS-Befehlen zur Ablaufsteuerung verwendet wird. Sie können jeweils festlegen, welche Aktion in PC-DMIS stattfinden soll, wenn die Bedingung zutrifft bzw. nicht zutrifft.


Ausdrücke

Siehe Ausdruck.


Ausstoßen

Bei Bewegen eines Tasters von einer Position an eine andere wird ein geometrisches Volumen erstellt. Mit dem Begriff "Ausstoßen" wird der Volumenraum definiert, in dem sich der Taster jeweils beim Bewegen von einem Punkt zum nächsten befindet. Das Volumen wird dann auf eine etwaige Kollision mit dem Werkstück oder Tisch überprüft.


Faro-Arm

Dieser Begriff bezieht sich auf das von Faro Technologies, Inc. hergestellte Gelenkarm-KMG.


Elementhöhe

Abstand von der Basis zum oberen Rand (der Mitte) des Elements.


Elementlänge

Der Meßwert entlang des größten Merkmals.


Elementzeiger

Ein Elementzeiger ist ein Variablentyp, der direkt mit einem bestehenden Element funktioniert und somit direkten Zugriff auf dieses Element ermöglicht. Die Anweisung ZUWEISEN/V1 = {KREIS1} erstellt beispielsweise einen Elementzeiger zum Element KREIS1 und weist ihn der Variablen V1 zu. V1 kann dann für den Zugriff auf KREIS1 verwendet werden. KREIS1.X wiederum greift auf die gemessene x-Komponente des Flächenmittelpunkts von KREIS1 zu.


Elementzeiger

Siehe Elementzeiger.


Elementgruppe

Eine Elementgruppe ist eine Sammlung zuvor gemessener oder erstellter Elemente, die zu einem konstruierten Element verbunden werden. Die Elemente, aus denen die Elementgruppe gebildet wird, müssen nicht unbedingt dem gleichen Elementtyp angehören.


Elementbreite

Die Messung eines Elements von einer Seite zur anderen. Der gemessene Wert entlang des kürzesten Merkmals eines Elements.


DATEI I/O

Diese Menüoption steht für Datei-Eingabe/-Ausgabe (Input /Output). Es können Daten in diese Dateien eingegeben (geschrieben) oder aus diesen Dateien ausgegeben (gelesen) werden.


NW-Suche

Entspricht dem Befehl "Nennwertsuche". Wenn diese Option unter "Nennwerte" des Dialogfelds "Scannen" gewählt wird, bestimmt PC-DMIS die nächste gewählte CAD-Oberfläche neu, um die theoretischen CAD-Daten für jeden gescannten Datenpunkt zu erfassen. Anhand dieser Daten läßt sich dann die Abweichung jedes einzelnen Punkts berechnen.


Festdelta

Option für das manuelle Scannen mit einem starren Taster; Datenpunkte werden hierbei nur im Abstand von vorgegebenen oder "festen" Inkrementen voneinander erfaßt.


Festtaster

Synonym für einen starren Taster. Ein Tastsystem, das keinen schaltenden Taster verwendet.


Flache Elemente

Flache Elemente werden als Punkte, Ebenen und Linien definiert. Flacher Elementtyp


Flacher Elementtyp

Der Elementtyp "Flach" umfaßt planare Elemente. Siehe Flache Elemente.


Elementerkennung Flach

Bei Verwendung eines starren Tasters wird mit diesem Betriebsmodus festgelegt, in welcher Reihenfolge die Software einen gemessenen Elementtyp vorrangig erraten soll. Der Modus Elementerkennung Flach wird versuchen, vor einem Kreis, Zylinder, Kegel oder einer Kugel eine Ebene zu erkennen. Siehe auch Elementerkennung Rund und Elementerkennung.


Verschiebbare Symbolleiste

Eine verschiebbare Symbolleiste kann aus ihrer verankerten Position wegbewegt werden und an die gewünschten Stelle auf dem Bildschirm "gleiten".


Ablaufsteuerung

Dieser Begriff bezieht sich auf Optionen in der Software, mit denen Sie die Ablaufrichtung des Werkstückprogramms steuern können.


FLY-Modus

Diese Option bezieht sich darauf, wie PC-DMIS den Taster während des Meßverfahrens um das Werkstück bewegt. Zur Verwendung dieses Modus muß das KMG mit einer CNC-Steuereinheit ausgestattet sein, die den FLY-Modus unterstützt.


FOV

Abkzg. für Field of Vision - Sichtfeldmitte Bezieht sich auf den Bereich, der durch das Kameraauge sichtbar ist, ein integraler Bestandteil der Optiksensoren.


Bund & Spalt

SPALT = Abstand (auf derselben Ebene) zwischen zwei gepaarten Blechwerkstücken.

BUND = Höhenunterschied zwischen zwei gepaarten Blechwerkstücken.

In der Draufsicht auf ein Auto ist z.B. der Abstand zwischen der Stoßstange und Motorhaube der Spalt (Abstand zwischen zwei Werkstücken auf einer Ebene). In der Seitenansicht des Autos ist die Bündigkeit von Stoßstange und Kofferraum der Höhenunterschied.


Gaußscher Filter

Siehe 95 % Sicherheit.


GDT

Akronym für "Geometric Dimensioning and Tolerancing" (Geometrische Bemaßung und Toleranzfestlegung).


Geometrien

Unter Geometrien versteht man Elemente oder geometrische Formen wie Linien, Kreise usw.


Greifer

Dieses Gerät, das zusammen mit einem flexiblen Spannsystem eingesetzt wird, befindet sich am Ende der Pinole. Es "greift" (oder hält) Säulen, entnimmt sie aus ihrem Magazin und legt sie auf dem Arbeitstisch ab oder nimmt sie dort auf und legt sie wieder zurück in ihr Magazin. Der Greifer verwendet Luftdüsen (ähnlich wie beim Air Hockey), um die Säule vom Arbeitstisch zu heben.


Elementerkennung

Bei Verwendung eines starren Tasters kann PC-DMIS nicht feststellen, welcher Elementtyp gemessen wird. Im Modus "Elementerkennung" können Sie angeben, ob das Element flach oder rund ist, und damit die Möglichkeit einer falschen Schätzung verringern.


Starrer Taster

Ein starrer Taster ist ein Tastsystem, das weder schaltet noch über einen abnehmbaren Tasterstift verfügt.


HEADER.DAT

Diese Datendatei enthält Formatierungsinformationen zu den Kopfzeilen des Bearbeitungsprotokolls. Hierzu gehören alle Seiten nach der ersten Seite.


Extrempunkt-Element

Ein Extrempunkt-Element ist der Elementtyp, der bei Verwendung der Option "Extrempunkt" unter "Auto Elemente" erstellt wird. (Wählen Sie das Dialogfeld Auto Elemente aus dem Hauptmenü, und öffnen Sie die Registerkarte Extrempunkt.) Beim Extrempunkt handelt es sich um den Punkt entlang eines festgelegten Vektors durch eine Oberfläche, der den größten Abstand entlang des Vektors in bezug auf den Flächenmittelpunkt der Oberfläche aufweist.


Meßpunkt

Berührung des Werkstücks mit der Tastspitze des Tasterstifts. Wird auch als Antasten bezeichnet.


Meßpunktpuffer

Der Meßpunktpuffer speichert die mit dem Taster aufgenommenen Meßpunkte, bevor Sie daraus ein Element erstellen. Die gespeicherten Meßpunkte können mit der Tastenkombination ALT+ '-' (Minus) gelöscht werden.


Rückzug nach Meßpunkt

Bei dieser Zahl handelt es sich um einen benutzerdefinierten Abstand, der dem Taster mitteilt, an welchem Punkt er wieder beschleunigen kann, wenn er sich nach der Meßpunktaufnahme an einem Werkstück zurückgezogen hat.


Maschinennullpunkt

Diese XYZ-Position ist der Gerätestandort 0,0,0, auf den sich der Taster jedesmal bewegt, wenn das KMG ein- oder ausgeschaltet wird.


IO-Kanäle

Ein mit einer Nummer versehenes Gerät in der Steuereinheit, dessen Status auf "1" oder "0" gesetzt werden kann. An jeden Kanal können kompatible Geräte angeschlossen werden. So kommt es z.B. oft vor, daß ein Kanal an eine Luftzufuhr für ein externes Gerät angeschlossen wird. Wird der Kanal auf "1" gesetzt, ist die Luftzufuhr eingeschaltet; wird er auf "0" gesetzt, ist sie ausgeschaltet.


ID

Identifikation oder Kennung. Auch als Etikett oder Elementname bezeichnet.


IGES

Akronym für das internationale Format "International Graphics Exchange Specification" zum Austausch von Grafikdateien.


Importieren

Das Verfahren, mit dem eine CAD-Datei aus einer Datenbank abgerufen und im PC-DMIS-Werkstückprogramm verarbeitet wird.


Einzug

Der Wert, um den von der Kante des Elements (zur Position des Punkts) eingerückt wird.


Unabhängige Kurve

Eine unabhängige Kurve ist nicht mehr von der Elementgruppe, aus der sie erstellt wurde, abhängig. Wenn sich die Elementgruppe ändert, bleibt die unabhängige Kurve davon unberührt.


Unabhängige Kurven

Siehe Unabhängige Kurve.


Unabhängige Oberfläche

Eine unabhängige Oberfläche ist nicht mehr von der Elementgruppe, aus der sie erstellt wurde, abhängig. Wenn sich die Elementgruppe ändert, bleibt die unabhängige Oberfläche davon unberührt.


Unabhängige Oberflächen

Siehe Unabhängige Oberfläche.


Verstellbar

Die Verstellbarkeit des Taster -Wrists in bestimmten vordefinierten Winkeln. Diese Positionen sind bei verstellbaren Tasterköpfen mechanisch in regelmäßigen Schrittweiten festgelegt. Sie sind von 15° bis auf weniger als 0,1° regulierbar. Wenn ein Wrist als "verstellbar" bezeichnet wird, bedeutet dies, daß er im Rahmen der für diesen Wrist verfügbaren Inkremente auf verschiedene Positionen bewegt werden kann.


Indirektverweise

Der Wert der Variablen, auf die anhand der gegebenen Variablen verwiesen wird.


Erste

Abkürzung für "Erster Meßpunkt". Siehe Erste Stützpunkte.


Erstpunktvektor

Kompensationsvektor für den Startpunkt eines Scans.


Erste Stützpunkte

Die ersten Stützpunkte werden beim Lernen eines bestimmten Elements aufgenommen. Stützpunkte dienen zur Bestimmung des Oberflächenvektors, in den das gemessene Element projiziert wird.


Anfangsvektor

Siehe Erstpunktvektor.


SCHNITTVON

Schnittpunkt des betreffenden Elements.


Iterative Ausrichtung

Bei dieser Ausrichtung wird eine Anzahl von Punkten zur Näherung an den Idealwert (oder Nennwert) verwendet. Ein mathematisches Berechnungsverfahren versucht wiederholt, anhand dieser Punkte eine Anpassung bzw. Näherung der Ausrichtung an den Nennwert vorzunehmen. Es führt anhand der Punkte gewissermaßen eine "Besteinpassungs-Berechnung" durch.


Kinematischer Adapter

Bei einem kinematischen Adapter handelt es sich in der Regel um einen Satz aus 3 Präzisionskalibrierkugeln, Aufnahmen für die Kugeln und einer Befestigung, die dazu dient, eine sehr gut reproduzierbare Aufnahme für Tasterstifte, Taster oder Tasterköpfe zu bieten. Kinematische Adapter finden sich häufig auf Geräten, die den Einsatz automatischer Tasterwechsler vorsehen und machen eine erneute Kalibrierungen überflüssig.


Knoten

Ein Knoten ist ein Teil der mathematischen Definition eines Splines. Knoten sind mit den Paßpunkten eines Splines verknüpft und dienen zur Definition der Spline-Form.


Knoten (Pl.)

Siehe Knoten


Lernen

Dieser Begriff bezeichnet häufig den Vorgang bei der Erstellung von Anweisungen, die im Bearbeitungsfenster von PC-DMIS angezeigt werden. Dieses "Lernen" kann entweder durch Eingabe tatsächlicher Einträge, durch Auswahl von Menübefehlen oder durch Berühren von Meßpunkten auf einem physischen Werkstück mit dem KMG und anschließendes Drücken der Taste FERTIG am Bedienelement oder der ENDE-Taste auf der Tastatur erfolgen.


Lernmodus

Dieser Begriff beschreibt den PC-DMIS-Status beim Erstellen bzw. Anhängen von Werkstückprogramm-Anweisungen im Bearbeitungsfenster.


RAUM - 3 +

Dies bedeutet, daß zur Durchführung des Befehls "Raum" bei einer iterativen Ausrichtung drei oder mehr Elemente erforderlich sind.


RAUM-Gruppe

Die zur Durchführung des Befehls "RAUM" bei einer iterativen Ausrichtung erforderliche Gruppe von Elementen. Siehe RAUM –3 +.


Linienabstand

Länge eines Liniensegments zwischen zwei Elementen.


Literale

Operanden, deren Symbole ihren Wert in Form von Literalen beschreiben. "3" ist ein Literal vom Typ "Ganzzahl". "3" steht nur für die Zahl Drei. Es bedeutet nie "4" oder "2". Eine Variable, wie z.B. "V1", gibt ihren Wert nicht mit einem Literal an, sondern ist eher eine Sprungmarke oder ein Platzhalter für einen Wert. "V1" kann stellvertretend für den Wert "2", "3", "4" oder eine beliebige andere Zahl des Objekttyps stehen. Literale besitzen oft ganz spezifische Funktionen und Bedeutungen und können manchmal anstelle von Argumenten verwendet werden. Siehe auch "Zeichenfolgenliterale".


LK-Systeme

Bei LK-Systemen handelt es sich im Gegensatz zu SHARPE-Modellen um von LK hergestellte KMGs oder KMG-Steuereinheiten.


LMC

Akronym für "Least Material Condition" (Geringster Materialwert).


Logo.dat

Diese Datendatei enthält Informationen zur Formatierung der Dokumentkopfzeile für die erste Seite des Bearbeitungsprotokolls. Sie kann auch Informationen wie Datum, Uhrzeit usw. enthalten.


Schleifen

Vorgang, bei dem ein beliebiger Teil des Werkstückprogramm s einer vorher festgelegten Anzahl von Wiederholungen unterzogen wird.


Maschinenleistung

Dies entspricht im Prinzip der Prozeßleistung (siehe Leistungsschwellenwert), mit dem Unterschied, daß die Standardabweichung anders berechnet wird. In diesem Fall wird die Standardabweichung auf Basis der individuellen Daten und nicht der Untergruppendaten berechnet. Dies ist im Grunde der einzige Unterschied.


Maschinenkoordinaten

Die in X-, Y- und Z-Werten ausgedrückte Position eines Elements oder Objekts innerhalb des Meßvolumens eines KMGs in bezug auf den Maschinennullpunkt.


Manueller Antastpunkt

Dies bedeutet, daß der Bediener das KMG zur Aufnahme eines Meßpunkts manuell bewegt und sich das KMG nicht automatisch im CNC-Modus bewegt.


Markierungsgruppe

Markiert eine Gruppe von Elementen, die beim Ausführen des Werkstückprogramms gemessen wird.


Verwendete markieren

Die Funktion "Verwendete markieren" (im Dialogfeld Taster Hilfsprogramme) scannt ein PC-DMIS-Werkstückprogramm und markiert bzw. hebt die Tasterwinkel hervor, auf die im Werkstückprogramm verwiesen wird bzw. die darin verwendet werden. Auf diese Weise kann der Bediener einfach bestimmen, welche Tasterwinkel oder -spitzen kalibriert werden sollen.


Hauptarmbetrieb

In dieser Betriebsart erhält der vom Benutzer als "Master" bezeichnete Arm bei einem Mehrarm-KMG den Vorrang vor einem anderen Arm, der als "Slave" bezeichnet wird. Damit werden Kollisionen der Arme vermieden. Wird auch als Master/Slave-Modus bezeichnet.


Materialstärke

Die Materialstärke ist eine Eigenschaft, die in Verbindung mit CAD-Dateien verwendet werden kann. In vielen Fällen, vor allem bei aus Blech konstruierten Werkstücken, stellt eine CAD-Datei nur eine Seite des Materials dar. Aus diesem Grund muß zur genauen Messung und Dimensionierung der gegenüberliegenden Seite des Werkstücks eine Korrekturstärke angewandt werden.


MDI

Akronym für "Multi-Document Interface". Hierbei handelt es sich um eine Anwendung oder Benutzeroberfläche, die das Öffnen mehrerer Dateien gleichzeitig erlaubt. (In PC-DMIS können beispielsweise gleichzeitig mehrere Werkstückprogramme geöffnet sein. Daher ist PC-DMIS eine MDI-Anwendung.)


Meßvolumen

Das Meßvolumen ist jener Bereich des KMGs, der für die eigentliche Messung verwendet werden kann. Auch wenn das KMG möglicherweise sehr große Abmessungen hat, kann der eigentliche für die Messung zur Verfügung stehende Bereich wesentlich kleiner sein. Das Meßvolumen kann je nach verwendeter Tasterkonfiguration (Wrist-Typ, Tastereinheit und Tasterstift) größer oder kleiner ausfallen.


Metazeichen

Ein Metazeichen dient als Platzhalter für ein anderes alphanumerisches Zeichen oder andere Zeichen. In PC-DMIS stehen zwei Metazeichen zur Auswahl: das Sternchen- (*) Metazeichen und das Fragezeichen- (?) Metazeichen.


Mikronen

Ein Mikron ist eine Maßeinheit, die einem Millionstel eines Meters entspricht.


Plus-Toleranzen im Minusfeld

Gibt eine Plus-Toleranz im Minusfeld an (z. B. 1.000 + 0.003 / + 0.001).


MMC

Akronym für "Maximum Material Condition" (Maximaler Materialwert).


MMIV

Diese Abkürzung steht für das Meßprogramm Micro Measure IV.


Modellraum

Dies ist der 3D-Koordinatenraum, in dem Oberflächen- und Kurvengeometrien abgebildet werden.


Modi

Unter Modi versteht man verschiedene in PC-DMIS verfügbare Programmbetriebsarten. Jeder Modus bietet besondere Funktionen. Zu den in PC-DMIS verfügbaren Modi gehören u. a.: der Programmodus, Übertragungsmodus, CNC-Modus, manuelle Modus und Textfeldmodus.


Anfahrpunkt

Eine festgelegte XYZ-Position, von der bei bestimmten Spannsystem- und Tasterwechsler-Vorgängen Gebrauch gemacht wird.


Meßbereich

Der eigentliche, bei einer Maschine für die Messung nutzbare Bereich (Volumen oder Bereich). Wird auch als Meßvolumen bezeichnet.


Gleitender Durchschnitt

Dies ist der Durchschnittswert eines Satzes von Datenpunkten, der sich mit der Zeit (gleitend) verschiebt.

Beispiel: Im folgenden Beispiel wird von der Untergruppengröße 3 (die Anzahl der zur Berechnung eines gleitenden Durchschnitts verwendeten Datenpunkte) und dem folgenden Datensatz ausgegangen: [1,2,3,4,3,4,5,4,3,2,3] Der erste gleitende Durchschnitt wird aus den ersten drei Punkten berechnet: [1,2,3]. Der Wert ergibt 2. Der zweite gleitende Durchschnitt wird berechnet, indem innerhalb der Daten ein Schritt nach rechts weitergerückt wird. Hieraus ergeben sich folgende Daten: [2,3,4]. Der Wert ergibt 3. Die nächsten 3 Punkte sind: [3,4,3]. Deren Durchschnitt ist 3.33. Die nächsten 3 Punkte sind: [4,3,4]. So wird bis zum Ende der Daten verfahren.


Verschachtelte Unterprogramme

Hierbei handelt es sich um Unterprogramme, die von einem anderen Unterprogramm aus aufgerufen (oder darin verschachtelt) werden.


Newton

Newton ist die Einheit der Kraft. Ein Newton ist die Kraft, die erforderlich ist, um die Masse von einem Kilogramm in einer Sekunde auf die Geschwindigkeit von einem Meter pro Sekunde zu beschleunigen.


Vertikal zu

Der Ausdruck "Vertikal zu" einem bestimmten Element oder geometrischen Element bedeutet einfach, daß dieses "senkrecht zu" oder in einem 90°-Winkel zu einem anderen Element steht.


Kerbe

Elementtyp, der mit der Hälfte eines Rechtecklochs vergleichbar ist.


Anzahl Meßpunkte

Siehe "Anz. Meßpkte".


Anzahl Reihen

Siehe Anz. Reihen


ODBC

Akronym für "Open Database Connectivity" (offene Datenbankverbindung).


Versatzmerkmal

PC-DMIS unterstützt drei Arten von Versatzmerkmalen: Versatzpunkte, Versatzlinien und Versatzebenen. Ein Versatzmerkmal ist aus einem oder mehreren Elementen konstruiert. Jedes Element, aus dem sich das Versatzmerkmal zusammensetzt, kann dann einen damit verknüpften Versatz- oder Korrekturwert besitzen. Folglich kann jedes im Versatzmerkmal enthaltene Element mit dem neu konstruierten Element übereinstimmen oder auch nicht.


Bei Fehler

"Bei Fehler" ist eine bei manchen KMG -Steuereinheiten verfügbare Funktion, die das Verzweigen des PC-DMIS-Werkstückprogramms in einen separaten auszuführenden Anweisungssatz veranlaßt, wenn der elektronische Taster ein Werkstück unerwarteterweise berührt bzw. nicht berührt. Sie können diese Funktion über das Hauptmenü aufrufen, indem Sie die Menüoption Bei Fehler auswählen.


Open GL

Öffnet die Grafikbibliothek. Gemeint ist hier eine Bibliothek mit Grafikroutinen, die zur Anzeige von Grafikinformationen dienen.


Operand

Der Teil einer Gleichung, der durch einen Operator bearbeitet wird. In der Gleichung "2+3" sind die Zahlen 2 und 3 die Operanden und das Pluszeichen (+) der Operator.


Operanden

Siehe Operand.


Optisches Tastsystem

Ein optisches Tastsystem besteht aus einem Taster, der seine Position auf Basis eines Optiksystems ermittelt. Ein Lasertaster gilt beispielsweise als optisches Tastsystem.


NULLPUNKT-Funktionsgruppe

Hierbei handelt es sich um die Gruppe von Elementen, die zur Durchführung des Befehls "Nullpunkt setzen" bei einer iterativen Ausrichtung erforderlich ist. Siehe NULLPUNKT SETZEN – 1.


Ausreißer

Ausreißer sind "wilde Punkte", die in der Regel eher die Folge von Störungen im Meßprozeß sind als tatsächlich physisch vertreten zu sein. Es könnte für Sie hilfreich sein, diese Punkte zu erkennen und ignorieren.


PA

Diese Abkürzung steht für Polarwinkel. Auch unter POLARWINK. zu finden. Der Polarwinkel wird bei Zylinderkoordinaten und in Verbindung mit dem Polarradius verwendet. Siehe PR.


PWink

Diese Abkürzung steht für Polarwinkel. Auch unter PA zu finden. Der Polarwinkel wird bei Zylinderkoordinaten und in Verbindung mit dem Polarradius verwendet. Siehe PRad.


Parameterraum

Dies ist der 2D-Koordinatenraum des parametrischen Wertebereichs einer Oberfläche. Angenommen, eine Ecke einer Oberfläche ist an Parameterposition (0,0) definiert und die gegenüberliegende Ecke an (1,1). Durch das Variieren der Parameter zwischen diesen beiden Positionen wird die gesamte Oberfläche definiert. Entsprechend der geometrischen Definition der Oberfläche kann eine Parameterraum-Position einem Punkt im Modellraum zugeordnet werden.


Übergeordneter Befehl

Ein übergeordneter Befehl ist ein Befehl (oder eine von einem Befehl stammende Information), der (die) in einem anderen Befehl verwendet wird.


Werkstückkoordinaten

Die als X-, Y- und Z-Werte ausgedrückte Position eines Elements an einem physischen Werkstück relativ zu einer Nullpunktposition.


Werkstückprogramm

Das Werkstückprogramm ist die textliche Beschreibung des Meß- oder Prüfverfahrens eines Objekts. Jedes Werkstückprogramm besitzt einen eindeutigen Namen mit der Erweiterung .prg. Das Werkstückprogramm wird vom KMG -Bediener erstellt. Das Werkstückprogramm kann, muß jedoch nicht immer, mit einem CAD-Modell verknüpft sein. Besteht eine Verknüpfung mit einem CAD-Modell, so trägt die CAD-Datei denselben Dateinamen wie das Werkstückprogramm mit der Erweiterung .CAD.


Perm.

Abkürzung für "Permanent". Siehe Anzahl perm. Stützpunkte.


Anzahl perm. Stützpunkte

Die Anzahl der Stützpunkte, die während der Ausführung des Werkstückprogramms zur Messung eines bestimmten Elements dienen.


PHx

Hierbei handelt es sich um die Modellnummer eines bestimmten Renishaw-Tastkopfs. Die Abkürzung PHx steht für "Probe Head x" (Tastkopf x). Dieser Begriff dient auch zur allgemeinen Bezugnahme auf Tasterköpfe mit motorischem Dreh-/Schwenkköpfen.


Durchstoßpunkt

Hierbei handelt es sich um einen Schnittpunkt auf der CAD-Oberfläche, der anhand der Meßpunktkoordinaten und des Antastvektors gefunden wurde. Er ist mit einem Strahl gleichzusetzen, der den Antastvektor verwendet, von der XYZ-Position des Meßpunkts aus startet und dann die Oberfläche unter Zugrundelegung des Antastvektors am entsprechenden Punkt durchstößt.


Stifte

Als "Stifte" bezeichnet man entfernbare Elemente, die aus einem Werkstück herausragen (im Gegensatz zu Löchern, die in das Werkstück hineingehen). Stifte sind mit "Stiftbolzen" vergleichbar.


Steigung

Die Steigung ist Abstand, der sich nach der Bewegung um eine Umdrehung entlang der Achse des Elements ergibt.


Ebenenvektor

Siehe Grenzebenenvektor.


PKT TOL

Die Abkürzung "PKT TOL" für die Vektorpunkttoleranz dient im Bearbeitungsfenster zur Angabe der Vektorpunkttoleranz (wobei PNT TOL = n) bei manuellen Berührungen in einer iterativen Ausrichtung.


Punktweise Digitalisierung

Die punktweise Digitalisierung ist ein Verfahren, bei dem für das Reverse-Engineering (zur Datenrückführung) Daten über die Werkstückoberfläche gesammelt werden. Die Daten werden erfaßt, indem das Werkstück mit einem KMG und einer Software gescannt wird, die Einzelmeßpunkte ausgeben kann. Nach Erfassen einer ausreichenden Anzahl von Punkten werden diese gruppiert und verarbeitet und daraus die elektronischen Werkstückoberflächen erzeugt, die dann von der CAD-Software zur Fertigstellung einer Konstruktion genutzt werden können.


POLAR

Bezieht sich auf ein Polar-Koordinatensystem mit U- und V-Koordinaten (im Bearbeitungsfenster auch als POLR zu finden). U steht für den Polarradius und V für den Polarwinkel oder -vektor.


POLR

Abkürzung für Polar.


Potentiometer

Hierbei handelt es sich um Geräte, die elektromotorische Kräfte messen.


PR

Steht für Polarradius. Auch unter Prad zu finden. Der Polarradius wird bei Zylinderkoordinaten mit Polarwinkel verwendet. Siehe PA.


PRad

Steht für Polarradius. Auch unter PR zu finden. Der Polarradius wird bei Zylinderkoordinaten mit Polarwinkel verwendet. Siehe PA.


Vorhaltebereich

Diese Zahl bestimmt, in welchem Abstand ein Taster seine Geschwindigkeit bei der Annäherung an ein Werkstück zur Meßpunktaufnahme reduziert.


Priorität/Vorrang

In algebraischen Ausdrücken oder Zuweisungsoperationen bezieht sich der "Vorrang" auf die Reihenfolge, in der Operationen stattfinden. Multiplikation hat beispielsweise Vorrang vor Addition. Das Auswertungsergebnis des Ausdrucks "2 + 3 X 6" beträgt daher 20, da 2 zum Ergebnis von 3 X 6 addiert wird. Wird der ordnungsgemäße Vorrang nicht eingehalten, kann dies zu einem falschen Ergebnis von 30 führen.


Taster

Die entweder an der Pinole des KMG oder am verstellbaren Dreh-/Schwenkkopf befestigte Sensoreinheit. Am Taster muß ein Taststift zur Aufnahme der Meßdaten angebracht sein (außer im Falle eines starren Tasters).


Tasterwechsler

Ein im Meßvolumen des KMGs plazierter Wechsler. Der Tasterwechsler nimmt mehrere Tastertypen für den Einsatz in ein und demselben Werkstückprogramm auf. Das KMG kann ohne Eingreifen des Bedieners zwischen Tastertypen hin- und herwechseln.


Tastertiefe

Die Tastertiefe ist die Position des Tasters entlang der Z-Achse, vertikal zu dem KMG-Tisch gesehen.


Tasterverlängerung

Eine Tasterverlängerung ist ein zylindrisches Teil, das zwischen Tastkopf und Taster eingefügt wird.


Tastzyklus

Dies ist der Zyklus an Vorgängen, den ein analoger Taster/eine Steuereinheit zur Aufnahme eines Meßpunkts durchläuft.


PROE

Steht für das CAD-Dateiformat "ProEngineer".


Profil

"Ein Profil ist die Kontur eines Objekts in einer bestimmten Ebene (zweidimensionale Figur). Profile entstehen durch Projizieren einer dreidimensionalen Figur auf eine Ebene oder durch Vornehmen von Querschnitten durch diese Figur."
Übersetztes Zitat aus: – ASME Y14.5M-1994 Dimensioning and Tolerancing.

Bei CAD-Zeichnungen kommt es häufig vor, daß eine Oberfläche beim Ansehen aus verschiedenen Richtungen nicht wie eine Oberfläche, sondern eher wie eine Kurve, Linie oder eine Sammlung einzelner Punkte aussieht. Dieser Effekt entsteht durch das Projizieren einer dreidimensionalen Figur auf eine Ebene oder durch Vornehmen von Querschnitten durch diese Figur.


Profilfehler

Hierunter versteht man die Abweichung des eigentlichen bzw. gemessenen Profils vom theoretischen bzw. Sollprofil.


Profile

Siehe Profil.


Programmodus

In diesem Modus können Sie ein Werkstückprogramm im Bearbeitungsfenster erstellen. Das Bild des Tasters wird dabei außerdem im Grafikfenster angezeigt.


Pkt.

Abkürzung für Punkt.


Kalibriernormale

Siehe Kalibriernormal.


Kalibrieren

Kalibrieren bedeutet auch das Einmessen oder Bestimmen einer Position (beispielsweise einer Taster spitze).


Fragezeichen- (?) Metazeichen

Das Fragezeichen (?) Metazeichen verhält sich genauso wie das Sternchen (*). Der einzige Unterschied besteht darin, daß das Fragezeichen-Metazeichen nur für ein einzelnes alphanumerisches Zeichen steht.


Pinole

Bezieht sich auf das Ende des Arms, an dem der Taster befestigt ist. Bei einem Horizontalarm-KMG ist die Pinole die Horizontalachse der Maschine und bewegt sich in der Regel entlang der X- oder Y-Achse des KMGs. Bei einem vertikalen KMG (meist auch als "Brückenmaschine" bezeichnet) ist die Pinole vertikal befestigt und bewegt sich entlang der Z-Achse des KMG.


POS. lesen

Position lesen. Mit dieser Funktion werden die aktuellen X-, Y- und Z-Koordinaten von der KMG-Steuereinheit abgerufen.


KART

Rechtwinklig. Wird verwendet, wenn das Koordinatensystem, auf das verwiesen wird, in polarer (XY) oder kartesischer Form (XYZ) ausgedrückt werden soll.


Verweise

Eine Ausdruckssyntax, die auf den Wert von Daten verweist. Die gesamte Syntax, die dem Zugriff auf verschiedene DatenElemente des Werkstückprogramms dient. "KREIS1.X" ist ein Verweis auf den gemessenen x-Wert des Flächenmittelpunkts des Elements KREIS1. "LINIE.LÄNGE" ist ein Verweis auf die Länge der LINIE. "C1.EINGABE" ist ein Verweis auf die Eingabe des Befehls C1.


Modus "Neu lernen"

Hierbei handelt es sich um eine Option für die Ausführung eines Scans. Wenn die Option "Ausführen" auf "NEU LERNEN" eingestellt ist, werden bei jeder Ausführung eines Scans die Kompensationsvektoren jedes Scanpunkts neu berechnet.


RFS

Akronym für "Regardless of Feature Size" (Elementgrößenneutral).


RLE

RLE steht für Run Length Encoding (Lauflängenverschlüsselung). Hierbei handelt es sich um ein Verfahren zur Komprimierung von Bitmap-Dateien.


RMess

Relative Messung. Dient zur Erstellung eines neuen Auto-Elements an Koordinaten, die von den tatsächlichen Meßkoordinaten eines zuvor gemessenen Elements abgeleitet werden.


ROI

Dies ist ein rechnergesteuertes Feld, das für den NC-100-Optiksensor auf dem Computerbildschirm angezeigt wird. Die Elementmessung muß innerhalb dieses Felds erfolgen.


EBENE 2 +

Dies bedeutet, daß zur Durchführung des Befehls "Drehen" bei einer iterativen Ausrichtung zwei oder mehr Elemente erforderlich sind.


Funktionsgruppe für DREHEN

Die zur Durchführung des Befehls "Drehen" bei einer iterativen Ausrichtung erforderliche Gruppe von Elementen. Siehe EBENE - 2 +.


Runde Elemente

Runde Elemente werden als Kreise, Kugeln, Kegel und Zylinder definiert. Siehe Runder Elementtyp


Runder Elementtyp

Bei einem runden Elementtyp handelt es sich um ein Kreis- oder Kurvenelement. Siehe Runde Elemente.


Elementerkennung Rund

Bei Verwendung eines starren Tasters wird mit diesem Betriebsmodus festgelegt, in welcher Reihenfolge die Software einen gemessenen Elementtyp vorrangig erkennen soll. Der Modus "Elementerkennung Rund" wird versuchen, vor einer Ebene einen Kreis, Zylinder, Kegel oder eine Kugel zu erraten. Siehe auch Elementerkennung.


RTF

Akronym für "Rich Text File".


Scanpunktdichte

Die Scanpunktdichte bestimmt die Anzahl von Meßpunkten, die das KMG pro Millimeter zurückgibt.


Skripting

Siehe "BASIC-Scripting".


Schnittlinien

Schnittlinien sind CAD-Einheiten, die einer CAD-Zeichnung überlagert werden können. Obwohl sie keine merkmals- oder zeichnungsbezogenen Informationen enthalten, können sie durch einen Profilschnittscan referenziert werden, um einen über ein bestimmtes Werkstückteil verlaufenden linearen Scan zu erhalten. Es handelt sich dabei um Bezugslinien, die Ingenieure zur Angabe der Position von Werkstückelementen verwenden.


NULLPUNKT SETZEN - 1

Dies bedeutet, daß zur Durchführung des Befehls "Nullpunkt setzen" bei einer iterativen Ausrichtung ein Element erforderlich ist.


Zylinder

Hierbei handelt es sich um den Schaft des Tasterstifts, der von der messenden Tastspitze bis zur Verbindungsstelle für die Tasterstiftaufnahme befestigung reicht. Bei einer ZylinderTastspitze gibt es keine PräzisionsTastspitze (siehe ZylinderTastspitze). Der Schaft, der den Kalibriertaster unterstützt, wird ebenfalls als Schaft bezeichnet.


Triggern durch Schaftkontakt

Dieser Begriff bezeichnet den Fall, daß der Taster durch den Kontakt zwischen dem Werkstück und dem Schaft des Tasterstifts anstatt durch den Kontakt zwischen dem Werkstück und der Tastspitze des Tasterstifts ausgelöst wird. In diesem Fall werden falsche Daten erfaßt.


Schaftkalibrierung

Die Schaftkalibrierung wird bei Blechtasterstiften verwendet, um die Richtung der Schaftachse sowie den Mittelpunkt des Endes der Kugeltastspitze zu erhalten.


ZylinderTastspitze

Tastspitze in Form eines geraden Schafts.


Blechkörper

Im Unigraphics-Modelliermodul ist dies die Bezeichnung für Oberflächen.


Blechtasterstift

Ein Blechtasterstift dient zur Messung sehr dünner Werkstücke. Das Ende des Blechtasterstifts ist mit einer Halbkugel und einem kurzen Schaftteil ausgestattet, das koaxial und konzentrisch zum Kugelmittelpunkt verläuft.


Blechstärke

Siehe Materialstärke.


Sigma

Dieser griechische Buchstabe dient häufig zur Darstellung der Standardabweichung.


SNSDEF

Dies ist ein in der DMIS-Sprache für die Definition von Sensoren verwendeter Begriff.


Meßpunktaufnahme bei weichem Material (Soft Probing)

Soft Probing (oder SFT) ist ein von Leitz entwickelter Begriff, der für den häufig eingesetzten Tastmodus zur Messung weichen Materials verwendet wird.


Massivkörper

Im Unigraphics-Modelliermodul ist dies die Bezeichnung für schattierte Flächen.


Abstand

Ein benutzerdefinierter Wert, der den Versatzabstand zwischen der Kante eines Elements und einem Stützpunkt angibt.


SPC

Dies ist ein Akronym für "Statistical Process Control" (statistische Prozeßsteuerung). In PC-DMIS können SPC-Diagramme aus einer definierten Datenbank erstellt und aktualisiert werden.


Spline

Ein Spline ist eine bestimmte Art von Kurve oder Oberfläche. Splines werden aufgrund ihrer mathematischen Eigenschaften, die vielfältige vereinfachte Einsatzmöglichkeiten bieten, zum Modellieren verwendet. Splines lassen sich sowohl in Kurven als auch in Oberflächen verwenden.


Splines

Siehe Spline.


Ausrichten

"Ausrichten" bedeutet das Justieren (bzw. Drehen) des Werkstücks im Grafikfenster, bis dieses an einer Bildschirmkante ausgerichtet und dazu parallel ist.


Standardabweichung

Dies ist die mittlere Quadratwurzel der Abweichung vom Mittelwert. Als Gleichung ausgedrückt:
Quadratwurzel((Summe((xi-m)^2))/n-1), wobei:

m = der Mittelwert
n = die Anzahl der Datenpunkte
xi = der i-te Datenpunkt ist.


Anfangswinkel

Anfangswinkel.


Anfangspunkt

Der Anfangspunkt eines Scans entspricht dem Anfangspunkt der Scanausführung.


Betriebsmodus

Die vier Betriebsmodi lauten Übertragungsmodus, 2D-Rotationsmodus, 3D-Rotationsmodus und Programmodus. Diese vier Optionen stehen als einzelne Symbole in der Symbolleiste von PC-DMIS zur Verfügung.


Statistik-Ausgabedatei

Diese Datei enthält die druckbare Statistik eines Werkstückprogramms. Statistische Daten werden in der Datei "xtats11.tmp" gespeichert, die sich im PCDMIS-Verzeichnis bzw. in dem von Ihnen gewählten Installationsverzeichnis von PC-DMIS befindet.


STEP AP203 & AP214

STEP steht für "Standard for the Exchange of Product Model Data". STEP wurde im Jahre 1988 international eingeführt. Es handelt sich dabei um einen Standard für die rechnerinterpretierbare Darstellung und den rechnerinterpretierbaren Produktdatenaustausch. Das Ziel von STEP lautet, ein neutrales Medium zu bieten, mit dem sich ein Produkt im Verlauf seines Lebenszyklus beschreiben läßt.


Schrittmodus

Der Schrittmodus ist eine Variante der Werkstückprogramm-Ausführung, bei der das KMG nur einen Befehlsblock auf einmal ausführt. Zur Fortsetzung des Programms sind Benutzereingaben erforderlich. Dieser Modus entspricht einem "schrittweisen" Durchlaufen des Werkstückprogramms.


Stitch-Scan

Diese Art des streifenweisen Scannens wird auf CNC -KMGs durchgeführt, die über schaltende Tastsysteme verfügen. Während des Scans berührt das KGM das Werkstück, bewegt sich um den Rückfahrweg zurück, bewegt sich auf den nächsten Punkt des Vorhaltebereichs zu und berührt das Werkstück erneut. Dieses Verfahren wird solange wiederholt, bis der Scan abgeschlossen ist. Die Bezeichnung "Stitch-Scan" (Stich-Scan) rührt daher, daß dieses Verfahren der Funktionsweise einer Nähmaschine ähnelt.


STL

Stereolithographie-Format. Hierbei handelt es sich um eine in der Produktion verwendete ASCII- oder Binärdatei, die eine Liste der dreieckigen Facetten enthält, die ein am Computer erzeugtes ausgefülltes Modell beschreiben.


Stiftbolzen

Stiftbolzen sind nicht entfernbare Elemente, die aus einem Werkstück herausragen (im Gegensatz zu Löchern, die in das Werkstück hineingehen). Stifte sind mit "Bolzen" vergleichbar.


Tasterstift

Der "Taster" ist ein zylindrischer Schaft mit einer hochpräzisen Tastspitze. Er wird in die Tastereinheit hineingeschraubt und kann in der Regel gegen andere Taster ausgewechselt werden.


Tasterwechsler

Der Tasterwechsler ist ein im Meßvolumen des KMG plaziertes Magazin. Es enthält birgt mehrere Taster zur Verwendung in ein und demselben Werkstückprogramm. Das KMG kann ohne Eingreifen des Bedieners automatisch zwischen Tastern hin- und herwechseln.


Tasterverlängerung

Eine Tasterverlängerung ist ein zylindrisches Teil, das zwischen Taster und Tastspitze befestigt wird. Es dient zur Verlängerung der messenden Tastspitze. Es können mehrere Verlängerungen auf einmal verwendet werden.


Unterprogramm

Ein Unterprogramm innerhalb des Werkstückprogramms. Diese Unterprogramme enthalten Befehle aus der aktuellen Datei oder einer externen Datei sowie wiederholt einsetzbare Befehle.


Unterprogramme

Siehe Unterprogramm.


Rotationsoberfläche

Diese Oberfläche kann durch Drehen einer Kurvenebene um eine Achse in ihrer Ebene erstellt werden.


Systemkalibrierung

Verfahren, mit dem die Genauigkeit eines KMG überprüft und zur Reduzierung von Ungenauigkeiten entweder mechanische Anpassungen am KMG oder elektronische Anpassungen an der Datei Vol.komp vorgenommen werden.


ABGESETZTE TASTSPITZE

Tastspitze, die kegelförmig zuläuft und am Ende schmaler wird.


ZIEL

Steht für "Zielwerte". Hierbei handelt es sich um Daten zur Größe oder Position, an der das KMG eine Messung versuchen wird.


Mosaik

Eine Oberfläche wird in eine Gruppe von Polygonen unterteilt, so daß ein grafisches Bild schattiert werden kann. Dieser Vorgang wird auch als Parkettierung bezeichnet.


THEO

Steht für "theoretisch". Dies ist die Nenngröße oder Positionsinformation.


Gewinde

Der Teil der Tastspitze, der in ein anderes Werkstück geschraubt ist, wird mit der Gewindegröße angegeben. Das Gewinde ist der korkenzieherartig gewundene Ring, der die beiden Teile zusammenhält.


Zeitdelta

Dieser benutzerdefinierte Wert dient zur gezielten Eliminierung von Meßpunkten, die bei der Aufnahme mit manuellen Scans und starrem Taster schneller als im angegebenen Zeitabstand eingehen. Die Zeitabstände werden in Sekunden angegeben.


Tastspitze

Der Teil des Tasterstifts, der mit dem zu prüfenden/messenden Werkstück in Berührung kommt. Tasterstifte können mit verschiedenen Tastspitzentypen ausgestattet sein. Bei der Tastspitze kann es sich um eine Kugel, eine Scheibe oder einen Zeiger handeln.


TOG (Umschaltung)

TOG ist ein "Umschaltfeld" im Bearbeitungsfenster. Um zwischen den im Bearbeitungsfenster verfügbaren Optionen hin- und herzuschalten, setzen Sie den Cursor auf das Umschaltfeld und drücken F7.


Schaltendes Tastsystem

Bei dieser Art von Tastsystem wird automatisch ein Meßpunkt ausgelöst, sobald das Werkstück berührt wird.


TP

Akronym für "True Position" (dt. "Position").


Überwachungsfeld

Ein aus zwei Feldern bestehender Befehl im Bearbeitungsfenster. Das erste Feld gibt den Namen oder den Titel des Überwachungsfelds an. Das zweite Feld zeigt den aktuellen Wert des Überwachungsfelds an (z. B. Temperatur: 75 oder Schicht: nachmittags). Überwachungsfelder werden in der Datei XSTATS11.TMP für Datenbankprogramme wie beispielsweise DataPage verwendet.


Überwachungsfelder

Siehe Überwachungsfeld.


Übertragungsmodus

Hiermit wird PC-DMIS in einen Programmstatus versetzt, in dem Sie das Werkstück am Bildschirm verschieben, die Anzeigegröße des Werkstücks im Grafikfenster ändern können usw.


TTP

Akronym für "Touch Trigger Probe". Siehe schaltendes Tastsystem.


UG

Steht für den CAD-Dateityp "UniGraphics".


UPR

Abkzg. für Undulations Per Revolution – Wellenbewegungen pro Umdrehung.


Variable

Objekt, das einen Wert beinhaltet. Eine Variable hat einen Namen und einen Wert. Der Name dient zum Zugriff auf den Wert der Variablen. Er bleibt unverändert, während sich der Wert ändern kann. Mit der Anweisung ZUWEISEN/V1 = 2 wird beispielsweise eine Variable namens V1 mit einem Wert von 2 erstellt. ZUWEISEN/V2 = V1 + 2 greift auf den Wert von V1 zu. Besitzt V1 auch bei Ausführung dieser Zuweisungsanweisung noch den Wert 2, dann hat V2 einen Wert von 4. Eine Variable ist ein Wert, der auf reelle, Ganzzahl-, Zeichenfolgen- oder Punkt-Operanden verweist.


Variabler Deltascan

Der variable Deltascan ist ein Scan, der nur mit einem starren Taster durchgeführt werden kann. Während eines variablen Deltascans werden Datenpunkte nur dann eingelesen, wenn die Anforderungen in bezug auf ein bestimmtes Mindestzeitinkrement und ein Mindestabstandsinkrement erfüllt sind.


Variablen

Siehe Variable.


VDAF

VDAF steht für "VDA Surface Data Interface format". VDAFS wurden im Jahre 1986 als nationaler Standard in Deutschland veröffentlicht. Das Format wird vom deutschen Verband der Automobilindustrie (VDA) zum Austausch von 3D-CAD-Modelldaten verwendet.


VDAFS

Siehe VDAF.


Ansichten ID

View ID ist ein benutzerdefinierter Name für eine vom Benutzer gespeicherte Ansicht.


VolComp-Datei

Die Datei "comp.dat". Damit eine genaue Messung mit dem KMG möglich ist, muß diese Datei im PC-DMIS-Betriebsverzeichnis des Computers gespeichert sein, der zur Bedienung volumenkompensierter KMGs verwendet wird. Siehe Volumenkompensation (VolComp).


Volumenkompensation (VolComp)

Volumenkompensation ist das Verfahren, bei dem auf die Fehlermatrix eines KMGs zugegriffen und der Fehler als Korrekturfaktor auf Messungen angewendet wird, um eine höhere Genauigkeit des KMGs zu erzielen. Nach ordnungsgemäßer Initialisierung eines KMGs wird dies von PC-DMIS automatisch erledigt. (Siehe auch Fehlermatrix.)


Gewichtung

Ein aus einer Toleranz berechneter Wert zur Verwendung bei der Berechnung der Besteinpassung. Je kleiner die Toleranz, desto geringer das Fehlerpotential. Eine kleinere Toleranz "wiegt" somit bei der Berechnung der Besteinpassung "schwerer" bzw. hat eine größere Bedeutung.


Gewichtungen

Siehe Gewichtung.


Stellvertreterzeichen/Platzhalter

Stellvertreterzeichen bestehen aus zwei Metazeichen, dem Sternchen (*) und dem Fragezeichen (?). Das Metazeichen Sternchen (*) findet bei einer Suche Übereinstimmungen mit einem oder mehreren beliebigen Zeichen bzw. dient als Platzhalter dafür. Das Fragezeichen (?) Metazeichen verhält sich genauso wie das Sternchen (*). Der einzige Unterschied besteht darin, daß das Fragezeichen-Metazeichen nur für ein einzelnes alphanumerisches Zeichen steht.


Drahtkörper

Im Unigraphics-Modelliermodul ist dies die Bezeichnung für Drahtmodellelemente (Draht, Linien, Kurven usw.).


Arbeitsebene

Die Arbeitsebene wird durch aktuelle Ebenen und Durchgangsebenen definiert. In PC-DMIS können Sie eine bestimmte Ebene angeben, in die ein Element bei seiner Messung projiziert werden soll. Der Begriff "Arbeits…" bedeutet hier das gleiche wie "aktuell" oder "aktiv".


Wrist-Matrix

Siehe auch Fehlermatrix und Volumenkompensation.


Delta-Mindestwert für Wristdrehung

Diese Option befindet sich auf der Registerkarte "Werkstück/KGM" im Dialogfeld Setup-Optionen. Wenn ein im CAD für die Messung markiertes Element keinen Vektor besitzt, der mit dem aktuellen Taster winkel innerhalb des Delta-Mindestwerts für eine Wristdrehung übereinstimmt, wird eine Warnmeldung ausgegeben.


X-, Y- und Z-Mitte

Diese Werte zeigen die Position der Mitte der Kugeltastspitze an.


XBarR

"XBar" ist eine Schreibweise für das Statistiksymbol "X", das für den Mittelwert oder den Durchschnitt steht. Das XBar-Diagramm stellt folglich das Prozeßmittel oder den Prozeßdurchschnitt dar. Die Berechnung erfolgt in der Regel über einen bestimmten Zeitraum hinweg. Die X-Achse des Diagramms gibt die Zeit an, und die Y-Achse des Diagramms gibt den Mittelwert an.

XBarR ist eine Abkürzung für "XBar und R". Hierbei handelt es sich im wesentlichen um ein XBar-Diagramm mit zusätzlichen Informationen. "R" steht für "Range", den Datenbereich einer bestimmten Stichprobe. Eine Stichprobe ist als vordefinierte Anzahl von Messungen definiert. Zur Berechnung des Stichprobenbereichs wird der Mindestwert vom Höchstwert der Stichprobe subtrahiert. Da das Ergebnis dann an derselben Zeitposition im Diagramm wie der Mittelwert der Stichprobe eingetragen wird, erhält man für die Stichprobe auf diese Weise zwei Datenpunkte an einer Zeitposition.


XBarS

"XBar" ist eine Schreibweise für das Statistiksymbol "X", das für den Mittelwert oder den Durchschnitt steht. Das XBar-Diagramm stellt folglich das Prozeßmittel oder den Prozeßdurchschnitt dar. Die Berechnung erfolgt in der Regel über einen bestimmten Zeitraum hinweg. Die X-Achse des Diagramms gibt die Zeit an, und die Y-Achse des Diagramms gibt den Mittelwert an.

XBarS ist eine Abkürzung für "XBar und S". ". Hierbei handelt es sich im wesentlichen um ein XBar-Diagramm mit zusätzlichen Informationen. "S" stellt die Standardabweichung der Stichprobe dar. Es gibt eine mathematische Gleichung zur Berechnung der Standardabweichung einer Stichprobe.


Z-Arm (vertikal)

Der Z-Arm ist der vertikale Arm des KMGs.


Erweiterungen der Grafik- und CAD-Anzeige

Neu in dieser Version:

  • Speichern Sie eine Bildschirmkopie des Grafikfensters als .bmp-Datei auf Ihrem Rechnersystem. Siehe "Ausgabe von Bildschirmkopien an eine Datei" im Abschnitt "Editierung der CAD-Ansicht".
  • Ändern Sie den Namen der ausgewählten CAD-Elemente. Siehe das Thema "CAD-Bearbeitung" im Abschnitt "Bearbeiten der CAD-Anzeige".
  • Ändern Sie das Aussehen der verschiedenen ID-Etiketten. Siehe das "Layout der Elemente: Grafik-Optionen" im Abschnitt "Bearbeiten der CAD-Anzeige". Ändern Sie das Aussehen der verschiedenen ID-Etiketten. Siehe "Layout der Elemente: Grafik-Optionen" im Abschnitt "Bearbeiten der CAD-Anzeige". Graphic

Neu in dieser Version:

  • Verwenden Sie einen neuen KOMMENTAR/ANZEIGE-Befehl, um Text innerhalb des Taster-Anzeigefensters anzuzeigen. Siehe die Option Ergebnisanzeige, die unter dem Thema "Einfügen von Programmiererkommentaren" im Abschnitt "Verwenden des Editierfensters" behandelt wird.


Help Contents

Inhalt

Erste Schritte: Ein Überblick

Erste Schritte: Ein einfaches Lernprogramm

Navigation durch die Benutzeroberfläche

Verwenden von grundlegenden Dateioptionen

Verwenden von fortgeschrittenen Dateioptionen

Voreinstellungen

Bearbeiten der CAD-Anzeige

Bearbeiten eines Werkstückprogramms

Verwenden des Bearbeitungsfensters

Arbeiten mit anderen Fenstern, Editoren und Tools

Das Erstellen von HyperView-Protokollen

Arbeiten mit Symbolleisten

Definieren von Hardware

Erstellen von Auto-Elementen

Erstellen von Gemessenen Elementen

Konstruieren von neuen Elementen aus vorhandenen Elementen

Erstellen von allgemeinen Elementen

Erstellen und Verwenden von Ausrichtungen

Merkmale für Elemente erstellen

Scannen Ihres Werkstücks

Einfügen von Bewegungsbefehlen

Verzweigen mit Hilfe der Programmablaufsteuerung

Nachverfolgen statistischer Daten

Einfügen von Protokollbefehlen

Verwenden der Datei-Eingabe/-Ausgabe

Verwenden von Ausdrücken und Variablen

Hinzufügen externer Elemente

Arbeiten im Mehrarmbetrieb

Navigation in und Anzeigen von mehreren Fenstern

Verwenden der Online-Hilfe

Arbeiten im Offline-Modus

Übertragen eines Werkstückprogramms in PC-DMIS

Ändern von Registrierungseinträgen

Verwenden eines Wrist-Geräts

Kalibrieren seltener verwendeter Taster

Arbeiten im Bedienermodus

Messen automatischer Merkmale mit dem Optischen Taster NC-100

Direct CAD-Schnittstellen – Einführung

Verwenden der Übersichtskarte

Verwenden von Tastaturbefehlen und Kontextmenüs


Haltepunkt einfügen/löschen

Mit dem Symbol Haltepunkt einfügen/löschen der Symbolleiste wird an der aktuellen Cursor-Position ein Haltepunkt im Werkstückprogramm eingefügt. Weitere Informationen finden Sie unter "Haltepunkte einfügen/löschen" im Abschnitt "Bearbeiten eines Werkstückprogramms".


Sektion IplusPlus

Diese Sektion des PC-DMIS-Einstellungseditors enthält Informationen zu Arbeit mit der Schnittstelle I++. Derzeit befindet sich dort ein Eintrag, der die Kommunikation mit dieser Schnittstelle betrifft.


Verbindung oder Zusammenführung von Tasten in einer Tastatur-Variante

Über das Dialogfeld Tastatur anpassen können mehrere Tasten auf dem Raster des Tastatur-Layouts verbunden oder zusammengeführt werden, um größere Schaltflächen zu erhalten. Dies ist dann hilfreich, wenn Sie eine Taste wünschen, die größer als die gewöhnliche Tastengröße sein soll (wie beispielsweise die LEERTASTE).

  1. Sie können ein Tastatur-Layout erstellen oder zwecks Änderungen öffnen, wenn Sie nach den bereits unter "Erstellen einer neuen Virtuellen Tastatur-Variante" und unter "Ändern einer vorhandenen Virtuellen Tastatur-Variante" beschriebenen Verfahren vorgehen.
  2. Wählen Sie Tasten verbinden aus der Liste Modus im Dialogfeld Tastatur anpassen. Nun enthält jede Taste auf dem Raster des Tastatur-Layouts einen kleinen, rotgepunkteten Rand.

  3. Klicken Sie eine der Tasten an. Dies ist die Anfangstaste. Ein breiter roter Rand erscheint auf der waagrechten und senkrechten Seite der Anfangstaste. Wenn Sie eine andere Taste anklicken, wird diese Taste zur Anfangstaste.

  4. Klicken Sie mit der rechten Maustaste auf die Endtaste, um die Tasten zu verbinden. Die Endtaste muß sich innerhalb des rot gezeichneten Bereichs, entweder rechts von der Anfangstaste oder darunter, befinden. Wenn durch den verbundenen Bereich kein Konflikt mit einem bereits zusammengeführten Bereich entsteht, wird der breite rote Rand ein grünes Rechteck. Das bedeutet, daß diese gruppierten Tasten als eine Taste dargestellt werden.

  5. Wenn durch den verbundenen Bereich ein Konflikt mit einem anderen verbundenen Bereich entsteht, meldet PC-DMIS, daß die Tasten nicht verbunden werden können.
  6. Um einen der vorhandenen verbundenen Bereiche zu löschen, klicken Sie mit der linken Maustaste in den grün umrandeten Bereich (verbundene Tasten).

Wichtig: Wenn Sie einer Gruppe verbundener Tasten eine Tastendefinition zuweisen wollen, müssen Sie die Anfangstaste dieser Gruppe markieren: handelt es sich dabei um eine horizontale Gruppierung, ist es die Taste ganz links. Im Fall einer vertikalen Anordnung ist es die Taste ganz oben. Dies ist nur dann erforderlich, wenn dieser Gruppe eine Tastendefinition zugewiesen werden soll; bei der eigentlichen Verwendung der Virtuellen Tastatur ist dies nicht nötig.


Sektion Leitz

Diese Sektion des PC-DMIS-Einstellungseditors enthält verschiedene Einstellungen für KMGs, welche die Leitz-Schnittstelle verwenden.

Hinweis: Wenn Sie mit einem PMM-C-Meßgerät arbeiten und der eingesetzte Taster während der Scanvorgänge wackelt oder Fehler verursacht, sollten Sie die Einträge EnableInitCm und ReadCmmDefaults auf TRUE setzen und dann die Steuereinheit neu starten.

Siehe auch:

CW43LT Wrist nach TW wiederherstellen

Init-Cm aktivieren

KMG-Standardeinstellungen lesen

Variables Hochgeschwindigkeitsscannen

Konstante räumliche Dichte


Punktfarbe

Mit diesem Eintrag können Sie die Farbe für die Punktdarstellung auf importierten Modellen definieren.

Eintragsname: PointColor

Eintragstyp: Ganzzahlenwerte von 0 bis 255 in den Feldern Rot, Grün und Blau.


Schaft- / Optikvektor I, J, K

Diese Werte beschreiben die Richtung des Schafts der Taster spitze, wenn Sie eine Tastspitze verwenden. Dieser Vektor verläuft von der Mitte der Tastspitze zum Z-Arm (vertikal). Wenn Sie einen Optischen Sensor verwenden, beschreiben diese Wert die Richtung des Optiksystems.


Schaftvektor I, J, K

In diesem Feld wird der Vektor des Tasterschafts angezeigt. Anhand dieser Werte kann PC-DMIS den Schaft während der Kalibrierung vermeiden.

Schaft auf Kalibrierkugel


Unterstützte "Einzelklick"-Auto Elemente

Die Funktionen von PC-DMIS, Auto-Elemente direkt am Bildschirm mit immer weniger Mausklicks auswählen zu können, werden ständig verbessert. Die folgende Tabelle beschreibt detailliert die Auto-Features, die sowohl im Kurven- als auch im Oberflächenmodus mit einem Mausklick ausgewählt werden können. Darin wird auch die Anzahl von Mausklicks für die Elemente, welche die Einzelklickfunktion noch nicht unterstützen, angegeben.

Auto-Elementtyp | Kurvenmodus | Oberflächenmodus
Winkelpunkt | Nein (2 Klicks) | Nein (2 Klicks)
Kreis | Ja | Ja
Kegel | Nein (2 Klicks) | Nein (6 Klicks)
Eckpunkt | Nein (3 Klicks) | Nein (3 Klicks)
Zylinder | Nein (2 Klicks) | Nein (6 Klicks)
Ellipse | Manchmal* | Nein (5 Klicks)
Kanten-Pkt. | Nein (2 Klicks) | Nein (2 Klicks)
Extrempunkt | Ja | Ja
Linie | Nein (2 Klicks) | Nein (2 Klicks)
Kerbe | Nein (5 Klicks) | Nein (5 Klicks)
Ebene | Ja | Ja
Langloch | Ja | Ja
Rechteckloch | Nein (5 Klicks) | Nein (5 Klicks)
Kugel | Nein (4 Klicks) | Nein (4 Klicks)
Oberflächenpunkt | Ja | Ja
Vektorpunkt | Ja | Ja

* Drahtmodell-Ellipsen können mit einem Mausklick ausgewählt werden, wenn Sie aus dem CAD-Elementtyp "Allgemeine Kurve" erzeugt wurden.


Oberflächenfarbe

Mit diesem Eintrag können Sie die Farbe für die Oberflächendarstellung auf importierten Modellen definieren.

Eintragsname: SurfaceColor

Eintragstyp: Ganzzahlenwerte von 0 bis 255 in den Feldern Rot, Grün und Blau.


Erstellen einer neuen Virtuellen Tastatur-Variante

  1. Öffnen Sie das Dialogfeld Virtuelle Tastatur, klicken Sie es mit der rechten Maustaste an und wählen Sie Anpassen aus dem Menü aus. Nun erscheint das Dialogfeld Tastatur anpassen.
  2. Geben Sie im Bereich Layout definieren im Feld Layoutname einen Namen für Ihre Tastatur ein.
  3. Geben Sie die Anzahl der Reihen und Spalten in den Feldern Reihen und Spalten ein. Hiermit wird festgelegt, wie viele "Tasten" (oder Schaltflächen) auf der Tastatur erscheinen werden.
  4. Klicken Sie auf Erstellen. PC-DMIS zeigt ein Tastatur-Layoutfenster mit einem leeren Raster an, das die Anzahl der Tasten auf ihrem neu erstellen Layout darstellt.

Beispiel für ein leeres 3x3-Raster-Layout

  5. Legen Sie die Größe der Schaltflächenraster Ihren Wünschen entsprechend fest, indem Sie die Fensterränder ziehen.
  6. Im Bereich Tasten definieren erstellen Sie eine neue Tastendefinition. Hierzu wählen Sie aus der Liste Modus den Eintrag Tasten definieren, dann wählen Sie aus den Listen Spezieller Tastenanschlag, Standard Tastenanschlag oder System Tastenanschlag die Art des Tastenanschlags (oder Tastenschlüssels) aus. Viele der Tastenanschläge erklären sich von selbst und entsprechen den Namen oder der Symbolik der tatsächlichen Schaltflächen auf der englischen bzw. deutschen Tastatur. Mögliche Ausnahmen sind VK_PREVIOUS für die BILD-AUF-Taste und VK_NEXT für die BILD-AB-Taste.
    • Wenn Sie wünschen, daß eine Bezeichnung für den von Ihnen ausgewählten Tastenanschlag eingeblendet wird, wählen Sie die Option Etikett und geben Sie eine Bezeichnung in das Feld Etikett ein.
    • Wenn Sie wünschen, daß ein Symbol für den von Ihnen ausgewählten Tastenanschlag eingeblendet wird, wählen Sie über die Option Symbol ein Symbol aus der bildlauffähigen Symbolliste aus.
    • Wenn Sie eine Taste ohne Definition lassen wollen — die dann als flache Leertaste auf einer echten Tastatur dargestellt wird — wählen Sie die Option Keine Taste für diese Tastendefinition.
  7. Wählen Sie eine undefinierte Taste aus dem Layoutfenster mit dem Tasterraster, die diese Definition übernehmen soll und klicken Sie dann im Bereich Tasten definieren des Dialogfelds Tastatur anpassen auf die Schaltfläche Festlegen. Ihre Änderungen erscheinen im Tastatur-Layoutfenster.
  8. Setzen Sie dieses Verfahren solange fort, bis Sie die Ihren Erfordernissen entsprechende Tastatur haben.

    Beispiel für ein vollständiges Tastatur-Layout mit undefinierten Ecktasten ("Keine Taste")

  9. Wenn alle Ihre Tasten definiert wurden, wird die Schaltfläche Speichern zur Auswahl verfügbar. Klicken Sie auf Speichern, um Ihre Tastatur zu speichern.
  10. Klicken Sie auf Neu, um gegebenenfalls weitere Layouts zu erstellen, ansonsten klicken Sie auf Schließen.

Hinweis: Um eine falsch zugewiesene Tastendefinition zu ändern, wählen Sie die Option Keine Taste, klicken auf die entsprechende Taste im Layout-Raster und dann auf die Schaltfläche Festlegen. Auf diese Weise werden alle der zuvor dieser Taste zugewiesenen Werte gelöscht.


Löschen einer vorhandenen Virtuellen Tastatur-Variante

So löschen Sie ein vorhandenes Layout:

  1. Öffnen Sie das Dialogfeld Virtuelle Tastatur, klicken Sie es mit der rechten Maustaste an und wählen Sie Anpassen aus dem Menü aus. Nun erscheint das Dialogfeld Tastatur anpassen.
  2. Klicken Sie auf die Schaltfläche Löschen.
  3. Wählen Sie die Tastatur aus dem Dropdown-Menü. PC-DMIS fragt, ob Sie die Tastatur löschen wollen.
  4. Bestätigen Sie dies mit Ja.
  5. Klicken Sie auf Schließen.


Haltepunkt ein/aus

Display Menu Roadmap
Mit der Menüoption Haltepunkt ein/aus können Sie Haltepunkte setzen bzw. entfernen. Der Haltepunkt wird an der Position (Zeile) des Bearbeitungsfensters gesetzt bzw. entfernt, an der sich der Cursor befindet. Durch ein kleines rotes Kreissymbol am linken Rand des Bearbeitungsfensters wird das Vorhandensein eines Haltepunkts ausgewiesen.


Manuelle Bearbeitung der Garagendaten

  1. Wählen Sie den gewünschten Tasterwechsler aus der Liste Auswahl Tasterwechsler aus.
  • Klicken Sie auf die Schaltfläche Bearbeite Garagen. Das Dialogfeld Tasterwechsler Garagendaten wird angezeigt. Über dieses Dialogfeld können Sie den Garagentyp oder die XYZ-Position ändern.
    Wählen Sie den gewünschten Objekttyp, falls dieser dort verfügbar ist, im Listenfeld Objekttyp aus. Diese Liste wird nur dann zur Auswahl eingeblendet, wenn Sie den FCR25-Tasterwechsler verwenden (der mit dem Taster SP25 eingesetzt wird). Mit dieser Liste haben Sie drei Möglichkeiten zur Konfiguration jeder Tastergarage.
  • Sie kann für einen Modulwechsel geöffnet sein.
  • Sie kann über eine Einsatzhalterung für ScanTastspitzen verfügen.
  • Sie kann über einen Einsatz für die Umschaltung zwischen Tastspitzen haben.

    In der Liste Garagentypen sind Renishaw-Modellnummern für die Garageneinsätze etc. aufgeführt. Nähere Informationen zur Verwendung des FCR25-Tasterwechslers, zu dessen Einrichtung und der Verwendung von Garageneinsätzen entnehmen Sie bitte der entsprechenden Dokumentation der Firma Renishaw.

  2. Definieren Sie die Position dieser Garage, indem Sie die Werte X, Y und Z (in Millimetern) in die Felder X, Y und Z eingeben.
  3. Klicken Sie auf OK. PC-DMIS schließt das Dialogfeld und zeigt die XYZ-Werte für diese Garage im Dialogfeld Tasterwechsler. Direkt neben der Garage wird "Anstehende Änderungen" angezeigt.
  4. Wenn eine Garage auf ihren vorherigen Wert zurückgesetzt werden soll, wählen Sie diese Garage aus und klicken auf Bearbeite Garagen. Danach klicken Sie im Dialogfeld Tasterwechsler Garagendaten je nach Anwendungsfall entweder auf Wiederherstellen XYZ oder Typ Ersetzen. Diese Schaltflächen stehen nur zur dann Auswahl bereit, wenn Sie im Dialogfeld Tasterwechsler bereits auf OK oder Übernehmen geklickt haben.
  5. Wenn Ihre Änderungen akzeptiert werden sollen, klicken Sie im Dialogfeld Tasterwechsler entweder auf OK oder Übernehmen.


Ändern einer vorhandenen Virtuellen Tastatur-Variante

So ändern Sie ein vorhandenes Layout:

  1. Öffnen Sie das Dialogfeld Virtuelle Tastatur, klicken Sie es mit der rechten Maustaste an und wählen Sie Anpassen aus dem Menü aus. Nun erscheint das Dialogfeld Tastatur anpassen.
  2. Klicken Sie auf die Schaltfläche Öffnen.
  3. Wählen Sie die Tastatur aus dem Dropdown-Menü.
  4. Gehen Sie nach dem Verfahren zur Zuweisung der Tastendefinitionen im Tastatur-Layout vor, wie es unter "Erstellen einer neuen Virtuellen-Tastatur-Variante" beschrieben wird. Möglicherweise müssen Sie die Option Keine Taste für eine Taste wählen, um eine alte Definition zu löschen, bevor Sie eine neue Definition zuweisen.
  5. Klicken Sie auf Speichern, um die Änderungen zu speichern.


Verwenden von OpenGL-Listen

Mit diesem Eintrag können Sie die Grafikrotation beschleunigen. Allerdings geschieht dies auf Kosten zusätzlichen Rechnerspeichers.

Eintragsname: UseOpenGLLists

Eintragstyp: Boolescher Wert. Wird dieser Wert auf TRUE gesetzt, kann PC-DMIS auf eine höhere Speicherkapazität zugreifen, um die Bildschirmrotation des CAD-Modells zu beschleunigen. Mit der Einstellung FALSE wird die Belastung des Systemspeichers reduziert. Der Standardwert ist TRUE.

Allgemein gilt für kleine bis mittlere CAD-Dateien, daß dieser Wert auf TRUE eingestellt bleiben kann, um die Bildschirmrotation zu beschleunigen.

Sollten allerdings Speicher- oder Serialisierungsfehler bei der Verwendung von großen CAD-Dateien auftreten, ändern Sie diese Einstellung auf FALSE, um für andere Prozesse in PC-DMIs benötigten Systemspeicher freizugeben.


Trennzeichen in der Virtuellen Tastatur als visuelle Reize verwenden

Die Positionen, wo Trennzeichen, Zwischenräume zwischen den Tasten, auf der Virtuellen Tastatur-Variante erscheinen sollen, können eingefügt oder geändert werden. Die Tastaturfunktionen bleiben davon unbeeinflußt; es geht dabei lediglich um den visuellen Reiz und eine bessere Organisation des Tastatur-Layouts.

  1. Sie können ein Tastatur-Layout erstellen oder zwecks Änderungen öffnen, wenn Sie nach den bereits unter "Erstellen einer neuen Virtuellen Tastatur-Variante" und unter "Ändern einer vorhandenen Virtuellen Tastatur-Variante" beschriebenen Verfahren vorgehen.
  2. Wählen Sie Trennzeichen ein/aus aus der Liste Modus im Dialogfeld Tastatur anpassen. Nun enthält jede Taste auf dem Raster des Tastatur-Layouts einen kleinen, blaugepunkteten Rand.

  3. Klicken Sie mit der linken Maustaste auf die blaue Punktierung, um ein Trennzeichen ein- oder auszublenden. Ein rote Linie erscheint, die anzeigt, wo das Trennzeichen erscheinen wird. Wenn Sie eine waagrechte Linie zwischen den Reihen auswählen, wird der Trennzeichen waagrecht entlang dieser Linie verlaufen. Wenn Sie eine senktrechte Linie zwischen den Reihen auswählen, wird der Trennzeichen senkrecht entlang dieser Linie verlaufen.

    Wenn Sie im Tastendefinitions-Modus, gemäß Beschreibung unter "Erstellen einer neuen Virtuellen Tastatur-Variante", arbeiten, werden die Trennzeichen als blaue Linie dargestellt.


Verwenden der Virtuellen Tastatur

Über die Menüoption Virtuelle Tastatur wird die entsprechende Tastatur eingeblendet. Diese Tastatur arbeitet wie jede andere Tastatur und kann mit der Maus oder einem Berührungsbildschirm verwendet werden. Diese Funktion ist in bestimmten Produktionsumgebungen hilfreich, wo der Einsatz einer physischen Tastatur nicht empfehlenswert ist.

Beispiel Virtuelle Tastatur – Variante Tastenfeld 1

Sie können problemlos verschiedene Varianten einer Virtuellen Tastatur auswählen oder Tastaturvarianten nach Ihren eigenen Vorstellungen definieren und erstellen.

PC-DMIS bietet Ihnen zudem eine Symbolleiste für den einfachen Zugriff auf die Virtuelle Tastatur. Siehe das Thema "Virtuelle Tastatur (Symbolleiste)" im Abschnitt "Die Verwendung von Symbolleisten".

Siehe auch:

Virtuelle Tastatur-Varianten öffnen

Erstellen einer neuen Virtuellen Tastatur-Variante

Ändern einer vorhandenen Virtuellen Tastatur-Variante

Löschen einer vorhandenen Virtuellen Tastatur-Variante

Verbindung oder Zusammenführung von Tasten in einer Tastatur-Variante

Trennzeichen in der Virtuellen Tastatur als visuelle Reize verwenden